/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2024-08-31 23:38:20 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_kbp_countdown_entry` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `campaign` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `end_date` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `remove_date` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_ip` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `uuid` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `user_ip` (`user_ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_kbp_form_entry` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `form_id` varchar(55) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `date_created` datetime NOT NULL,
  `user_ip` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_device` varchar(55) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `referer` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `status` varchar(10) COLLATE utf8mb4_unicode_520_ci DEFAULT 'publish',
  `uuid` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_kbp_form_entrymeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `kbp_form_entry_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `entry_id` (`kbp_form_entry_id`),
  KEY `meta_key` (`meta_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_kbp_form_events` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `event_type` varchar(128) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `event_post` int(11) NOT NULL DEFAULT '0',
  `event_time` datetime NOT NULL,
  `event_count` int(11) unsigned NOT NULL DEFAULT '1',
  `event_consolidated` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `event_type__post__time__consolidated` (`event_type`,`event_post`,`event_time`,`event_consolidated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_kbp_query_index` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `object_id` int(10) unsigned DEFAULT NULL,
  `hash` varchar(50) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `facet_value` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `facet_name` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `facet_id` int(10) unsigned DEFAULT NULL,
  `facet_parent` int(10) unsigned DEFAULT NULL,
  `facet_order` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=2157 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=4760 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=816 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("5", "20240804_guitarkitty_starter_cpt_cf_pro", "1ab339174b712f569283_20240831233810", "21", "2024-08-31 23:38:20", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-08-31 23:38:10\";s:7:\"Version\";s:8:\"1.5.10.2\";s:9:\"VersionWP\";s:5:\"6.6.1\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:5;s:4:\"Name\";s:39:\"20240804_guitarkitty_starter_cpt_cf_pro\";s:4:\"Hash\";s:35:\"1ab339174b712f569283_20240831233810\";s:8:\"NameHash\";s:75:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.1\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:87:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:87:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:958;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:6324;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-08-31 23:38:10\";s:7:\"Version\";s:8:\"1.5.10.2\";s:9:\"VersionWP\";s:5:\"6.6.1\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20240804_guitarkitty_starter_cpt_cf_pro\";s:4:\"Hash\";s:35:\"1ab339174b712f569283_20240831233810\";s:8:\"NameHash\";s:75:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:93:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:101:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:88:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";b:0;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:208:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/backups-dup-lite/tmp/20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:96:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-admin\";i:1;s:99:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-includes\";i:2;s:108:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:87:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\";i:1;s:87:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\";i:2;s:98:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content\";i:3;s:106:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads\";i:4;s:106:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/plugins\";i:5;s:109:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/mu-plugins\";i:6;s:105:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:119:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Guitar Kitty", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "9", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%category%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:176:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:20:\"not-kitty-guitars/?$\";s:37:\"index.php?post_type=non-kitty-guitars\";s:50:\"not-kitty-guitars/feed/(feed|rdf|rss|rss2|atom)/?$\";s:54:\"index.php?post_type=non-kitty-guitars&feed=$matches[1]\";s:45:\"not-kitty-guitars/(feed|rdf|rss|rss2|atom)/?$\";s:54:\"index.php?post_type=non-kitty-guitars&feed=$matches[1]\";s:37:\"not-kitty-guitars/page/([0-9]{1,})/?$\";s:55:\"index.php?post_type=non-kitty-guitars&paged=$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:40:\"kadence-form/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:50:\"kadence-form/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:70:\"kadence-form/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:65:\"kadence-form/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:65:\"kadence-form/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:46:\"kadence-form/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:29:\"kadence-form/([^/]+)/embed/?$\";s:45:\"index.php?kadence_form=$matches[1]&embed=true\";s:33:\"kadence-form/([^/]+)/trackback/?$\";s:39:\"index.php?kadence_form=$matches[1]&tb=1\";s:41:\"kadence-form/([^/]+)/page/?([0-9]{1,})/?$\";s:52:\"index.php?kadence_form=$matches[1]&paged=$matches[2]\";s:48:\"kadence-form/([^/]+)/comment-page-([0-9]{1,})/?$\";s:52:\"index.php?kadence_form=$matches[1]&cpage=$matches[2]\";s:37:\"kadence-form/([^/]+)(?:/([0-9]+))?/?$\";s:51:\"index.php?kadence_form=$matches[1]&page=$matches[2]\";s:29:\"kadence-form/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:39:\"kadence-form/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:59:\"kadence-form/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:54:\"kadence-form/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:54:\"kadence-form/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:35:\"kadence-form/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:46:\"kadence_custom_svg/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:56:\"kadence_custom_svg/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:76:\"kadence_custom_svg/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:71:\"kadence_custom_svg/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:71:\"kadence_custom_svg/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:52:\"kadence_custom_svg/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:35:\"kadence_custom_svg/([^/]+)/embed/?$\";s:51:\"index.php?kadence_custom_svg=$matches[1]&embed=true\";s:39:\"kadence_custom_svg/([^/]+)/trackback/?$\";s:45:\"index.php?kadence_custom_svg=$matches[1]&tb=1\";s:47:\"kadence_custom_svg/([^/]+)/page/?([0-9]{1,})/?$\";s:58:\"index.php?kadence_custom_svg=$matches[1]&paged=$matches[2]\";s:54:\"kadence_custom_svg/([^/]+)/comment-page-([0-9]{1,})/?$\";s:58:\"index.php?kadence_custom_svg=$matches[1]&cpage=$matches[2]\";s:43:\"kadence_custom_svg/([^/]+)(?:/([0-9]+))?/?$\";s:57:\"index.php?kadence_custom_svg=$matches[1]&page=$matches[2]\";s:35:\"kadence_custom_svg/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:45:\"kadence_custom_svg/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:65:\"kadence_custom_svg/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"kadence_custom_svg/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"kadence_custom_svg/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:41:\"kadence_custom_svg/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:41:\"kadence-query/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:51:\"kadence-query/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:71:\"kadence-query/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:66:\"kadence-query/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:66:\"kadence-query/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:47:\"kadence-query/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:30:\"kadence-query/([^/]+)/embed/?$\";s:51:\"index.php?kadence_query_card=$matches[1]&embed=true\";s:34:\"kadence-query/([^/]+)/trackback/?$\";s:45:\"index.php?kadence_query_card=$matches[1]&tb=1\";s:42:\"kadence-query/([^/]+)/page/?([0-9]{1,})/?$\";s:58:\"index.php?kadence_query_card=$matches[1]&paged=$matches[2]\";s:49:\"kadence-query/([^/]+)/comment-page-([0-9]{1,})/?$\";s:58:\"index.php?kadence_query_card=$matches[1]&cpage=$matches[2]\";s:38:\"kadence-query/([^/]+)(?:/([0-9]+))?/?$\";s:57:\"index.php?kadence_query_card=$matches[1]&page=$matches[2]\";s:30:\"kadence-query/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:40:\"kadence-query/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:60:\"kadence-query/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:55:\"kadence-query/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:55:\"kadence-query/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:36:\"kadence-query/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:48:\"company/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?company=$matches[1]&feed=$matches[2]\";s:43:\"company/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:46:\"index.php?company=$matches[1]&feed=$matches[2]\";s:24:\"company/([^/]+)/embed/?$\";s:40:\"index.php?company=$matches[1]&embed=true\";s:36:\"company/([^/]+)/page/?([0-9]{1,})/?$\";s:47:\"index.php?company=$matches[1]&paged=$matches[2]\";s:18:\"company/([^/]+)/?$\";s:29:\"index.php?company=$matches[1]\";s:35:\"guitars/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:45:\"guitars/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:65:\"guitars/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"guitars/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"guitars/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:41:\"guitars/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:24:\"guitars/([^/]+)/embed/?$\";s:50:\"index.php?non-kitty-guitars=$matches[1]&embed=true\";s:28:\"guitars/([^/]+)/trackback/?$\";s:44:\"index.php?non-kitty-guitars=$matches[1]&tb=1\";s:48:\"guitars/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:56:\"index.php?non-kitty-guitars=$matches[1]&feed=$matches[2]\";s:43:\"guitars/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:56:\"index.php?non-kitty-guitars=$matches[1]&feed=$matches[2]\";s:36:\"guitars/([^/]+)/page/?([0-9]{1,})/?$\";s:57:\"index.php?non-kitty-guitars=$matches[1]&paged=$matches[2]\";s:43:\"guitars/([^/]+)/comment-page-([0-9]{1,})/?$\";s:57:\"index.php?non-kitty-guitars=$matches[1]&cpage=$matches[2]\";s:32:\"guitars/([^/]+)(?:/([0-9]+))?/?$\";s:56:\"index.php?non-kitty-guitars=$matches[1]&page=$matches[2]\";s:24:\"guitars/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:34:\"guitars/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:54:\"guitars/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"guitars/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"guitars/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:30:\"guitars/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:31:\".+?/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\".+?/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\".+?/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\".+?/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\".+?/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:22:\"(.+?)/([^/]+)/embed/?$\";s:63:\"index.php?category_name=$matches[1]&name=$matches[2]&embed=true\";s:26:\"(.+?)/([^/]+)/trackback/?$\";s:57:\"index.php?category_name=$matches[1]&name=$matches[2]&tb=1\";s:46:\"(.+?)/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:41:\"(.+?)/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&feed=$matches[3]\";s:34:\"(.+?)/([^/]+)/page/?([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&paged=$matches[3]\";s:41:\"(.+?)/([^/]+)/comment-page-([0-9]{1,})/?$\";s:70:\"index.php?category_name=$matches[1]&name=$matches[2]&cpage=$matches[3]\";s:30:\"(.+?)/([^/]+)(?:/([0-9]+))?/?$\";s:69:\"index.php?category_name=$matches[1]&name=$matches[2]&page=$matches[3]\";s:20:\".+?/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:30:\".+?/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:50:\".+?/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:45:\".+?/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:26:\".+?/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:38:\"(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:33:\"(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:14:\"(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:26:\"(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:33:\"(.+?)/comment-page-([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&cpage=$matches[2]\";s:8:\"(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:7:{i:0;s:30:\"advanced-custom-fields/acf.php\";i:1;s:41:\"create-block-theme/create-block-theme.php\";i:2;s:43:\"custom-post-type-ui/custom-post-type-ui.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:41:\"kadence-blocks-pro/kadence-blocks-pro.php\";i:5;s:33:\"kadence-blocks/kadence-blocks.php\";i:6;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "9", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "57155", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1727737453", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "wp_attachment_pages_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("100", "initial_db_version", "56657", "yes");
INSERT INTO `wp_options` VALUES("101", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("102", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("103", "user_count", "1", "no");
INSERT INTO `wp_options` VALUES("104", "widget_block", "a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:154:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Posts</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:227:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Comments</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:150:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Categories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "sidebars_widgets", "a:2:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("106", "cron", "a:12:{i:1725149053;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1725188653;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1725188659;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1725231853;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1725231859;a:3:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1725232910;a:1:{s:31:\"kadence_countdown_daily_cleanup\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1725285600;a:1:{s:29:\"duplicator_email_summary_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1725429389;a:1:{s:30:\"duplicator_usage_tracking_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1725477762;a:1:{s:27:\"acf_update_site_health_data\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1725491559;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1725577453;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("120", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("123", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("131", "theme_mods_twentytwentyfour", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1712416825;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}}}}", "no");
INSERT INTO `wp_options` VALUES("153", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("162", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("163", "acf_first_activated_version", "6.2.8", "yes");
INSERT INTO `wp_options` VALUES("168", "kadence_blocks_schema_version", "1", "yes");
INSERT INTO `wp_options` VALUES("169", "widget_akismet_widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("170", "stellarwp_telemetry_last_send", "", "yes");
INSERT INTO `wp_options` VALUES("171", "stellarwp_telemetry", "a:1:{s:7:\"plugins\";a:1:{s:14:\"kadence-blocks\";a:2:{s:7:\"wp_slug\";s:33:\"kadence-blocks/kadence-blocks.php\";s:5:\"optin\";b:0;}}}", "yes");
INSERT INTO `wp_options` VALUES("172", "stellarwp_telemetry_kadence-blocks_show_optin", "0", "yes");
INSERT INTO `wp_options` VALUES("173", "acf_version", "6.3.6", "yes");
INSERT INTO `wp_options` VALUES("174", "duplicate_post_show_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("175", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("176", "duplicate_post_copydate", "", "yes");
INSERT INTO `wp_options` VALUES("177", "duplicate_post_copystatus", "", "yes");
INSERT INTO `wp_options` VALUES("178", "duplicate_post_copyslug", "", "yes");
INSERT INTO `wp_options` VALUES("179", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("180", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("181", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("182", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("183", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("184", "duplicate_post_copyauthor", "", "yes");
INSERT INTO `wp_options` VALUES("185", "duplicate_post_copypassword", "", "yes");
INSERT INTO `wp_options` VALUES("186", "duplicate_post_copyattachments", "", "yes");
INSERT INTO `wp_options` VALUES("187", "duplicate_post_copychildren", "", "yes");
INSERT INTO `wp_options` VALUES("188", "duplicate_post_copycomments", "", "yes");
INSERT INTO `wp_options` VALUES("189", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("190", "duplicate_post_taxonomies_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("191", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("192", "duplicate_post_types_enabled", "a:6:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:13:\"wp_navigation\";i:3;s:12:\"acf-taxonomy\";i:4;s:15:\"acf-field-group\";i:5;s:6:\"guitar\";}", "yes");
INSERT INTO `wp_options` VALUES("193", "duplicate_post_show_original_column", "", "yes");
INSERT INTO `wp_options` VALUES("194", "duplicate_post_show_original_in_post_states", "", "yes");
INSERT INTO `wp_options` VALUES("195", "duplicate_post_show_original_meta_box", "", "yes");
INSERT INTO `wp_options` VALUES("196", "duplicate_post_show_link", "a:3:{s:9:\"new_draft\";s:1:\"1\";s:5:\"clone\";s:1:\"1\";s:17:\"rewrite_republish\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("197", "duplicate_post_show_link_in", "a:4:{s:3:\"row\";s:1:\"1\";s:8:\"adminbar\";s:1:\"1\";s:9:\"submitbox\";s:1:\"1\";s:11:\"bulkactions\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("198", "duplicate_post_version", "4.5", "yes");
INSERT INTO `wp_options` VALUES("199", "kadenceblocks_data_settings", "a:4:{s:10:\"db_version\";i:0;s:15:\"version_history\";a:4:{i:1725147045;s:6:\"3.2.52\";i:1721848982;s:6:\"3.2.49\";i:1712359284;s:6:\"3.2.33\";i:0;s:3:\"new\";}s:13:\"prior_version\";s:6:\"3.2.49\";s:15:\"current_version\";s:6:\"3.2.52\";}", "yes");
INSERT INTO `wp_options` VALUES("204", "stellar_schema_version_kbp-form-events", "1.0.0", "yes");
INSERT INTO `wp_options` VALUES("205", "stellar_schema_version_kbo-query-index", "1.0.2", "yes");
INSERT INTO `wp_options` VALUES("207", "kadence-blocks-pro-license-updated", "1", "yes");
INSERT INTO `wp_options` VALUES("208", "wpdb_kbp_form_entry_version", "2021101212", "yes");
INSERT INTO `wp_options` VALUES("209", "wpdb_kbp_form_entrymeta_version", "2019101021", "yes");
INSERT INTO `wp_options` VALUES("210", "kbp_is_installed", "1", "yes");
INSERT INTO `wp_options` VALUES("211", "wpdb_kbp_countdown_entry_version", "2021031602", "yes");
INSERT INTO `wp_options` VALUES("219", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("220", "new_admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("223", "cptui_post_types", "a:1:{s:17:\"non-kitty-guitars\";a:34:{s:4:\"name\";s:17:\"non-kitty-guitars\";s:5:\"label\";s:17:\"Not-Kitty Guitars\";s:14:\"singular_label\";s:16:\"Not-Kitty Guitar\";s:11:\"description\";s:33:\"Guitars that are not Hello Kitty.\";s:6:\"public\";s:4:\"true\";s:18:\"publicly_queryable\";s:4:\"true\";s:7:\"show_ui\";s:4:\"true\";s:17:\"show_in_nav_menus\";s:4:\"true\";s:16:\"delete_with_user\";s:5:\"false\";s:12:\"show_in_rest\";s:4:\"true\";s:9:\"rest_base\";s:17:\"not-kitty-guitars\";s:21:\"rest_controller_class\";s:0:\"\";s:14:\"rest_namespace\";s:0:\"\";s:11:\"has_archive\";s:4:\"true\";s:18:\"has_archive_string\";s:17:\"not-kitty-guitars\";s:19:\"exclude_from_search\";s:5:\"false\";s:15:\"capability_type\";s:4:\"post\";s:12:\"hierarchical\";s:5:\"false\";s:10:\"can_export\";s:4:\"true\";s:7:\"rewrite\";s:4:\"true\";s:12:\"rewrite_slug\";s:7:\"guitars\";s:17:\"rewrite_withfront\";s:5:\"false\";s:9:\"query_var\";s:4:\"true\";s:14:\"query_var_slug\";s:0:\"\";s:13:\"menu_position\";s:1:\"6\";s:12:\"show_in_menu\";s:4:\"true\";s:19:\"show_in_menu_string\";s:0:\"\";s:9:\"menu_icon\";s:22:\"dashicons-format-audio\";s:20:\"register_meta_box_cb\";N;s:8:\"supports\";a:5:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:9:\"thumbnail\";i:3;s:7:\"excerpt\";i:4;s:13:\"custom-fields\";}s:10:\"taxonomies\";a:1:{i:0;s:7:\"company\";}s:6:\"labels\";a:31:{s:9:\"menu_name\";s:17:\"Not-Kitty Guitars\";s:9:\"all_items\";s:21:\"All Not-Kitty Guitars\";s:7:\"add_new\";s:7:\"Add new\";s:12:\"add_new_item\";s:24:\"Add new Not-Kitty Guitar\";s:9:\"edit_item\";s:21:\"Edit Not-Kitty Guitar\";s:8:\"new_item\";s:20:\"New Not-Kitty Guitar\";s:9:\"view_item\";s:21:\"View Not-Kitty Guitar\";s:10:\"view_items\";s:22:\"View Not-Kitty Guitars\";s:12:\"search_items\";s:24:\"Search Not-Kitty Guitars\";s:9:\"not_found\";s:26:\"No Not-Kitty Guitars found\";s:18:\"not_found_in_trash\";s:35:\"No Not-Kitty Guitars found in trash\";s:6:\"parent\";s:24:\"Parent Not-Kitty Guitar:\";s:14:\"featured_image\";s:40:\"Featured image for this Not-Kitty Guitar\";s:18:\"set_featured_image\";s:44:\"Set featured image for this Not-Kitty Guitar\";s:21:\"remove_featured_image\";s:47:\"Remove featured image for this Not-Kitty Guitar\";s:18:\"use_featured_image\";s:47:\"Use as featured image for this Not-Kitty Guitar\";s:8:\"archives\";s:25:\"Not-Kitty Guitar archives\";s:16:\"insert_into_item\";s:28:\"Insert into Not-Kitty Guitar\";s:21:\"uploaded_to_this_item\";s:31:\"Upload to this Not-Kitty Guitar\";s:17:\"filter_items_list\";s:29:\"Filter Not-Kitty Guitars list\";s:21:\"items_list_navigation\";s:33:\"Not-Kitty Guitars list navigation\";s:10:\"items_list\";s:22:\"Not-Kitty Guitars list\";s:10:\"attributes\";s:28:\"Not-Kitty Guitars attributes\";s:14:\"name_admin_bar\";s:16:\"Not-Kitty Guitar\";s:14:\"item_published\";s:26:\"Not-Kitty Guitar published\";s:24:\"item_published_privately\";s:37:\"Not-Kitty Guitar published privately.\";s:22:\"item_reverted_to_draft\";s:35:\"Not-Kitty Guitar reverted to draft.\";s:12:\"item_trashed\";s:25:\"Not-Kitty Guitar trashed.\";s:14:\"item_scheduled\";s:26:\"Not-Kitty Guitar scheduled\";s:12:\"item_updated\";s:25:\"Not-Kitty Guitar updated.\";s:17:\"parent_item_colon\";s:24:\"Parent Not-Kitty Guitar:\";}s:15:\"custom_supports\";s:0:\"\";s:16:\"enter_title_here\";s:20:\"Add Not-Kitty Guitar\";}}", "yes");
INSERT INTO `wp_options` VALUES("236", "cptui_taxonomies", "a:1:{s:7:\"company\";a:28:{s:4:\"name\";s:7:\"company\";s:5:\"label\";s:9:\"Companies\";s:14:\"singular_label\";s:7:\"Company\";s:11:\"description\";s:0:\"\";s:6:\"public\";s:4:\"true\";s:18:\"publicly_queryable\";s:4:\"true\";s:12:\"hierarchical\";s:5:\"false\";s:7:\"show_ui\";s:4:\"true\";s:12:\"show_in_menu\";s:4:\"true\";s:17:\"show_in_nav_menus\";s:4:\"true\";s:9:\"query_var\";s:4:\"true\";s:14:\"query_var_slug\";s:0:\"\";s:7:\"rewrite\";s:4:\"true\";s:12:\"rewrite_slug\";s:7:\"company\";s:17:\"rewrite_withfront\";s:1:\"1\";s:20:\"rewrite_hierarchical\";s:1:\"0\";s:17:\"show_admin_column\";s:4:\"true\";s:12:\"show_in_rest\";s:4:\"true\";s:13:\"show_tagcloud\";s:5:\"false\";s:4:\"sort\";s:5:\"false\";s:18:\"show_in_quick_edit\";s:4:\"true\";s:9:\"rest_base\";s:7:\"company\";s:21:\"rest_controller_class\";s:0:\"\";s:14:\"rest_namespace\";s:0:\"\";s:6:\"labels\";a:23:{s:9:\"menu_name\";s:7:\"Company\";s:9:\"all_items\";s:13:\"All Companies\";s:9:\"edit_item\";s:12:\"Edit Company\";s:9:\"view_item\";s:12:\"View Company\";s:11:\"update_item\";s:19:\"Update Company name\";s:12:\"add_new_item\";s:15:\"Add new Company\";s:13:\"new_item_name\";s:16:\"New Company name\";s:11:\"parent_item\";s:14:\"Parent Company\";s:17:\"parent_item_colon\";s:15:\"Parent Company:\";s:12:\"search_items\";s:16:\"Search Companies\";s:13:\"popular_items\";s:17:\"Popular Companies\";s:26:\"separate_items_with_commas\";s:30:\"Separate Companies with commas\";s:19:\"add_or_remove_items\";s:23:\"Add or remove Companies\";s:21:\"choose_from_most_used\";s:35:\"Choose from the most used Companies\";s:9:\"not_found\";s:18:\"No Companies found\";s:8:\"no_terms\";s:12:\"No Companies\";s:21:\"items_list_navigation\";s:25:\"Companies list navigation\";s:10:\"items_list\";s:14:\"Companies list\";s:13:\"back_to_items\";s:17:\"Back to Companies\";s:22:\"name_field_description\";s:40:\"The name is how it appears on your site.\";s:24:\"parent_field_description\";s:114:\"Assign a parent term to create a hierarchy. The term Jazz, for example, would be the parent of Bebop and Big Band.\";s:22:\"slug_field_description\";s:126:\"The slug is the URL-friendly version of the name. It is usually all lowercase and contains only letters, numbers, and hyphens.\";s:22:\"desc_field_description\";s:78:\"The description is not prominent by default; however, some themes may show it.\";}s:11:\"meta_box_cb\";s:0:\"\";s:12:\"default_term\";s:0:\"\";s:12:\"object_types\";a:1:{i:0;s:17:\"non-kitty-guitars\";}}}", "yes");
INSERT INTO `wp_options` VALUES("250", "stellarwp_uplink_update_status_kadence-blocks-pro", "O:8:\"stdClass\":3:{s:10:\"last_check\";i:1725147171;s:15:\"checked_version\";s:5:\"2.4.6\";s:6:\"update\";O:8:\"stdClass\":27:{s:4:\"name\";s:10:\"Blocks Pro\";s:4:\"slug\";s:18:\"kadence-blocks-pro\";s:7:\"zip_url\";s:0:\"\";s:11:\"file_prefix\";s:24:\"kadence-blocks-pro.2.4.6\";s:8:\"homepage\";s:41:\"https://www.kadencewp.com/kadence-blocks/\";s:12:\"download_url\";s:95:\"https://licensing.kadencewp.com/api/plugins/v2/download?plugin=kadence-blocks-pro&version=2.4.6\";s:12:\"icon_svg_url\";s:76:\"https://www.kadencewp.com/wp-content/uploads/kadence-misc/kadence-plugin.svg\";s:7:\"version\";s:5:\"2.4.6\";s:8:\"requires\";s:3:\"6.2\";s:6:\"tested\";s:5:\"6.6.1\";s:12:\"release_date\";s:19:\"2024-08-22 00:00:00\";s:14:\"upgrade_notice\";s:0:\"\";s:12:\"last_updated\";s:19:\"2024-08-22 21:29:48\";s:8:\"sections\";O:8:\"stdClass\":3:{s:11:\"description\";s:59:\"Premium WordPress Blocks for Beautifully Effective Websites\";s:12:\"installation\";s:0:\"\";s:9:\"changelog\";s:245:\"== 2.4.6 | 22nd August 2024 ==\r\n<ul>\r\n<li>* Fix: Search term not showing in query loop results.</li>\r\n<li>* Fix: Issue with setting numeric and size based padding & margin.</li>\r\n<li>* Fix: Issue with shortcode context in query loop.</li>\r\n</ul>\";}s:10:\"expiration\";s:10:\"2025-07-12\";s:11:\"daily_limit\";N;s:13:\"custom_update\";O:8:\"stdClass\":1:{s:5:\"icons\";O:8:\"stdClass\":1:{s:3:\"svg\";s:76:\"https://www.kadencewp.com/wp-content/uploads/kadence-misc/kadence-plugin.svg\";}}s:7:\"credits\";O:8:\"stdClass\":9:{s:5:\"total\";i:8000;s:9:\"available\";i:8000;s:4:\"used\";i:0;s:12:\"period_total\";i:8000;s:25:\"period_total_from_product\";s:4:\"8000\";s:25:\"period_total_from_license\";i:0;s:11:\"period_used\";i:0;s:14:\"lifetime_total\";i:0;s:13:\"lifetime_used\";i:0;}s:4:\"plan\";O:8:\"stdClass\":3:{s:4:\"name\";s:11:\"Full Bundle\";s:4:\"slug\";s:19:\"kadence-full-bundle\";s:4:\"type\";s:8:\"standard\";}s:10:\"origin_url\";s:26:\"https://www.kadencewp.com/\";s:8:\"home_url\";s:26:\"https://www.kadencewp.com/\";s:8:\"auth_url\";s:0:\"\";s:13:\"auth_required\";b:1;s:13:\"is_authorized\";b:0;s:11:\"api_upgrade\";b:0;s:11:\"api_expired\";b:0;s:11:\"api_message\";N;}}", "yes");
INSERT INTO `wp_options` VALUES("251", "duplicate_post_title_prefix", "", "yes");
INSERT INTO `wp_options` VALUES("252", "duplicate_post_title_suffix", "", "yes");
INSERT INTO `wp_options` VALUES("253", "duplicate_post_increase_menu_order_by", "", "yes");
INSERT INTO `wp_options` VALUES("254", "duplicate_post_roles", "a:2:{i:0;s:13:\"administrator\";i:1;s:6:\"editor\";}", "yes");
INSERT INTO `wp_options` VALUES("302", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("341", "stellarwp_uplink_license_key_kadence-blocks-pro", "ktm_wc_order_gT4lUjthaVHDu_am_TBy2677BhBW9", "yes");
INSERT INTO `wp_options` VALUES("345", "stellarwp_uplink_license_key_status_kadence-blocks-pro_localhost", "valid", "yes");
INSERT INTO `wp_options` VALUES("346", "stellarwp_uplink_license_key_status_kadence-blocks-pro_localhost_timeout", "43200", "yes");
INSERT INTO `wp_options` VALUES("356", "duplicator_version_plugin", "1.5.10.2", "yes");
INSERT INTO `wp_options` VALUES("359", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("360", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("361", "duplicator_settings", "a:19:{s:7:\"version\";s:8:\"1.5.10.2\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:23:\"email_summary_frequency\";s:6:\"weekly\";s:9:\"amNotices\";b:1;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:5;s:14:\"usage_tracking\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("363", "duplicator_notifications", "a:4:{s:6:\"update\";i:1725146969;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:1:{i:0;s:2:\"12\";}}", "yes");
INSERT INTO `wp_options` VALUES("364", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-08-31 23:38:10\";s:7:\"Version\";s:8:\"1.5.10.2\";s:9:\"VersionWP\";s:5:\"6.6.1\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20240804_guitarkitty_starter_cpt_cf_pro\";s:4:\"Hash\";s:35:\"1ab339174b712f569283_20240831233810\";s:8:\"NameHash\";s:75:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:87:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:958;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:6324;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-08-31 23:38:10\";s:7:\"Version\";s:8:\"1.5.10.2\";s:9:\"VersionWP\";s:5:\"6.6.1\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20240804_guitarkitty_starter_cpt_cf_pro\";s:4:\"Hash\";s:35:\"1ab339174b712f569283_20240831233810\";s:8:\"NameHash\";s:75:\"20240804_guitarkitty_starter_cpt_cf_pro_1ab339174b712f569283_20240831233810\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:101:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";N;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:96:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-admin\";i:1;s:99:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-includes\";i:2;s:108:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:87:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\";i:1;s:87:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\";i:2;s:98:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content\";i:3;s:106:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads\";i:4;s:106:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/plugins\";i:5;s:109:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/mu-plugins\";i:6;s:105:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:119:\"/Applications/MAMP/htdocs/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}", "yes");
INSERT INTO `wp_options` VALUES("365", "duplicator_email_summary_info", "{\"CL_-=_-=\":\"Duplicator\\\\Utils\\\\Email\\\\EmailSummary\",\"manualPackageIds\":[1,3,4],\"failedPackageIds\":[]}", "yes");
INSERT INTO `wp_options` VALUES("371", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("375", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:15:\"kevinmc@shaw.ca\";s:7:\"version\";s:5:\"6.6.1\";s:9:\"timestamp\";i:1721845625;}", "no");
INSERT INTO `wp_options` VALUES("382", "can_compress_scripts", "1", "yes");
INSERT INTO `wp_options` VALUES("383", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("522", "duplicator_pro_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("523", "duplicator_activate_plugins_after_installation", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("540", "current_theme", "Twenty Twenty-Three", "yes");
INSERT INTO `wp_options` VALUES("541", "theme_mods_guitarkitty", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1722629841;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}", "off");
INSERT INTO `wp_options` VALUES("542", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("640", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("714", "theme_mods_twentytwentythree", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1725147187;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}", "on");
INSERT INTO `wp_options` VALUES("829", "theme_mods_sudiksha-template-part-test", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1713821593;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}", "no");
INSERT INTO `wp_options` VALUES("953", "acf_site_health", "{\"version\":\"6.3.4\",\"plugin_type\":\"Free\",\"wp_version\":\"6.6.1\",\"mysql_version\":\"5.7.39\",\"is_multisite\":false,\"active_theme\":{\"name\":\"Twenty Twenty-Three\",\"version\":\"1.5\",\"theme_uri\":\"https:\\/\\/wordpress.org\\/themes\\/twentytwentythree\",\"stylesheet\":false},\"active_plugins\":{\"advanced-custom-fields\\/acf.php\":{\"name\":\"Advanced Custom Fields\",\"version\":\"6.3.4\",\"plugin_uri\":\"https:\\/\\/www.advancedcustomfields.com\"},\"create-block-theme\\/create-block-theme.php\":{\"name\":\"Create Block Theme\",\"version\":\"2.3.0\",\"plugin_uri\":\"https:\\/\\/wordpress.org\\/plugins\\/create-block-theme\"},\"custom-post-type-ui\\/custom-post-type-ui.php\":{\"name\":\"Custom Post Type UI\",\"version\":\"1.17.1\",\"plugin_uri\":\"https:\\/\\/github.com\\/WebDevStudios\\/custom-post-type-ui\\/\"},\"duplicator\\/duplicator.php\":{\"name\":\"Duplicator\",\"version\":\"1.5.10.1\",\"plugin_uri\":\"https:\\/\\/duplicator.com\\/\"},\"kadence-blocks-pro\\/kadence-blocks-pro.php\":{\"name\":\"Kadence Blocks - PRO Extension\",\"version\":\"2.4.3\",\"plugin_uri\":\"https:\\/\\/www.kadencewp.com\\/product\\/kadence-gutenberg-blocks\\/\"},\"kadence-blocks\\/kadence-blocks.php\":{\"name\":\"Kadence Blocks \\u2013 Gutenberg Blocks for Page Builder Features\",\"version\":\"3.2.49\",\"plugin_uri\":\"https:\\/\\/www.kadencewp.com\\/product\\/kadence-gutenberg-blocks\\/\"}},\"ui_field_groups\":\"2\",\"php_field_groups\":\"0\",\"json_field_groups\":\"0\",\"rest_field_groups\":\"0\",\"number_of_fields_by_type\":{\"text\":17,\"number\":3,\"select\":1},\"number_of_third_party_fields_by_type\":[],\"post_types_enabled\":true,\"ui_post_types\":\"10\",\"json_post_types\":\"0\",\"ui_taxonomies\":\"4\",\"json_taxonomies\":\"0\",\"rest_api_format\":\"light\",\"admin_ui_enabled\":true,\"field_type-modal_enabled\":true,\"field_settings_tabs_enabled\":false,\"shortcode_enabled\":true,\"registered_acf_forms\":\"0\",\"json_save_paths\":1,\"json_load_paths\":1,\"last_updated\":1725146960}", "off");
INSERT INTO `wp_options` VALUES("1031", "site_logo", "534", "auto");
INSERT INTO `wp_options` VALUES("1702", "duplicator_dismissed_admin_notices", "a:1:{s:14:\"review_request\";a:1:{s:4:\"time\";i:1722524956;}}", "on");
INSERT INTO `wp_options` VALUES("1753", "theme_mods_kevinmcmillan", "a:4:{s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1723044060;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}", "off");
INSERT INTO `wp_options` VALUES("2067", "duplicator_migration_data", "{\n    \"plugin\": \"dup-lite\",\n    \"installerVersion\": \"1.5.10.1\",\n    \"installType\": -1,\n    \"logicModes\": [\n        \"CLASSIC\"\n    ],\n    \"template\": \"base\",\n    \"restoreBackupMode\": false,\n    \"recoveryMode\": false,\n    \"archivePath\": \"\\/Applications\\/MAMP\\/htdocs\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/20240804_guitarkitty_expanded_f410196cb248f2e34816_20240807000155_archive.zip\",\n    \"packageHash\": \"f410196-07000155\",\n    \"installerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/installer.php\",\n    \"installerBootLog\": \"\\/Applications\\/MAMP\\/htdocs\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/dup-installer-bootlog__f770968-07000155.txt\",\n    \"installerLog\": \"\\/Applications\\/MAMP\\/htdocs\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/dup-installer\\/dup-installer-log__f770968-07000155.txt\",\n    \"dupInstallerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/dup-installer\",\n    \"origFileFolderPath\": \"\\/Applications\\/MAMP\\/htdocs\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/dup-installer\\/original_files_f410196-07000155\",\n    \"safeMode\": 0,\n    \"cleanInstallerFiles\": true,\n    \"licenseType\": 0,\n    \"phpVersion\": \"8.2.0\",\n    \"archiveType\": \"zip\",\n    \"siteSize\": 74202764,\n    \"siteNumFiles\": 7291,\n    \"siteDbSize\": 6815744,\n    \"siteDBNumTables\": 18,\n    \"components\": [\n        \"package_component_db\",\n        \"package_component_core\",\n        \"package_component_plugins\",\n        \"package_component_themes\",\n        \"package_component_uploads\",\n        \"package_component_other\"\n    ],\n    \"ustatIdentifier\": \"\",\n    \"time\": 1723043828\n}", "no");
INSERT INTO `wp_options` VALUES("2068", "_transient_wp_core_block_css_files", "a:2:{s:7:\"version\";s:5:\"6.6.1\";s:5:\"files\";a:496:{i:0;s:23:\"archives/editor-rtl.css\";i:1;s:27:\"archives/editor-rtl.min.css\";i:2;s:19:\"archives/editor.css\";i:3;s:23:\"archives/editor.min.css\";i:4;s:22:\"archives/style-rtl.css\";i:5;s:26:\"archives/style-rtl.min.css\";i:6;s:18:\"archives/style.css\";i:7;s:22:\"archives/style.min.css\";i:8;s:20:\"audio/editor-rtl.css\";i:9;s:24:\"audio/editor-rtl.min.css\";i:10;s:16:\"audio/editor.css\";i:11;s:20:\"audio/editor.min.css\";i:12;s:19:\"audio/style-rtl.css\";i:13;s:23:\"audio/style-rtl.min.css\";i:14;s:15:\"audio/style.css\";i:15;s:19:\"audio/style.min.css\";i:16;s:19:\"audio/theme-rtl.css\";i:17;s:23:\"audio/theme-rtl.min.css\";i:18;s:15:\"audio/theme.css\";i:19;s:19:\"audio/theme.min.css\";i:20;s:21:\"avatar/editor-rtl.css\";i:21;s:25:\"avatar/editor-rtl.min.css\";i:22;s:17:\"avatar/editor.css\";i:23;s:21:\"avatar/editor.min.css\";i:24;s:20:\"avatar/style-rtl.css\";i:25;s:24:\"avatar/style-rtl.min.css\";i:26;s:16:\"avatar/style.css\";i:27;s:20:\"avatar/style.min.css\";i:28;s:21:\"button/editor-rtl.css\";i:29;s:25:\"button/editor-rtl.min.css\";i:30;s:17:\"button/editor.css\";i:31;s:21:\"button/editor.min.css\";i:32;s:20:\"button/style-rtl.css\";i:33;s:24:\"button/style-rtl.min.css\";i:34;s:16:\"button/style.css\";i:35;s:20:\"button/style.min.css\";i:36;s:22:\"buttons/editor-rtl.css\";i:37;s:26:\"buttons/editor-rtl.min.css\";i:38;s:18:\"buttons/editor.css\";i:39;s:22:\"buttons/editor.min.css\";i:40;s:21:\"buttons/style-rtl.css\";i:41;s:25:\"buttons/style-rtl.min.css\";i:42;s:17:\"buttons/style.css\";i:43;s:21:\"buttons/style.min.css\";i:44;s:22:\"calendar/style-rtl.css\";i:45;s:26:\"calendar/style-rtl.min.css\";i:46;s:18:\"calendar/style.css\";i:47;s:22:\"calendar/style.min.css\";i:48;s:25:\"categories/editor-rtl.css\";i:49;s:29:\"categories/editor-rtl.min.css\";i:50;s:21:\"categories/editor.css\";i:51;s:25:\"categories/editor.min.css\";i:52;s:24:\"categories/style-rtl.css\";i:53;s:28:\"categories/style-rtl.min.css\";i:54;s:20:\"categories/style.css\";i:55;s:24:\"categories/style.min.css\";i:56;s:19:\"code/editor-rtl.css\";i:57;s:23:\"code/editor-rtl.min.css\";i:58;s:15:\"code/editor.css\";i:59;s:19:\"code/editor.min.css\";i:60;s:18:\"code/style-rtl.css\";i:61;s:22:\"code/style-rtl.min.css\";i:62;s:14:\"code/style.css\";i:63;s:18:\"code/style.min.css\";i:64;s:18:\"code/theme-rtl.css\";i:65;s:22:\"code/theme-rtl.min.css\";i:66;s:14:\"code/theme.css\";i:67;s:18:\"code/theme.min.css\";i:68;s:22:\"columns/editor-rtl.css\";i:69;s:26:\"columns/editor-rtl.min.css\";i:70;s:18:\"columns/editor.css\";i:71;s:22:\"columns/editor.min.css\";i:72;s:21:\"columns/style-rtl.css\";i:73;s:25:\"columns/style-rtl.min.css\";i:74;s:17:\"columns/style.css\";i:75;s:21:\"columns/style.min.css\";i:76;s:29:\"comment-content/style-rtl.css\";i:77;s:33:\"comment-content/style-rtl.min.css\";i:78;s:25:\"comment-content/style.css\";i:79;s:29:\"comment-content/style.min.css\";i:80;s:30:\"comment-template/style-rtl.css\";i:81;s:34:\"comment-template/style-rtl.min.css\";i:82;s:26:\"comment-template/style.css\";i:83;s:30:\"comment-template/style.min.css\";i:84;s:42:\"comments-pagination-numbers/editor-rtl.css\";i:85;s:46:\"comments-pagination-numbers/editor-rtl.min.css\";i:86;s:38:\"comments-pagination-numbers/editor.css\";i:87;s:42:\"comments-pagination-numbers/editor.min.css\";i:88;s:34:\"comments-pagination/editor-rtl.css\";i:89;s:38:\"comments-pagination/editor-rtl.min.css\";i:90;s:30:\"comments-pagination/editor.css\";i:91;s:34:\"comments-pagination/editor.min.css\";i:92;s:33:\"comments-pagination/style-rtl.css\";i:93;s:37:\"comments-pagination/style-rtl.min.css\";i:94;s:29:\"comments-pagination/style.css\";i:95;s:33:\"comments-pagination/style.min.css\";i:96;s:29:\"comments-title/editor-rtl.css\";i:97;s:33:\"comments-title/editor-rtl.min.css\";i:98;s:25:\"comments-title/editor.css\";i:99;s:29:\"comments-title/editor.min.css\";i:100;s:23:\"comments/editor-rtl.css\";i:101;s:27:\"comments/editor-rtl.min.css\";i:102;s:19:\"comments/editor.css\";i:103;s:23:\"comments/editor.min.css\";i:104;s:22:\"comments/style-rtl.css\";i:105;s:26:\"comments/style-rtl.min.css\";i:106;s:18:\"comments/style.css\";i:107;s:22:\"comments/style.min.css\";i:108;s:20:\"cover/editor-rtl.css\";i:109;s:24:\"cover/editor-rtl.min.css\";i:110;s:16:\"cover/editor.css\";i:111;s:20:\"cover/editor.min.css\";i:112;s:19:\"cover/style-rtl.css\";i:113;s:23:\"cover/style-rtl.min.css\";i:114;s:15:\"cover/style.css\";i:115;s:19:\"cover/style.min.css\";i:116;s:22:\"details/editor-rtl.css\";i:117;s:26:\"details/editor-rtl.min.css\";i:118;s:18:\"details/editor.css\";i:119;s:22:\"details/editor.min.css\";i:120;s:21:\"details/style-rtl.css\";i:121;s:25:\"details/style-rtl.min.css\";i:122;s:17:\"details/style.css\";i:123;s:21:\"details/style.min.css\";i:124;s:20:\"embed/editor-rtl.css\";i:125;s:24:\"embed/editor-rtl.min.css\";i:126;s:16:\"embed/editor.css\";i:127;s:20:\"embed/editor.min.css\";i:128;s:19:\"embed/style-rtl.css\";i:129;s:23:\"embed/style-rtl.min.css\";i:130;s:15:\"embed/style.css\";i:131;s:19:\"embed/style.min.css\";i:132;s:19:\"embed/theme-rtl.css\";i:133;s:23:\"embed/theme-rtl.min.css\";i:134;s:15:\"embed/theme.css\";i:135;s:19:\"embed/theme.min.css\";i:136;s:19:\"file/editor-rtl.css\";i:137;s:23:\"file/editor-rtl.min.css\";i:138;s:15:\"file/editor.css\";i:139;s:19:\"file/editor.min.css\";i:140;s:18:\"file/style-rtl.css\";i:141;s:22:\"file/style-rtl.min.css\";i:142;s:14:\"file/style.css\";i:143;s:18:\"file/style.min.css\";i:144;s:23:\"footnotes/style-rtl.css\";i:145;s:27:\"footnotes/style-rtl.min.css\";i:146;s:19:\"footnotes/style.css\";i:147;s:23:\"footnotes/style.min.css\";i:148;s:23:\"freeform/editor-rtl.css\";i:149;s:27:\"freeform/editor-rtl.min.css\";i:150;s:19:\"freeform/editor.css\";i:151;s:23:\"freeform/editor.min.css\";i:152;s:22:\"gallery/editor-rtl.css\";i:153;s:26:\"gallery/editor-rtl.min.css\";i:154;s:18:\"gallery/editor.css\";i:155;s:22:\"gallery/editor.min.css\";i:156;s:21:\"gallery/style-rtl.css\";i:157;s:25:\"gallery/style-rtl.min.css\";i:158;s:17:\"gallery/style.css\";i:159;s:21:\"gallery/style.min.css\";i:160;s:21:\"gallery/theme-rtl.css\";i:161;s:25:\"gallery/theme-rtl.min.css\";i:162;s:17:\"gallery/theme.css\";i:163;s:21:\"gallery/theme.min.css\";i:164;s:20:\"group/editor-rtl.css\";i:165;s:24:\"group/editor-rtl.min.css\";i:166;s:16:\"group/editor.css\";i:167;s:20:\"group/editor.min.css\";i:168;s:19:\"group/style-rtl.css\";i:169;s:23:\"group/style-rtl.min.css\";i:170;s:15:\"group/style.css\";i:171;s:19:\"group/style.min.css\";i:172;s:19:\"group/theme-rtl.css\";i:173;s:23:\"group/theme-rtl.min.css\";i:174;s:15:\"group/theme.css\";i:175;s:19:\"group/theme.min.css\";i:176;s:21:\"heading/style-rtl.css\";i:177;s:25:\"heading/style-rtl.min.css\";i:178;s:17:\"heading/style.css\";i:179;s:21:\"heading/style.min.css\";i:180;s:19:\"html/editor-rtl.css\";i:181;s:23:\"html/editor-rtl.min.css\";i:182;s:15:\"html/editor.css\";i:183;s:19:\"html/editor.min.css\";i:184;s:20:\"image/editor-rtl.css\";i:185;s:24:\"image/editor-rtl.min.css\";i:186;s:16:\"image/editor.css\";i:187;s:20:\"image/editor.min.css\";i:188;s:19:\"image/style-rtl.css\";i:189;s:23:\"image/style-rtl.min.css\";i:190;s:15:\"image/style.css\";i:191;s:19:\"image/style.min.css\";i:192;s:19:\"image/theme-rtl.css\";i:193;s:23:\"image/theme-rtl.min.css\";i:194;s:15:\"image/theme.css\";i:195;s:19:\"image/theme.min.css\";i:196;s:29:\"latest-comments/style-rtl.css\";i:197;s:33:\"latest-comments/style-rtl.min.css\";i:198;s:25:\"latest-comments/style.css\";i:199;s:29:\"latest-comments/style.min.css\";i:200;s:27:\"latest-posts/editor-rtl.css\";i:201;s:31:\"latest-posts/editor-rtl.min.css\";i:202;s:23:\"latest-posts/editor.css\";i:203;s:27:\"latest-posts/editor.min.css\";i:204;s:26:\"latest-posts/style-rtl.css\";i:205;s:30:\"latest-posts/style-rtl.min.css\";i:206;s:22:\"latest-posts/style.css\";i:207;s:26:\"latest-posts/style.min.css\";i:208;s:18:\"list/style-rtl.css\";i:209;s:22:\"list/style-rtl.min.css\";i:210;s:14:\"list/style.css\";i:211;s:18:\"list/style.min.css\";i:212;s:25:\"media-text/editor-rtl.css\";i:213;s:29:\"media-text/editor-rtl.min.css\";i:214;s:21:\"media-text/editor.css\";i:215;s:25:\"media-text/editor.min.css\";i:216;s:24:\"media-text/style-rtl.css\";i:217;s:28:\"media-text/style-rtl.min.css\";i:218;s:20:\"media-text/style.css\";i:219;s:24:\"media-text/style.min.css\";i:220;s:19:\"more/editor-rtl.css\";i:221;s:23:\"more/editor-rtl.min.css\";i:222;s:15:\"more/editor.css\";i:223;s:19:\"more/editor.min.css\";i:224;s:30:\"navigation-link/editor-rtl.css\";i:225;s:34:\"navigation-link/editor-rtl.min.css\";i:226;s:26:\"navigation-link/editor.css\";i:227;s:30:\"navigation-link/editor.min.css\";i:228;s:29:\"navigation-link/style-rtl.css\";i:229;s:33:\"navigation-link/style-rtl.min.css\";i:230;s:25:\"navigation-link/style.css\";i:231;s:29:\"navigation-link/style.min.css\";i:232;s:33:\"navigation-submenu/editor-rtl.css\";i:233;s:37:\"navigation-submenu/editor-rtl.min.css\";i:234;s:29:\"navigation-submenu/editor.css\";i:235;s:33:\"navigation-submenu/editor.min.css\";i:236;s:25:\"navigation/editor-rtl.css\";i:237;s:29:\"navigation/editor-rtl.min.css\";i:238;s:21:\"navigation/editor.css\";i:239;s:25:\"navigation/editor.min.css\";i:240;s:24:\"navigation/style-rtl.css\";i:241;s:28:\"navigation/style-rtl.min.css\";i:242;s:20:\"navigation/style.css\";i:243;s:24:\"navigation/style.min.css\";i:244;s:23:\"nextpage/editor-rtl.css\";i:245;s:27:\"nextpage/editor-rtl.min.css\";i:246;s:19:\"nextpage/editor.css\";i:247;s:23:\"nextpage/editor.min.css\";i:248;s:24:\"page-list/editor-rtl.css\";i:249;s:28:\"page-list/editor-rtl.min.css\";i:250;s:20:\"page-list/editor.css\";i:251;s:24:\"page-list/editor.min.css\";i:252;s:23:\"page-list/style-rtl.css\";i:253;s:27:\"page-list/style-rtl.min.css\";i:254;s:19:\"page-list/style.css\";i:255;s:23:\"page-list/style.min.css\";i:256;s:24:\"paragraph/editor-rtl.css\";i:257;s:28:\"paragraph/editor-rtl.min.css\";i:258;s:20:\"paragraph/editor.css\";i:259;s:24:\"paragraph/editor.min.css\";i:260;s:23:\"paragraph/style-rtl.css\";i:261;s:27:\"paragraph/style-rtl.min.css\";i:262;s:19:\"paragraph/style.css\";i:263;s:23:\"paragraph/style.min.css\";i:264;s:25:\"post-author/style-rtl.css\";i:265;s:29:\"post-author/style-rtl.min.css\";i:266;s:21:\"post-author/style.css\";i:267;s:25:\"post-author/style.min.css\";i:268;s:33:\"post-comments-form/editor-rtl.css\";i:269;s:37:\"post-comments-form/editor-rtl.min.css\";i:270;s:29:\"post-comments-form/editor.css\";i:271;s:33:\"post-comments-form/editor.min.css\";i:272;s:32:\"post-comments-form/style-rtl.css\";i:273;s:36:\"post-comments-form/style-rtl.min.css\";i:274;s:28:\"post-comments-form/style.css\";i:275;s:32:\"post-comments-form/style.min.css\";i:276;s:27:\"post-content/editor-rtl.css\";i:277;s:31:\"post-content/editor-rtl.min.css\";i:278;s:23:\"post-content/editor.css\";i:279;s:27:\"post-content/editor.min.css\";i:280;s:23:\"post-date/style-rtl.css\";i:281;s:27:\"post-date/style-rtl.min.css\";i:282;s:19:\"post-date/style.css\";i:283;s:23:\"post-date/style.min.css\";i:284;s:27:\"post-excerpt/editor-rtl.css\";i:285;s:31:\"post-excerpt/editor-rtl.min.css\";i:286;s:23:\"post-excerpt/editor.css\";i:287;s:27:\"post-excerpt/editor.min.css\";i:288;s:26:\"post-excerpt/style-rtl.css\";i:289;s:30:\"post-excerpt/style-rtl.min.css\";i:290;s:22:\"post-excerpt/style.css\";i:291;s:26:\"post-excerpt/style.min.css\";i:292;s:34:\"post-featured-image/editor-rtl.css\";i:293;s:38:\"post-featured-image/editor-rtl.min.css\";i:294;s:30:\"post-featured-image/editor.css\";i:295;s:34:\"post-featured-image/editor.min.css\";i:296;s:33:\"post-featured-image/style-rtl.css\";i:297;s:37:\"post-featured-image/style-rtl.min.css\";i:298;s:29:\"post-featured-image/style.css\";i:299;s:33:\"post-featured-image/style.min.css\";i:300;s:34:\"post-navigation-link/style-rtl.css\";i:301;s:38:\"post-navigation-link/style-rtl.min.css\";i:302;s:30:\"post-navigation-link/style.css\";i:303;s:34:\"post-navigation-link/style.min.css\";i:304;s:28:\"post-template/editor-rtl.css\";i:305;s:32:\"post-template/editor-rtl.min.css\";i:306;s:24:\"post-template/editor.css\";i:307;s:28:\"post-template/editor.min.css\";i:308;s:27:\"post-template/style-rtl.css\";i:309;s:31:\"post-template/style-rtl.min.css\";i:310;s:23:\"post-template/style.css\";i:311;s:27:\"post-template/style.min.css\";i:312;s:24:\"post-terms/style-rtl.css\";i:313;s:28:\"post-terms/style-rtl.min.css\";i:314;s:20:\"post-terms/style.css\";i:315;s:24:\"post-terms/style.min.css\";i:316;s:24:\"post-title/style-rtl.css\";i:317;s:28:\"post-title/style-rtl.min.css\";i:318;s:20:\"post-title/style.css\";i:319;s:24:\"post-title/style.min.css\";i:320;s:26:\"preformatted/style-rtl.css\";i:321;s:30:\"preformatted/style-rtl.min.css\";i:322;s:22:\"preformatted/style.css\";i:323;s:26:\"preformatted/style.min.css\";i:324;s:24:\"pullquote/editor-rtl.css\";i:325;s:28:\"pullquote/editor-rtl.min.css\";i:326;s:20:\"pullquote/editor.css\";i:327;s:24:\"pullquote/editor.min.css\";i:328;s:23:\"pullquote/style-rtl.css\";i:329;s:27:\"pullquote/style-rtl.min.css\";i:330;s:19:\"pullquote/style.css\";i:331;s:23:\"pullquote/style.min.css\";i:332;s:23:\"pullquote/theme-rtl.css\";i:333;s:27:\"pullquote/theme-rtl.min.css\";i:334;s:19:\"pullquote/theme.css\";i:335;s:23:\"pullquote/theme.min.css\";i:336;s:39:\"query-pagination-numbers/editor-rtl.css\";i:337;s:43:\"query-pagination-numbers/editor-rtl.min.css\";i:338;s:35:\"query-pagination-numbers/editor.css\";i:339;s:39:\"query-pagination-numbers/editor.min.css\";i:340;s:31:\"query-pagination/editor-rtl.css\";i:341;s:35:\"query-pagination/editor-rtl.min.css\";i:342;s:27:\"query-pagination/editor.css\";i:343;s:31:\"query-pagination/editor.min.css\";i:344;s:30:\"query-pagination/style-rtl.css\";i:345;s:34:\"query-pagination/style-rtl.min.css\";i:346;s:26:\"query-pagination/style.css\";i:347;s:30:\"query-pagination/style.min.css\";i:348;s:25:\"query-title/style-rtl.css\";i:349;s:29:\"query-title/style-rtl.min.css\";i:350;s:21:\"query-title/style.css\";i:351;s:25:\"query-title/style.min.css\";i:352;s:20:\"query/editor-rtl.css\";i:353;s:24:\"query/editor-rtl.min.css\";i:354;s:16:\"query/editor.css\";i:355;s:20:\"query/editor.min.css\";i:356;s:19:\"quote/style-rtl.css\";i:357;s:23:\"quote/style-rtl.min.css\";i:358;s:15:\"quote/style.css\";i:359;s:19:\"quote/style.min.css\";i:360;s:19:\"quote/theme-rtl.css\";i:361;s:23:\"quote/theme-rtl.min.css\";i:362;s:15:\"quote/theme.css\";i:363;s:19:\"quote/theme.min.css\";i:364;s:23:\"read-more/style-rtl.css\";i:365;s:27:\"read-more/style-rtl.min.css\";i:366;s:19:\"read-more/style.css\";i:367;s:23:\"read-more/style.min.css\";i:368;s:18:\"rss/editor-rtl.css\";i:369;s:22:\"rss/editor-rtl.min.css\";i:370;s:14:\"rss/editor.css\";i:371;s:18:\"rss/editor.min.css\";i:372;s:17:\"rss/style-rtl.css\";i:373;s:21:\"rss/style-rtl.min.css\";i:374;s:13:\"rss/style.css\";i:375;s:17:\"rss/style.min.css\";i:376;s:21:\"search/editor-rtl.css\";i:377;s:25:\"search/editor-rtl.min.css\";i:378;s:17:\"search/editor.css\";i:379;s:21:\"search/editor.min.css\";i:380;s:20:\"search/style-rtl.css\";i:381;s:24:\"search/style-rtl.min.css\";i:382;s:16:\"search/style.css\";i:383;s:20:\"search/style.min.css\";i:384;s:20:\"search/theme-rtl.css\";i:385;s:24:\"search/theme-rtl.min.css\";i:386;s:16:\"search/theme.css\";i:387;s:20:\"search/theme.min.css\";i:388;s:24:\"separator/editor-rtl.css\";i:389;s:28:\"separator/editor-rtl.min.css\";i:390;s:20:\"separator/editor.css\";i:391;s:24:\"separator/editor.min.css\";i:392;s:23:\"separator/style-rtl.css\";i:393;s:27:\"separator/style-rtl.min.css\";i:394;s:19:\"separator/style.css\";i:395;s:23:\"separator/style.min.css\";i:396;s:23:\"separator/theme-rtl.css\";i:397;s:27:\"separator/theme-rtl.min.css\";i:398;s:19:\"separator/theme.css\";i:399;s:23:\"separator/theme.min.css\";i:400;s:24:\"shortcode/editor-rtl.css\";i:401;s:28:\"shortcode/editor-rtl.min.css\";i:402;s:20:\"shortcode/editor.css\";i:403;s:24:\"shortcode/editor.min.css\";i:404;s:24:\"site-logo/editor-rtl.css\";i:405;s:28:\"site-logo/editor-rtl.min.css\";i:406;s:20:\"site-logo/editor.css\";i:407;s:24:\"site-logo/editor.min.css\";i:408;s:23:\"site-logo/style-rtl.css\";i:409;s:27:\"site-logo/style-rtl.min.css\";i:410;s:19:\"site-logo/style.css\";i:411;s:23:\"site-logo/style.min.css\";i:412;s:27:\"site-tagline/editor-rtl.css\";i:413;s:31:\"site-tagline/editor-rtl.min.css\";i:414;s:23:\"site-tagline/editor.css\";i:415;s:27:\"site-tagline/editor.min.css\";i:416;s:25:\"site-title/editor-rtl.css\";i:417;s:29:\"site-title/editor-rtl.min.css\";i:418;s:21:\"site-title/editor.css\";i:419;s:25:\"site-title/editor.min.css\";i:420;s:24:\"site-title/style-rtl.css\";i:421;s:28:\"site-title/style-rtl.min.css\";i:422;s:20:\"site-title/style.css\";i:423;s:24:\"site-title/style.min.css\";i:424;s:26:\"social-link/editor-rtl.css\";i:425;s:30:\"social-link/editor-rtl.min.css\";i:426;s:22:\"social-link/editor.css\";i:427;s:26:\"social-link/editor.min.css\";i:428;s:27:\"social-links/editor-rtl.css\";i:429;s:31:\"social-links/editor-rtl.min.css\";i:430;s:23:\"social-links/editor.css\";i:431;s:27:\"social-links/editor.min.css\";i:432;s:26:\"social-links/style-rtl.css\";i:433;s:30:\"social-links/style-rtl.min.css\";i:434;s:22:\"social-links/style.css\";i:435;s:26:\"social-links/style.min.css\";i:436;s:21:\"spacer/editor-rtl.css\";i:437;s:25:\"spacer/editor-rtl.min.css\";i:438;s:17:\"spacer/editor.css\";i:439;s:21:\"spacer/editor.min.css\";i:440;s:20:\"spacer/style-rtl.css\";i:441;s:24:\"spacer/style-rtl.min.css\";i:442;s:16:\"spacer/style.css\";i:443;s:20:\"spacer/style.min.css\";i:444;s:20:\"table/editor-rtl.css\";i:445;s:24:\"table/editor-rtl.min.css\";i:446;s:16:\"table/editor.css\";i:447;s:20:\"table/editor.min.css\";i:448;s:19:\"table/style-rtl.css\";i:449;s:23:\"table/style-rtl.min.css\";i:450;s:15:\"table/style.css\";i:451;s:19:\"table/style.min.css\";i:452;s:19:\"table/theme-rtl.css\";i:453;s:23:\"table/theme-rtl.min.css\";i:454;s:15:\"table/theme.css\";i:455;s:19:\"table/theme.min.css\";i:456;s:23:\"tag-cloud/style-rtl.css\";i:457;s:27:\"tag-cloud/style-rtl.min.css\";i:458;s:19:\"tag-cloud/style.css\";i:459;s:23:\"tag-cloud/style.min.css\";i:460;s:28:\"template-part/editor-rtl.css\";i:461;s:32:\"template-part/editor-rtl.min.css\";i:462;s:24:\"template-part/editor.css\";i:463;s:28:\"template-part/editor.min.css\";i:464;s:27:\"template-part/theme-rtl.css\";i:465;s:31:\"template-part/theme-rtl.min.css\";i:466;s:23:\"template-part/theme.css\";i:467;s:27:\"template-part/theme.min.css\";i:468;s:30:\"term-description/style-rtl.css\";i:469;s:34:\"term-description/style-rtl.min.css\";i:470;s:26:\"term-description/style.css\";i:471;s:30:\"term-description/style.min.css\";i:472;s:27:\"text-columns/editor-rtl.css\";i:473;s:31:\"text-columns/editor-rtl.min.css\";i:474;s:23:\"text-columns/editor.css\";i:475;s:27:\"text-columns/editor.min.css\";i:476;s:26:\"text-columns/style-rtl.css\";i:477;s:30:\"text-columns/style-rtl.min.css\";i:478;s:22:\"text-columns/style.css\";i:479;s:26:\"text-columns/style.min.css\";i:480;s:19:\"verse/style-rtl.css\";i:481;s:23:\"verse/style-rtl.min.css\";i:482;s:15:\"verse/style.css\";i:483;s:19:\"verse/style.min.css\";i:484;s:20:\"video/editor-rtl.css\";i:485;s:24:\"video/editor-rtl.min.css\";i:486;s:16:\"video/editor.css\";i:487;s:20:\"video/editor.min.css\";i:488;s:19:\"video/style-rtl.css\";i:489;s:23:\"video/style-rtl.min.css\";i:490;s:15:\"video/style.css\";i:491;s:19:\"video/style.min.css\";i:492;s:19:\"video/theme-rtl.css\";i:493;s:23:\"video/theme-rtl.min.css\";i:494;s:15:\"video/theme.css\";i:495;s:19:\"video/theme.min.css\";}}", "on");
INSERT INTO `wp_options` VALUES("2072", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.6.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.6.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-6.6.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-6.6.1-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.6.1\";s:7:\"version\";s:5:\"6.6.1\";s:11:\"php_version\";s:6:\"7.2.24\";s:13:\"mysql_version\";s:5:\"5.5.5\";s:11:\"new_bundled\";s:3:\"6.4\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1725147172;s:15:\"version_checked\";s:5:\"6.6.1\";s:12:\"translations\";a:0:{}}", "off");
INSERT INTO `wp_options` VALUES("2080", "duplicator_plugin_data_stats", "{\n    \"lastSendTime\": 0,\n    \"identifier\": \"=nIbMmbSCk,C.jSd63W92_2mq=zScyzCFU+6-rQo,jDt\",\n    \"plugin\": \"dup-lite\",\n    \"pluginStatus\": \"active\",\n    \"buildCount\": 2,\n    \"buildLastDate\": 1723047268,\n    \"buildFailedCount\": 0,\n    \"buildFailedLastDate\": 0,\n    \"siteSizeMB\": 164.64,\n    \"siteNumFiles\": 7282,\n    \"siteDbSizeMB\": 6.16,\n    \"siteDbNumTables\": 18\n}", "auto");
INSERT INTO `wp_options` VALUES("2082", "_site_transient_wp_plugin_dependencies_plugin_data", "a:0:{}", "off");
INSERT INTO `wp_options` VALUES("2113", "_site_transient_timeout_theme_roots", "1725149099", "off");
INSERT INTO `wp_options` VALUES("2114", "_site_transient_theme_roots", "a:2:{s:16:\"twentytwentyfour\";s:7:\"/themes\";s:17:\"twentytwentythree\";s:7:\"/themes\";}", "off");
INSERT INTO `wp_options` VALUES("2116", "_site_transient_timeout_php_check_ce267f3653936506950ae9448202043a", "1725751763", "off");
INSERT INTO `wp_options` VALUES("2117", "_site_transient_php_check_ce267f3653936506950ae9448202043a", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"7.2.24\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "off");
INSERT INTO `wp_options` VALUES("2118", "_transient_health-check-site-status-result", "{\"good\":\"20\",\"recommended\":\"5\",\"critical\":\"0\"}", "on");
INSERT INTO `wp_options` VALUES("2119", "_site_transient_timeout_browser_fe0673f2a48d047b912b27e2a0c02f9f", "1725751770", "off");
INSERT INTO `wp_options` VALUES("2120", "_site_transient_browser_fe0673f2a48d047b912b27e2a0c02f9f", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"128.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "off");
INSERT INTO `wp_options` VALUES("2121", "_transient_timeout_kadence_blocks_pro_license_status_check", "1725751770", "off");
INSERT INTO `wp_options` VALUES("2122", "_transient_kadence_blocks_pro_license_status_check", "ktm_wc_order_gT4lUjthaVHDu_am_TBy2677BhBW9_valid", "off");
INSERT INTO `wp_options` VALUES("2123", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1725190550", "off");
INSERT INTO `wp_options` VALUES("2124", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:0:{}}", "off");
INSERT INTO `wp_options` VALUES("2125", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1725190171", "off");
INSERT INTO `wp_options` VALUES("2126", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 15 Aug 2024 17:10:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.7-alpha-58954\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"A Brand-New Way to Learn WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2024/08/a-brand-new-way-to-learn-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 02 Aug 2024 13:33:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=17545\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:381:\"Learn WordPress has been growing as a hub of educational resources for WordPress since 2020. Now, it’s undergone a transformation in content focus and design with the introduction of Learning Pathways and a reimagined look. The WordPress.org redesign continues Learn WordPress is the latest section of WordPress.org to receive a design refresh, following other sections [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Lauren Stein\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:13412:\"\n<p><a href=\"https://learn.wordpress.org/\">Learn WordPress</a> has been growing as a hub of educational resources for WordPress since 2020. Now, it’s undergone a transformation in content focus and design with the introduction of Learning Pathways and a reimagined look.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/D7K4GqTQAEE?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation allow-popups-to-escape-sandbox\"></iframe>\n</div></figure>\n\n\n\n<h3 class=\"wp-block-heading\">The WordPress.org redesign continues </h3>\n\n\n\n<p>Learn WordPress is the latest section of WordPress.org to receive a design refresh, following other sections like the <a href=\"https://wordpress.org/showcase/\">Showcase</a> and <a href=\"https://developer.wordpress.org/\">Developer Resources</a>. It brings a unified look and feel that’s modern, visual, and inviting.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img fetchpriority=\"high\" decoding=\"async\" width=\"1024\" height=\"919\" src=\"https://i0.wp.com/wordpress.org/news/files/2024/07/2-learn-1.png?resize=1024%2C919&#038;ssl=1\" alt=\"\" class=\"wp-image-17613\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2024/07/2-learn-1.png?resize=1024%2C919&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2024/07/2-learn-1.png?resize=300%2C269&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2024/07/2-learn-1.png?resize=768%2C690&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2024/07/2-learn-1.png?resize=1536%2C1379&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2024/07/2-learn-1.png?resize=2048%2C1839&amp;ssl=1 2048w, https://i0.wp.com/wordpress.org/news/files/2024/07/2-learn-1.png?w=3000&amp;ssl=1 3000w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Beyond its fresh aesthetic, the new Learn WordPress site prioritizes learners with a revamped user experience consistent with familiar modern learning platforms. It features a new navigation menu, eye-catching thumbnails, and search filters so you can explore and discover content quickly. The clearer and more structured layout helps you easily recognize the resources you need (courses, lessons, Online Workshops) based on your learning preferences. &nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">Introducing Learning Pathways</h3>\n\n\n\n<p>This redesign also highlights a new approach to Learn WordPress content, emphasizing what learners engage with the most. The introduction of Learning Pathways lets you grow your WordPress skills progressively. You can start with beginner essentials and then work your way through more advanced concepts at your own speed. This method lets you build a solid understanding as you move through each course. Learning Pathways are geared toward specific learners, like people using WordPress for the first time or those interested in development.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" width=\"1024\" height=\"730\" src=\"https://i0.wp.com/wordpress.org/news/files/2024/07/1-learn.png?resize=1024%2C730&#038;ssl=1\" alt=\"\" class=\"wp-image-17591\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2024/07/1-learn.png?resize=1024%2C730&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2024/07/1-learn.png?resize=300%2C214&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2024/07/1-learn.png?resize=768%2C548&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2024/07/1-learn.png?resize=1536%2C1095&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2024/07/1-learn.png?resize=2048%2C1460&amp;ssl=1 2048w, https://i0.wp.com/wordpress.org/news/files/2024/07/1-learn.png?w=3000&amp;ssl=1 3000w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Four Learning Pathways are already launched and ready to explore:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://learn.wordpress.org/course/beginner-wordpress-user/\">Beginner WordPress User</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/course/intermediate-wordpress-user/\">Intermediate WordPress User</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/course/beginner-wordpress-developer/\">Beginner WordPress Developer&nbsp;</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/course/intermediate-theme-developer/\" data-type=\"link\" data-id=\"https://learn.wordpress.org/course/intermediate-theme-developer/\">Intermediate Theme Developer</a></li>\n</ul>\n\n\n\n<p>You can look forward to more Learning Pathways in the User and Developer tracks soon. Two additional pathways, Designer and Contributor, are also on the roadmap. For more details about Learning Pathways, listen to <a href=\"https://wordpress.org/news/2024/07/episode-83-learning-pathways/\">episode 83 of the WordPress Briefing</a>. </p>\n\n\n\n<p class=\"has-text-align-left has-off-white-2-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--60)\"><strong>Get a guided tour of all the exciting Learn WordPress changes</strong> from the Training team’s very own <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a>, <a href=\"https://profiles.wordpress.org/west7/\">Wes Theron</a> and <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn Presner</a>. Sign up for one of their upcoming Online Workshops on <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/302434418/\"><strong>Tuesday, August 6 at 14:00 UTC</strong> </a>or <strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/302387426/\" data-type=\"link\" data-id=\"https://www.meetup.com/learn-wordpress-online-workshops/events/302387426/\">Thursday, August 8 at 21:00 UTC</a>.</strong></p>\n\n\n\n<h3 class=\"wp-block-heading\">Education for the future of WordPress</h3>\n\n\n\n<p>What started with the Training team’s effort to understand the needs and expectations of current and future learners became a push to create a dynamic learning experience. This next phase of Learn WordPress is an exciting move toward bringing more people into WordPress, whether new users just getting started or established developers looking to add more skills to their toolbox.</p>\n\n\n\n<p>If you want to propose a change or report an issue, please do so in the <a href=\"https://github.com/WordPress/Learn\">Learn GitHub repository</a>. If you love WordPress and want to contribute to making Learn WordPress an even greater resource, join the <a href=\"https://wordpress.slack.com/archives/C02RW657Q\">#training</a> Slack channel. Want to make an immediate impact? Share <a href=\"https://learn.wordpress.org/\">Learn WordPress</a> with someone you know.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Thank you (and props) to all involved</h3>\n\n\n\n<p>The new Learn WordPress couldn’t have been possible without the effective collaboration of the Training, Design, Marketing, and Meta teams. </p>\n\n\n\n<p class=\"is-style-wporg-props-medium has-large-font-size\"><a href=\'https://profiles.wordpress.org/adamwood/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>adamwood</a> <a href=\'https://profiles.wordpress.org/agiljulio/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>agiljulio</a> <a href=\'https://profiles.wordpress.org/arunshenoy99/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>arunshenoy99</a> <a href=\'https://profiles.wordpress.org/bsanevans/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>bsanevans</a> <a href=\'https://profiles.wordpress.org/burtrw/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>burtrw</a> <a href=\'https://profiles.wordpress.org/cnormandigital/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cnormandigital</a> <a href=\'https://profiles.wordpress.org/devmuhib/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>devmuhib</a> <a href=\'https://profiles.wordpress.org/digitalchild/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>digitalchild</a> <a href=\'https://profiles.wordpress.org/dufresnesteven/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dufresnesteven</a> <a href=\'https://profiles.wordpress.org/ervanyuffrizal/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ervanyuffrizal</a> <a href=\'https://profiles.wordpress.org/faisalahammad/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>faisalahammad</a> <a href=\'https://profiles.wordpress.org/fcoveram/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>fcoveram</a> <a href=\'https://profiles.wordpress.org/hellosatya/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>hellosatya</a> <a href=\'https://profiles.wordpress.org/huzaifaalmesbah/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>huzaifaalmesbah</a> <a href=\'https://profiles.wordpress.org/indirabiswas27/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>indirabiswas27</a> <a href=\'https://profiles.wordpress.org/ironnysh/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ironnysh</a> <a href=\'https://profiles.wordpress.org/itsmhrahman/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>itsmhrahman</a> <a href=\'https://profiles.wordpress.org/jinalparekh/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jinalparekh</a> <a href=\'https://profiles.wordpress.org/joedolson/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>joedolson</a> <a href=\'https://profiles.wordpress.org/joen/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>joen</a> <a href=\'https://profiles.wordpress.org/jominney/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jominney</a> <a href=\'https://profiles.wordpress.org/keithnoseworthy/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>keithnoseworthy</a> <a href=\'https://profiles.wordpress.org/kel-dc/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>kel-dc</a> <a href=\'https://profiles.wordpress.org/lada7042/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>lada7042</a> <a href=\'https://profiles.wordpress.org/laurahartwigdesign/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurahartwigdesign</a> <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> <a href=\'https://profiles.wordpress.org/markoserb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>markoserb</a> <a href=\'https://profiles.wordpress.org/mustakim5/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mustakim5</a> <a href=\'https://profiles.wordpress.org/nazmul111/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nazmul111</a> <a href=\'https://profiles.wordpress.org/ndiego/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ndiego</a> <a href=\'https://profiles.wordpress.org/nilovelez/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nilovelez</a> <a href=\'https://profiles.wordpress.org/noruzzaman/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>noruzzaman</a> <a href=\'https://profiles.wordpress.org/orangeambition/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>orangeambition</a> <a href=\'https://profiles.wordpress.org/piyopiyofox/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>piyopiyofox</a> <a href=\'https://profiles.wordpress.org/psykro/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>psykro</a> <a href=\'https://profiles.wordpress.org/renyot/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>renyot</a> <a href=\'https://profiles.wordpress.org/rfluethi/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rfluethi</a> <a href=\'https://profiles.wordpress.org/rjfrizz/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rjfrizz</a> <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a> <a href=\'https://profiles.wordpress.org/ryelle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ryelle</a> <a href=\'https://profiles.wordpress.org/sakibsnaz/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sakibsnaz</a> <a href=\'https://profiles.wordpress.org/sfougnier/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sfougnier</a> <a href=\'https://profiles.wordpress.org/shsajalchowdhury/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>shsajalchowdhury</a> <a href=\'https://profiles.wordpress.org/sierratr/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sierratr</a> <a href=\'https://profiles.wordpress.org/sumitsingh/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sumitsingh</a> <a href=\'https://profiles.wordpress.org/teuila_mau/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>teuila_mau</a> <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a> <a href=\'https://profiles.wordpress.org/webtechpooja/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webtechpooja</a>  @west7 <a href=\'https://profiles.wordpress.org/zoonini/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>zoonini</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17545\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"WordPress 6.6.1 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2024/07/wordpress-6-6-1-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 23 Jul 2024 15:53:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=17567\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:337:\"WordPress 6.6.1 is now available! This minor release features 7 bug fixes in Core and 9 bug fixes for the Block Editor. You can review a summary of the maintenance updates in this release by reading the Release Candidate announcement. WordPress 6.6.1 is a short-cycle release. The next major release will be version 6.7 planned [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Tonya Mork\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5779:\"\n<p><strong>WordPress 6.6.1 is now available!</strong></p>\n\n\n\n<p>This minor release features <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;id=!61692&amp;milestone=6.6.1&amp;group=status&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;col=keywords&amp;order=priority\">7 bug fixes in Core</a> and <a href=\"https://core.trac.wordpress.org/ticket/61692#comment:4 \">9 bug fixes for the Block Editor</a>. You can review a summary of the maintenance updates in this release by reading the <a href=\"https://make.wordpress.org/core/2024/07/18/wordpress-6-6-1-rc1-is-now-available/\">Release Candidate announcement</a>.</p>\n\n\n\n<p>WordPress 6.6.1 is a short-cycle release. The next major release will be <a href=\"https://make.wordpress.org/core/6-7/\">version 6.7</a> planned for November 2024.</p>\n\n\n\n<p>If you have sites that support automatic background updates, the update process will begin automatically.</p>\n\n\n\n<p>You can <a href=\"https://wordpress.org/wordpress-6.6.1.zip\">download WordPress 6.6.1 from WordPress.org</a>, or visit your WordPress Dashboard, click “Updates”, and then click “Update Now”.</p>\n\n\n\n<p>For more information on this release, please <a href=\"https://wordpress.org/support/wordpress-version/version-6-6-1\">visit the HelpHub site</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Thank you to these WordPress contributors</h2>\n\n\n\n<p>This release was led by <a href=\"https://profiles.wordpress.org/hellofromTonya\">Tonya Mork</a> and <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella</a>.</p>\n\n\n\n<p>WordPress 6.6.1 would not have been possible without the contributions of the following people. Their asynchronous coordination to deliver maintenance fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p class=\"is-style-wporg-props-long\"><a href=\"//profiles.wordpress.org/jorbin&quot;\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/aaronrobertshaw\">Aaron Robertshaw</a>, <a href=\"https://profiles.wordpress.org/wildworks\">Aki Hamano</a>, <a href=\"https://profiles.wordpress.org/amitraj2203\">Amit Raj</a>, <a href=\"https://profiles.wordpress.org/atachibana/\">Akira Tachibana</a>, <a href=\"https://profiles.wordpress.org/afercia\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/andrewserong\">Andrew Serong</a>, <a href=\"https://profiles.wordpress.org/annezazu\">annezazu</a>, <a href=\"https://profiles.wordpress.org/ambrosiawt\">Art Smith</a>, <a href=\"https://profiles.wordpress.org/bgardner\">Brian Gardner</a>, <a href=\"https://profiles.wordpress.org/poena\">Carolina Nymark</a>, <a href=\"https://profiles.wordpress.org/cbirdsong\">cbirdsong</a>, <a href=\"https://profiles.wordpress.org/butterflymedia\">Ciprian</a>, <a href=\"https://profiles.wordpress.org/clarktbt\">Clark</a>, <a href=\"https://profiles.wordpress.org/courane01\">Courtney Robertson</a>, <a href=\"https://profiles.wordpress.org/talldanwp\">Daniel Richards</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald\">David Baumwald</a>, <a href=\"https://profiles.wordpress.org/dmsnell\">Dennis Snell</a>, <a href=\"https://profiles.wordpress.org/dd32\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/ellatrix\">Ella</a>, <a href=\"https://profiles.wordpress.org/annubis\">Eric-Oliver Mächler</a>, <a href=\"https://profiles.wordpress.org/fabiankaegy\">Fabian Kägy</a>, <a href=\"https://profiles.wordpress.org/mamaduka\">George Mamadashvili</a>, <a href=\"https://profiles.wordpress.org/jsnajdr\">Jarda Snajdr</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/joedolson\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joen\">Joen A.</a>, <a href=\"https://profiles.wordpress.org/jonsurrell\">Jon Surrell</a>, <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a><a>, </a><a href=\"https://profiles.wordpress.org/mciampini\">Marco Ciampini</a>, <a href=\"https://profiles.wordpress.org/santosguillamot\">Mario Santos</a>, <a href=\"https://profiles.wordpress.org/markhowellsmead\">Mark Howells-Mead</a>, <a href=\"https://profiles.wordpress.org/mukesh27%20\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/neotrope\">neotrope</a>, <a href=\"https://profiles.wordpress.org/swissspidy\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/pbiron\">Paul Biron</a>, <a href=\"https://profiles.wordpress.org/ramonopoly\">ramonopoly</a>, <a href=\"https://profiles.wordpress.org/raquelandefeld\">Raquel</a>, <a href=\"https://profiles.wordpress.org/youknowriad\">Riad Benguella</a>, <a href=\"https://profiles.wordpress.org/richtabor\">Rich Tabor</a>, <a href=\"https://profiles.wordpress.org/noisysocks\">Robert Anderson</a>, <a href=\"https://profiles.wordpress.org/SergeyBiryukov\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/coffee2code/\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/sourav08\">Sourav Pahwa</a>, <a href=\"https://profiles.wordpress.org/sabernhardt\">Stephen Bernhardt</a>, <a href=\"https://profiles.wordpress.org/sunil25393\">SunilPrajapati</a>, <a href=\"https://profiles.wordpress.org/hellofromTonya\">Tonya Mork</a>, <a href=\"https://profiles.wordpress.org/up1512001\">up1512001</a>\n</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to contribute</h2>\n\n\n\n<p class=\"is-style-default\">To get involved in WordPress core development, head over to Trac, <a href=\"https://core.trac.wordpress.org/report/6\">pick a ticket</a>, and join the conversation in the <a href=\"https://wordpress.slack.com/archives/C02RQBWTW\">#core</a> and <a href=\"https://wordpress.slack.com/archives/C07BTF54N68\">#6-7-release-leads</a> channels. Need help? Check out the <a href=\"https://make.wordpress.org/core/handbook/\">Core Contributor Handbook</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17567\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"WP Briefing: Episode 84: A WordPress 6.6 Sneak Peek\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wordpress.org/news/2024/07/episode-84-a-wordpress-6-6-sneak-peek/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 22 Jul 2024 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=17539\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:256:\"Join WordPress Executive Director, Josepha Haden Chomphosy, as she offers an exclusive preview of the upcoming WordPress 6.6 release, accompanied by special guest Meher Bala, the release\'s coordinator. Don’t miss this opportunity for an insider’s look!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:51:\"https://wordpress.org/news/files/2024/07/WPB084.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:27063:\"\n<p>Join WordPress Executive Director, Josepha Haden Chomphosy, as she offers an exclusive preview of the recently released WordPress 6.6, accompanied by special guest Meher Bala, the release&#8217;s coordinator. Don’t miss this opportunity for an insider’s look!</p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Guest:&nbsp;<a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/adamatdayone/\">Adam Daly</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://wordpress.org/download/releases/6-6/\">WordPress 6.6 Download</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/\">Make WordPress &#8211; Core</a>\n<ul class=\"wp-block-list\">\n<li><a href=\"https://wordpress.slack.com/archives/C02RQBWTW\">WordPress Core Slack</a></li>\n</ul>\n</li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/community/2024/07/04/first-time-attendees/\" target=\"_blank\" rel=\"noreferrer noopener\">First-Time Attendees: A Key Metric of Success for WordPress Events</a>&nbsp;</li>\n\n\n\n<li>The&nbsp;<a href=\"https://make.wordpress.org/docs/2023/04/25/monthly-online-docs-team-contributor-day-starts-april-2023/\" target=\"_blank\" rel=\"noreferrer noopener\">Docs team holds an online Contributor Day</a>&nbsp;every fourth Tuesday.</li>\n\n\n\n<li>Reminder:&nbsp;<a href=\"https://learn.wordpress.org/online-workshops/\" target=\"_blank\" rel=\"noreferrer noopener\">Online workshops</a>&nbsp;are live sessions where you can learn alongside other WordPress enthusiasts.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/media-corps/2024/07/03/recap-of-the-media-corps-briefing-on-wordpress-6-6/\" target=\"_blank\" rel=\"noreferrer noopener\">Recap of the Media Corps Briefing on WordPress 6.6</a>&nbsp;</li>\n</ul>\n</li>\n\n\n\n<li>Have a question you’d like answered? Submit them to&nbsp;<a href=\"mailto:wpbriefing@WordPress.org\">WPBriefing@WordPress.org</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-17539\"></span>\n\n\n\n<p>[00:00:00]&nbsp;<strong>Josepha:</strong>&nbsp;Hello, everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of some of the ideas behind the WordPress open source project and the community around it, as well as get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy. Here we go!&nbsp;</p>\n\n\n\n<p>[00:00:28] (Intro Music)&nbsp;</p>\n\n\n\n<p><span style=\"margin: 0px;padding: 0px\">[00:00:40]&nbsp;<strong>Josepha:</strong>&nbsp;</span>Last week, we released WordPress 6.6, and I had a chance to chat with a long-time contributor and member of the Release Squad about it.&nbsp;Today, I have with me Meher, and she was, well I guess I will let her tell us what she did with the release, but at the time of this recording, yesterday we had the WordPress 6.6 release, codenamed &#8216;Dorsey,&#8217; and so Meher, welcome to the WordPress Briefing.</p>\n\n\n\n<p>[00:01:05] <strong>Meher:</strong> Hi, thank you for inviting me. It&#8217;s nice to be here.</p>\n\n\n\n<p><span style=\"margin: 0px;padding: 0px\">[00:01:09]&nbsp;<strong>Josepha:</strong>&nbsp;Why don&#8217;t you tell us a little bit about yourself, what you do in the WordPress project, how long you&#8217;ve been contributing, and then the role that you played in our big, big mid-year release?</span></p>\n\n\n\n<p>[00:01:19] <strong>Meher:</strong> So my name is Meher. I&#8217;m a front-end developer. I&#8217;m also a CEO of KDC. I&#8217;m also a codable expert in WordPress. I started with contributing into the marketing field. Then, slowly, for 5.6, I got to be on the release squad, learned about training, about how the release goes, process happens. From that time onwards, I&#8217;ve been part of marketing or, basically, I&#8217;ve been part of the marketing team for all the releases. For 6.6, I picked to do the Release Coordinator, something different, something new, wanting to know what goes into it.&nbsp;</p>\n\n\n\n<p>[00:02:03] <strong>Josepha:</strong> That is a big leap from like hanging out in marketing to going to be the Release Coordinator. Before we get into the release itself, just what made you think to yourself, I would like to do that? I would like to stand up and wrangle all of these contributors across the world. Make sure we get a release out?</p>\n\n\n\n<p>[00:02:20] <strong>Meher:</strong> I wanted to try something new. Like even in WordCamp, each role is different. So, even in the release, I wanted to try each different things. And like 5.6, I was in documentation. Then, I was in marketing. So then I got used to marketing, so I stick with my, no, I stuck with marketing. </p>\n\n\n\n<p>[00:02:39] <strong>Josepha:</strong> Yeah.</p>\n\n\n\n<p>[00:02:40] <strong>Meher:</strong> So this time, I want to try something different, and I want to see, you know, how easy was it to be a Release Coordinator because it&#8217;s a Release Coordinator, see, you know, it&#8217;s, it&#8217;s a like a big thing coordinating so many people so many different teams going on, working together, and so yeah, it was fun.</p>\n\n\n\n<p>[00:02:58] <strong>Josepha:</strong> Great. I&#8217;m glad that you found it fun. I always worry when people make big shifts. I&#8217;m like, did we put enough documentation to make it clear? Are they going to find it easy to get started or not? And I think you did a really great job with it. So congratulations, since that happened just yesterday, less than 24 hours ago.</p>\n\n\n\n<p>[00:03:16] <strong>Meher:</strong> Yes, less than 24 hours.</p>\n\n\n\n<p>[00:03:21] <strong>Josepha:</strong> Yeah, yeah. So, from your position as the Release Coordinator, what are the biggest, like, one or two features that you really were excited to see get in this release?</p>\n\n\n\n<p>[00:03:32] <strong>Meher:</strong> Oh, one of the biggest features was the style override patterns.</p>\n\n\n\n<p>[00:03:37] <strong>Josepha:</strong> Oh, yeah.</p>\n\n\n\n<p>[00:03:38] <strong>Meher:</strong> Which I found very useful because a lot of people are using patterns. So, you know, patterns override; if you wanna change something on a specific page, it&#8217;s really useful then just to, you know, recreate a second pattern and then to match up and all. And second, which I liked as a user, was the publish box on the post becoming very clear, very, you know, cluster-free, very minimalistic, and just so comfortable that a normal user will actually understand what is there instead of going to each dropdown and figuring out what needs to be done. So, for me, I think as a developer and user, these two are the fun features, which I like, which 6.5 had, so. There are many other features as well. These are the two great features.</p>\n\n\n\n<p>[00:04:28] <strong>Josepha:</strong> Yeah. I mean, I don&#8217;t think that anyone can argue about the importance of making things a little easier to see, a little easier to use. It&#8217;s been a little bit since WordPress was like fall into it easy to use. I feel like we have been the easiest of the robust CMS systems for like a long time. I know I said CMS systems. That&#8217;s like saying pin number. I know that the S in CMS is systems, but anyway, that notwithstanding, we&#8217;ve been the easiest of the complex solutions for a long time, and I think it&#8217;s always great when we, when we take a moment to be like, what could we make a bit easier to just like, no instructions required you get in there and you can tell like, what any individual thing will do without necessarily, like you said, having to go into drop downs and reading a bunch of stuff a little guesswork is okay. And also, it&#8217;s clear that none of it is dangerous. And so I think that&#8217;s, I think that&#8217;s a a good change myself. So, I agree with your assessment.</p>\n\n\n\n<p>[00:05:27] <strong>Josepha:</strong> So the style override patterns, that&#8217;s part of the suite of design tools that we&#8217;re pulling together, right?&nbsp;</p>\n\n\n\n<p>[00:05:33] <strong>Meher:</strong> Yes.</p>\n\n\n\n<p>[00:05:34] <strong>Josepha:</strong> in your experience, you said you&#8217;re the CEO of your company, like in your experience, does that feel like something that&#8217;s super useful for agencies or particularly useful for freelancers, or should it generally be useful for everyone?</p>\n\n\n\n<p>[00:05:47] <strong>Meher:</strong> It will be useful from a small business point to a freelancer as well because we always try, like, in each page, we always, you know, there is some bits repeated, you know, so, patterns makes it easier, and syndicate pattern makes it more easier so that you can just duplicate and have one place to change. And, like, you have ten pages, you have one pattern across ten pages. The 11th page, you want the same pattern, but little change in that. It&#8217;s easier. It&#8217;s good because you can just change on that page, one particular thing and still go in the parent and change other things to reflect in that. So it will be very helpful for freelancers, small agencies. I do see big agencies take advantage of it. So overall, it should help everyone.</p>\n\n\n\n<p>[00:06:35] <strong>Josepha:</strong> Good. Good. I, for one, isn&#8217;t it great when we can get a feature out that mostly is going to help everyone. But I have been especially interested in the features that we&#8217;re trying to get out that help that kind of like small to medium agency area. I feel like we have a lot of folks in the WordPress community who do exactly what you&#8217;re talking about. You&#8217;re getting something together. You have a mostly what you need across your site. You have one style that&#8217;s out there, but there&#8217;s this one area that you want to have a little bit more personality or a little less personality, depending on what your client is looking for, like this one is applying for jobs, and it needs to be a little less exciting or whatever it is.</p>\n\n\n\n<p>[00:07:13] <strong>Josepha:</strong> I think that&#8217;s great that we have that option. So you don&#8217;t have to try to, I don&#8217;t know, hack your way through that. I know that we&#8217;re not a super get-in-there-and hack-on-it sort of group anymore these days, but I love that we still have that feeling of we&#8217;re gonna, we&#8217;re going to make this a safe hacking space for you. Just get in there and make it work. So that&#8217;s excellent. Excellent. So for you, then, personally, cause you wear a lot of hats, you&#8217;ve your front-end developer; you&#8217;re running your company, you&#8217;re working, you&#8217;re a codable expert. You&#8217;ve got all these things. So from your perspective, what is the thing that got into this release that was a surprising, like a diamond in the rough for you, like a surprising good feature when you just thought it was like an important feature at some point? Was there one that seemed like it was a good idea but became a great idea by the time it was out?</p>\n\n\n\n<p>[00:08:00] <strong>Meher:</strong> Oh, I would say style variations because I did not expect the final style variation to be what it is. A theme developer can create the theme, can add styles, can add fonts, can give different design elements to the theme as a normal user when they when someone wants to just pull up a website, but they&#8217;re not good in design, or they don&#8217;t know which font to use. They choose which font, but then it doesn&#8217;t work. So if the theme provides an easy option just to shift the different styles they&#8217;re using and combining with the fonts. It is a much bigger opportunity for everyone because a normal user can just, they have a black and white site. I want to shift to a colorful site. Just go and see what the theme art has given you and shift it. So I think that I was surprised and I like the outcome. I&#8217;m sure my blogger friends also will like it because then they don&#8217;t have to depend on a designer to you know, give them color schemes and stuff.</p>\n\n\n\n<p>[00:09:01] <strong>Josepha:</strong> Yes. Yeah. So unrelated. It&#8217;s only, it&#8217;s kind of related. I shouldn&#8217;t say it&#8217;s unrelated. It&#8217;s all about WordPress. And now it&#8217;s about color palettes. So, I have a new design on my blog. And unfortunately I am the sort of person that does need a designer to tell me what I meant by the thing I thought. <span style=\"margin: 0px;padding: 0px\">And so, like, I had this idea of the sort of color palette that I wanted and was searching for color palettes inside themes, which I was not succeeding at.</span> And eventually I had a designer who was happy to help you figure this out and get something out there. And they got me something that&#8217;s absolutely perfect. It&#8217;s got an excellent color palette and they redid some images for me. So it looks nice and hip and feels kind of modern. I think it&#8217;s great. But the one thing that I consistently felt confident to mess with while I was in there, because I think they did some custom work in there too, is all of the stuff that&#8217;s included in style variations. Like, I&#8217;m not touching colors because I can&#8217;t put colors together to save my life. But I was pleasantly surprised also by that particular feature. It gives you a feeling of I can change the face of this through the fonts or whatever it is. And I think that&#8217;s a nice, a nice thing.</p>\n\n\n\n<p>[00:10:06] <strong>Meher:</strong> And it&#8217;s a, it&#8217;s a perfect combination. Color and font. Because a lot of people don&#8217;t know today&#8217;s time which font is good. Or which font is needed for an industry.&nbsp;</p>\n\n\n\n<p>[00:10:16] <strong>Josepha:</strong> Exactly. Fortunately, I&#8217;m a site manager of one. And so I just had to ask myself if I liked the font and moved on from there. So, oh. So, like I said, as we&#8217;re recording this, we are less than 24 hours past the release. How was your experience with this release? Was it enjoyable? Did it like expand your horizons? Were there surprises in how a release is run?</p>\n\n\n\n<p>[00:10:43] <strong>Meher:</strong> There was no surprises because I&#8217;ve already been a part of a release. So I.</p>\n\n\n\n<p>[00:10:47] <strong>Josepha:</strong> That&#8217;s&nbsp;fair.&nbsp;</p>\n\n\n\n<p>[00:10:49] <strong>Meher:</strong> You know, it&#8217;s depends on what happens on the day.&nbsp;But yes, behind the scenes, following up, just checking in to make sure, are we on time, do we need more time, or what needs, you know, how much more time is required. It was fairly good, I was only clearly concerned about on the day of the release, because there&#8217;s a lot of things to cover.</p>\n\n\n\n<p>[00:11:09] <strong>Josepha:</strong> Yes.&nbsp;</p>\n\n\n\n<p>[00:11:10] <strong>Meher:</strong> Usually, the party of the beta and the RCs finish in less than hour or so. But the final has a lot more detailed steps and many people to ping, to get, you know, them on the day of the release.</p>\n\n\n\n<p>[00:11:24] <strong>Josepha:</strong> Yeah, for folks who have never watched a release happen. So, I think a lot of the folks who listen to this podcast, they find it in the dashboard, they don&#8217;t necessarily contribute to WordPress. But, like, if you&#8217;ve never watched a WordPress release, we have these release parties for every beta that goes out, every release candidate that goes out, and then the general release. And I always find them so fascinating because, we have hundreds of contributors over the course of an individual release. And then we have probably 50, 60 people who show up at, for some of you all, in the middle of the night and are just being directed, like their attention is just being directed here and there.</p>\n\n\n\n<p>[00:12:06] <strong>Josepha:</strong> And I love watching it because I, I&#8217;m always in the release channel. I&#8217;m in the core channel. All of these are in Slack. And then I&#8217;m also in the admin channel where you have to do the flipping of switches and packaging things. And it&#8217;s really interesting to see, almost like a scan of a brain where things are lighting up for various things. <span style=\"margin: 0px;padding: 0px\">Like, you do the pre-testing in the release channel, and then you do the general testing in the core channel.</span> And then we&#8217;ve got like a person who&#8217;s flipping switches in the back, in the admin area to make sure that it all gets together. And it&#8217;s just really interesting to see how it all works. And yeah, it&#8217;s a really fun thing.</p>\n\n\n\n<p>Dear listener, if you have never, if you&#8217;ve never done this, you have another opportunity. And I think the next release is early in November or something. And even if you&#8217;re there as like a spectator, not necessarily ready to take part in the release, sometimes it&#8217;s kind of nice to see how much effort and how many people are showing up to work on any individual release.</p>\n\n\n\n<p><span style=\"margin: 0px;padding: 0px\">[00:13:01]&nbsp;<strong>Josepha:</strong>&nbsp;This was your first time to lead the release parties, though, right?</span></p>\n\n\n\n<p>[00:13:06] <strong>Meher:</strong> Yes. My first time releasing a release party. Also, to the spectators who have never been a part of release, you can just come and say hi. Like, yesterday, on the day of the release, there was one participant who joined for the first time, and she did contribute.&nbsp;And she was amazed by how smooth it went through. And for me, the best part of any release is seeing the green tick when people start testing. So, you know, everything is smooth sailing.</p>\n\n\n\n<p>[00:13:34] <strong>Josepha:</strong> Yes.</p>\n\n\n\n<p>[00:13:34] <strong>Meher:</strong> And we&#8217;ll reach the destination.</p>\n\n\n\n<p>[00:13:36] <strong>Josepha:</strong> Yes. It&#8217;s, it is a real testament to how well and how closely all of these folks can work together, which if you stop and think about the fact that everybody&#8217;s like all over the world, it&#8217;s all across the globe that this is happening. It is why WordPress works, right? All of these people, all of you coming together to do this on behalf of this software. How cool that you had somebody who joined for the first time and then they were able to contribute immediately.</p>\n\n\n\n<p>[00:14:02] <strong>Meher:</strong> Yes.</p>\n\n\n\n<p>[00:14:03] <strong>Josepha:</strong> I love that.&nbsp;</p>\n\n\n\n<p>[00:14:04] <strong>Meher:</strong> Also, there are a lot of folks who&#8217;ve done it. So they&#8217;re always ready to help out. You know, if you&#8217;re stuck somewhere, as a first-time release lead, there were certain questions I had. There are a lot of people to guide you to the right direction or to say, this needs to go here, or you need to tell the audience this. A lot of support you get from the squad itself, plus the people who are not on the squad and who&#8217;ve done this.</p>\n\n\n\n<p>[00:14:29] <strong>Josepha:</strong> Absolutely. I remember the first release that I led I was the coordinator of it and I believe it was 5.0. I believe it was the one that we put Gutenberg in core with, and it was the most terrifying thing I&#8217;d ever done. Not because I hadn&#8217;t been watching these releases happening for years, but because it&#8217;s different participating and watching and then being the person who is like you said, like making sure that things are still going on time that you understand when you need to say, like, there&#8217;s no way that this works for users right now. We have to take it out and all those things. And then, yeah, the day of, the first time that you have to run one of those global meetings, be like, &#8216;everyone, we don&#8217;t have time for this. Move on&#8217;. That&#8217;s always a really hard first time. Well, cool. That&#8217;s so exciting. So I have a last question for you, and that is, you&#8217;ve kind of let us into it, for first-time contributors to a release, especially anyone who&#8217;s thinking about joining the release squad for the first time, do you have any advice, anything that you wish you had been told when you were coming into this?</p>\n\n\n\n<p>[00:15:32] <strong>Meher:</strong> Come with an open mind and come with a thought that there are people to help you. Ask in any channel. There will be someone or the other who will answer you immediately or a little later, depending on the time zone, and will guide you to the right person or right documentation where you can read up because there is a lot of documentation, good documentation on releases, how it handles and what team is needed, what they are supposed to do. So, you, you have a friendly bunch of people. Just ask.</p>\n\n\n\n<p>[00:16:03] <strong>Josepha:</strong> Excellent. I love it. I love that advice. That was really good advice. Don&#8217;t be scared. Everybody has answers, and they want to give them to you. I agree. That is a real strong truth for the WordPress project. Last thoughts: anything you want to share with the WordPress community with our community of listeners here?</p>\n\n\n\n<p>[00:16:20] <strong>Meher:</strong> Looking forward for new people joining the next release and seeing 6.7 new features, which I&#8217;m excited about, collaborative phase three coming into picture and excited about it.</p>\n\n\n\n<p>[00:16:32] <strong>Josepha:</strong> Yeah. So you can come join us, make.WordPress.org/core, or you can join us in the Slack instance. You can go to chat.WordPress.org and get signed up for that. We coordinate all of this in the core channel, and we hope to see every new contributor that&#8217;s been on the fence. We hope you show up. There&#8217;s a new meeting every two weeks just for y&#8217;all. Meher, this has been an excellent conversation. Thank you so much for joining me today.</p>\n\n\n\n<p>[00:16:56] <strong>Meher:</strong> Thank you for having me. It was fun.</p>\n\n\n\n<p>[00:16:58] (Music interlude)&nbsp;</p>\n\n\n\n<p>[00:17:05] <strong>Josepha:</strong> Hopefully, you&#8217;ve had a chance to download the release and try it out on your own sites. As always, if you run into any bugs, let us know so that we can get them in the next point release.</p>\n\n\n\n<p>And that brings us now to our small list of big things. I have a moderate-sized small list. The first one is that WordPress is a reminder, actually. It&#8217;s a lot of reminders this week if I get right down to it, but this first one is a reminder that one of our big-picture goals for 2024 was getting new users into our event series. Our goal, of course, is to warmly welcome more first-time attendees and new users, and future WordPressers at all of our events, and that&#8217;s something that you can help get done. So, for all of our event organizers, or if you have not organized an event yet and would like to, just so that you can meet the fellow WordPressers in your area or, get to grow your own network a little bit. We&#8217;ve got a few best practices that can help you to make sure that you have a good experience for first time attendees. For one, you should always consider some thoughtful event design. Craft your events with some first-time attendees in mind. You have to consider their needs and interests and potential barriers to participation. Second, it helps to have some targeted messaging. Ensure that you have promotional materials that highlight the benefits of attending, but also what new knowledge, skills, or professional connections folks will gain when they come. It&#8217;s also good to share success stories of past first-time attendees. And then just kind of a final note for that on outreach strategies. You should experiment with a range of marketing channels to reach professional new attendees. You can partner with local schools, professional organizations, and online communities who can help to spread the word.</p>\n\n\n\n<p>[00:18:52] <strong>Josepha:</strong> The second thing on our small list of big things is a reminder that the Docs Team holds an online Contributor Day every fourth Tuesday. They&#8217;ve been doing this for about a year now. And I think that it&#8217;s one of the most engaging and fun new contributor experiences we have, which I realize might sound odd for documentation, but it&#8217;s a great team. It&#8217;s got a great number of team reps in it. And they&#8217;re looking for you. They&#8217;re looking out for you to come and join for your first time on a Contributor Day. The next one is actually tomorrow, July 23rd. I&#8217;ll have a link for that in the show notes.</p>\n\n\n\n<p>[00:19:29] <strong>Josepha:</strong> And the third thing on our list is a reminder about online workshops. These are live sessions where you can learn alongside other WordPress enthusiasts, and they&#8217;re, you know, safe spaces where you can come as you are, develop new ideas, explore issues that you&#8217;re having, ask questions, network over shared interests, exchange theories, collaborate, and honestly, thrive on a bit of problem-solving together. New workshops are happening all the time. You can check out the schedule to join in on a live session and even watch some of the previous sessions to see if it&#8217;s for you.&nbsp;</p>\n\n\n\n<p>[00:20:03] <strong>Josepha:</strong> And the final thing on our list is that there is a recap up of the first Media Corps Briefing that was held on June 27th, and it provided media partners with an overview of the Source of Truth and updates that were planned for WordPress 6.6, that was released last week. Obviously, we just talked to Meher about it. But that particular session featured guest Anne McCarthy, who explained and demoed some of the upcoming features and answered a bunch of questions from the participants. The briefing was recorded and published on the WordPress YouTube channel. Apart from the recording, you can also find a summary, the full transcript, and other relevant links from the link in the show notes.&nbsp;</p>\n\n\n\n<p><span style=\"margin: 0px;padding: 0px\">[00:20:42]&nbsp;<strong>Josepha:</strong>&nbsp;And that, my friends, is your small list of big things.</span> Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser. Or, if you had questions about what you heard today, you can share those with me at WPBriefing@WordPress.org. I am your host, Josepha Haden Chomphosy. Thank you for tuning in today for the WordPress Briefing. And I&#8217;m taking a little break from the podcast in August, and so I will see you again, my friends, in September.&nbsp;</p>\n\n\n\n<p>[00:21:15] (Music outro)&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17539\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"WordPress 6.6 “Dorsey”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wordpress.org/news/2024/07/dorsey/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 Jul 2024 16:51:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.6\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=17517\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:272:\"Say hello to the latest WordPress! WordPress 6.6 \"Dorsey\" is here to deliver on the promise of a better web with style, finesse, and a suite of enhanced tools to create beautifully coherent design elements and the confidence of automatic rollbacks for your plugin updates.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:64105:\"\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2024/07/Release-Edition-Inline-Image-1.png?resize=1024%2C683&#038;ssl=1\" alt=\"\" class=\"wp-image-17529\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2024/07/Release-Edition-Inline-Image-1.png?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2024/07/Release-Edition-Inline-Image-1.png?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2024/07/Release-Edition-Inline-Image-1.png?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2024/07/Release-Edition-Inline-Image-1.png?resize=1536%2C1024&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2024/07/Release-Edition-Inline-Image-1.png?resize=2048%2C1365&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Say hello to WordPress 6.6 “Dorsey,” named after the legendary American Big Band leader, Tommy Dorsey. Renowned for his smooth-toned trombone and compositions, Dorsey’s music captivated audiences with its emotional depth and vibrant energy.</p>\n\n\n\n<p>Let your heart swing, sing, and sway to the deep brass notes of&nbsp;<a href=\"https://open.spotify.com/playlist/37i9dQZF1DZ06evO2TT3Ge?si=d9872e46371c4ed7\" target=\"_blank\" rel=\"noreferrer noopener\">Dorsey’s Big Band sound</a>&nbsp;as you explore the new features and enhancements of WordPress 6.6.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Hello, 6.6!</h2>\n\n\n\n<p>WordPress 6.6 delivers on the promise of a better web by bringing style, finesse, and a suite of creative possibilities to your site-building experience. This version helps you do more with ease, putting enhanced tools at your fingertips and giving you unprecedented power behind the scenes. You will find more ways to create beautiful, coherent design elements across your site, a new layout for quick page previews in the Site Editor, and the safety of automatic rollbacks for failed plugin auto-updates—among many other highlights.</p>\n\n\n\n<p>In addition to the new features, “Dorsey” continues to deliver the performance and accessibility gains you can expect from every WordPress release. Explore what WordPress 6.6 has to offer and get ready to let its features take your sites to new heights.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.6.zip\" target=\"_blank\" rel=\"noreferrer noopener\">Download WordPress 6.6 “Dorsey”</a></div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s inside</h2>\n\n\n\n<h3 class=\"wp-block-heading\">Add more design options to block themes</h3>\n\n\n\n<p>Create color or font sets to multiply design combinations across one theme. These sets offer more contained design possibilities, allowing visual variety within the site’s broader styling guidelines.</p>\n\n\n\n<figure class=\"wp-block-image\"><img decoding=\"async\" src=\"https://lh7-us.googleusercontent.com/docsz/AD_4nXc7Mg7QzTwFiR7NDQLj6p5m4eddq6MtscZYzTh5QeGqB2sLP3T_t2Io2cqA5QuSixyze9ZVWqsDF9ZD7VscWn0TWA6lCG0OgZ4o5Ar_8MgQta8B3vu3VzJQHYREY9NxUb9J8e3BFESmcnbRwg7g6GuFfguU?key=EV-htfbHG-kjLl6r6s-uKA\" alt=\"\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Simplify your workflow with a new layout for pages in the Site Editor</h3>\n\n\n\n<p>See all of your pages and a preview of any selected page with the new side-by-side layout in the Site Editor.</p>\n\n\n\n<figure class=\"wp-block-image\"><img decoding=\"async\" src=\"https://lh7-us.googleusercontent.com/docsz/AD_4nXfdAh-2XaS_6bdw8YcDZMRpkT0O6oWezPzZT3FzKjoWcxhM4ofivJli8eDRs1pO60wJ7F6YjQblSDop_O8MXQKwRlb_-g8CsFPPVb7hY3vEgIBPLb3tDyrvZZhSZL6Zp-ntXQdB2-ixFVoWaY-Empv3hZQ-?key=EV-htfbHG-kjLl6r6s-uKA\" alt=\"\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Auto-update your plugins with peace of mind</h3>\n\n\n\n<p>Enjoy the convenience of plugin auto-updates with the safety of rollbacks if anything goes wrong—offering your site a new level of security, enhanced functionality as it becomes available, and almost no time or bandwidth from you to make it happen.</p>\n\n\n\n<figure class=\"wp-block-image\"><img decoding=\"async\" src=\"https://lh7-us.googleusercontent.com/docsz/AD_4nXc3cOWzosH9yiEDJrkmndXXX4QShj-vVMJJslAlgxCT74ugbYJuRPszdUi2rrCt8fnmZm1fTdJ3DTkKxYh5ImN4b6lvyBI3bsf5nvzWSBtexeldhPGyjYZM4Me1eUzfq9bAzlzlwxVqI5Hf_i9y1NGvKEdc?key=EV-htfbHG-kjLl6r6s-uKA\" alt=\"\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Customize content in synced patterns</h3>\n\n\n\n<p>Make content changes in each instance of a synced pattern while maintaining a consistent style across them. Set these overrides for Heading, Paragraph, Button, and Image blocks when placed in a synced pattern.</p>\n\n\n\n<figure class=\"wp-block-image\"><img decoding=\"async\" src=\"https://lh7-us.googleusercontent.com/docsz/AD_4nXdH_at4lSW3-Slznfn7HTOEp11xKp889JaLIj-JY5zATJbqZhNPM5MIVZzhn7J2gGhqRbkIzjGMhkFzfQFXfLpxoXu2MXDcPMCXaACaucFHph4dMrd8jHCqFckpk0HtJhEI_cWHTRDR0343_Ut06sgNgaOw?key=EV-htfbHG-kjLl6r6s-uKA\" alt=\"\" /></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Performance</h3>\n\n\n\n<p>WordPress 6.6 features important updates like removing redundant WP_Theme_JSON calls, disabling autoload for large options, and eliminating unnecessary polyfill dependencies. Other highlights include lazy-loading post embeds, a new <code>data-wp-on-async</code> directive, and templates in the editor that load approximately 35% faster overall.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Accessibility</h3>\n\n\n\n<p>This release includes 58 accessibility fixes and enhancements. These focus on foundational aspects of the WordPress experience, particularly the data views component powering the new site editing experience and areas like the Inserter, which provide a key way of interacting with blocks and patterns.</p>\n\n\n\n<h3 class=\"wp-block-heading\">And much more</h3>\n\n\n\n<p>Visit the <a href=\"https://wordpress.org/download/releases/6-6/\">feature showcase</a> for a full overview of all the new features and enhancements in WordPress 6.6.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/download/releases/6-6/\">Check out what&#8217;s new</a></div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">Learn more about WordPress 6.6</h2>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/\">Learn WordPress</a> for quick how-to videos, <a href=\"https://learn.wordpress.org/social-learning/\">online workshops</a>, and other free resources to level up your WordPress knowledge and skills.</p>\n\n\n\n<p>The <a href=\"https://make.wordpress.org/core/2024/06/25/wordpress-6-6-field-guide/\">WordPress 6.6 Field Guide</a> contains detailed technical information and <a href=\"https://make.wordpress.org/core/tag/dev-notes-6-6/\">developer notes</a> to help you build with WordPress and get the most out of this release. Don’t forget to subscribe to the <a href=\"https://developer.wordpress.org/news/\">Developer Blog</a> for updates, tutorials, and other helpful WordPress content for developers.</p>\n\n\n\n<p>For information about installation, file changes, fixes, and other updates, read the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-6/\">6.6 release notes</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">The 6.6 release squad</h2>\n\n\n\n<p>Every release comes to you from a dedicated team of enthusiastic contributors who help keep things on track and moving smoothly. The team that has led 6.6 is a cross-functional group of contributors who are always ready to champion ideas, remove blockers, and resolve issues.</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>Release Lead: <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a></li>\n\n\n\n<li>Release Coordinator: <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a></li>\n\n\n\n<li>Core Tech Lead: <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a></li>\n\n\n\n<li>Editor Tech Leads: <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a>, <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a></li>\n\n\n\n<li>Core Triage Leads: <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a>, <a href=\"https://profiles.wordpress.org/nhrrob/\">Nazmul Hasan Robin</a></li>\n\n\n\n<li>Editor Triage Leads: <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian Kägy</a>, <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a>&nbsp;</li>\n\n\n\n<li>Documentation Leads: <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a>, <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a>, <a href=\"https://profiles.wordpress.org/josepmoran/\">Josep Morán</a></li>\n\n\n\n<li>Marketing &amp; Communications Lead: <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a></li>\n\n\n\n<li>Test Lead: <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a></li>\n\n\n\n<li>Design Lead: <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a></li>\n\n\n\n<li>Performance Lead: <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thank you, contributors</h2>\n\n\n\n<p>The mission of WordPress is to <a href=\"https://wordpress.org/about/\">democratize publishing</a> and embody the <a href=\"https://opensource.org/osd-annotated\">freedoms that come with open source</a>. A global and diverse community of people collaborating to strengthen the software supports this effort.</p>\n\n\n\n<p>WordPress 6.6 reflects the tireless efforts and passion of more than 630 contributors in at least 51 countries. This release also welcomed over 150 first-time contributors!</p>\n\n\n\n<p>Their collaboration delivered more than 1,900 enhancements and fixes, ensuring a stable release for all—a testament to the power and capability of the WordPress open source community.</p>\n\n\n\n<p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/benniledl/\">!Benni</a> · <a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/aatanasov/\">aatanasov</a> · <a href=\"https://profiles.wordpress.org/abditsori/\">abditsori</a> · <a href=\"https://profiles.wordpress.org/wpalani/\">Abdulrahman Alani</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/abhi3315/\">abhi3315</a> · <a href=\"https://profiles.wordpress.org/abhijitrakas/\">Abhijit Rakas</a> · <a href=\"https://profiles.wordpress.org/abitofmind/\">abitofmind</a> · <a href=\"https://profiles.wordpress.org/kawauso/\">Adam Harley (Kawauso)</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zieliński</a> · <a href=\"https://profiles.wordpress.org/adamhorne/\">adamhorne</a> · <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a> · <a href=\"https://profiles.wordpress.org/adrianduffell/\">adrianduffell</a> · <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a> · <a href=\"https://profiles.wordpress.org/aezazshekh/\">Aezaz Shekh</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Kabir Chaion</a> · <a href=\"https://profiles.wordpress.org/ajfleming/\">ajfleming</a> · <a href=\"https://profiles.wordpress.org/ajitbohra/\">Ajit Bohra</a> · <a href=\"https://profiles.wordpress.org/ajithrn/\">Ajith R N</a> · <a href=\"https://profiles.wordpress.org/akashdhawade/\">Akash Dhawade</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/atachibana/\">Akira Tachibana</a> · <a href=\"https://profiles.wordpress.org/akmelias/\">akmelias</a> · <a href=\"https://profiles.wordpress.org/alanfuller/\">Alan Fuller</a> · <a href=\"https://profiles.wordpress.org/aljullu/\">Albert Juh&#233; Lluveras</a> · <a href=\"https://profiles.wordpress.org/alesflex/\">alesflex</a> · <a href=\"https://profiles.wordpress.org/acicovic/\">Alex Cicovic</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/cawa-93/\">Alex Kozack</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/alexandrebuffet/\">Alexandre Buffet</a> · <a href=\"https://profiles.wordpress.org/alexminza/\">alexminza</a> · <a href=\"https://profiles.wordpress.org/firewatch/\">allilevine</a> · <a href=\"https://profiles.wordpress.org/mrfoxtalbot/\">Alvaro G&#243;mez</a> · <a href=\"https://profiles.wordpress.org/amanias1977/\">amanias1977</a> · <a href=\"https://profiles.wordpress.org/alh0319/\">Amber Hinds</a> · <a href=\"https://profiles.wordpress.org/amirthepiper/\">Amir Abbas</a> · <a href=\"https://profiles.wordpress.org/amisiewicz/\">amisiewicz</a> · <a href=\"https://profiles.wordpress.org/amitraj2203/\">Amit Raj</a> · <a href=\"https://profiles.wordpress.org/anamarijapapic/\">Anamarija Papić</a> · <a href=\"https://profiles.wordpress.org/anlino/\">Anders Nor&#233;n</a> · <a href=\"https://profiles.wordpress.org/andr3ribeiro/\">Andre Ribeiro</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/awetz583/\">Andrea Roenning</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/euthelup/\">Andrei Lupu</a> · <a href=\"https://profiles.wordpress.org/andrewhayward/\">Andrew Hayward</a> · <a href=\"https://profiles.wordpress.org/l1nuxjedi/\">Andrew Hutchings</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André Maneiro</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/aneeshd16/\">Aneesh Devasthale</a> · <a href=\"https://profiles.wordpress.org/angelasjin/\">Angela Jin</a> · <a href=\"https://profiles.wordpress.org/angelaromana/\">Angela R.L</a> · <a href=\"https://profiles.wordpress.org/anilvaza/\">Anil Vaza</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/ant1busted/\">Antoine</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/perezcarreno/\">Armando J.</a> · <a href=\"https://profiles.wordpress.org/ambrosiawt/\">Art Smith</a> · <a href=\"https://profiles.wordpress.org/artemiosans/\">Artemio Morales</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/artpi/\">Artur Piszek</a> · <a href=\"https://profiles.wordpress.org/dextorlobo/\">Arun Sharma</a> · <a href=\"https://profiles.wordpress.org/ideag/\">Arunas Liuiza</a> · <a href=\"https://profiles.wordpress.org/asheshmagar/\">Ashesh Magar</a> · <a href=\"https://profiles.wordpress.org/imasikur22/\">Asiqur Rahman</a> · <a href=\"https://profiles.wordpress.org/mohonchandra/\">Asish Chandra Mohon</a> · <a href=\"https://profiles.wordpress.org/aslamdoctor/\">Aslam Doctor</a> · <a href=\"https://profiles.wordpress.org/alisongodar/\">asmittle</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/beryldlg/\">B&#233;ryl de La Grandi&#232;re</a> · <a href=\"https://profiles.wordpress.org/balub/\">Balu B</a> · <a href=\"https://profiles.wordpress.org/bangank36/\">bangank36</a> · <a href=\"https://profiles.wordpress.org/bartkalisz/\">Bart Kalisz</a> · <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a> · <a href=\"https://profiles.wordpress.org/beaulebens/\">Beau Lebens</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/benlk/\">Ben Keith</a> · <a href=\"https://profiles.wordpress.org/britner/\">Ben Ritner - Kadence WP</a> · <a href=\"https://profiles.wordpress.org/benjamingosset/\">Benjamin Gosset</a> · <a href=\"https://profiles.wordpress.org/benjaminpick/\">Benjamin Pick</a> · <a href=\"https://profiles.wordpress.org/benjamin_zekavica/\">Benjamin Zekavica</a> · <a href=\"https://profiles.wordpress.org/benjpw/\">benjpw</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">bernhard-reiter</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/bissy/\">bissy</a> · <a href=\"https://profiles.wordpress.org/oldrup/\">Bjarne Oldrup</a> · <a href=\"https://profiles.wordpress.org/blackbam/\">Blackbam</a> · <a href=\"https://profiles.wordpress.org/blockify/\">Blockify</a> · <a href=\"https://profiles.wordpress.org/blogography/\">blogography</a> · <a href=\"https://profiles.wordpress.org/bnewboldbsky/\">bnewboldbsky</a> · <a href=\"https://profiles.wordpress.org/bnjunge/\">bnjunge</a> · <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a> · <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bacoords/\">Brian Coords</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/bgosnell/\">Brian Gosnell</a> · <a href=\"https://profiles.wordpress.org/masteradhoc/\">Brian Haas</a> · <a href=\"https://profiles.wordpress.org/bridgetwillard/\">Bridget Willard</a> · <a href=\"https://profiles.wordpress.org/bridgetwes/\">bridgetwes</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke</a> · <a href=\"https://profiles.wordpress.org/freibergergarcia/\">Bruno Freiberger Garcia</a> · <a href=\"https://profiles.wordpress.org/btpub/\">Bruno Tritsch</a> · <a href=\"https://profiles.wordpress.org/burnuser/\">burnuser</a> · <a href=\"https://profiles.wordpress.org/icaleb/\">Caleb Burks</a> · <a href=\"https://profiles.wordpress.org/stringpiggy/\">Candy</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos G. P.</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cbirdsong/\">cbirdsong</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/caercam/\">Charlie Merland</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/jazzs3quence/\">Chris Reynolds</a> · <a href=\"https://profiles.wordpress.org/chrisdotdotdot/\">chrisdotdotdot</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/christopherplus/\">Christopher</a> · <a href=\"https://profiles.wordpress.org/butterflymedia/\">Ciprian</a> · <a href=\"https://profiles.wordpress.org/clarktbt/\">Clark</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/colind/\">ColinD</a> · <a href=\"https://profiles.wordpress.org/colle/\">colle</a> · <a href=\"https://profiles.wordpress.org/comecaramelos/\">comecaramelos</a> · <a href=\"https://profiles.wordpress.org/cotobago/\">Constantine Vasilyev</a> · <a href=\"https://profiles.wordpress.org/cookiesfordevo/\">CookiesForDevo</a> · <a href=\"https://profiles.wordpress.org/coreymckrill/\">Corey McKrill</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/craigfrancis/\">Craig Francis</a> · <a href=\"https://profiles.wordpress.org/crazytonyli/\">crazytonyli</a> · <a href=\"https://profiles.wordpress.org/cwhitmore/\">Cullen Whitmore</a> · <a href=\"https://profiles.wordpress.org/curdin/\">Curdin Krummenacher</a> · <a href=\"https://profiles.wordpress.org/cyrus11/\">cyrus11</a> · <a href=\"https://profiles.wordpress.org/daledupreez/\">Dale du Preez</a> · <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/colorful tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/dansully/\">Dan Sullivan</a> · <a href=\"https://profiles.wordpress.org/daniguardiola/\">Dani Guardiola</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/nerrad/\">Darren Ethier (nerrad)</a> · <a href=\"https://profiles.wordpress.org/darshitrajyaguru97/\">Darshit Rajyaguru</a> · <a href=\"https://profiles.wordpress.org/dav4/\">dav4</a> · <a href=\"https://profiles.wordpress.org/davecpage/\">Dave Page</a> · <a href=\"https://profiles.wordpress.org/diggeddy/\">David</a> · <a href=\"https://profiles.wordpress.org/davidakennedy/\">David A. Kennedy</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/davidabowman/\">David Bowman</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/dkjensen/\">David Jensen</a> · <a href=\"https://profiles.wordpress.org/justlevine/\">David Levine</a> · <a href=\"https://profiles.wordpress.org/daviedr/\">David Rozando</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/davideferre/\">davideferre</a> · <a href=\"https://profiles.wordpress.org/rxnlabs/\">De\'Yont&#233; W.</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/deeppatel8950/\">Deep Patel</a> · <a href=\"https://profiles.wordpress.org/deepakvijayan/\">Deepak Vijayan</a> · <a href=\"https://profiles.wordpress.org/dingo_d/\">Denis Žoljom</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">Derek Blank</a> · <a href=\"https://profiles.wordpress.org/dsmart/\">Derek Smart</a> · <a href=\"https://profiles.wordpress.org/designsimply/\">designsimply</a> · <a href=\"https://profiles.wordpress.org/dernin/\">Devin Curtis</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhrumilk/\">Dhrumil Kumbhani</a> · <a href=\"https://profiles.wordpress.org/dhruval04/\">Dhruval Shah</a> · <a href=\"https://profiles.wordpress.org/dhruvang21/\">dhruvang21</a> · <a href=\"https://profiles.wordpress.org/dhruvkb/\">dhruvkb</a> · <a href=\"https://profiles.wordpress.org/diedeexterkate/\">DiedeExterkate</a> · <a href=\"https://profiles.wordpress.org/diegosomar/\">diegosomar</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/itsjustdj/\">DJ</a> · <a href=\"https://profiles.wordpress.org/djzone/\">DjZoNe</a> · <a href=\"https://profiles.wordpress.org/dmpinder/\">dmpinder</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/drrxbracho/\">drrxbracho</a> · <a href=\"https://profiles.wordpress.org/elrae/\">Earle Davies</a> · <a href=\"https://profiles.wordpress.org/talksina/\">Elena Brescacin</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/enej/\">Enej Bajgorić</a> · <a href=\"https://profiles.wordpress.org/garridinsi/\">Eneko Garrido</a> · <a href=\"https://profiles.wordpress.org/enodekciw/\">enodekciw</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/enricosorcinelli/\">Enrico Sorcinelli</a> · <a href=\"https://profiles.wordpress.org/annubis/\">Eric-Oliver M&#228;chler</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik</a> · <a href=\"https://profiles.wordpress.org/erikiva/\">erikiva</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">Estela Rueda</a> · <a href=\"https://profiles.wordpress.org/evanltd/\">evanltd</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian Kägy</a> · <a href=\"https://profiles.wordpress.org/gaambo/\">Fabian Todt</a> · <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a> · <a href=\"https://profiles.wordpress.org/fanly/\">Fanly</a> · <a href=\"https://profiles.wordpress.org/iamfarhan09/\">Farhan Ahmed</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/firoz2456/\">Firoz Sabaliya</a> · <a href=\"https://profiles.wordpress.org/flabernardez/\">Flavia Bern&#225;rdez Rodr&#237;guez</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/f-j-kaiser/\">Franz Josef Kaiser</a> · <a href=\"https://profiles.wordpress.org/fushar/\">fushar</a> · <a href=\"https://profiles.wordpress.org/lunule/\">Gabor Lippert</a> · <a href=\"https://profiles.wordpress.org/gajendrasingh/\">Gajendra Singh</a> · <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a> · <a href=\"https://profiles.wordpress.org/gwallace87/\">Gale Wallace</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gierand/\">gierand</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/blepoxp/\">Glenn Ansley</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a> · <a href=\"https://profiles.wordpress.org/wido/\">Guido Scialfa</a> · <a href=\"https://profiles.wordpress.org/priethor/\">H&#233;ctor Prieto</a> · <a href=\"https://profiles.wordpress.org/hakre/\">hakre</a> · <a href=\"https://profiles.wordpress.org/hanneslsm/\">hanneslsm</a> · <a href=\"https://profiles.wordpress.org/hage/\">Hans-Gerd Gerhards</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/harshgajipara/\">Harsh Gajipara</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/heinperu/\">heinvv</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/hinnerk/\">Hinnerk Altenburg</a> · <a href=\"https://profiles.wordpress.org/hbhalodia/\">Hit Bhalodia</a> · <a href=\"https://profiles.wordpress.org/hitendra-chopda/\">Hitendra Chopda</a> · <a href=\"https://profiles.wordpress.org/humanify/\">humanify</a> · <a href=\"https://profiles.wordpress.org/huubl/\">huubl</a> · <a href=\"https://profiles.wordpress.org/huzaifaalmesbah/\">Huzaifa Al Mesbah</a> · <a href=\"https://profiles.wordpress.org/iamthomasbishop/\">iamthomasbishop</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/ignatiusjeroe/\">ignatiusjeroe</a> · <a href=\"https://profiles.wordpress.org/imranhasanraaz/\">Imran</a> · <a href=\"https://profiles.wordpress.org/inwerpsel/\">inwerpsel</a> · <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/itpathsolutions/\">IT Path Solutions</a> · <a href=\"https://profiles.wordpress.org/ivanottinger/\">Ivan Ottinger</a> · <a href=\"https://profiles.wordpress.org/weijland/\">Jaap Weijland</a> · <a href=\"https://profiles.wordpress.org/jpstevens/\">Jack Stevens</a> · <a href=\"https://profiles.wordpress.org/jaclync/\">jaclync</a> · <a href=\"https://profiles.wordpress.org/smithjw1/\">Jacob Smith</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/jwgoedert/\">James Wesley Goedert</a> · <a href=\"https://profiles.wordpress.org/xhemals/\">Jamie Speller</a> · <a href=\"https://profiles.wordpress.org/janboddez/\">Jan Boddez</a> · <a href=\"https://profiles.wordpress.org/jtolleouw/\">Jansen Tolle</a> · <a href=\"https://profiles.wordpress.org/janthiel/\">janthiel</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">Jarda Snajdr</a> · <a href=\"https://profiles.wordpress.org/szopserwis/\">Jarek Mazurczak</a> · <a href=\"https://profiles.wordpress.org/jarekmorawski/\">jarekmorawski</a> · <a href=\"https://profiles.wordpress.org/jpolakovic/\">Jaroslav \"Dero\" Polakovic</a> · <a href=\"https://profiles.wordpress.org/jason_the_adams/\">Jason Adams</a> · <a href=\"https://profiles.wordpress.org/pbking/\">Jason Crist</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/madtownlems/\">Jason LeMahieu (MadtownLems)</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/jayanthparthsarathy/\">jayanthparthsarathy</a> · <a href=\"https://profiles.wordpress.org/jbinda/\">jbinda</a> · <a href=\"https://profiles.wordpress.org/jdekhtiar/\">jdekhtiar</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/krokodok/\">Jeff Chi</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a> · <a href=\"https://profiles.wordpress.org/jeffr0/\">Jeffro</a> · <a href=\"https://profiles.wordpress.org/jeflopodev/\">jeflopo</a> · <a href=\"https://profiles.wordpress.org/jdy68/\">Jenny Dupuy</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/jpry/\">Jeremy Pry</a> · <a href=\"https://profiles.wordpress.org/jeryj/\">Jerry Jones</a> · <a href=\"https://profiles.wordpress.org/amieiro/\">Jes&#250;s Amieiro</a> · <a href=\"https://profiles.wordpress.org/onmauitime/\">Jess</a> · <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a> · <a href=\"https://profiles.wordpress.org/jhned/\">jhned</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">Jigar Bhanushali</a> · <a href=\"https://profiles.wordpress.org/jigar9998/\">Jigar Panchal</a> · <a href=\"https://profiles.wordpress.org/jipmoors/\">Jip Moors</a> · <a href=\"https://profiles.wordpress.org/jivedig/\">JiveDig</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/timse201/\">Johannes J&#252;lg</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnillo/\">John Espiritu</a> · <a href=\"https://profiles.wordpress.org/johnny5/\">John Godley</a> · <a href=\"https://profiles.wordpress.org/bitmachina/\">John Hooks</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/jonsurrell/\">Jon Surrell</a> · <a href=\"https://profiles.wordpress.org/jon092/\">jon092</a> · <a href=\"https://profiles.wordpress.org/jaruzek/\">Jonathan</a> · <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/n2erjo00/\">Joni Erkkil&#228;</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jordesign/\">jordesign</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josevarghese/\">Jose Varghese</a> · <a href=\"https://profiles.wordpress.org/josepmoran/\">Josep Morán</a> · <a href=\"https://profiles.wordpress.org/josephscott/\">Joseph Scott</a> · <a href=\"https://profiles.wordpress.org/verygoode/\">Joshua Goode</a> · <a href=\"https://profiles.wordpress.org/jossnaz/\">Jossnaz</a> · <a href=\"https://profiles.wordpress.org/juanfra/\">Juan Aldasoro</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/jules/\">jules</a> · <a href=\"https://profiles.wordpress.org/juliemoynat/\">Julie Moynat</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a> · <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a> · <a href=\"https://profiles.wordpress.org/justnorris/\">justnorris</a> · <a href=\"https://profiles.wordpress.org/jyolsna/\">Jyolsna J E</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/kamran8176/\">kamran8176</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/karlijnbk/\">Karlijn Bok</a> · <a href=\"https://profiles.wordpress.org/karolmanijak/\">Karol Manijak</a> · <a href=\"https://profiles.wordpress.org/thekt12/\">Karthik Thayyil</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn Presner</a> · <a href=\"https://profiles.wordpress.org/keithdevon/\">keithdevon</a> · <a href=\"https://profiles.wordpress.org/kellenmace/\">Kellen Mace</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/keoshi/\">keoshi</a> · <a href=\"https://profiles.wordpress.org/kevinwhoffman/\">Kevin Hoffman</a> · <a href=\"https://profiles.wordpress.org/khokansardar/\">Khokan Sardar</a> · <a href=\"https://profiles.wordpress.org/killua99/\">killua99</a> · <a href=\"https://profiles.wordpress.org/kirasong/\">Kira Schroder</a> · <a href=\"https://profiles.wordpress.org/kitchin/\">kitchin</a> · <a href=\"https://profiles.wordpress.org/ixkaito/\">Kite</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/kkmuffme/\">kkmuffme</a> · <a href=\"https://profiles.wordpress.org/kmvan/\">kmvan</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/kovshenin/\">Konstantin Kovshenin</a> · <a href=\"https://profiles.wordpress.org/koodii/\">koodii</a> · <a href=\"https://profiles.wordpress.org/kristastevens/\">kristastevens</a> · <a href=\"https://profiles.wordpress.org/kristenfisher427/\">kristenfisher427</a> · <a href=\"https://profiles.wordpress.org/krupajnanda/\">Krupa Nanda</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kushang78/\">Kushang Tailor</a> · <a href=\"https://profiles.wordpress.org/kyleak/\">kyleak</a> · <a href=\"https://profiles.wordpress.org/mlaetitia/\">Lae</a> · <a href=\"https://profiles.wordpress.org/lanresmith/\">Lanre Smith</a> · <a href=\"https://profiles.wordpress.org/lgersman/\">Lars Gersmann</a> · <a href=\"https://profiles.wordpress.org/newyorkerlaura/\">Laura Byrne</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/oncecoupled/\">Lauren</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/wplmillet/\">Laurent MILLET</a> · <a href=\"https://profiles.wordpress.org/peexy/\">Laurent Naudier</a> · <a href=\"https://profiles.wordpress.org/leemon/\">leemon</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/leonidasmilossis/\">Leonidas Milosis</a> · <a href=\"https://profiles.wordpress.org/lgladdy/\">Liam Gladdy</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/liviopv/\">liviopv</a> · <a href=\"https://profiles.wordpress.org/louiswol94/\">Louis Wolmarans</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/luan-ramos/\">Luan Ramos</a> · <a href=\"https://profiles.wordpress.org/luboslives/\">luboslives</a> · <a href=\"https://profiles.wordpress.org/crixu/\">Lucas</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">Luigi Teschio</a> · <a href=\"https://profiles.wordpress.org/lardsax/\">Luis</a> · <a href=\"https://profiles.wordpress.org/lmartins/\">Luis Martins</a> · <a href=\"https://profiles.wordpress.org/interdevel/\">Luis Molina (interdevel)</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/lyonmuller/\">Lyon M&#252;ller</a> · <a href=\"https://profiles.wordpress.org/pagelab/\">M&#225;rcio Duarte</a> · <a href=\"https://profiles.wordpress.org/selectedselections/\">Maddie - a11n</a> · <a href=\"https://profiles.wordpress.org/madfcat/\">madfcat</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/mai21/\">Mai</a> · <a href=\"https://profiles.wordpress.org/makdiahussain/\">Makdia Hussain</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/manojmaharrshi/\">Manoj Maharrshi</a> · <a href=\"https://profiles.wordpress.org/mdxfr/\">Marc</a> · <a href=\"https://profiles.wordpress.org/marc4/\">Marc Armengou</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/iworks/\">Marcin Pietrzak</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/pereirinha/\">Marco Pereirinha</a> · <a href=\"https://profiles.wordpress.org/marherumr/\">marherumr</a> · <a href=\"https://profiles.wordpress.org/chaton666/\">Marie Comet</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">Mario Santos</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markhowellsmead/\">Mark Howells-Mead</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markjszymanski/\">Mark Szymanski</a> · <a href=\"https://profiles.wordpress.org/mapk/\">Mark Uraine</a> · <a href=\"https://profiles.wordpress.org/mhkuu/\">Martijn van der Klis</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/mat-lipe/\">Mat Lipe</a> · <a href=\"https://profiles.wordpress.org/imath/\">Mathieu Viet</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">Matias Benedetto</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/webdevmattcrom/\">Matt Cromwell</a> · <a href=\"https://profiles.wordpress.org/mattmm/\">Matt Medeiros</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/mattormeeple/\">Matt Sherman</a> · <a href=\"https://profiles.wordpress.org/matteoenna/\">Matteo Enna</a> · <a href=\"https://profiles.wordpress.org/maurodf/\">maurodf</a> · <a href=\"https://profiles.wordpress.org/hmbashar/\">Md Abul Bashar</a> · <a href=\"https://profiles.wordpress.org/devsahadat/\">Md Sahadat Husain</a> · <a href=\"https://profiles.wordpress.org/tofajjal02/\">Md Tofajjal Hossen</a> · <a href=\"https://profiles.wordpress.org/mdnesarmridha/\">MD.NESAR MRIDHA</a> · <a href=\"https://profiles.wordpress.org/immeet94/\">Meet Makadia</a> · <a href=\"https://profiles.wordpress.org/meetmehta1205/\">Meet Mehta</a> · <a href=\"https://profiles.wordpress.org/megane9988/\">megane9988</a> · <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a> · <a href=\"https://profiles.wordpress.org/hrkhal/\">Michael James Ilett</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/miguelsansegundo/\">miguelsansegundo</a> · <a href=\"https://profiles.wordpress.org/misulicus/\">Mihai Joldis</a> · <a href=\"https://profiles.wordpress.org/miikkamakela/\">Miikka</a> · <a href=\"https://profiles.wordpress.org/simison/\">Mikael Korpela</a> · <a href=\"https://profiles.wordpress.org/mikehend/\">Mike Henderson</a> · <a href=\"https://profiles.wordpress.org/mmcalister/\">Mike McAlister</a> · <a href=\"https://profiles.wordpress.org/mikeybinns/\">Mikey Binns</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/illuminea/\">Miriam Schwab</a> · <a href=\"https://profiles.wordpress.org/presents111/\">miya</a> · <a href=\"https://profiles.wordpress.org/mkismy/\">mkismy</a> · <a href=\"https://profiles.wordpress.org/mobarak/\">Mobarak Ali</a> · <a href=\"https://profiles.wordpress.org/mohitdadhich10/\">Mohit Dadhich</a> · <a href=\"https://profiles.wordpress.org/monzuralam/\">Monzur Alam</a> · <a href=\"https://profiles.wordpress.org/jucaduca/\">Morais Junior</a> · <a href=\"https://profiles.wordpress.org/mrwweb/\">mrwweb</a> · <a href=\"https://profiles.wordpress.org/devmuhib/\">Muhibul Haque</a> · <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/faguni22/\">Mumtahina Faguni</a> · <a href=\"https://profiles.wordpress.org/musannifzahir/\">Musannif Zahir</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/myhro/\">myhro</a> · <a href=\"https://profiles.wordpress.org/mykolashlyakhtun/\">mykolashlyakhtun</a> · <a href=\"https://profiles.wordpress.org/nsinelnikov/\">Mykyta Synelnikov</a> · <a href=\"https://profiles.wordpress.org/assassinateur/\">Nadir Seghir</a> · <a href=\"https://profiles.wordpress.org/naeemhaque/\">Naeem Haque</a> · <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a> · <a href=\"https://profiles.wordpress.org/narenin/\">Narendra Sishodiya</a> · <a href=\"https://profiles.wordpress.org/nareshbheda/\">Naresh Bheda</a> · <a href=\"https://profiles.wordpress.org/nateinaction/\">Nate Gay</a> · <a href=\"https://profiles.wordpress.org/nhrrob/\">Nazmul Hasan Robin</a> · <a href=\"https://profiles.wordpress.org/nazmul111/\">Nazmul Hosen</a> · <a href=\"https://profiles.wordpress.org/nboot8/\">nboot8</a> · <a href=\"https://profiles.wordpress.org/nendeb/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neotrope/\">neotrope</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/nicmare/\">nicmare</a> · <a href=\"https://profiles.wordpress.org/nico23/\">Nico</a> · <a href=\"https://profiles.wordpress.org/niktat/\">Nicolas Tatarchenko</a> · <a href=\"https://profiles.wordpress.org/nicolefurlan/\">Nicole Furlan</a> · <a href=\"https://profiles.wordpress.org/bgnicolepaschen/\">Nicole Paschen Caylor</a> · <a href=\"https://profiles.wordpress.org/nicomollet/\">nicomollet</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/nielslange/\">Niels Lange</a> · <a href=\"https://profiles.wordpress.org/nihar007/\">Nihar Ranjan Das</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/rabmalin/\">Nilambar Sharma</a> · <a href=\"https://profiles.wordpress.org/nilovelez/\">Nilo Velez</a> · <a href=\"https://profiles.wordpress.org/niravsherasiya7707/\">Nirav Sherasiya</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/nkeller15/\">nkeller15</a> · <a href=\"https://profiles.wordpress.org/noruzzaman/\">Noruzzaman</a> · <a href=\"https://profiles.wordpress.org/nosilver4u/\">nosilver4u</a> · <a href=\"https://profiles.wordpress.org/obliviousharmony/\">obliviousharmony</a> · <a href=\"https://profiles.wordpress.org/ohia/\">Ohia ᚛ᚈᚐᚂᚐᚋᚆ᚜</a> · <a href=\"https://profiles.wordpress.org/okat/\">okat</a> · <a href=\"https://profiles.wordpress.org/dargus/\">Old account</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/domainsupport/\">Oliver Campion</a> · <a href=\"https://profiles.wordpress.org/webgarten/\">Oliver Schmid</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/alshakero/\">Omar Alshaker</a> · <a href=\"https://profiles.wordpress.org/omerkurd/\">omerkurd</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/pablohoneyhoney/\">Pablo Honey</a> · <a href=\"https://profiles.wordpress.org/pacicio/\">Pacicio</a> · <a href=\"https://profiles.wordpress.org/pls78/\">Paolo L. Scala</a> · <a href=\"https://profiles.wordpress.org/papijo/\">papijo</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/patricia70/\">Patricia BT</a> · <a href=\"https://profiles.wordpress.org/lumiblog/\">Patrick Lumumba</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/pauldewouters/\">Paul de Wouters</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/paulwilde/\">Paul Wilde</a> · <a href=\"https://profiles.wordpress.org/paulopmt1/\">Paulo Trentin</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/pavelevap/\">pavelevap</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/peiche/\">peiche</a> · <a href=\"https://profiles.wordpress.org/pers/\">Per S&#248;derlind</a> · <a href=\"https://profiles.wordpress.org/perryrylance/\">perryrylance</a> · <a href=\"https://profiles.wordpress.org/provenself/\">Peter Rubin</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petitphp/\">petitphp</a> · <a href=\"https://profiles.wordpress.org/petralian/\">petralian</a> · <a href=\"https://profiles.wordpress.org/mr2p/\">Phi Phan</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/wppinar/\">Pinar</a> · <a href=\"https://profiles.wordpress.org/pitamdey/\">Pitam Dey</a> · <a href=\"https://profiles.wordpress.org/pkuliga/\">pkuliga</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pooja9712/\">pooja9712</a> · <a href=\"https://profiles.wordpress.org/povilasstaskus/\">Povilas Sta&#353;kus</a> · <a href=\"https://profiles.wordpress.org/ppolo99/\">ppolo99</a> · <a href=\"https://profiles.wordpress.org/praful2111/\">Praful Patel</a> · <a href=\"https://profiles.wordpress.org/pranitdugad/\">Pranit Dugad</a> · <a href=\"https://profiles.wordpress.org/prasadkarmalkar/\">Prasad Karmalkar</a> · <a href=\"https://profiles.wordpress.org/pmbaldha/\">Prashant Baldha</a> · <a href=\"https://profiles.wordpress.org/pratiklondhe/\">Pratik Londhe</a> · <a href=\"https://profiles.wordpress.org/freewebmentor/\">Prem Tiwari</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/presstoke/\">presstoke</a> · <a href=\"https://profiles.wordpress.org/printsachen1/\">printsachen1</a> · <a href=\"https://profiles.wordpress.org/priyanshii5/\">Priyanshii Vijayvargiya</a> · <a href=\"https://profiles.wordpress.org/prottoysarkar/\">Prottoy Sarkar Argho</a> · <a href=\"https://profiles.wordpress.org/quietnoise/\">QuietNoise</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/rafaelgalani/\">Rafael Galani</a> · <a href=\"https://profiles.wordpress.org/rafaucau/\">Rafał Całka</a> · <a href=\"https://profiles.wordpress.org/lamarajan/\">Rajan Lama</a> · <a href=\"https://profiles.wordpress.org/rajinsharwar/\">Rajin Sharwar</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/rcorrales/\">Ramon Corrales</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/raquelandefeld/\">Raquel</a> · <a href=\"https://profiles.wordpress.org/ravipatel/\">Ravikumar Patel</a> · <a href=\"https://profiles.wordpress.org/ravinderk/\">Ravinder Kumar</a> · <a href=\"https://profiles.wordpress.org/rejaulalomkhan/\">Rejaul Alom Khan</a> · <a href=\"https://profiles.wordpress.org/defries/\">Remkus de Vries</a> · <a href=\"https://profiles.wordpress.org/tabrisrp/\">Remy Perona</a> · <a href=\"https://profiles.wordpress.org/renishsurani/\">renishsurani</a> · <a href=\"https://profiles.wordpress.org/retrofox/\">retrofox</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/rdcoll/\">Rich Collier</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/rockfire/\">Richard Korthuis</a> · <a href=\"https://profiles.wordpress.org/richardevs/\">richardevs</a> · <a href=\"https://profiles.wordpress.org/rcreators/\">Rishi Mehta</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/robertghetau/\">Robert Ghetau</a> · <a href=\"https://profiles.wordpress.org/littlerchicken/\">Robin Cornett</a> · <a href=\"https://profiles.wordpress.org/rodionov201/\">rodionov201</a> · <a href=\"https://profiles.wordpress.org/kreppar/\">Rodrigo Arias</a> · <a href=\"https://profiles.wordpress.org/rodrigosprimo/\">Rodrigo Primo</a> · <a href=\"https://profiles.wordpress.org/rogermedia/\">Roger</a> · <a href=\"https://profiles.wordpress.org/rolfsiebers/\">Rolf Siebers</a> · <a href=\"https://profiles.wordpress.org/roytanck/\">Roy Tanck</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/ryancurban/\">Ryan Urban</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/soean/\">S&#246;ren W&#252;nsch</a> · <a href=\"https://profiles.wordpress.org/s0what/\">s0what</a> · <a href=\"https://profiles.wordpress.org/sagarprajapati/\">Sagar Prajapati</a> · <a href=\"https://profiles.wordpress.org/sahilthakur02/\">sahilthakur02</a> · <a href=\"https://profiles.wordpress.org/sakibmd/\">Sakib Mohammed</a> · <a href=\"https://profiles.wordpress.org/salcode/\">Sal Ferrarello</a> · <a href=\"https://profiles.wordpress.org/xronn/\">Sam Berry</a> · <a href=\"https://profiles.wordpress.org/samanthaxmunoz/\">Sam Brockway</a> · <a href=\"https://profiles.wordpress.org/samiamnot/\">samiamnot</a> · <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a> · <a href=\"https://profiles.wordpress.org/kim88/\">Samuel R&#252;egger</a> · <a href=\"https://profiles.wordpress.org/samuelsidler/\">Samuel Sidler</a> · <a href=\"https://profiles.wordpress.org/sannevndrmeulen/\">Sanne van der Meulen</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarkarripon/\">Sarkar Ripon</a> · <a href=\"https://profiles.wordpress.org/smetzdev/\">Sascha Metz</a> · <a href=\"https://profiles.wordpress.org/sauliusv/\">Saulius Vikerta</a> · <a href=\"https://profiles.wordpress.org/saxonafletcher/\">Saxon Fletcher</a> · <a href=\"https://profiles.wordpress.org/saxonfletcher/\">Saxon Fletcher</a> · <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a> · <a href=\"https://profiles.wordpress.org/script2see/\">script2see</a> · <a href=\"https://profiles.wordpress.org/sean212/\">Sean Fisher</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/flexseth/\">Seth Miller</a> · <a href=\"https://profiles.wordpress.org/smrubenstein/\">Seth Rubenstein</a> · <a href=\"https://profiles.wordpress.org/shailu25/\">Shail Mehta</a> · <a href=\"https://profiles.wordpress.org/sh4lin/\">Shalin Shah</a> · <a href=\"https://profiles.wordpress.org/cafenoirdesign/\">Shannon Smith</a> · <a href=\"https://profiles.wordpress.org/shaunandrews/\">shaunandrews</a> · <a href=\"https://profiles.wordpress.org/sheulyshila/\">sheulyshila</a> · <a href=\"https://profiles.wordpress.org/shital-patel/\">Shital Marakana</a> · <a href=\"https://profiles.wordpress.org/shivapoudel/\">Shiva Poudel</a> · <a href=\"https://profiles.wordpress.org/shivashankerbhatta/\">Shiva Shanker Bhatta</a> · <a href=\"https://profiles.wordpress.org/showravhasan/\">Showrav Hasan</a> · <a href=\"https://profiles.wordpress.org/shreyash3087/\">Shreyash Srivastava</a> · <a href=\"https://profiles.wordpress.org/shub07/\">Shubham Kumar Bansal</a> · <a href=\"https://profiles.wordpress.org/shuvomohajan/\">Shuvo Mohajan</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/siliconforks/\">siliconforks</a> · <a href=\"https://profiles.wordpress.org/simo_m/\">Simone Maranzana</a> · <a href=\"https://profiles.wordpress.org/siobhyb/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/sirzooro/\">sirzooro</a> · <a href=\"https://profiles.wordpress.org/sjnbham/\">SJNBham</a> · <a href=\"https://profiles.wordpress.org/snehapatil02/\">Sneha Patil</a> · <a href=\"https://profiles.wordpress.org/sourav08/\">Sourav Pahwa</a> · <a href=\"https://profiles.wordpress.org/spencerfinnell/\">Spencer Finnell</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/stephenbrook/\">Stephen Brook</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/stephenmiracle/\">stephenmiracle</a> · <a href=\"https://profiles.wordpress.org/steveariss/\">Steve Ariss</a> · <a href=\"https://profiles.wordpress.org/stevejonesdev/\">Steve Jones</a> · <a href=\"https://profiles.wordpress.org/steveblum/\">steveblum</a> · <a href=\"https://profiles.wordpress.org/strangehill/\">strangehill</a> · <a href=\"https://profiles.wordpress.org/strarsis/\">strarsis</a> · <a href=\"https://profiles.wordpress.org/studio28/\">studio28</a> · <a href=\"https://profiles.wordpress.org/studiozerozero/\">studiozerozero</a> · <a href=\"https://profiles.wordpress.org/sudipatel007/\">Sudip Dadhaniya</a> · <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sunil25393/\">SunilPrajapati</a> · <a href=\"https://profiles.wordpress.org/suascat_wp/\">Suwash</a> · <a href=\"https://profiles.wordpress.org/swapnild/\">swapnild</a> · <a href=\"https://profiles.wordpress.org/syamraj24/\">syamraj24</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/smub/\">Syed Balkhi</a> · <a href=\"https://profiles.wordpress.org/tahmidulkarim/\">Tahmid ul Karim</a> · <a href=\"https://profiles.wordpress.org/iamtakashi/\">Takashi Irie</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a> · <a href=\"https://profiles.wordpress.org/voboghure/\">Tapan Kumer Das</a> · <a href=\"https://profiles.wordpress.org/taskotr/\">Taras Dashkevych</a> · <a href=\"https://profiles.wordpress.org/rahmantasnia/\">Tasnia Rahman Raima</a> · <a href=\"https://profiles.wordpress.org/taylorgorman/\">Taylor Gorman</a> · <a href=\"https://profiles.wordpress.org/edent/\">Terence Eden</a> · <a href=\"https://profiles.wordpress.org/teresagobble/\">Teresa Gobble</a> · <a href=\"https://profiles.wordpress.org/thakordarshil/\">Thakor Darshil</a> · <a href=\"https://profiles.wordpress.org/thelmachido/\">thelmachido a11n</a> · <a href=\"https://profiles.wordpress.org/thijso/\">Thijs</a> · <a href=\"https://profiles.wordpress.org/thirumani02/\">Thirumani Guhan</a> · <a href=\"https://profiles.wordpress.org/kraftner/\">Thomas Kr&#228;ftner</a> · <a href=\"https://profiles.wordpress.org/threadi/\">threadi</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Kr&#252;ss</a> · <a href=\"https://profiles.wordpress.org/tb1909/\">Tim Brath&#228;rig</a> · <a href=\"https://profiles.wordpress.org/timnicholson/\">Tim Nicholson</a> · <a href=\"https://profiles.wordpress.org/tnolte/\">Tim Nolte</a> · <a href=\"https://profiles.wordpress.org/timotijhof/\">Timo Tijhof</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tmatsuur/\">tmatsuur</a> · <a href=\"https://profiles.wordpress.org/tmfhokies/\">tmfhokies</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tomjcafferkey/\">Tom Cafferkey</a> · <a href=\"https://profiles.wordpress.org/tomalec/\">Tomek</a> · <a href=\"https://profiles.wordpress.org/tomepajk/\">tomepajk</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/tomxygen/\">tomxygen</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/starbuck/\">Tony G</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/tremidkhar/\">Tremi Dkhar</a> · <a href=\"https://profiles.wordpress.org/truptikanzariya/\">Trupti Kanzariya</a> · <a href=\"https://profiles.wordpress.org/tunetheweb/\">tunetheweb</a> · <a href=\"https://profiles.wordpress.org/twstokes/\">twstokes</a> · <a href=\"https://profiles.wordpress.org/tybor/\">tybor</a> · <a href=\"https://profiles.wordpress.org/u451f/\">u451f</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/up1512001/\">up1512001</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/valer1eg/\">Val&#233;rie Galassi</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Sz&#233;pe</a> · <a href=\"https://profiles.wordpress.org/vineet2003/\">Vinit</a> · <a href=\"https://profiles.wordpress.org/vinita29/\">Vinita Tandulkar</a> · <a href=\"https://profiles.wordpress.org/vipulgupta003/\">Vipul Gupta</a> · <a href=\"https://profiles.wordpress.org/ashokrane/\">Vishal Kothari</a> · <a href=\"https://profiles.wordpress.org/vivekawsm/\">vivekawsm</a> · <a href=\"https://profiles.wordpress.org/vrrobz/\">vrrobz</a> · <a href=\"https://profiles.wordpress.org/webmandesign/\">WebMan Design &#124; Oliver Juhas</a> · <a href=\"https://profiles.wordpress.org/websitegenii/\">websitegenii</a> · <a href=\"https://profiles.wordpress.org/wesatintellitonic/\">wesatintellitonic</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/skorasaurus/\">Will Skora</a> · <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a> · <a href=\"https://profiles.wordpress.org/nestea29950/\">WilliamG</a> · <a href=\"https://profiles.wordpress.org/wojtekn/\">Wojtek Naruniec</a> · <a href=\"https://profiles.wordpress.org/wpsoul/\">wpsoul</a> · <a href=\"https://profiles.wordpress.org/yagniksangani/\">Yagnik Sangani</a> · <a href=\"https://profiles.wordpress.org/yankiara/\">yankiara</a> · <a href=\"https://profiles.wordpress.org/collet/\">Yann</a> · <a href=\"https://profiles.wordpress.org/yguyon/\">Yannis Guyon</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/yukinobu/\">Yukinobu Asakawa</a> · <a href=\"https://profiles.wordpress.org/yuvrajsinh2211/\">Yuvrajsinh Sisodiya</a> · <a href=\"https://profiles.wordpress.org/zackkrida/\">Zack Krida</a> · <a href=\"https://profiles.wordpress.org/zackkatz/\">zackkatz</a> · <a href=\"https://profiles.wordpress.org/zafarkamal/\">Zafar Kamal</a> · <a href=\"https://profiles.wordpress.org/zeelthakkar/\">zeelthakkar</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/zkarj/\">zkarj</a> · <a href=\"https://profiles.wordpress.org/zunaid321/\">Zunaid Amin</a></p>\n\n\n\n<p>More than <a href=\"https://translate.wordpress.org/stats/\">60 locales have translated 90 percent</a> or more of WordPress 6.6 into their language. Community translators are working hard to ensure more translations are on their way. Thank you to everyone who helps make WordPress available in 200 languages.</p>\n\n\n\n<p>Last but not least, thanks to the volunteers who contribute to the <a href=\"https://wordpress.org/support/\">support forums</a> by answering questions from WordPress users worldwide.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Get involved</h2>\n\n\n\n<p>Participation in WordPress goes far beyond coding, and learning more and getting involved is easy. Discover the teams that come together to <a href=\"https://make.wordpress.org/\">Make WordPress</a> and use <a href=\"https://make.wordpress.org/contribute/\">this interactive tool</a> to help you decide which is right for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">6.6 haiku</h2>\n\n\n\n<p>Six-point-six is here.<br>Make it all gorgeous; keep it<br>On brand, and relax.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17517\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.6 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2024/07/wordpress-6-6-release-candidate-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 09 Jul 2024 17:39:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.6\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=17497\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:345:\"WordPress 6.6 RC3 is ready for download and testing! This version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, please evaluate RC3 on a test server or a local environment. Reaching this phase of the release cycle is a [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"marybaum\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9781:\"\n<p>WordPress 6.6 RC3 is ready for download and testing!</p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>.<strong> Please do not install, run, or test this version of WordPress on production or mission-critical websites.</strong> Instead, please evaluate RC3 on a test server or a local environment.</p>\n\n\n\n<p>Reaching this phase of the release cycle is a worthy achievement. While release candidates are considered ready for release, your testing is still vital to make sure everything in WordPress 6.6 is the best it can be.</p>\n\n\n\n<p>You can test WordPress 6.6 RC3 in four ways:</p>\n\n\n\n<figure class=\"wp-block-table\"><table><tbody><tr><th>Plugin</th><td>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin on a WordPress install. (Select the “Bleeding edge” channel and “Beta/RC Only” stream).</td></tr><tr><th>Direct Download</th><td>Download the <a href=\"https://wordpress.org/wordpress-6.6-RC3.zip\">RC3 version (zip)</a> and install it on a WordPress website.</td></tr><tr><th>Command Line</th><td>Use the this <a href=\"https://make.wordpress.org/cli/\">WP-CLI</a> command:<br><code>wp core update --version=6.6-RC3</code></td></tr><tr><th>WordPress Playground</th><td>Use the <a href=\"https://playground.wordpress.net/#%7B%20%22preferredVersions%22:%20%7B%20%22php%22:%20%228.0%22,%20%22wp%22:%20%22beta%22%20%7D,%20%22features%22:%20%7B%20%22networking%22:%20true%20%7D,%20%22steps%22:%20[%20%7B%20%22step%22:%20%22login%22,%20%22username%22:%20%22admin%22,%20%22password%22:%20%22password%22%20%7D,%20%7B%20%22step%22:%20%22importFile%22,%20%22file%22:%20%7B%20%22resource%22:%20%22url%22,%20%22url%22:%20%22https://raw.githubusercontent.com/wpaccessibility/a11y-theme-unit-test/master/a11y-theme-unit-test-data.xml%22%20%7D%20%7D,%20%7B%20%22step%22:%20%22importFile%22,%20%22file%22:%20%7B%20%22resource%22:%20%22url%22,%20%22url%22:%20%22https://raw.githubusercontent.com/WordPress/theme-test-data/master/themeunittestdata.wordpress.xml%22%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22query-monitor%22%20%7D,%20%22options%22:%20%7B%20%22activate%22:%20false%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22create-block-theme%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22debug-bar%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22health-check%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22test-reports%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22user-switching%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D%20]%20%7D\">6.6 RC3 WordPress Playground instance</a> (available within 35 minutes after the release is ready) to test the software directly in your browser without the need for a separate site or setup.</td></tr></tbody></table><figcaption class=\"wp-element-caption\">Please test WordPress 6.6 RC3 in one or more of these four ways.</figcaption></figure>\n\n\n\n<p>The target for the WordPress 6.6 release is <strong>next Tuesday,</strong> <strong>July 16, 2024</strong>. Get an overview of the <a href=\"https://make.wordpress.org/core/6-6/\">6.6 release cycle</a>, and check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-6/\">6.6-related posts</a> in the next few weeks for further details.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What&#8217;s in WordPress 6.6 RC3?</h2>\n\n\n\n<p>Thanks to your testing (and many other contributors‘ up to now) this release includes eight bug fixes for the Editor and  <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=06%2F25%2F2024..07%2F01%2F2024&amp;milestone=6.6&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">18 tickets for WordPress Core</a>.</p>\n\n\n\n<p>Get a recap of WordPress 6.6’s highlighted features in the <a href=\"https://wordpress.org/news/2024/06/wordpress-6-6-beta-1/\" data-type=\"post\" data-id=\"17289\">Beta 1 announcement</a>. For more technical information related to issues addressed since RC 2, you can browse the following links:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.6?since=2024-07-02&amp;until=2024-07-09\">GitHub commits for 6.6</a> since July 2</li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=06%2F25%2F2024..07%2F01%2F2024&amp;milestone=6.6&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Closed Trac </a><a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=07%2F02%2F2024..07%2F09%2F2024&amp;milestone=6.6&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">tickets</a> since July 2</li>\n</ul>\n\n\n\n<p>Want to look deeper into the details and technical notes for this release? You might want to make your first stop <a href=\"https://make.wordpress.org/core/2024/06/25/wordpress-6-6-field-guide/\">The WordPress 6.6 Field Guide</a>. Then, check out this list:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/core/2024/06/20/roster-of-design-tools-per-block-wordpress-6-6-edition/\">Roster of design tools per block (WordPress 6.6 edition)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/tag/dev-notes+6-6/\">All 6.6-related developer notes</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">You can contribute. Here&#8217;s how</h2>\n\n\n\n<p>WordPress is the world’s most popular open source web platform, thanks to a passionate community of people who collaborate on its development in a wide variety of ways. You can help—whether or not you have any technical expertise.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Get involved in testing</h3>\n\n\n\n<p>Testing for issues is critical to keeping WordPress speedy, stable, and secure. It’s also a vital way for anyone to contribute. <a href=\"https://make.wordpress.org/test/2024/06/03/help-test-wordpress-6-6/\" data-type=\"post\" data-id=\"17392\">This detailed guide</a> will walk you through testing features in WordPress 6.6. If you&#8217;re new to testing, follow <a href=\"https://make.wordpress.org/test/2024/06/03/help-test-wordpress-6-6/\" data-type=\"post\" data-id=\"17289\">this general testing guide</a> for more details on getting set up.</p>\n\n\n\n<p>If you encounter an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> of the support forums. If you are comfortable writing a reproducible bug report, you can also report it on <a href=\"https://core.trac.wordpress.org/newticket\">WordPress Trac</a>. Before you do either, you may want to check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>Curious about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> on <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Please update your WordPress product</h3>\n\n\n\n<p>If you build themes, plugins, blocks, or patterns, your efforts play an integral role in adding new functionality to WordPress and helping bring new people and ideas to the most vibrant (and massive!) open source community in the world.&nbsp;</p>\n\n\n\n<p>Thanks for continuing to test your products with the WordPress 6.6 betas and release candidates. With RC3, you’ll want to make sure everything is working smoothly, and if it&#8217;s a plugin, update the <em>“Tested up to”</em> version in its <a href=\"https://developer.wordpress.org/plugins/wordpress-org/how-your-readme-txt-works/\">readme file</a> to 6.6.</p>\n\n\n\n<p>If you find compatibility issues, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forum</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Help translate WordPress</h3>\n\n\n\n<p>Do you speak a language other than English? <bdo lang=\"es\" dir=\"ltr\">¿Español?</bdo> <bdo lang=\"fr\" dir=\"ltr\">Français?</bdo> <bdo lang=\"ru\" dir=\"ltr\">Русский</bdo>? <bdo lang=\"ja\" dir=\"ltr\">日本</bdo>語? <bdo lang=\"hin\" dir=\"ltr\">हिन्दी</bdo>? <bdo lang=\"bn\" dir=\"ltr\">বাংলা</bdo>? You can <a href=\"https://translate.wordpress.org/projects/wp/dev/\">help translate WordPress into more than 100 languages</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">The RC3 haiku</h2>\n\n\n\n<p>One week to go. Then:<br>Open the paintbox! Try the tools!<br>Play a new jazz tune.</p>\n\n\n\n<p class=\"has-text-align-right\"><em>Props to  <a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a> and <a href=\'https://profiles.wordpress.org/audrasjb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>audrasjb</a>. for peer review.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17497\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"WP Briefing: Episode 83: Learning Pathways\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wordpress.org/news/2024/07/episode-83-learning-pathways/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 08 Jul 2024 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=17489\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:421:\"Discover how Learning Pathways can guide you through your WordPress journey with clarity and purpose. In the latest episode of WordPress Briefing, host Josepha Haden Chomphosy welcomes special guest Wes Theron to discuss the newly introduced Learning Pathways. These curated lesson sets are tailored to various experience levels, roles, and use cases, ensuring a personalized learning experience for every WordPress user.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:51:\"https://wordpress.org/news/files/2024/07/WPB083.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:35130:\"\n<p>Discover how Learning Pathways can guide you through your WordPress journey with clarity and purpose. In the latest episode of WordPress Briefing, host Josepha Haden Chomphosy welcomes special guest Wes Theron to discuss the newly introduced Learning Pathways. These curated lesson sets are tailored to various experience levels, roles, and use cases, ensuring a personalized learning experience for every WordPress user. </p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Guest: <a href=\"https://profiles.wordpress.org/west7/\">Wes Theron</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://learn.wordpress.org/\">Learn.WordPress.org</a>\n<ul class=\"wp-block-list\">\n<li><a href=\"https://learn.wordpress.org/course/beginner-wordpress-developer/\">Beginner WordPress Developer</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/course/beginner-wordpress-user/\">Beginner WordPress User</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://wordpress.org/playground/\">WordPress Playground</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/playlist?list=PL1pJFUVKQ7ETacCXdCCxwdAo-_xciwlQJ\">Learn WordPress YouTube Playlist</a></li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul class=\"wp-block-list\">\n<li><a href=\"https://wordpress.org/news/2024/06/wordpress-6-5-5/\">WordPress 6.5.5 is now available!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2024/06/15/wordpress-contributor-mentorship-program-q4-2024-call-for-interest/\">WordPress Contributor Mentorship Program Q4 2024</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/6-6/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress 6.6 Official Release</a>\n<ul class=\"wp-block-list\">\n<li><a href=\"https://www.youtube.com/watch?v=OyYdkXAx7qw\">What’s new for theme developers in WordPress 6.6</a></li>\n</ul>\n</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meetings/\">Upcoming WordPress Meetings</a></li>\n</ul>\n</li>\n\n\n\n<li>Have a question you’d like answered? Submit them to&nbsp;<a href=\"mailto:wpbriefing@WordPress.org\">WPBriefing@WordPress.org</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<span id=\"more-17489\"></span>\n\n\n\n<p>[00:00:00]&nbsp;<strong>Josepha:</strong>&nbsp;Hello, everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[00:00:28] (Intro music)&nbsp;</p>\n\n\n\n<p>[00:00:39] <strong>Josepha:</strong> As a steward of the WordPress community, one of the big overarching questions that I grapple with is how to make sure people who have just found out about us know how to get around. Obviously, there&#8217;s the contributor path, which is important to me because I am especially concerned with the longevity of our little open source community, but there&#8217;s also a path for folks who are learning how to use the software.</p>\n\n\n\n<p>[00:01:03] <strong>Josepha:</strong> And so, joining me today to talk through a project called Learning Pathways is Wes Theron. Wes, welcome to the WordPress Briefing.</p>\n\n\n\n<p>[00:01:11] <strong>Wes:</strong> Good day. Thank you very much for having me. It&#8217;s a pleasure.</p>\n\n\n\n<p>[00:01:13] <strong>Josepha:</strong> Before we get into this project that we&#8217;re talking about, do you want to just tell me a little bit about who you are and what you do with the WordPress project?</p>\n\n\n\n<p>[00:01:22] <strong>Wes:</strong> Yeah. So, as you know, my name is Wes Theron. I&#8217;m based in New Zealand, and I&#8217;m an instructional designer. And, I am part of the Training Team. So, most of my life revolves around creating learning content for learn.WordPress.org.</p>\n\n\n\n<p>[00:01:38] <strong>Josepha:</strong> Oh, that&#8217;s quite a life. Teaching people how to use WordPress.</p>\n\n\n\n<p>[00:01:42] <strong>Wes:</strong> Yeah, I teach WordPress. We run online workshops. I create video tutorials, courses, and now, of course, this great project we&#8217;re working on, Learning Pathways.</p>\n\n\n\n<p>[00:01:52] <strong>Josepha:</strong> Yeah. So, I&#8217;ve talked about Learning Pathways a few times here on the podcast, but for folks who have not heard me talk about it or who just need a more in-depth understanding, why don&#8217;t you tell us a little bit about this project as it stands today?&nbsp;</p>\n\n\n\n<p>[00:02:06] <strong>Wes:</strong> Yeah, so when Learn started out, I think the main goal was to just get learning content on the site. But, in May of last year, we shared an individual learning survey with folks, and we were hoping to basically find out what are the needs of the learners? What are learners after? And from that individual learner survey, we actually learned a few things. We learned that tutorials, courses, and online workshops were the most used content types. We also saw that web-based learning is the most popular learning method. And then there was a clear need for a structured way of consuming learning material. And that&#8217;s basically where the Learning Pathways project was born; to create Learning Pathways that basically target various types of learners, but also various skill levels. So July of last year, we started with outlines, creating outlines for these learner pathways.</p>\n\n\n\n<p>[00:03:10] <strong>Wes:</strong> And then, in October of last year, we actually started creating content. So, the first learner pathways we started working on was the User Learning Pathway and the Developer Learning Pathway. And what that entails is of course, creating a Learning Pathway for beginner users, intermediate users, and then advanced users.</p>\n\n\n\n<p>So that&#8217;s how we kind of broke it up. And last week, the Beginner Developer Pathway was actually published, so that&#8217;s very exciting. And a few weeks before that, the Beginner WordPress User Pathway. And yeah, of course, we&#8217;ve got many other pathways in the pipeline that we want to work on. For example, a Designer Learning Pathway and even a Contributor Learning Pathway.</p>\n\n\n\n<p>[00:03:57] <strong>Josepha:</strong> Yeah, when we&#8217;re talking about pathways, what we mean is, like, we are figuring out what you probably need to know when you first arrive and then helping you to identify what you build on based on what your goals might be.</p>\n\n\n\n<p>[00:04:11] <strong>Josepha:</strong> Like, obviously, the beginner user, the goal is basically just like, learn how to get WordPress doing stuff at all. Like that&#8217;s, that&#8217;s an easy goal to understand. But when you all were doing the work to figure out what needed to be in the pathway for a beginner developer, and as you&#8217;re looking towards doing the work around intermediate and advanced topics, like how are you all able to determine what most likely you need in those various steps in the learning process?</p>\n\n\n\n<p>[00:04:42] <strong>Wes:</strong> So, of course, a lot of research went into that. When we created the outlines for these Learning Pathways. We shared it with the community. We asked for feedback. And yeah, a lot of research was done to make sure we cover all the all the bases. </p>\n\n\n\n<p>[00:04:59] <strong>Josepha:</strong> I know that there were a couple of different proposals about how to, like do skills assessments, maybe? There was something where like we were talking with companies that employ WordPress folks in the ecosystem, and then we were talking to WordPressers who were currently trying to make sure that their skills were advanced enough to get those jobs. And we were trying to figure out like the distance between those and where we actually have some concerns around like the language choices that they need, like basic developer language choices and jargon that goes in there and stuff like that.</p>\n\n\n\n<p>[00:05:34] <strong>Josepha:</strong> So this, if I recall correctly, the research for this has been going on for like maybe two or three years, right?</p>\n\n\n\n<p>[00:05:42] <strong>Wes:</strong> Yeah, definitely. And we&#8217;ve reached out to many stakeholders within the WordPress community. And as you say, even agencies, and businesses, you know, trying to find out what do they want people to know when they employ them. And yeah, then of course, speaking to the community, speaking, speaking to folks at WordCamps reaching out to folks an online workshops.</p>\n\n\n\n<p>[00:06:04] <strong>Wes:</strong> So, yeah, it&#8217;s definitely been an ongoing process and also seeing what resources are lacking and what needs to be there.&nbsp;</p>\n\n\n\n<p>[00:06:12] <strong>Josepha:</strong> Yeah, so, the very first, the very first iteration of any training that the WordPress project was offering on, I think it was on learn.WordPress.org, but I don&#8217;t actually know for sure, was a troubleshooting workshop, because when you are trying to figure out WordPress for the first time, when you are trying to figure out any software for the first time, being able to figure out what went wrong is a really important part of that. And so that was like the only workshop that existed over there for quite some time. And so it&#8217;s really nice to see how we have really, not only created a bunch of resources in general, if you all have not looked at learn.WordPress.org lately, it has, like, workshop outlines that you can use to do a training by yourself at your meetup group or at a school or whatever it is.</p>\n\n\n\n<p>[00:07:08] <strong>Josepha:</strong> But then also, I want to say it was maybe two, three years ago, that you all, as a team, the Training Team, started doing these online workshops. And so, when you created the Learning Pathways, considering like how much time and research has gone into this project overall, did you all have learnings that came from those workshops that you had already done? Is this like a collection of workshops or is this something where you can do it at home and learn by yourself and then go someplace else and learn more about WordPress? Like how does that function in what we have already?</p>\n\n\n\n<p>[00:07:45] <strong>Wes:</strong> Yeah, so maybe I should first, maybe let&#8217;s define a learning pathway. So I, I thought about this, but a learning pathway, I would say, is a route taken by learner through a range of modules, lessons, and even courses to build knowledge progressively. So it&#8217;s similar to a course, but of course usually covers like a specific topic or subject where learning pathways usually have a larger goal.</p>\n\n\n\n<p>[00:08:11] <strong>Wes:</strong> So I wouldn&#8217;t say that the online workshops form part of the Learning Pathways project. And maybe I can also clarify that the teacher notes or the lesson plans that you refer to is something that&#8217;s also changing going forward. </p>\n\n\n\n<p>[00:08:23] <strong>Josepha:</strong> Oh, good. Because I wrote some of those, and I am not an instructional designer. And so, ha!</p>\n\n\n\n<p>[00:08:30] <strong>Wes:</strong> We&#8217;ve actually decided to move away from having two different content types. So, we had tutorials. You know, video tutorials, and we had lesson plans, and as you said, the lesson plans were notes that somebody could use to run an online workshop or to go to a WordCamp or at their local meetup and use that to teach something. But moving forward for Learning Pathways, we are actually just going to have one content type, namely lessons. And then lessons from part of creating a course or lessons from part of creating modules and then Learning Pathways. The other exciting thing, and something we haven&#8217;t mentioned, is that at the end of this month, when we launched the Learning Pathways or the first few Learning Pathways, it actually coincides with a website redesign.</p>\n\n\n\n<p>[00:09:18] <strong>Wes:</strong> So, yeah, beyond the lookout, hopefully, learn.WordPress.org is going to have a brand new face at the end, from the end of July or, yeah, or August. So, yeah, that&#8217;s very exciting.</p>\n\n\n\n<p>[00:09:30] <strong>Josepha:</strong> Excellent. Excellent. So, you said that these Learning Pathways are part of a larger goal. Is that a goal for your learners or a goal for WordPress? A goal for the team?</p>\n\n\n\n<p>[00:09:40] <strong>Wes:</strong> I would say all of the above.</p>\n\n\n\n<p>[00:09:42] <strong>Josepha:</strong> Goals for everybody. We&#8217;re like the Oprah of goals. Don&#8217;t come get me, Oprah. That&#8217;s all I got to say about it.</p>\n\n\n\n<p>[00:09:48] <strong>Wes:</strong> Yeah, I think for us as a team, at the end of the day, we want folks to be able to use the content and find the content and utilize all the learning material on learn.WordPress.org. And then, of course, at the end of the day, for learners, we want folks to be able to succeed in whatever they are trying to do. Is it to build their own website? Is it to maybe find a job as a developer? And. Yeah, I mean, the list can go on.</p>\n\n\n\n<p>[00:10:21] <strong>Josepha:</strong> Yeah. So, on the subject of wanting to help people succeed, I think that as far as I hear from the majority of contributors that I have worked with over the years, like helping other people figure out how to do this and making sure that they can succeed is always something that is top of mind for contributors to open source probably in general, but definitely to WordPress. Like, we really care about helping other people figure out how to have the same sort of benefits that we&#8217;ve had in the project and with the software. So if you have somebody who is familiar with all the bits and pieces of WordPress and really, really want to like show up and help teach some things. Is it the case that they can take part in like running a Learning Pathway? Is it something where we mostly need people to help us build some content? Like if we&#8217;ve got people who are just desperate to help other people succeed in WordPress, what kinds of things can they show up and help do on this project?</p>\n\n\n\n<p>[00:11:22] <strong>Wes:</strong> Yes, please come to the Training Team. There are many ways to get involved. If you just want to review content, you can do that. But yeah, we do have a need for content creators, folks, you know, creating a video lesson or putting their hand up and saying, I will actually create an entire module or an entire learning, a Learning Pathway. We do have some awesome contributors that&#8217;s part of the Training Team that are already doing that. Some people are writing scripts. Some folks are actually, you know, creating everything from the beginning to the end. So they are writing the script, they recording the video, publishing the video, et cetera. And then we&#8217;ve, of course, have people reviewing content. We&#8217;ve got folks running online workshops. If maybe creating video content is not their, is not their forte, they can can run online workshops. So yeah, many ways getting involved.</p>\n\n\n\n<p>[00:12:16] <strong>Wes:</strong> But Josepha, I wanted to point something else out that I haven&#8217;t done. I think there was a real need for Learning Pathways because, at the moment, if somebody new to WordPress or new to developing with WordPress wants to find learning content. You know, where do they go? What&#8217;s the main platform to go to? I think most people probably go to YouTube, right?&nbsp;But a lot of the content there are, are scattered and fragmented. </p>\n\n\n\n<p>So a lot of learning material or learning about WordPress is all over the place. It&#8217;s not in one place. And as I said, a place where you can actually learn from A to Z, learn progressively learning in a structured way. Yes, we know there are courses available that you can pay for, but the awesome thing about this project is that we are providing these Learning Pathways, these learning resources, for free for folks to be able to work through at their own time. I know that&#8217;s something else you asked earlier on. So yes, this is a course in quotation marks; this is a Learning Pathway that somebody can start whenever it suits them, you know, in the comfort of their own home, and they can work through the Learning Pathway from the beginning to the end. Or, if they feel I actually know everything taught in module one and two, I&#8217;m going to start at module three, they can do that. They basically come in at their skill level.</p>\n\n\n\n<p>[00:13:43] <strong>Josepha:</strong> Yes. I think it&#8217;s really important to try to meet people where they are. And I know that it&#8217;s difficult because, like, we don&#8217;t take a lot of data from our users. You don&#8217;t have to give us basically anything in order to use WordPress. And by basically, I mean you literally don&#8217;t have to give us anything to use WordPress.</p>\n\n\n\n<p>[00:14:01] <strong>Josepha:</strong> And so we always have some difficulty in figuring out what is it that our users need the most in order to succeed the quickest. And so I agree that there was a real need for this not only because, like, there&#8217;s plenty of content for getting from, like, some knowledge to a good amount of knowledge. There&#8217;s almost no content around, like, I didn&#8217;t know CMSs existed until yesterday, and now I need to quickly learn how to do it because it&#8217;s become a thing I need to do in my job. There&#8217;s some really clear, like use cases for being able to onboard quickly and progressively.<br><br>And I understand that, like, having a clear, structured way to learn doesn&#8217;t always fit with the idea of meeting people where they are. But I do really think that, that like what you were saying, it can be as structured as you need it to be. But also, if you get into it and you think to yourself, you know, I know this information already. I can move on to the next module. I can move on to the module after that. Similar to the way we do that at WordCamps also. If you get into a session and you thought it was going to be useful for you, and you discover that it&#8217;s not once you&#8217;re there, you don&#8217;t have to stay. You can go to a different room where they&#8217;re teaching about SEO if it turns out that you don&#8217;t need to learn about JavaScript today.</p>\n\n\n\n<p>[00:15:23] <strong>Josepha:</strong> And I think that that&#8217;s, it&#8217;s kind of the value that this is hoping to bring, like, because it is a little bit built one on top of the other when you discover that you have already learned something, you can easily try out the next step and know that it&#8217;s probably a good next step.</p>\n\n\n\n<p>[00:15:38] <strong>Wes:</strong> Exactly. And if you maybe want to teach this to other folks. The plan is to, you know, we had lesson plans. We have a lot of lesson plans on Learn. But the plan is also to, instead of having, as I said, two different content types, is to have lessons but then add a tab where you can click on teacher notes and actually teach something as well if that is your goal. But yes, our lessons and modules also include quizzes and, hopefully, some practical activities. We&#8217;ve incorporated WordPress Playground where, where folks can actually, you know, test out what they&#8217;ve learned or test their knowledge. So yeah, I agree with you that you can basically join the Learning Pathway wherever you feel the most comfortable.</p>\n\n\n\n<p>[00:16:28] <strong>Josepha:</strong> So we&#8217;ve been kind of in the weeds of the project itself, the program itself, and if you want to like do stuff with that and in that. Let&#8217;s switch gears a little bit and talk about just what people who are wanting to join those pathways would need to know. Do you have any advice for somebody who is just today learning about these Learning Pathways and they think to themselves, I definitely want to sign up for one of those. Like, for one, how do they get started? And for two, your like top two or three bits of advice for as they get started? </p>\n\n\n\n<p>[00:17:05] <strong>Wes:</strong> So you can make your way to learn.WordPress.org, and you can basically open the, the pathway, and you can start wherever, wherever you want to. We have made it possible to actually view these pathways or our content without logging in with your dot org profile. The other thing I also wanted to mention is that our content is actually hosted on YouTube now.</p>\n\n\n\n<p>So the great thing is we have these pathways within YouTube as well. So, folks can go to the, YouTube channel and see our content. And, of course, that basically reaches a very wide audience. And hopefully some of those videos will also bring people to the dot org site so that they can access the content.</p>\n\n\n\n<p>[00:17:57] <strong>Josepha:</strong> I think it&#8217;s great that you don&#8217;t have to sign up for a profile. If you are a brand new WordPresser and ran into this in your dashboard and are listening to this podcast now. So dot org profiles are a place where you can kind of log your activity in the WordPress community and the WordPress project. You do not have to have one in order to use WordPress. You don&#8217;t have to have one in order to look at these courses or to learn from them. But I always think that it&#8217;s kind of nice to get your profile set up so that people kind of know who you are and what you&#8217;re doing. And then also your activity shows up. Like, you can see that you enrolled in the course and you get to know for yourself that you made some progress. I know that when you&#8217;re getting started, it&#8217;s hard to, like, see your progress because you don&#8217;t know how far you have to go. And so, like progress when you&#8217;re starting out is really difficult to feel is real. And so I like it just so that you have a few reminders to yourself, like, look how far I&#8217;ve come as you&#8217;re trying to figure out how far you still have to go. And so I like that a lot. </p>\n\n\n\n<p>[00:18:58] <strong>Wes:</strong> You won&#8217;t be able to access all the content on Learn without your dot org profile. But one of the things we&#8217;ve made possible is to access these Learning Pathways, the new ones being launched without, you know, removing those blockers. So, of course, when you work through a Learning Pathway, you will be able to track your progress, and you will be able to see which lessons you have completed. So yeah, one of the pieces of advice I would give to somebody starting with the Learning Pathways actually to first go through the modules. And go through the lessons to see which things you know and feel comfortable with so that you don&#8217;t waste time maybe going through the first module and say, oh, I know this, and you&#8217;ve wasted time. Rather do a bit of research, a bit of reading, and then find the right place for you to start the journey.</p>\n\n\n\n<p>[00:19:45] <strong>Josepha:</strong> That&#8217;s excellent. I also, just as a learner, I try to always learn some stuff. And also, as you get older, it&#8217;s harder and harder to learn things partially because like you&#8217;re in a set path, but also, and here&#8217;s my advice to new learners: you worry about looking foolish. Like you, you worry, you&#8217;re showing up, and you don&#8217;t know anything about anybody else in the classroom. And so there&#8217;s this feeling of like, what if I&#8217;m the only person who does not know how to make this work? What if I&#8217;m the only person who can&#8217;t figure out what Wes meant by &#8220;Playground&#8221; or whatever it is? There&#8217;s this real feeling of looking silly when you&#8217;re doing something like this.</p>\n\n\n\n<p>[00:20:25] <strong>Josepha:</strong> I can&#8217;t control what anybody else says or does to anyone else, unfortunately. But what I can say is that I think that there&#8217;s never a bad time to start something you wish you had done, right? Like, the best time to have learned how to use your CMS, your website, make your website work was probably a year ago or something, but the second best time is today. And so, like, why not go ahead and get started and be part of that small group of adults that are learning new things every single day? I think that&#8217;s great. And so that&#8217;s my tip is to just embrace looking silly sometimes because you&#8217;re making some choices about your future, and that&#8217;s always a good choice.</p>\n\n\n\n<p>[00:21:04] <strong>Wes:</strong> And I would also say test your knowledge. So you&#8217;ve mentioned WordPress Playground. And as I said, we&#8217;ve incorporated into the Learning Pathways, but sometimes you watch a video, or you read something, and you feel like, oh yeah, I know this, but you know, the proof is in the pudding. So go and test it out. Use a test website or use WordPress Playground and test yourself to see if you can actually implement this or do something. So yeah, that&#8217;s definitely one of the other tips I want to highlight; you know, they also say you, you learn by doing.</p>\n\n\n\n<p>[00:21:38] <strong>Josepha:</strong> Yeah, absolutely. And also, like if you have gotten to a point you&#8217;ve done the learning, you&#8217;ve done some practicing, you think you&#8217;ve got it and want to like try to figure out what other things can be done with it. I recommend this is how I did a lot of my early WordPress learning to organize an event with your local meetup.<br><br>Like, I did not know enough about WordPress when I started organizing WordPress meetups. I literally knew nothing. And I basically brought people in and was like, hey, we need people to teach us about this, us being half me. Come in and teach us. And, and that can be a really good thing, partially because, like, you get to know your local folks and see what&#8217;s going on and get a sense for, like, what is out there, especially if you&#8217;re learning this in order to run a business or to accomplish something for your job that you already have, like knowing what&#8217;s out there is super helpful. But then I find that once you embrace the fact that sometimes you will look silly, and that&#8217;s the only way that we can know we&#8217;re learning something. Like once you&#8217;ve embraced it, having some people who are willing to look a little silly with you is kind of, kind of fun, kind of nice. Also, like we&#8217;re all going to look at this problem that we definitely don&#8217;t understand and hopefully look like, at the end, we know what we&#8217;re doing, but between looking at it the first time and at the end of this meetup, we&#8217;re all going to look a little bit silly, ask silly questions. And I think that that&#8217;s a really helpful thing, too. But yeah, knowing some basic information is a great place to start before you do that, especially if you get anxious about looking silly. And I think these pathways are going to really help to get folks a little bit of a leg up on those big questions that they have as you&#8217;re starting to learn how to use WordPress.</p>\n\n\n\n<p>[00:23:18] <strong>Josepha:</strong> So we talked about, like, tips and tricks for learners in general. But if you had something that you wanted to share with us that, like, you&#8217;re really excited about for either the Training Team or for the Learning Pathways in general, I think the Learning Pathways are slated to be shipped by, like, end of September or something. So, like, a lot of them are coming quite quickly.&nbsp;</p>\n\n\n\n<p>[00:23:38] <strong>Wes:</strong> So I am most excited about the website redesign and the new look and feel of the website. And also, you know, one of the goals for us as a Training Team is for learn.WordPress.org to be one of the places people come to and learn about WordPress. And I feel these Learning Pathways and the new website redesign and all the hard work that&#8217;s gone into this project is hopefully going to, make that happen. As I said, our content is also available on YouTube. So we&#8217;ve really tried to make it easy for folks to find our content and also now to digest our content in a progressive and in a structured way. Because, you know, learning is hard. And hopefully, these Learning Pathways have made it easier for folks to, as you said, to build on your knowledge. You know, a lot of times, there&#8217;s knowledge gaps. And I think that&#8217;s what makes learning so hard. And hopefully with these pathways, you can build that knowledge one step at a time.</p>\n\n\n\n<p>[00:24:44] <strong>Josepha:</strong> Yeah. And as is the way with open source, like we can only make these pieces of content better if you all show up and help us like try it out, learn some stuff, and tell us what was confusing. Tell us what was too big a step. Cause yeah, you&#8217;re right. There are some knowledge gaps and when you&#8217;re on the other side of knowing something, it is so hard to tell how big a step is, you know?</p>\n\n\n\n<p>[00:25:11] <strong>Wes:</strong> Exactly.</p>\n\n\n\n<p>[00:25:12] <strong>Josepha:</strong> And so we need y&#8217;all to come in here and tell us very plainly as a new learner like that was eventually what I needed, but this part here was especially confusing. This part over here was too like too many little steps like we just we&#8217;re trying to make sure that it works for you WordPressers, future WordPressers of the world. And so yeah, come build some learning with us over here on the Training Team.</p>\n\n\n\n<p>[00:25:35] <strong>Wes:</strong> And yes, please, we want feedback because, as you say, as we iterate, we want to improve. So there will be a place where you can provide feedback, and at the end of the pathway where there will also be a satisfaction survey for folks to to complete.</p>\n\n\n\n<p>[00:25:50] <strong>Josepha:</strong> Great. Well, folks, we&#8217;re gonna have a bunch of links in the show notes. There&#8217;s so much stuff out here to learn with and about WordPress. Wes, thank you so much for joining me today.</p>\n\n\n\n<p>[00:26:01] <strong>Wes:</strong> Thank you for having me. And I will see you all on Learn.</p>\n\n\n\n<p>[00:26:05] (Music interlude)</p>\n\n\n\n<p>[00:26:12] <strong>Josepha:</strong> That brings us now to our small list of big things. Although I have to say we have a bunch of links that we&#8217;re going to share in the show notes. If you&#8217;re listening to this in a place where there are not show notes, you can head over to WordPress.org/news. That&#8217;s where we keep all of those. If you are lucky, we also will help you find it on Twitter/X, but I think that it&#8217;s hard to find things over there these days. So WordPress.org/news is your best bet. Now, it is time for the small list of big things.</p>\n\n\n\n<p>So, first up on my list is that WordPress 6.5.5 is now available. It&#8217;s got a few fixes in it, some maintenance things and some security fixes as well. I recommend that you update your sites immediately. You can download it from WordPress.org/download, or you can just visit your WordPress dashboard. If you&#8217;re on a managed host, they may have already done this for you, too. But auto-updates, manual updates, CLI updates. However, you want to get it done, get it done. But it is recommended to do this as soon as possible. 6.5.5.&nbsp;</p>\n\n\n\n<p>[00:27:16] <strong>Josepha:</strong> The second thing on my list is that the WordPress Contributor Mentorship program has a call for interest out. This is a program that we launched about a year ago as well. And we had such a good bit of success at the end of the first round in February that there was significant interest in doing another cohort. So, that program connects seasoned WordPress contribution experts with folks who are new to contributing and offer a fantastic opportunity for mentees to gain hands-on experience contributing to WordPress while their mentors share their expertise and improve their leadership skills. So, most of the time, what you are going to be contributing to is probably a release of WordPress, but there are also a lot of opportunities to contribute to things like the Training Team that we&#8217;ve been talking about today and other teams as well. Not everything is focused all around our release cycle. We have things happening in the WordPress project literally all the time. It is a project that never sleeps.&nbsp;</p>\n\n\n\n<p>[00:28:17] <strong>Josepha:</strong> Speaking of projects that never sleep, our next official release, our second release of the year, is coming out. WordPress 6.6 is coming out just about a week from now. It is the second major release of 2024 and has a lot of things in it that you will want to check out. If you have not yet seen the hallway hangout where we take a look at what was happening in the release, what we intended to get into the release, take a look at it. And if you haven&#8217;t tested it yet, if you are one of our plugin developers, if you are building something on top of WordPress core, now is the time to check that out and test it against your products.</p>\n\n\n\n<p>And then the final thing is that it&#8217;s a new month, my friends. Here we are in July, and we have a ton of things happening in the project. That&#8217;s the theme of my small list of big things: the project that never sleeps. But we have a lot of team meetings that are happening. If you haven&#8217;t attended one in a while or even if you have never attended one of these meetings and you were trying to figure out when to start, now is as good a time as any. You can join your fellow community members and contribute to the WordPress project. And there are ways that you can do that from home and from your computer and for some parts of the project, like from your phone, if you are taking photos out and about and submitting those. So check out make.WordPress.org/meetings. It&#8217;ll give you a sense for everything that&#8217;s happening. Do not get overwhelmed by that calendar. You can just choose which team you think is most interesting to you. </p>\n\n\n\n<p>[00:29:45] <strong>Josepha:</strong> And that, my friends, is your small list of big things. Your small list of never-sleeping things. Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser. Or, if you had questions about what you heard, you can share those with me at WPBriefing@WordPress.org. I&#8217;m your host, Josepha Haden Chomphosy. Thanks for tuning in today for the WordPress Briefing, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\n\n\n\n<p>[00:30:15] (Music outro)</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17489\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.6 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2024/07/wordpress-6-6-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 02 Jul 2024 17:09:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.6\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=17469\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:345:\"WordPress 6.6 RC2 is ready for download and testing! This version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, please evaluate RC2 on a test server or a local environment. Reaching this phase of the release cycle is a [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"marybaum\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10955:\"\n<p>WordPress 6.6 RC2 is ready for download and testing!</p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>.<strong> Please do not install, run, or test this version of WordPress on production or mission-critical websites.</strong> Instead, please evaluate RC2 on a test server or a local environment.</p>\n\n\n\n<p>Reaching this phase of the release cycle is a worthy achievement. While release candidates are considered ready for release, your testing is still vital to make sure everything in WordPress 6.6 is the best it can be.</p>\n\n\n\n<p>You can test WordPress 6.6 RC2 in four ways:</p>\n\n\n\n<figure class=\"wp-block-table\"><table><tbody><tr><th>Plugin</th><td>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin on a WordPress install. (Select the “Bleeding edge” channel and “Beta/RC Only” stream).</td></tr><tr><th>Direct Download</th><td>Download the <a href=\"https://wordpress.org/wordpress-6.6-RC2.zip\">RC2 version (zip)</a> and install it on a WordPress website.</td></tr><tr><th>Command Line</th><td>Use the this <a href=\"https://make.wordpress.org/cli/\">WP-CLI</a> command:<br><code>wp core update --version=6.6-RC2</code></td></tr><tr><th>WordPress Playground</th><td>Use the <a href=\"https://playground.wordpress.net/#%7B%20%22preferredVersions%22:%20%7B%20%22php%22:%20%228.0%22,%20%22wp%22:%20%22beta%22%20%7D,%20%22features%22:%20%7B%20%22networking%22:%20true%20%7D,%20%22steps%22:%20[%20%7B%20%22step%22:%20%22login%22,%20%22username%22:%20%22admin%22,%20%22password%22:%20%22password%22%20%7D,%20%7B%20%22step%22:%20%22importFile%22,%20%22file%22:%20%7B%20%22resource%22:%20%22url%22,%20%22url%22:%20%22https://raw.githubusercontent.com/wpaccessibility/a11y-theme-unit-test/master/a11y-theme-unit-test-data.xml%22%20%7D%20%7D,%20%7B%20%22step%22:%20%22importFile%22,%20%22file%22:%20%7B%20%22resource%22:%20%22url%22,%20%22url%22:%20%22https://raw.githubusercontent.com/WordPress/theme-test-data/master/themeunittestdata.wordpress.xml%22%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22query-monitor%22%20%7D,%20%22options%22:%20%7B%20%22activate%22:%20false%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22create-block-theme%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22debug-bar%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22health-check%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22test-reports%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22user-switching%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D%20]%20%7D\">6.6 RC2 WordPress Playground instance</a> (available within 35 minutes after the release is ready) to test the software directly in your browser without the need for a separate site or setup.</td></tr></tbody></table><figcaption class=\"wp-element-caption\">Please test WordPress 6.6 RC2 in one or more of these four ways.</figcaption></figure>\n\n\n\n<p>The target for the WordPress 6.6 release is <strong>July 16, 2024</strong>. Get an overview of the <a href=\"https://make.wordpress.org/core/6-6/\">6.6 release cycle</a>, and check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-6/\">6.6-related posts</a> in the next few weeks for further details.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What&#8217;s in WordPress 6.6 RC2?</h2>\n\n\n\n<p>Thanks to your testing and many other contributors‘ up to now, this release includes more than 19 bug fixes for the Editor and more than <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=06%2F25%2F2024..07%2F01%2F2024&amp;milestone=6.6&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">20 tickets for WordPress Core</a>.</p>\n\n\n\n<p>Get a recap of WordPress 6.6’s highlighted features in the <a href=\"https://wordpress.org/news/2024/06/wordpress-6-6-beta-1/\" data-type=\"post\" data-id=\"17289\">Beta 1 announcement</a>. For more technical information related to issues addressed since Beta 3, you can browse the following links:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.6?since=2024-06-24&amp;until=2024-06-30\">GitHub commits for 6.6</a> since June 25</li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=06%2F25%2F2024..07%2F01%2F2024&amp;milestone=6.6&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Closed Trac tickets</a> since June 25</li>\n</ul>\n\n\n\n<p>Want to look deeper into the details and technical notes for this release? You might want to make your first stop <a href=\"https://make.wordpress.org/core/2024/06/25/wordpress-6-6-field-guide/\">The WordPress 6.6 Field Guide</a>. Then, check out this list:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/core/2024/06/20/roster-of-design-tools-per-block-wordpress-6-6-edition/\">Roster of design tools per block (WordPress 6.6 edition)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/07/01/hallway-hangout-section-styles-and-other-block-style-variation-updates/\">Hallway Hangout: Section styles and other block style variation updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/07/01/recap-hallway-hangout-exploring-grid-layouts/\">Recap Hallway Hangout: Exploring Grid Layouts</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/06/28/editing-custom-fields-from-connected-blocks/\">Editing custom fields from connected blocks</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/06/28/updates-to-the-interactivity-api-in-6-6/\">Updates to the Interactivity API in 6.6</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/tag/dev-notes+6-6/\">All 6.6-related developer notes</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">You can contribute. Here&#8217;s how</h2>\n\n\n\n<p>WordPress is the world’s most popular open source web platform, thanks to a passionate community of people who collaborate on its development in a wide variety of ways. You can help—whether or not you have any technical expertise.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Get involved in testing</h3>\n\n\n\n<p>Testing for issues is critical to keeping WordPress speedy, stable, and secure. It’s also a vital way for anyone to contribute. <a href=\"https://make.wordpress.org/test/2024/06/03/help-test-wordpress-6-6/\" data-type=\"post\" data-id=\"17392\">This detailed guide</a> will walk you through testing features in WordPress 6.6. If you&#8217;re new to testing, follow <a href=\"https://make.wordpress.org/test/2024/06/03/help-test-wordpress-6-6/\" data-type=\"post\" data-id=\"17289\">this general testing guide</a> for more details on getting set up.</p>\n\n\n\n<p>If you encounter an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> of the support forums. If you are comfortable writing a reproducible bug report, you can also report it on <a href=\"https://core.trac.wordpress.org/newticket\">WordPress Trac</a>. Before you do either, you may want to check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>Curious about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> on <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Search for vulnerabilities</h3>\n\n\n\n<p>From now until the final release candidate of WordPress 6.6 (scheduled for July 9), the <a href=\"https://make.wordpress.org/security/2024/06/04/wordpress-6-6-is-coming/\">financial reward for reporting new, unreleased security vulnerabilities</a> doubles. Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Update your theme or plugin</h3>\n\n\n\n<p>If you build themes, plugins, blocks, or patterns, your products play an integral role in extending the functionality and value of WordPress for all users. </p>\n\n\n\n<p>Thanks for continuing to test your products with the WordPress 6.6 beta releases. With RC2, you’ll want to finish your testing and update the <em>“Tested up to”</em> version in your <a href=\"https://developer.wordpress.org/plugins/wordpress-org/how-your-readme-txt-works/\">plugin’s readme file</a> to 6.6.</p>\n\n\n\n<p>If you find compatibility issues, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forum</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Help translate WordPress</h3>\n\n\n\n<p>Do you speak a language other than English? <bdo lang=\"es\" dir=\"ltr\">¿Español?</bdo> <bdo lang=\"fr\" dir=\"ltr\">Français?</bdo> <bdo lang=\"ru\" dir=\"ltr\">Русский</bdo>? <bdo lang=\"ja\" dir=\"ltr\">日本</bdo>語? <bdo lang=\"hin\" dir=\"ltr\">हिन्दी</bdo>? <bdo lang=\"bn\" dir=\"ltr\">বাংলা</bdo>? You can <a href=\"https://translate.wordpress.org/projects/wp/dev/\">help translate WordPress into more than 100 languages</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>6.6 draws near.<br>In two weeks the final&#8217;s here.<br>Test. Test. Then test more.</p>\n\n\n\n<p class=\"has-text-align-right\"><em>Props to <a href=\'https://profiles.wordpress.org/juanmaguitar/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>juanmaguitar</a>, <a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>, <a href=\'https://profiles.wordpress.org/desrosj/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>desrosj</a></em> <em>and <a href=\'https://profiles.wordpress.org/atachibana/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>atachibana</a> for peer review.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17469\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.6 Release Candidate 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2024/06/wordpress-6-6-release-candidate-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jun 2024 16:23:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.6\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=17429\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:356:\"The first release candidate (RC1) for WordPress 6.6 is ready for download and testing! This version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, please evaluate RC1 on a test server or a local environment. Reaching this phase of [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"marybaum\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11225:\"\n<p>The first release candidate (RC1) for WordPress 6.6 is ready for download and testing!</p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>.<strong> Please do not install, run, or test this version of WordPress on production or mission-critical websites.</strong> Instead, please evaluate RC1 on a test server or a local environment.</p>\n\n\n\n<p>Reaching this phase of the release cycle is a worthy achievement. While release candidates are considered ready for release, testing is still vital to make sure everything in WordPress 6.6 is the best it can be.</p>\n\n\n\n<p>You can test WordPress 6.6 RC1 in four ways:</p>\n\n\n\n<figure class=\"wp-block-table\"><table><tbody><tr><th>Plugin</th><td>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin on a WordPress install. (Select the “Bleeding edge” channel and “Beta/RC Only” stream).</td></tr><tr><th>Direct Download</th><td>Download the <a href=\"https://wordpress.org/wordpress-6.6-RC1.zip\">RC1 version (zip)</a> and install it on a WordPress website.</td></tr><tr><th>Command Line</th><td>Use the this <a href=\"https://make.wordpress.org/cli/\">WP-CLI</a> command:<br><code>wp core update --version=6.6-RC1</code></td></tr><tr><th>WordPress Playground</th><td>Use the <a href=\"https://playground.wordpress.net/#%7B%20%22preferredVersions%22:%20%7B%20%22php%22:%20%228.0%22,%20%22wp%22:%20%22beta%22%20%7D,%20%22features%22:%20%7B%20%22networking%22:%20true%20%7D,%20%22steps%22:%20[%20%7B%20%22step%22:%20%22login%22,%20%22username%22:%20%22admin%22,%20%22password%22:%20%22password%22%20%7D,%20%7B%20%22step%22:%20%22importFile%22,%20%22file%22:%20%7B%20%22resource%22:%20%22url%22,%20%22url%22:%20%22https://raw.githubusercontent.com/wpaccessibility/a11y-theme-unit-test/master/a11y-theme-unit-test-data.xml%22%20%7D%20%7D,%20%7B%20%22step%22:%20%22importFile%22,%20%22file%22:%20%7B%20%22resource%22:%20%22url%22,%20%22url%22:%20%22https://raw.githubusercontent.com/WordPress/theme-test-data/master/themeunittestdata.wordpress.xml%22%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22query-monitor%22%20%7D,%20%22options%22:%20%7B%20%22activate%22:%20false%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22create-block-theme%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22debug-bar%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22health-check%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22test-reports%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D,%20%7B%20%22step%22:%20%22installPlugin%22,%20%22pluginZipFile%22:%20%7B%20%22resource%22:%20%22wordpress.org/plugins%22,%20%22slug%22:%20%22user-switching%22%20%7D,%20%22progress%22:%20%7B%20%22weight%22:%202%20%7D%20%7D%20]%20%7D\">6.6 RC1 WordPress Playground instance</a> (available within 35 minutes after the release is ready) to test the software directly in your browser without the need for a separate site or setup.</td></tr></tbody></table><figcaption class=\"wp-element-caption\">Please test WordPress 6.6 RC1 in one or more of these four ways.</figcaption></figure>\n\n\n\n<p>The current target for the WordPress 6.6 release is <strong>July 16, 2024</strong>. Get an overview of the <a href=\"https://make.wordpress.org/core/6-6/\">6.6 release cycle</a>, and check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-6/\">6.6-related posts</a> in the next few weeks for further details.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Two notes about changes in the RC period</h2>\n\n\n\n<p><strong>Hard string freeze:</strong> From now until July 16, there is a <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> in place—no strings may change, and no new strings may be committed. That&#8217;s to give the Polyglots team time to translate WordPress 6.6 into as many languages as possible before final release.</p>\n\n\n\n<p><strong>Two-committer signoff:</strong> Commits in the RC period also require two Core committers to sign off on every merge. Since release candidates are supposed to be ready to go, only major fixes and blessed tasks should merge at this late date.</p>\n\n\n\n<h2 class=\"wp-block-heading\">What&#8217;s in WordPress 6.6 RC1?</h2>\n\n\n\n<p>Thanks to your testing and many other contributors‘ up to now, this release includes more than 40 bug fixes for the Editor and more than <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=02%2F27%2F2024..03%2F05%2F2024&amp;milestone=6.5&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">40 tickets for WordPress Core</a>.</p>\n\n\n\n<p>Get a recap of WordPress 6.6’s highlighted features in the <a href=\"https://wordpress.org/news/2024/06/wordpress-6-6-beta-1/\" data-type=\"post\" data-id=\"17289\">Beta 1 announcement</a>. For more technical information related to issues addressed since Beta 3, you can browse the following links:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.6?since=2024-06-18&amp;until=2024-06-24\">GitHub commits for 6.6</a> since June 18</li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=closed&amp;changetime=06%2F18%2F24..06%2F24%2F2024&amp;milestone=6.6&amp;max=1000&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Closed Trac tickets</a> since June 18</li>\n</ul>\n\n\n\n<p>Want to look deeper into the details and technical notes for this release? These recent posts cover some of the latest updates:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/core/2024/06/21/wordpress-6-6-css-specificity/\">WordPress 6.6 CSS Specificity</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/06/20/site-wide-background-images-in-wordpress-6-6/\">Site-wide background images in WordPress 6.6</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/06/24/section-styles/\">Section Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/06/20/roster-of-design-tools-per-block-wordpress-6-6-edition/\">Roster of design tools per block (WordPress 6.6 edition)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/06/25/wordpress-6-6-field-guide/\">The WordPress 6.6 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/tag/dev-notes-6-6/\">All 6.6-related developer notes</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">How you can contribute</h2>\n\n\n\n<p>WordPress is open source software made possible by a passionate community of people who collaborate on and contribute to to its development. The resources below outline a wide variety of ways you can help the world’s most popular open source web platform, whether or not you have any technical expertise.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Get involved in testing</h3>\n\n\n\n<p>Testing for issues is critical to making sure WordPress is speedy and stable. It’s also a vital way for anyone to contribute. <a href=\"https://make.wordpress.org/test/2024/06/03/help-test-wordpress-6-6/\" data-type=\"post\" data-id=\"17392\">This detailed guide</a> will walk you through testing features in WordPress 6.6. If you&#8217;re new to testing, follow <a href=\"https://make.wordpress.org/test/2024/06/03/help-test-wordpress-6-6/\" data-type=\"post\" data-id=\"17289\">this general testing guide</a> for more details on getting set up.</p>\n\n\n\n<p>If you encounter an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> of the support forums. If you are comfortable writing a reproducible bug report, you can also report it on <a href=\"https://core.trac.wordpress.org/newticket\">WordPress Trac</a>. Before you do either, you may want to check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>Curious about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> on <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Search for vulnerabilities</h3>\n\n\n\n<p>From now until the final release candidate of WordPress 6.6 (scheduled for July 16), the <a href=\"https://make.wordpress.org/security/2024/06/04/wordpress-6-6-is-coming/\">monetary reward for reporting new, unreleased security vulnerabilities</a> doubles. Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Update your theme or plugin</h3>\n\n\n\n<p>If you build themes, plugins, blocks or patterns, your products play an integral role in extending the functionality and value of WordPress for all users.&nbsp;</p>\n\n\n\n<p>Thanks for continuing to test your themes and plugins with the WordPress 6.6 beta releases. With RC1, you’ll want to finish your testing and update the <em>“Tested up to”</em> version in your <a href=\"https://developer.wordpress.org/plugins/wordpress-org/how-your-readme-txt-works/\">plugin’s readme file</a> to 6.6.</p>\n\n\n\n<p>If you find compatibility issues, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forum</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Help translate WordPress</h3>\n\n\n\n<p>Do you speak a language other than English? <bdo lang=\"es\" dir=\"ltr\">¿Español?</bdo> <bdo lang=\"fr\" dir=\"ltr\">Français?</bdo> <bdo lang=\"ru\" dir=\"ltr\">Русский</bdo>? <bdo lang=\"ja\" dir=\"ltr\">日本</bdo>語? <bdo lang=\"hin\" dir=\"ltr\">हिन्दी</bdo>? <bdo lang=\"bn\" dir=\"ltr\">বাংলা</bdo>? You can <a href=\"https://translate.wordpress.org/projects/wp/dev/\">help translate WordPress into more than 100 languages</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>We&#8217;re here already?<br>RC1 means three weeks left.<br>Have some fun—come test!</p>\n\n\n\n<p><em>Props to <a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>, <a href=\'https://profiles.wordpress.org/audrasjb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>audrasjb</a> for collaborating on this post.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17429\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"WordPress 6.5.5\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/news/2024/06/wordpress-6-5-5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 24 Jun 2024 19:10:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=17426\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:377:\"WordPress 6.5.5 is now available! This release features three security fixes. Because this is a security release, it is recommended that you update your sites immediately. This minor release also includes 3 bug fixes in Core. You can download WordPress 6.5.5 from WordPress.org, or visit your WordPress Dashboard, click “Updates”, and then click “Update Now”. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Aaron Jorbin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5127:\"\n<h2 class=\"wp-block-heading\">WordPress 6.5.5 is now available!</h2>\n\n\n\n<p>This release features three security fixes. Because this is a security release, <strong>it is recommended that you update your sites immediately. </strong>This minor release also includes <a href=\"https://core.trac.wordpress.org/query?component=!Build%2FTest+Tools&amp;milestone=6.5.5&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=status&amp;col=priority&amp;col=component&amp;order=priority\">3 bug fixes</a> in Core.</p>\n\n\n\n<p>You can <a href=\"https://wordpress.org/wordpress-6.5.5.zip\">download WordPress 6.5.5 from WordPress.org</a>, or visit your WordPress Dashboard, click “Updates”, and then click “Update Now”. If you have sites that support automatic background updates, the update process will begin automatically.</p>\n\n\n\n<p>WordPress 6.5.5 is a short-cycle release. The next major release will be version 6.6 which is scheduled for July 16, 2024.</p>\n\n\n\n<p>For more information on WordPress 6.5.5, please visit the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-5-5/\">HelpHub site</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Security updates included in this release</h2>\n\n\n\n<p>The security team would like to thank the following people for <a href=\"https://hackerone.com/wordpress?type=team\">responsibly reporting vulnerabilities</a>, and allowing them to be fixed in this release:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>A cross-site scripting (XSS) vulnerability affecting the HTML API reported by Dennis Snell of the WordPress Core Team, along with Alex Concha and Grzegorz (Greg) Ziółkowski of the WordPress security team.</li>\n\n\n\n<li>A cross-site scripting (XSS) vulnerability affecting the Template Part block reported independently by Rafie Muhammad of Patchstack and during a third party security audit.</li>\n\n\n\n<li>A path traversal issue affecting sites hosted on Windows reported independently by Rafie M &amp; Edouard L of Patchstack, David Fifield, <a href=\"https://hackerone.com/x89\">x89</a>, <a href=\"https://hackerone.com/apple502j\">apple502j</a>, and <a href=\"https://hackerone.com/mishre\">mishre</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thank you to these WordPress contributors</h2>\n\n\n\n<p>This release was led by <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>.</p>\n\n\n\n<p>WordPress 6.5.5 would not have been possible without the contributions of the following people. Their asynchronous coordination to deliver maintenance and security fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p class=\"is-style-wporg-props-medium\"><a href=\"https://profiles.wordpress.org/jorbin\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/xknown\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/azaozz\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/bernhard-reiter\">bernhard-reiter</a>, <a href=\"https://profiles.wordpress.org/costdev\">Colin Stewart</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a>, <a href=\"https://profiles.wordpress.org/dmsnell\">Dennis Snell</a>, <a href=\"https://profiles.wordpress.org/grantmkin\">Grant M. Kinney</a>, <a href=\"https://profiles.wordpress.org/gziolo\">Greg Ziółkowski</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/desrosj\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/matveb\">Matias Ventura</a>, <a href=\"https://profiles.wordpress.org/mcsf\">Miguel Fonseca</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/rajinsharwar\">Rajin Sharwar</a>, <a href=\"https://profiles.wordpress.org/coffee2code\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/hellofromTonya\">Tonya Mork</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">How to contribute</h2>\n\n\n\n<p>To get involved in WordPress core development, head over to Trac, <a href=\"https://core.trac.wordpress.org/report/6\">pick a ticket</a>, and join the conversation in the <a href=\"https://wordpress.slack.com/archives/C02RQBWTW\">#core</a> Slack channel. Need help? Check out the <a href=\"https://make.wordpress.org/core/handbook/tutorials/faq-for-new-contributors/\">Core Contributor Handbook</a>.</p>\n\n\n\n<p><em>Already testing WordPress 6.6? The fourth beta is now available (<a href=\"https://wordpress.org/wordpress-6.6-beta4.zip\">zip</a>) and it contains these security fixes. For more on 6.6, see the <a href=\"https://wordpress.org/news/2024/06/wordpress-6-6-beta-3/\">beta 3 announcement post</a>. Learn more about <a href=\"https://make.wordpress.org/test/2024/06/03/help-test-wordpress-6-6/\">testing WordPress 6.6 here</a>.</em></p>\n\n\n\n<p>Props to <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a>, <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham Siddiqui</a>, <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/hellofromTonya\">Tonya Mork</a>, and <a href=\"https://profiles.wordpress.org/angelasjin/\">Angela Jin</a> for reviewing.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17426\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"WP Briefing: Episode 82: WCEU Hallway Track\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wordpress.org/news/2024/06/episode-82-wceu-hallway-track/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 24 Jun 2024 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=17409\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:312:\"Big events create big moments, and WordCamp Europe 2024 was no exception. Join host Josepha Haden Chomphosy on this episode of the WordPress Briefing as she shares her top insights  and favorite highlights from the event. Discover what the WordPress community focused on during this exciting three-day gathering.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:51:\"https://wordpress.org/news/files/2024/06/WPB082.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brett McSherry\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10086:\"\n<p>Big events create big moments, and WordCamp Europe 2024 was no exception. Join host Josepha Haden Chomphosy on this episode of the WordPress Briefing as she shares her top insights  and favorite highlights from the event. Discover what the WordPress community focused on during this exciting three-day gathering.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host:&nbsp;<a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://europe.wordcamp.org/\">WordCamp Europe</a></li>\n\n\n\n<li><strong>Small List of Big Things</strong>\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/core/6-6/\">WordPress 6.6 RC1 (and upcoming schedule)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/project/2024/05/31/wordpress-project-contributor-handbook-v2/\">WordPress Project Contributor Handbook v2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/sustainability/2024/06/12/the-sustainability-teams-handbook-for-events-is-here/\">The Sustainability Team’s Handbook for Events&nbsp;is here!</a></li>\n\n\n\n<li><a href=\"https://us.wordcamp.org/2024/volunteering-at-wordcamp-us-2024/\">Volunteering at WordCamp US 2024</a>&nbsp;</li>\n</ul>\n</li>\n\n\n\n<li>Have a question you’d like answered? Submit them to&nbsp;<a href=\"mailto:wpbriefing@WordPress.org\">WPBriefing@WordPress.org</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<p>[00:00:00]&nbsp;<strong>Josepha:</strong>&nbsp;Hello, everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p>[00:00:28] (Intro music)&nbsp;</p>\n\n\n\n<p>[00:00:40]&nbsp;<strong>Josepha:</strong> My friends, another WordCamp Europe is in the books. We had the second-highest number of tickets sold in the history of our event series, with the first being WordCamp Europe in Berlin. But even with that number of tickets sold, that number of people gathering together to talk about WordPress and related things, there were still a lot of people who didn&#8217;t get to join us.</p>\n\n\n\n<p>[00:01:01] <strong>Josepha:</strong> For some, that came with experiencing FOMO, but some of you embraced the JOMO of it all. Either way, at this point, there are a good collection of wrap-ups and round-ups going around, so I&#8217;m here to tell you a bit about what was buzzing in the hallway track.&nbsp;</p>\n\n\n\n<p>Firstly, everyone was so excited to see old friends and make new ones. Everywhere I turned, I saw WordPressers in clusters catching up, most included new to the crew faces. So we know that we were using the Pac-Man rule that we love so much. But even while they were catching up on the last two, three, four years, they were also talking to each other about how to get more folks to things like this. </p>\n\n\n\n<p>Since we all generally agree that your first time meeting other WordPressers can be a truly pivotal moment in your WordPress journey, it was a delight to hear so much brainstorming focused on that. From mentorship to community introduction and the future of our events, the question of how to keep our ecosystem healthy and thriving was a big topic. Does any one of us have all the answers to this? No, but fortunately, we&#8217;ve got a global set of thinkers working on this global question. So, together, I&#8217;m sure we can come up with some good guesses to try out.</p>\n\n\n\n<p>[00:02:21] <strong>Josepha:</strong> Secondly, I saw a ton of talks and discussions about career development, not only about how to learn more but also how to be a champion for open source in your company, how to advocate for contribution as a best business practice. And what other communities can teach us about how they commit to their user&#8217;s continuing education, for lack of a friendlier term.</p>\n\n\n\n<p>And boy, do I love a good conversation about how to make working in open source easier, make it more meaningful, and more impactful. I&#8217;m in favor of anything that helps to dignify our profession. The front-facing, easy-to-use experience of WordPress, in particular, has been misunderstood to mean that we are a simple piece of software for simple tasks. And that is the way with our mission really. If we succeed at democratizing publishing or learning or commerce for that matter, we are taking the arcane and making it mundane. But simple to use doesn&#8217;t mean simple to create. And I want all of our future employers and clients to see that.</p>\n\n\n\n<p>[00:03:24] <strong>Josepha:</strong> And then the final thing that I saw lighting up the hallway track was the idea of bringing life and excitement back to the web. WordPress has been fighting against closed systems for a long time, but as Matt alluded to in his keynote, merely having an open web is still not quite as fun as having an active and dynamic one. And we saw that both in general desire to bring fun back to being online, but also in the fresh variety of demos and workshops that we saw in the fun that was brought to the event. There were new and shocking implementations of Playground, I must say. Which, as far as I can tell, will basically be able to run everything one day.</p>\n\n\n\n<p>[00:04:03] <strong>Josepha:</strong> But at WordCamp Europe, it ran; it powered our second massive hybrid translation event, where we translated something like 50,000 strings. We also had an amazing speed-building duel with an accepted future challenge between Jessica Lyschik and Matt Mullenweg. And not for nothing; the way we designed; the way the event area was put together included ways to stop and just have fun.</p>\n\n\n\n<p>There was a little grassy area with yard games and smaller pods of chairs for those quick hallway catch-ups that you just don&#8217;t get anywhere else. And for me, it was simply lovely to see everyone embracing the fun that was there, but also hearing about how much they wanted to help the web embrace the fun that could be.</p>\n\n\n\n<p>[00:04:48] (Music interlude)&nbsp;</p>\n\n\n\n<p>[00:04:55] <strong>Josepha:</strong> Thanks for listening to my hallway track recap. Hopefully, it caused JOMO, not FOMO. And now, let&#8217;s turn our attention to the small list of big things.</p>\n\n\n\n<p>[00:05:05] <strong>Josepha:</strong> First thing on my list is WordPress 6.6 update. So we are reaching the release candidate phase tomorrow. WordPress 6.6 RC1 will be released, so download and join the community helping us to get this release out the door. It is scheduled for July 16th. If you have plugins or themes or any sort of business that uses WordPress, now is the time to get in and test it on a test site. I don&#8217;t recommend putting it in production at any point, but come and test it. Help us break it so that we can make sure that it doesn&#8217;t break for other people, for the, you know, 43% of the web that uses it when we get it out the door on the 16th.&nbsp;</p>\n\n\n\n<p>The second thing on the list is that we have a WordPress Project Contributor Handbook V2 out there. It aims to be the quintessential resource for everyone in our community. And it will provide a bird&#8217;s eye view of where to find key information and different aspects of our community. How it all kind of connects together. And, just like a release, we really need some feedback from you. There is the repo on GitHub where you can go and kind of make inline comments, join the discussion about it. It can be a go-to resource if we look at it together and make sure that it has as much information as clearly stated as you wished you had when you were learning your way around WordPress for the first time.&nbsp;</p>\n\n\n\n<p>[00:06:27] <strong>Josepha:</strong> The third thing on the list is actually another handbook. So, the Sustainability Team has put together a handbook specifically for events. It&#8217;s their first version, and over the past few months, members of that team have been sharing their ideas and experiences on how WordPress community events can be held more sustainably. All this input created a first draft, which eventually became this first version. And so we&#8217;ll put a link in the show notes, wander over there, take a look at it, see what some best practices for sustainable events are in the WordPress ecosystem.&nbsp;</p>\n\n\n\n<p>[00:07:02] <strong>Josepha:</strong> And then the final thing on my list is about WordCamp US. I realize this is a podcast about WordCamp Europe right now. And so it&#8217;s odd to think that I&#8217;m moving right along into WordCamp US. However, there is a deadline coming up. July 1st is the last day to sign up to be a volunteer at this event. It&#8217;s taking place this year in Portland, Oregon, on the west side of the US. And it should be a really fun time. It&#8217;s middle of September. Come on out there. Learn about WordPress. Learn about contribution. Maybe get some voodoo donuts. You know, the important things.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Don&#8217;t forget to follow us on your favorite podcast app or subscribe directly on WordPress.org/news. You&#8217;ll get a friendly reminder whenever there&#8217;s a new episode. If you liked what you heard today, share it with a fellow WordPresser. Or, if you had questions about what you heard, you can share those with me at WPBriefing@WordPress.org. I am your host, Josepha Haden Chomphosy. Thanks for tuning in today for the WordPress Briefing, and I&#8217;ll see you again in a couple of weeks.&nbsp;</p>\n\n\n\n<p>[00:08:06] (Music outro)&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"17409\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:12:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sat, 31 Aug 2024 23:29:31 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:37:\"Accept-Encoding, accept, content-type\";s:25:\"strict-transport-security\";s:12:\"max-age=3600\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Thu, 15 Aug 2024 17:10:30 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:7:\"alt-svc\";s:19:\"h3=\":443\"; ma=86400\";s:4:\"x-nc\";s:9:\"HIT ord 2\";}}s:5:\"build\";s:14:\"20240807151706\";}", "off");
INSERT INTO `wp_options` VALUES("2127", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1725190171", "off");
INSERT INTO `wp_options` VALUES("2128", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1725146971", "off");
INSERT INTO `wp_options` VALUES("2129", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1725190172", "off");
INSERT INTO `wp_options` VALUES("2130", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:150:\"Gutenberg Times: Data Views, new Block themes, Accessibility Block Twenty-Twenty-Five theme, Template registration for plugins — Weekend Edition 302\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=29550\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:31707:\"<p>Hi there! </p>\n\n\n\n<p>Wow, going on vacation and coming back to all the great content, and features built around the WordPress Block editor felt quite overwhelming. And I am afraid that it might happen to you, too, when you look at this Weekend Edition. Marvel on all the great content creators that share their knowledge, their creativity, and their time to contribute to WordPress.</p>\n\n\n\n<p>So, Summer is over, and we are heading into the last four months of the year. For many, that&#8217;s the busiest time of the year. I wish you all the luck and perseverance for your art of building websites. And to my American friends, Happy Labor Day weekend! </p>\n\n\n\n<p>To all others, have a wonderful weekend!</p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<ol><li><a class=\"wp-block-table-of-contents__entry\" href=\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ol><li><a class=\"wp-block-table-of-contents__entry\" href=\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/#wordpress-minor-and-major-release-schedule\">WordPress Minor and Major release schedule</a></li><li><a class=\"wp-block-table-of-contents__entry\" href=\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/#gutenberg-plugin-releases\">Gutenberg Plugin releases</a></li><li><a class=\"wp-block-table-of-contents__entry\" href=\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/#default-theme-twenty-twenty-five\">Default Theme Twenty-Twenty-Five</a></li></ol></li><li><a class=\"wp-block-table-of-contents__entry\" href=\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a class=\"wp-block-table-of-contents__entry\" href=\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a class=\"wp-block-table-of-contents__entry\" href=\"https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor</a></li></ol>\n</div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p><strong>Justin Tadlock</strong> posted this month&#8217;s roundup of updates in <a href=\"https://developer.wordpress.org/news/2024/08/10/whats-new-for-developers-august-2024/\"><strong>What’s new for developers? (August 2024)</strong></a>. and highlighted the Learn WP redesign, the offline mode and PWA support for Playground, and loads of extra block supports. You also find seven updates relevant to plugin developers and seven topics important for theme builders and developers. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Mid-August core contributors met in an informal Hangout sharing in demos what they have been working. Read all about it in <strong>Hector Prieto</strong>&#8216;s summary and watch the recordings: <a href=\"https://make.wordpress.org/core/2024/08/16/hallway-hangout-recording-lets-chat-about-whats-next-in-gutenberg-august-2024/\">Hallway Hangout recording: Let’s chat about what’s next in Gutenberg (August 2024)</a></p>\n\n\n\n<p>List of demos and their GitHub Issues: </p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/63689\">New tabs block</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/64119\">New accordion block</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/62906\">Image gallery lightbox</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/64570\">Custom Fields UI</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/63335\">Free-form cropping tool</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/53322\">Status update on Data Views</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/64197\">Status check on Zoomed-out mode</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/57478\">Status check on the Grid Layout</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/54336\">Updates on Background Image block supports</a></li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Joen Asmussen</strong> posted the <a href=\"https://make.wordpress.org/design/2024/08/26/design-share-62-aug-12-aug-23/\">Design Share #62 (Aug 12-Aug 23)</a>, about the ongoing work on the WordPress Design team. In the post you find images or videos and associated GitHub links to learn more about the following topics:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>Systematizing typography styles in the admin&nbsp;UI</li>\n\n\n\n<li>Text-Wrap Controls</li>\n\n\n\n<li>Small Placeholders</li>\n\n\n\n<li>Styling States in the Style Book</li>\n\n\n\n<li>WordPress.org: Sign-in</li>\n\n\n\n<li>“Add New”</li>\n\n\n\n<li>Image Cropping</li>\n\n\n\n<li>Font Library in Classic Themes</li>\n\n\n\n<li>Expand&nbsp;<code>ItemGroup</code>&nbsp;for greater flexibility and a more consistent UI</li>\n\n\n\n<li>Update&nbsp;<code>Modal</code>&nbsp;animation</li>\n\n\n\n<li>Update&nbsp;<code>ToggleGroupControl</code>&nbsp;appearance</li>\n\n\n\n<li>Five for the Future refresh</li>\n</ul>\n\n\n<div width=\"100%\" class=\"ng-block-faa5e0f90b970271 wp-block-newsletterglue-separator ng-block\"><div><div><div class=\"ng-block-td\" align=\"center\"><hr /></div></div></div></div>\n\n\n<h3 class=\"wp-block-heading\" id=\"wordpress-minor-and-major-release-schedule\">WordPress Minor and Major release schedule</h3>\n\n\n\n<ul class=\"wp-block-list\">\n<li>Tonya Mork updated us on the next maintenance release, <a href=\"https://make.wordpress.org/core/2024/08/19/wordpress-6-6-2/\">WordPress 6.6.2</a>. Release Candidate 1 is scheduled for Sept. 4, and the full release is planned for Sept. 10. The minor maintenance release will patch several CSS specificity, styling, and user experience issues related to the Block Editor.</li>\n</ul>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/core/6-7/\">WordPress 6.7</a> release squad is complete. WordPress 6.7 Beta 1 is scheduled for Tuesday, October 1 (only a month away)! If you want to follow along, consult the <a href=\"https://github.com/orgs/WordPress/projects/210/views/1\">Project Board for Editor Tasks</a> with iteration issues for each feature. Release Candidate 1 and Field Guide will be released on October 12th, 2024. Final release is scheduled for November 11, 2024<br /></li>\n\n\n\n<li><strong>Anne McCarthy</strong> invites you to collaborate on <a href=\"https://nomad.blog/2024/08/29/join-me-in-testing-block-bindings-api/\"><strong>testing the Block Bindings UI</strong></a> and provides you all the tools via Playground blueprint and shows you how to use the feature in an accompanying video. </li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"gutenberg-plugin-releases\">Gutenberg Plugin releases</h3>\n\n\n\n<p>In the past three weeks, two new version of the Gutenberg plugin were released:</p>\n\n\n\n<p>In the release post, <a href=\"https://make.wordpress.org/core/2024/08/14/whats-new-in-gutenberg-19-0-14-august/\"><strong>What’s new in Gutenberg 19.0? (14 August)</strong></a>, <strong>Jorge Costa</strong> highlighted</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/core/2024/08/14/whats-new-in-gutenberg-19-0-14-august/#ui-to-connect-blocks-and-custom-fields\">UI to connect blocks and custom fields</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/08/14/whats-new-in-gutenberg-19-0-14-august/#dataviews-get-a-new-view-configuration-ui\">Quick edit is now available on the new Pages list</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/08/14/whats-new-in-gutenberg-19-0-14-august/#it-is-now-possible-for-users-to-show-or-hide-filters\">Show or hide filters in Data Views</a></li>\n</ul>\n\n\n\n<p><a href=\"https://x.com/jyolsnaje\"><strong>Jyolsna JE, </strong></a> new editor at <em>WPTavern</em> has more details in <a href=\"https://wptavern.com/gutenberg-19-0-introduces-two-new-experimental-features\"><strong>Gutenberg 19.0 Introduces Two New Experimental Features</strong></a> </p>\n\n\n\n<p>Yes, WPTavern has an editor again. Jyolsna JE  has been in the WordPress news space for quite a while as editor for the WP Content newsletter, WordCamp Kerala organizer, and contributor on the documentation and translation teams. Jyolsna JE started publishing on the WPTavern on August 14, 2024. <a href=\"https://wptavern.com/blog\">You can catch up on her articles here</a>. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>First time release lead, <strong>Artemio Morales</strong> highlighted in his post <a href=\"https://make.wordpress.org/core/2024/08/28/whats-new-in-gutenberg-19-1-28-august/\"><strong>What’s new in Gutenberg 19.1? (28 August)</strong></a> two significant updates: </p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://make.wordpress.org/core/2024/08/28/whats-new-in-gutenberg-19-1-28-august/#plugin-template-registration-api\">Plugin Template Registration API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/08/28/whats-new-in-gutenberg-19-1-28-august/#image-caption-styles\">Image Caption Styles</a></li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><a href=\"https://x.com/jyolsnaje\"><strong>Jyolsna JE</strong></a> at WPTavern, also covered this release in <a href=\"https://wptavern.com/gutenberg-19-1-introduces-plugin-template-registration-api\">Gutenberg 19.1 Introduces Plugin Template Registration API</a>. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jessica Lychik </strong>and I dug a little deeper into the changelog of those two releases and recorded the <strong>Gutenberg Changelog episode 106</strong>. You&#8217;ll also learn more about the WordPress outreach channel for extenders, what it&#8217;s all about and how much we appreciate product builders coming and discuss quirks, bugs, and approaches to working with block themes in a no-code, low-code basis as well as developers creating plugins for the block editor. The episode will land in your inbox over the weekend. </p>\n\n\n\n<img width=\"652\" height=\"186\" tabindex=\"0\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/08/Screenshot-2024-08-31-at-13.08.29.png?resize=652%2C186&ssl=1\" alt=\"\" class=\"wp-image-29869\" />\n\n\n\n<p class=\"has-accent-color has-light-background-background-color has-text-color has-background has-link-color wp-elements-1eef8f607a8d445b939d7e1f36f9c9ca\">🎙️ Latest episode: <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-105-gutenberg-18-9-block-themes-and-woocommerce/\">Gutenberg Changelog #105 – Gutenberg 18.9, Block Themes and WooCommerce</a> with special guest Ellen Bauer</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"default-theme-twenty-twenty-five\">Default Theme Twenty-Twenty-Five</h3>\n\n\n\n<p>The development of the Twenty-Twenty-Five theme is in full swing. <a href=\"https://x.com/carolinapoena\"><strong>Carolina Nymark</strong></a> and <a href=\"https://x.com/juanfraa\"><strong>Juan Aldasoro</strong></a> as the co-lead developers on the project.  Here are the resource links, should you be interested in the progress of the theme, or even available to contribute patterns and templates. </p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>Wednesdays at&nbsp;15:00 UTC, there are weekly Slack meetings in the&nbsp;<code>#core-themes</code>&nbsp;channel <em>(You need a Slack account and a WordPress.org account to participate) </em></li>\n\n\n\n<li>Most recent <a href=\"https://make.wordpress.org/core/2024/08/30/default-theme-chat-summary-august-28-2024/\">Default Theme Chat Summary, August 28, 2024</a></li>\n\n\n\n<li>GitHub Repo <a href=\"https://github.com/WordPress/twentytwentyfive/\">WordPress/twentytwentyfive</a> (<a href=\"https://github.com/WordPress/twentytwentyfive/archive/refs/heads/trunk.zip\">Download Zip file</a>)</li>\n\n\n\n<li><a href=\"https://www.youtube.com/redirect?event=video_description&redir_token=QUFFLUhqa1lVY0M3OXJWTG5OSzhHSXhjVGF3SGRhWTRZUXxBQ3Jtc0tuX1c1RVZ3NWk1WE5GY0laaTU2V2h5aVZpVzZOUHRJaklJcWx0SzlXT1NraTlKSHFqMDljRUF6Q0ZJWTgzVEZDTVJLUy1aWWpqcC05b0JiNFNnTzVBSnRkZTF1Wk82RXM5OG9hWlNJWUJObVlSZ2JZOA&q=https%3A%2F%2Fwww.figma.com%2Fdesign%2FdzGCSntVch4EQdVERTqyVK%2FTwenty-Twenty-Five%3Fnode-id%3D1-3384%26t%3DcPAp5fnPHM1joE8F-0&v=ZfpQt0U64zI\">Figma space</a></li>\n\n\n\n<li>Or <a href=\"https://playground.wordpress.net/#{%22landingPage%22:%22/%22,%22steps%22:[{%22step%22:%22installTheme%22,%22themeZipFile%22:{%22resource%22:%22url%22,%22url%22:%22https://github-proxy.com/proxy/?repo=WordPress/twentytwentyfive&branch=trunk%22},%22options%22:{%22activate%22:true}}]}\">check it out on a test site via Playground</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2024/08/15/introducing-twenty-twenty-five/\">Introducing Twenty Twenty-Five</a> with the design</li>\n</ul>\n\n\n\n<img width=\"652\" height=\"408\" tabindex=\"0\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/08/Cover-1536x960-1.jpg?resize=652%2C408&ssl=1\" alt=\"\" class=\"wp-image-29870\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Troy Chaplin</strong>, long-time WordPress developer and designer from Ottawa, Canada,  has been working on an accessibility plugin for the WordPress block editor, called <a href=\"https://github.com/troychaplin/block-accessibility-checks\"><strong>Block Accessibility Checks</strong></a> to help content creators make sure their content is accessible, and meets Web Content Accessibility Guidelines (WCAG). The super early version includes the following checks:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>core/button has text and a link</li>\n\n\n\n<li>core/image checks for alt tag, also adds an option to confirm the image is used for decorative purposes, which is not an a11y concern</li>\n\n\n\n<li>core/table checks for header row on each table</li>\n</ul>\n\n\n\n<p>For now, the plugin is available on GitHub. Chaplin plans to submitted it to the WordPress plugin repository, once it is more stable. If you like to test it, use the <code>/developer</code> branch as it includes the <code>/build</code> directory.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>With the site editor, content creators gain more power and control over their site&#8217;s design and theme. This power also comes with an additional need to learn a new concept: WordPress templates, and their relations to your post and pages. Longtime educator and WordPress expert, <strong>Bud Kraus</strong> helps you <a href=\"https://www.godaddy.com/resources/skills/making-sense-of-wordpress-templates\"><strong>make sense of WordPress templates</strong></a>, in his post on the <em>GoDaddyPro</em> blog. You&#8217;ll learn the basis of WordPress themes, and what each block theme template is used for. Kraus also covers WordPress template hierarchy as well as how to find the template used and how to make modifications.</p>\n\n\n<div width=\"100%\" class=\"ng-block-0a18b49f00a87143 wp-block-newsletterglue-separator ng-block\"><div><div><div class=\"ng-block-td\" align=\"center\"><hr /></div></div></div></div>\n\n\n<p>On WPMinute, <a href=\"https://x.com/mattmedeiros\"><strong>Matt Medeiros</strong></a> put together a comprehensive guide to uncloak the building blocks of a WordPress site <em>(pun unintended)</em>. In <a href=\"https://thewpminute.com/understanding-gutenberg-blocks-patterns-and-templates/\"><strong>Understanding Gutenberg Blocks, Patterns, and Templates</strong></a>, he explains the differences between blocks, patterns, and templates, and how they can be used to create and manage website content more effectively. Medeiros demystifies each component, offering practical insights and examples to help users understand their individual roles and how they work together within the Gutenberg editor. The guide is aimed at aiding WordPress users in leveraging these tools to enhance the customization and functionality of their websites.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Speaking of Block themes, the <strong>WordPress Theme repository</strong> houses now <strong><a href=\"https://wordpress.org/themes/tags/full-site-editing/\">909 Block Themes</a>.</strong> You can find a theme in nostalgic DOS monochrome computer design, or a theme for a construction company, a digital agency, your photo collection, or for your friendly neighborhood cricket club. I am intrigued by the purpose-driven designs. What is our go-to theme nowadays?</p>\n\n\n\n<img width=\"652\" height=\"333\" tabindex=\"0\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/08/Screenshot-2024-08-29-at-15.52.54.png?resize=652%2C333&ssl=1\" alt=\"\" class=\"wp-image-29811\" />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><a href=\"https://x.com/jeremyanderberg\"><strong>Jeremy Anderberg</strong></a>, WordPress.com, highlighted four <a href=\"https://wordpress.com/blog/2024/08/27/new-wordpress-themes-august-2024/\"><strong>new block themes for August 2024</strong></a>. You can browse the hosting company&#8217;s theme directory. <a href=\"https://wordpress.com/themes/free\">All 32 free themes</a> are also available for download to use on a site hosted somewhere else. You can find the download links on the respective theme&#8217;s page by scrolling to the bottom and looking for the download box.</p>\n\n\n\n<img width=\"652\" height=\"105\" tabindex=\"0\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/08/Screenshot-2024-08-29-at-16.13.18.png?resize=652%2C105&ssl=1\" alt=\"\" class=\"wp-image-29814\" />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Fränk Klein collected examples of sites in his post <a href=\"https://wpdevelopmentcourses.ck.page/posts/full-site-editing-in-the-real-world-7-websites-built-using-block-themes\">Full-Site Editing in The Real World: 7 websites built using block themes</a> and provides some background to their implementation strategies. </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p><a href=\"https://x.com/olawanle_joel\"><strong>Joel Olawanle</strong></a>, wrote for Kinsta blog, about the <a href=\"https://kinsta.com/blog/wordpress-theme-core-concepts/\"><strong>Core concepts to understand in WordPress theme development</strong></a> and covers essential theme files (<code>style.css</code>, <code>index.php</code>, <code>functions.php</code>), the template hierarchy, and child themes. You&#8217;ll learn theme customization, best practices for development, including coding standards, security, and performance tips, ensuring you can build and optimize effective WordPress themes. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>On <em>GutenbergMarket</em>, <a href=\"https://x.com/jkoussertari\"><strong>James Koussertari</strong></a> published <a href=\"https://gutenbergmarket.com/news/a-comprehensive-guide-to-building-wordpress-block-themes\"><strong>A Comprehensive Guide to Building WordPress Block Themes</strong></a> as a central resource which collates the best articles &amp; tutorials on the web. &#8220;Plus, a sprinkle of my own insights, golden nuggets &amp; workarounds.&#8221; <a href=\"https://x.com/jkoussertari/status/1642885174596714496\">he wrote on X.</a> </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><em>WebDevStudios</em> has released a new collection of WordPress block themes designed to enhance website customization and improve user experience. The themes are tailored to provide seamless integration with the WordPress block editor, allowing for greater flexibility and easier content management. Details on their approach, links to the theme and its demo site and code repository on GitHub all can be found in the article by <a href=\"https://x.com/LisaSabinWilson\"><strong>Lisa Sabin-Wilson</strong></a>,  <a href=\"https://webdevstudios.com/2024/08/26/webdevstudios-wordpress-block-themes/\"><strong>Embracing the Future: How WebDevStudios Is Leading with WordPress Block Themes </strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his video <a href=\"https://www.youtube.com/watch?v=cqaRzk-INaU\"><strong>WordPress theme json units and spacing scale</strong></a>, <a href=\"https://x.com/elliottrichmond\"><strong>Elliott Richmond </strong></a> explains in roughly five minutes how to handle preset for spacing, and how to adjust the user interface for client projects. </p>\n\n\n\n<p>Richmond has published over ten quick tutorial videos on how to work with WordPress theme.json. You can catch the other videos via <a href=\"https://www.youtube.com/playlist?list=PL837DkQZeKd6epnvczWwh7Qye3l33lDeR\">his playlist on YouTube</a></p>\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2024&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test, and Meta team from Jan. 2024 on. Updated by yours truly. The previous years are also available: <strong><strong><a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\">2020</a>&nbsp;|&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2021/\">2021</a></strong>&nbsp;|&nbsp;<strong><a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2022/\">2022</a></strong></strong>&nbsp;|&nbsp;<strong><a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/gutenberg-index-2023\">2023</a></strong></p>\n\n\n\n<p>In this week&#8217;s <a href=\"https://www.youtube.com/watch?v=CSukzeeIjb8\"><strong>Developer Hours: Building WordPress themes with the Create Block Theme plugin</strong></a>, <strong>Tammie Lister</strong> and I explored how to use the Create Block Theme plugin to make block theme development easier. Tammie Lister, core committer, theme maintainer, and contributor to Gutenberg, joined us to explain how it works and talk about the new features. Whether you’ve used the plugin before or created your own block theme, you won’t want to miss this chance to see how it can improve your workflow.</p>\n\n\n\n<a href=\"https://www.youtube.com/watch?v=CSukzeeIjb8\"><img width=\"652\" height=\"367\" tabindex=\"0\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/08/developer-hours_-create-block-theme-plugin-youtube.webp?resize=652%2C367&ssl=1\" alt=\"\" class=\"wp-image-29872\" /></a>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor</h2>\n\n\n\n<p><strong>Joe Velasco</strong> wanted to share with you that <a href=\"https://josvelasco.com/i-use-real-wordpress-block-plugins-only/\"><strong>&#8220;I use real WordPress block plugins only&#8221;</strong></a>. He took a closer look at plugins that offer blocks and found some have not really subscribed to the concepts of the block editor: They are &#8220;disguised as shortcodes&#8221; or &#8220;blocks with non-native settings&#8221;. He goes on and describes what &#8220;real WordPress blocks&#8221; deliver. And Velasco also quotes Carsten Back, who stopped creating &#8216;real&#8217; blocks and works within block variations, as he only needs to keep track of the relevant pieces and leave updates of core/blocks to the core contributors. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Justin Tadlock</strong> explored the newest feature: Plugin developers can now <a href=\"https://developer.wordpress.org/news/2024/08/29/registering-block-templates-via-plugins-in-wordpress-6-7/\"><strong>register block templates via plugins in WordPress 6.7</strong></a>. In WordPress 6.7, plugin developers now can register block templates directly through their plugins. This simplifies the site-building process for users by giving them ready-made layouts and configurations. Tadlock explains how this is done using the <code>register_block_template()</code> function, with a practical example to illustrate the process. Custom templates can be created for different post types, allowing for more flexibility in content presentation. This update aims to enhance the capabilities of the WordPress block editor, making it easier and more intuitive to use.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>You can also join <strong>Justin Tadlock </strong>and <strong>Nick Diego</strong> at the next<a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/303059268/\"><strong> Developer Hours on September 10 at 15:00 UTC</strong></a> to discuss the feature and how to use it. </p>\n\n\n\n<img width=\"600\" height=\"338\" tabindex=\"0\" src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2024/08/dev-hours-2024-09-10.webp?resize=600%2C338&ssl=1\" alt=\"\" class=\"wp-image-29848\" />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his post on the WordPress Developer Blog, <strong><a href=\"https://developer.wordpress.org/news/2024/08/15/how-to-extend-a-wordpress-block/\">How to extend a WordPress block</a> Nick Diego</strong> published a handy guide for anyone looking to enhance existing WordPress blocks. It covers what block extensions are and why they&#8217;re useful, teaches you how to use the Block API filters to tweak settings and components, and gives step-by-step instructions on creating new block variations. </p>\n\n\n\n<p>You&#8217;ll also learn how to add custom controls to the block inspector for more flexibility. Plus, there&#8217;s a complete example to follow, showing the whole process from start to finish. The mix of code snippets and clear explanations makes it easy for developers of all levels to dive in and start customizing.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>JuanMa Garrido </strong>published his first post on the Developer Blog, <strong><a href=\"https://developer.wordpress.org/news/2024/08/27/using-data-views-to-display-and-interact-with-data-in-plugins/\">Using Data Views to display and interact with data in plugins</a>.</strong> He talks about using Data Views in plugins to manage and display data. It starts by explaining what Data Views are and how they improve plugins by handling data efficiently. </p>\n\n\n\n<p>There&#8217;s a step-by-step guide on setting everything up, along with interactive examples to show how to fetch, display, and update data. The post highlights benefits like better code management and user interaction, and it includes useful code snippets. To wrap up, Garrido summarizes the advantages and suggests further reading. It&#8217;s a handy guide for developers wanting to boost their plugins with Data Views.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Back to the basics, was the goal for the <a href=\"https://www.youtube.com/watch?v=U3Zs3NOTLt4\"><strong>Developer Hours: Hello, Blocks! – An Introduction to Block Development</strong></a>. <strong>Ryan Welcher</strong> and<strong> JuanMa Garrido</strong> explained how blocks are structured and defined within WordPress, giving you a foundational understanding of block.json, attributes, block supports, and more. You will learn the differences between statically and dynamically rendered blocks, along with the pros and cons of each. Finally, we introduced tools that will help you quickly start creating your own custom blocks.</p>\n\n\n<div width=\"100%\" class=\"wp-block-newsletterglue-showhide ng-block\">\n<div class=\"wp-block-embed__wrapper\">\n<div class=\"toolbelt-video-wrapper\"></div>\n</div>\n</div>\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. </p>\n\n\n\n<p>Now also available via <a href=\"https://playground.wordpress.net/?blueprint-url=https://gutenbergtimes.com/wp-content/uploads/2020/11/playnightly.json\">WordPress Playground</a>. There is no need for a test site locally or on a server. Have you been using it? <a href=\"mailto:pauli@gutenbergtimes.com\">Email me </a>with your experience</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\"><em>Questions? Suggestions? Ideas? </em><br /><em>Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or</em><br /><em> send me a message on WordPress Slack or Twitter @bph</em>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p class=\"has-text-align-center has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, <br />send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Featured Image: &#8220;<a href=\"https://www.flickr.com/photos/45416094@N02/6758331079\">Wooden Blocks</a>&#8221; by <a href=\"https://www.flickr.com/photos/45416094@N02\">limecools</a> is licensed under <a href=\"https://creativecommons.org/licenses/by-nc-sa/2.0/?ref=openverse\">CC BY-NC-SA 2.0</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too, and won&#8217;t give your email address to anyone <br />except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 31 Aug 2024 16:45:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"Do The Woo Community: Investing in the Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=85468\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"https://dothewoo.io/investing-in-the-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5104:\"Episode Transcript\n<div class=\"wp-block-group has-global-padding is-layout-constrained wp-block-group-is-layout-constrained\">\n<p>BobWP:<br />Hey, it&#8217;s Bob WP, and welcome to Woo Bits, a part of Do the Woo, a podcast for WooCommerce builders.</p>\n\n\n\n<p>Today, I have a short show with a partial update on the upcoming Do the Woo 4.0, tentatively being released in March. Now, I know this may be a bit premature, but I wanted to share one element of what&#8217;s going on here with Do the Woo, coming in the new year, and that is contributor support.</p>\n\n\n\n<p>In a recent Dev Chat, I joined the conversation around supporting contributors in the space. Towards the end of the conversation, I let a bit of the cat out of the bag regarding what we are doing with Do the Woo with our next big version in March 2023.</p>\n\n\n\n<p>This is what I revealed: I can’t really give away a lot of details at this point, as I’m still working them out. But moving into the next phase of Do the Woo, we are looking at a bigger investment in the community. The podcast has been one way to support the community. Other behind-the-scenes activities also play a part in this through conversations and connections. But another piece of Do the Woo will be focused on helping to sustain contributions in the space.</p>\n\n\n\n<p>It’s a challenge. I think one of the things that I’ve learned as I’ve listened to a lot of guests and had conversations with many different people is that the funds are there. In the podcast, I talked about how Carl mentioned companies have it, and I work with a lot of different sponsors, or I speak to potential sponsors or new people coming into the space.</p>\n\n\n\n<p>We have a number of sponsors here, and many of these new companies entering the ecosystem want to put their dollars to the best use to fit their own goals, but they don’t know where to start. They want to support the community, and they’re still trying to understand the ecosystem. As a result, I think there’s a chance to build a different mindset here.</p>\n\n\n\n<p>What this means for Do the Woo is that we’ll be more of a conduit for some of these funds and companies who want to support the work of contributors. On top of that, Do the Woo will be putting money back in starting next year, and we’ll have it set to a pretty high standard through our sponsors, aiming to fill all the sponsor slots. At the same time, we will be supporting others who are making similar efforts.</p>\n\n\n\n<p>We’re not reinventing the wheel. I think it’s going to be an educational process, and it may evolve on our side as we progress over the next few months. However, I’m hopeful that, however this plays out, we can open some eyes and maybe show that there are ways to do this. Sometimes, some companies need a bit of a push or guidance.</p>\n\n\n\n<p>The conversation we had in the episode was a great start here at Do the Woo, and I think there’s a lot more to be said. I’m pretty excited about what we’re going to be doing, and I’m also excited about the direction the overall community is moving in, with both contributor support and, of course, elevating diversity as well.</p>\n\n\n\n<p>This is just a short Do the Woo update. I wanted to give you a little heads-up. I know there are a lot of details that still need to be worked out, and I’m sure you’re going to hear it from not just us, but others in the space. I’d like to thank our pod friends again at OS Training. Make sure to check them out at ostraining.com.</p>\n\n\n\n<p>If you are interested in learning more about becoming a sponsor partner here at Do the Woo and helping the community in 2023, go to dothewoo.io/partnership. This is a pretty serious commitment for companies out there. It’s a year-long commitment, but if you’re interested, definitely let us know.</p>\n\n\n\n<p>So that’s it for today, and until next time, keep on doing the Woo.</p>\n</div>\n\n\n\n\n<p><em><strong>NOTE</strong>: in this ever evolving ecosystem, here at Do the Woo continues to support the community but also is supporting our hosts who tirelessly volunteer their time here at Do the Woo. You can now support individual shows that in turn support the hosts. The hosts can use the funds for their own travel and contribution time, or donate them to their choice in the community.</em> (Updated March 2023).</p>\n\n\n\n<p>In this episode of Woo Bits, part of the Do the Woo podcast, the host discusses the upcoming release of Do The Woo 4.0, tentatively scheduled for March 2023. </p>\n\n\n\n<p>The new version will focus on supporting contributors in the WooCommerce community. The host reveals plans for a larger investment into the community, with the aim of sustaining contributions. The podcast will serve as a conduit for funds from companies wishing to support the work of contributors. </p>\n\n\n\n<p>Additionally, Do the Woo plans to reinvest money back into the community, setting a high standard through its sponsors. The host also mentions the importance of diversity in the community and encourages companies interested in becoming a sponsor partner to reach out.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 31 Aug 2024 11:30:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Matt: Happy Birthday Stephen!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=124410\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://ma.tt/2024/08/happy-birthday-stephen/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:309:\"<p>I love a good birthday blog post, and <a href=\"https://writings.stephenwolfram.com/2024/08/five-most-productive-years-what-happened-and-whats-next/\">Stephen Wolfram has delivered the most epic for his 65<sup>th</sup> birthday</a>. I&#8217;m so honored that WordPress is one of the tools in his toolkit.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Aug 2024 23:21:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: Gutenberg 19.1 Introduces Plugin Template Registration API\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=160727\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/gutenberg-19-1-introduces-plugin-template-registration-api\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2142:\"<p>Gutenberg 19.1 <a href=\"https://make.wordpress.org/core/2024/08/28/whats-new-in-gutenberg-19-1-28-august/\">has arrived</a>, introducing the eagerly anticipated plugin template registration API and updates to image caption styles. This Gutenberg version will be later incorporated into WordPress 6.7.</p>\n\n\n\n<p>The highlight of this release is the plugin template registration API. It addresses a long-standing issue developers have faced with conflicts between plugins and themes, particularly when dealing with custom post types, taxonomies, or virtual pages.</p>\n\n\n\n<p>This new feature allows developers to register block templates directly within their plugins, providing fully customizable default content layouts. Till now, developers had to use multiple filters to register templates. By building on the Gutenberg block system, this update makes it easier for themes and users to adapt and personalize templates according to their design and functional needs.</p>\n\n\n\n<p>Justin Tadlock has published a <a href=\"https://developer.wordpress.org/news/2024/08/29/registering-block-templates-via-plugins-in-wordpress-6-7/\">detailed tutorial</a> on this feature on the Developer Blog and will host a <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/303059268/\">Developer Hours Session</a> with Nick Diego on September 10, 2024.</p>\n\n\n\n<p>This release also tones down the intensity of the caption background, improving the image caption styles.&nbsp;</p>\n\n\n\n<p>Other notable changes in this version include:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>Improved data view extensibility</li>\n\n\n\n<li>Better defaults for the zoom out view</li>\n\n\n\n<li>Added border support for core blocks</li>\n\n\n\n<li>Applied elevation scale to Modal, Popover, and Snackbar components.</li>\n\n\n\n<li>Fixed wp-config anchors to make wp-env compatible with WordPress versions older than 5.4.</li>\n</ul>\n\n\n\n<p>The community’s response has been enthusiastic, with feedback such as “Really like this feature”, “Great one, that I am looking for !” and “Literally the greatest news I&#8217;ve heard in years (and I had a baby last year)”</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Aug 2024 18:58:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Jyolsna\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Matt: Burning Man So Far\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=124335\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://ma.tt/2024/08/burning-man-so-far/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2955:\"<p>This is my 9<sup>th</sup> Burning Man; I started coming in 2013. It&#8217;s incredible how much it has changed and evolved in that time. I love seeing all the technology and engineering advances every year. In my time it has gone from more fire and flashlights to LEDs with rainbow and color everywhere. </p>\n\n\n\n<p>I drove in on Sunday, my first time driving in. Logistically, it&#8217;s been smooth so far regarding access to power and water, and of course, I set up a Starlink. <img src=\"https://s.w.org/images/core/emoji/15.0.3/72x72/263a.png\" alt=\"☺\" class=\"wp-smiley\" /> It&#8217;s also been a Goldilocks year with the weather and wind.</p>\n\n\n\n<p>I swear this will be my last Burn with Micro-USB, which I consider my personal nemesis. <a href=\"https://us.ultimateears.com/\">Ultimate Ears has finally upgraded their Booms to USB-C</a> (thank you <a href=\"https://www.linkedin.com/in/hanneke-faber/\">Hanneke</a>!) but Micro USB came back to bite me unexpectedly this year.</p>\n\n\n\n<p>Burning Man is heaven for photographers; the dust makes everything look dramatic. I wanted to return to my &#8220;PhotoMatt&#8221; roots and shoot this year, so I resurrected back my big camera, a <a href=\"https://kenrockwell.com/nikon/d5.htm\">Nikon D5</a>, and I&#8217;ve gotten some incredible shots. <a href=\"https://burningman.org/about/10-principles/\">Burning Man has a principle of Radical Self Reliance</a>, which I tried to practice, but the XQD reader I brought isn&#8217;t working. The D5 has a USB port you can connect to, but it&#8217;s the one I consider the most cursed of all USB ports: Micro USB B Data.</p>\n\n\n<div class=\"wp-block-image\">\n<img width=\"400\" height=\"300\" tabindex=\"0\" src=\"https://i0.wp.com/ma.tt/files/2024/08/74274e25-bd00-400e-8a38-a318259ef37f.jpg?resize=400%2C300&ssl=1\" alt=\"\" class=\"wp-image-124339\" /></div>\n\n\n<p>No one likes that connector. </p>\n\n\n\n<p>People often ask me what Burning Man is like, it&#8217;s hard to answer because it&#8217;s very much &#8220;choose your own adventure.&#8221; People can and do have radically different experiences. For me, this year has had highlights that included seeing the most amazing whirling dervish with live music, talking to people coding visualizations on art pieces, and doing dishes! This year I&#8217;m camping with <a href=\"https://www.instagram.com/maxacamp/\">Maxa</a> and my work shifts are with the kitchen team. Maxa is legendary for the love and care they put into food, so it&#8217;s been amazing to see the effort that goes into making meals for 100+ people three times a day in extreme conditions. As you can imagine, this generates a lot of dishes and I&#8217;ve made it a personal goal to be the best dishwasher ever, scrubbing every nook and cranny while trying to conserve water.</p>\n\n\n\n<p>If I can get a cable or card reader to download photos, <a href=\"https://www.tumblr.com/photomatt\">I&#8217;ll post them on my Tumblr</a>, so keep an eye out for updates.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Aug 2024 03:33:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: Registrations Open for WordPress Accessibility Day 2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=160652\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wptavern.com/registrations-open-for-wordpress-accessibility-day-2024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2618:\"<p>Registrations are now open for<a href=\"https://2024.wpaccessibility.day/\"> WordPress Accessibility Day 2024</a>, scheduled for October 9-10, 2024. This nonprofit, free, 24-hour global event is on a mission “to demystify website accessibility for WordPress developers, designers, content creators, and users so that they can build websites that work for everyone.”</p>\n\n\n\n<p>Initially <a href=\"https://make.wordpress.org/accessibility/2020/05/07/announcing-the-first-wordpress-accessibility-day/\">launched in 2020 </a>by the WordPress Core Accessibility Team, the event is now organized by the Accessibility Team alongside dedicated volunteers from the WordPress community. This year&#8217;s <a href=\"https://2024.wpaccessibility.day/about/organizers/\">event is led by</a> a team of three Board of Directors—Amber Hinds, Bet Hannon, and Joe Dolson—supported by eight Team Leads and 19 Organizers.</p>\n\n\n\n<p>The conference is pre-approved for continuing education credits for the International Association of Accessibility Professionals Web Accessibility Specialist (WAS) and Certified Professional in Core Competencies (CPACC) certifications.</p>\n\n\n\n<p>Lainey Feingold, renowned for her role in negotiating the first web accessibility agreement in the U.S., will be the <a href=\"https://2024.wpaccessibility.day/announcing-lainey-feingold-as-our-2024-keynote-speaker/\">keynote speaker</a>. Her keynote address, “Accessibility is a Civil Right: The Digital Accessibility Legal Landscape for the WordPress Community,” will explore the current legal landscape of digital accessibility from a human rights perspective.</p>\n\n\n\n<p>The <a href=\"https://2024.wpaccessibility.day/schedule/\">full schedule is out</a>, with over 20 presentations on a single track. The event will be live-streamed with live captioning and American Sign Language (ASL) Interpretation. Those who miss it can watch it later on the <a href=\"https://www.youtube.com/channel/UCes9XCUZd51CAigbBEGlfNg\">WP Accessibility Day YouTube channel</a> and on their website with captions and full transcripts.</p>\n\n\n\n<p>The event will be hosted virtually on Zoom, where <a href=\"https://2024.wpaccessibility.day/register/\">registered participants</a> can enjoy 24 hours of insightful talks on WordPress and accessibility. Attendees will also receive virtual swag and have the opportunity to win prizes.&nbsp;</p>\n\n\n\n<p>WordPress Accessibility Day is sponsored by <a href=\"https://knowbility.org/about\">Knowbility</a>, and interested community members can donate to the event through the <a href=\"https://wpaccessibility.day/donate/\">website</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 29 Aug 2024 17:35:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Jyolsna\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"Do The Woo Community: Monolithic CMS Products and Open Source CMSs and DXPs with Dan Drapeau\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=85423\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://dothewoo.io/monolithic-cms-products-and-open-source-cmss-and-dxps/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:28697:\"<div class=\"wp-block-group has-border-color has-light-gray-background-color has-background has-small-font-size has-global-padding is-layout-constrained wp-container-core-group-is-layout-4 wp-block-group-is-layout-constrained\">\n<p class=\"has-secondary-color has-text-color has-link-color wp-elements-9acf640b7ba38a84a982fc35d618387f\">This show is sponsored by&#8230;</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-3 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-1 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-core-group-is-layout-2 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group has-base-background-color has-background wp-container-content-1 has-global-padding is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-1 wp-block-group-is-layout-constrained\">\n<img width=\"1650\" height=\"1650\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2021/03/avalara-logo-_dtw.png?resize=1650%2C1650&ssl=1\" alt=\"\" class=\"wp-image-75400\" />\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"wp-container-content-2\"><strong><a href=\"https://www.avalara.com/us/en/products/enterprise.html\" target=\"_blank\" rel=\"noreferrer noopener\">Avalara</a></strong>:  providing cloud-based and scalable global tax compliance that is hassle-free, safe and secure plus topped off with enterprise-class security.</p>\n</div>\n</div>\n</div>\n</div>\n\n\n\nEpisode Transcript\n<div class=\"wp-block-group has-global-padding is-layout-constrained wp-block-group-is-layout-constrained\">\n<p>Here is the corrected transcript with the requested modifications:</p>\n\n\n\n<p>Karim:<br />Hello and welcome to Scaling Enterprise WordPress and Open Source. I&#8217;m Karim Marucchi, your host from the Scale Consortium, and today we&#8217;re going to have a great episode talking specifically about how enterprise stakeholders and the customers we work with have been navigating the challenges of comparing monolithic CMS products with WordPress and open source CMSs and DXPs. Today, we have a very special guest with us, Dan Drapeau. Dan.</p>\n\n\n\n<p>Dan:<br />Hey, Karim. I&#8217;m Dan Drapeau. I&#8217;m an independent consultant specializing in DXP advisory services. I&#8217;ve worked extensively with a wide array of digital experience platforms, content, and commerce platforms, starting from an engineering and architecture perspective and then evolving into platform strategy advisory. As the industry has shifted, I&#8217;ve expanded my expertise to include CDPs and personalization. In late 2023, I launched my brand, DXP Catalyst Consulting, to help guide organizations through their digital transformation journeys. I&#8217;ve been working in the CMS/DXP space for about 12 years, starting at NorthPoint Digital, then moving to EY for several years, and later taking on a tech director role at Blue Fountain Media in New York before landing at Vynamic.</p>\n\n\n\n<p>Karim:<br />Okay, well, that&#8217;s quite a background in helping enterprises figure out what to use, so we&#8217;re going to tap into that. In your experience, how are they approaching procurement?</p>\n\n\n\n<p>Dan:<br />Sometimes, let&#8217;s say the sponsor might be a CIO or CMO, they might suggest, &#8220;Hey, we need to do a DXP evaluation. This is the vendor I&#8217;ve worked with in the past, so I have a preference for this one.&#8221; It&#8217;s a challenging task for procurement to start from there. They can pull up a Gartner or Forrester document and look at the leading DXPs, but that doesn&#8217;t tell the whole story. Of course, there are open source solutions, and you can&#8217;t really compare an open source solution—or really, let&#8217;s talk about an open source CMS—to a DXP, right? It&#8217;s comparing apples and oranges. So that&#8217;s where procurement faces challenges initially, just trying to move forward with this type of conversation.</p>\n\n\n\n<p>Karim:<br />In my experience as well, you&#8217;re right. The stakeholder usually comes to the conversation already thinking, &#8220;I&#8217;ve either worked with Product X before or I want to work with Product Y going forward.&#8221; So they&#8217;re coming with these preconceptions. Are they asking procurement for alternatives, or are they bringing a set of alternatives? How is that working? Are procurement departments aware of what alternatives exist?</p>\n\n\n\n<p>Dan:<br />I&#8217;m not sure if procurement departments are always in the know. I think there could be a variety of factors. It could be a CIO leading the charge to select a new enterprise solution for the company, and they might already be working with an outside agency and getting counsel on this. But yes, it’s certainly possible. In many circumstances, they come in saying, &#8220;We want to go with Adobe,&#8221; and then it&#8217;s up to procurement to find a couple of other selections if the company is truly trying to go at this alone.</p>\n\n\n\n<p>Karim:<br />Are you finding, in working with your customers, that sometimes these stakeholders ask RFP writers or proposal writers in their departments or even consultants to write it for a specific platform, as in &#8220;I just want to work with this platform,&#8221; or are they more open-ended? Before we even get to procurement, how are they approaching procurement when they do this? Are they approaching it with an open mind mostly, or do you see that most of the time they’ve already decided, &#8220;Let’s write it in this way&#8221;?</p>\n\n\n\n<p>Dan:<br />It’s a mix. Sometimes I’ve seen outside agencies or consultancies write an RFP or RFI on behalf of the customer, and it might be tilted toward a particular vendor. I think if an organization is doing this alone, there tends to be more of an open mind in terms of writing the RFI, so it doesn’t benefit a single vendor.</p>\n\n\n\n<p>Karim:<br />That aligns with my experience as well, where you can sometimes tell if it’s been done with the help of an outside agent, as opposed to if they’ve hired someone like yourself who is independently thinking, &#8220;Let’s go talk about what your gap is.&#8221; Okay.</p>\n\n\n\n<p>Dan:<br />And oftentimes, the RFI might not come out that well if a company doesn’t have the experience to put these types of documents together, especially in the DXP/CMS world.</p>\n\n\n\n<p>Karim:<br />Right, exactly. So now let’s turn to the scenario where they have written this RFI or RFP, and it’s geared toward wanting an all-in-one solution—a procurement solution that is one vendor. What are the challenges for procurement? How would procurement deal with that if suddenly someone says, &#8220;What about open source?&#8221;</p>\n\n\n\n<p>Dan:<br />I think they need to look more at the bigger picture here and really understand the requirements. Is a full DXP truly needed, where we’re talking about content management, analytics, personalization, email marketing, or do they really just need a CMS? Once you have a better grasp of the requirements, it’s easier to make comparisons. By having that full understanding, you can slice and dice things a little bit. So maybe you look at a couple of monolithic DXPs, but you could also consider individual CMS solutions or individual personalization solutions. It really depends on what’s in scope. I think that is pretty critical, and they also need to look at total cost of ownership. That’s a significant factor.</p>\n\n\n\n<p>Karim:<br />Of course, but I heard you say that if they’re looking at DXP or open source, there’s the same assumption that we’re dealing with in the open source world where they’re thinking it’s either DXP (meaning one system) or it’s open source. Now, in a lot of the marketing I’m seeing these days, the monolithic DXPs are bending over backward to try and use the word &#8220;composable.&#8221;</p>\n\n\n\n<p>Dan:<br />Yes.</p>\n\n\n\n<p>Karim:<br />So while they’re doing that, is that an opportunity for open source vendors to say, &#8220;Okay, let’s help you redefine DXP&#8221;? Instead of approaching it as an either/or, can they say, &#8220;No, this is the same as the monolithic; they’re just as composable&#8221;? How can the vendors approach that mindset of &#8220;It’s either DXP or I’m going to look into open source&#8221;?</p>\n\n\n\n<p>Dan:<br />The rise of composability has changed things a little. Like you said, you’ve seen some of the vendors offer more of a composable suite now, transitioning from a monolith. And again, when I look at a DXP, it’s like an ecosystem of technologies or capabilities—content management, commerce, and so on. There’s no reason there can’t be an open source composable DXP, right? There could be an open source CMS at the heart of it, but then you could integrate any other product that you might want. So I think that’s a good way to view it when you’re trying to make a selection.</p>\n\n\n\n<p>Karim:<br />Right. So you mentioned being able to choose your own, and when the all-in-one vendors are trying to market the fact that they are all-in-one, saying &#8220;You don’t need to worry about it, even if it is composable, we’ve got your back,&#8221; I remember from our conversations that when you start your process, you conduct a MarTech gap analysis, right? Tell us about that and how it could help stakeholders and folks within an organization figure out if they need to be on the track for a monolithic system or if they could think composable.</p>\n\n\n\n<p>Dan:<br />Sure. Oftentimes, I do the gap analysis when I’m working with marketing executives. Let’s say they’re defining a new digital customer experience and working with an agency on persona definition, journey mapping, UI/UX work to envision what it could look like. But when it comes to reality and actually trying to build a solution, there might be gaps in their MarTech ecosystem, and that’s where my service typically comes in. They might have a really old monolithic solution in place for a DXP, but there might be a scenario where they have an old CMS, but they’re missing capabilities for personalization, CDP, and other things they might need. That’s generally where I help. The output is typically either a platform strategy or optimizing their current architecture. If it’s a platform strategy, it’s important to understand where the gaps are and what capabilities we really need to look at because sometimes it’s not just CMS.</p>\n\n\n\n<p>Karim:<br />Correct. Right. So if they’re looking at a DXP rather than just content management, it’s really about system integration. How would you approach that in helping the stakeholder say to their procurement department, &#8220;I’d like to look outside of a monolithic&#8221;? Do you have advice for open source vendors on how they can help their customers talk to procurement about looking beyond the monolithics?</p>\n\n\n\n<p>Dan:<br />One thing I mentioned was really understanding the requirements. Again, do they need a DXP with a broad set of integrated capabilities, or do they need just a CMS or a best-of-breed solution? I think educating the client stakeholders is pretty important—making sure they understand the benefits and trade-offs of open source solutions and what composable architecture means, why taking a composable modular approach makes sense. Composable doesn’t only mean SaaS solutions; you obviously have to factor in open source here. Educating them on not just the total cost of ownership but also the flexibility you get is crucial. Case studies can be helpful in showing the value of open source and why they should consider it. Sometimes proposing a pilot or proof of concept can go a long way as well, but I don’t see that used too often anymore.</p>\n\n\n\n<p>Karim:<br />So that can help our customer stakeholders explain it to others within their departments, whether it’s marketing or IT, and so forth. But when they</p>\n\n\n\n<p>switch and say, &#8220;Right, I’m going to think of going to these two monolithic systems and a third option, I’d like to look at open source,&#8221; what our listeners would love to know is how they can tell procurement that this is worth doing. This is worth not only looking at monolithics where you’re going to talk to one vendor, but also at open source where you might have to talk to multiple vendors. I think you nailed it earlier when you mentioned total cost of ownership, but what other benefits or information do they need to give procurement? From what I’ve seen—and you tell me, you’re the expert—procurement is focused on schedule, ease of contract, and costs. So how do we get that information to procurement? How can our listeners approach their procurement professionals and help them understand why they should go through the extra effort?</p>\n\n\n\n<p>Dan:<br />Well, I think there can be some trade-offs when you’re looking at the monolithic solutions as well, such as vendor lock-in, which is a significant one. You just have so much more flexibility with open source solutions, and that’s a pretty important thing for the stakeholders to actually understand. And again, TCO is incredibly significant in justifying why an open source solution should be evaluated.</p>\n\n\n\n<p>Karim:<br />Okay, great. Have you run into any examples where they’ve been looking at solutions and had questions about how many vendors it takes or what the difference is between dealing with a monolithic and an open source platform?</p>\n\n\n\n<p>Dan:<br />Yeah, that topic comes up. There’s a lot to delve into when looking at the advantages and disadvantages of a monolithic DXP versus open source. I’m happy to dive into that if it makes sense here. So where to start? It’s one of my favorite conversations. I think one significant disadvantage of a monolithic solution is innovation lag. Monolithic solutions just don’t keep pace with rapid changes in the digital landscape. New features and capabilities take a long time to develop and release, which limits what the organization can do. I know we’re talking mostly about content management, but one example I like using is around commerce. If you’re a retailer and you’ve got a monolithic commerce solution, let’s say there’s a rise in voice commerce, augmented reality commerce, or conversational commerce. With that type of solution, how can you really compete in the market when your competitors might have a more modern architecture or solution and can adapt to trends and technologies more quickly?</p>\n\n\n\n<p>With a monolithic solution, there tends to be complex implementation, and upgrading is a huge undertaking. For example, with Sitecore, upgrading from version 8 to 9 or 9 to 10 is a big project. You don’t typically have that issue with open source solutions, with one caveat: older versions of Drupal. There tend to be high initial costs upfront with monolithic DXPs and just a lot of lack of flexibility. You’ve got vendor lock-in; it’s tough to switch providers. If you’re using a solution with built-in personalization, it may not be easy to leverage another personalization solution or vendor. You have a pre-integrated package, and scalability can be an issue with monolithic DXPs as well.</p>\n\n\n\n<p>Karim:<br />Let me back you up a second. When you mentioned the lack of innovation, that’s why they started switching their conversations from &#8220;We are monolithic&#8221; to &#8220;We’re really composable; you can plug things in and out,&#8221; and they start touting the fact that they have APIs. Are they exposing their entire system so you can plug into any part of it and use any other system? Because that’s how the marketing makes it sound. How extensive are these APIs?</p>\n\n\n\n<p>Dan:<br />It depends. There are still some monolithic solutions in the market. I mentioned Sitecore quite a bit because I’ve worked with it extensively, especially at Vynamic. They’ve got their XP product, which is a truly monolithic solution where you’ve got content management, personalization, email marketing, and analytics all bundled together. They’ve transitioned to a composable suite where they offer a number of other SaaS products that you can integrate. But there are trade-offs with that too, like having to deal with multiple interfaces. Some companies have shifted in that direction, but their customers haven’t, and their customers might still be using the monolithic solutions today because it’s a big investment to go from a single all-in-one solution to potentially needing to license four or five tools from the same vendor.</p>\n\n\n\n<p>Karim:<br />That can actually bring your cost of ownership higher and higher each time they &#8220;innovate.&#8221; So if it’s harder to innovate, that’s the negative. On the positive side, you do have one throat to choke on the vendor side. You have one way to handle things. Today, with Acquia, you can use Drupal and still have a one-vendor solution by bringing in one of their approved agencies and the way they’re structuring their projects these days. But besides that one example, if you do want to use WordPress and DXP-style functions, how do you decide where to go? How do you approach that conversation when you’re speaking to your customers?</p>\n\n\n\n<p>Dan:<br />Really understanding what capabilities they need and then exploring independent or best-of-breed solutions in each of those areas. DXP encompasses a lot, from content management through commerce, CDP, personalization, DAM, and more. There are many vendors with great solutions in each of those areas that are not part of a broader vendor-specific DXP. Once you understand what you’ve got with WordPress, but know you need a CDP and personalization capabilities, you can focus your search on what other solutions are out there and figure out how to integrate them within your solution, like WordPress. It’s easier in some cases, like with Drupal where Acquia exists, and they do have a number of products in their ecosystem, so it’s one throat to choke, right? It’s a single vendor. With WordPress, you have more flexibility and infinite choices to figure out what the right solution might be. You just have to do more exploration on your own.</p>\n\n\n\n<p>Karim:<br />So the negative being that you have to do a little bit more homework or come a little more prepared. But what I’m hearing is that there’s an opportunity for both open source vendors and for the customers within an enterprise organization, the stakeholders, to say, &#8220;I have some ideas about how I want to do things, and if I understand the major pieces I want to put together, then a good consultant or agency can help me fill in those gaps if I find the right one.&#8221; There’s an opportunity there, right?</p>\n\n\n\n<p>Dan:<br />For sure. I think in most cases, I would recommend that an organization go with an agency or independent consultant because it’s hard to do this on your own. Most companies don’t have the inside knowledge about every CDP vendor out there or what the right solutions are and how they all integrate. That’s a hard problem to solve.</p>\n\n\n\n<p>Karim:<br />Right. So Dan, we’ve talked about how to approach the stakeholders and how the stakeholders might want to approach procurement to talk about some of these things. Do you have any advice for agencies or WordPress hosting platforms on the best ways to show a procurement department that they can create the same type of solution as some of these monolithics? How can they compete?</p>\n\n\n\n<p>Dan:<br />Sure. I think it’s up to the agency and maybe the enterprise hosting provider to come in as a united front. In my experience, having these discussions with procurement departments, that has worked most effectively. So at least within the WordPress space, when we’re talking about enterprise hosting, typically you think of WP Engine, Automattic’s WordPress VIP, and Pantheon as great options. So, coming in as a united force is really the key approach I would take in that circumstance.</p>\n\n\n\n<p>Karim:<br />That makes sense. I’ve seen a lot of RFPs come across where they are specifically written for monolithic systems. Do you have any advice for agencies or hosts when it comes to answering these questions, especially when the answers might actually be split across both vendor and host?</p>\n\n\n\n<p>Dan:<br />Yes, actually. Branching off our topic of working as a united front, I think it’s the same in this circumstance. If I were an agency, I would lean on the vendor, like WP Engine, to answer the questions specifically around infrastructure. Then, as the agency, I would answer the questions from more of a services or integration perspective and be transparent. It’s a collective effort; it’s not an all-in-one solution or product that does everything.</p>\n\n\n\n<p>Karim:<br />Okay, Dan, thank you. That’s a really good answer. So, in answering these questions and trying to help procurement understand how best to look at these options, it sounds like being yourself, being honest, and going out of your way to explain the benefits of open source—not only the total cost of ownership but also the deep expertise that you’re going to get from multiple vendors—is key. It sounds like the key here is to highlight composability and the fact that you’re not monolithic. I think that’s what I’m hearing in this conversation. Could you share some insights on how the different agencies or vendors around WordPress and open source can roadmap their services or approach to dealing with these types of customers? How can they compete? If you could give us a wrap-up of how they can prepare to have these conversations, what kind of homework should they do?</p>\n\n\n\n<p>Dan:<br />Yes, I think roadmapping is key. If an agency is coming in with a solution like WordPress for content management, having a roadmap for where you might need to inject new functionality, like personalization, might make sense down the road. How are you going to address that within WordPress? You might select a specific tool and plan out how the integration would work, and also factor in prerequisite work, like having a personalization strategy. A lot of that logic</p>\n\n\n\n<p>needs to be sorted out in advance because, from a monolithic vendor solution perspective, they can just say, &#8220;We flip a switch.&#8221; Obviously, that’s not really the reality, but that’s how they would probably go about presenting it. So, with agencies and hosting providers, it’s more about presenting a thorough roadmap and maybe even an architecture of the direction you’re going to go.</p>\n\n\n\n<p>Karim:<br />Okay, so I asked from the point of view of an agency, but really that’s also what the buyer should keep in mind. At the end of the day, you do have the negatives of &#8220;It’s the Wild West; it’s very open; you have the entire MarTech 11,000+ that you could compose a solution from.&#8221; But the positives are that if you find the right partner, if you find the right consultant, such as yourself, to help with figuring out what your needs are and then find the right agency and the right platform, you can have solutions that don’t need to be re-platformed every three to five years. They can just develop because you are truly composable, and as you want to move from personalization X to Y or email platform W to Z, you can do that because you are truly composable when using open source as a hub. Is that fair?</p>\n\n\n\n<p>Dan:<br />For sure. Yes. I think with most monolithic solutions, one thing we touched on was the significant upgrades, and it’s really the case if they’re cloud-hosted. But that is a major problem, and you don’t have that flexibility to test out a new vendor or product very easily without an extensive amount of work. With open source and a composable framework, it’s a totally different story. With WordPress, you never have significant upgrade cycles, right? There are incremental updates, and I think normally the enterprise hosting provider handles those core updates for you, and you’re more on the hook for updating plugins and things like that. But the major pro is that you don’t have to deal with significant upgrade cycles. You can focus more on innovation and building out new functionality. That’s the key, most critical part for the business.</p>\n\n\n\n<p>Karim:<br />Great. Thank you. With that, I’d like to thank everybody for joining us and look forward to our next conversation. Please don’t forget to visit our page and get our podcast from wherever you get your favorite podcasts. This has been Scaling Enterprise WordPress and Open Source Software. I&#8217;m Karim Marucchi, and thank you for joining us.</p>\n</div>\n\n\n\n\n<p>In this episode of <strong><em>Scaling Enterprise WordPress and Open Source, The Buyer&#8217;s View</em></strong>, host <strong>Karim Marucchi</strong> is joined by <strong>digital experience platform (DXP) expert Dan Drapeau</strong> to explore the challenges and strategies involved in selecting the right CMS and DXP solutions for enterprise organizations. </p>\n\n\n\n<p>They dive into the complexities of procurement, the rise of composable architectures, and the benefits and trade-offs of monolithic versus open source platforms. </p>\n\n\n\n<p>Whether you&#8217;re navigating vendor lock-in, conducting a MarTech gap analysis, or considering the total cost of ownership, this episode offers valuable insights for making informed decisions in the rapidly evolving digital landscape.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Takeaways</h2>\n\n\n\n<p><strong>Procurement Challenges</strong>: Enterprise stakeholders often approach procurement with preconceived preferences for specific platforms, making it challenging for procurement teams to evaluate all viable options, especially when considering open source solutions.</p>\n\n\n\n<p><strong>Monolithic vs. Composable Solutions</strong>: Monolithic Digital Experience Platforms (DXPs) can lead to vendor lock-in and slow innovation. Composable architectures, including open source solutions, offer greater flexibility and adaptability to rapidly changing market trends.</p>\n\n\n\n<p><strong>Total Cost of Ownership (TCO)</strong>: While monolithic solutions may appear more integrated, the total cost of ownership, including long-term flexibility, innovation, and upgrade cycles, often makes open source and composable solutions more attractive.</p>\n\n\n\n<p><strong>Education and Communication</strong>: It&#8217;s crucial for stakeholders to educate their procurement teams on the benefits of open source and composable solutions. This includes understanding composable architectures, the flexibility of open source, and the long-term advantages over monolithic systems.</p>\n\n\n\n<p><strong>Role of Agencies and Consultants</strong>: Independent consultants and agencies play a critical role in helping organizations navigate the complexities of selecting and integrating the right DXP and CMS solutions. Partnering with knowledgeable experts can make the process smoother and more effective.</p>\n\n\n\n<p><strong>Innovation and Upgrade Cycles</strong>: Monolithic solutions often lag in innovation and require significant effort to upgrade, while open source solutions allow for incremental updates and continuous innovation without disruptive upgrade cycles.</p>\n\n\n\n<p><strong>Strategic Roadmapping</strong>: Agencies and vendors should focus on presenting clear roadmaps that outline how to integrate new functionalities within a composable framework. This helps in communicating the long-term benefits and flexibility of open source solutions to procurement and stakeholders.</p>\n\n\n\n<p class=\"has-large-font-size\"><strong>Links to learn more or that were mentioned</strong></p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong><a href=\"https://www.linkedin.com/in/dan-drapeau/\">Dan on LinkedIn</a></strong></li>\n\n\n\n<li><strong><a href=\"https://dxpcatalyst.com/\">DXP Catalyst Consulting</a></strong></li>\n\n\n\n<li><a href=\"https://www.acquia.com/\"><strong>Acquia</strong></a></li>\n\n\n\n<li><strong><a href=\"https://wpvip.com/\">Automattic WordPress VIP</a></strong></li>\n\n\n\n<li><strong><a href=\"https://www.sitecore.com/\">Sitecore</a></strong></li>\n\n\n\n<li><strong><a href=\"https://www.cxtoday.com/loyalty-management/gartner-magic-quadrant-for-digital-experience-platforms-dxps-2024/\">Gartner Magic Quadrant for Digital Experience Platforms (DXPs) 2024</a></strong></li>\n</ul>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 29 Aug 2024 09:09:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Matt: People Wanted\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"https://ma.tt/?p=124251\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://ma.tt/2024/08/people-wanted/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1334:\"<p>There&#8217;s an <a href=\"https://www.smithsonianmag.com/smart-news/shackleton-probably-never-took-out-an-ad-seeking-men-for-a-hazardous-journey-5552379/\">apocryphal</a> story about Ernest Shackleton putting an ad in the newspaper that read:</p>\n\n\n\n<blockquote class=\"wp-block-quote is-layout-flow wp-block-quote-is-layout-flow\">\n<p><em>Men wanted for hazardous journey. Small wages, bitter cold, long months of complete darkness, constant danger, safe return doubtful. Honour and recognition in case of success.</em></p>\n</blockquote>\n\n\n\n<p>If you&#8217;ve read the book <a href=\"https://www.amazon.com/dp/0465062881\">Endurance by Alfred Lansing</a>, you know how that went. Pretty legendary. One of my most treasured possessions is actually a copy of <a href=\"https://www.baumanrarebooks.com/rare-books/shackleton-ernest/heart-of-the-antarctic/112302.aspx\">Ernest Shackleton&#8217;s Heart of the Antarctic book signed by every member of the shore party and Shackleton</a>.</p>\n\n\n\n<p>You may have heard the news that we&#8217;re going to <a href=\"https://automattic.com/2024/08/27/shipping-tumblr-and-wordpress/\">migrate Tumblr onto WordPress</a>. Automattic has put up a <a href=\"https://automattic.com/work-with-us/tumblr-migration/\">similar page calling for talented engineers of any gender who want to join the voyage</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 28 Aug 2024 21:17:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"WPTavern: #134 – Chris Ferdinandi on ADHD, Focus, and Working in Tech\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=160182\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wptavern.com/podcast/134-chris-ferdinandi-on-adhd-focus-and-working-in-tech\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:49593:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, ADHD, focus and working in tech.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to wptavern.com/feed/podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you and hopefully get you, or your idea featured on the show. Head to wptavern.com/contact/jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today we have Chris Ferdinandi. Chris, a web developer with ADHD, has navigated both the human resources and web development landscapes. He&#8217;s here to share his unique experiences and insights on how ADHD has shaped his career and daily life, as well as offer practical strategies for managing ADHD in the workplace and beyond.</p>\n\n\n\n<p>We talk about the world of ADHD, exploring the challenges and advantages it brings, especially in a world designed for neuro-typical individuals. Chris talks about the abundance of ideas, risk-taking behaviour, and the lack of impulse control that can present both opportunities and obstacles. He candidly discusses how ADHD affects his ability to focus, regulate attention, and how it impacts emotions and impulse control.</p>\n\n\n\n<p>Chris refers to ADHD traits as superpowers, and embraces them whilst also acknowledging the real world difficulties. He discusses how ADHD individuals often struggle with hyper focus, and how interruptions can be particularly detrimental to their workflows. He suggests structuring workdays with blocked off meeting times to maintain focus upon tasks which need doing in the timescales required.</p>\n\n\n\n<p>We also touch upon other workplace accommodations, the importance of understanding ADHD subtypes, and navigating disclosure in professional settings. Chris emphasises the strengths that come with ADHD, and offers practical tips like starting small tasks, trying to regulate dopamine and taking breaks.</p>\n\n\n\n<p>Towards the end of the podcast, Chris invites listeners to engage with him and explore more resources on his website, which is linked to in the show notes, which you can find at wptavern.com/podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>If you&#8217;re curious about how ADHD can turn challenges into career strengths, this episode is for you.</p>\n\n\n\n<p>And so without further delay, I bring you Chris Ferdinandi.</p>\n\n\n\n<p>I am joined on the podcast by Chris Ferdinandi. Hi Chris.</p>\n\n\n\n<p>[00:03:21] <strong>Chris Ferdinandi:</strong> Hey Nathan. Thanks so much for having me.</p>\n\n\n\n<p>[00:03:23] <strong>Nathan Wrigley:</strong> You are very, very welcome. Chris is on the podcast today, we just had a little chat actually about how we connected, and that&#8217;s a story in itself. We were going to do a different podcast episode, but we&#8217;ve ended up doing this one.</p>\n\n\n\n<p>The story today is going to be all about ADHD. I explained to Chris that I know what the acronym means, we&#8217;ll have question marks about the acronym&#8217;s appropriateness as well. But I actually don&#8217;t know how it applies to people&#8217;s lives. My knowledge of medicine and all of that is pretty poor in all honesty. So there&#8217;s a nice conversation to be had.</p>\n\n\n\n<p>Before we begin that conversation, Chris, I&#8217;m just wondering if you could just set out the stall, give us your two minute bio, who you are, what your relationship is with web development, and all of that.</p>\n\n\n\n<p>[00:04:04] <strong>Chris Ferdinandi:</strong> Yeah, absolutely. I&#8217;m a web developer, I have ADHD. I originally started off my life as a human resource professional, sometimes called personnel, depending on where you&#8217;re at. And I had a WordPress blog because I had really strong opinions on how HR worked, and what I liked about it, and what I didn&#8217;t, and I wanted to have a little bit more control over look and feel of that. So I taught myself web development, and eventually loved it so much that I made it my job.</p>\n\n\n\n<p>So WordPress literally kickstarted my career. But early in my career, I felt like I couldn&#8217;t get anything done. I was pretty sure I was going to get fired from my first job, and that kind of sent me down this whole rabbit hole of exploration, and learning about productivity and stuff.</p>\n\n\n\n<p>But since then, I&#8217;ve discovered a bunch of systems and strategies that work for me, that let me turn my ADHD into a superpower. One of the things I learned is that a lot of productivity advice for neurotypical folks just does not work for ADHD people. And yeah, so I&#8217;m here today talk about the joys and struggles of being a developer with ADHD.</p>\n\n\n\n<p>[00:05:03] <strong>Nathan Wrigley:</strong> Oh, it&#8217;s really interesting. I&#8217;m really pleased that you are willing to talk to me about this, and I do apologise if I put my foot in my mouth at any point. But we&#8217;ll try to get through it, and hopefully you&#8217;ll be able to educate me as the podcast episode goes on.</p>\n\n\n\n<p>My understanding of ADHD, as I said, is incredibly narrow. I really only know what the acronym is, and the broadest brush strokes of what that might mean. We use the term in the UK ADHD, that acronym, but I&#8217;ve also heard people say ADD. Do you just want to outline what the acronym stands for? And just flesh out a little bit how it applies to your life, and what it means for you, and how you might be different from somebody without ADHD.</p>\n\n\n\n<p>[00:05:42] <strong>Chris Ferdinandi:</strong> Absolutely. ADHD stands for Attention Deficit Hyperactivity Disorder. ADD stands for Attention Deficit Disorder. They used to be, like I think around the eighties, nineties, they were considered two different things. These days, in most medical literature, it is all ADHD, and then there&#8217;s a few different subtypes. One of them is inattentive, which is what you would normally think of as ADD. The other one is hyperactive, which is what I think most people think of as ADHD.</p>\n\n\n\n<p>For both of those, the name is actually bad. And I don&#8217;t mean like bad, like you shouldn&#8217;t use it, it&#8217;s like a bad descriptor of what ADHD actually is. Because people with ADHD don&#8217;t have a deficit of attention as the name describes. That&#8217;s what it seemed like when it was first identified and labeled, but it&#8217;s actually an executive functioning disorder. And so more typically what you find is folks with ADHD have trouble regulating their attention.</p>\n\n\n\n<p>We almost have too much of it, not a deficit, and sometimes it&#8217;s scattered in a million different directions. Other times it is hyper-focused on just one thing, to the detriment of all the other things around us.</p>\n\n\n\n<p>ADHD can manifest in a whole bunch of fun ways. One of them is that you have trouble kind of focusing on the one thing you&#8217;re supposed to be doing, either because you&#8217;re thinking about a million other things, or you&#8217;re thinking about the one thing that has really locked in your attention at that particular moment.</p>\n\n\n\n<p>Sometimes, if you have the kind of the hyperactive or impulsive subtype, you have an excess energy, so you might hear things like, oh, you&#8217;re a lot. In social situations, people might find you overwhelming, for lack of a better word.</p>\n\n\n\n<p>It also has a whole bunch of other seemingly unrelated side effects, that are all related to the way, biologically, an ADHD brain is different from a neurotypical brain.</p>\n\n\n\n<p>So my brain does not produce as much dopamine as a typical person&#8217;s might. That&#8217;s where the difficulty regulating my attention comes from. But it also has some other interesting side effects, like dopamine is related to your ability to perceive time. So a lot of folks with ADHD suffer from something called time blindness, where you literally do not perceive time as it accurately occurs.</p>\n\n\n\n<p>You know, that whole like, time flies when you&#8217;re having a good time kind of thing, that is an ever present state for someone with ADHD. If you&#8217;re having fun, time goes really fast. If you&#8217;re not, it goes painfully slow. There is no like regular passage of time. And if you ask me how long something took, or how long something will take, I literally cannot tell you because I cannot accurately perceive time. So that&#8217;s really fun.</p>\n\n\n\n<p>Also common with ADHD is a difficulty sometimes regulating your emotions. So mild slights, or just like really minor things can feel very big, or you can have emotional responses to things that are outsised for the actual size of the thing that has happened to you. So minor setbacks can feel really big. A slight comment on a performance review can feel like a really big emotional dagger. You know, that can make certain work situations really difficult.</p>\n\n\n\n<p>The other, I think, big kind of hallmark for folks with ADHD is a lack of impulse control. There&#8217;s a tendency to just say whatever&#8217;s on your mind without having that filter first, that stops you from saying, hey, should I say this? Or you&#8217;ll get an impulse to do something, and you&#8217;ll just go for it without pausing to assess risk, or think through, if I do this, that will happen.</p>\n\n\n\n<p>All of these things are both blessings and curses, depending on kind of the situation and how you apply them. And so a big part of what I do professionally now is try to help other ADHD folks understand how to reduce the negative impacts of some of these things, and also pivot some of these things into benefits. It&#8217;s like that whole thing where like, every strength a person has can also be a weakness if applied poorly, and vice versa. So yeah, I help folks channel some of these things that challenge them, into things that can really help them in their career.</p>\n\n\n\n<p>[00:09:25] <strong>Nathan Wrigley:</strong> You mentioned there that you obviously have this, but it sounded like you categorised it into two different variants. There was, I can&#8217;t remember the exact wording, but you said that there was two.</p>\n\n\n\n<p>[00:09:35] <strong>Chris Ferdinandi:</strong> So there&#8217;s technically three subtypes. The first is inattentive, which is what most folks think of as, historically as ADD, where you have trouble regulating your attention, but you don&#8217;t have the hyperactivity. There&#8217;s hyperactive or impulsive, where you tend to have bad impulse control and a lot of energy, but you&#8217;re not necessarily inattentive. You don&#8217;t have trouble regulating your attention, you just can&#8217;t control your impulses.</p>\n\n\n\n<p>And then there&#8217;s the most commonly diagnosed type, which is combined, where you have both. And that&#8217;s what, historically, was just called ADHD. The thing with the inattentive subtype, so hyperactive or impulsive by itself is relatively uncommon, the inattentive subtype is less commonly diagnosed, but I am increasingly of the belief that it&#8217;s not actually less common.</p>\n\n\n\n<p>I&#8217;m hearing of a lot of people who are diagnosed with that subtype as an adult. And one of the theories is that, because it doesn&#8217;t come with the hyperactivity as well, it&#8217;s harder to recognise in people and diagnose, especially when they&#8217;re children. Historically, it&#8217;s been described as more common in women, but I am also learning of a lot of adult males who are being diagnosed with the inattentive subtype.</p>\n\n\n\n<p>I have a theory that it&#8217;s just, because you don&#8217;t have that like hyperactivity that makes it like a little bit more obvious that you are not like everyone else, it&#8217;s potentially less commonly diagnosed. To the outside it can appear like the person is just lazy, or not trying hard enough, when really there&#8217;s a lot more going on under the hood other than that.</p>\n\n\n\n<p>[00:11:01] <strong>Nathan Wrigley:</strong> I want to keep going down this exploration route of what ADHD is, if that&#8217;s all right? And there&#8217;s a couple of questions around this. The first one is, is it possible to sort of have episodes of ADHD? And what I mean by that is, is this a constant partner in your life? Are you always in this state, or do you have periods of time where it backs away a little bit, and then comes on a little bit?</p>\n\n\n\n<p>[00:11:22] <strong>Chris Ferdinandi:</strong> It&#8217;s a great question. So the answer is, yes, it&#8217;s ever present, but the degree to which it manifests, or the ways in which it affects my life are variable. So I will have days, weeks, months, where I feel very on, very productive, because remember the issue is not that I don&#8217;t have enough attention, it&#8217;s that I have trouble regulating it.</p>\n\n\n\n<p>So there will be periods where my attention is highly regulated in directions that are professionally or personally beneficial. Really focused on a big coding project I have going on, or we&#8217;ve got some big project going around on the house and it&#8217;s all I can think about.</p>\n\n\n\n<p>There will be other periods of time where I feel like my brain is in a million different directions. Sometimes in the ADHD community, folks will describe this as like I have bees in my head, because it literally just feels like you&#8217;ve got like a swarm of stuff bouncing all over the place, like a busy beehive.</p>\n\n\n\n<p>Or I will find myself hyperfocused on a thing that&#8217;s not the thing that&#8217;s most important for me to be thinking about right now. Just as an example, let&#8217;s say you were really excited about buying like an RV or a caravan, and if you&#8217;re a neurotypical person, that might be a thing you think about and you&#8217;re downtime, and you do some research nights and weekends, and you&#8217;re really excited about it, right?</p>\n\n\n\n<p>But, me, as an ADHD person, I might spend the full eight hours of my working day just obsessing about this. And anytime I try to pivot to doing work, that&#8217;ll be the thing I keep coming back to. And I find myself Googling it, and watching YouTube videos, and digging into like caravan, van life, TikTok, and just not able to focus on the other things.</p>\n\n\n\n<p>And I use that example because that&#8217;s a real thing that happened to me a couple of years ago, where I had a project, and then you end up in this really bad position where now you&#8217;re rushing to get a thing done last minute, and you don&#8217;t have as much time as you would have, if you had just focused on what you were supposed to, I guess is maybe the right phrase here. But it&#8217;s one of those things where your body literally will not let you.</p>\n\n\n\n<p>The caveat here is I am also currently not on ADHD medication. I am actively looking into getting some specifically because of stuff like this, because it can be a real hindrance to getting the things done in your life that you need to get done.</p>\n\n\n\n<p>[00:13:28] <strong>Nathan Wrigley:</strong> Can I ask, when did you first have intuitions?</p>\n\n\n\n<p>[00:13:32] <strong>Chris Ferdinandi:</strong> Oh yeah, no, I was diagnosed as a kid. This was in the eighties when the only thing that they really had for treatment was Ritalin. And it was often over-prescribed because it was relatively new, and dosing was this mysterious dance. And they didn&#8217;t even really understand why it worked for folks with ADHD. My parents decided not to medicate me.</p>\n\n\n\n<p>At the time, the primary thing was just like, oh, this person&#8217;s really hyper. That was like the main thing, and there wasn&#8217;t as much of an understanding around a lot of the other ways in which it impacts your life. There was also a lot of, both weird stigma, and also denial that it existed, because a lot of times it was predominantly prescribed in boys. There was a lot of folks who were like, oh, they&#8217;re just throwing this at any boy who shows a little bit of energy, and that&#8217;s just how boys are and, you know, just all the like gender stereotype kind of stuff around it.</p>\n\n\n\n<p>So it&#8217;s only been in the last five or six years I started digging back into ADHD, and discovered that a lot of things I thought were just weird personal quirks of mine, like responding overly emotionally to things that probably weren&#8217;t that big of a deal, or not having any idea how long, how much time had passed. It wasn&#8217;t until very recently that I realised, oh, these are ADHD things too, this is not just me. But yeah, so I was diagnosed as a kid, but never really treated for it.</p>\n\n\n\n<p>[00:14:46] <strong>Nathan Wrigley:</strong> Okay. And it is a medical diagnosis, I&#8217;m guessing. It&#8217;s not something that you could ascribe to yourself.</p>\n\n\n\n<p>[00:14:51] <strong>Chris Ferdinandi:</strong> So yes and no. It is a medical diagnosis, and if you ever wanted to explore getting medication for it, it does require an actual diagnosis from a physician. In the United States it requires a psychiatrist, those are psychologists who can actually write medical prescriptions. I know in the UK the process is a little bit different.</p>\n\n\n\n<p>It&#8217;s a whole thing, but I have found from a lot of folks, because I know, I&#8217;ve heard from friends in your region of the world, that it can be kind of a lengthy process to get seen and get diagnosed. In the interim, there are self-assessments that you can do, and I actually have a link to those. If you head over to adhdftw.com/wp-tavern, I put together a whole bunch of resources around stuff we&#8217;re going to be talking about in this episode.</p>\n\n\n\n<p>And one of those is, do I have ADHD? It&#8217;s got a link to two self-assessments, one for people who identify as men, one for people who identify as women. The reason there are two different quizzes is because it often manifests differently in women, and the test for women accounts for that, and make some adjustments to the way it rates certain questions, just to get around that whole women are often underdiagnosed thing.</p>\n\n\n\n<p>The reason I mention this is, you can&#8217;t get medication with a self-diagnosis, but if you take the quiz and you learn that you might have ADHD, because it won&#8217;t say that you do, but it&#8217;s say that you might, right, strongly indicates that you might have it. That can at the very least give you some better understanding of who you are as a person.</p>\n\n\n\n<p>Like for me, learning all of these other things that I thought were just weird personality quirks were ADHD related, and then learning some tools and strategies that other folks with ADHD have implemented to work with them, made a huge difference for me, both in terms of my understanding of myself, my self-esteem, my ability to be productive and functional.</p>\n\n\n\n<p>So yeah, it&#8217;s one of those, I would never tell someone you don&#8217;t need a medical diagnosis, but I would say that, as a first step, completing a self-diagnosis exam is a great way to kick off this journey if you think you might have ADHD. I can at least point you in the right direction and get you some information about yourself that might be helpful.</p>\n\n\n\n<p>[00:17:01] <strong>Nathan Wrigley:</strong> This is a peculiar question, and if it doesn&#8217;t land, I apologise. If I find myself infected with Covid, it&#8217;s all bad. I see that as a bad thing. I had days, and days, and days, months, and years without Covid, I got Covid. A period of time where I&#8217;m feeling bad. Do you have a relationship with your ADHD where any of it is viewed as positive in your head? Are there bits of it that you think, I&#8217;m actually kind of grateful that this is in my life?</p>\n\n\n\n<p>Because, for everything that we&#8217;ve talked about thus far, it&#8217;s easy to dwell on, it&#8217;s all negative. But there are aspects of what you described where, I suppose if you&#8217;ve got the right framing in your head, you might be able to forgive yourself, and for periods of time at least anyway, think, oh, that worked well for me. And again, I&#8217;m sorry if that landed wrong, but I hope you understand the tenor of the question, yeah.</p>\n\n\n\n<p>[00:17:46] <strong>Chris Ferdinandi:</strong> This honestly almost feels like a softball question for me, Nathan. You&#8217;re setting up the reason I&#8217;m here. I am exceedingly ADHD positive. As I mentioned, my parents did not treat my ADHD as a kid, but I didn&#8217;t have a lot of that, oh, you&#8217;re so lazy, you just need to apply yourself more. Like I didn&#8217;t get a lot of that negative self internalisation that some folks with ADHD often have.</p>\n\n\n\n<p>My parents very much encouraged me to just follow my whims, and explore my creative side. And so I firmly believe that, while ADHD absolutely creates some interesting personal challenges, they&#8217;re not inherently worse personal challenges than someone neurotypical might have, they&#8217;re just different.</p>\n\n\n\n<p>Everybody has some things they&#8217;re really good at and some things that they absolutely suck at, and a whole bunch of stuff in between. And my set, as an ADHD person, just happens to be different than yours as a neurotypical person. And a lot of the challenges with having ADHD are not specifically related to the ADHD, but related to moving about in a world, in a work environment, that was designed around the preferences of neurotypical folks.</p>\n\n\n\n<p>[00:18:52] <strong>Nathan Wrigley:</strong> Oh, I see. Okay.</p>\n\n\n\n<p>[00:18:54] <strong>Chris Ferdinandi:</strong> So, for example, I&#8217;m drowning in ideas, I have more ideas than I could ever use in a lifetime. They just come falling out of my head. Some of them are terrible ideas, but I have more ideas than I can explore.</p>\n\n\n\n<p>One of the other aspects of the impulse control thing, right? So in certain contexts that can be a very bad thing, but folks with ADHD are also a lot more likely to take risks, not just in a negative way, but in a positive way. They&#8217;re a lot more likely to be entrepreneurial. They&#8217;re a lot more likely to pursue hard things because they don&#8217;t stop to think, oh, this could be really hard and it&#8217;s not going to work out for me. And what if this happens, and that happens, and that happens? They just go for it. Sometimes they fail, sometimes they don&#8217;t.</p>\n\n\n\n<p>The lack of impulse control also means that I am often, usually the most honest person on any team that I&#8217;m working on. And in certain contexts that can mean that I put my foot in my mouth, but it also means that my managers, and my clients, and the people that I work with also know I&#8217;m the person that they can come to when they want a genuine and honest reaction to something, and not just like a yes man, bs kind of, oh yeah, that sounds great kind of response.</p>\n\n\n\n<p>Actually, I wrote an article recently about the whole, if ADHD folks talk to neurotypical folks the way neurotypical folks sometimes talk about ADHD, and I&#8217;m not saying you did this Nathan, so please don&#8217;t take this personally. Like, we would say things like, oh, it&#8217;s so sad that you can&#8217;t just live in the moment, that you&#8217;re always like thinking about the future, and thinking about consequences for things.</p>\n\n\n\n<p>If you embrace it, there can be a real freeness that comes with ADHD. It absolutely can create challenges. And even if the world was structured around my preferences, and not neurotypical folks preferences, I still exist in a society with other humans, right? And like I do things that irritate the heck out of my partner and she&#8217;s neurotypical. But even if she wasn&#8217;t, I am certain some of my ADHD quirks would also irritate her. Because I have some students who are ADHD with ADHD partners, and their ADHDness sometimes gets on each other&#8217;s nerves too. So I&#8217;m not trying to say it&#8217;s all sunshine and roses, but every challenge that ADHD presents, there is a subsequent strength that you can tap into.</p>\n\n\n\n<p>[00:21:01] <strong>Nathan Wrigley:</strong> Yeah, I think on the website you describe it as superpowers, which we&#8217;ll get into in a minute. But the analogy that&#8217;s coming into my head, and this may be terrible, but this is what I&#8217;m thinking of, so I believe that I don&#8217;t have ADHD, my attention and my energy levels can kind of be regulated in the same way that, if I go to a, we call it a tap, I think you call it a faucet. I can regulate that, I can turn it whichever way I like, whereas it feels to me, maybe yours is kind of more like really full on, or maybe switched off, it&#8217;s less granular. That&#8217;s the way I&#8217;m imagining it in my head.</p>\n\n\n\n<p>[00:21:33] <strong>Chris Ferdinandi:</strong> That feels very accurate for me, yes. And the other thing too is like, so to belabour this analogy, if I turn on the tap and I don&#8217;t want to, it tends to be like a really old and corroded tap, you need to turn extra hard to get going, and it&#8217;ll start as just a little bit of a trickle, and you need to like really wrench it and then it turns into a torrent.</p>\n\n\n\n<p>I don&#8217;t want to make it sound like, if you have stuff to do when you don&#8217;t want to do it, you can never do it, it&#8217;s just it&#8217;s substantially harder. And most folks with ADHD who function have learned tips and tricks that they use to get themselves doing things that they&#8217;re not particularly interested in.</p>\n\n\n\n<p>[00:22:11] <strong>Nathan Wrigley:</strong> Well, I think that&#8217;s where we should go next. So you&#8217;ve obviously, throughout your life, you&#8217;ve encountered a variety of different problems, and perhaps it has been compounded by ADHD. And so the second part of this podcast, beginning now I guess, is to go through some of those. I can&#8217;t really ask questions around this because I don&#8217;t know what the things would be worth exploring.</p>\n\n\n\n<p>So what I&#8217;ll do is just say, tell us, just give us your wisdom, tell us some of the things that you&#8217;ve discovered over the years, and how they might fit into the work life of somebody that would be listening to this podcast. They&#8217;re probably at a desk, they&#8217;re probably on a computer, you know, they&#8217;re coding away, or they&#8217;re creating plugins, blocks, themes, those kind of things. And yeah, I&#8217;ll just unleash you and say, tell us what you&#8217;ve discovered.</p>\n\n\n\n<p>[00:22:50] <strong>Chris Ferdinandi:</strong> Yeah, so there&#8217;s a handful of things. The big thing with any sort of creative work, whether it&#8217;s coding, design, the arts of any sort is that, getting into a flow is really important. I think anybody who&#8217;s done deep coding work, or design work can recall that feeling, where you are really focused on the thing you&#8217;re doing and time seems to be zipping by, and you&#8217;re in a really productive state, you feel like all cylinders are hitting.</p>\n\n\n\n<p>For ADHD folks, that tends to manifest as our hyper focus, where we are extremely fixated on that one thing. Getting into it can either be really easy, if it&#8217;s a thing you&#8217;re very passionate about, to the point that you literally, you cannot help yourself, or it can be really challenging.</p>\n\n\n\n<p>Even if it&#8217;s something you&#8217;re interested in, sometimes your body just doesn&#8217;t want to cooperate. I think the game, or the end goal, if you&#8217;re someone who&#8217;s doing creative professional work as a person with ADHD, is to get into that hyper focus around meaningful work.</p>\n\n\n\n<p>And if you&#8217;re having a day where that just clicks, it&#8217;s awesome, but if you&#8217;re not, there are a few things that are acutely, well, there&#8217;s a few things you can do, but there&#8217;s also a few things that can really ruin that for you, even if you&#8217;re naturally in that state. For example, because ADHD brains have trouble regulating their attention, interruptions are much more costly and painful for us than they are for neurotypical folks.</p>\n\n\n\n<p>I think a lot of folks who have been in the flow before know that feeling of getting broken out of it, and how like frustrating they can feel, and how it can take a little bit to get back into it. Much worse for someone with ADHD. So like midday meetings, for example, open offices where someone can just randomly pop over to your desk. Those are really, really detrimental.</p>\n\n\n\n<p>I wrote an article over at ADHDftw/wptavern. But I wrote this article on what I call the temporal dead zone, which is this period where, you&#8217;ve just finished a task and you have a meeting that&#8217;s starting sometime in the next 30 to 60 minutes, a lot of ADHDers will just avoid starting any additional work before that meeting, because if they do and they get into a hyper focus, they&#8217;re going to get interrupted. And that&#8217;s either going to be really painful, or you&#8217;re going to forget entirely about the meeting, and you&#8217;re just going to not show up.</p>\n\n\n\n<p>And then the meeting ends, and then there&#8217;s this other lengthy period of you getting refocused into your work . And so like midday meetings can just completely ruin a day for someone with ADHD.</p>\n\n\n\n<p>So I like to structure my days where I have meeting days and completely blocked out, please don&#8217;t book my time, kind of days, because it&#8217;s absolutely destructive. I will pause for a second, Nathan, just in case you have questions because I will ramble without stopping.</p>\n\n\n\n<p>[00:25:32] <strong>Nathan Wrigley:</strong> Yeah, I do actually have a question there, and it doesn&#8217;t necessarily relate to that, but I do take the point that you&#8217;re making. You&#8217;re sort of portioning up your week a little bit so that you allow yourself to be, I don&#8217;t know, in a day where interruptions can happen, or in a day where you just, I cannot be interrupted and I know that that will work better for me.</p>\n\n\n\n<p>But there was something that you said there, which I just wrote down. I scribbled it down as you were saying it, you said, so you were talking about this 60 minute, or 30 minute window where you wouldn&#8217;t want to start something, and you said, because the interruption would be painful. And I wondered what you meant by that. And what I&#8217;m meaning is, I&#8217;m associating pain with an actual, physical harm. Does it manifest on that kind of level? Is it a almost like a pain, or is it just extreme discomfort? What did you mean?</p>\n\n\n\n<p>[00:26:13] <strong>Chris Ferdinandi:</strong> Yeah, it&#8217;s a cognitive pain that, I&#8217;m trying to think of a good analogy here. The best way I can describe it is, if you&#8217;ve ever felt like an intense longing for something, or someone that you couldn&#8217;t have, it feels a lot like that. If I&#8217;m deeply focused on a thing, and then you rip me away from that thing, my brain will remain focused on that thing, frustrated that it can&#8217;t do anything with that thing.</p>\n\n\n\n<p>Especially if you couple that with challenges regulating your emotions, it can even, in certain contexts, cause like irritability, or like being short with people when you don&#8217;t mean to. Yeah, so it can be a real challenge, and a lot of ADHD folks will kind of avoid putting themselves in that position, they know what&#8217;s going to happen, right? Like you&#8217;ll just start to ramp up into the work, and then you&#8217;ll get ripped away from it.</p>\n\n\n\n<p>[00:27:03] <strong>Nathan Wrigley:</strong> So it&#8217;s almost like you&#8217;ve been deprived of something that you are absolutely keen to get on with. So for me, a task given to me by anybody, I could put it down, pick it up, put it down, pick it up, I&#8217;d probably feel, on some level, a little bit frustrated if I was in the zone, as I describe it to myself.</p>\n\n\n\n<p>But this is a more intense feeling of longing, and then that longing gets broken, and so you feel deprived, and possibly a bit annoyed. Again, I&#8217;m not trying to put words in your mouth but, am I about in the right ballpark?</p>\n\n\n\n<p>[00:27:30] <strong>Chris Ferdinandi:</strong> Yeah, definitely.</p>\n\n\n\n<p>[00:27:31] <strong>Nathan Wrigley:</strong> Okay. Gosh, that&#8217;s fascinating. Okay, so we&#8217;ve talked about the portioning up of the week. Was there anything else that you wanted to cover?</p>\n\n\n\n<p>[00:27:38] <strong>Chris Ferdinandi:</strong> Yeah, so I talk about this concept of kind of following your ADHD flow, or working with your natural state a fair bit with some of the folks that I work with around this. And you&#8217;re going to have weeks, you&#8217;re going to have days where you&#8217;re a bit more like on than others.</p>\n\n\n\n<p>So you will have days where you&#8217;re just naturally, deeply focused and phenomenally productive. And then you&#8217;re going to have days where you&#8217;re not, getting yourself into the flow of work is a little bit harder than others.</p>\n\n\n\n<p>And I&#8217;ve had fellow ADHDers, and I&#8217;ve also been guilty of this myself, describe these days where you sit in front of the computer trying to will yourself to work, and then eight hours later you feel like you&#8217;ve gotten almost nothing done, but you&#8217;ve also been at a desk the entire time. And so it just feels like a complete waste of a day because you didn&#8217;t do any work work, you didn&#8217;t do any not work work, you did nothing, and it&#8217;s a really bad feeling.</p>\n\n\n\n<p>Depending on your life history, your experiences with ADHD up to this point, any other life trauma you have, it can even start to create this really like negative internal feelings of self for some people. You know, especially if you&#8217;re one of those folks that grew up undiagnosed and were just told that you&#8217;re lazy, and this shouldn&#8217;t be that hard, and see how easy that was, it can really make you feel terrible inside.</p>\n\n\n\n<p>And so one of the things I&#8217;ve learned is that trying to fight that is a path to failure. When you&#8217;re in that kind of mood, no amount of just staring at a screen is going to work for you. So there&#8217;s a few different things you can do that will help.</p>\n\n\n\n<p>One of them is, a lot of traditional productivity advice talks about picking your biggest task first, so you get it out of the way, or like eating the large frog first is how I&#8217;ve sometimes heard this described, which is disgusting analogy. It&#8217;s what I&#8217;ve heard. And because ADHD brains have a lot of inertia, right, getting you moving, the big task will just overwhelm you, you won&#8217;t get anything done.</p>\n\n\n\n<p>So what I often tell people is pick the smallest, easiest, most insignificant task first. Doesn&#8217;t even necessarily have to be work related, right? So it could be like, I have this phone call I&#8217;ve been putting off, it&#8217;s only going to take 15 minutes, just make it. Let me respond to some emails, to talk coding stuff for a second, right? There&#8217;s this thing I need to fix, it&#8217;s literally just one line of CSS. Let me go in and make that change, and push it, so that I&#8217;ve done something. That creates a spike of dopamine that gets your brain moving in the right direction. And the next task that you do, that can be a little bit bigger, or another small task, kind of furthers that. So that can help you.</p>\n\n\n\n<p>All of what ADHD management comes down to is really dopamine regulation, right? You could do things like consume some caffeine, coffee, tea, soda. If you have a prescription for ADHD medication, and you take it intermittently, that would probably be a good day to take your ADHD medication, because the whole point of ADHD medication is to increase dopamine production, or stop your brain from absorbing what it does make, so that more of it floats around in your head.</p>\n\n\n\n<p>One other thing that works really well for me personally is doing physical tasks. So exercise will spike your dopamine, and being outside in the sun will as well. So if you can exercise outdoors, you get the double whammy. I&#8217;ve decided in old age I&#8217;m going to start gardening. That&#8217;s become my midlife crisis, and for me that usually involves moving lots of heavy rocks around and ripping out weeds and doing stuff like that. So I get a two for one, which is great. And then my yard looks nice, so it&#8217;s a win, win, win. Or even just doing like rote, zen-like tasks around the house, like folding laundry, doing dishes, vacuuming. Anything where you turn your brain off for a little bit can be really, really, helpful.</p>\n\n\n\n<p>But the idea is you want to step away from the thing that you&#8217;re not able to do, because you&#8217;re not, staring at it for X number of hours isn&#8217;t going to get it done. You need to go do something completely different. It&#8217;s almost like turning your brain off and back on again, right? Like the old, like the computer thing. It&#8217;s just continuing to try to work through the pinwheel, isn&#8217;t going to do it for you.</p>\n\n\n\n<p>[00:31:27] <strong>Nathan Wrigley:</strong> A question following on from that is, if you are in an environment like I am, where I&#8217;m a freelancer, I&#8217;ve got real autonomy over my day, so should I wish to go and garden, that&#8217;s fine. I can do that and I can make it all up. But if I&#8217;m sitting in an environment where I have a boss, and I say to the boss, I just got to do something else for a bit. In a neurotypical world that&#8217;s, no, no, no, you are here, you arrive at nine o&#8217;clock, you punch in the card, and you are going at five, and in between those hours you&#8217;re there, that&#8217;s your desk and these are your tasks, now carry on.</p>\n\n\n\n<p>So I presume there&#8217;d have to be some relationship there. An explanation to the employer would be a good idea. I don&#8217;t know what I&#8217;m trying to get to there, but do you understand what I&#8217;m meaning?</p>\n\n\n\n<p>[00:32:10] <strong>Chris Ferdinandi:</strong> Absolutely, yeah. There&#8217;s a few different paths you can take here. So, work from home, remote work has been a huge boon for a lot of folks with ADHD and other neurodivergent kind of conditions, because it lets you work when, where, and how works best for you. Sometimes, I know employers have been really keen on spyware on computers and stuff, to track when you&#8217;re at your desk and that sort of thing.</p>\n\n\n\n<p>But setting that aside for a minute, there&#8217;s two paths you can take. One of them is you make your own accommodations and you ask for forgiveness, not permission. In certain employer contexts I have done that, and my feeling on that is that, if you&#8217;re getting the work done, or you&#8217;re taking accommodations for yourself that allow you to be more productive and function better as an employee, and you&#8217;re not messing up anybody else&#8217;s work output, I have no moral or ethical issue with that.</p>\n\n\n\n<p>For example, if taking 20 minutes away from your desk means that you can come back and be more productive throughout the day, that&#8217;s actually better than not doing that. The other option, one that I have also done very successfully at different employers, is to disclose that I have ADHD and ask for different accommodations at work.</p>\n\n\n\n<p>The UK has laws around this, the US has laws around this. In many countries, employers are allowed to, are required rather, to provide a reasonable, quote unquote, reasonable accommodations for, or I think in the UK they call it reasonable adjustments, for workers with disabilities or health conditions. In America this is guided by the Americans with Disabilities Act.</p>\n\n\n\n<p>So it&#8217;s helpful if you have a professional diagnosis. In some countries it may be required. In the US it&#8217;s actually not because we have medical disclosure laws that prohibit an employer from requiring an official doctor&#8217;s note to say, you have to do this. So you can ask for accommodations without the official diagnosis. That is the employer&#8217;s discretion if they&#8217;re reasonable, it&#8217;s a whole complicated system.</p>\n\n\n\n<p>But there are like a bunch of things you can ask for that potentially help you. For example, you could ask for a work from home, or partial work from home arrangement, so that you can avoid the distractions of an office. You could ask for a private, quiet space to work in, if you&#8217;re in an open office environment. You could ask for meeting free days, or asynchronous standups to avoid interrupting you mid hyper focus or midday.</p>\n\n\n\n<p>Some folks find that they don&#8217;t work best nine to five. Like for me, my peak performance happens between ten and two, and six and ten. And so I schedule my work around those buckets of productivity. And depending on how your employer is set up, you might be able to ask for irregular work hours.</p>\n\n\n\n<p>If there&#8217;s particular types of work you find interesting, you could ask to have more autonomy over the tasks that you choose to work on, or shorter meetings, or fewer meetings, or more frequent breaks. Again, over at a ADHD FTW, I have a whole bunch of information on asking for accommodations at work, including suggestions of things you could ask for, and stuff you can do if you don&#8217;t feel ready to do that.</p>\n\n\n\n<p>The one caveat here that I just, I really want to acknowledge, I am a cisgendered, heterosexual white man, and I feel like I have an immense amount of professional privilege that means, when I say to my employer, hey, I have ADHD, and it would be really helpful if. I don&#8217;t feel like I have a bunch of other stuff that puts me under scrutiny already from my employer.</p>\n\n\n\n<p>I have talked to friends and students who are in the LGBTQ community, or are in a minority, or are women, and they have told me that they feel less comfortable sometimes disclosing their ADHD at work. Because they already feel like they&#8217;re under more scrutiny from their employer, and they don&#8217;t want something else that causes the employer to look at their work with more scrutiny than the employer might their peers.</p>\n\n\n\n<p>So I just want to put that out there as like the, I understand the privilege of being able to just say, hey, I have this thing that makes it harder for me to work sometime, and I want to tell you about it, person who pays me to do work. There&#8217;s obviously a bit of a, depending on your work culture and your work environment, there can be a risk there.</p>\n\n\n\n<p>I generally recommend, if you&#8217;re going to disclose, like I&#8217;ve even seen some job applications that ask if you have a disability, and I recommend not disclosing that ahead of time. Let them interview you, let them determine if you would be a good fit first, and then tell them, and ask for accommodations. Because every work environment is going to be a little different, and the accommodations I need in one office environment are very different from the accommodations I might need in another, depending on the work culture there. I don&#8217;t think it benefits you to pre disclose that information.</p>\n\n\n\n<p>That said, I did once do that. I was in an interview where the interviewer asked me if I, when working on a big project, if I preferred to have multiple, throughout the day check-ins, or if I&#8217;d like to go off and do work for a few days, and then come back and like reconvene. And, Nathan, it probably won&#8217;t surprise you to learn that I favour the latter, because interruptions are very bad for me.</p>\n\n\n\n<p>In the context of saying that, I didn&#8217;t want to seem like I was a hermit who didn&#8217;t like talking to my coworkers. So I was like, I have ADHD and interruptions affect me badly. And the interviewer, she was like, oh, I have ADHD too, and so does our coworker Josh, and so does Mike, the guy who&#8217;s the manager for this role, we all have it, we all work that way, that&#8217;s great. And I got a job offer like three days later. So that time it worked out really well.</p>\n\n\n\n<p>So like a lot of this is trusting your gut, playing things by ear, assessing your personal needs and your work environment in their own context, because it&#8217;s one of those things too where ADHD symptoms are a bit of a spectrum. Not everyone has all of the symptoms, not everyone has all of the symptoms all the time. And so your individual ADHD experience, and needs, are almost certainly likely to be different from mine.</p>\n\n\n\n<p>[00:37:45] <strong>Nathan Wrigley:</strong> I think I&#8217;ve probably asked all of the different questions that I wanted to ask, but it&#8217;s been really fascinating just, first of all, learning about what it is because, as I said at the top, I really did have a great big void there. So I&#8217;ve got an inkling that I&#8217;ve a better understanding, so thank you for that. But also, during the second part, a much greater understanding of what might be remedial things that you can do to introduce productivity if you like, or enhancements to your life, should you have ADHD.</p>\n\n\n\n<p>Before we go, Chris, I wonder if you have a moment just to tell us a URL, I mean, I know you&#8217;ve mentioned a few so far already, and we&#8217;ll put those in the show notes. But, you know, if somebody wanted to contact you, I don&#8217;t know if you&#8217;re comfortable sharing email addresses, or Twitter handles, or whatever it might be. So over to you with that.</p>\n\n\n\n<p>[00:38:28] <strong>Chris Ferdinandi:</strong> Yeah, absolutely. So if you go to ADHDFTW.com/wptavern, with or without dashes, you can spell it like eight different ways, it&#8217;ll all get you there. I have put together a whole bunch of additional articles and resources that dig deeper into some of the stuff we talked about. I feel like we went pretty deep, but you can go so much deeper on some of this stuff. So I&#8217;ve got a whole bunch of additional resources for folks. If they want it, you can also find my contact information, my email address is chris@gomakethings.com, but you can find that and my social media handles over at the website as well.</p>\n\n\n\n<p>If you think you have ADHD, you do have ADHD, and you want to talk about that, or kind of explore some of the challenges, some of the things you feel are working really well for you, you just want to talk about it, I&#8217;m always happy to chat ADHD stuff with folks. So please do feel free to get in touch and reach out. And I also publish every weekday a short email with a tip, or trick, or idea that can help you unlock your ADHD superpowers. So you can sign up for that over at ADHDFTW.com as well.</p>\n\n\n\n<p>[00:39:29] <strong>Nathan Wrigley:</strong> Chris Ferdinandi, thank you so much for chatting to me about this really, genuinely interesting subject. I really appreciate it.</p>\n\n\n\n<p>[00:39:36] <strong>Chris Ferdinandi:</strong> Thanks for having me, Nathan. This was great.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://mastodon.social/@cferdinandi\">Chris Ferdinandi</a>.</p>\n\n\n\n<p>Chris, a web developer with ADHD, has navigated both the human resources and web development landscapes. He&#8217;s here to share his unique experiences and insights on how ADHD has shaped his career and daily life, as well as offer practical strategies for managing ADHD in the workplace and beyond.</p>\n\n\n\n<p>We talk about the world of ADHD, exploring the challenges and advantages it brings, especially in a world designed for neurotypical individuals. Chris talks about the abundance of ideas, risk-taking behaviour, and the lack of impulse control that can present both opportunities and obstacles. He candidly discusses how ADHD affects his ability to focus, regulate attention, and how it impacts emotions and impulse control.</p>\n\n\n\n<p>Chris refers to ADHD traits as superpowers, and embraces them while also acknowledging the real-world difficulties. He discusses how ADHD individuals often struggle with hyper-focus, and how interruptions can be particularly detrimental to their workflows. He suggests structuring workdays with blocked-off meeting times to maintain focus upon tasks which need doing in the timescales required.</p>\n\n\n\n<p>We also touch upon other workplace accommodations, the importance of understanding ADHD subtypes, and navigating disclosure in professional settings. Chris emphasises the strengths that come with ADHD, and offers practical tips like starting small tasks, trying to regulate dopamine, and taking breaks.</p>\n\n\n\n<p>Towards the end of the podcast, Chris invites listeners to engage with him and explore more resources on his website which is linked to in the show notes which you can find at <a href=\"https://wptavern.com/podcast\">https://wptavern.com/podcast</a>, where you’ll find all the episodes.</p>\n\n\n\n<p>If you&#8217;re curious about how ADHD can turn challenges into career strengths, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links</h2>\n\n\n\n<p><a href=\"https://adhdftw.com/wp-tavern/\">ADHD For The Win article mentioned in the podcast</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 28 Aug 2024 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"Gravatar: Level Up Your Profile: 3 Cool New Features for Your Link-in-Bio\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://blog.gravatar.com/?p=2094\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://blog.gravatar.com/2024/08/28/level-up-your-profile-3-cool-new-features-for-your-link-in-bio/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2850:\"<p>We&#8217;ve got some exciting updates that&#8217;ll make your profile page pop. Get ready to showcase your personality like never before with these fresh features:</p>\n\n\n\n<h2 class=\"wp-block-heading\">1. Make a Splash with Header Images</h2>\n\n\n\n<img tabindex=\"0\" width=\"2800\" height=\"1720\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/08/image-8.png\" alt=\"\" class=\"wp-image-2103\" />\n\n\n\n<p>First impressions matter, right? Now you can add a custom header image to your profile. Whether it&#8217;s a stunning landscape, your latest artwork, or a snapshot of your pet rock collection &#8211; let it reflect your vibe.</p>\n\n\n\n<p><strong>Where to find it:</strong> Head to your <a href=\"https://gravatar.com/profile\">Profile Editor</a>, click on &#8216;Design&#8217; and then &#8216;Header&#8217;. Click, upload, and boom – instant profile makeover!</p>\n\n\n\n<h2 class=\"wp-block-heading\">2. Reorder Your Sections (Finally!)</h2>\n\n\n\n<img tabindex=\"0\" width=\"2800\" height=\"1720\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/08/image-1.png\" alt=\"\" class=\"wp-image-2100\" />\n\n\n\n<p>You asked, we listened! Now you&#8217;re the boss of your profile layout. Drag and drop sections to create the perfect flow. You can reorder Links and Verified Accounts, too. Your profile, your rules.</p>\n\n\n\n<p><strong>Where to find it:</strong> In the Profile Editor, click on &#8216;Design&#8217; and then &#8216;Layout&#8217;. Grab, drag, drop – it&#8217;s that easy. Your perfect profile layout is just a few clicks away.</p>\n\n\n\n<h2 class=\"wp-block-heading\">3. Mobile Wallet, There&#8217;s My Card!</h2>\n\n\n\n<img tabindex=\"0\" width=\"2800\" height=\"1720\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/08/image-7.png\" alt=\"\" class=\"wp-image-2101\" />\n\n\n\n<p>Last but not least, we&#8217;re bringing your Gravatar profile to the real world with Mobile Wallet Cards for both iOS and Android. These digital business cards are always with you, making it easy to share your profile with others. Networking events will never be the same.</p>\n\n\n\n<p><strong>Where to find it:</strong> View your profile while logged in. Click on the &#8216;Share profile&#8217; button and look for &#8216;Add to Apple/Google wallet&#8217;.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Off Your Gravatar Glow-Up!</h2>\n\n\n\n<p>Time to put these new features to work! </p>\n\n\n\n<p>This comes fresh off the heels of <a href=\"https://blog.gravatar.com/2024/07/31/better-links-simple-messaging-developer-tools-and-more/\">Better Links &amp; Simple Messaging</a>, and the current offer of <a href=\"https://blog.gravatar.com/2024/06/26/link-your-gravatar-profile-with-a-free-custom-domain/\">free .link custom domains</a>.</p>\n\n\n\n<p>Drop a link to your revamped Gravatar in the comments. Let&#8217;s see those snazzy headers, perfectly ordered sections, and slick wallet cards in action!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 28 Aug 2024 13:58:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Ronnie Burt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"Do The Woo Community: From WordPress to Drupal, Insights and Innovations with Malcolm Peralty\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=85349\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://dothewoo.io/from-wordpress-to-drupal-insights-and-innovations-with-malcolm-peralty/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:48754:\"Episode Transcript\n<div class=\"wp-block-group has-global-padding is-layout-constrained wp-block-group-is-layout-constrained\">\n<p>Certainly! Here is the revised transcript with corrected misspellings, grammar, punctuation, and speaker formatting:</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><strong>Courtney:</strong><br />Hello everybody, and welcome to another Open Talk in Open Source. I am Courtney Robertson. Robert&#8217;s not able to be with me today, but I have a fantastic guest lined up for us. Today we&#8217;re going to talk with Malcolm Peralty. Malcolm, have I pronounced your last name correctly?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />You did great, yep.</p>\n\n\n\n<p><strong>Courtney:</strong><br />Okay, fantastic. So a lot of the WordPress community knows Malcolm or has encountered working with Malcolm in various places, but these days Malcolm is in the Drupal community too. So we&#8217;re going to first start out with learning a little bit about your background and WordPress. Before we get onto that, can you tell us a little bit about your background with WordPress? I looked up your profile before when I was doing my homework to come up with some questions for you, and I saw that your WordPress profile is from 2005. So that tells me you&#8217;re not new to this space. Tell me a little more.</p>\n\n\n\n<p><strong>Malcolm:</strong><br />So I originally started with WordPress back with version 0.72, which is kind of the first mainstream release of WordPress. I was not too long out of college at that point. I was all excited about PHP development. I did not want to reinvent the wheel and develop my own CMS, so I thought, well, geez, I need something. I have to publish online. I have all these things that I want to get out. I was using Blogger at the time and writing the rest of the code for my website myself. So my blog was on Blogger, and the rest of my website was PHP. Then I pulled in WordPress and said, wow, geez, I could do my whole website with this. I ended up as a full-time blogger writing about WordPress back around WordPress 1.0 on bloggingpro.com, which was actually in the WordPress newsfeed at the time. I did some podcasts with Charles Stricklin, co-hosted on the WordPress podcast with Charles Stricklin back in the day, and have done multiple different podcasts with Jeff Chandler. I worked as a project manager for 10up, doing support and marketing for Gravity Forms. I&#8217;ve worked with Canberra Creative as well as a few other WordPress agencies or multi-CMS agencies. Yeah, I&#8217;ve done a little bit of everything in the WordPress community. I&#8217;ve been very, very, very fortunate. It&#8217;s been a long career. We&#8217;re coming up on 20 years or so, which just seems outrageous, but it&#8217;s been amazing.</p>\n\n\n\n<p><strong>Courtney:</strong><br />Yeah. So WordPress 1.0, goodness! I found it around version 2.4, so I was a little early into this, but my profile wasn&#8217;t made for a couple of years after that. I have to ask, you said that you realized you could build your whole website with WordPress. Those of us that have been in this space for a long time know that originally WordPress was just there for blogging purposes. There were no pages, no sidebars, no widgets. Those were all fancy new features that came much later along. When you began using WordPress to build your entire website, was it still when it was intended to be just for blogging? Were you much of a hacker?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yeah, so I think the other pages that I had were individual blog posts that I had listed on those pages. So my about page was a blog post about me that I just had on a specific page. So I had it in the navigation, and I think I did that for all the pages of content back then. So that&#8217;s how I built out my website with a blogging tool.</p>\n\n\n\n<p><strong>Courtney:</strong><br />Hilarious. I remember those days, how to register sidebars and add widgets, and do things that it wasn&#8217;t really originally intended to do. It&#8217;s good to talk with people from that era of time. I should look up some of those old posts about WordPress from that era. Oh gosh, the screenshots.</p>\n\n\n\n<p><strong>Malcolm:</strong><br />They&#8217;re brutal.</p>\n\n\n\n<p><strong>Courtney:</strong><br />Yep. Wayback Machine is there for all of us, absolutely. So you and I last crossed paths at the first-ever WordCamp Canada. I think it was our second time meeting up. We met up originally, was it Buffalo I think?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yep, that&#8217;s correct. Two years ago in Buffalo.</p>\n\n\n\n<p><strong>Courtney:</strong><br />So Canada was, I think, a huge success. It was a great camp. Can you tell folks a little bit more about your time at WordCamp Canada and also what you specifically were doing there?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />So I kind of dip my toe in and out of WordCamps from time to time. I find it a great way to reconnect, especially in this post-COVID era. It&#8217;s really nice to see some friendly faces that I know I share an interest with. And so when I heard about WordCamp Canada, I was all over that. One of the things that I kind of jokingly did was submit a topic of wanting to discuss working remotely for American companies in Canada. I&#8217;ve been able to do that for the majority of my career, so I thought, I&#8217;ll submit this. I highly doubt they&#8217;ll take it because a lot of WordCamps typically are more engineering-focused, how you can do cool things with WordPress, they have beginner tracks, but typically those are how to start with WordPress from almost a technical perspective. Some of these social topics or more career-focused topics usually get a thumbs down, so to speak.</p>\n\n\n\n<p>And I think WordCamp Canada was one of the first times I saw that there was a very heavy kind of social track related to accessibility, inclusivity, employment, and globalization. So all of those topics were really kind of focused on and highlighted. And so they said yes to my presentation. It was a really nice opportunity to share the experiences that I&#8217;ve had, and I hope that someone out there will look at international employment opportunities in a new way and stop limiting themselves because my career would be half of what it is if I hadn&#8217;t kind of pushed myself to deal with the ins and outs of working for American companies for the majority of my career.</p>\n\n\n\n<p><strong>Courtney:</strong><br />I actually had a chance to be in the audience for that talk, which was great. And I was looking at it from the lens of I&#8217;m an American with many Canadian coworkers, and I like to understand some of the unique things that they might be facing that I just might not be aware of. What are some of the challenges that they&#8217;re facing in their line of work? And then also we&#8217;re allowed to, at my place of employment at GoDaddy, we&#8217;re allowed to side hustle with other things. And so if I were to ever contract somebody that is working in Canada, what things should I be mindful of that they&#8217;re facing? So I think it was a great talk even for those that were not able to be present. But I expect that the videos for WordCamp Canada will have been uploaded to WordPress.tv. I believe they&#8217;re all in the queue right now and just awaiting the publishing of a few of them. So do feel free, folks, to go check that out on WordPress.tv, look for WordCamp Canada and Malcolm, and I&#8217;m sure you&#8217;ll find it. So you took work at Acquia, which is outside the WordPress community completely. First of all, many folks in this audience, we&#8217;re the Do the Woo network here, and that means that people are keyed into what&#8217;s going on specifically with WooCommerce, which is a subset of WordPress. Acquia is so not WordPress. Can you tell us what Acquia is known for and what led you to consider work outside of the WordPress bubble?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yeah, so Acquia is the Drupal mothership in the same way that Automattic is for WordPress. Dries, the founder of Drupal, is the CTO of the company. So it&#8217;s a slightly different role than Matt Mullenweg has at Automattic. But the two companies have so many parallels. They&#8217;re very similar in so many ways. So if you know anything about Automattic, you kind of inherently know stuff about Acquia. It&#8217;s a product-focused company based around Drupal, and I never expected to work there. That was a strange coincidence. A lot of my career has been strange coincidences in terms of timing and kind of being bold enough to say yes to things that other people might say no to. So the company I was working for at the time had been acquired. I was their WordPress expert. I think the role was something like web strategist or something like that.</p>\n\n\n\n<p>And they had been acquired and the writing was kind of on the wall. They were integrating multiple companies. They weren&#8217;t going to need multiple web people to help them out. I was doing the math and said, I&#8217;m not going to take a risk on my career and wait and see if I&#8217;m the one that survives the Hunger Games. I was talking to Ian Gupta, who I knew from way back in the day, and he had, not recently, but I was interested in getting my Agile certification. He had done that. He was in my contact list on LinkedIn. So I reached out and said, how did you find that? Next thing I knew, he was like, yeah, I&#8217;m working for Acquia now as a technical account manager. Would you ever consider working for Acquia? And I was like, I had never, but I would be open to that discussion. Through the interviewing process, the whole way through, I was like, they&#8217;re not going to hire me. They&#8217;re not going to hire me. I&#8217;m a WordPress guy for the most part, they&#8217;re not going to hire me. And so when the offer came in to actually hire me, I was kind of like, uh-oh, what have I done? This</p>\n\n\n\n<p>is very different from anything that I had done before. And I was a little worried, a little concerned, but I mean, for those that have had the opportunity to work for Acquia and enjoyed their experience or some of the other large WordPress organizations, in a way, Acquia has that same kind of mentality, that same kind of mindset, and it has continued to be an amazing experience.</p>\n\n\n\n<p><strong>Courtney:</strong><br />That&#8217;s great. It&#8217;s really exciting to be able to hear that. So in your role of technical account manager, my understanding of WordPress versus Drupal is that early on, in the before times, before we had sidebars and pages, Drupal traditionally led the way with more of the robust enterprise level of websites. They had a lot of inroads with higher ed and large-scale corporations, and WordPress was originally seen as though it&#8217;s just that blogging platform even after it could handle a full CMS. Is that still true for Drupal today? And what can you tell me about maybe where Drupal is going these days? I know a little bit about the Starshot initiative. I&#8217;ve read a little bit on what&#8217;s going on with that one, but what kind of users are selecting Drupal, and who&#8217;s the primary audience? We know that WordPress can do all of it, and WordPress is for everybody that wants to be able to publish. But do we still find that Drupal is primarily handling these enterprise-scale kind of websites?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />For the most part, that is still the expected use case for Drupal. That is changing and transforming because there are only so many enterprise companies that exist, which I think speaks volumes to the difference in market share between the two CMSs. I think Drupal is at around 1% of the web, where WordPress is at 30-some-odd percent of the web and 50% of the CMS usage, and Drupal is at like 2% of CMS usage. So very different goals and focuses. I remember early on when I started using Drupal in some project management work, the joke was, oh, if you wanted some quick and easy blogging system, you kind of tacked on WordPress inside a Drupal install. And that was the way you gave that functionality to people who didn&#8217;t necessarily have the technical chops or the ability to deal with the learning curve of Drupal. In terms of a cultural perspective, from my experience within the Drupal community, there&#8217;s still this assumption that WordPress is inferior in some way.</p>\n\n\n\n<p>It&#8217;s not really good because there&#8217;s still a concern that the security isn&#8217;t quite there or the robustness in terms of translations and these kinds of custom field-related things don&#8217;t really exist within WordPress core, and so it&#8217;s just not as good. Then the second opinion that I see a lot of is that Drupal and WordPress are so different that they shouldn&#8217;t even be directly compared. Why even have that conversation? A coworker of mine likes to say Drupal is like a data relationship system with CMS functionality, and WordPress is a blogging system with CMS functionality, right? So he sees it from a completely different angle. I&#8217;ve showed him Advanced Custom Fields, I&#8217;ve shown him WE LOT, I&#8217;ve shown him some of the functionality that can be added to WordPress relatively easily to give a lot of those similar feelings and functions that they&#8217;re used to in Drupal.</p>\n\n\n\n<p>I&#8217;ve actually been internally spending a little bit of time at Acquia pointing out some WordPress-related things from time to time to let everyone know that most of their knowledge is several years out of date. They&#8217;re still thinking WordPress is WordPress 2.0; they have no idea what&#8217;s happened in the last 3, 5, 7 years in WordPress. So their opinions are really skewed based on that historical memory of what WordPress was. I&#8217;m trying to bring them up to date with what it actually is today, and that&#8217;s been a really fun project. You mentioned Starshot, which apparently they&#8217;re going to call Drupal CMS, which I think is kind of a lame name because Drupal is a CMS. So calling Starshot &#8220;Drupal CMS,&#8221; I don&#8217;t understand that, but I&#8217;m not the decision-maker there. But its entire focus is improving Drupal from a skilled site builder perspective, which reminds me so much of what WordPress has done with Gutenberg, and I think it is the perfect direction for Drupal to go.</p>\n\n\n\n<p><strong>Courtney:</strong><br />Yeah, I was reading a little bit about it on Dries&#8217; website. I&#8217;m still a diehard RSS reader, and as I was reading through the direction of that, what the WordPress community may know of Drupal is that you can integrate Gutenberg into Drupal. You can have the Gutenberg experience in the equivalent of a post editor. Maybe what the Drupal community needs to know is that we are working on core fields. The table will be gathering at WordCamp US with Scott Clark at the helm on that one for the Core Fields API. Because of the data views that are going on inside of when you go to edit your theme, setting up the configuration that&#8217;s necessary there, it&#8217;s becoming apparent that we need that to the point where it was called out at WordCamp US last year during Matt&#8217;s Q&amp;A. Oh, that Drupal has this core fields area.</p>\n\n\n\n<p>So I think it&#8217;s pretty interesting though for a few reasons. Basically, it seemed to me like there were almost three flavors in Dries&#8217; post about how one could select what variety of Drupal they would like to experience. Can you elaborate a little bit more on that? And on this, which was actually put forward as the strategy plan? I don&#8217;t know that I&#8217;ve ever seen a strategy plan as it relates. We see our big picture goals for the year-end WordPress, but I don&#8217;t think we&#8217;ve seen a strategy plan fully published in the WordPress space. Can you tell us more about those areas a little bit?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yeah. So I think this whole thing with Starshot reminds me of the &#8220;learn JavaScript deeply&#8221; call that Matt made for WordPress. This is a call to everyone to say, look, we realize that the transition right now for CMSs is, how do we empower marketers and site builders to execute on their goals? They&#8217;re driving the decisions about the CMS, they&#8217;re driving the choices. It&#8217;s not the IT team. They&#8217;re managing the updates maybe, but they&#8217;re certainly not driving the decision of what CMS to use. And so how can we appeal to that audience? Even today, it requires a fair bit of technical understanding to install and run a Drupal site. There&#8217;s no five-minute install like in WordPress. It requires an understanding of Composer, it requires an understanding of YAML files. It is not simple, easy, or fun. Then when you get into the interface, it feels a little bit clunky.</p>\n\n\n\n<p>It doesn&#8217;t feel super modern. If you compare it to Webflow and WordPress and modern Squarespace and Wix, while they&#8217;re not necessarily aiming for the same businesses, they are in a way aiming for the same end user, which is the site builder, the person publishing the content online. So there&#8217;s a couple of different pieces there. One is this thing called recipes, which is really cool to me. The idea that you could, at any point in the process during the installation or later on, pick and choose what functionality you want. So let&#8217;s say you want a marketing website with a form system and maybe a cool download section on your website. Maybe you think of some other features that you want in there. You want user-generated content on your website. With recipes, you&#8217;ll be able to select those things, and it will not just install the plugins, which are called modules in Drupal, but it&#8217;ll also help with the configuration.</p>\n\n\n\n<p>Then once I have my site fully configured and ready to go, I can download that as a recipe and share it out. Recipes can be as small as passwords expire in 90 days, or they can be as big as here&#8217;s a full CMS system with all of these things pre-configured for you—all these modules pre-selected, the theme ready to go, user settings, additional fields, all this stuff just ready to go out of the box with this little special recipe file. You can then add additional recipe files on top of that and mix and match to your heart&#8217;s content to build up your perfect version of Drupal. I think that is such a really interesting way to go. I can imagine how something similar to that would be useful in the WordPress space, especially for those that are running multiple hundreds of sites, or maybe even for GoDaddy to come up with kind of like this is the GoDaddy install of WordPress.</p>\n\n\n\n<p>So it&#8217;s not just the plugins and themes, but it&#8217;s even maybe the configuration options because out of the box, we all know that WordPress has some configuration options that we, by default, on autopilot, go and change because we know that&#8217;s not really how we want our site to be, right? We don&#8217;t want the permalinks to be like S equals 243. We want pretty permalinks, so we change that. We want our assets to be uploaded probably to year and month folders, so we go and change that. How nice would it be to have a way to just have those all set by default through this recipe system? And so that&#8217;s one of the many things that&#8217;s coming with this Starshot experience.</p>\n\n\n\n<p><strong>Courtney:</strong><br />I really like that. I think that in the WordPress space for the DIY crowd, I would say what we have in the hosting space, coming from working at GoDaddy and knowing that my competitors are offering similar, is a lot of use of AI for the onboarding wizard experience. So you say, I want to open a pizza shop, I want to open a cafe, or I&#8217;m opening up maybe a fashion boutique or something like that. Based upon what you indicate you want, it will walk you through and create a basic five-page site. You need to change the content to be your own. It will give you some free stock images that you&#8217;re permitted to use, but ideally, you would swap those out for your own. It will help guide you towards selecting the appropriate color</p>\n\n\n\n<p>scheme, etc. You could default to say, here is the font choice for my brand, here is the whatever.</p>\n\n\n\n<p>I think about that at the DIY level, that&#8217;s pretty cool. But agencies tend to not want AI to get in their way at the spin-up phase. What I like about Starshot is that the agencies that are building the sites for customers have a means of selecting that. Perhaps it could be made more GUI or easier even for agencies, but I think the first step is to understand what the agencies need. I think Drupal tends to historically be primarily agency folks. Unless you&#8217;re a developer that just wants to learn Drupal, I don&#8217;t know too many hobbyists that go to Drupal and learn all of Drupal to get up and going, though I could be wrong—happy to be wrong about that. But yeah, it looks to be pretty interesting to see where that&#8217;s going. I really like tuning in to read Dries&#8217; blog posts, like I said, but I also really enjoy when I get a chance to see his equivalent of the state of the word, his annual address to the community.</p>\n\n\n\n<p>As well as, I really enjoyed the video that I saw where Matt had invited Dries and Mike Little, co-founder of WordPress, to Automattic&#8217;s Grand Meetup. So Automattic, as a company, has an annual grand meetup where they invite everybody together. I thought that interview or that time was actually quite unique. I really love to hear from what other open-source projects are doing and how we can benefit each other in the open-source space. Sure, we have competitors. I could say, yes, I&#8217;m at GoDaddy and I know what my competitors are doing, but also my friends work at those places. As a whole, it&#8217;s on us to care for the shared customers and community. Included in that are things like, oh yes, we do make Drupal hosting available to our customers. And in the process of that, I think about issues like what&#8217;s going on in PHP and the push as PHP continues—it&#8217;s under both of our projects, right?</p>\n\n\n\n<p>So as PHP continues to push forward with how quickly they&#8217;re iterating upon the language compared to historically in the past, well, our customers are all going to face the challenges and the struggles of that. Working at a hosting company, it&#8217;s on my mind. I might think about it from the WordPress lens first, but certainly, it applies across the board. What do the other things that we offer that are also very PHP-based deal with, and how do we address those needs too? So that leads into the next question or the next topic. There are some of the overlapping roles of open source in both of our ecosystems. I&#8217;ve met several folks in the Drupal space. Some of them I&#8217;ve actually got lined up coming in the near future. AmyJune Hineline has overlapped in both WordPress and Drupal.</p>\n\n\n\n<p>AmyJune is one of the mentors of mentors. There is a mentorship program in the Drupal space, and I have several friends that have been a part of that in their early web dev learning journey. It&#8217;s more about learning to use and implement Drupal, whereas in WordPress, our mentorship program is primarily more around getting up and running as a contributor if you would like to be a contributor. We have a mentorship program specific to contributors to all of the teams. We both have really big user bases across both WordPress and Drupal. What are some of the other interesting challenges that you&#8217;ve seen? What role does Acquia have in that? For instance, with the WordPress mentorship program, we see a lot of Automattic staff primarily facilitating and leading that. What&#8217;s Acquia doing to help foster contribution to Drupal? What&#8217;s Acquia doing, or what is Drupal as a project also doing related to any kind of challenges in the open-source space?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yeah, I&#8217;ll be honest, I haven&#8217;t really dived much into this yet. Primarily at Acquia, our focus is on the products and services we provide. While Dries and others talk about open source and are the lead drummers of that ideal, I think, like many of the bigger WordPress companies, there&#8217;s a lot of kind of closed or proprietary things that are happening that&#8217;ll probably never be spun off and freely given to the communities as open-source versions. That isn&#8217;t to say that there are no contributions to open source, and actually, TAMs are recommended to provide time back to open-source projects or help resolve issues with different modules. In my opinion, the open-source community across the board has really taken a backseat to profitability over the last couple of years, especially as the number of subscription-based themes, plugins, and services for both continues to grow. There&#8217;s less of that tinker, hacker, freedom fighter mentality of the early days that both of these CMSs used to have.</p>\n\n\n\n<p><strong>Courtney:</strong><br />Yeah, that makes sense. I do aspire to bring some of the learnings of what&#8217;s going on both in one project to the other. One of those that&#8217;s on my radar right now, I&#8217;m actively working on the contributor dashboards for the WordPress project and how folks are being recognized—I’ll say it that way; I don&#8217;t want to say tracked. It&#8217;s more about are we recognizing the various efforts? One of the things that I really responded to a lot about Drupal is that Drupal has a means of logging your contribution efforts. It&#8217;s a bit of a manual process at this time, whereas some of the tooling that we&#8217;re looking at for contributor dashboards in WordPress would be rather automated—getting activity on how many Slack messages one might be sending that are in public channels, specifying that, or GitHub activity. Whereas there are folks doing a lot of hidden labor like reading posts, somebody might scoff about that.</p>\n\n\n\n<p>But for those who want to have a deep historical knowledge about the project, the act of reading posts and researching—there&#8217;s no way to automate tracking that activity. So Drupal has a really interesting way of doing that. I&#8217;ve thought about bringing something akin to that. For those that do more of that hidden type of work, wherever it is never going to be practical to get activity metrics, anywhere that we could get activity metrics, let&#8217;s build an automation for that. But if it does not make sense to do activity metrics, some means of logging that time in a more manual process—I feel like the more that we can continue to recognize the value of contributors in open source, the better we are as stewards of various open-source projects. I think we can serve as examples to how open source should be for other projects probably yet to come.</p>\n\n\n\n<p>So I&#8217;ve been doing some deep thinking around that lately in my specific day-to-day work. I&#8217;m excited to see where that one goes. Looking ahead, what do you think the future for Drupal with Acquia leading some of the major initiatives will look like? In WordPress, we see Automattic generally leads the way with what we are doing with Gutenberg, with the community team as far as events go, and we&#8217;re grateful for that ability, but we also see that there is a need for more organizations to step up and step in to facilitate some of that. How do you see that shaking out with Acquia in particular as it relates to Drupal? Do you see the same tensions in the community perhaps about the direction of the project?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Very much so. Again, there are mirror images of each other in so many ways. It feels like right now, especially the Drupal community is taking pages out of the modern WordPress playbook. I will say that with WordPress, there isn&#8217;t the same kind of marketing team with Drupal that some of the closed-source hosted enterprise CMS systems have. So in some ways, expansion for Drupal will come from trying to entice more people to work on the project. I think that we have a very similar percentage of third-party companies working on it, but I think we&#8217;re struggling. I think, just like the WordPress community is starting to as well, where a lot of the contributors are—no offense—they&#8217;re getting a little older. I had someone once say to me, the biggest mistake that Drupal&#8217;s made was turning away from being a CMS option for the local mom-and-pop shop.</p>\n\n\n\n<p>Because once that happened, young developers had a hard time getting started with Drupal, and the project lost some important continuance of fresh, young, and new ideas. I&#8217;m seeing that as I&#8217;m participating more and more in this community, they&#8217;re trying to go, oh shoot, we kind of shot ourselves in the foot here about the future of Drupal. How do we fix that before the old guard all sail off into the distance, so to speak? Making it more innovative, reducing the friction in using the software, I think, will be a big part of that. One of the major changes that I have a lot of enterprise customers lament is how quick Drupal is versioning right now. It&#8217;s just constant new versions coming out. I think there was only a year and a half between the first version of Drupal 10 and the Drupal 11 release that came out, which is incredibly fast for the Drupal community.</p>\n\n\n\n<p>For those that don&#8217;t know, there are still a lot of sites running Drupal 7 and have been running it forever and would love to just run it forever. But the goal now is, how can we iterate on Drupal in a way that it can innovate while maintaining some of that backward compatibility so that we don&#8217;t break things, so that we can release more often, and have upgrades more often, and just make that a seamless part of using Drupal? Again, that reminds me a lot of what WordPress has done. It&#8217;s a lot of versions—I think three to four a year. I don&#8217;t think Drupal&#8217;s going to iterate that quickly, but that is the goal. Again, it reminds me so much of what WordPress is doing. Then from an Automattic versus Acquia perspective, I think it&#8217;s very similar. We try to point the direction that we see based on the clients that we have in hopes that we as a company are helping lead the project well.</p>\n\n\n\n<p>But there are still definitely a</p>\n\n\n\n<p>lot of different voices with different interests and focuses as we move forward. I think there are a lot of people out there that don&#8217;t see the value in Starshot, that don&#8217;t see the value in appealing to the experienced builder, who think that it should remain a very developer-centric CMS platform because that provides the comfort and security that they&#8217;re used to. But I think there&#8217;s a diminishing market for that kind of CMS, and I think that this new project or this new direction is such a breath of fresh air.</p>\n\n\n\n<p><strong>Courtney:</strong><br />I would agree there. That kind of reminds me a little bit about the needs of the users, not just from the contributor space, but also from the user space, how the needs of the users of projects are evolving. It used to be that we were just asking for pages in WordPress or sidebars back when I remember that. That&#8217;s how I learned PHP—registering a sidebar to stick a widget in the side, and I had to learn a lot about PHP. I didn&#8217;t really have any mentors or anyone to help me through that experience. Oh boy, was that a challenge, especially when there weren&#8217;t nearly as many materials online for teaching me this as there are these days. So one of the hot issues that I see right now across these are areas like accessibility, the need for improving accessibility. You mentioned the hot-button word of backward compatibility and where that stands. I know that Drupal has had some differences compared to WordPress in pushing updates when we have releases and the cadence of the releases. It&#8217;s funny that in WordPress, folks so much lament, why does it take so long to get whatever? And also lament, oh my goodness, you&#8217;re shipping so many releases in a year. Meanwhile, Drupal&#8217;s like, oh, it&#8217;s only a year and a half. We could do it. And that&#8217;s making waves in a year and a half. I don&#8217;t know enough about Drupal to know if in that year and a half they&#8217;re shipping many features in that change. I also don&#8217;t know which versions are or are not backward compatible. Where do you see that shaking out in the different communities?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yeah, so the learning curve for Drupal is steep. I&#8217;ve mentioned that before, but one of the reasons for that is there are some externalities that both CMSs have. Drupal depends on CKEditor for its editing experience. So when CKEditor 4 went end of life, Drupal had to upgrade to CKEditor 5. When Composer upgrades, Drupal needs to update to the new version of Composer. There are some other projects within Drupal that also push that along. Then of course, we have the upgrades of PHP, the upgrades of MySQL. So there are all these externalities that have to be managed through this process. So it&#8217;s not wholly on the CMS to determine when these releases happen in some ways, right? Because we want to continue that secure, performant, and accessible tool. In terms of accessibility, I will say a lot of people in the Drupal community have this strong belief that Drupal is much more accessible than WordPress.</p>\n\n\n\n<p>Again, I think it really comes down to the company that&#8217;s developing. With the additional things that you add on top of it, like WordPress core on its own is very accessible, but you add a really crummy theme and some crummy plugins, and guess what? You can&#8217;t use it anymore. And that&#8217;s very similar to Drupal. There are agencies that are not as good at accessibility, and when they develop a theme for Drupal to publish a site online, it&#8217;s not accessible. Or when they create a module for Drupal to add some functionality and they don&#8217;t do it in an accessible way, guess what? The admin panel is no longer accessible. There&#8217;s been some complaints about CKEditor not being as accessible as some people would like in terms of the version that&#8217;s integrated with Drupal. So again, there are always these ebbs and flows, and it really depends on these third parties. So I really dislike the conversation of is WordPress accessible or is Drupal accessible? And if we take it down to the core, the answer for both is yes, but as soon as you change anything or add anything, then the answer might be no.</p>\n\n\n\n<p><strong>Courtney:</strong><br />And the answer for a logged-in user that is in the edit interface as opposed to the front-end website visitor also could be vastly different about that too. And that&#8217;s just even with core for both of them. Yeah, so it&#8217;s something that I think we all could benefit from learning about for sure. So let&#8217;s skip ahead to what advice do you have for others in the community? Those who have been longtime contributors and are considering branching out like you have. I know some WordPress people that are itching to look beyond the WordPress experience itself. I am quite happy here. I think there&#8217;s a lot of learning to do, and I love to get into shenanigans where I learn from other open-source projects, and I hope that we can share our knowledge together and benefit all of our communities through that. But I know some folks that are looking to different shores, we&#8217;ll say. What advice do you have for them and how could they start preparing if they&#8217;re interested in jumping ship to somewhere like Acquia? Or leaving the standard CMS space for other kinds of flavors of web dev?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yeah, I will say hopefully through this discussion, anyone, no matter which open-source project you&#8217;re on, especially if it&#8217;s a PHP, MySQL-developed CMS, you can easily transition from one to the other. And there are some amazing opportunities there. I would highly recommend if you are a WordPress developer or you&#8217;re a Drupal developer and you&#8217;ve been in that space for a long period of time, take a short break and go check out what the other is doing. You might be able to contribute some important refinements due to your experience. You might be able to identify a path that your CMS choice went down only to find a dead end, and you could save countless hours of tinkering by dozens of people by bringing that up. You might see features or functions or ideas that you could bring back to the tool that you favor. So there&#8217;s a huge amount of opportunity there, and especially right now with all of the transitions and changes that have happened in WordPress over the last couple of years and the ones that are being queued up for Drupal over the next little while, this would be a great time to just kind of peek in and see what the other is doing and take some learnings from that.</p>\n\n\n\n<p>Because while both CMSs typically target different types of customers, so to speak, I think that there&#8217;s a lot to learn from each other. There&#8217;s a lot of opportunities for time savings, and there&#8217;s, I don&#8217;t know necessarily that it&#8217;ll become one homogenous CMS someday, but I think that there are advantages that each has that each should be looking to incorporate into their own right. And so we should be hoping to see those kinds of opportunities and transitions. I will say from someone who&#8217;s been in the WordPress space primarily for the last 20 years, going to a more niche CMS means that there&#8217;s a little bit less competition in a way. So your opportunity for contribution, in a way, is larger, right? Your potential impact is larger, and sometimes the salaries are higher. So explore those things, explore those opportunities, and push yourself to learn new things. I know that if and when I ever come back to the WordPress community and work in WordPress again, the things that I&#8217;ll have learned through this process will be so valuable in that effort. So no new knowledge is wasted.</p>\n\n\n\n<p><strong>Courtney:</strong><br />Absolutely. What kinds of things right now, in a more timely fashion, we&#8217;ve talked about our Drupal community and the WordPress community and the learnings between them—what kind of things in open source, whether they be new open-source projects, any kind of dependencies—you mentioned PHP, MySQL—being aware of what these things that we depend upon in our open-source projects are doing, or any other kinds of trends, things that are on your radar that are more news related?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Yeah, I love full-site editing in WordPress. I remember when the idea first came out, people were saying that at some point, maybe WordPress would only have one base theme and we would all just install different block and patterns packs or style packs. I still believe that could be a long-term direction for themes in WordPress. I think that the Experience Builder in Drupal is potentially trying to develop something similar. I know Webflow has really kind of focused in on the freedom of design in an interesting way. I think being able to easily implement an idea on the web will empower so many people, and I&#8217;m really excited about that. Personally, one of the things that&#8217;s impacted me the most at work is there&#8217;s an open-source tool called Rooney, which allows me to scan Drupal websites and get an understanding of what&#8217;s going on with them.</p>\n\n\n\n<p>I&#8217;ve been able to start writing my own policies and profiles, which allows me to take data that I think is valuable or interesting about the Drupal install and the server configuration and the traffic and the logs, and parse that out in valuable ways for my customers. I wish I had that back in the WordPress world because being able to type in a command in the command line and get a really nice HTML report that I can then tease little details out of has just been—oh my goodness, it&#8217;s the chef&#8217;s kiss of my job in a way. So I really love that and would love to see someone take a look at that and maybe generate something like that for WordPress before I go back to that space. If I do someday, that ability to analyze, to take in all of these various data sources and turn them into graphs and charts and stats in a way that is useful and actionable—it&#8217;s so empowering and I hope to continue to see those kinds of tools get more time and attention. I&#8217;m actually trying to push Acquia to really spend some money—basically some people time—and say, hey, look, we&#8217;re actually going to sponsor this project because it&#8217;s</p>\n\n\n\n<p>so important internally to our team that we want to make sure that it never goes away and that it continues to be developed, supported, and grown. So Rooney is my thing that I think is really cool from a technical perspective.</p>\n\n\n\n<p><strong>Courtney:</strong><br />I think I might need a link for that. Thank you so much for the past 40 minutes or so here that we&#8217;ve been together. Is there anybody else that you think we should have on the show?</p>\n\n\n\n<p><strong>Malcolm:</strong><br />I have two quick suggestions. Brent Schultz from Third and Grove—he worked with me at 10up. He has a deep knowledge of both WordPress and Drupal from an engineering perspective, and I think that would be super interesting. Being a VP of a large multi-CMS agency, he can provide information on the keyword &#8220;composable architecture,&#8221; being able to take a bunch of different tools and combine them and create them into these custom solutions. I think he would be amazing for that. Then my second one was—I asked my boss this question: if I&#8217;m asked who should go on the show, who should I mention? He said Ron Northcutt, head of Developer Relations at Appsmith, would be great. He had a deep interest in trying to bring more e-commerce functionality into Drupal, something that is often pushed off to third-party tools. I think the conversation about the difference between why did WordPress think it was okay to have WooCommerce, but Drupal thought that having any kind of commerce functionality was the wrong approach when Drupal was supposed to be focused on big business and enterprise. And WordPress was supposed to be the mom-and-pop blogger. So I think that conversation would be a lot of fun as well to be able to listen to.</p>\n\n\n\n<p><strong>Courtney:</strong><br />I think that would be fantastic for a Do the Woo show of all places. Absolutely, yes. And one little bit of a plug back—Bob did not ask me to share this, but there is a new show on Do the Woo that is specific for WordPress in the enterprise. That one might be really interesting also for some of the Drupal folks to take a listen to because it is a lot of the top-tier Fortune 50 type of websites, the enterprise agencies behind those, sharing about their experiences and what they need in the WordPress interface and also the WordPress community as it relates to serving their customers. So I&#8217;ll make sure I share a link back for that one with you. Thank you so much, Malcolm, for being with us today.</p>\n\n\n\n<p><strong>Malcolm:</strong><br />Thanks for having me.</p>\n</div>\n\n\n\n\n<p>In this episode of <strong><em>Open Talk on Open Source</em></strong>, host <strong>Courtney Robertson</strong> sits down with <strong>Malcolm Peralty, a seasoned expert in both the WordPress and Drupal communities</strong>. </p>\n\n\n\n<p>With nearly two decades of experience in the open-source space, Malcolm shares his journey from starting with WordPress in its early days to his current role at Acquia, the &#8220;mothership&#8221; of Drupal. </p>\n\n\n\n<p>The conversation dives deep into the evolution of both platforms, the challenges and opportunities in open source, and the exciting future of content management systems. </p>\n\n\n\n<h2 class=\"wp-block-heading\">Takeaways</h2>\n\n\n\n<p><strong>Malcolm Peralty&#8217;s Journey</strong>: Malcolm has extensive experience in the WordPress community, having started with WordPress back in its early versions. His career spans various roles, including blogging, project management, and support for major WordPress products.</p>\n\n\n\n<p><strong>Transition to Drupal</strong>: Malcolm transitioned from the WordPress community to working with Drupal at Acquia, highlighting the parallels between the two platforms and the opportunities that come from exploring different open-source projects.</p>\n\n\n\n<p><strong>WordCamp Canada Experience</strong>: Malcolm discussed his experience presenting at WordCamp Canada, where he spoke on working remotely for American companies while based in Canada, and noted the growing focus on social topics in WordCamps.</p>\n\n\n\n<p><strong>Acquia and Drupal&#8217;s Focus</strong>: Acquia plays a similar role for Drupal as Automattic does for WordPress, with a focus on product development. Malcolm’s role at Acquia involves bridging the knowledge gap between the Drupal and WordPress communities.</p>\n\n\n\n<p><strong>Drupal&#8217;s Evolution and Starshot Initiative</strong>: The Starshot initiative, now referred to as Drupal CMS, is aimed at improving Drupal for site builders, akin to WordPress’s Gutenberg project. This initiative focuses on making Drupal more accessible and user-friendly, particularly for non-developers.</p>\n\n\n\n<p><strong>Comparison Between WordPress and Drupal</strong>: Malcolm highlighted the differences in perception and use cases between WordPress and Drupal, noting that while Drupal is seen as more robust for enterprise-level websites, there’s a growing recognition of WordPress&#8217;s capabilities beyond blogging.</p>\n\n\n\n<p><strong>Recipes in Drupal</strong>: A key feature in Drupal&#8217;s future is the introduction of &#8220;recipes,&#8221; which allow users to configure and share pre-built site configurations, offering flexibility and ease of use, especially for agencies.</p>\n\n\n\n<p><strong>Open Source and Mentorship</strong>: Both WordPress and Drupal have strong mentorship and community support programs, though their focuses differ. Malcolm pointed out the importance of cross-community learning and contribution.</p>\n\n\n\n<p><strong>Challenges in Open Source:</strong> Malcolm discussed the challenges facing open-source communities, including the shift from a hacker mentality to profitability, and the need to attract fresh contributors as the original contributors age.</p>\n\n\n\n<p><strong>Future Directions for Drupal</strong>: The Drupal community is looking to reduce friction in using the platform and make it more appealing to a broader audience, particularly as it relates to maintaining backward compatibility and frequent updates.</p>\n\n\n\n<p><strong>Advice for Community Members</strong>: Malcolm encourages developers and contributors to explore other open-source projects like Drupal to gain new perspectives and ideas that can be brought back to their original communities, enhancing both personal growth and community innovation.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Links</h3>\n\n\n\n<ul class=\"wp-block-list\">\n<li><a href=\"https://peralty.com/about-me/\"><strong>Peralty &#8211; About Me</strong></a></li>\n\n\n\n<li><a href=\"https://peralty.com/2024/04/05/one-year-at-acquia/\"><strong>One Year at Acquia</strong></a></li>\n\n\n\n<li><a href=\"https://www.acquia.com/about-us\"><strong>Acquia &#8211; About Us</strong></a></li>\n\n\n\n<li><a href=\"https://dri.es/drupal-cms-the-official-name-for-drupal-starshot\"><strong>Dries &#8211; Drupal CMS, the Official Name for Drupal Starshot</strong></a></li>\n\n\n\n<li><a href=\"https://dri.es/introducing-drupal-starshot-product-strategy\"><strong>Dries &#8211; Introducing Drupal Starshot Product Strategy</strong></a></li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/phoenixfireball/\"><strong>Malcolm Peralty&#8217;s WordPress Profile</strong></a></li>\n\n\n\n<li><a href=\"https://canada.wordcamp.org/2024/speaker/malcolm-peralty/\"><strong>WordCamp Canada 2024 Speaker Profile &#8211; Malcolm Peralty</strong></a></li>\n\n\n\n<li><a href=\"https://canada.wordcamp.org/2024/session/working-in-wordpress-with-american-companies/\"><strong>WordCamp Canada 2024 Session &#8211; Working in WordPress with American Companies</strong></a></li>\n</ul>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 28 Aug 2024 09:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: Remote Code Execution Vulnerability Patched in WPML WordPress Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=160485\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://wptavern.com/remote-code-execution-vulnerability-patched-in-wpml-wordpress-plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1842:\"<p>The popular WordPress Multilingual plugin, WPML, which is installed on over 1,000,000 websites, has patched a <a href=\"https://www.wordfence.com/blog/2024/08/1000000-wordpress-sites-protected-against-unique-remote-code-execution-vulnerability-in-wpml-wordpress-plugin/\">Remote Code Execution (RCE)</a> vulnerability (CVE-2024-6386) that researchers have classified as <strong>&#8220;Critical,&#8221; with a CVSS score of 9.9</strong>. Users are strongly advised to update their websites to the patched version, WPML 4.6.13.</p>\n\n\n\n<p>Security researcher <a href=\"https://sec.stealthcopter.com/\">Mat Rollings</a> (stealthcopter) discovered and reported the vulnerability through the Wordfence Bug Bounty program, earning a bounty of $1,639.</p>\n\n\n\n<p>Wordfence’s István Márton explained: “The WPML plugin for WordPress is vulnerable to Remote Code Execution in all versions up to, and including, 4.6.12 via Twig Server-Side Template Injection. This is due to missing input validation and sanitization on the render function. This makes it possible for authenticated attackers, with Contributor-level access and above, to execute code on the server.”</p>\n\n\n\n<p>Matt Rollings dubbed this vulnerability “a classic example of the dangers of improper input sanitization in templating engines” and has shared more technical details about this vulnerability on his <a href=\"https://sec.stealthcopter.com/wpml-rce-via-twig-ssti/\">blog</a>.&nbsp;</p>\n\n\n\n<p>In the past eight days, researchers have earned $21,037 as bounties for reporting three critical plugin vulnerabilities: <a href=\"https://wptavern.com/critical-vulnerability-patched-in-givewp-plugin\">GiveWP</a>, <a href=\"https://wptavern.com/record-bounty-awarded-as-critical-privilege-escalation-vulnerability-patched-in-litespeed-cache-plugin\">LiteSpeed Cache</a>, and WPML.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 27 Aug 2024 20:05:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Jyolsna\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WPTavern: WordCamp Europe 2025 Seeks Organizers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=160466\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com/wordcamp-europe-2025-seeks-organizers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2652:\"<p><a href=\"https://europe.wordcamp.org/2025/\">WordCamp Europe 2025</a>, scheduled to take place from June 5 &#8211; 7, 2025, in Basel, Switzerland is <a href=\"https://europe.wordcamp.org/2025/call-for-organisers/\">looking for organizers</a> to make this flagship event a grand success. The planning phase of this event will start in September 2024. </p>\n\n\n\n<p>Organizers will be involved in weekly or bi-weekly meetings leading up to the event and will <a href=\"https://europe.wordcamp.org/2025/call-for-organisers/teams/\">work in teams</a> including Budget, Community, Content, and Design. </p>\n\n\n\n<p>The WordCamp Europe 2024 in Torino, Italy received prestigious <a href=\"https://europe.wordcamp.org/2024/wordcamp-europe-receives-patronage-from-the-european-parliament/\">patronage from the European Parliament</a>, granted by Roberta Metsola, President of the European Parliament. The event emphasized accessibility and inclusivity and was attended by 2,584 attendees from over 70 countries. The 2023 and 2022 events were heavily criticized by the community for <a href=\"https://europe.wordcamp.org/2022/diversity-at-wceu/\">lack of diversity</a> in speaker lineups and organizing teams but the 2024 version more than made up for it. </p>\n\n\n\n<p>WordCamp Europe 2025 looks to be on the right track when it comes to accessibility and sustainability. The <a href=\"https://europe.wordcamp.org/2025/venue/\">venue Messe and Congress Center Basel</a> are fully accessible for people with mobility challenges and prioritize environmental sustainability. However, the event coincides with Eid ul-Adha, a major Muslim holiday.</p>\n\n\n\n<p>The organizers have assured that: &#8220;While we cannot change the dates, the organizing team is committed to making WCEU 2025 more inclusive of attendees who are celebrating Eid ul-Adha. To do this, we will consult with the Diversity, Equity, Inclusion, and Belonging (DEIB) Working Group and attendees of the Muslim community to find initiatives that support them to feel welcome at our event during those dates.&#8221;</p>\n\n\n\n<p><strong>The last date for applying is August 31, 2024, at 23:59 CEST.</strong> While it is recommended that applicants be based within European time zones due to meeting schedules, any WordPress enthusiast from around the globe can apply. </p>\n\n\n\n<p>Though all WordCamp communications will be in English, knowledge of French or German is essential to apply for the local team. </p>\n\n\n\n<p>Those interested in hosting WordCamp Europe 2026 are encouraged to apply for the 2025 organizing team to gain valuable experience and insight into event logistics and organizational requirements.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 27 Aug 2024 18:36:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Jyolsna\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"Gravatar: Passwordless Authentication: What It Truly Means and Why It Matters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"http://blog.gravatar.com/?p=1733\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://blog.gravatar.com/2024/07/18/passwordless-authentication/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19922:\"<p>Passwordless authentication is a modern alternative to traditional password-based security measures. Unlike conventional passwords, passwordless authentication lets you verify your identity through something you possess (like your phone or a security token) rather than something you memorize (like a password), which is much more convenient and secure.&nbsp;</p>\n\n\n\n<p>If you’re curious about this authentication method and want to implement it on your own website, this article is for you. We’ll cover interesting topics such as:&nbsp;</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>What are the benefits and challenges of passwordless authentication?&nbsp;</li>\n\n\n\n<li>Why should you transition away from passwords?&nbsp;</li>\n\n\n\n<li>What are the most common passwordless methods available?&nbsp;</li>\n\n\n\n<li>How do they function?</li>\n</ul>\n\n\n\n<p>Let’s start!&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Why shift to passwordless? Evaluating benefits and potential challenges</strong></h2>\n\n\n\n<p>More and more companies are adopting passwordless authentication because of its security advantages and the fact that it makes user interactions more simple and engaging. However, there’s much more to it than that! Let’s take a look.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Key advantages of integrating passwordless authentication</strong></h3>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong>Convenient for your users:</strong> One of the most appealing aspects of passwordless authentication is the elimination of passwords. This change means users no longer need to remember complex combinations or go through the tedious process of resetting forgotten passwords. By offering a more convenient user experience, then you stand to gain an increase in users and even sales. For example, if you have an eCommerce store and your major competitors use traditional passwords, this gives your store an edge.</li>\n\n\n\n<li><strong>More secure: </strong>By removing passwords, you significantly reduce the risk of common threats such as phishing, brute-force attacks, and credential theft. Passwordless methods use more secure and unique identifiers, making unauthorized access much harder.&nbsp;</li>\n\n\n\n<li><strong>Better accessibility:</strong> Passwordless systems often rely on biometrics or security tokens, making them more accessible to a wider range of users, including those with disabilities or the less technologically inclined. This inclusivity ensures that more individuals can safely and easily access digital services.</li>\n\n\n\n<li><strong>Cost-efficient:</strong> Reducing or eliminating password reset inquiries and account recovery operations can save businesses a significant amount of time and money, which can be better spent elsewhere.</li>\n\n\n\n<li><strong>Increased productivity: </strong>Streamlined login processes translate into time savings for both users and IT departments. Faster access to services means more time can be devoted to core activities, boosting overall productivity.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Identifying the potential drawbacks in the transition phase</strong></h3>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong>User resistance: </strong>Change can be hard for people, and the shift to passwordless authentication is no exception. Some users may be hesitant to trust or adapt to new technologies, preferring the familiarity of traditional passwords.</li>\n\n\n\n<li><strong>Technical obstacles: </strong>Integrating passwordless solutions with existing systems, especially older legacy infrastructures, can present technical challenges. Compatibility and interoperability issues may require significant troubleshooting and adjustments.</li>\n\n\n\n<li><strong>Initial investment: </strong>While the long-term benefits of passwordless authentication include cost savings, the initial phase of implementing these technologies might require a notable upfront investment. However, new platforms are making strides in reducing these barriers, offering more accessible passwordless solutions for businesses and website owners.</li>\n\n\n\n<li><strong>Educating users: </strong>A successful transition to passwordless authentication also depends on user awareness and education. Organizations must invest in teaching their users about the new systems, ensuring they understand how to use them effectively and securely.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Exploring common passwordless authentication methods&nbsp;</strong></h2>\n\n\n\n<p>There are many types of user authentication methods, and each one uses a different authentication protocol. We won&#8217;t go into these now (you can read more about authentication protocols in our detailed guide) but we will go through the more popular authentication methods.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Email magic links</strong></h3>\n\n\n\n<img tabindex=\"0\" width=\"1185\" height=\"632\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/magic-link-slack.png\" alt=\"Log in with a magic link – Slack\" class=\"wp-image-1735\" />\n\n\n\n<p>Essentially, a magic link is a unique, one-time-use URL sent to a user’s email address upon request. The user clicks this link to log in directly, bypassing traditional password entry.&nbsp;</p>\n\n\n\n<p>This process is not only simple but also enhances security by eliminating the risk of password-related attacks. However, since it relies on the security of the email account, if the user’s email is hacked, the attackers can gain access to every profile on every platform that uses magic links.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>One-time passcodes (OTP)</strong></h3>\n\n\n\n<img tabindex=\"0\" width=\"1920\" height=\"1080\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/one-time-passcode-example.png\" alt=\"One-time passcode example\" class=\"wp-image-1736\" />\n\n\n\n<p>OTPs are temporary codes used for a single login session or transaction, adding an extra layer of security. These codes can be delivered through SMS, email, or authenticator apps, offering flexibility in how users receive them.&nbsp;</p>\n\n\n\n<p>While OTPs significantly reduce the risk of unauthorized access, they are still not perfect. For example, SMS-based OTPs can be intercepted through SIM swapping and are still vulnerable to pharming, social engineering attacks, and intelligent phishing.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Social logins</strong></h3>\n\n\n\n<img tabindex=\"0\" width=\"1500\" height=\"1500\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/signin-iag.png\" alt=\"Log in with social media accounts\" class=\"wp-image-1737\" />\n\n\n\n<p>Social logins allow users to access third-party services using their existing social media accounts, like <a href=\"https://www.facebook.com/\" rel=\"nofollow\">Facebook</a> and <a href=\"https://twitter.com/?lang=en\" rel=\"nofollow\">X/Twitter</a>. This method is convenient because users do not have to create new passwords for every service.&nbsp;</p>\n\n\n\n<p>However, social logins often raise questions about data privacy and the amount of personal information shared with third-party services. Besides, they’re not very inclusive to people without social media accounts or those who don&#8217;t want to connect their profiles.&nbsp;</p>\n\n\n\n<p>A good alternative for web developers is to integrate their sites and apps with <a href=\"https://gravatar.com/\">Gravatar</a>, offering users another way to have a consistent online profile across multiple platforms.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Passkeys</strong></h3>\n\n\n\n<p>Passkeys are a cutting-edge approach based on public-key cryptography. They eliminate the need for users to remember passwords while keeping them safe from phishing attacks, which are constantly increasing.&nbsp;</p>\n\n\n\n<img tabindex=\"0\" width=\"660\" height=\"200\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/growth-of-phishing-attacks-per-year.png?w=660\" alt=\"Number of phishing attacks from 2019 to 2022, according to research by StationX\" class=\"wp-image-1739\" />\n\n\n\n<p>According to <a href=\"https://www.stationx.net/phishing-statistics/#:~:text=3.%20Around%2036%25%20of%20all%20data%20breaches%20involve%20phishing.%C2%A0\" rel=\"nofollow\">research by StationX</a>, around 36% of all data breaches are phishing attacks, and email impersonation accounts for 1.2% of global email traffic!</p>\n\n\n\n<p>With passkeys, however, users authenticate themselves through their own devices, which hold a private key matched with a public key stored on the server. This makes them a very attractive alternative to web developers and agencies that want to give users a more convenient and secure login option.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Biometrics</strong></h3>\n\n\n\n<img tabindex=\"0\" width=\"1424\" height=\"801\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/biometric-verification-1.png\" alt=\"Biometric authentication\" class=\"wp-image-1740\" />\n\n\n\n<p>Biometric authentication uses unique physical characteristics, such as fingerprints, facial recognition, or iris scans, to verify identities. This method is also becoming increasingly popular for its ease of use and strong security profile.&nbsp;</p>\n\n\n\n<p>It&#8217;s widely implemented by <a href=\"https://www.android.com/\" rel=\"nofollow\">Android</a> and <a href=\"https://www.apple.com/\" rel=\"nofollow\">Apple</a> smartphones and computers as a way to unlock private data and authorize online payments.&nbsp;</p>\n\n\n\n<img tabindex=\"0\" width=\"1342\" height=\"518\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/desktop-fingerprint-id.jpg\" alt=\"Example of biometric authentication – Touch ID by Apple\" class=\"wp-image-1741\" />\n\n\n\n<p>However, it raises important questions about privacy and the security of biometric data, as breaches could have serious implications. Besides that, in recent years, trust in biometric technology has been quickly declining, with <a href=\"https://www.getapp.com/resources/biometric-technology-challenges/#:~:text=A%20full%2085%25%20of%20consumers%20say%20they%20are%20concerned%20about%20sharing%20data%20with%20AI%20tools%2C%20worries%20that%20may%20be%20impacting%20views%20of%20biometric%20technology.\" rel=\"nofollow\">85% of people sharing that they are worried about sharing their personal information with AI tools</a>.&nbsp;</p>\n\n\n\n<img tabindex=\"0\" width=\"2700\" height=\"1935\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/2024-biometrics-02.png\" alt=\"Percentage of consumer comfort with sharing biometric information – research by GetApp\" class=\"wp-image-1742\" />\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Hardware tokens</strong></h3>\n\n\n\n<p>Hardware tokens are physical devices used to authenticate a user’s identity, offering an additional security layer resistant to remote attacks. These tokens, which can use USB, NFC, or Bluetooth technologies, are especially useful in sensitive or high-security environments. While highly secure, their physical nature requires users to carry an additional device, which may not be ideal for everyone.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Software tokens&nbsp;</strong></h3>\n\n\n\n<img tabindex=\"0\" width=\"1920\" height=\"1080\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/google-authenticator-app.png\" alt=\"Google Authenticator App\" class=\"wp-image-1744\" />\n\n\n\n<p>Software tokens operate within authenticator apps, like the <a href=\"https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2&hl=en&gl=US\" rel=\"nofollow\">Google Authenticator App</a>, generating time-limited codes to <a href=\"https://blog.gravatar.com/2024/02/21/securing-cyber-space-role-of-digital-identity-verification/\">verify the user&#8217;s digital identity</a>. They offer a more scalable and cost-effective alternative to hardware tokens without the need for users to carry an extra device.&nbsp;</p>\n\n\n\n<p>However, they can be susceptible to malware or device theft, and the user must ensure they are always charged and functional.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Third-party identity provider</strong></h3>\n\n\n\n<p>Third-party identity providers allow you to log in on different websites and apps using a single account, technically acting as a bridge so you don&#8217;t have to share your actual details with each site. For example, social media sites and <a href=\"https://www.google.com/\" rel=\"nofollow\">Google</a> are all third-party identity providers, but they are not limited to social media.&nbsp;</p>\n\n\n\n<p>The cons here are that you are dependent on their servers and if the third-party provider experiences downtime or security breaches, it could compromise access to all connected services.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Persistent cookies</strong></h3>\n\n\n\n<p>Persistent cookies are small pieces of data stored on a user’s device to remember their login information for future visits so they don&#8217;t have to log in every time they visit a website. Unlike session cookies, which expire once you close your browser, persistent cookies remain until a set expiration date.</p>\n\n\n\n<p>For example, when you select “Remember Me” on a website’s login page, it uses a persistent cookie to keep you logged in across multiple sessions. In contrast, session cookies are used to keep you logged in only for the duration of your browser session, meaning if you close the browser, you&#8217;ll need to log in again the next time.</p>\n\n\n\n<p>Persistent cookies, while convenient for maintaining user sessions, pose increased security risks and privacy concerns by potentially allowing unauthorized access and tracking users’ online activities.</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>How does passwordless authentication work?</strong></h2>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Understanding the public-key cryptography infrastructure</strong></h3>\n\n\n\n<p>Public-key cryptography is what makes passwordless authentication possible. The premise is relatively simple – this method uses a pair of keys, a public key, which can be shared with anyone, and a private key, kept secret by the user. When data is encrypted with the public key, only the corresponding private key can decrypt it, enabling secure communication over unsecured channels.</p>\n\n\n\n<p>In passwordless systems, this technology allows for secure verification of a user&#8217;s identity without transmitting a password. For instance, when you log in, the server sends a challenge encrypted with your public key; only your device, holding the private key, can decrypt it and respond correctly, proving your identity without sending sensitive information.</p>\n\n\n\n<p>This cryptographic method’s top advantages are, no doubt, high security and non-repudiation. Non-repudiation prevents someone from denying the authenticity of their signature on a document, as each digital signature is unique and verifiable. Public-key infrastructure (PKI) ensures that digital identities are protected, making it a powerful tool in the development of secure, passwordless authentication methods that are both reliable and user-friendly.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Ownership factors vs inherence factors</strong></h3>\n\n\n\n<p>Ownership factors refer to something the user possesses, serving as a key to access services or devices. Examples include security tokens, which generate time-sensitive codes; mobile devices, which receive notifications or codes for login approval; and smart cards, which require physical insertion into a reader or proximity for authentication.</p>\n\n\n\n<p>On the other hand, inherence factors are based on the unique personal characteristics of the user like biometric identifiers. These include:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong>Fingerprints</strong>, which are used on many smartphones for secure unlocking and payments.</li>\n\n\n\n<li><strong>Facial recognition</strong>, which maps and verifies the unique contours and features of the user’s face.&nbsp;</li>\n\n\n\n<li><strong>Voice patterns</strong>, which recognize the unique sound and intonation of the user’s voice.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Understanding the typical passwordless registration flow</strong></h3>\n\n\n\n<img tabindex=\"0\" width=\"2289\" height=\"1458\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/sign-in_iag-1.png\" alt=\"Sign-in process with public-key cryptography\" class=\"wp-image-1745\" />\n\n\n\n<ol class=\"wp-block-list\">\n<li><strong>Registration request: </strong>The process begins when the user expresses interest by clicking a “Sign Up” button or entering their email address or phone number.&nbsp;</li>\n\n\n\n<li><strong>Authentication factor selection: </strong>The user is then prompted to choose an authentication method from the options provided, such as mobile notifications or biometrics.&nbsp;</li>\n\n\n\n<li><strong>Key generation: </strong>Behind the scenes, the system generates a unique pair of cryptographic keys. The user&#8217;s role here is minimal, as the system securely handles the creation and storage of these keys, laying the foundation for secure communications.</li>\n\n\n\n<li><strong>Authentication challenge:</strong> A secure challenge is sent to the user&#8217;s chosen authentication factor. This could be a notification on a mobile device that the user needs to approve or a request for biometric verification.</li>\n\n\n\n<li><strong>User authentication: </strong>The user confirms their identity by responding to the challenge. This step is crucial for verifying the user&#8217;s ownership of the authentication factor.</li>\n\n\n\n<li><strong>Challenge response: </strong>The user&#8217;s device encrypts the response to the challenge and sends it back to the system within a specific timeframe.</li>\n\n\n\n<li><strong>Response validation: </strong>Finally, the system validates the encrypted response against the original challenge. If the response matches, the registration is successful. In case of a mismatch, the system may request the user to attempt the process again or provide alternative verification methods, ensuring a balance between security and user accessibility.</li>\n</ol>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Gravatar: Making passwordless authentication more accessible to website owners</strong></h2>\n\n\n\n<img tabindex=\"0\" width=\"1351\" height=\"964\" src=\"https://blog.gravatar.com/wp-content/uploads/2024/07/general-passwordless-gravatar.png\" alt=\"Gravatar Developers homepage\" class=\"wp-image-1746\" />\n\n\n\n<p>Passwordless authentication is simplifying online experiences and offering users a faster and more convenient way to log in to different websites and services. At <a href=\"https://gravatar.com/\">Gravatar</a>, our mission is to build a <a href=\"https://docs.gravatar.com/\">more open, connected, and user-centric </a>internet, so we’re big advocates of revolutionizing online authentication by eliminating passwords altogether.</p>\n\n\n\n<p>If you’re a website or web app owner looking to offer a more streamlined and secure login experience by implementing passwordless authentication, then you should consider going the extra mile by implementing a digital identity management system that allows users to seamlessly set up profiles when they sign up.&nbsp;</p>\n\n\n\n<p>This is the essence of Gravatar – a platform that allows users to create profiles based on their email addresses. When a user with a Gravatar profile signs up with your website, you’ll be able to pull that user’s data to automatically generate their profile information, provided they have given you access. This simplicity offers a dual advantage: users enjoy a streamlined onboarding process, while website owners can provide a more engaging and frictionless experience. This also increases security further because no user data needs to be stored from your end.</p>\n\n\n\n<p>Integrate your website with <a href=\"https://docs.gravatar.com/\">Gravatar</a> to make the Internet a safer place for everyone!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 27 Aug 2024 18:00:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Ronnie Burt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"Do The Woo Community: Page Builders and WooCommerce with Anthony Tran\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=85351\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://dothewoo.io/page-builders-and-woocommerce-with-anthony-tran/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:43236:\"<div class=\"wp-block-group has-border-color has-light-gray-background-color has-background has-small-font-size has-global-padding is-layout-constrained wp-container-core-group-is-layout-12 wp-block-group-is-layout-constrained\">\n<p class=\"has-secondary-color has-text-color has-link-color wp-elements-9acf640b7ba38a84a982fc35d618387f\">This show is sponsored by&#8230;</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-11 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-core-group-is-layout-8 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group has-base-background-color has-background wp-container-content-3 has-global-padding is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-7 wp-block-group-is-layout-constrained\">\n<img width=\"525\" height=\"525\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2024/03/Airwallex.jpg?resize=525%2C525&ssl=1\" alt=\"Airwallex\" class=\"wp-image-80258\" />\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"wp-container-content-4\"><strong><a href=\"https://www.airwallex.com/integrations/woocommerce?utm_source=701Nn000009vJ0mIAE\">Airwallex</a></strong>: With <strong>Airwallex</strong> merchants are no longer forced to convert their foreign incoming payments into their home market currencies and they can use the funds to pay suppliers internationally.</p>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-3 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-core-group-is-layout-10 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group has-base-background-color has-background wp-container-content-5 has-global-padding is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-9 wp-block-group-is-layout-constrained\">\n<img width=\"500\" height=\"500\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2024/02/Omnisend-square.jpg?resize=500%2C500&ssl=1\" alt=\"\" class=\"wp-image-78802\" />\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"wp-container-content-6\"><strong><a href=\"https://your.omnisend.com/onlywoo_dothewoo\">Omnisend</a></strong>: Whether it&#8217;s for integration into your Woo product, or building sites for clients, <strong>Omnisend</strong> is the solution for email and SMS marketing with their CRM solution for WooCommerce shops and your own website.</p>\n</div>\n</div>\n</div>\n</div>\n\n\n\nEpisode Transcript\n<div class=\"wp-block-group has-global-padding is-layout-constrained wp-block-group-is-layout-constrained\">\n<p>Emma:<br />Welcome, everybody, to another exciting episode of <em>Do the Woo Biz Chat</em>, where we dive deep into the world of WooCommerce and everything that powers successful e-commerce businesses. We are, again, your hosts, Emma Young and Adam Weeks, and we are thrilled to have you here with us today. Hopefully, we can explore some exciting new trends, tips, tools, and anything to help elevate your site to new heights.</p>\n\n\n\n<p>Adam:<br />Thank you, thank you, thank you, Ms. Emma. Yes, that&#8217;s right. We are joined by Anthony Tran today. He&#8217;s the Marketing Director of Beaver Builder, one of the leading page builders in the WordPress ecosystem. He&#8217;s here to share his expertise on how page builders can revolutionize your WooCommerce site and enhance your customer experience. Anthony, welcome. We are so glad to have you here. We’ve met a few times, and it&#8217;s my pleasure to welcome you onto the show.</p>\n\n\n\n<p>Anthony:<br />Hey everyone, thanks for having me on the show.</p>\n\n\n\n<p>Adam:<br />It&#8217;s good to have you. Anthony, would you mind just sharing with us a little bit about your background, how long you&#8217;ve been at Beaver Builder, and what Beaver Builder is for those who may not know?</p>\n\n\n\n<p>Anthony:<br />Yeah, I&#8217;d be happy to. So I started my entrepreneurship journey in 2013. I left my corporate job and started a podcast. I was podcasting about digital marketing, and it evolved into creating my own WordPress web design agency. My wife and I were building websites using Beaver Builder in 2014, and that’s how we learned about it. After a couple of years doing the agency work, Beaver Builder was looking for a Marketing Director, and I thought, “Wow, this would be such an awesome opportunity with my marketing background using Beaver Builder.” I joined the team, I think, in 2019. So I&#8217;ve been with them for about five years, and it&#8217;s been a lot of fun. I’m happy to be here and happy to dive into WordPress, Beaver Builder, or wherever you want to take us.</p>\n\n\n\n<p>Emma:<br />That is the ultimate customer success story! You used it for a web agency, and now you&#8217;re the Director of Marketing. That&#8217;s awesome. Do you happen to know, by any chance, where the name Beaver Builder came from?</p>\n\n\n\n<p>Anthony:<br />Yeah, there’s a cool story behind it. Robbie has shared this on a mini-podcast, but basically, when they first created the business, it was called Fastline Page Builder. Not a great name, not great branding, but their agency was Fastline LLC, Fastline Media—sorry, Fastline Media. After their initial launch, it didn’t really take off at first. They had some customers who used it and liked the product, but they said, “Hey, maybe you can work on the brand name.” So Robbie and the guys had to brainstorm. They thought, “Let’s figure out what kind of animal builds something.” I think they came up with some really wacky names at first, like “Oh, spiders create webs,” and “Bees make hives.” One day, Robbie came into the office and said, “What do you think about Beaver Builder?” They all kind of chuckled about it; it was kind of goofy. Then they slept on it and thought, “I like it. It’s got a fun ring to it; it’s fun. It kind of has our personality, and we think it’d be fun. Let’s see what happens.” And of course, the name stuck, and it became what it is today.</p>\n\n\n\n<p>Adam:<br />Fantastic. It is memorable. I was at CloudFest in Germany, and we were talking to Robbie. I introduced him to the guy who started Groundhogg, and I was like, “We’ve got groundhogs and beaver builders. WordPress is full of quirky animals.” I wasn’t sure where we could go with that, but it didn’t go anywhere other than it being memorable. So, well done to Robbie for something that sticks in your brain. So, WooCommerce and page builders—what I wanted to pull out of this episode is this idea about where these two intersect, and I’m kind of curious about your take. How does someone know if a page builder is right for them or if it’s not for them if they’re starting a store? What’s your general sense? We’ll kind of start from a high level and then work our way down. From a high level, why would someone want a page builder, Beaver Builder being one of them, but there are a number of them out there. There’s Divi, and these different page builders. Why would someone want to use a page builder?</p>\n\n\n\n<p>Anthony:<br />Well, from a high level, page builders are great because if you’re looking to create a website and you maybe don’t know how to code, you’re not a developer, or you just don’t want to code, and you want to be able to easily drag and drop layouts on the front end of your WordPress website, then a page builder is perfect for you. I don’t know if you all remember back in 2013 how building WordPress websites was like—you would pick a theme, and you would get stuck with this certain layout. You could change the colors and fonts a little bit, and every time you adjusted something, you had to refresh your screen, open it up on the front end, and see what it looked like. Well, with page builders, it’s nice because you see everything, and it’s very intuitive, just drag and drop. So from a high level, I think page builders are great for anyone who wants to be able to build custom websites and have a lot of flexibility to do so.</p>\n\n\n\n<p>And as far as from a WooCommerce perspective, I think it works great. It’s just a perfect pairing, especially with Beaver Builder because WooCommerce out of the box is just a great solution for anyone who wants to create an e-commerce website with WordPress. Out of the box, you can have your shop, your cart, your checkout page, your product pages—those are all going to work out of the box. But what Beaver Builder and other page builders do is take it to the next level, where you can create custom layouts for your shop, custom layouts for your product page, your checkout page, your cart page. So all those shopping cart experiences can now be customized to match your brand and be consistent throughout your entire website. So that’s why I really like page builders with WooCommerce.</p>\n\n\n\n<p>Adam:<br />Nice. Excellent answer. Thank you.</p>\n\n\n\n<p>Emma:<br />It was really good. It was like all the questions that I wanted to ask as a follow-up were answered already. He’s good. I can see your podcast experience background. Maybe you can go into another thing, like an additional plugin that can help enhance all of these Beaver Builder features?</p>\n\n\n\n<p>Anthony:<br />Well, thank you for leading with that question or the follow-up question, because Beaver Themer is an add-on product that we have that actually allows you to create all those custom layouts with WooCommerce and Beaver Builder. The good news is—and I was actually going to tell you this later in the podcast—we are going to be including Beaver Themer in all of our pricing packages soon. So now people can get the power of Beaver Builder, Beaver Themer, and if they want to create WooCommerce websites, it’s all going to be in a nice package for you. You can use it and be able to create it. We also have a free video tutorial course on how to create e-commerce websites using all of our products with WooCommerce.</p>\n\n\n\n<p>Adam:<br />Nice. When you said &#8220;The Power of Beaver Builder,&#8221; there was like a He-Man, &#8220;The Power of Beaver Builder.&#8221;</p>\n\n\n\n<p>Anthony:<br />Well, Brent, our design lead, always likes to create these themed beavers, especially during Halloween. So I might have to give him that idea, say, “Hey, maybe this year we could do like a Thor Beaver.”</p>\n\n\n\n<p>Adam:<br />Yes, there you go.</p>\n\n\n\n<p>Anthony:<br />We’re even trying to get him to do a Batman Beaver, but he hasn’t gotten around to that yet.</p>\n\n\n\n<p>Adam:<br />Batman… a lot of alliteration going on there. Batman, Beaver Builder. Oh, very cool. Alright, so from a high level, there’s the customization that a page builder can bring you. What challenges might someone face—and this may be if you have any case studies or people that you’re thinking of—what type of challenges can someone run into as they’re building out their e-commerce site using Beaver Builder and WooCommerce? Are there things that you’ve seen, like, “Hey, these are the things you need to avoid,” or “You’re using Beaver Builder wrong”? Anything that you’ve seen that might be some of the challenges?</p>\n\n\n\n<p>Anthony:<br />Well, I think when anyone is using any kind of new tool or software, there’s always going to be some kind of learning curve. But I think what people can find confidence in using WooCommerce and Beaver Builder is that both of those products have been around for a very long time. Beaver Builder’s been around for over 10 years, so the product is very stable, very mature, and it’s not going to go anywhere. The same thing with WooCommerce. WooCommerce has been around since, I mean, probably since WordPress started back in 2009 or so. They’re very reliable. The good news is if you do have any questions, there are so many video tutorials, so many courses, so many YouTube videos about both of these products that you’re going to be able to find any answer to any question you might have. Yeah, there’s a learning curve, and you might run into some roadblocks, but you can simply Google</p>\n\n\n\n<p>and find the answer to whatever roadblock you have while you’re creating your e-commerce site.</p>\n\n\n\n<p>Emma:<br />Do you think there’s ever a case—or maybe you’ve seen an example—where a page builder was maybe not the right choice? Is there ever a situation like that?</p>\n\n\n\n<p>Anthony:<br />Yeah, I think if someone’s looking to create a basic online store and they already have a WordPress theme that they just really love and want to use, then that might be a good fit for them. They might say, “Hey, I already have a theme I like, or I have an existing site, and I just want to be able to plug in an e-commerce platform to add some products.” Then that’s perfect for them. They can install WooCommerce, use the default styles and settings, and they’re off and running with creating their e-commerce site. They don’t have to start over with a new page builder or a new website. So if they already have a preexisting site, or they just want to build something very simple, or they want to use a very specific theme, then maybe a page builder is not the right fit for them.</p>\n\n\n\n<p>Adam:<br />Got it. Sometimes when you run into the hardcore WordPress person who wrote the code themselves, I have seen this thing where page builders get a bad reputation, like “You don’t want to use a page builder.” What is the source of that angst that you may have seen out there?</p>\n\n\n\n<p>Anthony:<br />Well, just seeing how WordPress has evolved over the years, I think, like you said, some of those hardcore WordPress users may have been the people who were there from the very beginning and liked to hand-code WordPress themes and their websites. So maybe they feel like, “Hey, a page builder kind of takes away the fun of hand-coding things the way they’re used to.” So they might not have completely adopted the idea of a page builder, but I think if they’re open to exploring it, they’ll find that, man, it really speeds up their development time—the time it takes to build websites—and they still have the flexibility to add code if they want to. So that’s one of the nice things about Beaver Builder. It’s pretty much a no-code type of product, but it does allow you to custom code, add your own HTML, CSS, JavaScript, things like that.</p>\n\n\n\n<p>So you can do customization if you like to, but if you want to use a product out of the box without coding, you can. The other thing I will say is that there’s a lot of misconception when it comes to using page builders. People say, “Oh, it impacts speed or performance.” But there have been so many case studies that have been written online about people doing performance speed tests with page builders, including Beaver Builder, that have proven that page builders are actually very fast and are not the main cause of slow performance. When building a WordPress website, there are just so many factors that could impact speed, like slow web hosting services, if someone installs too many plugins, if people upload image files that are too large and haven’t been compressed, or if they’re not using other speed technology like caching tools and CDNs. I mean, there are so many other factors when it comes to speed and performance that I think people are being narrow-minded if they’re thinking that it’s just a page builder that’s slowing down their website.</p>\n\n\n\n<p>Emma:<br />Have you found that some of those hardcore WordPress users who like to do everything themselves from coding everything start to see the beauty of a page builder? And what was it, maybe, that ended up changing their minds?</p>\n\n\n\n<p>Anthony:<br />Yeah, I mean, we get testimonials and feedback reviews all the time from people who say the exact same thing—you know, they had that aha moment where they said, “I have been a diehard non-page builder person for many years. I’ve been hand-coding everything myself, and I’ve finally tried out Beaver Builder or other page builders, and wow, I’m blown away. This is amazing. I’ll never go back to hand-coding everything myself.” And that’s just a fun turnaround story that we love to hear because I don’t think people have to necessarily choose one way or the other. They can actually have a hybrid of both. You can still use page builders and can still custom code on page builders. So I don’t think people have to plant their flag and say, “I only choose one side or the other.”</p>\n\n\n\n<p>Adam:<br />I love how you go through testimonials and get to know your customers. Beaver Builder has an incredible community. You have a very active Slack, with a lot of people in there talking about Beaver Builder. I’m curious, is there anyone who stands out who used Beaver Builder in a surprising way? There’s this idea I have that you make a tool, and someone uses your tool in a way that the creator wasn’t expecting or beyond the general idea. Has anybody surprised you, like “Wow, you made that with Beaver Builder”? Anything that stands out?</p>\n\n\n\n<p>Anthony:<br />Wow, there have been so many great websites and examples to choose from. It’s kind of hard to pick, but what recently surprised me was that there have been a lot of college websites created using Beaver Builder—really very recognized institutions. If you Google &#8220;College Beaver Builder College Websites,&#8221; we wrote a blog post about, I think it was, 13 colleges that created their websites using Beaver Builder. I’m just going to name off a few examples, like Harvard, MIT, Berkeley, USC, University of Florida, UC— I mean, the list goes on. These are all really prominent schools. The nice thing is these colleges are actually teaching these students how to build websites using Beaver Builder. And I’ll give another example that I was recently a part of, which was 48in48—I’m not sure if you guys have heard of that.</p>\n\n\n\n<p>It’s a nonprofit organization that helps build websites for organizations that need websites. Basically, they ask for volunteers to build 48 free websites for organizations that need them, and they build them in 48 hours or less, and they’re all using Beaver Builder to create these websites. I got to be part of the judging panel to select the top three. It’s just fun. It’s just some recognition. But I was amazed to see some of these websites that are created—I mean, full five to ten-page websites for these organizations. And I was very impressed by the quality of work that was done. So it was cool just to see people using Beaver Builder in the real world.</p>\n\n\n\n<p>Emma:<br />That is so cool. I’m Googling 48in48 right now, and it makes me want to try it because I’ve just been trying to do a WooCommerce site on the side a couple of hours here and there. Now I’m like, “Alright, I’m going to go home—I’m at home—after this call. I’m going to go get Beaver Builder, sign up for it, and make 48 versions of it.” This is the coolest thing. I got goosebumps when you were telling me about this. This is really cool; it should get more attention. I like this.</p>\n\n\n\n<p>Anthony:<br />Yeah, we’re definitely trying to spread the word too. It’s just a great cause, and they’re always looking for volunteers. So if you want to help build websites or have any marketing skills that you want to volunteer, they’d be willing to have you help them. They always host this. I think every quarter, there’s a new event, so it’s really cool.</p>\n\n\n\n<p>Emma:<br />I just want to quickly circle back to the college websites. I’m also looking at that blog post right now that shows all of the images of it. So would you say—is there a niche or some type of topic that most Beaver Builder users tend to use it for, or does it kind of cover all different types of sites?</p>\n\n\n\n<p>Anthony:<br />We’ve seen it all. We’ve seen it all. I mean, obviously we’ve seen e-commerce sites with WooCommerce. We have college websites; we have blogs. I think Robbie even said there was a NASA website that was using Beaver Builder. I mean, there are just some really cool examples of websites. People build directory websites, membership sites. What else is there? Yeah, I’ve definitely seen a variety, even just simple landing pages. There are so many use cases, and it’s really neat to see a lot of people that use it. I mean, there have been over a million websites built with Beaver Builder, so there’s probably everything you can imagine that’s been built with Beaver Builder.</p>\n\n\n\n<p>Adam:<br />That’s amazing. A million! There are a number of brands in WordPress that have a following, and I would say Beaver Builder is one of them. Sometimes there’s this tongue-in-cheek idea of your company needing fans and raving fans and how to get them. I would say that Beaver Builder actually does have fans, and it is exciting to see that. And I think your commitment to some of these projects where, “Hey, we’re going to give back; we’re going to do this 48in48,” things like that are spectacular. Alright, shifting gears a little bit, because Bob keeps bugging Emma and me that we’ve got to get our numbers up. SEO for this podcast—Bob keeps bugging us, so I’ve got to use the word AI a few more times, apparently. I’m kidding; Bob doesn’t say that. But that is one of the transformational things of technology in this industry. Nothing is going to be left untouched by AI in some way. I’m curious if Beaver Builder has any plans if anything’s happening in that area. Yeah. What’s your take on page builders and how page builders will relate to AI now and going forward?</p>\n\n\n\n<p>Anthony:<br />Yes,</p>\n\n\n\n<p>AI is definitely moving very fast, I will say. And it’s exciting. It’s like the internet before the internet became what it is today, and I think that’s why people are so excited. There’s this new technology; they’re all trying to figure out how to apply it to their business, and the potential is limitless. The evolution in the last year or two has just been mind-boggling. Every time there’s a new announcement from OpenAI or Google or Facebook about something using AI, I’m just like, “Wow, it’s amazing.” So anyways, as far as when it comes to building websites, I’ve already seen a lot of technology and products and software that have been created to help web creators build websites using AI. For example, I’ve seen AI that can help create sitemaps. Obviously, they can write content, create stock images, spin up layouts, provide brand colors, and create logos for you.</p>\n\n\n\n<p>A lot of these are separate products, and I think where page builder companies will evolve to is they’ll find ways to integrate some of these special features or product capabilities into the page builder, which will eventually give someone more of an all-in-one solution for their customers. So that’s something that we’ve been exploring for our product as well. It’s like, “Okay, we want to continue to evolve our product. We want to give value to our customers, but we also don’t want to…” A lot of big concerns for page builders are that people say, “Oh, we don’t want page builders to have too much bloat.” So there’s a balancing act. We want to add more features, but it’s still got to be lightweight. It’s still got to not impact performance. We want to give all these AI integrations, but is it necessary? Are there other products or tools that are already doing it better that people can just rely on versus us trying to give a different version of it? So there’s definitely a lot of discussion on where AI fits into our business model. But yeah, it’s definitely something that we’re keeping a pulse on, and it’ll be interesting to see how we find ways to use it.</p>\n\n\n\n<p>Emma:<br />Very cool. Thank you. That’s a very nice segue into whether there are any sneak peeks or exciting things happening that you can let us know about over at Beaver Builder. Maybe AI-related, but maybe not.</p>\n\n\n\n<p>Anthony:<br />Yeah, we actually have a lot of projects in development. We used to be, I guess, a little bit behind closed doors. A lot of times, we didn’t want the secret to come out too early, but now we’re trying to be more transparent, more open about what projects we’re working on. Justin Busa, the co-founder of Beaver Builder, actually wrote two blog posts recently about upcoming features and product development that they’re working on, and we’ve actually published them. We shared them, and if you check out those blog posts, we have screenshots, video clips, and examples of what that new technology is going to look like. And what we found is that being more transparent and letting people know what’s coming ahead has actually been a good thing. It’s created a lot of buzz; people are really excited about it. It’s something for people to look forward to. And it just shows that we’re continuing to grow. We’re definitely not stagnant. We’re continuing to add more to our product, continue to improve our product for our customers, and we’re listening to their feedback because a lot of the ideas that we’re implementing came from their feedback and their suggestions.</p>\n\n\n\n<p>Emma:<br />Nice. I love to hear stuff like that—giving clients exactly what they want and a solution to their problems. Actually, those are Adam’s words. I think he drops that at least once in every podcast, but I got him this time. Here you go.</p>\n\n\n\n<p>Adam:<br />Alright, so the name of this podcast is <em>Woo Biz Chat.</em> So, business—a lot of people listening to this have a business in WordPress and WooCommerce. Recently, you all made the decision to update pricing. Pricing is one of those topics that business owners in WordPress, and really in most any business, struggle with. How do we price this product? What are the repercussions of pricing? We know why we change pricing—it’s for profit and different reasons—but I recognize that. If you could maybe take us back behind the curtain a little bit and share with us—so Beaver Builder has updated its pricing. Can you walk us through the thought process, the steps you took to get to where you are today, and some of the things that might’ve made you nervous and how you decided to go forward? I’d love to just hear your thinking on pricing and price changes.</p>\n\n\n\n<p>Anthony:<br />Yeah, this is actually a really good discussion because we just published a blog post last week announcing our upcoming pricing changes that are going to happen in September. Now, before I even dive into that, I just want to let you know that if any existing Beaver Builder customers have a subscription, this does not impact them in any way. Their subscription, their plans, will all remain the same. They do not have to worry.</p>\n\n\n\n<p>Adam:<br />Yeah, that’s a choice right there. That’s part of a philosophy—is that we’re going to grandfather people, and we’re going to keep the people who are on our current plan the same. Okay, this is interesting. Yeah, I want to hear more.</p>\n\n\n\n<p>Anthony:<br />Yeah. So Beaver Builder hasn’t changed its pricing for over 10 years.</p>\n\n\n\n<p>Adam:<br />Oh, wow. Okay.</p>\n\n\n\n<p>Anthony:<br />And of course, over those 10 years, the costs of things have gone up and have changed. But we struggled with changing our pricing because we care about our customers and we didn’t want to interrupt their current pricing models at any time. And so, when we did go through this process, we always thought of them first. These are our legacy customers. Some of these customers have been around for 5, 7, 8, 10 years, and we really wanted to, I guess, reward them for being loyal to us by not interrupting their pricing. We’re going to keep it all the same. So that was number one. It was rule number one—we do not mess with legacy customers’ pricing subscriptions. These changes are only impacting new customers. But we also didn’t want to go with the “Hey, we’re just going to raise prices to raise prices.” That just doesn’t feel good either. We’re really about the people.</p>\n\n\n\n<p>So we said, “How can we add more value to our new customer base?” And one of the pieces of feedback that we got over the years was, “Hey, can you include Beaver Themer in all your pricing plans?” Now, when Beaver Themer came out in 2017, it was a new thing. Theme builders were not around. So Beaver Themer was one of the first to do it, or if not the first to do it. And so it was a new revolutionary product. So of course, we felt like, “Hey, this new product—we want to be able to provide it as an add-on subscription. If people want to use it, they can purchase it. If not, Beaver Builder as it is works great.” But over the years, as we got more competitors, our competitors started building theme builders into their pricing plans.</p>\n\n\n\n<p>So we said, “Okay, we want to be competitive with our competitors, so we’re going to include Beaver Themer in all our new pricing plans. We’re going to include the WordPress Beaver Builder theme in all of our pricing plans, and we’re going to change our lowest pricing package from $99 to $89.” So it lowers the barrier to entry for any new customer that just wants to build one website. They’ll get all of our products—the page builder, the theme, and Beaver Themer for only $89, which I think makes us very competitive. Then some of our other pricing plans, like our highest tier plan, our unlimited plan, is actually still the same. So not only did we lower our lowest price, we kept our highest price the same, and then our middle tiers are just slightly higher, but they include everything. They include Beaver Themer. So we really said, “Hey, how can we balance providing value and still make us competitive in the market?”</p>\n\n\n\n<p>And then the only main differentiator from our legacy users is that before, all of our plans in our legacy packages were unlimited. Now we have some site limitations. So our middle tier has a 50-site limit, our highest tier is unlimited, and our lowest tier is one site. But here’s the thing—we took it one step further. We didn’t just throw out any random number. We did a lot of digging into our analytics and did a case study of all of our customers out there—how many sites each subscription had, how many websites they built, and all these things in different pricing packages. We ran the numbers and said, “Okay, if we were to make this change, would it drastically impact our customers or any of our new customers?” And the answer is no. So we found a really nice balance where it’s like, we’re going to give you more value, and yeah, we’re going to give you slight limitations, but 90% of you are not even going to be impacted even if you change to the new plans. But if you stay with the old ones, you’re still going to be okay. It was a very well-thought-out process. I’m very proud of the team. It took us months to really come to where we are today. Even then, before pulling the trigger, we announced it to our Facebook group just to get some initial feedback to see if anyone brought up any things that we didn’t think of that we might need to adjust.</p>\n\n\n\n<p>Luckily, it’s been really well-received, so we’re very excited to push it out.</p>\n\n\n\n<p>Adam:<br />Nice. Congratulations on that. It sounds like it was something that you had to think through a lot. There were a lot of questions on, “Are we doing this the right way?” And it wasn’t just, “We need more money—raise prices.” It was done the Beaver Builder way, where you guys think through things and care a lot about your community. So well done there. But you say it’s not actually until September that this is going live?</p>\n\n\n\n<p>Anthony:<br />Yes. Yeah. September, I believe it’s September 10th or 11th, somewhere around that range, is when we’re going live. And yeah, I will definitely say that we really wanted to focus on our customers, our community, and we did not want to upset them in any way. And that’s the one thing we definitely led with—this new plan does not impact you if you’re not changing your subscription. Legacy users, you’re still good.</p>\n\n\n\n<p>Adam:<br />There you go. So if you are listening to this podcast before September 10th, hurry up and go get your— but if you’re already a Beaver Builder user, you’re fine.</p>\n\n\n\n<p>Emma:<br />But that’s actually great advice for all the listeners out there who have pricing plans on their sites—the thought process and all of the data analysis that you guys put into deciding when to do the change and how to do the change and what the price is like. That’s something that we hopefully can adapt into our own business models, however big or small your personal Woo business is. But that leads me into another question. Let’s say somebody jumps on this before the pricing change or after—it doesn’t matter—and they’re considering trying out Beaver Builder. Maybe they’re a first-timer for building a site in general. What kind of things should they focus on to get the most out of this tool? Is there a right or wrong way to build a website? Is there a logical way? It can be maybe something you recommend from experience, but yeah, what would be something that you would advise to someone using it for the first time?</p>\n\n\n\n<p>Anthony:<br />Well, if you’re interested in Beaver Builder, I would say there are a couple of opportunities to try it for free. Number one, we have Beaver Builder Lite, which is our free version. We’ve added some more to it, by the way, recently. And there’s also a free live demo on our website where you can actually click, and it’ll spin up a demo website, and you can literally drag and drop the modules and see how it works. So there are definitely some free versions that you can use to try it before you buy it. The other thing is we have free courses, as I mentioned, not only published on our YouTube channel, but they’re also available on our website. We don’t try to sell you anything. We just have you log in, and you can watch the video tutorials. You can watch video tutorials on how to use the product.</p>\n\n\n\n<p>We even have a course that walks you from beginning to end on how to build a website, and you watch—we call it Follow Along—where you just follow us building the website, and we give you all the design files. That’s another way to do it as well. And gosh, like I said, there are just so many resources out there. There was a gentleman named Joshua Long—I’m just going to give him a shout-out. He just created a course recently on webdesigntrainer.com, where it’s a beginning-to-end, soup-to-nuts course on how to build a website using Beaver Builder. It’s very well created. I want to give him a shout-out. Also, WP101 has created a course on how to use basic WordPress. Their video tutorials are great, but they also have some course content regarding Beaver Builder. So yeah, there are a lot of different ways to learn about Beaver Builder, learn about WordPress, and learn how to use WooCommerce too. So hopefully, don’t be scared—just jump in, take it a little bit at a time, day by day, and you’ll be surprised at what you can create in a couple of days.</p>\n\n\n\n<p>Adam:<br />Yeah, I was very impressed. I Googled WooCommerce and Beaver Builder, and Will Morris wrote a really in-depth article—just step-by-step—on how to build a WooCommerce site using Beaver Builder. And it is just a very well-done tutorial with videos. I think that type of attention to detail is one of the reasons why Beaver Builder is so popular. I think Elementor—and no shade to them at all, they’re great people over there—but one thing about Beaver Builder is that it feels to me like it’s the page builder for the people who know… just, it kind of has that feeling to me. And one thing I liked is that in that article, someone asked a question, and you were the first person to answer it. There was another one back in 2021. This article has been updated. And so you personally hopped in and answered a question. I think that just goes to who Beaver Builder is and what you guys really stand for.</p>\n\n\n\n<p>Anthony:<br />Thank you. Yeah, we’re definitely for the people. We try to be personable. And actually, we’re going to be at WordCamp US. So if you are in Portland this year, feel free to say hi to us. The founders are going to be there—Billy, Robbie, Justin, and I. So yeah, make sure you come and say hi. We’ll have a booth out there too.</p>\n\n\n\n<p>Adam:<br />Very cool. Yeah, I was just going to ask—so if anybody wants to get to know Beaver Builder, WordCamp US is where you should be.</p>\n\n\n\n<p>Emma:<br />Yeah. Hopefully with a beaver holding a Thor hammer.</p>\n\n\n\n<p>Adam:<br />I have high expectations.</p>\n\n\n\n<p>Emma:<br />But yeah, WordCamp US is just around the corner, so if you have more personal questions to ask Anthony or his colleagues, go find him at his booth, wherever that may be in the large conference hall. But is there maybe something that we didn’t ask you that you wanted to talk about related to Beaver Builder, WordPress, or a Woo site? Or it can be completely unrelated as well. We’re always down with that. Maybe something we forgot.</p>\n\n\n\n<p>Anthony:<br />Well, I guess I’ll just leave with this. One of the great things about WordPress I’ve found is the community. Whatever product or products you use within WordPress, I think we all just look at it as a big ecosystem. We’re all one big family, especially when you notice it when we go to WordCamps, the WordPress meetups, local meetups, and of course the big conferences—WordCamp US, WordCamp Europe, Asia, etc. There’s just this really amazing community where we’re all just friends, and we all geek out about the same thing. It’s just fun to be able to hang out with like-minded people. So I would say if you haven’t gone to one of these live events, please do. It’s a lot of fun, and a lot of people put a lot of work into hosting these events. So make a trip, and hopefully, we’ll meet you all there.</p>\n\n\n\n<p>Adam:<br />Fantastic. Well, Anthony, thank you so much for supporting the WordPress community by attending these events. And again, yeah, stop by and meet Anthony and the good people of Beaver Builder at a WordCamp near you. Thank you for this time. This has been another episode of <em>Biz Chat.</em> You can find us wherever you find a podcast. Please share this podcast with people that you care about. If you don’t care about them, don’t share it with them. But if you do care about people, you should share this podcast because you’ll get to meet amazing people like Anthony and learn about the companies in WordPress that are doing the work, such as Beaver Builder. And with that, thank you so much. I hope you guys have a great rest of your day.</p>\n</div>\n\n\n\n\n<p>In this episode of <em><strong>Woo BizChat</strong></em>, hosts <strong>Emma Young</strong> and <strong>Adam Weeks</strong> chat with <strong>Anthony Tran, Marketing Director of Beaver Builder</strong>, to explore the intersection of WooCommerce and page builders. </p>\n\n\n\n<p>Anthony shares his journey from a WordPress web design agency owner to leading the marketing efforts at one of the most popular page builders in the WordPress ecosystem. They talk about the benefits of using page builders like Beaver Builder for creating customized, flexible e-commerce sites, the evolution of page builders in the WordPress community, and the exciting developments on the horizon, including AI integration and upcoming features. </p>\n\n\n\n<h2 class=\"wp-block-heading\">Takeaways</h2>\n\n\n\n<p><strong>The Power of Page Builders</strong>: Page builders like Beaver Builder offer a user-friendly way to create custom, flexible websites without needing to code. They are beneficial for WooCommerce users looking to enhance their online stores with personalized layouts and consistent branding across their site.</p>\n\n\n\n<p><strong>Beaver Builder’s Origin Story</strong>: The name &#8220;Beaver Builder&#8221; was chosen for its fun and memorable branding, which has since become a cornerstone of its identity in the WordPress community.</p>\n\n\n\n<p><strong>Customer Success and Community</strong>: Anthony Tran’s journey from a user of Beaver Builder to its Marketing Director highlights the company’s strong community focus. Beaver Builder has cultivated a loyal following, evidenced by testimonials and its active community, including contributions to initiatives like 48in48.</p>\n\n\n\n<p><strong>Challenges and Misconceptions</strong>: While some hardcore WordPress users may initially resist using page builders due to a preference for hand-coding, many have found that page builders significantly speed up development time without sacrificing flexibility. Misconceptions about page builders impacting site speed are often unfounded, as many other factors influence performance.</p>\n\n\n\n<p><strong>AI and the Future of Page Builders</strong>: Beaver Builder is keeping a close eye on AI developments and exploring how AI can be integrated into its offerings to enhance the user experience, while maintaining the product&#8217;s lightweight and efficient performance.</p>\n\n\n\n<p><strong>Upcoming Features and Pricing Changes</strong>: Beaver Builder is continuously evolving, with new features and integrations on the horizon. The company is also adjusting its pricing for new customers, including the addition of Beaver Themer in all pricing plans, while ensuring that existing customers’ plans remain unchanged.</p>\n\n\n\n<p><strong>Educational Resources</strong>: For new users, Beaver Builder offers a variety of free resources, including tutorials, courses, and live demos, to help them get the most out of the tool and build their sites with confidence.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Links</h3>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong><a href=\"https://www.linkedin.com/in/anthonytranmba/\">Anthony on LinkedIn</a></strong></li>\n\n\n\n<li><strong><a href=\"https://www.wpbeaverbuilder.com/\">Beaver Builder</a></strong></li>\n\n\n\n<li><strong><a href=\"https://www.wpbeaverbuilder.com/blog/\">Beaver Builder Blog</a></strong></li>\n\n\n\n<li><strong><a href=\"https://48in48.org/\">48in48</a></strong></li>\n\n\n\n<li><strong><a href=\"https://webdesigntrainer.com/\">Web Design Trainer by Joshua Long</a></strong></li>\n\n\n\n<li><strong><a href=\"https://www.wpbeaverbuilder.com/woocommerce-page-builder/\">Will Morris’s Article on WooCommerce and Beaver Builder</a></strong></li>\n</ul>\n\n\n\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 27 Aug 2024 09:46:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"Do The Woo Community: Recap of Do the Woo 4.0 Launch and WordPress dot com Post\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=84450\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://dothewoo.io/blog/recap-of-do-the-woo-4-0-launch-and-wordpress-dot-com-post/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1843:\"<p>As you know, during the week of WordCamp Europe 2024 last month, June 10 &#8211; 15, we led up to our huge launch of 4.0 at the event. A lot of content was pushed out, plus a so many conversations at WCEU about the launch. If you happened to miss any of it, here are the links to the episodes.</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>June 10: <strong><a href=\"https://dothewoo.io/do-the-woo-4-0-this-week-at-wordcamp-europe/\">Do the Woo 4.0, This Week at WordCamp Europe</a></strong></li>\n\n\n\n<li>June 11: <strong><a href=\"https://dothewoo.io/a-new-show-scaling-enterprise-wordpress-and-oss/\">A New Show, Scaling Enterprise, WordPress and OSS</a></strong></li>\n\n\n\n<li>June 12: <a href=\"https://dothewoo.io/a-pre-launch-chat-with-jay-walsh-at-woocommerce/\"><strong>A Pre-Launch Chat with Jay Walsh at WooCommerce</strong></a></li>\n\n\n\n<li>June 13: <strong><a href=\"https://dothewoo.io/thinking-about-our-launch-on-wceu-contributor-day/\">Thinking About Our Launch on WCEU Contributor Day</a></strong></li>\n\n\n\n<li>June 14: <strong><a href=\"https://dothewoo.io/do-the-woo-podcast-channel-4-0-official-launch/\">Do the Woo Podcast Channel 4.0 Official Launch</a></strong></li>\n\n\n\n<li>June 15: <strong><a href=\"https://dothewoo.io/learn-about-all-the-shows-on-the-do-the-woo-podcast-channel/\">Learn About All the Shows on the Do the Woo Podcast Channel</a></strong></li>\n</ul>\n\n\n\n<p>Also, BobWP published a guest post on WordPress.com about the launch and partnership with WordPress.com, Woo and Jetpack.</p>\n\n\n\n<p><strong><a href=\"https://wordpress.com/blog/2024/06/14/partner-spotlight-do-the-woo-4-0/\">WordPress.com Partner Spotlight: Do the Woo&nbsp;4.0</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/press-release-do-the-woo-4-0-launches-at-wordcamp-europe/\">And if you missed our press release, check that out here.</a></strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"Do The Woo Community: Tips for the One-Person Shop WordPress Plugin Builder\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=7127\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://dothewoo.io/blog/tips-for-the-single-wordpress-plugin-builder/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5313:\"<p>In an <strong><a href=\"https://dothewoo.io/running-a-wordpress-plugin-business-single-handedly-with-mark-westguard/\">episode on Do the Woo</a></strong>, Mark Westguard from WS Form talked about his journey and what it means to run a successful plugin shop single-handedly.</p>\n\n\n\n<p>Here are 12 tips taken from that episode.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-community-involvement\">Community Involvement</h3>\n\n\n\n<p>Engage with the WordPress community by attending events like WordCamps, and consider sponsoring these events to build a network and gain support from other developers and users.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-documentation\">Documentation</h3>\n\n\n\n<p>Develop a comprehensive knowledge base for your plugin. Write articles for frequently asked questions to reduce support requests and provide instant answers to users.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-customer-driven-development\">Customer-Driven Development</h3>\n\n\n\n<p>Focus on customer feedback to guide the development of new features. Use a feature request page where users can submit and vote on new ideas.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-support-automation\">Support Automation</h3>\n\n\n\n<p>Automate support as much as possible. Use tools to recommend knowledge base articles based on user queries and streamline the support process.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-efficient-time-management\">Efficient Time Management</h3>\n\n\n\n<p>Prioritize tasks by balancing between reactive updates (e.g., API changes) and proactive development of new features based on customer demand and potential business impact.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-collaborate-with-third-parties\">Collaborate with Third Parties</h3>\n\n\n\n<p>Work with third-party developers and services to extend the functionality of your plugin. This helps in managing integrations and keeping your plugin up-to-date.</p>\n\n\n\n<div class=\"wp-block-group has-border-color has-light-gray-background-color has-background has-small-font-size has-global-padding is-layout-constrained wp-container-core-group-is-layout-135 wp-block-group-is-layout-constrained\">\n<p class=\"has-secondary-color has-text-color has-link-color wp-elements-f0a1ab971f9dce87252b162a11a595d4\">Thanks to our sponsor&#8230;</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-134 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-31 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-core-group-is-layout-133 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group has-base-background-color has-background wp-container-content-61 has-global-padding is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-132 wp-block-group-is-layout-constrained\">\n<img width=\"500\" height=\"500\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/11/Weglot-square.jpg?resize=500%2C500&ssl=1\" alt=\"\" class=\"wp-image-80104\" />\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"wp-container-content-62\"><a href=\"https://www.weglot.com/blog/weglot-woocommerce-partner\"><strong>Weglot</strong> is now an official partner with WooCommerce</a>. That means going multilingual is even easier. You can now find their integration live on the <strong>WooCommerce marketplace!</strong></p>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-profitability-focus\">Profitability Focus</h3>\n\n\n\n<p>Maintain a high level of profitability by being cautious about hiring. Consider hiring only when the workload becomes unmanageable and impacts personal life significantly.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-multi-function-roles\">Multi-Function Roles</h3>\n\n\n\n<p>When hiring, look for individuals who can handle multiple roles, including support, development, and representation at events, to maximize efficiency and reduce costs.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-self-service-tools\">Self-Service Tools</h3>\n\n\n\n<p>Develop tools that allow users to solve their problems without contacting support. This includes automated responses and a robust support form that guides users to the right resources.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-selective-feature-development\">Selective Feature Development</h3>\n\n\n\n<p>Not all feature requests should be built. Focus on those that benefit a broader audience and align with your plugins primary use cases. Niche or highly specific requests can often be handled through custom code or third-party services.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-marketing-and-visibility\">Marketing and Visibility</h3>\n\n\n\n<p>Actively market your plugin by demonstrating its capabilities and forming relationships within the WordPress community. Participate in podcasts, write articles, and engage on social media.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-balance-work-and-personal-life\">Balance Work and Personal Life</h3>\n\n\n\n<p>Ensure your work does not negatively impact your personal life. Be mindful of your working hours and make adjustments when necessary to maintain a healthy work-life balance.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"Do The Woo Community: Press Release: Do the Woo 4.0 Launches at WordCamp Europe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=7063\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://dothewoo.io/blog/press-release-do-the-woo-4-0-launches-at-wordcamp-europe/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5714:\"<p><strong>For Immediate Release</strong></p>\n\n\n\n<p><strong>Do the Woo 4.0 Official Launch: Elevating Voices in the WordPress Community</strong></p>\n\n\n\n<p>WordCamp Europe, June 9, 2024 — We are thrilled to announce the official launch of Do the Woo 4.0, marking a significant milestone in our journey to build a vibrant community for WordPress and WooCommerce builders and businesses. This launch coincides with the first day of WordCamp Europe.</p>\n\n\n\n<p>Since 2018, Do the Woo has evolved through continuously, growing both in content and community engagement. The decision to move Do the Woo to its own site in late 2022 was the first major step for the future. As we entered 2023, our mission began to extend beyond WooCommerce to encompass the broader WordPress ecosystem. The idea was simple: elevate voices and create a podcast by the community, for the community.</p>\n\n\n\n<p>At the beginning of 2023, planning for the new started and in October, we solidified our efforts, with the goal of showcasing the diverse range of the Do the Woo podcast channel with our shows. With significant support from WordPress.com, this vision became a reality, culminating in a redesigned site that went live in March.&nbsp;</p>\n\n\n\n<p>This week, we start our prelaunch. The official launch will be on June 13, 2024, when we will proudly unveil the fully developed Do the Woo 4.0.</p>\n\n\n\n<p><strong>Key Features of Do the Woo 4.0</strong></p>\n\n\n\n<p><strong>Comprehensive Podcast Lineup:</strong>&nbsp;</p>\n\n\n\n<p>With the official launch, we now have a total of <a href=\"https://dothewoo.io/our-shows/\">12 shows</a> and <a href=\"https://dothewoo.io/about-the-woocommerce-builder-community/\">26 hosts</a>, including our latest addition focused on <a href=\"https://dothewoo.io/podcasts/scaling-enterprise-wordpress-and-open-source-software/\">enterprise WordPress and open-source software (OSS)</a>. <a href=\"https://dothewoo.io/our-shows/\">Each show has its own dedicated page</a>, allowing listeners to learn about the series, explore past episodes, and subscribe to their favorite content.</p>\n\n\n\n<p><strong>Enhanced User Experience:</strong>&nbsp;</p>\n\n\n\n<p>Our top priority was to provide an easy way for listeners to subscribe to the shows they want. They can subscribe to individual shows or opt for the full Do the Woo feed if they want to stay updated on all content.</p>\n\n\n\n<p><strong>Global Community Representation:&nbsp;</strong></p>\n\n\n\n<p>The <a href=\"https://dothewoo.io/about-the-woocommerce-builder-community/\">About page</a> features a dynamic map showcasing our hosts, sponsors, and guests from around the world. This interactive feature highlights the global reach and diverse backgrounds of our contributors.</p>\n\n\n\n<p><strong>Support for Hosts</strong>:&nbsp;</p>\n\n\n\n<p>We’ve introduced a <a href=\"https://dothewoo.io/support/\">new support option</a> on our site, allowing listeners to support specific shows and their volunteer hosts. This initiative aims to sustain the high-quality content produced by our dedicated team and support them in their travels and contributions to the community.</p>\n\n\n\n<p><strong>Special Acknowledgments</strong></p>\n\n\n\n<p><strong>Partners:</strong>&nbsp;</p>\n\n\n\n<p>We extend our heartfelt thanks to WordPress.com, WooCommerce, and Jetpack for their unwavering belief in our community and the incredible support they have provided.</p>\n\n\n\n<p><strong>Sponsors:</strong>&nbsp;</p>\n\n\n\n<p>Do the Woo&#8217;s existence and growth are made possible by our sponsors. We express our deepest gratitude to our current sponsors: Airwallex, Avalara, Cloudways, GoDaddy, Hostinger, Omnisend, and Weglot. Their commitment to our community is invaluable.</p>\n\n\n\n<p><strong>Podcast episodes for the launch week scheduled to go out</strong></p>\n\n\n\n<p>June 10: <strong><a href=\"https://dothewoo.io/do-the-woo-4-0-this-week-at-wordcamp-europe/\">Do the Woo 4.0, This Week at WordCamp Europe</a></strong></p>\n\n\n\n<p>June 11: <strong><a href=\"https://dothewoo.io/a-new-show-scaling-enterprise-wordpress-and-oss/\">A New Show, Scaling Enterprise, WordPress and OSS</a></strong></p>\n\n\n\n<p>June 12: <a href=\"https://dothewoo.io/a-pre-launch-chat-with-jay-walsh-at-woocommerce/\"><strong>A Pre-Launch Chat with Jay Walsh at WooCommerce</strong></a></p>\n\n\n\n<p>June 13: <strong><a href=\"https://dothewoo.io/thinking-about-our-launch-on-wceu-contributor-day/\">Thinking About Our Launch on WCEU Contributor Day</a></strong></p>\n\n\n\n<p>June 14: <strong><a href=\"https://dothewoo.io/do-the-woo-podcast-channel-4-0-official-launch/\">Do the Woo Podcast Channel 4.0 Official Launch</a></strong></p>\n\n\n\n<p>June 15: <strong><a href=\"https://dothewoo.io/learn-about-all-the-shows-on-the-do-the-woo-podcast-channel/\">Learn About All the Shows on the Do the Woo Podcast Channel</a></strong></p>\n\n\n\n<p><strong>Join Us</strong></p>\n\n\n\n<p>We invite you to explore the new Do the Woo 4.0 at <a href=\"http://DotheWoo.io\">DotheWoo.io</a>. Whether you are a developer, a business owner, or simply a WordPress enthusiast, there is something for everyone. Take a moment to browse through the site, subscribe to your favorite shows, and consider supporting our hosts.</p>\n\n\n\n<p>For more information, to be featured on a podcast, or to discuss sponsorship opportunities, please contact BobWP directly. We have exciting plans ahead and look forward to sharing them with you.</p>\n\n\n\n<p><strong>Contact:</strong></p>\n\n\n\n<p>BobWP</p>\n\n\n\n<p>Email: info@dothewoo.io</p>\n\n\n\n<p>Website: <a href=\"https://dothewoo.io\">https://dothewoo.io</a></p>\n\n\n\n<p>Thank you for being part of our community and for your continued support. We can&#8217;t wait to see where this journey takes us next.</p>\n\n\n\n<p>###</p>\n\n\n\n<p>End of Press Release</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"Do The Woo Community: 12 Public Relation Tips for WordPress and WooCommerce Businesses\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6707\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"https://dothewoo.io/blog/12-public-relation-tips-for-wordpress-and-woocommerce-businesses/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3590:\"<p>In a recent <a href=\"https://dothewoo.io/adding-public-relations-to-your-wordpress-or-woo-biz-stack/\"><strong>Woo BizChat</strong></a>, hosts Emma and Adam talked about the benefits of PR for WordPress specific businesses. Adam is a PR specialist that is founder of <strong><a href=\"https://cirrusinfluence.com/\">Cirrus Influence</a></strong>.</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong>Start with the why:</strong> Before starting a PR campaign or diving into networking events like WordCamps, clarify the purpose and objectives behind your efforts. Understanding the &#8220;why&#8221; will guide your actions and decisions.</li>\n\n\n\n<li><strong>Identify your tribe:</strong> Find the communities or groups where your target audience is active and engage with them. Building relationships within these communities can provide invaluable support and opportunities for collaboration.</li>\n\n\n\n<li><strong>Be bold and persistent:</strong> Don&#8217;t be afraid to reach out to potential partners or event organizers. Even if you receive a &#8220;no&#8221; initially, don&#8217;t be discouraged. Seek constructive feedback and consider alternative approaches for future endeavors.</li>\n\n\n\n<li><strong>Develop your expertise:</strong> Continuously work on improving and sharing your knowledge and expertise. Consider giving talks at local meetups or WordCamps to establish yourself as an industry expert.</li>\n\n\n\n<li><strong>Practice public speaking:</strong> Engage in activities like Toastmasters to improve your public speaking skills. Confidence in presenting your ideas is crucial for effective communication and networking.</li>\n\n\n\n<li><strong>Embrace confidence:</strong> Confidence doesn&#8217;t come from external validation. You have to believe in yourself and your capabilities. Take the initiative and recognize your own potential.</li>\n\n\n\n<li><strong>Avoid hard-selling tactics:</strong> When participating in events or engaging with potential customers, focus on building relationships rather than pushing sales. Provide value and focus on becoming a trusted resource for your audience.</li>\n\n\n\n<li><strong>Keep track of data and feedback:</strong> Gather data and feedback from your PR activities to assess what is working and what needs improvement. Data points, whether positive or negative, provide insights for refining your PR strategies.</li>\n\n\n\n<li><strong>Engage in the margin:</strong> Allocate resources and opportunities for creative marketing initiatives. Having some margin allows you to experiment with brand-building activities and sustain long-term growth.</li>\n\n\n\n<li><strong>Utilize WordCamps as relationship building:</strong> Attend and sponsor WordCamps with the intention of building relationships rather than solely emphasizing direct sales. Use these events to connect with the WordPress community and establish your brand identity.</li>\n\n\n\n<li><strong>Don&#8217;t wait for confidence:</strong> Confidence is an internal decision. Don&#8217;t wait for external validation or a sudden surge of belief in your abilities. Take charge of your confidence and trust in your potential to make things happen.</li>\n\n\n\n<li><strong>Seek encouragement within:</strong> Ultimately, the motivation and encouragement you need comes from within. Don&#8217;t rely solely on external sources for validation. Embrace self-encouragement and belief in your journey.</li>\n</ul>\n\n\n\n<p>Listen to the full episode here: <a href=\"https://dothewoo.io/adding-public-relations-to-your-wordpress-or-woo-biz-stack/\">Adding Public Relations to Your WordPress or Woo Biz Stack</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Do The Woo Community: 10 Ways to Boost Your WordPress Affiliate Program\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6726\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://dothewoo.io/blog/10-ways-to-boost-your-wordpress-affiliate-program/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3224:\"<p>Creating and running an affiliate program for your WordPress products or services can be overwhelming and challenging. Alex Standiford is asking everyone to rethink affiliate programs. Here are 10 ideas that may spark something new in your affiliate program.</p>\n\n\n\n<ol class=\"wp-block-list\">\n<li><strong>Consider Diverse Performance-Based Programs</strong>: Look beyond traditional affiliate models and consider partnerships that offer payouts based on specific performance metrics, such as driving traffic, customer satisfaction, or content engagement, in addition to sales.</li>\n\n\n\n<li><strong>Focus on Quality Over Quantity</strong>: Rather than targeting a large number of affiliates, aim to work closely with a smaller group of committed affiliates who are aligned with your brand and have the potential for significant conversions.</li>\n\n\n\n<li><strong>Develop Personalized Partnerships</strong>: Foster stronger relationships with affiliates by providing personalized support, workflow insights, and one-on-one consultations to maximize their success.</li>\n\n\n\n<li><strong>Explore Profit Margin-based Payouts</strong>: Determine payout percentages based on your profit margins, ensuring that the compensation aligns with the value brought in by affiliates.</li>\n\n\n\n<li><strong>Emphasize Collaboration Among Affiliates</strong>: Allow for multiple affiliates to earn credit for the same sale, encouraging collaboration and teamwork among the affiliates rather than fostering competition.</li>\n\n\n\n<li><strong>Evaluate the Long-term Commitment of Affiliates</strong>: Understand the level of commitment required for your products or services, especially for items with significant user loyalty, such as recurring payment services, and consider tailored affiliate approaches for each category.</li>\n\n\n\n<li><strong>Avoid Over-reliance on Volume-based Traffic</strong>: Challenge the effectiveness of purely volume-based traffic and explore more nuanced and sustainable strategies to create a more targeted and engaged audience.</li>\n\n\n\n<li><strong>Encourage Allyship and Teamwork Among Affiliates</strong>: Foster an environment where affiliates can work together as allies, leveraging each other&#8217;s strengths to attract and convert traffic, encouraging specialized roles and collaboration for improved performance.</li>\n\n\n\n<li><strong>Consider Tailored Affiliate Programs</strong>: Explore the possibility of customizing affiliate programs to match specific niches, addressing the limitations of generic affiliate approaches and contributing to improved partnership outcomes.</li>\n\n\n\n<li><strong>Prioritize In-depth Support and Education</strong>: Provide comprehensive resources, insights, and dedicated support to affiliates, setting up workflows to guide them through effective strategies and enable overall success.</li>\n</ol>\n\n\n\n<p>You can learn about Alex&#8217;s WordPress plugin <strong><a href=\"https://www.sirenaffiliates.com/\">SirenAffilates.com</a></strong> and / or listen to the full episode on Do the Woo: <a href=\"https://dothewoo.io/reimagining-affiliate-programs-for-your-woo-biz-with-alex-standiford/\"><strong>Reimagining Affiliate Programs for Your Woo Biz with Alex Standiford</strong></a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"Do The Woo Community: 12 Email Marketing Tips for WooCommerce and WordPress Businesses\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6246\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"https://dothewoo.io/blog/12-email-marketing-tips-for-woocommerce-and-wordpress-businesses/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6257:\"<p>In a podcast episode of <em><strong>Woo BizChat </strong></em>we had email marketing expert Greg Zakowicz from Omnisend chatting with Emma and Adam. Although it&#8217;s recommended that you listen to the full episode, <strong><a href=\"https://dothewoo.io/email-marketing-tips-for-woo-and-wordpress-businesses/\">Email Marketing for Woo and WordPress Builders and Businesses with Greg Zakowicz</a></strong> , here are 12 tips to help with your WordPress or WooCommerce business, whether you create products or provide services.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-embrace-automation\">Embrace Automation</h2>\n\n\n\n<p>Greg emphasizes the effectiveness of automated emails, revealing that 41% of all email marketing orders sent by Omnisend customers came from automated messages. Automation allows you to send targeted and relevant messages based on the user&#8217;s behavior, making it a powerful tool for increasing engagement and conversions.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-focus-on-high-intent-automated-messages\">Focus on High-Intent Automated Messages</h2>\n\n\n\n<p>Greg highlights specific automated messages that drive results, including welcome messages, browse abandonment, and cart abandonment emails. These messages are high-intent and directly tied to user behavior, making them more likely to lead to conversions.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-utilize-social-proof-in-subject-lines\">Utilize Social Proof in Subject Lines</h2>\n\n\n\n<p>Greg suggests that subject lines featuring social proof, such as top-rated products or five-star reviews, can capture attention. Incorporating elements that highlight the quality and popularity of your products or services can make your emails more appealing to recipients.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-experiment-with-emojis-in-subject-lines\">Experiment with Emojis in Subject Lines</h2>\n\n\n\n<p>Despite not being a new concept, Greg emphasizes the continued effectiveness of using emojis in subject lines. Emojis can help break up the visual monotony, especially on mobile devices, making your emails stand out in crowded inboxes.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-optimize-for-mobile-and-visual-appeal\">Optimize for Mobile and Visual Appeal</h2>\n\n\n\n<p>Greg discusses the importance of visual elements, white space, and breaking up text to make emails visually appealing. Since many users access emails on their mobile devices, optimizing for mobile responsiveness and creating visually engaging content can enhance the overall user experience.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-clean-inactive-contacts-regularly\">Clean Inactive Contacts Regularly</h2>\n\n\n\n<p>Greg emphasizes the importance of cleaning inactive contacts from your email list to maintain deliverability and engagement rates. Sending emails to inactive contacts can negatively impact your sender reputation and result in lower inbox placement. Regularly clean your list, preferably twice a year, to remove subscribers who haven&#8217;t engaged in a significant period.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-understand-and-monitor-email-deliverability-requirements\">Understand and Monitor Email Deliverability Requirements</h2>\n\n\n\n<p>Stay informed about email deliverability requirements, such as authentication protocols like DKIM, DMARC, and SPF. Greg mentions that Google and Yahoo have implemented new deliverability requirements, and compliance with these standards is crucial for proving your legitimacy as a sender and avoiding potential deliverability issues.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-benchmark-against-yourself-not-just-industry-averages\">Benchmark Against Yourself, Not Just Industry Averages</h2>\n\n\n\n<p>While industry benchmarks can provide useful insights, Greg advises marketers to primarily benchmark against their own performance. Focus on improving your open rates and click-through rates over time rather than comparing yourself solely to industry averages, as different list-cleaning practices can significantly impact these benchmarks.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-leverage-competitive-differentiators-in-email-templates\">Leverage Competitive Differentiators in Email Templates</h2>\n\n\n\n<p>When creating email templates, highlight competitive differentiators such as free shipping, fast delivery, and customer service policies. Templatize this information to make it highly visible in your emails, catering to the specific intent of users who are looking for such value propositions when deciding whether to engage with your email content.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-templatize-social-proof-and-value-propositions\">Templatize Social Proof and Value Propositions</h2>\n\n\n\n<p>Incorporate social proof, customer testimonials, and value propositions into your email templates. Whether it&#8217;s showcasing five-star reviews, testimonials about great customer service, or emphasizing hassle-free returns, templatizing this content can build confidence and address potential obstacles to conversion, ultimately increasing click-through rates.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-implement-automated-retargeting-sequences\">Implement Automated Retargeting Sequences</h2>\n\n\n\n<p>Greg emphasizes the importance of setting up automated retargeting sequences based on user behavior. Whether it&#8217;s a browse abandonment or cart abandonment, these automated sequences can significantly improve the chances of reengaging with users who have shown interest in your products. By strategically utilizing automation, you can &#8220;feed the wolf&#8221; over time, increasing the likelihood of recapturing customers at a lower cost compared to other retargeting methods.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-use-ai-tools-for-subject-line-generation\">Use AI Tools for Subject Line Generation</h2>\n\n\n\n<p>Greg recommends using AI tools, such as the subject line generator provided by Omnisend, to overcome creative blocks when crafting email subject lines. AI-powered tools can offer a fresh perspective and propose creative subject lines that may not have been considered. This can be particularly useful in ensuring that your subject lines stand out and capture the attention of your audience, contributing to higher email open rates</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"Do The Woo Community: Learn Marketing Deeply with Your WordPress Products\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6241\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://dothewoo.io/blog/wordpress-product-marketing/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2248:\"<p>In a recent Emerging Tech episode David Lockie had the chance to talk about a lot of WordPress with Noel Tock plus catch up on what he is doing. This is the final thought coming from Noel, and I would recommend checking out the entire conversation: <a href=\"https://dothewoo.io/learn-wordpress-product-marketing-deeply/\"><strong>Learn WordPress Product Marketing Deeply with Noel Tock</strong></a><strong>.</strong></p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-on-noel-s-mind\">On Noel&#8217;s Mind</h2>\n\n\n\n<p>I&#8217;d say what I talked about now is probably the thing that bugs me the most or lives rent free in my mind is that amazing effort and energy that everyone puts into WordPress, but then is trying to fit through a pipe that&#8217;s way too small in terms of product marketing is never really displayed in its full glory to the rest of the market in a very specialized way.</p>\n\n\n\n<p>And it&#8217;s a struggle to you start thinking, are you delusional because you&#8217;re talking to an enterprise client when they say WordPress doesn&#8217;t do this, doesn&#8217;t do that. And you&#8217;re sitting there thinking, am I just like a WordPress advocate or do I actually know what I&#8217;m talking about?</p>\n\n\n\n<p>So I think in many ways, when Matt, years ago, 2015, what was it 2015 when he said learn JavaScript deeply, I think now it&#8217;s learn marketing deeply. That&#8217;s what I think should be WordPress&#8217;s mission for the next two years because we are in a time when we&#8217;ve gone boom bust and we have an opportunity to seize right now as companies are looking at down rounds and they&#8217;re laying off staff.</p>\n\n\n\n<p>One of the first places they cut is R&amp;D and innovation, and we have an opportunity to catch up on that ground. Not that we have to necessarily build a lot of stuff at all. I don&#8217;t even think we have to build that stuff, but I think we have to just do a much better job of product marketing at <strong>three, four or five levels of niches</strong>. And to me, it doesn&#8217;t mean that those couple niches define what WordPress is. There are just merely abstractions and narratives that sit on top of the WordPress we know today. It&#8217;s not trying to change what WordPress is.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"Do The Woo Community: A WordPress Project Funding Solution and Where it Starts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6181\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://dothewoo.io/blog/a-wordpress-project-funding-solution-and-where-it-starts/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2682:\"<p>In a deep discussion around supporting essential projects in the WordPress space <a target=\"_blank\" rel=\"noreferrer noopener\" href=\"https://www.linkedin.com/article/edit/7162363489506861056/\">Tom Willmot</a> and <a target=\"_blank\" rel=\"noreferrer noopener\" href=\"https://www.linkedin.com/article/edit/7162363489506861056/\">Joost de Valk</a> explored the issues around the topic. Specifically how does this get solved?</p>\n\n\n\n<p>As they described a particular project that you can learn more about in the <a href=\"https://dothewoo.io/funding-wordpress-projects-with-tom-willmot-and-joost-de-valk/\"><strong>full episode</strong></a>, it led into many paths that led to the need for change. For contributors keeping up all of these essential projects and in reality, are like saying &#8220;Hey, y&#8217;all pay up for what I&#8217;m doing for you here for free.&#8221;</p>\n\n\n\n<p>Joost opened it up with this thought it it went further into who should really be stepping up.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-in-a-perfect-world\">In a perfect world&#8230;.</h2>\n\n\n\n<p>Joost: But it also opens up a wider discussion about how do we support the tools that we use that are not like the tools that end users may be using, but the tools that we use to build those. It&#8217;s this whole ecosystem. And are we even aware of the fact that we&#8217;re using this code? Well, I think it&#8217;s a problematic thing, and I have my opinions on how we should solve this in an ideal world. Unfortunately, I&#8217;m not the one who gets to decide that.</p>\n\n\n\n<p>So in my ideal world, we would have a WordPress app store where WordPress plugins, the plugin repository would not just be for free plugins, but would also be for commercial plugins. And we take a percentage of sales there and put that money to work on stuff like this and lots of other things. I think that would make WordPress better for everyone. We could how we want plugins to sell their things, and we couldn&#8217;t enforce all the proper legalities there that are needed, and we could fund the companies and the projects that we need that we all need to, well, to sustain our work.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-and-there-is-so-much-more\">And there is so much more&#8230;</h3>\n\n\n\n<p>Well, that was the perfect world for Joost. But Tom and Joost went on to talk about other ways of funding these projects and who should be stepping up. Of course, it&#8217;s not even that simple.</p>\n\n\n\n<p><a href=\"https://dothewoo.io/funding-wordpress-projects-with-tom-willmot-and-joost-de-valk/\"><strong>Listen to the full episode Funding WordPress Projects with Tom Willmot and Joost de Valk here.&nbsp;</strong></a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"Do The Woo Community: Starter WooCommerce Performance Tips for Developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6174\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://dothewoo.io/blog/starter-woocommerce-performance-tips-for-developers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10033:\"<p>In a <a href=\"https://dothewoo.io/woocommerce-performance-optimization/\">Woo DevChat</a>, I asked <a href=\"https://www.linkedin.com/in/sabrinazeidan?miniProfileUrn=urn%3Ali%3Afs_miniProfile%3AACoAACbwBtEBQRgcNmwLLij0zaBN7znv_qYfCuM\">Sabrina Zeidan</a> and <a href=\"https://www.linkedin.com/in/wputasic?miniProfileUrn=urn%3Ali%3Afs_miniProfile%3AACoAACQSmi8BUWyj0LAr-g2JbUQcu799ehldCdA\">Uros Tasic</a> to give their insights into WooCommerce performance. One suggestion that Sabrina made was that they come up a a few step for a developer who is not performance expert but they notice or they feel like you feel like the website is acting slow.</p>\n\n\n\n<p>They don&#8217;t know whether it&#8217;s fronted or backend. It was fine a month ago and now it&#8217;s acting weirdly.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-using-a-query-monitor\">Using a Query Monitor</h2>\n\n\n\n<p>The first thing I would recommend is so easy. So this is not a developer tool, but it&#8217;s easy if you can add a plugin that is a query monitor. It can show you if there is some error on the site or if there are some slow queries to the database. So again, I know that there are developers going to say you can see slow queries, MySQL queries on the server. So that is advanced thing, the simplest thing, add a plugin and track, not the best thing, but you can see there if there are some issues.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-checking-the-logs\">Checking the Logs</h2>\n\n\n\n<p>If a query monitor doesn&#8217;t reveal anything or important, then I would suggest now depending on your hosting and server provider, you can check logs.</p>\n\n\n\n<p>Let&#8217;s say for the people that are not experienced, there are two types of logs. One is the error log and another one is access log. So if you don&#8217;t know when something is happening or what kind of are pages causing it in access log, you can see that. For example, in the last hour you got 1000 views of specific page on the website that has a newsletter and some feed or something and then you can assume that something on that page is creating a problem and continue from there. In that case you can create test page with only one block or with only feed to see if that is going to behave slowly and then you can eliminate one by one. This is if the page is making a problem. Then you can see also if there is some current jobs or W-P-C-L-I commands and then you can address those.</p>\n\n\n\n<p>For example, in multiple cases if you have a big database doing a backup, it can slow down the site because the database will be locked and then the site cannot do anything. So again, you can move backups, but you can see those details in the access login error log of the website. Again you cannot see everything there.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-using-more-advanced-tools\">Using More Advanced Tools</h2>\n\n\n\n<p>If you want to go more advanced and I want to be actively doing on performance, there are tools that I would recommend that you can use New Relic, you can use Xdebug or you can use Blackfire. All those three tools are testing your code performance. You can record the whole page and then it&#8217;ll tell you exactly how many queries, what function is called, how many times the function is called, which file is, and how it&#8217;s behaving in the background for you.</p>\n\n\n\n<p>From there you can then pick saying, okay, this plugin is taking five seconds to load on this specific page to I really need this plugin or can this be changed? Can I introduce some caching plugin, can I? But those are a little bit more advanced tools but I would spend some time to get familiar with those similar tools.</p>\n\n\n\n<p>So just once more, this is Blackfire, New Relic and Xdebug. Some of them are free, some of them have a paid plan. So again, you don&#8217;t need all three but you can start with at least one. And then again, if you want to test the front end and just the Google Page speed, you can use Lighthouse or Google speed may have some suggestion.</p>\n\n\n\n<p>To sum it up, first one is query monitor, easy, and there are good things about it. It&#8217;s pretty user friendly. You can just see what&#8217;s happening and if something is red, you know that strong. So it&#8217;s easy to find the bottlenecks.</p>\n\n\n\n<p>The second one would be check the logs on the server, both access and error logs and then PHP errors or something like that.And the third one is use one of the tools like Blackfire, New Relic or Xdebug and again you&#8217;ll find issues with plugins but then this is awareness I&#8217;m talking about. But yes, what would your steps be?</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-sabrina-s-perspective-as-a-performance-engineer\">Sabrina&#8217;s perspective as a performance engineer</h2>\n\n\n\n<p>I will share the steps when I&#8217;m hired to work on a websites, but steps that someone who is not performance expert but just a developer can take to identify what&#8217;s happening and if something is happening because this is the beginning of the process. So let&#8217;s say you just notice something is off. I would recommend to start with narrowing down the problem if it might be overwhelming for the person who is not used to a lot of performance information.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-google-search-console\">Google search console</h3>\n\n\n\n<p>I would recommend to first identify if the problem exists and if so where it does exist. I would recommend to go first thing to Google search console and check your core web vitals data and see if there are any issues there. Google Search console is place where in page size there is a small thing where you have core web vitals assessment. This is real field data from your website, but it comes from the bigger source of information and the more detailed report can be found in Google search console.</p>\n\n\n\n<p>There is a tab there called core vitals. You can go there and check if your website is passing core vitals assessment. If the website is passing core web vitals assessment, especially on LCP and first input delay, which will soon be replaced with INP interactive to the next paint. So if it passing on this two, it means that real users don&#8217;t have problems with speed on your website on front end, but if at the same time you have the feeling that something is off, something is loading slowly, I would try to differentiate probably if it&#8217;s happening only when you locked in, if it&#8217;s happening for locked in users and it&#8217;s not happening for locked out users and then you will have the answer.</p>\n\n\n\n<p>If it&#8217;s not happening for locked out users, there are no issues with core web vitals, then this issue most likely will be connected with something on backend that is cached or mitigated by something on front end for locked off users. Okay, this is already a lot of information for us. We already know that we should be looking in the backend because it&#8217;s happening in the backend and from this point I would recommend install query, monitor and looking there. But again, when you install query monitor, there is a huge amount of information there. If you don&#8217;t know where you are looking at, it&#8217;s easy to get lost. And some websites have a lot of issues. This happens to my clients a lot. They see that the website have a lot of issues, there are errors, there are slow queries, there are a lot of sales and scripts loading.</p>\n\n\n\n<p>There are so many issues I would recommend to pinpoint what is the most easy thing to fix and the most easy things to fix are usually basic ones, First it&#8217;s PHP version. It would be so easy to, it&#8217;s really, really easy to fix. You just upgrade server to a higher PHP version test there. If all plugins play well with it, you keep it going.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-memory-limits\">Memory limits</h3>\n\n\n\n<p>Now the thing that is often overlooked, there is a theme that we have in WordPress that is called Ability memory limit and by default it&#8217;s set to 40 megabytes and I see a lot of cases when this default number hasn&#8217;t been changed. For years the site was surviving somehow, but now it&#8217;s not because 40 megabytes, it&#8217;s very, very low number.</p>\n\n\n\n<p>But it happens often. I see that they are upgrading their hosting, they&#8217;re paying for say two gigabytes of RAM on their hosting, but there is a limit set in their WordPress to 40 gigabytes. So they never use what they&#8217;re paying for. By the way query monitor is showing that thing. So if memory limit is set to the default to 40 megabytes, you&#8217;ll see that in query monitor. That would be another very easiest thing to fix. This is something that you should be able to fix yourself and if after that the problem doesn&#8217;t disappear, that that is a sign there is a problem that this is a sign you should seek for help.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-misleading-object-caching\">Misleading object caching</h3>\n\n\n\n<p>Object caching can be a very good idea and query monitor might be showing that as well. What it shows you sometimes can be misleading. In query monitor it says object caching plugin is not in use and it&#8217;s a little bit misleading because you should check numbers next to this line seeing so many hits and so many cached and if you have from 100%, you have 95% cashed, that&#8217;s fine. It means query caching is working. It&#8217;s just you&#8217;re not using the plugin to manage it, but it is working. There is nothing to worry about. So my recommendation would be try to figure out if it&#8217;s frontend or backend by going to core web vitals. Then going as locked in user and trying to figure out if it&#8217;s backend or frontend. If it&#8217;s backend, it&#8217;s still query monitor, look at query basic things like WP memory limits.</p>\n\n\n\n<p>You can listen to the entire episode <a href=\"https://dothewoo.io/woocommerce-performance-optimization/\">WooCommerce Performance Optimization with Sabrina Zeidan and Uros Tasic</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"Do The Woo Community: Navigating High-Traffic Events with WooCommerce as an Agency\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6082\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://dothewoo.io/blog/navigating-high-traffic-events-with-woocommerce-as-an-agency/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4090:\"<p>Operating a large-scale e-commerce business is no small feat, but when Black Friday through Cyber Monday hits, the challenges intensify, making it a crucial period for businesses like Maksimer. From a <strong>conversation on Do the Woo&#8217;s DevChat</strong>, Nenad Conić talks with hosts Zach and Carl about the strategies and experiences shared by the team at Maksimer as they tackle the unique demands of Black Friday and maintain seamless operations during this high-stakes weekend.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-preparing-for-a-high-traffic-event\">Preparing for a high-traffic event</h2>\n\n\n\n<p>Nenad highlights the importance of a two-month preparation period leading up to leading up to an event like Black Friday. Proactive communication with clients becomes paramount during this time, aiming to collaboratively plan and optimize sales campaigns. Emphasis is placed on creating effective landing pages that showcase sale products, allowing targeted optimization without overhauling the entire site. The goal is to enhance the customer experience on specific pages crucial for sales.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-challenges-and-solutions\">Challenges and Solutions</h2>\n\n\n\n<p>Despite great planning, there are always last-minute changes from some clients, creating unforeseen challenges. Nenad acknowledges that while it&#8217;s challenging to prevent such changes entirely, early communication and preparation remain critical. To address unexpected surges in server resource usage they implement monitoring systems. These systems trigger alerts when server resources approach their limits, enabling quick intervention to prevent site crashes.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-navigating-the-unknown\">Navigating the Unknown</h2>\n\n\n\n<p>In the conversation it turns  to the unpredictable nature of server warnings, comparing them to a tsunami warning with a narrow window for response. Despite the challenges, having different departments within the company, such as the growth department and eco managers, provides additional support. Eco managers work closely with clients, offering insights and suggestions for handling their websites during high-traffic events.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-the-entrepreneurial-mindset\">The Entrepreneurial Mindset</h2>\n\n\n\n<p>They talk about the unique mindset of e-commerce store owners, describing them as self-motivated individuals eager to explore new tools and strategies. The challenge lies in balancing their entrepreneurial spirit with practical considerations. The team at Maksimer often receives requests to implement new features, such as affiliate programs, based on success stories from other store owners. Adapting these requests to the specific e-commerce platform and ensuring compatibility becomes an integral part of the collaboration.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-building-partnerships\">Building Partnerships</h2>\n\n\n\n<p>An important piece is the partnership dynamic between an agency and store owners in the e-commerce space. Unlike traditional marketing site builds, e-commerce clients actively engage throughout the entire process, understanding that their website directly influences their income stream. The agency&#8217;s role extends beyond building websites; they effectively control the client&#8217;s income funnel, requiring a collaborative and responsive approach to maintain client satisfaction, especially in crisis situations.</p>\n\n\n\n<p>High-traffic events in e-commerce demands a combination of meticulous planning, effective communication, and adaptability. The insights shared by the team at Maksimer shed light on the complexities of e-commerce operations and the vital role played by agencies in ensuring a seamless and successful online retail experience, even in the face of unforeseen challenges.</p>\n\n\n\n<p><a href=\"https://dothewoo.io/database-optimization-monitoring-tools-and-client-communication\">You can listen to the full podcast episode, Database Optimization, Monitoring Tools, and Client Communication with Nenad Conić here.</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"Do The Woo Community: A Deep Dive into the WordPress and WooCommerce Ecosystem’s Growth Strategies\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6115\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://dothewoo.io/blog/a-deep-dive-into-the-wordpress-and-woocommerce-ecosystems-growth-strategies/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9052:\"<p>In the online business world, WordPress and WooCommerce stand tall as two popular platforms that help businesses flourish. But to truly scale and excel, businesses need more than just the knowledge of these platforms—they need a well-thought-out plan.&nbsp;</p>\n\n\n\n<p>This post dives deep into the growth strategies that can be implemented within the WordPress and WooCommerce ecosystems.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-understanding-the-wordpress-and-woocommerce-ecosystem\"><strong>Understanding the WordPress and WooCommerce Ecosystem</strong></h2>\n\n\n\n<p>The WordPress and WooCommerce ecosystem is vibrant, involving a wide array of stakeholders that contribute to its rich diversity.&nbsp;</p>\n\n\n\n<p>At its core, this ecosystem includes theme and plugin providers, developers, and hosting providers. These entities work hand in hand, each playing a vital role in creating an enabling environment for businesses to thrive.</p>\n\n\n\n<p>Theme and plugin providers, for instance, offer essential tools that enhance the functionality and aesthetic appeal of WordPress sites, ensuring users enjoy a seamless experience.&nbsp;</p>\n\n\n\n<p><a href=\"https://dothewoo.io/woo-dev-chat/\">Developers, on the other hand, bring in technical expertise</a>, customizing websites to meet specific business needs, while hosting providers offer the requisite infrastructure, ensuring websites are accessible, reliable, and fast.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-wordpress-and-its-market-dominance\"><strong>WordPress and Its Market Dominance</strong></h3>\n\n\n\n<p>An understanding of the WordPress and WooCommerce ecosystem wouldn&#8217;t be complete without appreciating WordPress&#8217;s market dominance. WordPress holds sway over a significant portion of the CMS market, powering <a href=\"https://w3techs.com/technologies/details/cm-wordpress\">over 40% of all websites</a> currently available on the internet.</p>\n\n\n\n<p>The factors driving its widespread adoption are its flexibility, ease of use, and extensive customization possibilities. <strong>WordPress&#8217;s open-source nature</strong>, combined with its vast community of developers and theme and plugin providers, provides businesses with virtually unlimited potential for customizability.</p>\n\n\n\n<p>It&#8217;s this scalability and versatility that have contributed significantly to WordPress&#8217;s sustained market dominance.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-woocommerce-and-its-place-in-ecommerce\"><strong>WooCommerce and Its Place in eCommerce</strong></h3>\n\n\n\n<p>WooCommerce is a dynamic player in the global eCommerce market. It rides on WordPress&#8217;s success by providing an intuitive, flexible, and powerful ecommerce platform that businesses of all sizes can leverage to set up online stores.</p>\n\n\n\n<p>The benefits of WooCommerce are immense. From its seamless integration with WordPress, ease of use, flexibility, and the availability of numerous themes and plugins, WooCommerce offers businesses a customizable platform for setting up online stores.</p>\n\n\n\n<p>When stacked against other platforms like Shopify, Magento, and BigCommerce, WooCommerce shines for its affordability and adaptability. Shopify and BigCommerce are monthly subscription-based platforms, while Magento can be complex and may require expert developer knowledge.&nbsp;</p>\n\n\n\n<p>On the contrary, WooCommerce is free, open-source, and user-friendly, making it a viable contender in the eCommerce space.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-identifying-opportunities-for-growth\"><strong>Identifying Opportunities for Growth</strong></h2>\n\n\n\n<p>In the dynamic WordPress and WooCommerce ecosystem, businesses must continuously identify and seize growth opportunities. A successful scaling strategy involves playing to the platform&#8217;s strengths and seeing beyond immediate needs to include future prospects.&nbsp;</p>\n\n\n\n<p>Below are growth opportunities that businesses can use:</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-1-expanding-product-offerings\"><strong>1. Expanding Product Offerings</strong></h3>\n\n\n\n<p>In any business venture, innovation is key. To truly tap into the potential of WooCommerce and WordPress, consider expanding your product offerings. This could be done by developing new plugins or incorporating additional services that complement your current product.</p>\n\n\n\n<p>Examples could include tools that enhance website functionality, services geared towards improving the user-experience, or partnerships aimed at promoting your product.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-2-building-strong-partnerships\"><strong>2. Building Strong Partnerships</strong></h3>\n\n\n\n<p>Behind every successful business, there&#8217;s a <a href=\"https://dothewoo.io/the-enigma-of-wordpress-and-woocommerce-partnerships/\">network of strong partnership</a>s. In the WordPress and WooCommerce ecosystem, fruitful connections can be forged with plugin and theme providers, WordPress agencies, and hosting providers.&nbsp;</p>\n\n\n\n<p>Collaborating with these entities on various initiatives can lead to reciprocal benefits and expanded growth opportunities.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-3-focusing-on-customer-success-and-support\"><strong>3. Focusing on Customer Success and Support</strong></h3>\n\n\n\n<p>The backbone of every successful business is its loyal customers. By building a robust customer support system, you&#8217;ll foster trust, loyalty, and eventual advocacy.&nbsp;</p>\n\n\n\n<p>Prioritize customer success management, which involves understanding your customers&#8217; journey and providing the support they need at every step.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-4-investing-in-content-marketing-and-seo\"><strong>4. Investing in Content Marketing and SEO</strong></h3>\n\n\n\n<p>The secret sauce for <a href=\"https://www.thedotstore.com/influencer-marketing/\">gaining visibility and attracting customers</a> lies in content marketing and SEO.&nbsp;</p>\n\n\n\n<p>Creating valuable, engaging, and <a href=\"https://dothewoo.io/future-seo-content-ai/\">SEO-friendly content</a> ensures your business&#8217; visibility to potential customers and argues for your credibility within your industry.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-5-adapting-to-industry-trends\"><strong>5. Adapting to Industry Trends</strong></h3>\n\n\n\n<p>In today&#8217;s rapidly changing digital world, staying informed about industry trends and adapting your strategies accordingly, can be a game-changer for your business.&nbsp;</p>\n\n\n\n<p>Regular monitoring of industry best practices, competitor activity, and <a href=\"https://dothewoo.io/tag/emerging-technologies/\">emerging technology</a> trends can keep you on your toes and ready to adapt.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-measuring-the-success-of-growth-strategies\"><strong>Measuring the Success of Growth Strategies</strong></h2>\n\n\n\n<p>Implementing growth strategies without a system to measure their success won&#8217;t yield the desired effect. Analytics play a vital role in gauging the effectiveness of strategies and indicate where improvements are needed.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-metrics-to-nbsp-track\"><strong>Metrics to&nbsp; Track</strong></h3>\n\n\n\n<p>To quantify your strategy&#8217;s success, consider tracking metrics like customer acquisition costs, churn rate, and average revenue per user.&nbsp;</p>\n\n\n\n<p>These metrics provide insight into how effectively your strategies are working, where improvements could be made, and whether you&#8217;re reaching your desired goals.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-adjusting-strategies-based-on-data\"><strong>Adjusting Strategies Based on Data</strong></h3>\n\n\n\n<p>Data is your best ally when it comes to steering the direction of your growth strategies. It adds objectivity to the process, helps you steer clear of bias-based decisions and allows for strategic pivots based on insights drawn from real-life performance.&nbsp;</p>\n\n\n\n<p>Continuous analysis and refinement of your strategies based on <a href=\"https://dothewoo.io/woocommerce-custom-order-tables-databases-and-performance/\">performance data</a> will help ensure that your growth strategies remain effective and relevant in the long run.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-final-words\"><strong>Final Words</strong></h2>\n\n\n\n<p>The WordPress and WooCommerce platforms are excellent tools for online business growth. However, simply knowing how to use these tools isn&#8217;t enough.&nbsp;</p>\n\n\n\n<p>To truly succeed, businesses must have a solid plan. This should involve identifying new opportunities, building partnerships, focusing on customer service, staying updated with industry trends, and making data-driven decisions.&nbsp;</p>\n\n\n\n<p>Combining these strategies ensure success not only today but also prepares businesses for the future.</p>\n\n\n\n<p class=\"has-theme-palette-5-background-color has-background has-medium-font-size\"><strong>This is a guest post from our sponsor and the team at <a href=\"https://www.thedotstore.com/\">Dotstore</a></strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"Do The Woo Community: Documentation is a Gift to the WordPress Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6007\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://dothewoo.io/blog/documentation-is-a-gift-to-the-wordpress-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1370:\"<p>While we we were recording an episode of <strong><em>The WordPress Way</em></strong> at Do the Woo about <a href=\"https://dothewoo.io/importance-of-product-testing-in-wordpress/\"><strong>The Importance of Product Testing in WordPress</strong></a>, guest Brian Alexander did a quick note in the chat tool we use during a recording, simply saying, &#8220;Documentation is a gift to the community.&#8221; Host Abha Thakor asked him to elaborate on that.</p>\n\n\n\n<p><strong>Brian</strong>: Yeah, consider someone who is not as familiar with WordPress or is having a problem with their website or is a developer who&#8217;s just getting started. All of those different roles benefit from having strong updated documentation. Think of how many forum posts might not have been logged because it was clearly stated how to use a particular feature in the documentation or perhaps uncovering bugs as you said, because that&#8217;s all part of it. Validating your documentation in a way you&#8217;re testing what your assumptions are and if those assumptions are incorrect, then you&#8217;re assuming the wrong thing or there&#8217;s a bug in the system.</p>\n\n\n\n<p>So that definitely becomes a gift to the entire community as a resource that doesn&#8217;t require one-on-one time or tying up one person. It&#8217;s very inefficient for one person to answer all the questions.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Do The Woo Community: How the Pace has Changed with SEO at Google\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5991\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://dothewoo.io/blog/how-the-pace-has-changed-with-seo-at-google/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1697:\"<p>In a podcast episode of Emerging Tech at Do the Woo, host David Lockie asked Alex Moss this question.</p>\n\n\n\n<p>With how much is SEO changing &#8217;cause it&#8217;s a pretty mature practice now, and obviously like the cries of SEO is there have been ringing for, you know, almost as long as SEO&#8217;s been around, what sort of changes is Google making? You talked about schema. What&#8217;s that pace of change like now compared to how it has been over the last say, 20 years?</p>\n\n\n\n<p><strong><em>Alex replied.</em></strong></p>\n\n\n\n<p>I would say it seems that since September, Google have woken up to updating a lot more stuff. from what I heard, Google was busy with other things internally that that was prioritized over supporting schema within search console and different elements of it. But I saw when things like the FAQ and the event snippets were removed from the SERPs, there&#8217;s been a lot of testing over time of what different elements should be output in the search results.</p>\n\n\n\n<p>And at the same time, you&#8217;ve got their own AI integrations with their own SERP. So there&#8217;s been a lot of changes, not only, I would say more clarification and expansion into what they&#8217;ve already been telling us the entire 20 years. So 20 years ago they had the webmaster guidelines, it was quite basic, right? But now it&#8217;s a whole documentation area of the site. everything&#8217;s been done. Even things like EEAT with their ethos on experience authority, trust, and expertise.</p>\n\n\n\n<p><a href=\"https://dothewoo.io/future-seo-content-ai/\">You can listen to more of his answer and the entire conversation around the future of AI, Content and SEO here.</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"Do The Woo Community: Managing Response Times for Support with Your WooCommerce and WordPress Plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=6061\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"https://dothewoo.io/blog/managing-response-times-for-support-with-your-woocommerce-and-wordpress-plugins/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4822:\"<p>In a Woo BizChat show <strong><a href=\"https://dothewoo.io/the-path-for-creating-a-premium-plugin-extension/\">about the path to creating Woo or WP plugins as extension of other plugins</a></strong>, host Marcus asked Maarten and Katie about support response times.</p>\n\n\n\n<p><strong>Maarten</strong>: Well, if you want low response times, you have to do a lot yourself. So I did support for a long time before I hired somebody to help me with it, and now we&#8217;re kind of splitting the workload and I still go in there from time to time just to see what are the really technical tickets or if I know a customer, I will reply to them just to maintain that relationship or if I feel like I can get some more information out of the issue that the customer has or what they might want next for the plugin. </p>\n\n\n\n<p>I&#8217;ll also jump in and reply. So I keep doing a lot of support and since I develop my own plugins, it&#8217;s always going to be the fastest. I can do probably 20 tickets in an hour and they will be finished too. There will be a reply.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-using-support-to-perfect-documentation\">Using support to perfect documentation</h2>\n\n\n\n<p>So that&#8217;s really the best thing to do for me. But yeah, it takes a lot of time, so you want to have to put in that time. But other than that, what I also did is I keep perfecting documentation, so I keep going back to the same documentation. If a customer has a question that is in the documentation and they didn&#8217;t find a reply, I will rewrite it. I will find a different way to say the same thing. And now I&#8217;m also experimenting with AI just to see if it can help with lowering that burden on support and also just give a quicker answer to my customers.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-the-average-ticket-when-you-delegate-support-might-take-half-an-hour-to-do\">The average ticket when you delegate support might take half an hour to do</h3>\n\n\n\n<p><strong>Katie</strong>: It&#8217;s interesting what you say about being able to do 20 tickets an hour because that highlights the most difficult thing that I have found in outsourcing your support and getting help with it because I too, as the founder, very, very fast at responding to tickets at what I think is very high quality. I know the product so well, I know our documentation, I wrote it after all. And so I can provide good responses very quickly, but then as soon as you start hiring out people to do it, whether they&#8217;re in-house or not, you find that that&#8217;s not what you receive. </p>\n\n\n\n<p>Typically, and I&#8217;ve talked to many other WordPress product companies, the average ticket when you delegate support might take half an hour to do. They&#8217;re not doing 20 tickets an hour or anything like that. And as a founder, that&#8217;s really frustrating because you don&#8217;t understand why they&#8217;re not as fast as you, but you kind of have to just learn to accept that it&#8217;s one of the inevitable consequences of growing.</p>\n\n\n\n<p>For example, at Barn2, we handle 22,000 support tickets last year. So clearly I can&#8217;t do all the support myself, and I would love to, I really enjoy support, particularly pre-sales because it&#8217;s an excellent touchpoint with your customers where you can really learn their motivation, how they see your products, and constantly when I do step into support and talk to customers, I&#8217;m finding opportunities to improve the documentation, improve the products, improve our sales pages. I learned so much from doing the support, but it&#8217;s not realistic. And so you have to get help and as part of that, you just have to accept that nobody is as fast as you.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-i-still-go-in-there-and-i-do-a-lot-of-support\">I still go in there and I do a lot of support</h3>\n\n\n\n<p><strong>Maarten</strong>: Yeah, and I was going to add that I fully agree with you there. It&#8217;s very frustrating in the beginning to find a support agent because you are used to your own speed of doing things, and it&#8217;s like you said, you have to come to terms with it. And for me, it took like six months where I was very frustrated with how things were going, and then I realized that it&#8217;s just all in my head and my expectations need to be different, and now everything&#8217;s going well. </p>\n\n\n\n<p>I&#8217;m very happy with the support guide and it&#8217;s all known off my shoulders, so it&#8217;s perfect really. But I still go in there and I do a lot of support, but it&#8217;s on my agenda to lower my burden on support for this year because I&#8217;m doing too much and I&#8217;m spread a little bit too thin, especially if I&#8217;m developing new plugins. So I&#8217;m going to have to let it go this year and do less support</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"Do The Woo Community: Why Malware Scanner Plugins Do Not Work on WordPress Sites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5258\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://dothewoo.io/blog/why-malware-scanner-plugins-do-not-work-on-wordpress-sites/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7383:\"<p><strong><a href=\"https://dothewoo.io/security-from-the-basics-to-enterprise-with-calvin-alkan/\">In a episode on Do the Woo, we had Calvin Alkin chatting with hosts Carl and Kathy.</a></strong></p>\n\n\n\n<p>Kathy asked Calvin this question.</p>\n\n\n\n<p>Calvin, I want to get back to why the plugin is, why that whole model doesn&#8217;t really work. Because of how PHP works. There might be some non-technical people who might not understand exactly how that model doesn&#8217;t work, and they might not be able to find time to read your research. But can you just give an overview of why that doesn&#8217;t,</p>\n\n\n\n<p>What happens, I mean, I&#8217;ve seen the malware that&#8217;s done this, that&#8217;s like, oh, well, you can find everybody else&#8217;s malware, but you&#8217;re not going to find mine. And that hacker can modify those files. Can you explain why they can, why they get a site has an intrusion from, let&#8217;s say a SQL vulnerability, that SQL injection that does not have anything to do with anything happening in PHP, but they can still then get access to PHP files and modify them.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-why-scanner-plugins-won-t-work\">Why scanner plugins won&#8217;t work</h2>\n\n\n\n<p>So let&#8217;s start by at the point of through some means your site has been infected, so it doesn&#8217;t matter that infinite attack vectors, how that could have happened, but now your site has malware on it, and you also have a plugin that does malware scanning, maybe like using the WP chron periodically, or you can start it from the UI, whatever. But ultimately this scan, the malware scan runs in the same process, the PHP process and with the same privilege level as the malware. So the most simplest and the most blunt hit with the hammer approach, the malware could just simply disable or delete your security plugin from the file system. This will be like the easiest to understand the first time the malware runs, it just deletes your security plugin. That&#8217;s the easiest after there aren&#8217;t any scans, but obviously you as a site administrator would realize that at some point, yeah, maybe not immediately, but maybe you&#8217;ll realize eventually that your security plugin is gone.</p>\n\n\n\n<p><br />So what they do is then because they can read the source code of the plugin, they can see how it works, and since they&#8217;re operating at the same privilege level, they&#8217;re both running inside of WordPress in the PHP process that powers WordPress, they can then alter the malware scanner in a way that maybe imagine this. They&#8217;re very complex operations going on to determine if a file is malware or not, and then the actual malware modifies that final result. It is displayed to you in the UI and just says, yeah, you&#8217;re all clean. Pretty much that&#8217;s how it works. They make the malware scanner lie to you. They make the malware scanner tell you there&#8217;s no malware, but there actually is. And the way to do that depends on malware based on the malware scanner that you have. And obviously we didn&#8217;t disclose what we did there. We don&#8217;t want to make it easier for folks, but it&#8217;s pretty easy, to be honest, like 10 lines of quote maybe to do that. It&#8217;s not hard. So yeah, that&#8217;s the fundamental issue. The system that is potentially infected wants to monitor itself, and that doesn&#8217;t work. It has to be from somewhere higher up or someplace that is more privileged at the server level.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-plugins-that-have-firewalls-associated-built-into-the-plugin\">Plugins that have firewalls associated built into the plugin</h3>\n\n\n\n<p>So the firewall would be protection, not scanning. I mean, if you have hardware on your side, the firewall can be disabled in the very same manner. That&#8217;s also the, but at that point, you&#8217;re already infected. The firewall usually is there to prevent you from getting infected in the first place. There isn&#8217;t anything wrong in particular with plugin based firewalls. It&#8217;s more so that everything that you can do in a plugin with a firewall, you can do, for example, the Edge at CloudFlare or in the Nix firewall.</p>\n\n\n\n<p><br />Yeah, just it&#8217;s heavy from a CIS admin perspective, especially in enterprise, right? We&#8217;re talking enterprise. So larger WooCommerce stores, larger sites, they need more PHP workers. They want their code to be more efficient so that the response time is faster and all those things. If every request has to be processed as a firewall request, it&#8217;s a lot of processing time dedicated to that. It&#8217;s not. Trivial in itself is a one serious reason to just not use super heavy security plugins like that is if they just do a lot and they put a lot of weight on your WordPress installation, which is a problem again for enterprise because they&#8217;re trying to be more performant, they&#8217;re trying to handle more sales, more everything, and you&#8217;re basically, it&#8217;s like having an ankle weight. You&#8217;re kind of dragging. Every request has this huge ankle weight that you&#8217;re dragging, and that serves not no purpose, but as we&#8217;re discussing the malware scanning doesn&#8217;t work. It&#8217;s more like security theater, right?</p>\n\n\n\n<p><br />The malware scanning and some other things. Fundamentally, it&#8217;s impossible to perform that at the plugin level. And there are other things that are the same, but for example, the firewall, it is absolutely possible to write a secure firewall in a WebPress plugin. There&#8217;s nothing that makes it conceptually impossible, unlike the malware example. You can do that, whether the existing ones are secure, it&#8217;s a different topic, but it is theoretically possible. The thing is, it will not be performed because as Carl mentioned, at that point where the plugin based firewall runs, you already incur the majority of the cost of that request. You already went through the edge layer. Engine X ran, WordPress was booted, and then your firewall is hit. So it&#8217;s not performant. It&#8217;s possible to do it securely,</p>\n\n\n\n<p><br />Or let&#8217;s go one step further to you&#8217;re trying to mitigate a DDoS. If your firewall&#8217;s, the actual PHP application, you ain&#8217;t mitigating anything, right? Your site&#8217;s blowing up either way. It&#8217;s all cool. You have a firewall, but you&#8217;re still getting hammered by hundreds of thousands of requests, your server&#8217;s not going to be able to handle it, and it&#8217;s not really designed for that either. You can do it on the same machine. I&#8217;ve done work with people that nonprofits where they can&#8217;t use American companies for security reasons, and so they can&#8217;t use CloudFlare or things like that. So you have to do a lot of the protection yourself at the machine level, but it&#8217;s not, you want those requests to be blocked. You can even overwhelm a Linux machine if you&#8217;re not careful, even with a DDoS. So that&#8217;s why it&#8217;s not efficient either, right? Part of the goal of a firewall is to prevent those DDoS attacks, and you basically are not doing that with a PV based firewall.</p>\n\n\n\n<p><a href=\"https://dothewoo.io/security-from-the-basics-to-enterprise-with-calvin-alkan/\">You can listen to the full episode here</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"Do The Woo Community: Headless WooCommerce: Pros, Cons, and When to Use It\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5911\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://dothewoo.io/blog/headless-woocommerce-pros-cons-and-when-to-use-it/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7873:\"<p>Headless WooCommerce is a modern approach to ecommerce websites, where the frontend (the part that users see and interact with) is separated from the backend (the part that processes data and business logic).&nbsp;</p>\n\n\n\n<p>This separation allows developers to create custom, high-performing stores and gives them more control over the user experience. APIs (Application Programming Interfaces) are the key to enabling communication between the frontend and backend in this headless architecture.</p>\n\n\n\n<p>In traditional WooCommerce websites, the frontend and backend are tightly coupled, limiting flexibility and potentially impacting performance. With Headless WooCommerce, developers can harness the power of decoupled architecture to create lightning-fast websites that are more adaptable to change.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-how-headless-woocommerce-works\"><strong>How Headless WooCommerce Works?</strong></h2>\n\n\n\n<p><a href=\"https://bobwp.com/defining-headless-with-woocommerce-and-wordpress/\">Headless WooCommerce</a> relies on a decoupled architecture, meaning that the frontend and backend operate independently from one another. This separation allows each layer to be developed and maintained independently, while still communicating effectively through APIs.&nbsp;</p>\n\n\n\n<p>The use of <a href=\"https://developer.wordpress.org/rest-api/\">REST API</a> or <a href=\"https://graphql.org\">GraphQL</a> plays a crucial role in exchanging data between the two layers, enabling them to work together seamlessly.</p>\n\n\n\n<p>When creating a custom frontend for Headless WooCommerce, developers can choose from various JavaScript frameworks such as <a href=\"https://react.dev/\">React</a>, <a href=\"https://angular.io/\">Angular</a>, or <a href=\"https://vuejs.org/\">Vue</a>. These frameworks provide the tools needed to build interactive, high-performance user interfaces while capitalizing on WooCommerce&#8217;s robust backend infrastructure.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-benefits-of-headless-woocommerce\"><strong>Benefits of Headless WooCommerce</strong></h2>\n\n\n\n<p>There are several major advantages to implementing Headless WooCommerce, including:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong>Improved performance and website speed</strong>: Separating the frontend and backend allows for optimization of each layer, leading to faster load times and an overall better user experience.</li>\n\n\n\n<li><strong>More freedom for frontend developers</strong>: With a decoupled architecture, frontend developers can build custom layouts, designs, and interactivity without worrying about conflicts or limitations from the backend.</li>\n\n\n\n<li><strong>Better integration capabilities</strong>: APIs make it easier to integrate other services and applications into your ecommerce platform, streamlining business processes and customer interactions.</li>\n\n\n\n<li><strong>Enhanced security</strong>: Separating the frontend and backend can create an additional layer of security, as potential vulnerabilities in one layer might not directly impact the other.</li>\n\n\n\n<li><strong>Scalability</strong>: A headless setup supports the growth of your ecommerce business by allowing you to easily scale and adapt the frontend and backend independently.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-drawbacks-of-headless-woocommerce\"><strong>Drawbacks of Headless WooCommerce</strong></h2>\n\n\n\n<p>Despite its advantages, there are potential disadvantages of opting for a Headless WooCommerce setup, such as:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong>Complexity in development and maintenance</strong>: Building and maintaining separate frontend and backend systems can require a higher level of technical knowledge and expertise, increasing the complexity of projects.</li>\n\n\n\n<li><strong>Limited access to certain plugins and tools</strong>: Some <a href=\"https://www.thedotstore.com/woocommerce-plugins/\">WooCommerce plugins and tools</a> might not be compatible with a headless setup, which may affect your choice of extensions and features.</li>\n\n\n\n<li><strong>Cost factors related to development and hosting</strong>: Customizing and hosting separate systems may increase costs compared to traditional WooCommerce implementations.</li>\n\n\n\n<li><strong>Steeper learning curve</strong>: Developers might need to learn new technologies, frameworks, or architectures to effectively work with Headless WooCommerce.</li>\n\n\n\n<li><strong>Possibility of creating disjointed experiences</strong>: If the frontend and backend aren&#8217;t well-integrated, it can lead to dissonance or inconsistencies in the user experience.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-when-to-use-headless-woocommerce\"><strong>When to Use Headless WooCommerce?</strong></h2>\n\n\n\n<p>Headless WooCommerce may not be suitable for all ecommerce stores, but it can yield significant benefits in specific situations. If your business is based on unique user experiences or needs custom interactivity that can&#8217;t be achieved with traditional themes, Headless WooCommerce could be the answer.</p>\n\n\n\n<p>Businesses that require high scalability and flexibility are more likely to benefit from the separation of frontend and backend.&nbsp;</p>\n\n\n\n<p>Also, those who need to integrate their stores with external systems, such as <a href=\"https://www.oracle.com/erp/what-is-erp/\">ERP systems</a> or specialized CRM software, might find Headless WooCommerce more accommodating.</p>\n\n\n\n<p>However, it&#8217;s important to remember that implementing Headless WooCommerce does require more development resources and skills. Be sure you have the team and budget to handle the increased complexity.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-alternatives-to-headless-woocommerce\"><strong>Alternatives to Headless WooCommerce</strong></h2>\n\n\n\n<p>Not all businesses are equipped or need to implement a headless approach. For those who find the concept excessive or unfit for their requirements, there are alternatives available.</p>\n\n\n\n<p>Managed WordPress hosting solutions, for instance, provide an easier way for you to maintain your WooCommerce store. They handle technical aspects like security, backups, and updates, so you can focus on your business.&nbsp;</p>\n\n\n\n<p>Additionally, if WooCommerce doesn&#8217;t meet your needs, there are plenty of other ecommerce platforms available. Shopify, Magento, and BigCommerce each have their own distinct advantages and could be worth considering. Though they might not offer the same degree of customization and flexibility as WooCommerce, they may fit your clients needs better.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-final-words\"><strong>Final Words!</strong></h2>\n\n\n\n<p>Headless WooCommerce presents ecommerce businesses with the chance to maximize the potential of their platforms, enabling them to create unique user experiences, optimize performance, and enhance security among others. However, the complexity of the architecture, a steeper learning curve, and potentially higher costs serve as potential challenges.</p>\n\n\n\n<p>The decision to adopt this approach will heavily depend on your business type, resources, budget, and specific needs. Those who can meet the demands of a headless architecture can truly unlock powerful possibilities for their ecommerce store. As always, it&#8217;s vital to consider all alternatives to ensure finding the best fit for your ecommerce venture.</p>\n\n\n\n<p>Remember, the aim is to provide the best experience for your customers, and the choice of platform should align with this objective.</p>\n\n\n\n<div class=\"wp-block-kadence-column kadence-column5911_f4b5d1-72\"><div class=\"kt-inside-inner-col\">\n<p class=\"has-theme-palette-5-background-color has-background has-medium-font-size\">This is a guest post from the team at <a href=\"https://www.thedotstore.com/\">Dotstore</a></p>\n</div></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"Do The Woo Community: 10 Tips on Why You Need to Do a Marketing Post Mortem with Your Black Friday Sales\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5842\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"https://dothewoo.io/blog/10-tips-on-why-you-need-to-do-a-marketing-post-mortem-with-your-black-friday-sales/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4064:\"<p>In a podcast episode on Do the Woo. hosts Adam and Emma walked listeners through the importance of doing a marketing post-mortem after your Black Friday sales. Though you may feel Black Friday is done and gone, best to revisit this to be prepared for the next time you do a huge sale on your WordPress products or services.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>1. Schedule a time as soon as possible.</strong></p>\n\n\n\n<p>While it might be tempting to wait until the rush of orders and customer service inquiries subsides, conducting a post-mortem as soon as possible allows you to capture fresh insights while memories are still vivid. Aim for a time when things have settled but not too long after the event so that the data is still relevant.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>2. Identify your goals and objectives.</strong></p>\n\n\n\n<p>Before diving into the numbers, clearly define your goals for Black Friday. Were you aiming to increase sales, reach a specific customer segment, or simply boost brand awareness? Having clear objectives will help you assess whether you achieved them and identify areas for improvement.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>3. Gather and analyze data from various channels.</strong></p>\n\n\n\n<p>Don&#8217;t limit your analysis to just your website traffic and sales figures. Examine data from email marketing, social media, paid advertising campaigns, and other marketing channels to get a comprehensive overview of your performance across all fronts.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>4. Evaluate the effectiveness of your marketing campaigns.</strong></p>\n\n\n\n<p>Which marketing channels generated the most traffic and conversions? Which creative elements resonated best with your audience? Identify the campaigns that performed well and explore how you can replicate or enhance their strategies for future events.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>5. Analyze product performance.</strong></p>\n\n\n\n<p>Examine which products sold well and which ones fell short of expectations. Understanding why certain items were more popular than others can inform your product development, purchasing, and pricing decisions in the future.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>6. Identify customer behavior trends.</strong></p>\n\n\n\n<p>Analyze customer purchase patterns, browsing behavior, and engagement metrics to gain insights into their shopping habits and preferences. This information can guide your marketing efforts and product offerings in the long run.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>7. Gather feedback from customers.</strong></p>\n\n\n\n<p>Reach out to your customers via surveys, social media polls, or direct messages to gather their feedback on your Black Friday experience. Their insights can help you identify areas for improvement and enhance customer satisfaction.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>8. Document your findings and action plans.</strong></p>\n\n\n\n<p>Create a detailed report summarizing your key findings, action plans, and recommendations. Share this report with your team to ensure everyone is on the same page and can contribute to implementing the improvements.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>9. Use the insights to inform your future marketing strategies.</strong></p>\n\n\n\n<p>Don&#8217;t let the post-mortem be a one-time exercise. Integrate the insights you gained into your overall marketing strategy, including planning for future Black Friday and promotional events.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>10. Continuously refine and improve.</strong></p>\n\n\n\n<p>The goal of a marketing post-mortem is not just to evaluate past performance but also to identify areas for improvement. Use the insights gained to continuously refine and optimize your marketing strategies for future success.</p>\n\n\n\n<p><a href=\"https://dothewoo.io/a-post-mortem-marketing-analysis-of-black-friday-aka-stuff-you-should-do/\">You can listen to the full episode or read the transcript for the show here.</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"Do The Woo Community: How Much Woo Can One Cram in a Short Podcast with ChatGPT?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5572\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://dothewoo.io/blog/how-much-woo-can-one-cram-in-a-short-podcast-with-chatgpt/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3526:\"<p>A bit of fun today, or maybe not. I asked ChatGPT to <em>Give me a shorter script of a podcast where I mention WooCommerce or Woo, short for WooCommerce as many times as I can.&nbsp;</em>Well, if you know me, and my personality, I am a basically a mellow guy. So I took this one step further seeing that ChatGPT obviously doesn&#8217;t know me well and will deliver a monotone version of the results.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>[Intro Music]</p>\n\n\n\n<p>Host: Welcome, Woo enthusiasts, to another exciting episode of WooWonderland, where we dive deep into the magical world of WooCommerce. I&#8217;m your host, [Your Name], and today&#8217;s episode is going to be an exhilarating journey through the enchanting landscape of Woo-commerce. Yes, we love saying Woo!</p>\n\n\n\n<p>[Transition Music]</p>\n\n\n\n<p>Host: Woo, woo, woo! Before we jump into the heart of today&#8217;s discussion, let&#8217;s take a moment to appreciate the incredible community that surrounds WooCommerce. Woo, you guys are amazing! Whether you&#8217;re a seasoned Woo expert or just starting your Woo journey, there&#8217;s always something new and exciting happening in the world of Woo.</p>\n\n\n\n<p>[Woo Chanting]</p>\n\n\n\n<p>Host: Now, let&#8217;s talk about the latest Woo updates because, you know, staying current with Woo-commerce is crucial for all you Woo enthusiasts out there. The Woo team has been working tirelessly to enhance the Woo experience, and guess what? The latest Woo update is nothing short of spectacular. Woo!</p>\n\n\n\n<p>[Applause]</p>\n\n\n\n<p>Host: Speaking of updates, have you ever wondered how other businesses are utilizing Woo-commerce to elevate their online presence? Well, wonder no more because we have some incredible Woo-commerce success stories lined up for you today. These stories showcase the versatility and power of Woo. Woo-hoo!</p>\n\n\n\n<p>[Background Cheers]</p>\n\n\n\n<p>Host: Now, let&#8217;s Woo our way into the realm of e-commerce trends. Woo-commerce is not just a platform; it&#8217;s a trendsetter! From headless commerce to mobile commerce, Woo-commerce is at the forefront of shaping the future of online businesses. Woo, it&#8217;s like the trendiest kid on the e-commerce block.</p>\n\n\n\n<p>[Transition Music]</p>\n\n\n\n<p>Host: And here&#8217;s a pro tip for all you Woo enthusiasts out there: if you want to optimize your Woo-commerce store for success, pay close attention. Speed up your Woo site, master the art of SEO, enhance the user experience — because a well-optimized Woo store is a happy Woo store. Woo-hoo!</p>\n\n\n\n<p>[Background Cheers]</p>\n\n\n\n<p>Host: Now, let&#8217;s take a moment to celebrate the Woo experts in our community. Being a Woo expert is like having a VIP pass to the coolest e-commerce party in town. If you&#8217;re not part of the Woo expert program, what are you waiting for? Join the Woo party and let the Woo-magic unfold!</p>\n\n\n\n<p>[Transition Music]</p>\n\n\n\n<p>Host: As we near the end of this Woo-tastic episode, I want to thank all our Woo fans for tuning in. Remember, whether you&#8217;re a Woo novice or a seasoned Woo master, there&#8217;s always something Woo-nderful to discover in the world of Woo-commerce.</p>\n\n\n\n<p>[Closing Music]</p>\n\n\n\n<p>Host: That&#8217;s a wrap for today&#8217;s WooWonderland episode. Until next time, keep woo-ing and stay enchanted by the magic of Woo-commerce. Woo you later!</p>\n\n\n\n<p>[Music Fades Out]</p>\n\n\n\n<p>Well, now you can see the reason why I shared this in text vs. audio. LOL</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"Do The Woo Community: Defining Headless with WooCommerce and WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4761\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://dothewoo.io/blog/defining-headless-with-woocommerce-and-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2730:\"<p>You have likely heard the term headless thrown around as it has encroached on the WordPress space. Personally, I have read several posts and even listened to some talks. I was kind of getting the concept, but let&#8217;s just say I couldn&#8217;t wrap my head around it. (No pun intended.)</p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/headless-woocommerce-with-jacob-arriola/\">That was until we had Jacob Arriola on the podcast.</a></strong> And it finally made sense to me.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Headless is More Than the Legend of Sleepy Hollow</h2>\n\n\n\n<p>I&#8217;ll give you the way I understand it. Right? There&#8217;s a lot of different interpretations. We take WordPress and <strong>WooCommerce</strong> as an example that is a monolithic application, meaning it&#8217;s responsible for a lot of things. It&#8217;s your CMS, right? Your admins, your shop owners log in and add content, you&#8217;ve got media library, it&#8217;s got products, it&#8217;s got orders, et cetera. But it&#8217;s also responsible for serving the front end, the public facing side of your application. The product catalog page, the single product page, the cart page, <strong><a href=\"https://jacobarriola.com/post/hosted-woocommerce-checkout-headless-application\" target=\"_blank\" rel=\"noreferrer noopener\">checkout</a></strong>, so on and so forth. So it&#8217;s doing a lot of things.</p>\n\n\n\n<p>And so when you talk about headless, the head really represents that view layer, that UI layer, that public facing layer. When we talk about what is headless, we kind of cut off the head or we decouple the UI, now WordPress, is no longer responsible for delivering the front end of the application. It&#8217;s only responsible for being the CMS, which it&#8217;s really, really good at, right? And then in the WooCommerce case, all the logic regarding ecommerce variations, orders, all that stuff, database facilitation, <strong><a href=\"https://jacobarriola.com/post/headless-woocommerce-stripe-checkout-graphql\" target=\"_blank\" rel=\"noreferrer noopener\">payment gateways</a></strong>, things like that.</p>\n\n\n\n<p>And so now you are now responsible for building UI in a different kind of context, whether that&#8217;s a different domain, a whole different framework, whatever the case may be, right? So we separate that out the head, the view layer, the UI, what&#8217;s publicly available.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-diving-into-headless\">Diving into headless</h3>\n\n\n\n<p>Now that clearly should give you a better idea if you had been confused before. Of course that is only the tip of the iceberg and you may want to listen to the podcast as Jacob takes even deeper into the world of headless and WoCommerce.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Do The Woo Community: Why Do They Call it Black Friday\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5399\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://dothewoo.io/blog/why-do-they-call-it-black-friday/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2420:\"<p>In all the hoopla around Black Friday, some people think they know why it&#8217;s called such. Or maybe they don&#8217;t. History is fascinating, and podcast host Adam Weeks gives us the story behind it.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-black-friday-sounds-bad\">Black Friday sounds bad</h2>\n\n\n\n<p>So Black Friday has a long history that has nothing to do with shopping. There was the term, black Friday was used in some bad things such as stock market crashes such as the plague, different issues. There was the day after Thanksgiving, people would often call in sick because they just wanted to take that Friday off as well. In modern history as a marketing term started about in the eighties and the notion was that essentially Black Friday was the day that retail stores actually started making a profit. </p>\n\n\n\n<p>So if you think back to your classes of finance or doing the books, when you do not make money, when you are losing money, it is red. When you are making money, it is black. So hence Black Friday, which is mostly true. It&#8217;s a little bit of a folklore of how true that is and I,m sure it is different for different retail outlets, but essentially that&#8217;s the idea is that this is the season when people start to make money.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-big-friday-didn-t-quite-work\">Big Friday didn&#8217;t quite work</h2>\n\n\n\n<p>It was kind of a marketing thing. They started out wanting to call it Big Friday, but Big Friday didn&#8217;t stick and Black Friday is what we are left with and because of its success, we are now also adding Cyber Monday. Do you know why they call it Cyber Monday? Back in the day, people had slow internet connections at home. At home they would have something called a modem that would make, and then when someone would pick up the phone, you&#8217;d get kicked off of the internet. So surfing on the internet was stupid for many people at home. And what they remembered is that my employer pays a lot of money for a really good internet connection at work. So when I get to work on Monday, that&#8217;s when I&#8217;m going to start shopping.</p>\n\n\n\n<p>If you would like to also hear some tips around selling on Black Friday, like which works better? Percentage off or a dollar amount off? Curious, <strong><a href=\"https://dothewoo.io/woocommerce-wordpress-sales-black-friday-2023/\">check out the full podcast here</a></strong>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"Do The Woo Community: Building Community Without the Noise\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4750\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://dothewoo.io/blog/building-community-without-the-noise/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8328:\"<p>When I first launched this site Do the Woo, I had written a post about this. I wanted to pull a bit from that before I bring you to-date.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-my-first-thoughts-on-community-and-noise\">My first thoughts on community and noise</h2>\n\n\n\n<p><strong>Dated October 20, 2020</strong></p>\n\n\n\n<p>Tomorrow comes the official launch of this new site. And let me tell you, it’s been an amazing journey of learning and understanding myself as well as the audience I will be speaking to.</p>\n\n\n\n<p>One interesting aspect of this is the main goal, connecting the Woo builder community. I talked about this on a previous post, but I would like to dive into the concept of connecting. And conversation.</p>\n\n\n\n<p><strong>I was asked about  groups for Do the Woo</strong></p>\n\n\n\n<p>What brought the idea of Facebook groups to mind was something that happened as I have been chatting with various people about my new site. When I talk about connections, conversation and community, a few times I was asked,</p>\n\n\n\n<p>Are you creating a Slack Channel? Starting a Facebook group? Perhaps a forum? Where are you growing your community and letting them have a conversation?</p>\n\n\n\n<p>When we go into or lurk in community chats, whether it’s a Facebook group, regular chatter on any social platform or even Slack, often we end up in the middle of a massive amount of noise. There is a lot going on. Conversations going left and right. Sometimes with a bit of anxiety, bitterness, and yes, anger.</p>\n\n\n\n<p>Now I’m not saying that nothing good comes out of these conversations. But that isn’t the only way to connect and grow a community.</p>\n\n\n\n<p>It can start with this, the art of listening. Remember when that was part of connecting? Taking the time to listen to someone else share their insights and perspectives. Getting a better understanding of that person, and often, the community they are representing. In fact, get three people together for a good conversation and I can guarantee that you will get a lot more out of it vs. endless streams and threads of online chatter.</p>\n\n\n\n<p>Let’s take it a step further, though: personal connection. Learning about someone and then reaching out to them. Or perhaps, even having a connector that will help to introduce you to others in the community.</p>\n\n\n\n<p>Yes, that’s it. I am the connector.</p>\n\n\n\n<p>Whether it’s via a podcast conversation or a post interview, I am connecting you to a new face. Or it might even be me connecting you personally with someone else.</p>\n\n\n\n<p>I get enough of that noise, or what you might consider chatter amongst dozens of people via social and other platforms. And yes, I enjoy that. But with Do the Woo, I am cutting through that noise while bringing the Woo builder community together.</p>\n\n\n\n<p>So in the end, when I do conversations, they are one-on-one. A Zoom chat. A DM on Slack. Email and a variety of other ways. The point is, again, no matter how or where you do it, listen.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-now-it-s-today\">Now it&#8217;s today</h2>\n\n\n\n<p>So I was hoping as you read that you hung onto the fact that I wrote this over three years ago.</p>\n\n\n\n<p>Since then, it has since resonated with me and, to be honest, I think it has always been a part of how I have built my own communities. The fact is we all do it in some way. For Woo builders, while keeping it on the business side of things, it may be a community of customers or clients. It may also be a community within a business you work for, or perhaps, colleagues of yours.</p>\n\n\n\n<p>You may also build communities around you brand or business on your site, on social, on Slack, you name it.</p>\n\n\n\n<p>There are community experts out there that will give you advice. There are also social media consultants that will do the same, specifically for social communities. The thing is that one size doesn&#8217;t fit all. And often that is what you will discover over and over when seeking advice on building your own community.</p>\n\n\n\n<p>I have been building community long before I got into the WordPress space in 2006. With our other business, there were ways that we built our community, and some of this was long before we did it online. I don&#8217;t proclaim to be an expert on community building, but I can share my own experiences that have worked for me. No promises here that I will deliver the perfect piece of advice for your needs, but I am hoping this will give you a bit of a different perspective on community building and something to ponder on.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-a-community-does-not-need-a-bunch-of-noise\">A community does not need a bunch of noise</h3>\n\n\n\n<p>Now before I get into this part, understand that this is how it works for me, and in these last few years with Do the Woo, it has proven right for me. And by no means am I saying it&#8217;s the right way, or the only way.</p>\n\n\n\n<p>I just feel that a lot of people never think about other options when building community. They tend to &#8220;jump on the bandwagon&#8221; of <em>engagement</em> and <em>active conversation</em> as the only way to build all communities.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-engage-or-die\">Engage, or die</h3>\n\n\n\n<p>Community and social media experts say you must engage. Or else why do it? Your community will not thrive without this engagement. It often is literally rammed down your throat. At the same time, engagement isn&#8217;t always clearly defined, and seen as this constant need to reply, comment and add your own opinion, advice or simply be part of the conversation, no matter what.</p>\n\n\n\n<p>In fact, I have seen social media experts take &#8220;engagement&#8221; to a new and disturbing level. They constantly drop into conversations with replies like &#8220;nice&#8221;, &#8220;that&#8217;s great&#8221;, &#8220;cool&#8221; and &#8220;yeah&#8221;. If that is considered engagement, well, count me out. In fact, shouldn&#8217;t engagement also mean bringing value to a conversation. Not simple, meaningless replies that help you as they build up your metrics in your social media engagements.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-everyone-has-an-opinion\">Everyone has an opinion</h3>\n\n\n\n<p>This is the beauty of the human race. We all have an opinion and can freely express it. But on the other hand, at times, it&#8217;s nothing but added noise. How often do you see a thread of a conversation and it appears that most of the comments are left by people who never read what others have said. And alarmingly, more people appear to never have read the original comment.</p>\n\n\n\n<p>As a result, it comes across as being all about &#8220;you&#8221;. You and what your opinion. It&#8217;s like a freaking room of people just shouting out what they are thinking, and ignoring everyone else. Nothing gets resolved and more times than not, it can turn sideways and end up being a never-ending debate or argument, instead of a discussion.</p>\n\n\n\n<p>Now with both engagement and conversations, it&#8217;s not cut and dry. And neither of them are something that you should consider totally dismissing. In fact, depending on the goal of your own community, you may just ignore the advice I have given you so far.</p>\n\n\n\n<p>With that all said, I simply bring these up to give you another thought to ponder on as you build your own community.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-where-is-this-all-going\">Where is this all going</h2>\n\n\n\n<p>This has turned into quite the long post and if you are still with me, I&#8217;m amazed. But hey, it also means you are listening, or perhaps, reading.</p>\n\n\n\n<p>Do the Woo now has 14 co-hosts and more coming on board. On top of that I am constantly having people come in and host their own show, more of a one-off opportunity. And who knows what is next.</p>\n\n\n\n<p>The fact is that each time you hear a show on Do the Woo, and you don&#8217;t hear me, well, that&#8217;s because I was listening. Behind the scenes, taking notes, and enjoying the conversations. Sure there is what you might consider noise in our community, but it&#8217;s softer, more viable and easy to focus on. There is a time and place for lots of noise in many communities, and that is where it will thrive and stay.  But for now, I&#8217;m in my happy place.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"Do The Woo Community: The Perfect Marriage of Content and Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5385\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://dothewoo.io/blog/the-perfect-marriage-of-content-and-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2303:\"<p>I typically don&#8217;t spend a lot of time in the past, but every once in awhile I become reflective. As I move into the next phase here at Do the Woo, well, that is when it happens.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-content-and-community-a-combo-that-hit-me-hard\">Content and Community, a combo that hit me hard</h2>\n\n\n\n<p>If you have been following my journey, you know that, since diving into WordPress 16 years ago, community and content have played a key role in what I do.</p>\n\n\n\n<p>But when I set this site aside, BobWP in October of 2020 and <a href=\"https://dothewoo.io/do-the-woo-is-live-connecting-the-woocommerce-builder-community/\">turned my focus on Do the Woo</a>, it was a transition that grew not only from the previous months of 2020, but all the years before that. </p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-an-interesting-thing-happened-back-in-2020\">An interesting thing happened back in 2020.</h3>\n\n\n\n<p>It can best be described as two-pronged: <em>community and content.</em></p>\n\n\n\n<p>As we all know, in-person connections went down the toilet during COVID. Although I had not been traveling as much over the years prior to COVID, still, I found myself reaching out to more people online. More one-to-one conversations. More digital meetups. More forms of smaller online events. But, to be honest, I probably connected more with the community that than I have in any of the previous years in the space.</p>\n\n\n\n<p>During that same year I found myself burning out on content creation around blog post tutorials. I have done these for years and I just couldn&#8217;t poke one more out at the keyboard.</p>\n\n\n\n<p>So I decided to focus on more community-focused content, such as my podcasts and virtual meetings. It became a natural marriage of content and community.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-between-now-and-then\">Between now and then</h3>\n\n\n\n<p>So on reflection, this was one of the best moves I have made in my WordPress career. I continued on building the community at Do the Woo. Online connections grew, and then when IRL events started back up, well, they blossomed. That tie between content and commiunity have grown to be such a huge part of Do the Woo, and everything I do these days. And now on to 2024, the biggest year yet for Do the Woo.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"Do The Woo Community: Reflections on the First WordPress State of the Word in NYC 2021\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=5150\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"https://dothewoo.io/blog/reflections-on-the-first-wordpress-state-of-the-word-in-nyc-2021/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19806:\"<p>Now I&#8217;m not talking about the State of the Word&#8217;s that we hear from Matt at WordCamps. I am talking about the first one that was a stand-alone event and how I not only was able to attend, but I had quite the experience on the train. </p>\n\n\n\n<p>Also, I am moving over some content from my other site Do the Woo to here as we will no longer have text posts over there. Only podcast episodes. So as a result I am going to make this quite the post by adding the original posts from Do the Woo and linking back to some so I have this experience archived somewhere. </p>\n\n\n\n<p>So let me take you back to December 2021.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-follow-do-the-woo-to-the-state-of-the-word-2021\">Follow Do the Woo to the State of the Word 2021</h2>\n\n\n\n<p><em>published December 6, 2021</em></p>\n\n\n\n<p>Last week on the podcast I announced the cross-country journey I am taking to attend the <a href=\"https://wordpress.org/news/2021/11/state-of-the-word-2021/\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>State of the Word in New York City</strong></a>. As we get closer to the date, the reality of this 8-day adventure is drawing nearer.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Join Me For the Trip</h2>\n\n\n\n<p>Let&#8217;s get one thing straight off. This is not about a train trip where I kick back and enjoy the scenery along the way. Well, okay, I&#8217;m sure I&#8217;ll enjoy it, but this is more about bringing together the community through my ears and eyes. As much as as wish each one of you were on this train, although that is physically impossible, this is my chance to bring a different perspective on this years State of the Word from Matt Mullenweg.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Sights, Sounds and Experiences</h3>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/do-the-woo-is-heading-to-the-wordpress-state-of-the-word-2021/\">In this podcast I shared how this all came about</a>.</strong> And moving forward, it is almost impossible to tell you everything that will take place. But I can promise you podcasts, videos and posts with insights of the State of the Word. Plus pictures of community we meet along the way and in New York City. And I can&#8217;t do this without some snippets of the actual journey across the US. The details are not here now, but will transpire over the duration of the trip.</p>\n\n\n\n<h3 class=\"wp-block-heading\">How to Keep Up It All</h3>\n\n\n\n<p>There are two perfect ways to follow along on this adventure.</p>\n\n\n\n<ol class=\"wp-block-list\">\n<li><a href=\"https://dothewoo.io/sotwevent/\"><strong>Bookmark our special landing</strong></a> where you will find it all</li>\n\n\n\n<li>Follow the <a href=\"https://twitter.com/hashtag/WooTrainClan\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>hashtag #WooTrainClan on Twitter</strong></a></li>\n</ol>\n\n\n\n<p>If you are subscribed to the Do the Woo podcast, you will at least catch all of the conversations and updates done via our episodes, but trust me, there will be a lot more than that.</p>\n\n\n\n<p>However you choose, I am hoping to bring to you the first ever unique event centered around the <strong>WordPress State of the Word</strong>.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-thanks-to-these-sponsors-for-sending-do-the-woo-to-the-state-of-the-word\">Thanks to These Sponsors for Sending Do the Woo to the State of the Word</h2>\n\n\n\n<p><em>published December 7, 2021</em></p>\n\n\n\n<p><strong>The WordPress and WooCommerce community never ceases to amaze me.</strong></p>\n\n\n\n<p>When I came up with the idea of this 8-day event wrapped the State of the Word NYC, I knew it could be big. At the same time it was nearing the end of the year and it&#8217;s not the best time to approach companies about sponsorships. In fact, when your goal is to get things solidified within a week, that is another thing.</p>\n\n\n\n<p>But thanks to four incredible sponsors, <a href=\"https://poststatus.com\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>Post Status</strong></a>, <a href=\"https://www.godaddy.com/en-ph/pro/hub-dashboard\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>GoDaddy Pro</strong></a>, <a href=\"https://www.cloudways.com/en/woocommerce-hosting.php?utm_source=dothewoo&utm_medium=banner&utm_campaign=sotwwoo&utm_id=sotw\"><strong>Cloudways</strong></a> and <a href=\"https://mindsize.com\"><strong>Mindsize</strong></a> who stepped up to the plate, the Do the Woo adventure is happening.</p>\n\n\n\n<p>So please visit their sites, or give them a shout out on Twitter. Because when it comes to WordPress, and yes, WooCommerce, it&#8217;s all about community.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-why-do-the-woo-is-talking-about-the-state-of-the-word\">Why Do the Woo is Talking About the State of the Word</h2>\n\n\n\n<p><em>published December 10, 2021</em></p>\n\n\n\n<p>Over the next week or so, the content here on Do the Woo will be primarily focused on the large WordPress community and the upcoming State of the Word.&nbsp; Likely WooCommerce will poke up here and there, but you will notice an obvious wider perspective on all of the content during this time through Dec. 18th.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Woo and WordPress, It&#8217;s All Good</h2>\n\n\n\n<p>The first obvious reason is apparently the fact that I have created this trip/event around State of the Word.</p>\n\n\n\n<p>But the second reason should also be obvious and it&#8217;s something I talk about a lot here. It&#8217;s the simple fact that WooCommerce sits on top of WordPress. Right? Just about everything that happens with WordPress affects WooCommerce builders in one way or another, ultimately affecting the end user or client.</p>\n\n\n\n<p>Again, as I have said time and time again, if you build with Woo, you must keep on top of WordPress.</p>\n\n\n\n<h3 class=\"wp-block-heading\">And There&#8217;s the Community</h3>\n\n\n\n<p>I have been hanging in the WordPress community for 15 years. During that time I have met incredible people and yes, started doing the Woo. With a history like mine, it&#8217;s easy to build event around the bigger ecosystem. Now I will admit that this is not a WordCamp I am going to and I won&#8217;t see as many people as I would have. But the times are weird and we are all doing what we can. But it will be able to share this experience with those online as well as those I get to see in person, both on the way to the State of the Word and during it.</p>\n\n\n\n<p>The community will also hear reflections of Matt Mullenwegs talk from community members and myself on the return home.</p>\n\n\n\n<p>So yes, I do the WordPress and I Do the Woo.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-an-eat-and-run-with-chicago-wordpress-peeps-on-the-way-to-state-of-the-word\">An Eat and Run with Chicago WordPress Peeps on the Way to State of the Word</h2>\n\n\n\n<p><em>published December 13, 2021</em></p>\n\n\n\n<p><em><strong>Best laid plans of mice and men</strong></em></p>\n\n\n\n<p>If you listen to this podcast (link coming soon), you will hear the story of how <a href=\"https://twitter.com/mpmike\"><strong>Mike Demo</strong></a> from <a href=\"https://www.codeable.io\"><strong>Codeable</strong></a> made his plans to jump on the train (not literally) for the leg from St. Paul to Chicago. This transpired into a dinner for some Chicago WordPress peeps. Long story short, plans where made at the Hard Rock Cafe in downtown Chicago and invites were sent out.</p>\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/11/IMG_0521.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-5486\" />\n\n\n\n<p>Then if you listen to this <a href=\"https://dothewoo.io/serendipity-a-chat-with-susan-ramsey/\"><strong>podcast</strong></a>, you will hear how I ended up running into Susan Ramsey, longtime WordPresser and friend, from Fort Worth, Texas. Yes, and she joined the dinner.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Chicago WordPress Rules</h3>\n\n\n\n<p>It was so cool for both Mike and I to have dinner with <strong><a href=\"https://twitter.com/bgardner\">Brian Gardner</a>, <a href=\"https://twitter.com/onehappystudio\">Susan Ramsey</a>, <a href=\"https://twitter.com/sds52\">Steve Stern</a>, <a href=\"https://twitter.com/beckyddesign\">Becky Davis</a></strong>, <strong><a href=\"https://twitter.com/KKoppenhaver\">Keanan Koppenhaver</a>, <a href=\"https://twitter.com/zstepek\">Zach Stepe</a>k </strong>and<strong><a href=\"https://twitter.com/RobertJacobi\"> Robert Jacobi</a>.</strong></p>\n\n\n\n<p>Even from my perspective it was an interesting group relationship-wise. I have known Becky and Brian from way back at Chicago WordCamp, 2011 or thereabouts. Susan has always been on my radar with her past activities in the Genesis community and, of course, my co-hosts of this podcast, Zach and Robert. But it was also very cool to meet two new faces, Steve and Keanan. Because of the limited time and where I was sitting I got to know Steve a bit better, but hoping I will have the chance with Keanan in the future.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Trains Will Run Late</h3>\n\n\n\n<p>Yes, we learned how trains, especially at this distance, can and will run late. In fact two hours late. As Mike and I had done a podcast on the train and hung out and just chatted, as we grew closer, Mike would frantically check the updates as minutes were slowly being added to the delay. But, hey are we going to let what came as a 2 hour late arrival spoil the party. No way.</p>\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/11/IMG_0515.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-5488\" />\n\n\n\n<p>Robert Jacobi made he was there to greet everyone. When we got off the train, Mike took off to grab a cab while Susan and I looked for the place that would hold my bags. She was damn good at helping me find the right place.</p>\n\n\n\n<p>Mike did make it, gave the cab drive a $20 bill for a $7 fare, and started the party going. We followed and soon were enjoying appetizers and conversation.</p>\n\n\n\n<h3 class=\"wp-block-heading\">The Best Part</h3>\n\n\n\n<p>Sure, I arrived around 7 and by 8:00 was in the Hard Rock shop grabbing a gift for Judy. Of course I was behind Mike who was stocking up on his Hard Rock findings. As I made my way back to the train station, looking at the photo of the group, I could do nothing but smile, thinking about how much fun everyone seemed to be having, catching up IRL, laughing, telling stories. Seeing each other for the first time in awhile.</p>\n\n\n\n<p>It was a joy to see and made me think about this amazing community we have in WordPress.</p>\n\n\n\n<p>So again, thanks to <a href=\"https://www.codeable.io\"><strong>Mike and Codeable</strong></a> for helping bring an amazing highlight to my trip of the #WooTrainClan</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-the-podcasts-on-the-trip\">The Podcasts on the Trip</h2>\n\n\n\n<p><em>podcasts published from November 30, 2021 &#8211; December 22, 2021</em></p>\n\n\n\n<p>I ended up doing podcasts before I left, on the train, at the hotel and a few other places. Here are the links to those. One of the train podcasts was completely by luck. So happens a WordPresser I know was on the same train car. Amazing!</p>\n\n\n\n<p><a href=\"https://dothewoo.io/do-the-woo-is-heading-to-the-wordpress-state-of-the-word-2021/\"><strong>Do the Woo is Heading to the WordPress State of the Word 2021</strong></a></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/just-a-quick-note-on-the-do-the-woo-trip-to-nyc/\">Just a Quick Note on the Do the Woo Trip to NYC</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/a-community-chat-with-cami-macnamara-in-seattle/\">A WordPress Community Chat with Cami MacNamara in Seattle</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/thinking-of-my-sponsors-while-traveling-through-montana/\">Thinking of My Sponsors While Traveling Through Montana to State of the Word</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/serendipity-a-chat-with-susan-ramsey/\">WordPress Serendipity: A Chat with Susan Ramsey</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/random-thoughts-on-the-train/\">Random Thoughts on the Train Traveling to State of the Word in NYC</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/mike-demo-riding-the-woo-train/\">Mike Demo Riding the Woo Train</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/pre-state-of-the-word-2021-with-adam-warner/\">Adam Warner Talks About the Upcoming State of the Word</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/pre-state-of-the-word-2021-with-daniel-schutzsmith/\">Daniel Schutzsmith Shares Thoughts on the Upcoming State of the Word</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/pre-state-of-the-word-2021-with-cory-miller/\">Cory Miller from Post Status on Community and State of the Word</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/post-state-of-the-word-topher-cate/\">Topher and Cate DeRosia Talk HeroPress and the State of the Word</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/state-of-the-word-mark-westward/\">Thoughts on the State of the Word from Mark Westguard</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/the-beginning-of-the-end-wootrainclan/\">The Beginning of the End, State of the Word and the WooTrainClan</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/matt-mullenweg-on-woocommerce-at-the-state-of-the-word-2021/\">Matt Mullenweg on WooCommerce at the State of the Word 2021</a></strong></p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/last-thoughts-on-the-state-of-the-word-from-the-community/\">Last Thoughts on the State of the Word from the Community</a></strong></p>\n\n\n\n<p>And before I left NYC and caught that train home, had the time to grab a nice lunch out with Bud Kraus, Robbie Adair and Cate and Topher Derosia</p>\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/11/IMG_0648.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-5518\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-oh-and-then-there-was-state-of-the-word-2022-in-nyc\">Oh, and Then There Was State of the Word 2022 in NYC</h2>\n\n\n\n<p>Of course, when it came around the next year, I opted to do this again but plane instead of train and no podcasting.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-do-the-woo-is-headed-to-the-state-of-the-word-nyc-again\">Do the Woo is Headed to the State of the Word, NYC, Again</h3>\n\n\n\n<p>It&#8217;s that time of the year, or at least for the second year in a row. <strong>Matt Mullenweg will be giving the State of the Word again in New York City</strong>. And yes, once again I will be making the trek across country to attend.</p>\n\n\n\n<h4 class=\"wp-block-heading\">What is and what was</h4>\n\n\n\n<p>You may or may not recall that last year, due to a misunderstanding with flying and ID&#8217;s required, I ended up taking a roundtrip adventure on a train to NYC. In fact I have <strong>several posts here that not only talk about the adventure, but also podcasts that were done along the way as well at in NYC</strong>. I don&#8217;t need to go into the details again, but let&#8217;s just say I have opted for a flight this time. <img src=\"https://s.w.org/images/core/emoji/15.0.3/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" /></p>\n\n\n\n<h4 class=\"wp-block-heading\">Time for connection, reflection and optimism</h4>\n\n\n\n<p>So you may be asking why I used the resources to fly six hours one way for a three hour event. Well, first I feel I need to be there to represent Do the Woo. And I am able to do this because of the <strong>support of our Pod Friends</strong>.</p>\n\n\n\n<p>But it also is perfect timing for the end of the year.</p>\n\n\n\n<p><strong>Connection</strong> &#8211; this goes without saying. Although a small crowd, maximum of 50 people, I always look forward to connecting with my WordPress friends. In fact, sometimes smaller is better.</p>\n\n\n\n<p><strong>Reflection</strong> &#8211; when Matt reviews the year, for some it may seem to be only on the surface. But post-state of the word gives me time to think about what he has said. What it means to the community. And what it means for our efforts here at Do the Woo. For me personally, it has more meaning and goes deeper when I experience it in person. Plus it gives me something to think about on the flight home.</p>\n\n\n\n<p><strong>Optimism</strong> &#8211; I am by nature optimistic. And though there can be skepticism, doubts or even drama for others, each year always brings me optimism in the future of the project.&nbsp; Which lends to the whole experience that I have before, during and after the State of the Word.</p>\n\n\n\n<p>I do admit I am lucky that I can attend. And yes, again I have my sponsors to thank for that. Also, there is a part of me that hopes the SOTW could be worked to be given at all of the flagship WordCamps, as it had been done with WordCampUS before. But knowing that it plays on the end-of-the-year, maybe I am too optimistic there.</p>\n\n\n\n<p>If you are one of the few that are able to attend, and we haven&#8217;t talked about meeting up yet, let me know. NYC, here we come!</p>\n\n\n\n<h4 class=\"wp-block-heading\" id=\"h-a-state-of-the-word-dinner-with-some-woo\">A State of the Word Dinner with Some Woo</h4>\n\n\n\n<p>As you likely know from earlier posts and podcasts, I was able to attend the State of the Word this year in New York City. All because of our Pod Friends.</p>\n\n\n\n<h4 class=\"wp-block-heading\">When a community comes together</h4>\n\n\n\n<p>Since I would be there on the night before the event, <a href=\"https://meetmichelle.online/\"><strong>Michelle Frechette</strong> </a>and I started a conversation with others who were attending. &#8220;How about getting together for dinner?&#8221; Of course, as with any WordPress event, large or small, you will find those interested, both old and new friends. And the fact that the hotel we both were staying at had this very convenient restaurant and bar, well, it was an easy decision.</p>\n\n\n\n<p>Except when you call to make a reservation, get a failed call notice, and learn from the hotel that the restaurant is closed.</p>\n\n\n\n<p>This led into more conversations with those attended, and those not. Apparently with the size of most restaurants in NYC being small and, to add to that, the holidays, well, finding a reservation for 10-11 people turned into a challenge. The fact that I had left this to only a few days before the dinner didn&#8217;t help.</p>\n\n\n\n<h4 class=\"wp-block-heading\">It takes a community</h4>\n\n\n\n<p>We are a hearty group and don&#8217;t give up easy. Along came superhero <a href=\"https://nevharris.com/\"><strong>Nev Harris</strong></a> suggesting he calls the American Express concierge to help and recommend some restaurants was a game saver. And although what we found was an outdoor heated patio, with temperatures in the low 30&#8217;s F, we couldn&#8217;t be picky. Luck was on the side of this WordPress group and we felt we were treated to a semi-private room where good food, drinks and conversation took the stage.</p>\n\n\n\n<img width=\"768\" height=\"1024\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/11/51C33347-33A0-4015-A2D4-199FB6D0B253_1_105_c.jpeg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-5492\" />\n\n\n\n<p>Of course, once you have had a terrific Italian dinner there is no better place to extend the holiday cheer than for a few of us to visit Rockefeller Center.</p>\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/11/IMG_1504-1024x768.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-5491\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-state-of-the-word-2023\">State of the Word 2023</h2>\n\n\n\n<p>Which brings me right back to where we are. Will I be attending SOTW at the end of this year? You just never know, but once I get started&#8230;.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"Do The Woo Community: Partnership &gt; First Win &gt;Talk About It\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4971\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://dothewoo.io/blog/partnership-first-win-talk-about-it/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4483:\"<p>A large part of what we do over on Do the Woo is help builders with product growth. Now I am no expert in the field, but by osmosis, through our partners, our podcast guests, and yes, our show&#8217;s co-hosts, there is a wealth of knowledge that I facilitate and bring to the table.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-partnerships-are-a-big-thing\">Partnerships are a big thing</h2>\n\n\n\n<p>Since I have been in business, even before WordPress, I valued every partnership I grew. And when it comes to partnerships and product growth, a lot of us hear tips and insights that are helpful, but seldom do they take a twist on things. That is what I am always looking for.</p>\n\n\n\n<p>My friend and colleague, <strong>Jonathan Wold</strong>, is instrumental in helping me get Do the Woo where it is at today. I could go on and on about Jonathan, but another trait I really value from him is his unique and powerful insights that he brings to the Woo and WordPress ecosystem. And recently I was revisiting a post from last year about the challenges founders face with product businesses being undervalued in the WordPress ecosystem, my ears perked up. It&#8217;s titled, <a href=\"https://jonathanwold.com/using-the-loop-to-grow-a-wordpress-product-company/\"><strong>Using the Loop To Grow a WordPress Product Company.</strong></a></p>\n\n\n\n<p>The post resonated with me initially as it applies to my own partnerships and how I can help my partners get the most out of it.</p>\n\n\n\n<p>I really felt Jonathan hit the nail on the head. With as many of these product companies who are struggling with growth, they can take his thoughts and actually step back with an approach that is more refined and strategic.</p>\n\n\n\n<p>Now I don&#8217;t want to give away the whole post, but I wanted to tease you with these three elements of what he calls the &#8220;loop&#8221;.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-from-jonathan-s-blog\">From Jonathan&#8217;s blog</h3>\n\n\n\n<p>Here is a small part of the post:</p>\n\n\n\n<h4 class=\"wp-block-heading\" id=\"h-partnerships\">Partnerships</h4>\n\n\n\n<p>Our ecosystem is warming up to the idea of growing through strategic partnerships. I spoke about it at WordCamp Europe and published a framework for strategic partnerships that’s served as a starting point for founders.</p>\n\n\n\n<p>Within the context of our growth strategy, the idea is that you start with a partnership. Identify another business within the WordPress ecosystem aligned with the audience you’re serving and the problem you’re focused on solving and form a partnership.</p>\n\n\n\n<p>Early on, you can’t know whether a partnership will work out or to what extent. Accordingly, it’s critical to focus on your..</p>\n\n\n\n<h4 class=\"wp-block-heading\" id=\"h-first-win\">First Win</h4>\n\n\n\n<p>Work with your new partner to identify a first win. Given our emphasis on customer centricity, the ideal first win is going to be helping a mutual customer succeed.</p>\n\n\n\n<p>This is where I often see partnerships go wrong. They “partner up”, and wait around for wins to happen. Stay focused on the partnership until you have a win that has all involved succeeding.</p>\n\n\n\n<p>A first win is also a great way to gauge the quality of the partnership and decide how much further each of you are willing to invest.</p>\n\n\n\n<h4 class=\"wp-block-heading\" id=\"h-talk-about-it\">Talk About It</h4>\n\n\n\n<p>Take the win and keep the customer in focus; it’s about them, not you. With the customer’s blessing, tell the story. Work with your partner to share the mutual win within your spheres of influence.</p>\n\n\n\n<p>Talking about the win and keeping the customer in focus gives you an opportunity to both anchor and continuously refine your positioning.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-the-loop\">The Loop</h3>\n\n\n\n<p>Of course the loop is the part that is as simple as this, <em>rinse and repeat</em>.</p>\n\n\n\n<p>Now, as I said before, this was just a teaser as there is a lot more to the post that will be helpful to any product company looking to grow, whether it&#8217;s a product for WooCommerce or the bigger WordPress ecosystem. He goes more into his thoughts around this strategy including some solid guidance. <strong><a href=\"https://jonathanwold.com/using-the-loop-to-grow-a-wordpress-product-company/\">Check out Jonathan&#8217;s post here</a>.&nbsp;</strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"Do The Woo Community: Finding Team Members to Fit Your Company’s Culture\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4954\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://dothewoo.io/blog/finding-team-members-to-fit-your-companys-culture/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3141:\"<p>In a podcast with <a href=\"https://dothewoo.io/building-an-agency-team-and-culture-for-success/\"><strong>Marius Vetrici from WPRider, we dove into his agencies culture</strong></a>. Host Ronald Gijsel asked him, &#8220;How do you find out if somebody is the right fit into your culture? Is that something that you are very conscious on when you&#8217;re recruiting somebody?&#8221;</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-recruitment-into-a-culture-of-values\">Recruitment into a culture of values</h2>\n\n\n\n<p>Between 2003 and 2013, I had another software company, and there we failed with five different products and made all the mistakes that you can do. That was a product company. So that&#8217;s why this time when we are approaching the new product, we did some research, we looked at positioning and the market and the needs that customers value.</p>\n\n\n\n<p>Now coming back to the recruitment, we start by trying to attract the right people. WPRiders was just starting up when it was founded as a company. I wrote down the values that I would ideally have that would run our company. These were not only just some words but an explanation of values, what was my understanding of those values at that time, and how does somebody objectively know if a person lives up to the values or not?</p>\n\n\n\n<p>When we started hiring people, I would just add those values into the job ad because that would communicate to certain people that, hey, these guys are like this, this is their values. And throughout the years we had people telling us that they had created the resume just to apply to your job. I have never had to apply to a job, but something clicked and I wanted to just meet you guys. So this is the effect that you are getting when you are consciously sending those messages, almost like a subliminal message on a certain wavelength. And then during the interview there are questions designed to discuss examples of this or that value, for example, integrity, honesty. And every six months we do evaluate ourselves with a performance appraisal and look at the values again to make sure we allocate some resources and budget in order to support and to foster those values.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-how-reviews-are-done-for-team-members\">How reviews are done for team members</h3>\n\n\n\n<p>Throughout the years we&#8217;ve designed a process for this. Actually, that&#8217;s one way that helped me convert myself from a freelancer, one-man show, into a team. Every time I would do a repetitive task, I would just write down a checklist, like a guideline, a procedure. And then I would run it based on that checklist just to make sure I&#8217;m not missing anything. Later on when new colleagues came in, they would just pick up on those checklists and would develop them further.</p>\n\n\n\n<p>So yeah, we are doing these reviews internally based on these processes that we&#8217;ve developed. And we have our director of operations who&#8217;s evaluating most of the people because they are in the operational department and I am still doing the performance appraisals for the other areas like sales and recruitment.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"Do The Woo Community: What Sets a Good Freelance Developer Apart From the Others\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4763\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://dothewoo.io/blog/what-sets-a-good-freelance-developer-apart-from-the-others/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3025:\"<p>Freelancing is not for the weak-hearted. It takes a lot of grit, <strong>empathy</strong> and courage. Some who choose that path wouldn&#8217;t have it any other way. There are opportunities they are given that would not have been the same if they were working for a company or an agency. And although you might be thinking that the freedom alone is one of the strong points, when it comes to what really sets apart a good freelancer if beyond that creative drive.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-the-super-power-of-building-relationships\">The Super Power of Building Relationships</h2>\n\n\n\n<p>A lot of developers start their career opening an agency. You spend your time trying to gain clients, trying to provide solutions, running after different projects. But for some freelancing is the best route. Whether it&#8217;s yourself, or you work for a company like Codeable, it provides the best way to get the kind of clients you want. Ideally, those who are respectful, and they appreciate your work, and they return to you and you build a relationship with them.</p>\n\n\n\n<p>What many developers have admired the most about the freelancing is the relationship that you can build with clients.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Freelancing Gives You the Ability to Communication with Clients</h3>\n\n\n\n<p>With the ability to communicate with clients, to express yourself, to even talk about technical stuff and not only the technical stuff. All of that together makes it much more sense to as a human being and as a system solver or provider, to work with clients than any other way.</p>\n\n\n\n<p>What sets a good freelancer apart is the ability to build relationships. It&#8217;s never about what that customer needs now or what that customer might need now, it&#8217;s about supplying them with what they need now in such a manner that they are always going to come back to you for it. You are their trusted partner in this journey that they are making with their website, and they will always come back to you. It&#8217;s about establishing those relationships in very solid manner. And it&#8217;s about the small things. It&#8217;s about saying, please, thank you, or remembering them on a holiday and saying, &#8220;Hey, happy holiday.&#8221; It&#8217;s the little things that make it.</p>\n\n\n\n<h3 class=\"wp-block-heading\">The Hardest Part is the Soft Stuff, Not the Technical Stuff.</h3>\n\n\n\n<p>As a result, what sets a really amazing freelancer apart from ones that tackle the hardest part, the soft skills. That&#8217;s the most difficult part to really tone down.</p>\n\n\n\n<p>The technical stuff you can learn in a book. Saying it&#8217;s not hard I suppose is reductive. But you&#8217;re capable of learning it with ease, there&#8217;s a structure to it. The soft stuff is the harder piece of it.</p>\n\n\n\n<p><strong>This post was inspired by the conversation with <a href=\"https://dothewoo.io/woo-bizchat-with-christopher-churchill-and-marcel-schmitz/\">Christopher and Marcel</a>&nbsp;on the podcast.</strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"Do The Woo Community: Thoughts on Translating the WooCommerce Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4967\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://dothewoo.io/blog/thoughts-on-translating-the-woocommerce-plugin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7179:\"<p>Last year on a <a href=\"https://dothewoo.io/translation-community-sustainability-woocommerce\"><strong>podcast</strong></a> host <strong>Abha Thakor</strong> had a chat with three Woo builders as they shared their stories around translation, meetups and sustainability. It&#8217;s great to reflect on past conversations as we need to keep these important elements of WooCommerce moving forward.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-translating-woocommerce-as-a-plugin-into-your-local-language\">Translating WooCommerce as a plugin into your local language</h2>\n\n\n\n<p>When it comes to the WooCommerce plugin, there are thoughts around the importance of translating it into local languages. For example, Simon Kraft from Germany weighed in on this.</p>\n\n\n\n<p>He started by stating that WooCommerce is similar to WordPress and any WordPress plugins because people often find their way around English strengths since English is the default in WooCommerce and many other plugins. But in cases like eCommerce, it&#8217;s very important to have that in your local language. This helps any user or developer to understand what you&#8217;re doing and find your way around a shop or a website. Luckily with WordPress there is a large community of volunteers pledging their time to translating enormous numbers of text to their local languages.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-translations-in-german\">Translations in German</h3>\n\n\n\n<p>When it comes to Simon&#8217;s native language, German, he noted that they are a bit picky with having strange language strings in their websites and WooCommerce shops are no exception to that. Years ago when he started translating WooCommerce, he would find wrong or misleading translation, something that was translated with some automated software like Google Translate, but was not precisely on point in German. At that point he thought, &#8220;Hmm, we can do better than that.&#8221; So Simon moved over to the translation side of things and tried to fix it and not break stuff on my way there.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-getting-started-on-translating-the-woocommerce-plugin\">Getting started on translating the WooCommerce plugin</h2>\n\n\n\n<p>Vachan from India added how he started translating WooCommerce and how others can start. It started with his team and wanting to help the community. As a project translator the simplest way to do this is to go to the <a href=\"https://translate.wordpress.org/\"><strong>translation page on the WordPress official website</strong></a>. There you will be able to easily find what interests you in translation. Just select your language and you can select which project you want to work on. For WooCommerce, once you have chosen your language, search for it. There you will find a complete front end system where you can see what has been translated and what is pending.</p>\n\n\n\n<p>In most cases, there are two primary places where you can help contribute to the translation. The first is the stable version, which is actually live and people are using it. Secondly, there&#8217;s a trunk, which is the future release, the immediate future release. Both are equally important because the current version helps whoever is already installed and working on that to ensure it gets updated whenever the user updates their website. And of course, the trunk is for the future release.</p>\n\n\n\n<p>He goes on to say that working in both is a good idea. It&#8217;s about your fluency and how comfortable you are picking up any language. If you feel you&#8217;re confident enough to take any language, you can explore it. See what words, which phrases are requiring any translation and you can suggest that translation. And it&#8217;s as simple as just filling up that simple clicking on the word, clicking on that phrase and just in inputting your translated reply. That&#8217;s it.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-do-you-need-to-be-a-woocommerce-developer\">Do you need to be a WooCommerce developer?</h3>\n\n\n\n<p>Vachan does not feel you need to be a developer. You just need to understand WooCommerce enough and have used it. It&#8217;ll help you because you understand where that phrase is being used. Because in some languages, what happens with the same word could mean something differently, such as a different context. So just being aware of the context is a good thing. You don&#8217;t have to be an expert in development as there isn&#8217;t any coding language required. It&#8217;s just the language you know. And understanding the context of where that phrase is going to get used in the software is important.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-challenges-of-translation\">Challenges of translation</h2>\n\n\n\n<p>Everyone on the podcast gave a bit of insight to the challenges not only met with WooCommerce translations, but WordPress as well. Maja gave one example of translating a certain term like <em>tab</em> or <em>field</em>. Once this is done and you translate to a new deposit, this word in the glossary. For instance, if the tab is being translated into my language, if you go and Google that word in my language, you will not find anything actually that explains how to solve your problem. So it would be great if there would be a visual supporting articles explaining this or expanding on the glossary.</p>\n\n\n\n<p>Simon, when revisiting translating German, added that here are cases where stuff like that happens. In German, it&#8217;s not so bad because German and English are quite close to a certain degree. The main issue with German is that German words are very long in many cases. Because in German it&#8217;s grammatically sane to just chain words and have like <em>donaudampfschifffahrtsgesellschaftsmützenfabrikant</em>. That&#8217;s a valid word. It&#8217;s about a hat for a sea captain.</p>\n\n\n\n<p>So in many, many cases, it&#8217;s actually an issue to find a translation that fits the context. For example, you have a button somewhere and the button cannot be huge. So you have to find a fitting word that meets the context. That&#8217;s hard sometimes.</p>\n\n\n\n<p>When it comes to WooCommerce or any eCommerce context, translating with localizing the currency is important. WooCommerce, which is America-focused in many cases, we have examples in U.S. Dollars and similar currencies, which is perfectly fine. But if we translated for the German or European market, then we would replace those examples with Euros or Pound or whatever.</p>\n\n\n\n<p><strong>Final Thoughts</strong></p>\n\n\n\n<p>The overall conversation carried a theme as first mentioned. It is important for WooCommerce builders, who have the resources and capabilities, to get involved with helping to translate the WooCommerce plugin. From what I have seen, the growth of Woo is building in countries across the world and here at Do the Woo we want to help you to bring your translating skills to help that growth.</p>\n\n\n\n<p>Again, you can listen to or read the full transcript here of the episode <strong><a href=\"https://dothewoo.io/translation-community-sustainability-woocommerce\">Stories of Translation, Community and Sustainability with Vachan, Maja and Simon</a></strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"Do The Woo Community: Breaking Into the WooCommerce Ecosystem as a Product Developer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4747\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://dothewoo.io/blog/breaking-into-the-woocommerce-ecosystem-as-a-product-developer/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2986:\"<p>If you are a product developer, you may be thinking of moving into the the Woo ecosystem. You may be starting a plugin or extension or have already built it. Maybe you are looking at a big player in the space to acquire it. Or reselling on the <strong><a href=\"https://dothewoo.io/woocommerce-marketplace/\">WooCommerce marketplace.</a></strong> Here are three good places to start.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-make-your-product-compelling\">Make Your Product Compelling</h2>\n\n\n\n<p>What is compelling about a product is when it&#8217;s really created with customer need in mind. Less breath, and more depth. By that have it focus on this one problem and just really introduce an elegant, simple, easy solution that reflects and understanding of the customer&#8217;s true need.</p>\n\n\n\n<p>Everyone has seen products out there, plugins, extensions, consumer products that are just patched together, modified from one thing to suit a different need. What is important is the thing that you&#8217;re creating really does meet a real need in the market.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-introduce-an-elegant-solution\">Introduce an Elegant Solution</h3>\n\n\n\n<p>This is looking at it from the customer perspective and not from a coding or development standpoint If the store owner uses your plugin , they want to with minimal guidance and to be able to feel confident in their use of it. That is the bigger picture.</p>\n\n\n\n<p>This may not be feasible depending on the level of complexity of the problem that you&#8217;re trying to solve. But it can be bolstered by really great docs, videos, and how to&#8217;s. With Google these days, people can find guidance out there. If they are using something and it&#8217;s intuitive or it&#8217;s adapting to their skill level or needs, that is really beautiful.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-winning-hearts-with-reviews\">Winning Hearts with Reviews</h3>\n\n\n\n<p>It&#8217;s not always about market share or numbers. It&#8217;s also about winning the hearts of those that you&#8217;re trying to serve. So the amount of passion that comes through reviews should reflect a love for a brand, or the story about &#8220;hey, it really made my work a lot easier,&#8221; or &#8220;It boosted my sales by 40 percent,&#8221; or, &#8220;it changed how I think about my business, and it changed the opportunity for me.&#8221;</p>\n\n\n\n<p>These are just three examples that were shared with from <strong><a href=\"https://dothewoo.io/a-roundtable-chat-with-clara-lee-product-marketing-at-woocommerce/\">Clara Lee who leads product marketing at WooCommerce.com</a></strong>. She has a lot of insights she shares more behind the scenes via marketing the WooCommerce marketplace and other products. You can listen to the full podcast. Or if you would like to hear <a href=\"https://dothewoo.io/woocommerce-product-builder-ecosystem/\"><strong>my perspective on breaking into the Woo ecosystem, I have a few thoughts as well.</strong></a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Do The Woo Community: Four Major Considerations on Shaping an AI Feature in Your Product\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4776\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://dothewoo.io/blog/three-major-considerations-on-shaping-an-ai-feature/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4715:\"<p>A bit ago we had an episode with host <a href=\"https://dothewoo.io/wordpress-woocommerce-ai/\"><strong>Dave Lockie and Dan Walmsley, Interim Head of Artificial Intelligence at Automattic</strong></a> as they dove into AI, what it means to WordPress and WooCommerce, as well as how the future of AI is perceived within Automattic. Dave asked Dan about the speed of AI and shipping features out whether that be in the next month or the next week or the next year, and probably, at this rate, tomorrow.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-long-term-short-term-long-term-test\">Long term, short term, long term test</h2>\n\n\n\n<p>Dan shared when it comes to contemplating how to shape a feature, he has at least three major considerations. One is over the long term. Is there something foundational about this? Is there something fundamental about this? For example, they worked on this chat feature for Seth Godin&#8217;s blog and there&#8217;s a few other blogs it&#8217;s on too, and there there&#8217;s a lot of improvements of that coming down the pike. It was very much a first pass, but Dan believes that chatting with a blog, making it possible for someone to take any knowledge base, whether that&#8217;s something they&#8217;re curating or it&#8217;s a long tale of their blog history and making those recipes, those diary entries, those words of advice or whatever else that you filled your blog with accessible through a chat interface, he believes is a fundamental new both user interface paradigm and a much more powerful way to interact with content than we&#8217;ve had in the past.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-every-site-owner-should-be-able-to-tune-for-their-own-use-case\">Every site owner should be able to tune for their own use case</h3>\n\n\n\n<p>At Automattic, they believe that this is something that every site owner should be able to tune for their own use case. Much like with ChatGPT, how you can plug in tools, what does it look like to plug AI tools into a chat experience powered by a WordPress website? Dan thinks a lot of people are thinking about that and they&#8217;re thinking about that too. They just think there&#8217;s a huge amount of value. Is there something fundamental, is one question, and then are there many possible different use cases, all the way from a free site up to an enterprise site? Can we imagine that same feature, say chatting with a blog, being useful? Well, yes, if you provide customer support, if you provide advice, if you provide recipes, if you provide stories for kids, those are all different personalities and knowledge bases that can be delivered through exactly the same user interface paradigm and set of tooling. The adaptability of the GPT series of models means that we can use the same stuff to serve all those things, so that&#8217;s great.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-does-it-solve-a-pain-point-people-have-today\">Does it solve a pain point people have today?</h3>\n\n\n\n<p>Then in the short term, the question is, and this is the third piece, does it solve a pain point people have today? Is there something missing in their lives? That part is a little harder. He feels like we are in a moment where people aren&#8217;t quite sure what this AI thing is for yet or how much to invest in it, but he does think that for many products, people are intrigued by AI and willing to try it as an add-on to something they already know. Oh, you were going to buy the pro plan. Oh, it comes with an AI thing. Well, you are definitely going to get it now and try it out for a week and whatever and see what that&#8217;s about because you want to know what AI can do for you and your business.&#8221; So we&#8217;re in a moment like that, that that&#8217;s kind of a bubble where I think that&#8217;s going to tip a lot of AI companies&#8217; conversions over the edge in the time being.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-are-you-actually-providing-value\">Are you actually providing value?</h3>\n\n\n\n<p>But the long-term test, the long-term tell is are you actually providing value? Do you actually have a moat? Can you be eaten alive by someone else with better data? He thinks at Automattic they have many, many, many possible things they can try that all of which look really, really promising and are based on, again, the reason why they invested in Sync is they asked the question, &#8220;Is it fundamental? Does it enable multiple potential use cases and does it scale from simple sites all the way to the enterprise?&#8221; And the answer for all three was yes.</p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/wordpress-woocommerce-ai/\">You can listen to the full show or read the transcript here.</a></strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"Do The Woo Community: What Storytelling Means to a WooCommerce Product Builder\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4962\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://dothewoo.io/blog/what-storytelling-means-to-a-woocommerce-product-builder/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7390:\"<p>Abha Thakor, co-host on my podcast <strong><a href=\"https://dothewoo.io\">Do the Woo</a></strong>, has been bringing on guests to tell stories since she joined our team. Before she did that, <strong><a href=\"https://dothewoo.io/building-stories-community-and-woocommerce-sites/\">she was a guest herself </a></strong>and took the time to explain why storytelling is such an important part of being a builder.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-the-reason-behind-storytelling\">The reason behind storytelling</h2>\n\n\n\n<p>I get really exasperated when people tell me in a professional environment, &#8220;Oh, we do storytelling&#8221; when this storytelling is basically nothing about the person or capturing what it is that it means to them. And it is just a corporately-engineered line. Some corporate blurb that has nothing about the real person or people involved. <a href=\"https://dothewoo.io/woo-stories-they-are-everywhere/\"><strong>Storytelling</strong></a> has been around for thousands of years, the only difference is the tools that we use. A story, to be effective, has to have certain components to help people understand that story, to reach others, and for them to be moved or inspired by that story.</p>\n\n\n\n<p>That doesn&#8217;t mean that they should create stuff that&#8217;s not there. This is one of the things that I would really say to WooCommerce businesses, please don&#8217;t create stories that aren&#8217;t true. If you change people&#8217;s stories or what they share in reviews to fit your corporate brief or what you&#8217;re trying to sell, they will come back about it and they will not work with you again. They will also be a lost customer.</p>\n\n\n\n<p>And actually, you don&#8217;t need to approach it like that because the story they&#8217;ve told you is the one which will inspire somebody else. Storytelling needs to be something that is positive, it needs to have an integrity to it. It also needs to avoid being translated into words that actually people will not understand. People don&#8217;t relate to that, people relate to people.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-what-storytelling-means-to-a-product-builder\">What storytelling means to a product builder</h3>\n\n\n\n<p>The best stories are often going to be the people who write to you and give you a particularly strong review, saying why it made a difference. Now, don&#8217;t just use their review and run it as a promotion with all your branding around it. Talk to the person. Because talking to the person will give you more of the context of that story. That story itself is likely to be more powerful. You have empowered the person and the customer, you&#8217;ve made them feel valued, which is important because this customer has taken time to contact you. It is often so easy to give a negative review. In our culture, sadly, people will not jump to pay a compliment. Value that customer who does and help them share their story.</p>\n\n\n\n<p>The Royal National Lifeboat Institution is a really good example. They are a charity in the UK and Ireland, and like many other organizations, they monitor what is happening. They monitor what is being said. But they don&#8217;t just take it, reproduce them and say, &#8220;Hey, this is all about us.&#8221; What they do is actually something that is the same for what you would do for a product.</p>\n\n\n\n<p>It&#8217;s, &#8220;Let&#8217;s talk to this person, let&#8217;s see what the context is. Let&#8217;s see what else they might want to say.&#8221; It may be that they want to share more. If you don&#8217;t have the conversation, you could have just missed out on the best story, something that will not only interest your audience, but will also motivate your team or staff.</p>\n\n\n\n<p>Stories can also come from other sources and interactions with your customers. Encourage your team to look out for how to help build your community.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-the-story-brings-trust-for-newcomers-to-woocommerce\">The story brings trust for newcomers to WooCommerce</h3>\n\n\n\n<p>We often say to one of the WooCommerce agencies we work with, &#8220;Okay, if you are working with a charity or you are sponsoring something because you passionately believe in it, what are you want to say about that?&#8221; And not from the perspective of making money off that charity or making money off that cause. But what is it that is part of your story? Because actually telling your story is more than telling the public that you sponsored something.</p>\n\n\n\n<p>And I&#8217;ve seen it with WooCommerce builders. I&#8217;ve dealt with a couple of sites recently that they&#8217;ve sent me. [These sites in their version of stories]&nbsp; literally talked about what they had in their toothpaste and when they brushed their teeth, what came out of their teeth. And &#8220;Why would people want to know this?&#8221;</p>\n\n\n\n<p>It was because the teams looked at social media where people talked about breakfast and things like that. They didn&#8217;t know where to start, so, that&#8217;s what they did too. I have got permission to re-tell that story because the team there said, &#8220;Someone should have told us this.&#8221;</p>\n\n\n\n<p>But it&#8217;s telling your story and telling what you are comfortable with sharing. I&#8217;m one of the editors of the People of WordPress series. And we&#8217;ve interviewed lots of people who are from e-commerce, but hear them say, &#8220;Okay, what are you happy to be reading about yourself? What are you going to be happy about someone talking to you about? Is really important and that&#8217;s for any person.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-it-s-about-being-listened-to-and-heard\">It&#8217;s about being listened to and heard</h3>\n\n\n\n<p>And that&#8217;s the joy for me, coming from a PR background where I&#8217;m a Chartered PR Practitioner and that&#8217;s a lot about actually thinking about the ethics of communication and how we deal with things in a positive way and how we involve people. We don&#8217;t do communications to them, we create or we do communications together because it&#8217;s about being listened to and being heard. And <a href=\"https://dothewoo.io/woocommerce-builders-content-creation/\"><strong>helping people be listened to and heard is the greatest way to do that</strong></a>.</p>\n\n\n\n<p>We talk about ownership a lot. So if I was talking to you as a product developer, I would say, &#8220;Okay, share a little bit about what that means in terms of why it&#8217;s special to you, how and why it excites you,&#8221; because that is your story. And that may be what you invite other people to share as well.</p>\n\n\n\n<p>For example, with the boats work that we do, we ask the captains to share what it is that they love about taking people on these wonderful excursions. And it becomes much more than this e-commerce thing that you&#8217;re supposed to do. It becomes a living and breathing part of your business and part of your organization. And that is when business really innovates, it&#8217;s when you get fantastic solutions, it&#8217;s where you meet and collaborate with other people. And more importantly, you get to meet exciting customers that makes day with you for the rest of your business career. And that&#8217;s the people that you want to be at your party when you retire. So, it&#8217;s bringing that locality back to you, really.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"Do The Woo Community: Looking at Code as Words\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4770\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://dothewoo.io/blog/looking-at-code-as-words/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2814:\"<p>During a past <a href=\"https://dothewoo.io/cooking-up-some-code-with-kim-coleman/\"><strong>podcast Abha Thakor was chatting with Kim Coleman about her journey as a developer</strong></a>. Previously she had talked to her and one of the things that Kim liked about code, it is words and when you look at code, that is what you see. For those who are especially struggling or wanting to learn more she asked Kim to elaborate.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-oh-this-is-code-i-can-t-understand-it\">Oh, this is code. I can&#8217;t understand it.</h2>\n\n\n\n<p>WordPress itself in the early days and even to today, is largely built in a language called PHP. And it is a human readable language. If you get over the fact that you&#8217;re looking at code, it reads in English words that we all know and we can understand. But I think the hurdle is getting past looking at code and saying, &#8220;Oh, this is code. I can&#8217;t understand it.&#8221; You&#8217;re not looking at zeros and ones, you&#8217;re looking at words you can understand. For me, I got my start doing graphic design. I was creating print products, I was using Adobe tools to create them.</p>\n\n\n\n<p>And over time I started working more with my husband, Jason. He was my boyfriend at the time, building websites. He was studying computer science and he himself was more doing the backend in the code work. I was designing things as kind of a static mockup of the site and then I realized I could go a little farther, I could take another piece of this from his plate, I could do the actual HTML and CSS markup.</p>\n\n\n\n<p>Again, both languages that really are human readable languages. And then over time started doing some of the PHP work. I would call myself a front end developer at this stage, but it was really a granular process of using the resources I could find on the internet, using Stack Overflow, using what we called the WordPress codex at the time, now, the developer resource library.</p>\n\n\n\n<p>And finding examples of code where people were extending WordPress, where people were adjusting the appearance of a theme, copying it, pasting it into my editor, reading the code and deciphering the code enough to say, &#8220;Oh, I just need to tweak this one little bit, this ID or this selector or this location to my term and then it will work.&#8221; So there&#8217;s a bit of a daring aspect to doing that. And it feels scary because you could potentially &#8220;break&#8221; something, but luckily we can undo things. Command Z, control Z often is your best friend when you are beginning to develop and not quite sure if you&#8217;re going to break something.</p>\n\n\n\n<p><strong><a href=\"https://dothewoo.io/cooking-up-some-code-with-kim-coleman/\">You can listen to the full show or read the transcript here.</a></strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"Do The Woo Community: Multilingual Sites Are a Good Bet for WooCommerce Shops\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4981\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://dothewoo.io/blog/multilingual-sites-are-a-good-bet-for-woocommerce-shops/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5257:\"<p>No person is an island, and the same can be said for your WooCommerce store. In fact, you’ll want to make sure any potential customer can find you, regardless of the language they speak. If you run a multilingual WooCommerce store, you have the best chance of finding greater profits, and more success than ever before.</p>\n\n\n\n<p>There are lots of ways to do this, but if you use WordPress and WooCommerce, you have a stellar foundation. Both are market-leading platforms, and if you extend the ecosystem using plugins, you can create almost any type of store imaginable. What’s more, you have enormous flexibility and power under the hood.</p>\n\n\n\n<p>For this post, we’re going to take a look at a number of ideas and thoughts around why you should launch a multilingual WooCommerce store. To set some context, let’s talk about the popularity of WordPress and WooCommerce.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wordpress-market-share-and-how-woocommerce-leverages-it\">WordPress’ Market Share (And How WooCommerce Leverages It)</h2>\n\n\n\n<p>First off, WordPress is a huge industry. It is used for <strong>nearly 45 percent</strong> of all websites and sees constant growth. More users come to the platform on a regular basis, despite the competition. There are lots of positives to this, which we’ll discuss later on.</p>\n\n\n\n<p>As for WooCommerce, the statistics still make for good reading and account for several million sites.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-how-e-commerce-statistics-correlate-with-wordpress-own-numbers\">How E-Commerce Statistics Correlate With WordPress’ Own Numbers</h3>\n\n\n\n<p>Worldwide e-commerce is also big business. Purchase numbers were around <strong>two billion across 2020</strong>, and with around 25 percent in growth of the market, it’s a channel that lots of stores should be a part of. The good news is that WordPress and WooCommerce can both scale to meet those demands and is continually growing.</p>\n\n\n\n<p>In fact, WooCommerce has core design and code to help you <strong>scale a store</strong>. This is just one of the many positives of using the platform in this way.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-the-benefits-of-running-a-multilingual-woocommerce-store\">The Benefits of Running a Multilingual WooCommerce Store</h3>\n\n\n\n<p>There are likely customers, ready and waiting, almost everywhere in the world. By extension, this means there may be demand for your products or services.&nbsp;This is the core benefit of running a multilingual WooCommerce store, but there are lots more to consider:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li><strong>User Experience (UX)</strong>. The UX of your site will improve because you will cater to the most number of users. A site in a familiar language is going to be easier to navigate, use, and interact with.</li>\n\n\n\n<li><strong>Search Engine Optimization (SEO)</strong>. Each extra page for your multilingual content will have a rank in search engines. At a base level, the greater number of pages you index, the more chance a user will click one.</li>\n\n\n\n<li><strong>&#8216;Social currency’.</strong> This aspect covers a number of areas. For example, your attempt to localize your site (a key aspect of running a multilingual WooCommerce store) will bolster trust in your customers. Also, you stand to earn more credibility, goodwill, and loyalty.</li>\n\n\n\n<li><strong>Ahead of the competition</strong>. If your sales are going well in your original market there’s a strong chance your products will gain the same success elsewhere. Perhaps you have several competitors in your home market that aren’t as ready and willing to create a multilingual store, this sets you apart and puts you ahead of the competition when it comes to international conversion rates.</li>\n</ul>\n\n\n\n<p>Overall, a multilingual WooCommerce store can open up new markets, and give your products and services fresh attention from would-be customers.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-how-to-launch-a-multilingual-woocommerce-store\">How to Launch a Multilingual WooCommerce Store</h3>\n\n\n\n<p>Of course, you’ll need some tools, services, and platforms in place before you begin to create a multilingual WooCommerce store:</p>\n\n\n\n<ul class=\"wp-block-list\">\n<li>Your site will need to run an up-to-date version of WordPress.</li>\n\n\n\n<li>By extension, you’ll also want to run the latest version of the WooCommerce platform too.</li>\n\n\n\n<li>You’ll need some way to translate your content, and display it for users.</li>\n</ul>\n\n\n\n<p>Most WooCommerce sites will already have products in place and optimized text, which leaves the translation process.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-conclusion\">Conclusion</h3>\n\n\n\n<p>Finding new customers is tough. While there’s merit in trying to reduce that churn, you will also need a strategy to find fresh customers for your products and services. A multilingual WooCommerce store is a top-tier yet simple way to do so.</p>\n\n\n\n<p>The premise is that the more eyes there are on your store, the greater the chance of a purchase or conversion. However, to get here, you’ll want to run a multilingual WooCommerce store. </p>\n\n\n\n<p><strong><em>This is a guest post from our sponsor Weglot</em></strong></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"Do The Woo Community: WordCamp US 2023, Another Fantastic WP Memory\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4815\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://dothewoo.io/blog/wordcamp-us-2023-another-fantastic-wp-memory/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:17398:\"<p>Well, it was inevitable that I should post a recap of WordPress US. I am writing this after returning to my home and office in Porto on Monday morning, this being Thursday of the same week. And I&#8217;ll tell you, I am just starting to get over my exhaustion.</p>\n\n\n\n<img width=\"1024\" height=\"576\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/bobwp.jpg?resize=1024%2C576&ssl=1\" alt=\"\" class=\"wp-image-4941\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-the-trip-to-wcus\">The Trip to WCUS</h2>\n\n\n\n<p>Flying back to the states, I loved the way over. No overnight experiences for me, and leaving at 7:30 am Porto time, arriving in National Harbor 7:30 pm EDT. Of course, during the flight I started with breakfast, then a drink and lunch and segued into dinner at some point which ended with a snack. Lot&#8217;s of food and can&#8217;t honestly remember when I ate what. </p>\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2733.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4934\" />\n\n\n\n\n<img width=\"1024\" height=\"683\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/Photo-on-8-22-23-at-10.55-AM-3.jpg?resize=1024%2C683&ssl=1\" alt=\"\" class=\"wp-image-4833\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2742-3.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4834\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2743-3.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4835\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2744-1-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4837\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2753.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4836\" />\n\n\n\n\n<p>I did meet a few friends when I landed, but by then I was pretty much half asleep. It was nice seeing my good friend Mark Westguard right off the bat.</p>\n\n\n\n<img width=\"768\" height=\"487\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/mark-and-bob.jpg?resize=768%2C487&ssl=1\" alt=\"\" class=\"wp-image-4843\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-the-first-day-in-national-harbor\">The first day in National Harbor</h2>\n\n\n\n<p>Unlike my other WordPressers who were already there, the next day I was not part of the Community Summit nor did I have the desire to be a tourist in Washington DC. The latter did not tempt me with the heat or the sights. </p>\n\n\n\n<p>So I spent the day hanging around the hotel/convention center to make life easy. Now the Gaylord National Resort and Convention Center is enormous. And I mean freakin&#8217; huge. It kind of reminded me of those large cruise ships, although I have never been on one. It&#8217;s set up quite well. You never really need to leave and everything is overpriced. But hey, that&#8217;s America, right?</p>\n\n\n\n<p>The morning I spent wandering around the grounds, inside and out.</p>\n\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2768.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4860\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2755-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4859\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2756.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4856\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2757-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4861\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2758.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4854\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2759.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4858\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2764.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4853\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2760.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4857\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2761-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4855\" />\n\n\n\n\n<p>The other part of the day Mark and myself just did this and that. Lunchtime we went and had some drinks and nachos. After that we just roamed around the hotel and Mark was obviously delighted to find his logo with all the sponsors on the entryway to the conference center.</p>\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2769-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4862\" />\n\n\n\n<p>Then we had Casey join us, Mark&#8217;s better half, and dinner time where at even more food. </p>\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2770-2-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4863\" />\n\n\n\n<p>So after a day of local exploring, drinks and food, we did what any normal WordCamper would do. We went to a party, WP-Includes Summer Fest. </p>\n\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2771-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4869\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2772-1024x768.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4868\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2774.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4867\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2775.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4865\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2776.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4872\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2779.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4870\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2781.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4866\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2782.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4871\" />\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-contributor-day\">Contributor Day</h2>\n\n\n\n<p>The next day was Contributor Day. And guess what? It was amazing. So much so that I didn&#8217;t take one photo as I was busy listening and interjecting every once in awhile. But I did snag the group photo from that day just to share the all the groovy WordPressers who were part of that day. By the way, photo credit goes to Shusei Toda. </p>\n\n\n\n<img width=\"1024\" height=\"683\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/F4UzCE7WMAAIWhS.jpeg?resize=1024%2C683&ssl=1\" alt=\"\" class=\"wp-image-4874\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wordcamp-us-the-event\">WordCamp US, the Event</h2>\n\n\n\n<p>As with most WordCamps, I find myself so busy connecting with old and new friends, and just being a happy WordCamper that I never take as many photos as planned. But, I do the best I can do.</p>\n\n\n\n<p>Of course, I cannot go without thanking my sponsors, A2 Hosting, Avalara, Hostinger, GoDaddy, Jetpack and Weglot. Oh, and yes, WooCommerce! </p>\n\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2788.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4881\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2794-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4877\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2795.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4880\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2797-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4879\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2798.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4878\" />\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-do-the-woo-a-pseudo-sponsor\">Do the Woo, a Pseudo Sponsor</h2>\n\n\n\n<p>And then this happened. My friends over at Multicolab were not able to use their sponsor booth. Anil Gupta was able to attend, but he had problems with getting his team over to the US. So his table sat unattended and barren.</p>\n\n\n\n<p>I had a chat with Anil as he is a good friend of mine, and also a past sponsor of Do the Woo. Long story short, I took over the booth and used it for the DTW hq at WordCamp US. So I had the opportunity to be able to do some podcasting as well as meet many of our listeners. </p>\n\n\n\n<p>Here is Anil sharing some thoughts on WordCamp. </p>\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2824-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4883\" />\n\n\n\n<p>Here is my makeshift booth.</p>\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2799.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4885\" />\n\n\n\n<p>And some of our podcast guests.</p>\n\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2823-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4889\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2837-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4887\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2839.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4888\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2847.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4890\" />\n\n\n\n\n<p>And a very special podcast. Three WordPressers from the Spain WordPress community did a show, and they did it all in Spanish. What fun!</p>\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2829.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4893\" />\n\n\n\n<p>As it so happened during contributor day, also at the event I didn&#8217;t get as many photos as I would have wanted. Was just too busy enjoying IRL conversations. But here are just a few more friends that I caught.</p>\n\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2851.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4895\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2825.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4898\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2787-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4899\" />\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-what-s-a-flagship-wordcamp-without-nathan-s-head\">What&#8217;s a Flagship WordCamp without Nathan&#8217;s head</h2>\n\n\n\n<p>Now for those of you who know Nathan, you get it. For those that don&#8217;t, well I will add a mysterious moment to your life. A good friend and fellow podcaster of mine, Nathan&#8217;s head often shows up in the weirdest spots, or simply frightening people here and there. And the second day started out with just that. </p>\n\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2802-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4917\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2803-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4910\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2804-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4907\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2806-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4909\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2807-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4912\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2802.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4918\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2808-3-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4914\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2815-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4903\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2803.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4911\" />\n\n\n\n<img width=\"768\" height=\"1024\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2818-2.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4904\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2804.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4908\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2809-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4906\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2813-2-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4915\" />\n\n\n\n<img width=\"768\" height=\"1024\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2817-2.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4920\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2810-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4905\" />\n\n\n\n<img width=\"1024\" height=\"768\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/IMG_2812-2.jpg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-4916\" />\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2811-2-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4913\" />\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-the-after-social\">The After Social</h2>\n\n\n\n<p>As with tradition of WordCamp US, the social at the end of the second day was at the Smithsonian Museum of Natural History. Quite the impressive museum. Now I am not a huge fan of museums. I could also say that it was mostly bones, stuffed or recreated animals, rocks and overpriced jewelry, but nonetheless it was quite breathtaking. </p>\n\n\n\n<p>A lot of people had a great time and it was also filled with conversation, laughter and yummy desserts with old and new friends. </p>\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2860-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4923\" />\n\n\n\n<p>And what is a museum visit without posing as a museum exhibit.</p>\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2855-2-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4925\" />\n\n\n\n<p>Of course my friend Miriam had to catch as I ventured into the fossil display where I discovered an old acquaintance, Joe the Tyrannosaurus. As I gently touch the bones of his neck on display, I pondered our prehistoric life together.</p>\n\n\n\n<img width=\"768\" height=\"1024\" tabindex=\"0\" src=\"https://i0.wp.com/dothewoo.io/wp-content/uploads/2023/08/F4f6OdpXsAAvT_w.jpeg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4928\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-it-s-why-i-do-what-i-do\">It&#8217;s Why I Do What I Do</h2>\n\n\n\n<p>In a nutshell, I do WordPress because of the community. And events like WordCampUS is like a moment of pure oxygen. So much laughter, conversation, hugs, food and drinks with old and new friends. I wouldn&#8217;t have it any other way. </p>\n\n\n\n<p>And I leave you with one last photo. As I was flying home, something outside my window reminded me of that museum. Can you guess what that is?</p>\n\n\n\n<img tabindex=\"0\" src=\"https://i0.wp.com/bobwp.com/wp-content/uploads/2023/08/IMG_2872-768x1024.jpg?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-4931\" />\n\n\n\n<p>Hope to see you at WordCamp Asia in 2024.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"Do The Woo Community: Personalization, the Future of eCommerce and WooCommerce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4734\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://dothewoo.io/blog/personalization-the-future-of-ecommerce-and-woocommerce/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3490:\"<p>In a<strong><a href=\"https://dothewoo.io/woocommerce-agency-growth-and-the-power-of-subscriptions-with-kenn-kelly/\"> podcast with Kenn Kelly from Never Settle</a></strong>, a WooCommerce agency, he was asked  with all of the changes happening in the e-commerce industry, the different platforms, headless becoming a thing now,  where does he envision the future of e-commerce going? And how does Woo fit into that?</p>\n\n\n\n<p>Kenn shared that subscription based businesses stood out to him. which we&#8217;ve been seeing happen for a long time. Amazon pressed that quite a few years ago. And a lot of people started realizing, it was like, &#8220;My toilet paper&#8217;s going to be on delivery.&#8221; And now everyone&#8217;s like, &#8220;Oh, this makes a lot of sense.&#8221; And people also see, &#8220;Oh, it&#8217;s a recurring revenue stream.&#8221; He thinks when it&#8217;s forced it doesn&#8217;t work. But he absolutely thinks that that segment of e-commerce is going to continue to really expand. And WooCommerce can do that out of the box, really powerful engine, there.</p>\n\n\n\n<p>One of the things that his agency sees where they get called into bigger projects are people wanting some sort of advanced subscriptions. So a client that Never Settle is launching right now, Bixbi Pet, they have all these incredible dog foods, and all organic, and all this stuff, and they&#8217;re in most PetSmarts across the country, and pretty large business. But their customers are on subscriptions for their dog food, and their dog treats, and cat food, and cat treats.</p>\n\n\n\n<p>But they wanted a really cool checkout engine for people to build their subscription. So his agency had a lot of customization in that, but where they found the most customization, where he thinks it&#8217;d be fun to see us as a community invest more into WooCommerce is my account experience. That&#8217;s the thing that he feels like has the most potential, not just in design and user interface. </p>\n\n\n\n<p>As an example, for these guys, they want their customers to come in and be able to just swap out what flavors they&#8217;re in. So they&#8217;re going to order three bags a month and they want to be able to go in and change those without changing the subscription. And that&#8217;s highly custom. That&#8217;s not something that you can do out of the box, or to set up an auto-rotation where they&#8217;re just surprised. They can just say, &#8220;Hey, of these six flavors, just rotate them for me.&#8221;</p>\n\n\n\n<p>And so they built that for them. And Kenn thinks not only are you going to see subscription businesses increase, but you&#8217;re going to see people really pressing into the customer experience of the subscription business. That&#8217;s the ones that they&#8217;ve seen really grow, is they really nurture those people. Clients see them as the goal behind their business and so they invest a lot into that experience.</p>\n\n\n\n<p>So it&#8217;s more and more personalization. It&#8217;s going to be leveraging AI, it&#8217;s going to be leveraging market automation tools, but less blanket offerings. They have something that&#8217;s written that says, &#8220;Hey, this person&#8217;s ordered 10 bags of cherry dog food,&#8221; which isn&#8217;t a real flavor, &#8220;and we&#8217;re releasing cherry treats. so we&#8217;re automatically going to present this offer to them to try it free for one month or something.&#8221; So I think personalization is one of the big things.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"Do The Woo Community: Starting Your WooCommerce Business, Know the Ecosystem\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"https://bobwp.com/?p=4696\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://dothewoo.io/blog/advice-for-starting-your-woocommerce-business-journey/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1449:\"<p>Make sure you know it (the WooCommerce business ecosystem). You can&#8217;t just come in and start a WooCommerce product company. You need to be in there whether it&#8217;s just doing a hobby site for yourself, doing websites for friends and families, previous freelance work but you need to really immerse yourself in it and discover the problems and gaps for yourself. Find out what you&#8217;re interested in. That could also be  WooCommerce.events, websites or something, so start setting them up.</p>\n\n\n\n<p>And that&#8217;s when you will find the opportunities because there are still gaps, even though there&#8217;s loads of people building products for commerce, there&#8217;s plenty of gaps and opportunities to fill them with products, but you will only find them if you&#8217;re truly immersed in it. And also, when you find those gaps, think about what is a realistic product for you. If you&#8217;re going to get venture capital funding or something, then you can aim. high and go for something complex, whereas if you&#8217;re bootstrapped and doing it as a side project alongside other work or job, then maybe go small and think what can you realistically do that there&#8217;ll be some demand for.</p>\n\n\n\n<p><em>This came from an <strong><a href=\"https://dothewoo.io/katie-keith-new-do-the-woo-host/\">episode of Do the Woo</a></strong> with <strong><a href=\"https://barn2.com/\">Katie Keith from Barn2 Plugins</a></strong>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 26 Aug 2024 19:15:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Sat, 31 Aug 2024 23:29:31 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:13:\"last-modified\";s:29:\"Sat, 31 Aug 2024 23:15:27 GMT\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:7:\"alt-svc\";s:19:\"h3=\":443\"; ma=86400\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20240807151706\";}", "off");
INSERT INTO `wp_options` VALUES("2131", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1725190172", "off");
INSERT INTO `wp_options` VALUES("2132", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1725146972", "off");
INSERT INTO `wp_options` VALUES("2133", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1725190172", "off");
INSERT INTO `wp_options` VALUES("2134", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2024/08/a-brand-new-way-to-learn-wordpress/\'>A Brand-New Way to Learn WordPress</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2024/07/wordpress-6-6-1-maintenance-release/\'>WordPress 6.6.1 Maintenance Release</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://gutenbergtimes.com/data-views-new-block-themes-template-registration-for-plugins-weekend-edition-302/\'>Gutenberg Times: Data Views, new Block themes, Accessibility Block Twenty-Twenty-Five theme, Template registration for plugins — Weekend Edition 302</a></li><li><a class=\'rsswidget\' href=\'https://dothewoo.io/investing-in-the-community/\'>Do The Woo Community: Investing in the Community</a></li><li><a class=\'rsswidget\' href=\'https://ma.tt/2024/08/happy-birthday-stephen/\'>Matt: Happy Birthday Stephen!</a></li></ul></div>", "off");
INSERT INTO `wp_options` VALUES("2135", "_transient_timeout_kb_upgrade_notice_3.0.9", "1725233375", "off");
INSERT INTO `wp_options` VALUES("2136", "_transient_kb_upgrade_notice_3.0.9", "", "off");
INSERT INTO `wp_options` VALUES("2137", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1725157779", "off");
INSERT INTO `wp_options` VALUES("2138", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6447;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4841;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2785;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2680;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2075;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1960;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1919;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1730;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1580;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1579;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1549;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1520;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1514;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1504;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1412;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1313;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1298;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1168;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1165;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1161;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1123;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1024;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:1014;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:986;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:963;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:928;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:909;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:907;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:894;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:892;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:891;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:890;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:887;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:825;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:807;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:807;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:802;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:779;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:778;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:748;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:748;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:744;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:732;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:708;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:697;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:695;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:670;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:663;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:654;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:631;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:629;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:626;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:612;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:611;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:604;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:601;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:599;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:593;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:592;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:588;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:580;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:580;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:578;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:576;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:573;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:561;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:561;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:550;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:547;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:547;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:538;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:531;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:531;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:522;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:519;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:519;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:513;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:507;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:496;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:482;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:470;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:456;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:454;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:451;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:449;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:448;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:447;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:444;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:435;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:431;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:429;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:428;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:426;}s:8:\"checkout\";a:3:{s:4:\"name\";s:8:\"checkout\";s:4:\"slug\";s:8:\"checkout\";s:5:\"count\";i:423;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:417;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:414;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:412;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:406;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:396;}s:3:\"url\";a:3:{s:4:\"name\";s:3:\"url\";s:4:\"slug\";s:3:\"url\";s:5:\"count\";i:389;}}", "off");
INSERT INTO `wp_options` VALUES("2142", "duplicator_install_info", "a:3:{s:7:\"version\";s:7:\"1.5.8.1\";s:4:\"time\";i:1712213669;s:10:\"updateTime\";i:1725147001;}", "off");
INSERT INTO `wp_options` VALUES("2144", "_site_transient_update_plugins", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1725147170;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:6:{s:30:\"advanced-custom-fields/acf.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:36:\"w.org/plugins/advanced-custom-fields\";s:4:\"slug\";s:22:\"advanced-custom-fields\";s:6:\"plugin\";s:30:\"advanced-custom-fields/acf.php\";s:11:\"new_version\";s:5:\"6.3.6\";s:3:\"url\";s:53:\"https://wordpress.org/plugins/advanced-custom-fields/\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/plugin/advanced-custom-fields.6.3.6.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:67:\"https://ps.w.org/advanced-custom-fields/assets/icon.svg?rev=3096880\";s:3:\"svg\";s:67:\"https://ps.w.org/advanced-custom-fields/assets/icon.svg?rev=3096880\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:78:\"https://ps.w.org/advanced-custom-fields/assets/banner-1544x500.jpg?rev=3096880\";s:2:\"1x\";s:77:\"https://ps.w.org/advanced-custom-fields/assets/banner-772x250.jpg?rev=3096880\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:41:\"create-block-theme/create-block-theme.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:32:\"w.org/plugins/create-block-theme\";s:4:\"slug\";s:18:\"create-block-theme\";s:6:\"plugin\";s:41:\"create-block-theme/create-block-theme.php\";s:11:\"new_version\";s:5:\"2.4.0\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/create-block-theme/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/create-block-theme.2.4.0.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-256x256.png?rev=2777957\";s:2:\"1x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-128x128.png?rev=2777957\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/create-block-theme/assets/banner-1544x500.png?rev=2777957\";s:2:\"1x\";s:73:\"https://ps.w.org/create-block-theme/assets/banner-772x250.png?rev=2777957\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.6\";}s:43:\"custom-post-type-ui/custom-post-type-ui.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:33:\"w.org/plugins/custom-post-type-ui\";s:4:\"slug\";s:19:\"custom-post-type-ui\";s:6:\"plugin\";s:43:\"custom-post-type-ui/custom-post-type-ui.php\";s:11:\"new_version\";s:6:\"1.17.1\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/custom-post-type-ui/\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/plugin/custom-post-type-ui.1.17.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-256x256.png?rev=2744389\";s:2:\"1x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-128x128.png?rev=2744389\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:75:\"https://ps.w.org/custom-post-type-ui/assets/banner-1544x500.png?rev=2744389\";s:2:\"1x\";s:74:\"https://ps.w.org/custom-post-type-ui/assets/banner-772x250.png?rev=2744389\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.5\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:8:\"1.5.10.2\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/plugin/duplicator.1.5.10.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.9\";}s:33:\"kadence-blocks/kadence-blocks.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/kadence-blocks\";s:4:\"slug\";s:14:\"kadence-blocks\";s:6:\"plugin\";s:33:\"kadence-blocks/kadence-blocks.php\";s:11:\"new_version\";s:6:\"3.2.52\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/kadence-blocks/\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/plugin/kadence-blocks.3.2.52.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/kadence-blocks/assets/icon-256x256.png?rev=2502131\";s:2:\"1x\";s:67:\"https://ps.w.org/kadence-blocks/assets/icon-128x128.png?rev=2502131\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/kadence-blocks/assets/banner-1544x500.jpg?rev=1954109\";s:2:\"1x\";s:69:\"https://ps.w.org/kadence-blocks/assets/banner-772x250.jpg?rev=1954109\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.3\";}s:41:\"kadence-blocks-pro/kadence-blocks-pro.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:36:\"stellarwp/plugins/kadence-blocks-pro\";s:6:\"plugin\";s:41:\"kadence-blocks-pro/kadence-blocks-pro.php\";s:4:\"slug\";s:18:\"kadence-blocks-pro\";s:11:\"new_version\";s:5:\"2.4.6\";s:3:\"url\";s:41:\"https://www.kadencewp.com/kadence-blocks/\";s:6:\"tested\";s:5:\"6.6.1\";s:8:\"requires\";s:3:\"6.2\";s:7:\"package\";s:142:\"https://licensing.kadencewp.com/api/plugins/v2/download?plugin=kadence-blocks-pro&version=2.4.6&key=ktm_wc_order_gT4lUjthaVHDu_am_TBy2677BhBW9\";s:5:\"icons\";a:1:{s:3:\"svg\";s:76:\"https://www.kadencewp.com/wp-content/uploads/kadence-misc/kadence-plugin.svg\";}}}}", "off");
INSERT INTO `wp_options` VALUES("2145", "_site_transient_timeout_wp_remote_block_patterns_6f4030e9d570071fe27c798b535dd211", "1725150686", "off");
INSERT INTO `wp_options` VALUES("2146", "_site_transient_wp_remote_block_patterns_6f4030e9d570071fe27c798b535dd211", "a:44:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:514958;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Intro area with heading and image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1685:\"\n<div class=\"wp-block-group alignfull is-content-justification-center is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0\">\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-layout-flow wp-block-group-is-layout-flow\">\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-core-columns-is-layout-1 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-content-justification-left is-layout-constrained wp-container-core-column-is-layout-1 wp-block-column-is-layout-constrained\">\n<h2 class=\"wp-block-heading\">Uncover a realm of opportunities.</h2>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:40%\">\n<p>Exploring life&#8217;s complex tapestry, options reveal routes to the exceptional, requiring innovation, inquisitiveness, and bravery for a deeply satisfying voyage.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\">Get Started</a></div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://pd.w.org/2023/07/44364b18862589f06.53436652.jpg\" alt=\"\" style=\"aspect-ratio:16/9;object-fit:cover\" /></figure>\n</div>\n\n\n\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:4:\"hero\";s:16:\"wpop_description\";s:93:\"Two columns of text, left with a heading and right with a paragraph, with a wide image below.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.5\";s:25:\"wpop_contains_block_types\";s:111:\"core/button,core/buttons,core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"about\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2422:\"<!-- wp:group {\"metadata\":{\"name\":\"Intro\"},\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"alignfull\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Contents\"},\"align\":\"wide\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"\",\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"450px\"}} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Uncover a realm of opportunities.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"40%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:40%\"><!-- wp:paragraph -->\n<p>Exploring life\'s complex tapestry, options reveal routes to the exceptional, requiring innovation, inquisitiveness, and bravery for a deeply satisfying voyage.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\">Get Started</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"aspectRatio\":\"16/9\",\"scale\":\"cover\",\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2023/07/44364b18862589f06.53436652.jpg\" alt=\"\" style=\"aspect-ratio:16/9;object-fit:cover\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"var:preset|spacing|20\"} -->\n<div style=\"height:var(--wp--preset--spacing--20)\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:309935;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Centered image with two-tone background color\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1335:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-1 is-layout-constrained wp-container-core-group-is-layout-3 wp-block-group-is-layout-constrained\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large is-style-default wp-duotone-000000-ffffff-1\"><img decoding=\"async\" src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n\n\n\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:18:\"Gradient, Two-Tone\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:57:\"core/cover,core/group,core/heading,core/image,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2134:\"<!-- wp:cover {\"minHeight\":66,\"minHeightUnit\":\"vh\",\"customGradient\":\"linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"600px\",\"wideSize\":\"1200px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"color\":{\"duotone\":[\"#000000\",\"#ffffff\"]}},\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"50px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"32px\",\"lineHeight\":\"1\"},\"spacing\":{\"padding\":{\"left\":\"32px\"}}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:309925;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:43:\"Fullwidth Dark Banner with Heading Top Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1089:\"\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-2 is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-4 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:16:\"Jazz, Fulllwidth\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1697:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\",\"id\":333,\"dimRatio\":90,\"customOverlayColor\":\"#141414\",\"focalPoint\":{\"x\":0.5,\"y\":0},\"minHeight\":50,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top left\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"fontStyle\":\"italic\",\"fontWeight\":\"900\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\",\"textTransform\":\"none\"},\"color\":{\"text\":\"#d8a557\"}},\"fontFamily\":\"source-serif-pro\"} -->\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:309230;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:44:\"Fullwidth cover with repeating gradient text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1743:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-36345d-abaaaa-2\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-5 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:48:\"Fullwidth, Background Image, Gradient, Uppercase\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3135:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\",\"id\":334,\"dimRatio\":60,\"customOverlayColor\":\"#c2b7a4\",\"focalPoint\":{\"x\":0.5,\"y\":0.05},\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#36345d\",\"#abaaaa\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#c8c4d3\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#ac94b2\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#71689c\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#444178\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:309224;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:72:\"Fullwidth, vertically aligned headline on right with description on left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2187:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-8 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-4 is-layout-flow wp-container-core-group-is-layout-6 wp-block-group-is-layout-flow\">\n<p class=\"wp-container-content-3\" style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let &#8217;em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-5 is-layout-flow wp-container-core-group-is-layout-7 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>&#8216;EM<br>Roll</p>\n\n\n\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:60:\"vertically, bold, jazz, shop, store, headline, hero, product\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:61:\"core/button,core/buttons,core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3726:\"<!-- wp:cover {\"customOverlayColor\":\"#e68b14\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"320px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"330px\"},\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"1.4\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"}}} -->\n<p style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let \'em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"14px\",\"bottom\":\"14px\",\"left\":\"36px\",\"right\":\"36px\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>\'EM<br>Roll</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:309236;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:60:\"Fullwidth headline with links and gradient offset background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2031:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-12 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-6 is-layout-flow wp-container-core-group-is-layout-9 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color wp-elements-45f800048fc9de7cd05017eb73b2d5ab\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-7 is-layout-flow wp-container-core-group-is-layout-11 wp-block-group-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-10 wp-block-group-is-layout-flex\">\n<p class=\"has-white-color has-text-color has-link-color wp-elements-fcaed05d2b63cfab14801929208209cc\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n\n\n\n<p class=\"has-white-color has-text-color has-link-color wp-elements-9052d836cb5172aae9b2f2bc27ee61c0\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span> </p>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:41:\"Offset, Gradient, Jazz, Headline, Feature\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3195:\"<!-- wp:cover {\"customGradient\":\"linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"5vw\",\"bottom\":\"48px\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"172px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.7\",\"letterSpacing\":\"-10px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"400px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More → </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"260px\"} -->\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:308937;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Heading, Paragraph, Button with Two Images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2631:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-layout-flex wp-container-core-group-is-layout-16 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group alignwide wp-container-content-8 is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-13 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-3 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-15 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-10 is-layout-flow wp-block-group-is-layout-flow\">\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-9 wp-duotone-rgb000-rgb21788120-3\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-11 wp-duotone-rgb000-rgb21788120-4\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:4102:\"<!-- wp:cover {\"customOverlayColor\":\"#eb4c77\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"6vw\",\"right\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"center\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\"}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"0.9\"}},\"textColor\":\"contrast\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"textColor\":\"contrast\"} -->\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"contrast\",\"textColor\":\"base\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"8vw\"} -->\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:308949;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Bold sale banner with geometric background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1744:\"\n<div class=\"wp-block-cover alignfull wp-duotone-rgb4448102-ffb23d-5\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flow wp-container-core-group-is-layout-17 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:43:\"store, shop, coupon, jazz, background image\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:73:\"core/button,core/buttons,core/cover,core/group,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:14:\"call-to-action\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2819:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\",\"id\":334,\"dimRatio\":90,\"customOverlayColor\":\"#2c3066\",\"minHeight\":50,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(44, 48, 102)\",\"#ffb23d\"]}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#ffb23d\",\"text\":\"#2c3066\"},\"spacing\":{\"padding\":{\"top\":\"32px\",\"right\":\"48px\",\"bottom\":\"32px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"20px\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:308924;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Offset bold paragraph text with varying opacity\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1652:\"\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-18 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature&#8217;s best…</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3052:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"white\"} -->\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"700px\",\"contentSize\":\"700px\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"120px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffff61\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffff73\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffffad\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature\'s best…</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffffd1\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"162px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#fffffff5\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:308916;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Offset text with a brutalist design vibe\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1449:\"\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-core-group-is-layout-19 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n\n\n\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2631:\"<!-- wp:cover {\"customOverlayColor\":\"#ffb43c\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"1200px\",\"contentSize\":\"800px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"140px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"200\",\"letterSpacing\":\"0px\",\"lineHeight\":\"0.9\"},\"color\":{\"text\":\"#a65a00\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:308901;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Fullscreen image with right content area\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2104:\"\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-flex wp-container-core-group-is-layout-21 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large wp-container-content-13\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n\n\n\n<div class=\"wp-block-group alignwide wp-container-content-14 is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-20 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-5 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3261:\"<!-- wp:cover {\"customOverlayColor\":\"#376a23\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"80px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"lineHeight\":\"1.0\"}},\"textColor\":\"black\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:308871;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:46:\"Cover Image with Bold Heading and Button, Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1657:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-094850-f9644e-6\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-22 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-core-buttons-is-layout-6 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline is-style-outline--33684b1db9bd0e4048903b4693f01346\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2443:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#094850\",\"#f9644e\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"75%\",\"justifyContent\":\"left\",\"wideSize\":\"75%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:308868;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Cover Image with Bold Heading and Button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1665:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-rgb4247103-rgb21419442-7\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-core-group-is-layout-23 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-nowrap is-layout-flex wp-container-core-buttons-is-layout-7 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline is-style-outline--5cf4b1ca5dae7cb964f5ad420ac7bd76\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2449:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(42, 47, 103)\",\"rgb(214, 194, 42)\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"80%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:303828;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Fullscreen cover image gallery\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:955:\"\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-24 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:43:\"gallery, images, columns, background, cover\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:32:\"core/cover,core/group,core/image\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1259:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:277265;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth posts with uppercase titles\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:498:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:30:\"star, posts, loop, blog, index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and start accents.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:182:\"core/group,core/paragraph,core/post-date,core/post-template,core/post-terms,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3502:\"<!-- wp:query {\"queryId\":31,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:post-template {\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"16px\",\"bottom\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p>✴︎</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"M j, Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"✴︎ \",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"var:preset|spacing|70\",\"right\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"1.1\",\"textTransform\":\"uppercase\",\"fontSize\":\"5.2rem\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"right\":\"16px\",\"left\":\"16px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Previous\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Next\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:277127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Fullwidth posts titles with dates\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:637:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:31:\"Posts, Query, Loop, Blog, Index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and numeral dates.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:151:\"core/group,core/post-date,core/post-template,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3583:\"<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:post-template {\"align\":\"full\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"bottom\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"m.j\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"4.6rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\"}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n\n<!-- wp:query-pagination-next {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4748:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-30 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-8500967d37da86b97bb53ecc0a52ca72 wp-block-site-title has-text-color has-white-color has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-1 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-8\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-8-content\">\n								<ul class=\"wp-block-navigation__container has-text-color has-white-color is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3899:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-602186720dd7d9bef283ca8cacce4883 is-layout-constrained wp-container-core-group-is-layout-35 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-34 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-141496dd038caa4dcf40174bef55cbbe wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-2 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-9\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-9-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1497:\"<!-- wp:group {\"metadata\":{\"categories\":[\"header\",\"wireframe\"],\"patternName\":\"core/simple-header-with-dark-background\",\"name\":\"Simple header with dark background\"},\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3580:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-38 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-37 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-elements-74d9c587c704a765f018836daab4c876 wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-3 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-10\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-10-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4189:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained wp-container-core-group-is-layout-42 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-41 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-40 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-39 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-elements-d6577b4021234b9631cf15d9d1fea330 wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right wp-block-navigation has-small-font-size is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-4 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-11\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-11-content\">\n								<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-right wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3315:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-43 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-5 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open always-shown\" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container hidden-by-default \"  id=\"modal-12\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-12-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4722:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-46 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-45 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-44 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-elements-f7ec64f471b5bfcc0be230aa4daa838e wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-6 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-13\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-13-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3703:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-50 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-49 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-core-group-is-layout-48 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-74d9c587c704a765f018836daab4c876 wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right wp-block-navigation is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-7 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-14\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-14-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-right wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3647:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-container-core-group-is-layout-52 wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-51 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-elements-7b215d308770124d58b518591412dff8 wp-block-site-title has-text-color has-contrast-color has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"is-responsive items-justified-center wp-block-navigation is-content-justification-center is-layout-flex wp-container-core-navigation-is-layout-8 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-15\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-15-content\">\n								<ul class=\"wp-block-navigation__container is-responsive items-justified-center wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3443:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-53 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right wp-block-navigation has-large-font-size is-content-justification-right is-layout-flex wp-container-core-navigation-is-layout-9 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-16\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-16-content\">\n								<ul class=\"wp-block-navigation__container has-large-font-size is-responsive items-justified-right wp-block-navigation has-large-font-size\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:229123;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4246:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-55 wp-block-group-is-layout-flex\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-core-group-is-layout-54 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-core-social-links-is-layout-1 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:82:\"Centered footer with the sentence \"Proudly powered by WordPress\" and social links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:25:\"core/group,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1495:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"30vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"8px\",\"left\":\"8px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3105:\"\n<div class=\"wp-block-group alignfull has-background is-layout-constrained wp-container-core-group-is-layout-63 wp-block-group-is-layout-constrained\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-60 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-15 is-content-justification-left is-layout-constrained wp-container-core-group-is-layout-56 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n\n\n<form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"    ><label class=\"wp-block-search__label screen-reader-text\" for=\"wp-block-search__input-17\" >Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input class=\"wp-block-search__input\" id=\"wp-block-search__input-17\" placeholder=\"\" value=\"\" type=\"search\" name=\"s\" required  style=\"border-width: 1px\"/><button aria-label=\"Search\" class=\"wp-block-search__button has-icon wp-element-button\" type=\"submit\"  style=\"border-width: 1px\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13 5c-3.3 0-6 2.7-6 6 0 1.4.5 2.7 1.3 3.7l-3.8 3.8 1.1 1.1 3.8-3.8c1 .8 2.3 1.3 3.7 1.3 3.3 0 6-2.7 6-6S16.3 5 13 5zm0 10.5c-2.5 0-4.5-2-4.5-4.5s2-4.5 4.5-4.5 4.5 2 4.5 4.5-2 4.5-4.5 4.5z\"></path>\n				</svg></button></div></form></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-core-group-is-layout-59 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-58 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n\n\n\n<div class=\"wp-block-group has-small-font-size is-vertical is-content-justification-left is-layout-flex wp-container-core-group-is-layout-57 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-62 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:65:\"core/group,core/paragraph,core/search,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3254:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\"}},\"color\":{\"background\":\"#00000008\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|60\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":[]},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group has-small-font-size\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:27;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:882:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-container-core-group-is-layout-66 wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-65 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:28;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3602:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-container-core-group-is-layout-69 wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-68 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left wp-block-navigation has-small-font-size is-content-justification-left is-layout-flex wp-container-core-navigation-is-layout-10 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n		 data-wp-interactive=\"core/navigation\" data-wp-context=\'{\"overlayOpenedBy\":{\"click\":false,\"hover\":false,\"focus\":false},\"type\":\"overlay\",\"roleAttribute\":\"\",\"ariaLabel\":\"Menu\"}\'><button aria-haspopup=\"dialog\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" \n				data-wp-on-async--click=\"actions.openMenuOnClick\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n			><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n				<div class=\"wp-block-navigation__responsive-container  \"  id=\"modal-18\" \n				data-wp-class--has-modal-open=\"state.isMenuOpen\"\n				data-wp-class--is-menu-open=\"state.isMenuOpen\"\n				data-wp-watch=\"callbacks.initMenu\"\n				data-wp-on--keydown=\"actions.handleMenuKeydown\"\n				data-wp-on-async--focusout=\"actions.handleMenuFocusout\"\n				tabindex=\"-1\"\n			>\n					<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\">\n						<div class=\"wp-block-navigation__responsive-dialog\" \n				data-wp-bind--aria-modal=\"state.ariaModal\"\n				data-wp-bind--aria-label=\"state.ariaLabel\"\n				data-wp-bind--role=\"state.roleAttribute\"\n			>\n							<button aria-label=\"Close menu\" class=\"wp-block-navigation__responsive-container-close\" \n				data-wp-on-async--click=\"actions.closeMenuOnClick\"\n			><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n							<div class=\"wp-block-navigation__responsive-container-content\" \n				data-wp-watch=\"callbacks.focusFirstElement\"\n			 id=\"modal-18-content\">\n								<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-left wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n							</div>\n						</div>\n					</div>\n				</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:29;O:8:\"stdClass\":7:{s:2:\"id\";i:229139;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:56:\"Fullwidth footer with background color and three columns\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3045:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-8d0170a0199cafe7fbcba6c0b4dac464 is-vertical is-content-justification-stretch is-layout-flex wp-container-core-group-is-layout-72 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-columns alignwide has-small-font-size is-layout-flex wp-container-core-columns-is-layout-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Location</p>\n\n\n\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-center is-vertical no-wrap wp-block-navigation has-small-font-size is-content-justification-center is-nowrap is-layout-flex wp-container-core-navigation-is-layout-11 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-center is-vertical no-wrap wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Follow us</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-70 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-center is-layout-flex wp-container-core-group-is-layout-71 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:57:\"Text-only footer with background color and three columns.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:78:\"core/column,core/columns,core/group,core/navigation,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3225:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|60\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"},\"dimensions\":{\"minHeight\":\"40vh\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-columns alignwide has-small-font-size\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Location</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Follow us</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:30;O:8:\"stdClass\":7:{s:2:\"id\";i:229143;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4166:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-73 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><div style=\"margin-bottom:6px;\" class=\"is-default-size aligncenter wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-core-social-links-is-layout-2 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-facebook  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12 2C6.5 2 2 6.5 2 12c0 5 3.7 9.1 8.4 9.9v-7H7.9V12h2.5V9.8c0-2.5 1.5-3.9 3.8-3.9 1.1 0 2.2.2 2.2.2v2.5h-1.3c-1.2 0-1.6.8-1.6 1.6V12h2.8l-.4 2.9h-2.3v7C18.3 21.1 22 17 22 12c0-5.5-4.5-10-10-10z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Facebook</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-wordpress  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12.158,12.786L9.46,20.625c0.806,0.237,1.657,0.366,2.54,0.366c1.047,0,2.051-0.181,2.986-0.51 c-0.024-0.038-0.046-0.079-0.065-0.124L12.158,12.786z M3.009,12c0,3.559,2.068,6.634,5.067,8.092L3.788,8.341 C3.289,9.459,3.009,10.696,3.009,12z M18.069,11.546c0-1.112-0.399-1.881-0.741-2.48c-0.456-0.741-0.883-1.368-0.883-2.109 c0-0.826,0.627-1.596,1.51-1.596c0.04,0,0.078,0.005,0.116,0.007C16.472,3.904,14.34,3.009,12,3.009 c-3.141,0-5.904,1.612-7.512,4.052c0.211,0.007,0.41,0.011,0.579,0.011c0.94,0,2.396-0.114,2.396-0.114 C7.947,6.93,8.004,7.642,7.52,7.699c0,0-0.487,0.057-1.029,0.085l3.274,9.739l1.968-5.901l-1.401-3.838 C9.848,7.756,9.389,7.699,9.389,7.699C8.904,7.67,8.961,6.93,9.446,6.958c0,0,1.484,0.114,2.368,0.114 c0.94,0,2.397-0.114,2.397-0.114c0.485-0.028,0.542,0.684,0.057,0.741c0,0-0.488,0.057-1.029,0.085l3.249,9.665l0.897-2.996 C17.841,13.284,18.069,12.316,18.069,11.546z M19.889,7.686c0.039,0.286,0.06,0.593,0.06,0.924c0,0.912-0.171,1.938-0.684,3.22 l-2.746,7.94c2.673-1.558,4.47-4.454,4.47-7.771C20.991,10.436,20.591,8.967,19.889,7.686z M12,22C6.486,22,2,17.514,2,12 C2,6.486,6.486,2,12,2c5.514,0,10,4.486,10,10C22,17.514,17.514,22,12,22z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">WordPress</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:71:\"Footer with centered site title, tagline, social links and credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/paragraph,core/site-logo,core/social-link,core/social-links\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1532:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"40vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:site-logo {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"6px\"}}}} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"medium\"} -->\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"12px\",\"left\":\"12px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"wordpress\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:31;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4645:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-core-group-is-layout-75 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-16\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-17 is-vertical is-content-justification-center is-layout-flex wp-container-core-group-is-layout-74 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-18 is-content-justification-right is-nowrap is-layout-flex wp-container-core-social-links-is-layout-3 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:32;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2940:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-82 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-19 is-vertical is-layout-flex wp-container-core-group-is-layout-77 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-core-group-is-layout-81 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-78 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap wp-block-navigation has-small-font-size is-content-justification-left is-nowrap is-layout-flex wp-container-core-navigation-is-layout-12 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-left is-vertical no-wrap wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-core-group-is-layout-80 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-core-group-is-layout-79 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:33;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1351:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-3 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:34;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3578:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-83 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-84 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-4 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-5 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:5:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:7:\"gallery\";i:3;s:6:\"images\";i:4;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:35;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2282:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-core-columns-is-layout-6 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-7 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:36;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1484:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:37;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:38;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:611:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">↗</span></a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:39;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1619:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-8 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline is-style-outline--209d5ba650efdd750f2103fb695c9a1a\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:40;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1381:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-9 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:41;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:42;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1540:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-10 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:43;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:571:\"\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped wp-block-gallery-19 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n</figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:23:\"core/gallery,core/image\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:704:\"<!-- wp:gallery {\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery -->\";}}", "off");
INSERT INTO `wp_options` VALUES("2147", "_site_transient_timeout_wp_remote_block_patterns_a4f52646de025b0a3375539fa2a1db42", "1725150687", "off");
INSERT INTO `wp_options` VALUES("2148", "_site_transient_wp_remote_block_patterns_a4f52646de025b0a3375539fa2a1db42", "a:13:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6666:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Patterns</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-core-social-links-is-layout-1 wp-block-social-links-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:984:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-2 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"buttons\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Three column pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3849:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-1 wp-block-columns-is-layout-flex\" style=\"margin-bottom:0\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2ae1b943d87d6b5cbc827b8e7de5c343 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>General admission and member discounts for one adult</li>\n\n\n\n<li>One free ticket per special exhibition</li>\n\n\n\n<li>Two single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-3 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-c860b6260b3b3b7bae640a65db9c9aec is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Four free tickets per special exhibition</li>\n\n\n\n<li>Four single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-4a86cd4fa1de9230a73a90c7ad305893 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size wp-block-list\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Five free tickets per special exhibition</li>\n\n\n\n<li>Six single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-5 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:117:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/list-item,core/paragraph,core/separator\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:6125:\"<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"margin-bottom:0\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"single\"} -->\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"style\":{\"color\":{\"background\":\"#000000\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for one adult</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>One free ticket per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Two single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"family\"} -->\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"patron\"} -->\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Five free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Six single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2281:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1744:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">→</span></a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1913:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-core-columns-is-layout-3 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px;aspect-ratio:unset;aspect-ratio:unset;\"><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img loading=\"lazy\" decoding=\"async\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"(max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Offset images with descriptions\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3006:\"\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-core-columns-is-layout-4 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-2 is-vertical is-content-justification-left is-nowrap is-layout-flex wp-container-core-group-is-layout-7 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<figure class=\"wp-block-image size-large wp-container-content-1\"><img loading=\"lazy\" decoding=\"async\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"(max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-6 wp-block-group-is-layout-flex\">\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-3 is-vertical is-layout-flex wp-container-core-group-is-layout-9 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-8 wp-block-group-is-layout-flex\">\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img loading=\"lazy\" decoding=\"async\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"(max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:58:\"Two offset columns with images and titles within each one.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:73:\"core/column,core/columns,core/group,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2930:\"<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"80px\"} -->\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1709:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-5 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-6 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1706:\"\n<figure class=\"wp-block-image alignwide size-full\"><img loading=\"lazy\" decoding=\"async\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-core-columns-is-layout-7 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1642:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3578:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-10 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-core-group-is-layout-11 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-8 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-9 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:5:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:7:\"gallery\";i:3;s:6:\"images\";i:4;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:611:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study <span aria-hidden=\"true\" class=\"wp-exclude-emoji\">↗</span></a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1382:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px;aspect-ratio:unset;aspect-ratio:unset;\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-core-columns-is-layout-10 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":8:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";s:9:\"footnotes\";s:0:\"\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}", "off");
INSERT INTO `wp_options` VALUES("2150", "theme_mods_deleteme", "a:3:{s:19:\"wp_classic_sidebars\";a:0:{}s:18:\"nav_menu_locations\";a:0:{}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1725147224;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}}}}", "off");
INSERT INTO `wp_options` VALUES("2154", "_site_transient_timeout_wp_theme_files_patterns-8dbf2e6efdfc1ddeeec7ed25ad9d5129", "1725149025", "off");
INSERT INTO `wp_options` VALUES("2155", "_site_transient_wp_theme_files_patterns-8dbf2e6efdfc1ddeeec7ed25ad9d5129", "a:2:{s:7:\"version\";s:3:\"1.5\";s:8:\"patterns\";a:6:{s:18:\"call-to-action.php\";a:6:{s:5:\"title\";s:14:\"Call to action\";s:4:\"slug\";s:21:\"twentytwentythree/cta\";s:11:\"description\";s:52:\"Left-aligned text with a CTA button and a separator.\";s:10:\"categories\";a:1:{i:0;s:8:\"featured\";}s:8:\"keywords\";a:3:{i:0;s:4:\"Call\";i:1;s:2:\"to\";i:2;s:6:\"action\";}s:10:\"blockTypes\";a:1:{i:0;s:12:\"core/buttons\";}}s:18:\"footer-default.php\";a:5:{s:5:\"title\";s:14:\"Default Footer\";s:4:\"slug\";s:32:\"twentytwentythree/footer-default\";s:11:\"description\";s:48:\"Footer with site title and powered by WordPress.\";s:10:\"categories\";a:1:{i:0;s:6:\"footer\";}s:10:\"blockTypes\";a:1:{i:0;s:25:\"core/template-part/footer\";}}s:14:\"hidden-404.php\";a:4:{s:5:\"title\";s:10:\"Hidden 404\";s:4:\"slug\";s:28:\"twentytwentythree/hidden-404\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;}s:19:\"hidden-comments.php\";a:4:{s:5:\"title\";s:15:\"Hidden Comments\";s:4:\"slug\";s:33:\"twentytwentythree/hidden-comments\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;}s:21:\"hidden-no-results.php\";a:4:{s:5:\"title\";s:25:\"Hidden No Results Content\";s:4:\"slug\";s:43:\"twentytwentythree/hidden-no-results-content\";s:11:\"description\";s:0:\"\";s:8:\"inserter\";b:0;}s:13:\"post-meta.php\";a:6:{s:5:\"title\";s:9:\"Post Meta\";s:4:\"slug\";s:27:\"twentytwentythree/post-meta\";s:11:\"description\";s:48:\"Post meta information with separator on the top.\";s:10:\"categories\";a:1:{i:0;s:5:\"query\";}s:8:\"keywords\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"meta\";}s:10:\"blockTypes\";a:1:{i:0;s:28:\"core/template-part/post-meta\";}}}}", "off");
INSERT INTO `wp_options` VALUES("2156", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1725147299;s:7:\"checked\";a:2:{s:16:\"twentytwentyfour\";s:3:\"1.2\";s:17:\"twentytwentythree\";s:3:\"1.5\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:2:{s:16:\"twentytwentyfour\";a:6:{s:5:\"theme\";s:16:\"twentytwentyfour\";s:11:\"new_version\";s:3:\"1.2\";s:3:\"url\";s:46:\"https://wordpress.org/themes/twentytwentyfour/\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/theme/twentytwentyfour.1.2.zip\";s:8:\"requires\";s:3:\"6.4\";s:12:\"requires_php\";s:3:\"7.0\";}s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.5\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.5.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "off");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("63", "36", "_wp_attached_file", "2024/04/Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("64", "36", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:61:\"2024/04/Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg.jpg\";s:8:\"filesize\";i:190976;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:61:\"Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6602;}s:5:\"large\";a:5:{s:4:\"file\";s:62:\"Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39963;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:61:\"Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4097;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:61:\"Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25649;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:62:\"Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74502;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:62:\"Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116076;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("65", "37", "_wp_attached_file", "2024/04/Untitled-3_0003_jaguar-player-series-shell-pink.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("66", "37", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:63:\"2024/04/Untitled-3_0003_jaguar-player-series-shell-pink.jpg.jpg\";s:8:\"filesize\";i:182495;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:63:\"Untitled-3_0003_jaguar-player-series-shell-pink.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5821;}s:5:\"large\";a:5:{s:4:\"file\";s:64:\"Untitled-3_0003_jaguar-player-series-shell-pink.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37482;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:63:\"Untitled-3_0003_jaguar-player-series-shell-pink.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3705;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:63:\"Untitled-3_0003_jaguar-player-series-shell-pink.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23502;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:64:\"Untitled-3_0003_jaguar-player-series-shell-pink.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70256;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:64:\"Untitled-3_0003_jaguar-player-series-shell-pink.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:109454;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("67", "38", "_wp_attached_file", "2024/04/Untitled-3_0002_jaguar-johnny-marr-yellow.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("68", "38", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:57:\"2024/04/Untitled-3_0002_jaguar-johnny-marr-yellow.jpg.jpg\";s:8:\"filesize\";i:181506;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:57:\"Untitled-3_0002_jaguar-johnny-marr-yellow.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6318;}s:5:\"large\";a:5:{s:4:\"file\";s:58:\"Untitled-3_0002_jaguar-johnny-marr-yellow.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38289;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:57:\"Untitled-3_0002_jaguar-johnny-marr-yellow.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4194;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:57:\"Untitled-3_0002_jaguar-johnny-marr-yellow.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24401;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:58:\"Untitled-3_0002_jaguar-johnny-marr-yellow.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69588;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:58:\"Untitled-3_0002_jaguar-johnny-marr-yellow.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106354;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("69", "39", "_wp_attached_file", "2024/04/Untitled-3_0001_jaguar-johnny-marr-white.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("70", "39", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:56:\"2024/04/Untitled-3_0001_jaguar-johnny-marr-white.jpg.jpg\";s:8:\"filesize\";i:154373;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:56:\"Untitled-3_0001_jaguar-johnny-marr-white.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5287;}s:5:\"large\";a:5:{s:4:\"file\";s:57:\"Untitled-3_0001_jaguar-johnny-marr-white.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32883;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:56:\"Untitled-3_0001_jaguar-johnny-marr-white.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3643;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:56:\"Untitled-3_0001_jaguar-johnny-marr-white.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20990;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:57:\"Untitled-3_0001_jaguar-johnny-marr-white.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59690;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:57:\"Untitled-3_0001_jaguar-johnny-marr-white.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:91507;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("71", "40", "_wp_attached_file", "2024/04/Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("72", "40", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:67:\"2024/04/Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg.jpg\";s:8:\"filesize\";i:191328;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:67:\"Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6675;}s:5:\"large\";a:5:{s:4:\"file\";s:68:\"Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39680;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:67:\"Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4119;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:67:\"Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25454;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:68:\"Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74408;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:68:\"Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:115950;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("73", "41", "_wp_attached_file", "2024/04/Untitled-4_0004_jazzmaster-performer.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("74", "41", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:52:\"2024/04/Untitled-4_0004_jazzmaster-performer.jpg.jpg\";s:8:\"filesize\";i:183416;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:52:\"Untitled-4_0004_jazzmaster-performer.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6112;}s:5:\"large\";a:5:{s:4:\"file\";s:53:\"Untitled-4_0004_jazzmaster-performer.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38247;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:52:\"Untitled-4_0004_jazzmaster-performer.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3990;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:52:\"Untitled-4_0004_jazzmaster-performer.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24364;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:53:\"Untitled-4_0004_jazzmaster-performer.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72181;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:53:\"Untitled-4_0004_jazzmaster-performer.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:113060;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("75", "42", "_wp_attached_file", "2024/04/Untitled-4_0000_jazzmaster-american-professional-mercury.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("76", "42", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:72:\"2024/04/Untitled-4_0000_jazzmaster-american-professional-mercury.jpg.jpg\";s:8:\"filesize\";i:184021;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:72:\"Untitled-4_0000_jazzmaster-american-professional-mercury.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6404;}s:5:\"large\";a:5:{s:4:\"file\";s:73:\"Untitled-4_0000_jazzmaster-american-professional-mercury.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39797;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:72:\"Untitled-4_0000_jazzmaster-american-professional-mercury.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3884;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:72:\"Untitled-4_0000_jazzmaster-american-professional-mercury.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25693;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:73:\"Untitled-4_0000_jazzmaster-american-professional-mercury.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74923;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:73:\"Untitled-4_0000_jazzmaster-american-professional-mercury.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116603;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("77", "43", "_wp_attached_file", "2024/04/Untitled-4_0001_jazzmaster-american-ultra.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("78", "43", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:57:\"2024/04/Untitled-4_0001_jazzmaster-american-ultra.jpg.jpg\";s:8:\"filesize\";i:225925;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:57:\"Untitled-4_0001_jazzmaster-american-ultra.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6817;}s:5:\"large\";a:5:{s:4:\"file\";s:58:\"Untitled-4_0001_jazzmaster-american-ultra.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43792;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:57:\"Untitled-4_0001_jazzmaster-american-ultra.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4364;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:57:\"Untitled-4_0001_jazzmaster-american-ultra.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27337;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:58:\"Untitled-4_0001_jazzmaster-american-ultra.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:84257;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:58:\"Untitled-4_0001_jazzmaster-american-ultra.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:133867;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("79", "44", "_wp_attached_file", "2024/04/Untitled-4_0005_jazzmaster-vintera.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("80", "44", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:50:\"2024/04/Untitled-4_0005_jazzmaster-vintera.jpg.jpg\";s:8:\"filesize\";i:172416;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"Untitled-4_0005_jazzmaster-vintera.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5623;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"Untitled-4_0005_jazzmaster-vintera.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35617;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"Untitled-4_0005_jazzmaster-vintera.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3782;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"Untitled-4_0005_jazzmaster-vintera.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22204;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"Untitled-4_0005_jazzmaster-vintera.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:66509;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:51:\"Untitled-4_0005_jazzmaster-vintera.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:102273;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("81", "45", "_wp_attached_file", "2024/04/Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("82", "45", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:66:\"2024/04/Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg.jpg\";s:8:\"filesize\";i:175831;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:66:\"Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6603;}s:5:\"large\";a:5:{s:4:\"file\";s:67:\"Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37830;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:66:\"Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4041;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:66:\"Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24503;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:67:\"Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69458;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:67:\"Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:105717;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("83", "46", "_wp_attached_file", "2024/04/Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("84", "46", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:77:\"2024/04/Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg.jpg\";s:8:\"filesize\";i:202304;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:77:\"Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6721;}s:5:\"large\";a:5:{s:4:\"file\";s:78:\"Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:42342;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:77:\"Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3895;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:77:\"Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26736;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:78:\"Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:80303;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:78:\"Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:127333;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("85", "47", "_wp_attached_file", "2024/04/Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("86", "47", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:91:\"2024/04/Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg.jpg\";s:8:\"filesize\";i:185933;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:91:\"Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6698;}s:5:\"large\";a:5:{s:4:\"file\";s:92:\"Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37640;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:91:\"Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4127;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:91:\"Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24789;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:92:\"Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68470;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:92:\"Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103207;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("87", "48", "_wp_attached_file", "2024/04/Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("88", "48", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:101:\"2024/04/Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg.jpg\";s:8:\"filesize\";i:186802;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:101:\"Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5769;}s:5:\"large\";a:5:{s:4:\"file\";s:102:\"Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37368;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:101:\"Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3645;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:101:\"Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23444;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:102:\"Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72650;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:102:\"Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:116127;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("89", "49", "_wp_attached_file", "2024/04/Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("90", "49", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:98:\"2024/04/Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg.jpg\";s:8:\"filesize\";i:191218;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:98:\"Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5746;}s:5:\"large\";a:5:{s:4:\"file\";s:99:\"Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36873;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:98:\"Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3731;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:98:\"Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:23041;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:99:\"Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:71576;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:99:\"Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114602;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("91", "50", "_wp_attached_file", "2024/04/Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("92", "50", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:80:\"2024/04/Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg.jpg\";s:8:\"filesize\";i:185885;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:80:\"Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6682;}s:5:\"large\";a:5:{s:4:\"file\";s:81:\"Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:40156;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:80:\"Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3990;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:80:\"Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:25707;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:81:\"Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:74293;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:81:\"Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:114418;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("95", "52", "_wp_attached_file", "2024/04/Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("96", "52", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:94:\"2024/04/Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg.jpg\";s:8:\"filesize\";i:184898;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:94:\"Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6573;}s:5:\"large\";a:5:{s:4:\"file\";s:95:\"Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37996;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:94:\"Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4077;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:94:\"Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24537;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:95:\"Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:68980;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:95:\"Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:107100;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("97", "53", "_wp_attached_file", "2024/04/Untitled-2_0000_stratocaster-american-professional-ii-black.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("98", "53", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:75:\"2024/04/Untitled-2_0000_stratocaster-american-professional-ii-black.jpg.jpg\";s:8:\"filesize\";i:175867;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:75:\"Untitled-2_0000_stratocaster-american-professional-ii-black.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6477;}s:5:\"large\";a:5:{s:4:\"file\";s:76:\"Untitled-2_0000_stratocaster-american-professional-ii-black.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36979;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:75:\"Untitled-2_0000_stratocaster-american-professional-ii-black.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4070;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:75:\"Untitled-2_0000_stratocaster-american-professional-ii-black.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24012;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:76:\"Untitled-2_0000_stratocaster-american-professional-ii-black.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:67188;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:76:\"Untitled-2_0000_stratocaster-american-professional-ii-black.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103802;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("101", "55", "_wp_attached_file", "2024/04/0001_telecaster-american-vintage-ii-blue.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("102", "55", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:56:\"2024/04/0001_telecaster-american-vintage-ii-blue.jpg.jpg\";s:8:\"filesize\";i:190782;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:56:\"0001_telecaster-american-vintage-ii-blue.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6357;}s:5:\"large\";a:5:{s:4:\"file\";s:57:\"0001_telecaster-american-vintage-ii-blue.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39471;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:56:\"0001_telecaster-american-vintage-ii-blue.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3727;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:56:\"0001_telecaster-american-vintage-ii-blue.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24868;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:57:\"0001_telecaster-american-vintage-ii-blue.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75601;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:57:\"0001_telecaster-american-vintage-ii-blue.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:118628;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("103", "56", "_wp_attached_file", "2024/04/0006_telecaster-player-polar-white.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("104", "56", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:50:\"2024/04/0006_telecaster-player-polar-white.jpg.jpg\";s:8:\"filesize\";i:134395;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"0006_telecaster-player-polar-white.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4543;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"0006_telecaster-player-polar-white.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27287;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"0006_telecaster-player-polar-white.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3219;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"0006_telecaster-player-polar-white.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17617;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"0006_telecaster-player-polar-white.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:50519;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:51:\"0006_telecaster-player-polar-white.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:77561;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("105", "57", "_wp_attached_file", "2024/04/0008_telecaster-vintera-custom-black.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("106", "57", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:52:\"2024/04/0008_telecaster-vintera-custom-black.jpg.jpg\";s:8:\"filesize\";i:155264;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:52:\"0008_telecaster-vintera-custom-black.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5876;}s:5:\"large\";a:5:{s:4:\"file\";s:53:\"0008_telecaster-vintera-custom-black.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:34118;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:52:\"0008_telecaster-vintera-custom-black.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3576;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:52:\"0008_telecaster-vintera-custom-black.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22226;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:53:\"0008_telecaster-vintera-custom-black.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:62248;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:53:\"0008_telecaster-vintera-custom-black.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94150;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("107", "58", "_wp_attached_file", "2024/04/0002_telecaster-j-mascis.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("108", "58", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:40:\"2024/04/0002_telecaster-j-mascis.jpg.jpg\";s:8:\"filesize\";i:231128;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"0002_telecaster-j-mascis.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6085;}s:5:\"large\";a:5:{s:4:\"file\";s:41:\"0002_telecaster-j-mascis.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:43934;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"0002_telecaster-j-mascis.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3720;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"0002_telecaster-j-mascis.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:26943;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:41:\"0002_telecaster-j-mascis.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86214;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:41:\"0002_telecaster-j-mascis.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:136281;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("109", "59", "_wp_attached_file", "2024/04/0010_telecaster-vintera-surf-green.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("110", "59", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:50:\"2024/04/0010_telecaster-vintera-surf-green.jpg.jpg\";s:8:\"filesize\";i:133849;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"0010_telecaster-vintera-surf-green.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4955;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"0010_telecaster-vintera-surf-green.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:28175;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"0010_telecaster-vintera-surf-green.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3233;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"0010_telecaster-vintera-surf-green.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18267;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"0010_telecaster-vintera-surf-green.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51183;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:51:\"0010_telecaster-vintera-surf-green.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:77732;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("111", "60", "_wp_attached_file", "2024/04/0004_telecaster-player-black.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("112", "60", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:44:\"2024/04/0004_telecaster-player-black.jpg.jpg\";s:8:\"filesize\";i:142426;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"0004_telecaster-player-black.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5432;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"0004_telecaster-player-black.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30675;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"0004_telecaster-player-black.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3466;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"0004_telecaster-player-black.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19875;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"0004_telecaster-player-black.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:56005;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:45:\"0004_telecaster-player-black.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:84659;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("113", "61", "_wp_attached_file", "2024/04/0011_telecaster-vintera-vintage-red.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("114", "61", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:51:\"2024/04/0011_telecaster-vintera-vintage-red.jpg.jpg\";s:8:\"filesize\";i:145461;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:51:\"0011_telecaster-vintera-vintage-red.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5708;}s:5:\"large\";a:5:{s:4:\"file\";s:52:\"0011_telecaster-vintera-vintage-red.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30841;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:51:\"0011_telecaster-vintera-vintage-red.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3480;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:51:\"0011_telecaster-vintera-vintage-red.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20333;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:52:\"0011_telecaster-vintera-vintage-red.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55563;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:52:\"0011_telecaster-vintera-vintage-red.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83738;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("115", "62", "_wp_attached_file", "2024/04/0003_telecaster-jim-adkins-thinline.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("116", "62", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:51:\"2024/04/0003_telecaster-jim-adkins-thinline.jpg.jpg\";s:8:\"filesize\";i:143754;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:51:\"0003_telecaster-jim-adkins-thinline.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5140;}s:5:\"large\";a:5:{s:4:\"file\";s:52:\"0003_telecaster-jim-adkins-thinline.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30543;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:51:\"0003_telecaster-jim-adkins-thinline.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3159;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:51:\"0003_telecaster-jim-adkins-thinline.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19171;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:52:\"0003_telecaster-jim-adkins-thinline.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55689;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:52:\"0003_telecaster-jim-adkins-thinline.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:86221;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("117", "63", "_wp_attached_file", "2024/04/0000_telecaster-american-ultra-blue.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("118", "63", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:51:\"2024/04/0000_telecaster-american-ultra-blue.jpg.jpg\";s:8:\"filesize\";i:165417;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:51:\"0000_telecaster-american-ultra-blue.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5901;}s:5:\"large\";a:5:{s:4:\"file\";s:52:\"0000_telecaster-american-ultra-blue.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:33674;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:51:\"0000_telecaster-american-ultra-blue.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3560;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:51:\"0000_telecaster-american-ultra-blue.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:21767;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:52:\"0000_telecaster-american-ultra-blue.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:63053;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:52:\"0000_telecaster-american-ultra-blue.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97365;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("119", "64", "_wp_attached_file", "2024/04/0009_telecaster-vintera-daphne-blue.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("120", "64", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:51:\"2024/04/0009_telecaster-vintera-daphne-blue.jpg.jpg\";s:8:\"filesize\";i:134866;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:51:\"0009_telecaster-vintera-daphne-blue.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4886;}s:5:\"large\";a:5:{s:4:\"file\";s:52:\"0009_telecaster-vintera-daphne-blue.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27947;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:51:\"0009_telecaster-vintera-daphne-blue.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3260;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:51:\"0009_telecaster-vintera-daphne-blue.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18057;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:52:\"0009_telecaster-vintera-daphne-blue.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51332;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:52:\"0009_telecaster-vintera-daphne-blue.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:78350;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("121", "65", "_wp_attached_file", "2024/04/0007_telecaster-player-tidepool.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("122", "65", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:47:\"2024/04/0007_telecaster-player-tidepool.jpg.jpg\";s:8:\"filesize\";i:149282;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"0007_telecaster-player-tidepool.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5355;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"0007_telecaster-player-tidepool.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31236;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"0007_telecaster-player-tidepool.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3508;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"0007_telecaster-player-tidepool.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19966;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"0007_telecaster-player-tidepool.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57921;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"0007_telecaster-player-tidepool.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:89695;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("123", "66", "_wp_attached_file", "2024/04/0005_telecaster-player-butterscotch.jpg.jpg");
INSERT INTO `wp_postmeta` VALUES("124", "66", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:51:\"2024/04/0005_telecaster-player-butterscotch.jpg.jpg\";s:8:\"filesize\";i:146461;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:51:\"0005_telecaster-player-butterscotch.jpg-300x100.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5528;}s:5:\"large\";a:5:{s:4:\"file\";s:52:\"0005_telecaster-player-butterscotch.jpg-1024x341.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:31829;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:51:\"0005_telecaster-player-butterscotch.jpg-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3597;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:51:\"0005_telecaster-player-butterscotch.jpg-768x256.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20677;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:52:\"0005_telecaster-player-butterscotch.jpg-1536x512.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57793;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:52:\"0005_telecaster-player-butterscotch.jpg-2048x683.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87006;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("125", "67", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("126", "67", "_edit_lock", "1712192019:1");
INSERT INTO `wp_postmeta` VALUES("128", "81", "_edit_lock", "1712192973:1");
INSERT INTO `wp_postmeta` VALUES("129", "81", "_thumbnail_id", "39");
INSERT INTO `wp_postmeta` VALUES("131", "81", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("132", "81", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("133", "81", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("134", "81", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("135", "81", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("136", "81", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("137", "81", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("138", "81", "model", "Jaguar");
INSERT INTO `wp_postmeta` VALUES("139", "81", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("140", "81", "model_variant", "Johnny Marr");
INSERT INTO `wp_postmeta` VALUES("141", "81", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("142", "81", "body_wood", "Alder");
INSERT INTO `wp_postmeta` VALUES("143", "81", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("144", "81", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("145", "81", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("146", "81", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("147", "81", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("148", "81", "scale_length", "24 inch");
INSERT INTO `wp_postmeta` VALUES("149", "81", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("150", "81", "pickups", "Bare Knuckle");
INSERT INTO `wp_postmeta` VALUES("151", "81", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("152", "81", "number_of_pickups", "3");
INSERT INTO `wp_postmeta` VALUES("153", "81", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("154", "81", "color", "White");
INSERT INTO `wp_postmeta` VALUES("155", "81", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("156", "81", "bridge", "Mustang");
INSERT INTO `wp_postmeta` VALUES("157", "81", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("158", "81", "tremolo", "Vintage floating");
INSERT INTO `wp_postmeta` VALUES("159", "81", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("163", "81", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("164", "81", "price", "2549");
INSERT INTO `wp_postmeta` VALUES("165", "81", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("166", "85", "_thumbnail_id", "36");
INSERT INTO `wp_postmeta` VALUES("167", "85", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("168", "85", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("169", "85", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("170", "85", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("171", "85", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("172", "85", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("173", "85", "model", "Jaguar");
INSERT INTO `wp_postmeta` VALUES("174", "85", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("175", "85", "model_variant", "Johnny Marr");
INSERT INTO `wp_postmeta` VALUES("176", "85", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("177", "85", "body_wood", "Alder");
INSERT INTO `wp_postmeta` VALUES("178", "85", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("179", "85", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("180", "85", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("181", "85", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("182", "85", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("183", "85", "scale_length", "24 inch");
INSERT INTO `wp_postmeta` VALUES("184", "85", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("185", "85", "pickups", "Bare Knuckle");
INSERT INTO `wp_postmeta` VALUES("186", "85", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("187", "85", "number_of_pickups", "3");
INSERT INTO `wp_postmeta` VALUES("188", "85", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("189", "85", "color", "Metallic KO");
INSERT INTO `wp_postmeta` VALUES("190", "85", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("191", "85", "bridge", "Mustang");
INSERT INTO `wp_postmeta` VALUES("192", "85", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("193", "85", "tremolo", "Vintage floating");
INSERT INTO `wp_postmeta` VALUES("194", "85", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("195", "85", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("196", "85", "price", "2549");
INSERT INTO `wp_postmeta` VALUES("197", "85", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("198", "85", "_dp_original", "81");
INSERT INTO `wp_postmeta` VALUES("199", "86", "_thumbnail_id", "38");
INSERT INTO `wp_postmeta` VALUES("200", "86", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("201", "86", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("202", "86", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("203", "86", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("204", "86", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("205", "86", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("206", "86", "model", "Jaguar");
INSERT INTO `wp_postmeta` VALUES("207", "86", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("208", "86", "model_variant", "Johnny Marr");
INSERT INTO `wp_postmeta` VALUES("209", "86", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("210", "86", "body_wood", "Alder");
INSERT INTO `wp_postmeta` VALUES("211", "86", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("212", "86", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("213", "86", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("214", "86", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("215", "86", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("216", "86", "scale_length", "24 inch");
INSERT INTO `wp_postmeta` VALUES("217", "86", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("218", "86", "pickups", "Bare Knuckle");
INSERT INTO `wp_postmeta` VALUES("219", "86", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("220", "86", "number_of_pickups", "3");
INSERT INTO `wp_postmeta` VALUES("221", "86", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("222", "86", "color", "Fever Dream");
INSERT INTO `wp_postmeta` VALUES("223", "86", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("224", "86", "bridge", "Mustang");
INSERT INTO `wp_postmeta` VALUES("225", "86", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("226", "86", "tremolo", "Vintage floating");
INSERT INTO `wp_postmeta` VALUES("227", "86", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("228", "86", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("229", "86", "price", "2549");
INSERT INTO `wp_postmeta` VALUES("230", "86", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("231", "86", "_dp_original", "81");
INSERT INTO `wp_postmeta` VALUES("232", "86", "_edit_lock", "1712192971:1");
INSERT INTO `wp_postmeta` VALUES("233", "86", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("234", "85", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("235", "85", "_edit_lock", "1712193016:1");
INSERT INTO `wp_postmeta` VALUES("236", "87", "_thumbnail_id", "63");
INSERT INTO `wp_postmeta` VALUES("237", "87", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("238", "87", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("239", "87", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("240", "87", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("241", "87", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("242", "87", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("243", "87", "model", "Telecaster");
INSERT INTO `wp_postmeta` VALUES("244", "87", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("245", "87", "model_variant", "American UItra");
INSERT INTO `wp_postmeta` VALUES("246", "87", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("247", "87", "body_wood", "Alder");
INSERT INTO `wp_postmeta` VALUES("248", "87", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("249", "87", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("250", "87", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("251", "87", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("252", "87", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("253", "87", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("254", "87", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("255", "87", "pickups", "Noiseless Vintage");
INSERT INTO `wp_postmeta` VALUES("256", "87", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("257", "87", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("258", "87", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("259", "87", "color", "Texas Tea");
INSERT INTO `wp_postmeta` VALUES("260", "87", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("261", "87", "bridge", "Six saddle brass");
INSERT INTO `wp_postmeta` VALUES("262", "87", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("263", "87", "tremolo", "N/A");
INSERT INTO `wp_postmeta` VALUES("264", "87", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("265", "87", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("266", "87", "price", "3039");
INSERT INTO `wp_postmeta` VALUES("267", "87", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("269", "87", "_dp_original", "85");
INSERT INTO `wp_postmeta` VALUES("270", "87", "_edit_lock", "1712193413:1");
INSERT INTO `wp_postmeta` VALUES("271", "87", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("272", "88", "_thumbnail_id", "66");
INSERT INTO `wp_postmeta` VALUES("273", "88", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("274", "88", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("275", "88", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("276", "88", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("277", "88", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("278", "88", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("279", "88", "model", "Telecaster");
INSERT INTO `wp_postmeta` VALUES("280", "88", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("281", "88", "model_variant", "American Vintage II");
INSERT INTO `wp_postmeta` VALUES("282", "88", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("283", "88", "body_wood", "Ash");
INSERT INTO `wp_postmeta` VALUES("284", "88", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("285", "88", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("286", "88", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("287", "88", "fretboard", "Maple");
INSERT INTO `wp_postmeta` VALUES("288", "88", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("289", "88", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("290", "88", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("291", "88", "pickups", "Noiseless Vintage");
INSERT INTO `wp_postmeta` VALUES("292", "88", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("293", "88", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("294", "88", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("295", "88", "color", "Butterscotch Blonde");
INSERT INTO `wp_postmeta` VALUES("296", "88", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("297", "88", "bridge", "Three saddle brass");
INSERT INTO `wp_postmeta` VALUES("298", "88", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("299", "88", "tremolo", "N/A");
INSERT INTO `wp_postmeta` VALUES("300", "88", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("302", "88", "price", "3239");
INSERT INTO `wp_postmeta` VALUES("303", "88", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("305", "88", "_dp_original", "87");
INSERT INTO `wp_postmeta` VALUES("306", "88", "_edit_lock", "1712193531:1");
INSERT INTO `wp_postmeta` VALUES("307", "88", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("312", "88", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("313", "91", "_thumbnail_id", "62");
INSERT INTO `wp_postmeta` VALUES("314", "91", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("315", "91", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("316", "91", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("317", "91", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("318", "91", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("319", "91", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("320", "91", "model", "Telecaster");
INSERT INTO `wp_postmeta` VALUES("321", "91", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("322", "91", "model_variant", "Jim Adkins");
INSERT INTO `wp_postmeta` VALUES("323", "91", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("324", "91", "body_wood", "Ash");
INSERT INTO `wp_postmeta` VALUES("325", "91", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("326", "91", "neck_type", "Set Neck");
INSERT INTO `wp_postmeta` VALUES("327", "91", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("328", "91", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("329", "91", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("330", "91", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("331", "91", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("332", "91", "pickups", "P90");
INSERT INTO `wp_postmeta` VALUES("333", "91", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("334", "91", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("335", "91", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("336", "91", "color", "White");
INSERT INTO `wp_postmeta` VALUES("337", "91", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("338", "91", "bridge", "Tune-o-Matic");
INSERT INTO `wp_postmeta` VALUES("339", "91", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("340", "91", "tremolo", "N/A");
INSERT INTO `wp_postmeta` VALUES("341", "91", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("342", "91", "price", "1050");
INSERT INTO `wp_postmeta` VALUES("343", "91", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("346", "91", "_dp_original", "88");
INSERT INTO `wp_postmeta` VALUES("347", "92", "_thumbnail_id", "57");
INSERT INTO `wp_postmeta` VALUES("348", "92", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("349", "92", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("350", "92", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("351", "92", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("352", "92", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("353", "92", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("354", "92", "model", "Telecaster");
INSERT INTO `wp_postmeta` VALUES("355", "92", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("356", "92", "model_variant", "Vintera Custom");
INSERT INTO `wp_postmeta` VALUES("357", "92", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("358", "92", "body_wood", "Ash");
INSERT INTO `wp_postmeta` VALUES("359", "92", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("360", "92", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("361", "92", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("362", "92", "fretboard", "Pau Fero");
INSERT INTO `wp_postmeta` VALUES("363", "92", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("364", "92", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("365", "92", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("366", "92", "pickups", "Wide range humbucker");
INSERT INTO `wp_postmeta` VALUES("367", "92", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("368", "92", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("369", "92", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("370", "92", "color", "Black");
INSERT INTO `wp_postmeta` VALUES("371", "92", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("372", "92", "bridge", "Three saddle brass");
INSERT INTO `wp_postmeta` VALUES("373", "92", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("374", "92", "tremolo", "N/A");
INSERT INTO `wp_postmeta` VALUES("375", "92", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("376", "92", "price", "899");
INSERT INTO `wp_postmeta` VALUES("377", "92", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("380", "92", "_dp_original", "88");
INSERT INTO `wp_postmeta` VALUES("381", "91", "_edit_lock", "1712194470:1");
INSERT INTO `wp_postmeta` VALUES("382", "91", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("386", "91", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("387", "92", "_edit_lock", "1712194471:1");
INSERT INTO `wp_postmeta` VALUES("388", "92", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("392", "92", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("393", "95", "_thumbnail_id", "40");
INSERT INTO `wp_postmeta` VALUES("394", "95", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("395", "95", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("396", "95", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("397", "95", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("398", "95", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("399", "95", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("400", "95", "model", "Jazzmaster");
INSERT INTO `wp_postmeta` VALUES("401", "95", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("402", "95", "model_variant", "American Professional II");
INSERT INTO `wp_postmeta` VALUES("403", "95", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("404", "95", "body_wood", "Alder");
INSERT INTO `wp_postmeta` VALUES("405", "95", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("406", "95", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("407", "95", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("408", "95", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("409", "95", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("410", "95", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("411", "95", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("412", "95", "pickups", "Pure Vintage 66");
INSERT INTO `wp_postmeta` VALUES("413", "95", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("414", "95", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("415", "95", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("416", "95", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("417", "95", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("418", "95", "bridge", "Three saddle brass");
INSERT INTO `wp_postmeta` VALUES("419", "95", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("420", "95", "tremolo", "Vintage Floating");
INSERT INTO `wp_postmeta` VALUES("421", "95", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("422", "95", "price", "3400");
INSERT INTO `wp_postmeta` VALUES("423", "95", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("425", "95", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("426", "95", "_dp_original", "92");
INSERT INTO `wp_postmeta` VALUES("427", "96", "_thumbnail_id", "46");
INSERT INTO `wp_postmeta` VALUES("428", "96", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("429", "96", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("430", "96", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("431", "96", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("432", "96", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("433", "96", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("434", "96", "model", "Telecaster");
INSERT INTO `wp_postmeta` VALUES("435", "96", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("436", "96", "model_variant", "Vintera Custom");
INSERT INTO `wp_postmeta` VALUES("437", "96", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("438", "96", "body_wood", "Ash");
INSERT INTO `wp_postmeta` VALUES("439", "96", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("440", "96", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("441", "96", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("442", "96", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("443", "96", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("444", "96", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("445", "96", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("446", "96", "pickups", "V-Mod");
INSERT INTO `wp_postmeta` VALUES("447", "96", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("448", "96", "number_of_pickups", "3");
INSERT INTO `wp_postmeta` VALUES("449", "96", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("450", "96", "color", "Mercury");
INSERT INTO `wp_postmeta` VALUES("451", "96", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("452", "96", "bridge", "Machined Chrome");
INSERT INTO `wp_postmeta` VALUES("453", "96", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("454", "96", "tremolo", "Upgraded 2 Point");
INSERT INTO `wp_postmeta` VALUES("455", "96", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("456", "96", "price", "2399");
INSERT INTO `wp_postmeta` VALUES("457", "96", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("460", "96", "_dp_original", "92");
INSERT INTO `wp_postmeta` VALUES("461", "95", "_edit_lock", "1722357313:1");
INSERT INTO `wp_postmeta` VALUES("462", "95", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("463", "97", "_thumbnail_id", "45");
INSERT INTO `wp_postmeta` VALUES("464", "97", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("465", "97", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("466", "97", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("467", "97", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("468", "97", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("469", "97", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("470", "97", "model", "Jazzmaster");
INSERT INTO `wp_postmeta` VALUES("471", "97", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("472", "97", "model_variant", "American Professional II");
INSERT INTO `wp_postmeta` VALUES("473", "97", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("474", "97", "body_wood", "Alder");
INSERT INTO `wp_postmeta` VALUES("475", "97", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("476", "97", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("477", "97", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("478", "97", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("479", "97", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("480", "97", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("481", "97", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("482", "97", "pickups", "Pure Vintage 66");
INSERT INTO `wp_postmeta` VALUES("483", "97", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("484", "97", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("485", "97", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("486", "97", "color", "Red");
INSERT INTO `wp_postmeta` VALUES("487", "97", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("488", "97", "bridge", "Three saddle brass");
INSERT INTO `wp_postmeta` VALUES("489", "97", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("490", "97", "tremolo", "Vintage Floating");
INSERT INTO `wp_postmeta` VALUES("491", "97", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("492", "97", "price", "3400");
INSERT INTO `wp_postmeta` VALUES("493", "97", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("494", "97", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("496", "97", "_dp_original", "95");
INSERT INTO `wp_postmeta` VALUES("497", "97", "_edit_lock", "1712194471:1");
INSERT INTO `wp_postmeta` VALUES("498", "97", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("499", "96", "_edit_lock", "1712208833:1");
INSERT INTO `wp_postmeta` VALUES("500", "96", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("501", "98", "_thumbnail_id", "610");
INSERT INTO `wp_postmeta` VALUES("502", "98", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("503", "98", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("504", "98", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("505", "98", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("506", "98", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("507", "98", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("508", "98", "model", "Telecaster");
INSERT INTO `wp_postmeta` VALUES("509", "98", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("510", "98", "model_variant", "Vintera Custom");
INSERT INTO `wp_postmeta` VALUES("511", "98", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("512", "98", "body_wood", "Ash");
INSERT INTO `wp_postmeta` VALUES("513", "98", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("514", "98", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("515", "98", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("516", "98", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("517", "98", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("518", "98", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("519", "98", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("520", "98", "pickups", "Wide range humbucker");
INSERT INTO `wp_postmeta` VALUES("521", "98", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("522", "98", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("523", "98", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("524", "98", "color", "Mercury");
INSERT INTO `wp_postmeta` VALUES("525", "98", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("526", "98", "bridge", "Three saddle brass");
INSERT INTO `wp_postmeta` VALUES("527", "98", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("528", "98", "tremolo", "N/A");
INSERT INTO `wp_postmeta` VALUES("529", "98", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("530", "98", "price", "899");
INSERT INTO `wp_postmeta` VALUES("531", "98", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("534", "98", "_dp_original", "96");
INSERT INTO `wp_postmeta` VALUES("535", "99", "_thumbnail_id", "48");
INSERT INTO `wp_postmeta` VALUES("536", "99", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("537", "99", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("538", "99", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("539", "99", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("540", "99", "manufacturer", "Fender");
INSERT INTO `wp_postmeta` VALUES("541", "99", "_manufacturer", "field_660df304f1533");
INSERT INTO `wp_postmeta` VALUES("542", "99", "model", "Telecaster");
INSERT INTO `wp_postmeta` VALUES("543", "99", "_model", "field_660df395f1534");
INSERT INTO `wp_postmeta` VALUES("544", "99", "model_variant", "Vintera Custom");
INSERT INTO `wp_postmeta` VALUES("545", "99", "_model_variant", "field_660df3a9f1535");
INSERT INTO `wp_postmeta` VALUES("546", "99", "body_wood", "Ash");
INSERT INTO `wp_postmeta` VALUES("547", "99", "_body_wood", "field_660df3eef1536");
INSERT INTO `wp_postmeta` VALUES("548", "99", "neck_type", "Bolt On");
INSERT INTO `wp_postmeta` VALUES("549", "99", "_neck_type", "field_660df485f153b");
INSERT INTO `wp_postmeta` VALUES("550", "99", "fretboard", "Rosewood");
INSERT INTO `wp_postmeta` VALUES("551", "99", "_fretboard", "field_660df406f1537");
INSERT INTO `wp_postmeta` VALUES("552", "99", "scale_length", "25.5 inch");
INSERT INTO `wp_postmeta` VALUES("553", "99", "_scale_length", "field_660df409f1538");
INSERT INTO `wp_postmeta` VALUES("554", "99", "pickups", "Wide range humbucker");
INSERT INTO `wp_postmeta` VALUES("555", "99", "_pickups", "field_660df44ff1539");
INSERT INTO `wp_postmeta` VALUES("556", "99", "number_of_pickups", "2");
INSERT INTO `wp_postmeta` VALUES("557", "99", "_number_of_pickups", "field_660df497f153c");
INSERT INTO `wp_postmeta` VALUES("558", "99", "color", "Mystic Surf Green");
INSERT INTO `wp_postmeta` VALUES("559", "99", "_color", "field_660df467f153a");
INSERT INTO `wp_postmeta` VALUES("560", "99", "bridge", "Three saddle brass");
INSERT INTO `wp_postmeta` VALUES("561", "99", "_bridge", "field_660df4e2f153d");
INSERT INTO `wp_postmeta` VALUES("562", "99", "tremolo", "N/A");
INSERT INTO `wp_postmeta` VALUES("563", "99", "_tremolo", "field_660df9841c940");
INSERT INTO `wp_postmeta` VALUES("564", "99", "price", "899");
INSERT INTO `wp_postmeta` VALUES("565", "99", "_price", "field_660dfa2d8a803");
INSERT INTO `wp_postmeta` VALUES("566", "99", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("568", "99", "_dp_original", "96");
INSERT INTO `wp_postmeta` VALUES("569", "99", "_edit_lock", "1712213443:1");
INSERT INTO `wp_postmeta` VALUES("570", "99", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("571", "98", "_edit_lock", "1722126035:1");
INSERT INTO `wp_postmeta` VALUES("572", "98", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("579", "101", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("584", "103", "_edit_lock", "1722379278:1");
INSERT INTO `wp_postmeta` VALUES("637", "127", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-Pink.png");
INSERT INTO `wp_postmeta` VALUES("638", "127", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:48:\"2024/04/Squier-Hello-Kitty-Stratocaster-Pink.png\";s:8:\"filesize\";i:138628;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"Squier-Hello-Kitty-Stratocaster-Pink-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28106;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"Squier-Hello-Kitty-Stratocaster-Pink-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:248877;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"Squier-Hello-Kitty-Stratocaster-Pink-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13979;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"Squier-Hello-Kitty-Stratocaster-Pink-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:144930;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("640", "103", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("643", "129", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-Blue.png");
INSERT INTO `wp_postmeta` VALUES("644", "129", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:48:\"2024/04/Squier-Hello-Kitty-Stratocaster-Blue.png\";s:8:\"filesize\";i:386345;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"Squier-Hello-Kitty-Stratocaster-Blue-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28179;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"Squier-Hello-Kitty-Stratocaster-Blue-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:249148;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"Squier-Hello-Kitty-Stratocaster-Blue-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14004;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"Squier-Hello-Kitty-Stratocaster-Blue-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:145195;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("645", "130", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-BlueSaturated.png");
INSERT INTO `wp_postmeta` VALUES("646", "130", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:57:\"2024/04/Squier-Hello-Kitty-Stratocaster-BlueSaturated.png\";s:8:\"filesize\";i:384015;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:57:\"Squier-Hello-Kitty-Stratocaster-BlueSaturated-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28883;}s:5:\"large\";a:5:{s:4:\"file\";s:58:\"Squier-Hello-Kitty-Stratocaster-BlueSaturated-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:256935;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:57:\"Squier-Hello-Kitty-Stratocaster-BlueSaturated-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14029;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:57:\"Squier-Hello-Kitty-Stratocaster-BlueSaturated-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:149860;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("647", "131", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-Green.png");
INSERT INTO `wp_postmeta` VALUES("648", "131", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:49:\"2024/04/Squier-Hello-Kitty-Stratocaster-Green.png\";s:8:\"filesize\";i:382842;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"Squier-Hello-Kitty-Stratocaster-Green-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28237;}s:5:\"large\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Green-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:249508;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"Squier-Hello-Kitty-Stratocaster-Green-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13983;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"Squier-Hello-Kitty-Stratocaster-Green-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:145374;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("649", "132", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-PeachSaturated.png");
INSERT INTO `wp_postmeta` VALUES("650", "132", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:58:\"2024/04/Squier-Hello-Kitty-Stratocaster-PeachSaturated.png\";s:8:\"filesize\";i:384994;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:58:\"Squier-Hello-Kitty-Stratocaster-PeachSaturated-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29390;}s:5:\"large\";a:5:{s:4:\"file\";s:59:\"Squier-Hello-Kitty-Stratocaster-PeachSaturated-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:262093;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:58:\"Squier-Hello-Kitty-Stratocaster-PeachSaturated-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14391;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:58:\"Squier-Hello-Kitty-Stratocaster-PeachSaturated-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:152530;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("651", "133", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-Pink-1.png");
INSERT INTO `wp_postmeta` VALUES("652", "133", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:50:\"2024/04/Squier-Hello-Kitty-Stratocaster-Pink-1.png\";s:8:\"filesize\";i:138628;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Pink-1-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28106;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"Squier-Hello-Kitty-Stratocaster-Pink-1-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:248877;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Pink-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13979;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Pink-1-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:144930;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("653", "134", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-Purple.png");
INSERT INTO `wp_postmeta` VALUES("654", "134", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:50:\"2024/04/Squier-Hello-Kitty-Stratocaster-Purple.png\";s:8:\"filesize\";i:387495;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Purple-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28280;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"Squier-Hello-Kitty-Stratocaster-Purple-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:251691;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Purple-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14029;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Purple-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:146373;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("655", "135", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-Yellow.png");
INSERT INTO `wp_postmeta` VALUES("656", "135", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:50:\"2024/04/Squier-Hello-Kitty-Stratocaster-Yellow.png\";s:8:\"filesize\";i:384258;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Yellow-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28300;}s:5:\"large\";a:5:{s:4:\"file\";s:51:\"Squier-Hello-Kitty-Stratocaster-Yellow-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:250331;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Yellow-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13940;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:50:\"Squier-Hello-Kitty-Stratocaster-Yellow-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:145693;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("657", "136", "_wp_attached_file", "2024/04/Squier-Hello-Kitty-Stratocaster-YellowSaturated.png");
INSERT INTO `wp_postmeta` VALUES("658", "136", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:59:\"2024/04/Squier-Hello-Kitty-Stratocaster-YellowSaturated.png\";s:8:\"filesize\";i:389325;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:59:\"Squier-Hello-Kitty-Stratocaster-YellowSaturated-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29222;}s:5:\"large\";a:5:{s:4:\"file\";s:60:\"Squier-Hello-Kitty-Stratocaster-YellowSaturated-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:260001;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:59:\"Squier-Hello-Kitty-Stratocaster-YellowSaturated-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14236;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:59:\"Squier-Hello-Kitty-Stratocaster-YellowSaturated-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:151721;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("659", "137", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("660", "137", "_dp_original", "103");
INSERT INTO `wp_postmeta` VALUES("661", "138", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("663", "138", "_dp_original", "137");
INSERT INTO `wp_postmeta` VALUES("664", "139", "_thumbnail_id", "134");
INSERT INTO `wp_postmeta` VALUES("666", "139", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("667", "140", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("669", "140", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("670", "141", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("672", "141", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("673", "142", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("675", "142", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("676", "143", "_thumbnail_id", "132");
INSERT INTO `wp_postmeta` VALUES("678", "143", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("679", "144", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("681", "144", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("682", "145", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("684", "145", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("685", "146", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("687", "146", "_dp_original", "141");
INSERT INTO `wp_postmeta` VALUES("688", "147", "_thumbnail_id", "135");
INSERT INTO `wp_postmeta` VALUES("690", "147", "_dp_original", "141");
INSERT INTO `wp_postmeta` VALUES("691", "146", "_edit_lock", "1722379300:1");
INSERT INTO `wp_postmeta` VALUES("692", "147", "_edit_lock", "1722379324:1");
INSERT INTO `wp_postmeta` VALUES("693", "141", "_edit_lock", "1722379372:1");
INSERT INTO `wp_postmeta` VALUES("694", "142", "_edit_lock", "1722379400:1");
INSERT INTO `wp_postmeta` VALUES("695", "143", "_edit_lock", "1722379446:1");
INSERT INTO `wp_postmeta` VALUES("696", "144", "_edit_lock", "1722379470:1");
INSERT INTO `wp_postmeta` VALUES("697", "145", "_edit_lock", "1722379496:1");
INSERT INTO `wp_postmeta` VALUES("698", "139", "_edit_lock", "1722379523:1");
INSERT INTO `wp_postmeta` VALUES("699", "140", "_edit_lock", "1722360832:1");
INSERT INTO `wp_postmeta` VALUES("700", "138", "_edit_lock", "1722360273:1");
INSERT INTO `wp_postmeta` VALUES("704", "146", "_wp_old_slug", "weissensee-by-neu-2");
INSERT INTO `wp_postmeta` VALUES("714", "137", "_edit_lock", "1722360229:1");
INSERT INTO `wp_postmeta` VALUES("716", "160", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("718", "160", "_dp_original", "137");
INSERT INTO `wp_postmeta` VALUES("719", "161", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("721", "161", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("722", "162", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("724", "162", "_dp_original", "140");
INSERT INTO `wp_postmeta` VALUES("725", "163", "_thumbnail_id", "134");
INSERT INTO `wp_postmeta` VALUES("727", "163", "_dp_original", "139");
INSERT INTO `wp_postmeta` VALUES("728", "164", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("730", "164", "_dp_original", "145");
INSERT INTO `wp_postmeta` VALUES("731", "165", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("733", "165", "_dp_original", "144");
INSERT INTO `wp_postmeta` VALUES("734", "166", "_thumbnail_id", "132");
INSERT INTO `wp_postmeta` VALUES("736", "166", "_dp_original", "143");
INSERT INTO `wp_postmeta` VALUES("737", "167", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("739", "167", "_dp_original", "142");
INSERT INTO `wp_postmeta` VALUES("740", "168", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("742", "168", "_dp_original", "141");
INSERT INTO `wp_postmeta` VALUES("743", "169", "_thumbnail_id", "135");
INSERT INTO `wp_postmeta` VALUES("745", "169", "_dp_original", "147");
INSERT INTO `wp_postmeta` VALUES("746", "170", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("748", "170", "_wp_old_slug", "weissensee-by-neu-2");
INSERT INTO `wp_postmeta` VALUES("749", "170", "_dp_original", "146");
INSERT INTO `wp_postmeta` VALUES("750", "171", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("751", "171", "_dp_original", "103");
INSERT INTO `wp_postmeta` VALUES("752", "160", "_edit_lock", "1722360181:1");
INSERT INTO `wp_postmeta` VALUES("753", "160", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("754", "160", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("755", "161", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("756", "161", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("757", "161", "_edit_lock", "1722360059:1");
INSERT INTO `wp_postmeta` VALUES("758", "162", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("759", "162", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("760", "162", "_edit_lock", "1722360122:1");
INSERT INTO `wp_postmeta` VALUES("761", "163", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("762", "163", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("763", "163", "_edit_lock", "1722359935:1");
INSERT INTO `wp_postmeta` VALUES("764", "164", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("765", "164", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("766", "164", "_edit_lock", "1722359919:1");
INSERT INTO `wp_postmeta` VALUES("767", "165", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("768", "165", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("769", "165", "_edit_lock", "1722359902:1");
INSERT INTO `wp_postmeta` VALUES("770", "166", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("771", "166", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("772", "166", "_edit_lock", "1722359878:1");
INSERT INTO `wp_postmeta` VALUES("773", "167", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("774", "167", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("775", "167", "_edit_lock", "1722359863:1");
INSERT INTO `wp_postmeta` VALUES("776", "169", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("777", "169", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("778", "169", "_edit_lock", "1722359659:1");
INSERT INTO `wp_postmeta` VALUES("779", "168", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("780", "168", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("781", "168", "_edit_lock", "1722359839:1");
INSERT INTO `wp_postmeta` VALUES("782", "171", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("783", "171", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("784", "171", "_edit_lock", "1722379596:1");
INSERT INTO `wp_postmeta` VALUES("794", "170", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("795", "170", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("796", "170", "_edit_lock", "1722359781:1");
INSERT INTO `wp_postmeta` VALUES("801", "138", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("802", "138", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("804", "137", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("805", "137", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("807", "188", "_thumbnail_id", "239");
INSERT INTO `wp_postmeta` VALUES("809", "188", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("810", "188", "_dp_original", "169");
INSERT INTO `wp_postmeta` VALUES("811", "189", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("812", "189", "_wp_old_slug", "weissensee-by-neu-2");
INSERT INTO `wp_postmeta` VALUES("814", "189", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("815", "189", "_dp_original", "170");
INSERT INTO `wp_postmeta` VALUES("816", "190", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("818", "190", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("819", "190", "_dp_original", "171");
INSERT INTO `wp_postmeta` VALUES("820", "191", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("822", "191", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("823", "191", "_dp_original", "160");
INSERT INTO `wp_postmeta` VALUES("824", "192", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("826", "192", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("827", "192", "_dp_original", "161");
INSERT INTO `wp_postmeta` VALUES("828", "193", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("830", "193", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("831", "193", "_dp_original", "162");
INSERT INTO `wp_postmeta` VALUES("832", "194", "_thumbnail_id", "134");
INSERT INTO `wp_postmeta` VALUES("834", "194", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("835", "194", "_dp_original", "163");
INSERT INTO `wp_postmeta` VALUES("836", "195", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("838", "195", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("839", "195", "_dp_original", "164");
INSERT INTO `wp_postmeta` VALUES("840", "196", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("842", "196", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("843", "196", "_dp_original", "165");
INSERT INTO `wp_postmeta` VALUES("844", "197", "_thumbnail_id", "132");
INSERT INTO `wp_postmeta` VALUES("846", "197", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("847", "197", "_dp_original", "166");
INSERT INTO `wp_postmeta` VALUES("848", "198", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("850", "198", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("851", "198", "_dp_original", "167");
INSERT INTO `wp_postmeta` VALUES("852", "199", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("854", "199", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("855", "199", "_dp_original", "168");
INSERT INTO `wp_postmeta` VALUES("856", "200", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("858", "200", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("859", "200", "_dp_original", "137");
INSERT INTO `wp_postmeta` VALUES("860", "201", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("862", "201", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("863", "201", "_dp_original", "138");
INSERT INTO `wp_postmeta` VALUES("864", "202", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("866", "202", "_dp_original", "140");
INSERT INTO `wp_postmeta` VALUES("867", "203", "_thumbnail_id", "134");
INSERT INTO `wp_postmeta` VALUES("869", "203", "_dp_original", "139");
INSERT INTO `wp_postmeta` VALUES("870", "204", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("872", "204", "_dp_original", "145");
INSERT INTO `wp_postmeta` VALUES("873", "205", "_thumbnail_id", "131");
INSERT INTO `wp_postmeta` VALUES("875", "205", "_dp_original", "144");
INSERT INTO `wp_postmeta` VALUES("876", "206", "_thumbnail_id", "132");
INSERT INTO `wp_postmeta` VALUES("878", "206", "_dp_original", "143");
INSERT INTO `wp_postmeta` VALUES("879", "207", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("881", "207", "_dp_original", "142");
INSERT INTO `wp_postmeta` VALUES("882", "208", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("884", "208", "_dp_original", "141");
INSERT INTO `wp_postmeta` VALUES("885", "209", "_thumbnail_id", "135");
INSERT INTO `wp_postmeta` VALUES("887", "209", "_dp_original", "147");
INSERT INTO `wp_postmeta` VALUES("888", "210", "_thumbnail_id", "129");
INSERT INTO `wp_postmeta` VALUES("890", "210", "_wp_old_slug", "weissensee-by-neu-2");
INSERT INTO `wp_postmeta` VALUES("891", "210", "_dp_original", "146");
INSERT INTO `wp_postmeta` VALUES("892", "211", "_thumbnail_id", "127");
INSERT INTO `wp_postmeta` VALUES("893", "211", "_dp_original", "103");
INSERT INTO `wp_postmeta` VALUES("894", "188", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("895", "188", "_edit_lock", "1722379663:1");
INSERT INTO `wp_postmeta` VALUES("896", "189", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("897", "189", "_edit_lock", "1722359649:1");
INSERT INTO `wp_postmeta` VALUES("898", "191", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("899", "191", "_edit_lock", "1722734272:1");
INSERT INTO `wp_postmeta` VALUES("900", "192", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("901", "192", "_edit_lock", "1722359513:1");
INSERT INTO `wp_postmeta` VALUES("902", "193", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("903", "193", "_edit_lock", "1722359463:1");
INSERT INTO `wp_postmeta` VALUES("904", "195", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("905", "195", "_edit_lock", "1722359413:1");
INSERT INTO `wp_postmeta` VALUES("906", "194", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("907", "194", "_edit_lock", "1722359440:1");
INSERT INTO `wp_postmeta` VALUES("908", "197", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("909", "197", "_edit_lock", "1722359345:1");
INSERT INTO `wp_postmeta` VALUES("910", "199", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("911", "199", "_edit_lock", "1722734243:1");
INSERT INTO `wp_postmeta` VALUES("912", "198", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("913", "198", "_edit_lock", "1722359221:1");
INSERT INTO `wp_postmeta` VALUES("914", "196", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("915", "196", "_edit_lock", "1722702414:1");
INSERT INTO `wp_postmeta` VALUES("916", "211", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("917", "211", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("918", "211", "_edit_lock", "1722734236:1");
INSERT INTO `wp_postmeta` VALUES("919", "210", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("920", "210", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("921", "210", "_edit_lock", "1722358795:1");
INSERT INTO `wp_postmeta` VALUES("922", "209", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("923", "209", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("924", "209", "_edit_lock", "1722358830:1");
INSERT INTO `wp_postmeta` VALUES("925", "208", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("926", "208", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("927", "208", "_edit_lock", "1722358853:1");
INSERT INTO `wp_postmeta` VALUES("928", "207", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("929", "207", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("930", "207", "_edit_lock", "1722358883:1");
INSERT INTO `wp_postmeta` VALUES("931", "206", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("932", "206", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("933", "206", "_edit_lock", "1722358919:1");
INSERT INTO `wp_postmeta` VALUES("934", "205", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("935", "205", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("936", "205", "_edit_lock", "1722358977:1");
INSERT INTO `wp_postmeta` VALUES("937", "204", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("938", "204", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("939", "204", "_edit_lock", "1722359004:1");
INSERT INTO `wp_postmeta` VALUES("940", "203", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("941", "203", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("942", "203", "_edit_lock", "1722359042:1");
INSERT INTO `wp_postmeta` VALUES("943", "202", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("944", "202", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("945", "202", "_edit_lock", "1722359061:1");
INSERT INTO `wp_postmeta` VALUES("946", "201", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("947", "201", "_edit_lock", "1722359078:1");
INSERT INTO `wp_postmeta` VALUES("948", "200", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("949", "200", "_edit_lock", "1722359116:1");
INSERT INTO `wp_postmeta` VALUES("974", "190", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("990", "140", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("992", "139", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("994", "145", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("996", "144", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("998", "143", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1000", "142", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1002", "141", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1004", "147", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1006", "146", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1008", "103", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1052", "239", "_wp_attached_file", "2024/04/HelloKittyStratocaster-Black.png");
INSERT INTO `wp_postmeta` VALUES("1053", "239", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:40:\"2024/04/HelloKittyStratocaster-Black.png\";s:8:\"filesize\";i:372289;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:40:\"HelloKittyStratocaster-Black-300x113.png\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26198;}s:5:\"large\";a:5:{s:4:\"file\";s:41:\"HelloKittyStratocaster-Black-1024x387.png\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:193747;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:40:\"HelloKittyStratocaster-Black-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14045;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:40:\"HelloKittyStratocaster-Black-768x290.png\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:120298;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1054", "240", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1055", "240", "_edit_lock", "1712367525:1");
INSERT INTO `wp_postmeta` VALUES("1058", "188", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1059", "188", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1060", "188", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1061", "188", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1062", "188", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1063", "188", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1064", "188", "modifications", "Lollar Imperial pickup");
INSERT INTO `wp_postmeta` VALUES("1065", "188", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1066", "188", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1067", "188", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1068", "188", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1069", "188", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1070", "188", "owner_name", "Luca Moretti");
INSERT INTO `wp_postmeta` VALUES("1071", "188", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1072", "188", "owner_country", "Italy");
INSERT INTO `wp_postmeta` VALUES("1073", "188", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1074", "212", "purchase_price", "");
INSERT INTO `wp_postmeta` VALUES("1075", "212", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1076", "212", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1077", "212", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1078", "212", "year_of_purchase", "");
INSERT INTO `wp_postmeta` VALUES("1079", "212", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1080", "212", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("1081", "212", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1082", "212", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1083", "212", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1084", "212", "career_status", "Amateur");
INSERT INTO `wp_postmeta` VALUES("1085", "212", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1086", "212", "owner_name", "");
INSERT INTO `wp_postmeta` VALUES("1087", "212", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1088", "212", "owner_country", "USA");
INSERT INTO `wp_postmeta` VALUES("1089", "212", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1091", "190", "_edit_lock", "1722359569:1");
INSERT INTO `wp_postmeta` VALUES("1093", "188", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1094", "188", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1095", "188", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1096", "188", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1097", "188", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1099", "249", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1102", "249", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1103", "249", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1104", "249", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1105", "249", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1106", "249", "year_of_purchase", "");
INSERT INTO `wp_postmeta` VALUES("1107", "249", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1108", "249", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("1109", "249", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1110", "249", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1111", "249", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1112", "249", "career_status", "Amateur");
INSERT INTO `wp_postmeta` VALUES("1113", "249", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1114", "249", "owner_name", "");
INSERT INTO `wp_postmeta` VALUES("1115", "249", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1116", "249", "owner_country", "USA");
INSERT INTO `wp_postmeta` VALUES("1117", "249", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1120", "250", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1123", "250", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1124", "250", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1125", "250", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1126", "250", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1127", "250", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1128", "250", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1129", "250", "modifications", "Lollar Imperial pickup.");
INSERT INTO `wp_postmeta` VALUES("1130", "250", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1131", "250", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1132", "250", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1133", "250", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1134", "250", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1135", "250", "owner_name", "");
INSERT INTO `wp_postmeta` VALUES("1136", "250", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1137", "250", "owner_country", "USA");
INSERT INTO `wp_postmeta` VALUES("1138", "250", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1141", "251", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1144", "251", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1145", "251", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1146", "251", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1147", "251", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1148", "251", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1149", "251", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1150", "251", "modifications", "Lollar Imperial pickup.");
INSERT INTO `wp_postmeta` VALUES("1151", "251", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1152", "251", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1153", "251", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1154", "251", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1155", "251", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1156", "251", "owner_name", "Luca Moretti");
INSERT INTO `wp_postmeta` VALUES("1157", "251", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1158", "251", "owner_country", "Italy");
INSERT INTO `wp_postmeta` VALUES("1159", "251", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1162", "252", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1165", "252", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1166", "252", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1167", "252", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1168", "252", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1169", "252", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1170", "252", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1171", "252", "modifications", "Lollar Imperial pickup");
INSERT INTO `wp_postmeta` VALUES("1172", "252", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1173", "252", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1174", "252", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1175", "252", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1176", "252", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1177", "252", "owner_name", "Luca Moretti");
INSERT INTO `wp_postmeta` VALUES("1178", "252", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1179", "252", "owner_country", "Italy");
INSERT INTO `wp_postmeta` VALUES("1180", "252", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1183", "210", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1184", "210", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1185", "210", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1186", "210", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1187", "210", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1189", "253", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1192", "210", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1193", "210", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1194", "210", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("1195", "210", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1196", "210", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1197", "210", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1198", "210", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("1199", "210", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1200", "210", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("1201", "210", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1202", "210", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1203", "210", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1204", "210", "owner_name", "Aisha Abdullah");
INSERT INTO `wp_postmeta` VALUES("1205", "210", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1206", "210", "owner_country", "Pakistan");
INSERT INTO `wp_postmeta` VALUES("1207", "210", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1208", "253", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1209", "253", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1210", "253", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1211", "253", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1212", "253", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1213", "253", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1214", "253", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("1215", "253", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1216", "253", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("1217", "253", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1218", "253", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1219", "253", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1220", "253", "owner_name", "Aisha Abdullah");
INSERT INTO `wp_postmeta` VALUES("1221", "253", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1222", "253", "owner_country", "Pakistan");
INSERT INTO `wp_postmeta` VALUES("1223", "253", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1226", "254", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1229", "254", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1230", "254", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1231", "254", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("1232", "254", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1233", "254", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1234", "254", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1235", "254", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("1236", "254", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1237", "254", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("1238", "254", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1239", "254", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1240", "254", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1241", "254", "owner_name", "Aisha Abdullah");
INSERT INTO `wp_postmeta` VALUES("1242", "254", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1243", "254", "owner_country", "Pakistan");
INSERT INTO `wp_postmeta` VALUES("1244", "254", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1247", "209", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1248", "209", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1249", "209", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1250", "209", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1251", "209", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1253", "255", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1256", "209", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1257", "209", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1258", "209", "color", "Yellow Green");
INSERT INTO `wp_postmeta` VALUES("1259", "209", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1260", "209", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("1261", "209", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1262", "209", "modifications", "Tuning heads");
INSERT INTO `wp_postmeta` VALUES("1263", "209", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1264", "209", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1265", "209", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1266", "209", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("1267", "209", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1268", "209", "owner_name", "Yuri Sokolov");
INSERT INTO `wp_postmeta` VALUES("1269", "209", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1270", "209", "owner_country", "Russia");
INSERT INTO `wp_postmeta` VALUES("1271", "209", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1272", "255", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1273", "255", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1274", "255", "color", "Yellow Green");
INSERT INTO `wp_postmeta` VALUES("1275", "255", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1276", "255", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("1277", "255", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1278", "255", "modifications", "Tuning heads");
INSERT INTO `wp_postmeta` VALUES("1279", "255", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1280", "255", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1281", "255", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1282", "255", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("1283", "255", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1284", "255", "owner_name", "Yuri Sokolov");
INSERT INTO `wp_postmeta` VALUES("1285", "255", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1286", "255", "owner_country", "Russia");
INSERT INTO `wp_postmeta` VALUES("1287", "255", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1292", "208", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1293", "208", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1294", "208", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1295", "208", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1296", "208", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1298", "257", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1301", "208", "purchase_price", "$1249 USD");
INSERT INTO `wp_postmeta` VALUES("1302", "208", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1303", "208", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("1304", "208", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1305", "208", "year_of_purchase", "2021");
INSERT INTO `wp_postmeta` VALUES("1306", "208", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1307", "208", "modifications", "Seymour Duncan JB Pickup");
INSERT INTO `wp_postmeta` VALUES("1308", "208", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1309", "208", "rating", "9.5/10");
INSERT INTO `wp_postmeta` VALUES("1310", "208", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1311", "208", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1312", "208", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1313", "208", "owner_name", "Diego Hernandez");
INSERT INTO `wp_postmeta` VALUES("1314", "208", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1315", "208", "owner_country", "Spain");
INSERT INTO `wp_postmeta` VALUES("1316", "208", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1317", "257", "purchase_price", "$1249 USD");
INSERT INTO `wp_postmeta` VALUES("1318", "257", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1319", "257", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("1320", "257", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1321", "257", "year_of_purchase", "2021");
INSERT INTO `wp_postmeta` VALUES("1322", "257", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1323", "257", "modifications", "Seymour Duncan JB Pickup");
INSERT INTO `wp_postmeta` VALUES("1324", "257", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1325", "257", "rating", "9.5/10");
INSERT INTO `wp_postmeta` VALUES("1326", "257", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1327", "257", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1328", "257", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1329", "257", "owner_name", "Diego Hernandez");
INSERT INTO `wp_postmeta` VALUES("1330", "257", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1331", "257", "owner_country", "Spain");
INSERT INTO `wp_postmeta` VALUES("1332", "257", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1337", "207", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1338", "207", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1339", "207", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1340", "207", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1341", "207", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1343", "259", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1346", "207", "purchase_price", "$2249 USD");
INSERT INTO `wp_postmeta` VALUES("1347", "207", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1348", "207", "color", "Bright Yellow");
INSERT INTO `wp_postmeta` VALUES("1349", "207", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1350", "207", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("1351", "207", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1352", "207", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1353", "207", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1354", "207", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1355", "207", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1356", "207", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("1357", "207", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1358", "207", "owner_name", "David Kim");
INSERT INTO `wp_postmeta` VALUES("1359", "207", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1360", "207", "owner_country", "England");
INSERT INTO `wp_postmeta` VALUES("1361", "207", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1362", "259", "purchase_price", "$2249 USD");
INSERT INTO `wp_postmeta` VALUES("1363", "259", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1364", "259", "color", "Bright Yellow");
INSERT INTO `wp_postmeta` VALUES("1365", "259", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1366", "259", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("1367", "259", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1368", "259", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1369", "259", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1370", "259", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1371", "259", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1372", "259", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("1373", "259", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1374", "259", "owner_name", "David Kim");
INSERT INTO `wp_postmeta` VALUES("1375", "259", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1376", "259", "owner_country", "England");
INSERT INTO `wp_postmeta` VALUES("1377", "259", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1382", "206", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1383", "206", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1384", "206", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1385", "206", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1386", "206", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1388", "261", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1391", "206", "purchase_price", "$849 USD");
INSERT INTO `wp_postmeta` VALUES("1392", "206", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1393", "206", "color", "Peach");
INSERT INTO `wp_postmeta` VALUES("1394", "206", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1395", "206", "year_of_purchase", "2018");
INSERT INTO `wp_postmeta` VALUES("1396", "206", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1397", "206", "modifications", "New bridge");
INSERT INTO `wp_postmeta` VALUES("1398", "206", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1399", "206", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1400", "206", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1401", "206", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1402", "206", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1403", "206", "owner_name", "Olivia Brown");
INSERT INTO `wp_postmeta` VALUES("1404", "206", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1405", "206", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1406", "206", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1407", "261", "purchase_price", "$849 USD");
INSERT INTO `wp_postmeta` VALUES("1408", "261", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1409", "261", "color", "Peach");
INSERT INTO `wp_postmeta` VALUES("1410", "261", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1411", "261", "year_of_purchase", "2018");
INSERT INTO `wp_postmeta` VALUES("1412", "261", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1413", "261", "modifications", "New bridge");
INSERT INTO `wp_postmeta` VALUES("1414", "261", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1415", "261", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1416", "261", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1417", "261", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1418", "261", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1419", "261", "owner_name", "Olivia Brown");
INSERT INTO `wp_postmeta` VALUES("1420", "261", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1421", "261", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1422", "261", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1425", "205", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1426", "205", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1427", "205", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1428", "205", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1429", "205", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1431", "262", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1433", "205", "purchase_price", "$1029 USD");
INSERT INTO `wp_postmeta` VALUES("1434", "205", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1435", "205", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("1436", "205", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1437", "205", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("1438", "205", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1439", "205", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1440", "205", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1441", "205", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("1442", "205", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1443", "205", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("1444", "205", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1445", "205", "owner_name", "Rajesh Patel");
INSERT INTO `wp_postmeta` VALUES("1446", "205", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1447", "205", "owner_country", "India");
INSERT INTO `wp_postmeta` VALUES("1448", "205", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1449", "262", "purchase_price", "$1029 USD");
INSERT INTO `wp_postmeta` VALUES("1450", "262", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1451", "262", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("1452", "262", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1453", "262", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("1454", "262", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1455", "262", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1456", "262", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1457", "262", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("1458", "262", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1459", "262", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("1460", "262", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1461", "262", "owner_name", "Rajesh Patel");
INSERT INTO `wp_postmeta` VALUES("1462", "262", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1463", "262", "owner_country", "India");
INSERT INTO `wp_postmeta` VALUES("1464", "262", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1467", "204", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1468", "204", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1469", "204", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1470", "204", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1471", "204", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1473", "263", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1476", "204", "purchase_price", "$9500 USD");
INSERT INTO `wp_postmeta` VALUES("1477", "204", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1478", "204", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("1479", "204", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1480", "204", "year_of_purchase", "2010");
INSERT INTO `wp_postmeta` VALUES("1481", "204", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1482", "204", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("1483", "204", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1484", "204", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1485", "204", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1486", "204", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1487", "204", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1488", "204", "owner_name", "Hiroshi Tanaka");
INSERT INTO `wp_postmeta` VALUES("1489", "204", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1490", "204", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1491", "204", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1492", "263", "purchase_price", "$9500 USD");
INSERT INTO `wp_postmeta` VALUES("1493", "263", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1494", "263", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("1495", "263", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1496", "263", "year_of_purchase", "2010");
INSERT INTO `wp_postmeta` VALUES("1497", "263", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1498", "263", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("1499", "263", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1500", "263", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1501", "263", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1502", "263", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1503", "263", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1504", "263", "owner_name", "Hiroshi Tanaka");
INSERT INTO `wp_postmeta` VALUES("1505", "263", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1506", "263", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1507", "263", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1512", "203", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1513", "203", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1514", "203", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1515", "203", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1516", "203", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1518", "265", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1521", "203", "purchase_price", "$749 USD");
INSERT INTO `wp_postmeta` VALUES("1522", "203", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1523", "203", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("1524", "203", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1525", "203", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1526", "203", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1527", "203", "modifications", "Dimarzio Celine Dion Pickupa");
INSERT INTO `wp_postmeta` VALUES("1528", "203", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1529", "203", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("1530", "203", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1531", "203", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1532", "203", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1533", "203", "owner_name", "Andrei Popescu");
INSERT INTO `wp_postmeta` VALUES("1534", "203", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1535", "203", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("1536", "203", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1537", "265", "purchase_price", "$749 USD");
INSERT INTO `wp_postmeta` VALUES("1538", "265", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1539", "265", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("1540", "265", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1541", "265", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1542", "265", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1543", "265", "modifications", "Dimarzio Celine Dion Pickupa");
INSERT INTO `wp_postmeta` VALUES("1544", "265", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1545", "265", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("1546", "265", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1547", "265", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1548", "265", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1549", "265", "owner_name", "Andrei Popescu");
INSERT INTO `wp_postmeta` VALUES("1550", "265", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1551", "265", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("1552", "265", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1555", "202", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1556", "202", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1557", "202", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1558", "202", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1559", "202", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1561", "266", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1564", "202", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1565", "202", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1566", "202", "color", "Gold");
INSERT INTO `wp_postmeta` VALUES("1567", "202", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1568", "202", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("1569", "202", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1570", "202", "modifications", "24k Gold Plating");
INSERT INTO `wp_postmeta` VALUES("1571", "202", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1572", "202", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1573", "202", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1574", "202", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("1575", "202", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1576", "202", "owner_name", "Fatima Al-Farsi");
INSERT INTO `wp_postmeta` VALUES("1577", "202", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1578", "202", "owner_country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1579", "202", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1580", "266", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1581", "266", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1582", "266", "color", "Gold");
INSERT INTO `wp_postmeta` VALUES("1583", "266", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1584", "266", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("1585", "266", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1586", "266", "modifications", "24k Gold Plating");
INSERT INTO `wp_postmeta` VALUES("1587", "266", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1588", "266", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1589", "266", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1590", "266", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("1591", "266", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1592", "266", "owner_name", "Fatima Al-Farsi");
INSERT INTO `wp_postmeta` VALUES("1593", "266", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1594", "266", "owner_country", "Iran");
INSERT INTO `wp_postmeta` VALUES("1595", "266", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1600", "201", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1601", "201", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1602", "201", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1603", "201", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1604", "201", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1606", "268", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1608", "201", "purchase_price", "$949 USD");
INSERT INTO `wp_postmeta` VALUES("1609", "201", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1610", "201", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("1611", "201", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1612", "201", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1613", "201", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1614", "201", "modifications", "Tuning Heads, Bridge, Pickup");
INSERT INTO `wp_postmeta` VALUES("1615", "201", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1616", "201", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1617", "201", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1618", "201", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1619", "201", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1620", "201", "owner_name", "Aoife Murphy");
INSERT INTO `wp_postmeta` VALUES("1621", "201", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1622", "201", "owner_country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("1623", "201", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1624", "268", "purchase_price", "$949 USD");
INSERT INTO `wp_postmeta` VALUES("1625", "268", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1626", "268", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("1627", "268", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1628", "268", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1629", "268", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1630", "268", "modifications", "Tuning Heads, Bridge, Pickup");
INSERT INTO `wp_postmeta` VALUES("1631", "268", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1632", "268", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1633", "268", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1634", "268", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1635", "268", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1636", "268", "owner_name", "Aoife Murphy");
INSERT INTO `wp_postmeta` VALUES("1637", "268", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1638", "268", "owner_country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("1639", "268", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1644", "200", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1645", "200", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1646", "200", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1647", "200", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1648", "200", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1650", "269", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1653", "200", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1654", "200", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1655", "200", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1656", "200", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1657", "200", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1658", "200", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1659", "200", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1660", "200", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1661", "200", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1662", "200", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1663", "200", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1664", "200", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1665", "200", "owner_name", "Roisin Byrne");
INSERT INTO `wp_postmeta` VALUES("1666", "200", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1667", "200", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1668", "200", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1669", "269", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1670", "269", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1671", "269", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("1672", "269", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1673", "269", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1674", "269", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1675", "269", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1676", "269", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1677", "269", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1678", "269", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1679", "269", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1680", "269", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1681", "269", "owner_name", "Roisin Byrne");
INSERT INTO `wp_postmeta` VALUES("1682", "269", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1683", "269", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1684", "269", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1689", "199", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1690", "199", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1691", "199", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1692", "199", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1693", "199", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1695", "271", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1698", "199", "purchase_price", "$1249 USD");
INSERT INTO `wp_postmeta` VALUES("1699", "199", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1700", "199", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("1701", "199", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1702", "199", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1703", "199", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1704", "199", "modifications", "Official Hello Kitty Strap");
INSERT INTO `wp_postmeta` VALUES("1705", "199", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1706", "199", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1707", "199", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1708", "199", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1709", "199", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1710", "199", "owner_name", "Joe Quinn");
INSERT INTO `wp_postmeta` VALUES("1711", "199", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1712", "199", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("1713", "199", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1714", "271", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1715", "271", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1716", "271", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("1717", "271", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1718", "271", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1719", "271", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1720", "271", "modifications", "Official Hello Kitty Strap");
INSERT INTO `wp_postmeta` VALUES("1721", "271", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1722", "271", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1723", "271", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1724", "271", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1725", "271", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1726", "271", "owner_name", "Joe Quinn");
INSERT INTO `wp_postmeta` VALUES("1727", "271", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1728", "271", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("1729", "271", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1732", "272", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1735", "272", "purchase_price", "$1249 USD");
INSERT INTO `wp_postmeta` VALUES("1736", "272", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1737", "272", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("1738", "272", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1739", "272", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1740", "272", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1741", "272", "modifications", "Official Hello Kitty Strap");
INSERT INTO `wp_postmeta` VALUES("1742", "272", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1743", "272", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1744", "272", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1745", "272", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1746", "272", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1747", "272", "owner_name", "Joe Quinn");
INSERT INTO `wp_postmeta` VALUES("1748", "272", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1749", "272", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("1750", "272", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1753", "198", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1754", "198", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1755", "198", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1756", "198", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1757", "198", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1759", "273", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1762", "198", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1763", "198", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1764", "198", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("1765", "198", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1766", "198", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1767", "198", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1768", "198", "modifications", "Case");
INSERT INTO `wp_postmeta` VALUES("1769", "198", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1770", "198", "rating", "0/10");
INSERT INTO `wp_postmeta` VALUES("1771", "198", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1772", "198", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("1773", "198", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1774", "198", "owner_name", "Siobhan Ryan");
INSERT INTO `wp_postmeta` VALUES("1775", "198", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1776", "198", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("1777", "198", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1778", "273", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1779", "273", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1780", "273", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("1781", "273", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1782", "273", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1783", "273", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1784", "273", "modifications", "Case");
INSERT INTO `wp_postmeta` VALUES("1785", "273", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1786", "273", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1787", "273", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1788", "273", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("1789", "273", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1790", "273", "owner_name", "Siobhan Ryan");
INSERT INTO `wp_postmeta` VALUES("1791", "273", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1792", "273", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("1793", "273", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1796", "274", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1799", "274", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("1800", "274", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1801", "274", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("1802", "274", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1803", "274", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1804", "274", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1805", "274", "modifications", "Case");
INSERT INTO `wp_postmeta` VALUES("1806", "274", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1807", "274", "rating", "0/10");
INSERT INTO `wp_postmeta` VALUES("1808", "274", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1809", "274", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("1810", "274", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1811", "274", "owner_name", "Siobhan Ryan");
INSERT INTO `wp_postmeta` VALUES("1812", "274", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1813", "274", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("1814", "274", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1819", "197", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1820", "197", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1821", "197", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1822", "197", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1823", "197", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1825", "276", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1828", "197", "purchase_price", "$3490 USD");
INSERT INTO `wp_postmeta` VALUES("1829", "197", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1830", "197", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("1831", "197", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1832", "197", "year_of_purchase", "2019");
INSERT INTO `wp_postmeta` VALUES("1833", "197", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1834", "197", "modifications", "Wiring");
INSERT INTO `wp_postmeta` VALUES("1835", "197", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1836", "197", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1837", "197", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1838", "197", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1839", "197", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1840", "197", "owner_name", "Saoirse Kennedy");
INSERT INTO `wp_postmeta` VALUES("1841", "197", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1842", "197", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1843", "197", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1844", "276", "purchase_price", "$3490 USD");
INSERT INTO `wp_postmeta` VALUES("1845", "276", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1846", "276", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("1847", "276", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1848", "276", "year_of_purchase", "2019");
INSERT INTO `wp_postmeta` VALUES("1849", "276", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1850", "276", "modifications", "Wiring");
INSERT INTO `wp_postmeta` VALUES("1851", "276", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1852", "276", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1853", "276", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1854", "276", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1855", "276", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1856", "276", "owner_name", "Saoirse Kennedy");
INSERT INTO `wp_postmeta` VALUES("1857", "276", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1858", "276", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("1859", "276", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1864", "195", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1865", "195", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1866", "195", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1867", "195", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1868", "195", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1870", "278", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1873", "195", "purchase_price", "$999 USD");
INSERT INTO `wp_postmeta` VALUES("1874", "195", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1875", "195", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("1876", "195", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1877", "195", "year_of_purchase", "2011");
INSERT INTO `wp_postmeta` VALUES("1878", "195", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1879", "195", "modifications", "Signed by Hello Kitty");
INSERT INTO `wp_postmeta` VALUES("1880", "195", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1881", "195", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1882", "195", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1883", "195", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("1884", "195", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1885", "195", "owner_name", "Ryota Kimura");
INSERT INTO `wp_postmeta` VALUES("1886", "195", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1887", "195", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1888", "195", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1889", "278", "purchase_price", "$999 USD");
INSERT INTO `wp_postmeta` VALUES("1890", "278", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1891", "278", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("1892", "278", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1893", "278", "year_of_purchase", "2011");
INSERT INTO `wp_postmeta` VALUES("1894", "278", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1895", "278", "modifications", "Signed by Hello Kitty");
INSERT INTO `wp_postmeta` VALUES("1896", "278", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1897", "278", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1898", "278", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1899", "278", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("1900", "278", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1901", "278", "owner_name", "Ryota Kimura");
INSERT INTO `wp_postmeta` VALUES("1902", "278", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1903", "278", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1904", "278", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1909", "194", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1910", "194", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1911", "194", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1912", "194", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1913", "194", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1915", "280", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1918", "194", "purchase_price", "$2429 USD");
INSERT INTO `wp_postmeta` VALUES("1919", "194", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1920", "194", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("1921", "194", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1922", "194", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1923", "194", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1924", "194", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("1925", "194", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1926", "194", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1927", "194", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1928", "194", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("1929", "194", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1930", "194", "owner_name", "Takumi Inoue");
INSERT INTO `wp_postmeta` VALUES("1931", "194", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1932", "194", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1933", "194", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1934", "280", "purchase_price", "$2429 USD");
INSERT INTO `wp_postmeta` VALUES("1935", "280", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1936", "280", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("1937", "280", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1938", "280", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1939", "280", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1940", "280", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("1941", "280", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1942", "280", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("1943", "280", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1944", "280", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("1945", "280", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1946", "280", "owner_name", "Takumi Inoue");
INSERT INTO `wp_postmeta` VALUES("1947", "280", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1948", "280", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1949", "280", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1952", "193", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1953", "193", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1954", "193", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1955", "193", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1956", "193", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1958", "281", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("1961", "193", "purchase_price", "$6649 USD");
INSERT INTO `wp_postmeta` VALUES("1962", "193", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1963", "193", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("1964", "193", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1965", "193", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1966", "193", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1967", "193", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1968", "193", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1969", "193", "rating", "11/10");
INSERT INTO `wp_postmeta` VALUES("1970", "193", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1971", "193", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1972", "193", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1973", "193", "owner_name", "Hiroshi Takahashi");
INSERT INTO `wp_postmeta` VALUES("1974", "193", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1975", "193", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1976", "193", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1977", "281", "purchase_price", "$6649 USD");
INSERT INTO `wp_postmeta` VALUES("1978", "281", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("1979", "281", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("1980", "281", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("1981", "281", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("1982", "281", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("1983", "281", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("1984", "281", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("1985", "281", "rating", "11/10");
INSERT INTO `wp_postmeta` VALUES("1986", "281", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("1987", "281", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("1988", "281", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("1989", "281", "owner_name", "Hiroshi Takahashi");
INSERT INTO `wp_postmeta` VALUES("1990", "281", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("1991", "281", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("1992", "281", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("1995", "192", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("1996", "192", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1997", "192", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1998", "192", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("1999", "192", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2001", "282", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2004", "192", "purchase_price", "$2231 USD");
INSERT INTO `wp_postmeta` VALUES("2005", "192", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2006", "192", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2007", "192", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2008", "192", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2009", "192", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2010", "192", "modifications", "Bone nut");
INSERT INTO `wp_postmeta` VALUES("2011", "192", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2012", "192", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2013", "192", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2014", "192", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2015", "192", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2016", "192", "owner_name", "Sophie Gauthier");
INSERT INTO `wp_postmeta` VALUES("2017", "192", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2018", "192", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("2019", "192", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2020", "282", "purchase_price", "$2231 USD");
INSERT INTO `wp_postmeta` VALUES("2021", "282", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2022", "282", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2023", "282", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2024", "282", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2025", "282", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2026", "282", "modifications", "Bone nut");
INSERT INTO `wp_postmeta` VALUES("2027", "282", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2028", "282", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2029", "282", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2030", "282", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2031", "282", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2032", "282", "owner_name", "Sophie Gauthier");
INSERT INTO `wp_postmeta` VALUES("2033", "282", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2034", "282", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("2035", "282", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2039", "191", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2040", "191", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2041", "191", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2042", "191", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2043", "191", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2045", "283", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2048", "191", "purchase_price", "$24239 USD");
INSERT INTO `wp_postmeta` VALUES("2049", "191", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2050", "191", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2051", "191", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2052", "191", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2053", "191", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2054", "191", "modifications", "Major Dents");
INSERT INTO `wp_postmeta` VALUES("2055", "191", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2056", "191", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2057", "191", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2058", "191", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("2059", "191", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2060", "191", "owner_name", "Baptiste Renault");
INSERT INTO `wp_postmeta` VALUES("2061", "191", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2062", "191", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("2063", "191", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2064", "283", "purchase_price", "$24239 USD");
INSERT INTO `wp_postmeta` VALUES("2065", "283", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2066", "283", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2067", "283", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2068", "283", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2069", "283", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2070", "283", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("2071", "283", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2072", "283", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2073", "283", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2074", "283", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("2075", "283", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2076", "283", "owner_name", "Baptiste Renault");
INSERT INTO `wp_postmeta` VALUES("2077", "283", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2078", "283", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("2079", "283", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2082", "284", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2085", "284", "purchase_price", "$24239 USD");
INSERT INTO `wp_postmeta` VALUES("2086", "284", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2087", "284", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2088", "284", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2089", "284", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2090", "284", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2091", "284", "modifications", "Major Dents");
INSERT INTO `wp_postmeta` VALUES("2092", "284", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2093", "284", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2094", "284", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2095", "284", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("2096", "284", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2097", "284", "owner_name", "Baptiste Renault");
INSERT INTO `wp_postmeta` VALUES("2098", "284", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2099", "284", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("2100", "284", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2106", "190", "purchase_price", "$449 USD");
INSERT INTO `wp_postmeta` VALUES("2107", "190", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2108", "190", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2109", "190", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2110", "190", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("2111", "190", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2112", "190", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2113", "190", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2114", "190", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2115", "190", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2116", "190", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("2117", "190", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2118", "190", "owner_name", "Katarina Müller");
INSERT INTO `wp_postmeta` VALUES("2119", "190", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2120", "190", "owner_country", "Germany");
INSERT INTO `wp_postmeta` VALUES("2121", "190", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2122", "285", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2123", "285", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2124", "285", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2125", "285", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2126", "285", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2127", "285", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2128", "285", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("2129", "285", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2130", "285", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2131", "285", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2132", "285", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2133", "285", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2134", "285", "owner_name", "");
INSERT INTO `wp_postmeta` VALUES("2135", "285", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2136", "285", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("2137", "285", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2141", "190", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2142", "190", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2143", "190", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2144", "190", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2145", "190", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2147", "287", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2150", "287", "purchase_price", "$449 USD");
INSERT INTO `wp_postmeta` VALUES("2151", "287", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2152", "287", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2153", "287", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2154", "287", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("2155", "287", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2156", "287", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2157", "287", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2158", "287", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2159", "287", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2160", "287", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("2161", "287", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2162", "287", "owner_name", "Katarina Müller");
INSERT INTO `wp_postmeta` VALUES("2163", "287", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2164", "287", "owner_country", "Germany");
INSERT INTO `wp_postmeta` VALUES("2165", "287", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2169", "189", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2170", "189", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2171", "189", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2172", "189", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2173", "189", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2175", "288", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2178", "189", "purchase_price", "$849 USD");
INSERT INTO `wp_postmeta` VALUES("2179", "189", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2180", "189", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2181", "189", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2182", "189", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2183", "189", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2184", "189", "modifications", "Active pickups");
INSERT INTO `wp_postmeta` VALUES("2185", "189", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2186", "189", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("2187", "189", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2188", "189", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2189", "189", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2190", "189", "owner_name", "Gunnar Zimmermann");
INSERT INTO `wp_postmeta` VALUES("2191", "189", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2192", "189", "owner_country", "Germany");
INSERT INTO `wp_postmeta` VALUES("2193", "189", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2194", "288", "purchase_price", "$849 USD");
INSERT INTO `wp_postmeta` VALUES("2195", "288", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2196", "288", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2197", "288", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2198", "288", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2199", "288", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2200", "288", "modifications", "Active pickups");
INSERT INTO `wp_postmeta` VALUES("2201", "288", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2202", "288", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("2203", "288", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2204", "288", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2205", "288", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2206", "288", "owner_name", "Gunnar Zimmermann");
INSERT INTO `wp_postmeta` VALUES("2207", "288", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2208", "288", "owner_country", "Germany");
INSERT INTO `wp_postmeta` VALUES("2209", "288", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2212", "211", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2213", "211", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2214", "211", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2215", "211", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2216", "211", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2218", "289", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2221", "211", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2222", "211", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2223", "211", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2224", "211", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2225", "211", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("2226", "211", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2227", "211", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2228", "211", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2229", "211", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2230", "211", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2231", "211", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2232", "211", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2233", "211", "owner_name", "Veli-Pekka Tuomainen");
INSERT INTO `wp_postmeta` VALUES("2234", "211", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2235", "211", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("2236", "211", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2237", "289", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2238", "289", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2239", "289", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2240", "289", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2241", "289", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("2242", "289", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2243", "289", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2244", "289", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2245", "289", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2246", "289", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2247", "289", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2248", "289", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2249", "289", "owner_name", "Wolfgang Braun");
INSERT INTO `wp_postmeta` VALUES("2250", "289", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2251", "289", "owner_country", "Germany");
INSERT INTO `wp_postmeta` VALUES("2252", "289", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2256", "290", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2259", "290", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2260", "290", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2261", "290", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2262", "290", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2263", "290", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("2264", "290", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2265", "290", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2266", "290", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2267", "290", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2268", "290", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2269", "290", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2270", "290", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2271", "290", "owner_name", "Veli-Pekka Tuomainen");
INSERT INTO `wp_postmeta` VALUES("2272", "290", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2273", "290", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("2274", "290", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2277", "170", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2278", "170", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2279", "170", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2280", "170", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2281", "170", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2283", "291", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2286", "170", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2287", "170", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2288", "170", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2289", "170", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2290", "170", "year_of_purchase", "2020");
INSERT INTO `wp_postmeta` VALUES("2291", "170", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2292", "170", "modifications", "Active pickups");
INSERT INTO `wp_postmeta` VALUES("2293", "170", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2294", "170", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2295", "170", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2296", "170", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("2297", "170", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2298", "170", "owner_name", "Hannele Lahtinen");
INSERT INTO `wp_postmeta` VALUES("2299", "170", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2300", "170", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("2301", "170", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2302", "291", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2303", "291", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2304", "291", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2305", "291", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2306", "291", "year_of_purchase", "2020");
INSERT INTO `wp_postmeta` VALUES("2307", "291", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2308", "291", "modifications", "Active pickups");
INSERT INTO `wp_postmeta` VALUES("2309", "291", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2310", "291", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2311", "291", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2312", "291", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("2313", "291", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2314", "291", "owner_name", "Hannele Lahtinen");
INSERT INTO `wp_postmeta` VALUES("2315", "291", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2316", "291", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("2317", "291", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2320", "169", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2321", "169", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2322", "169", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2323", "169", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2324", "169", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2326", "292", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2329", "169", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2330", "169", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2331", "169", "color", "Light Yellow");
INSERT INTO `wp_postmeta` VALUES("2332", "169", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2333", "169", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2334", "169", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2335", "169", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2336", "169", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2337", "169", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2338", "169", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2339", "169", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2340", "169", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2341", "169", "owner_name", "Antti Järvinen");
INSERT INTO `wp_postmeta` VALUES("2342", "169", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2343", "169", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("2344", "169", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2345", "292", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2346", "292", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2347", "292", "color", "Light Yellow");
INSERT INTO `wp_postmeta` VALUES("2348", "292", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2349", "292", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2350", "292", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2351", "292", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("2352", "292", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2353", "292", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2354", "292", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2355", "292", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2356", "292", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2357", "292", "owner_name", "Antti Järvinen");
INSERT INTO `wp_postmeta` VALUES("2358", "292", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2359", "292", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("2360", "292", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2363", "293", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2366", "293", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2367", "293", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2368", "293", "color", "Light Yellow");
INSERT INTO `wp_postmeta` VALUES("2369", "293", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2370", "293", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2371", "293", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2372", "293", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2373", "293", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2374", "293", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2375", "293", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2376", "293", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2377", "293", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2378", "293", "owner_name", "Antti Järvinen");
INSERT INTO `wp_postmeta` VALUES("2379", "293", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2380", "293", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("2381", "293", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2384", "168", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2385", "168", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2386", "168", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2387", "168", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2388", "168", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2390", "294", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2393", "168", "purchase_price", "$50000 USD");
INSERT INTO `wp_postmeta` VALUES("2394", "168", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2395", "168", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2396", "168", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2397", "168", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2398", "168", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2399", "168", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2400", "168", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2401", "168", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2402", "168", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2403", "168", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2404", "168", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2405", "168", "owner_name", "Jussi Hämäläinen");
INSERT INTO `wp_postmeta` VALUES("2406", "168", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2407", "168", "owner_country", "Iceland");
INSERT INTO `wp_postmeta` VALUES("2408", "168", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2409", "294", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2410", "294", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2411", "294", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2412", "294", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2413", "294", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2414", "294", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2415", "294", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("2416", "294", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2417", "294", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2418", "294", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2419", "294", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2420", "294", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2421", "294", "owner_name", "Jussi Hämäläinen");
INSERT INTO `wp_postmeta` VALUES("2422", "294", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2423", "294", "owner_country", "Iceland");
INSERT INTO `wp_postmeta` VALUES("2424", "294", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2427", "295", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2430", "295", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2431", "295", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2432", "295", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2433", "295", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2434", "295", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2435", "295", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2436", "295", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2437", "295", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2438", "295", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2439", "295", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2440", "295", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2441", "295", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2442", "295", "owner_name", "Jussi Hämäläinen");
INSERT INTO `wp_postmeta` VALUES("2443", "295", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2444", "295", "owner_country", "Iceland");
INSERT INTO `wp_postmeta` VALUES("2445", "295", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2448", "296", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2451", "296", "purchase_price", "$50000 USD");
INSERT INTO `wp_postmeta` VALUES("2452", "296", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2453", "296", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2454", "296", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2455", "296", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2456", "296", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2457", "296", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2458", "296", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2459", "296", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2460", "296", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2461", "296", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2462", "296", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2463", "296", "owner_name", "Jussi Hämäläinen");
INSERT INTO `wp_postmeta` VALUES("2464", "296", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2465", "296", "owner_country", "Iceland");
INSERT INTO `wp_postmeta` VALUES("2466", "296", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2469", "167", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2470", "167", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2471", "167", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2472", "167", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2473", "167", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2475", "297", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2478", "167", "purchase_price", "$949 USD");
INSERT INTO `wp_postmeta` VALUES("2479", "167", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2480", "167", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("2481", "167", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2482", "167", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2483", "167", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2484", "167", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2485", "167", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2486", "167", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2487", "167", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2488", "167", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2489", "167", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2490", "167", "owner_name", "Xiaojie Wang ");
INSERT INTO `wp_postmeta` VALUES("2491", "167", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2492", "167", "owner_country", "China");
INSERT INTO `wp_postmeta` VALUES("2493", "167", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2494", "297", "purchase_price", "$949 USD");
INSERT INTO `wp_postmeta` VALUES("2495", "297", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2496", "297", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("2497", "297", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2498", "297", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2499", "297", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2500", "297", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2501", "297", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2502", "297", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2503", "297", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2504", "297", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2505", "297", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2506", "297", "owner_name", "Xiaojie Wang ");
INSERT INTO `wp_postmeta` VALUES("2507", "297", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2508", "297", "owner_country", "China");
INSERT INTO `wp_postmeta` VALUES("2509", "297", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2514", "166", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2515", "166", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2516", "166", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2517", "166", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2518", "166", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2520", "299", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2523", "166", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2524", "166", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2525", "166", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("2526", "166", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2527", "166", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("2528", "166", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2529", "166", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("2530", "166", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2531", "166", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2532", "166", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2533", "166", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2534", "166", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2535", "166", "owner_name", "Hassan Ibrahim");
INSERT INTO `wp_postmeta` VALUES("2536", "166", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2537", "166", "owner_country", "Pakistan");
INSERT INTO `wp_postmeta` VALUES("2538", "166", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2539", "299", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2540", "299", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2541", "299", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("2542", "299", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2543", "299", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("2544", "299", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2545", "299", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("2546", "299", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2547", "299", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2548", "299", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2549", "299", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2550", "299", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2551", "299", "owner_name", "Hassan Ibrahim");
INSERT INTO `wp_postmeta` VALUES("2552", "299", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2553", "299", "owner_country", "Pakistan");
INSERT INTO `wp_postmeta` VALUES("2554", "299", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2560", "165", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2561", "165", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2562", "165", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2563", "165", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2564", "165", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2566", "301", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2569", "165", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2570", "165", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2571", "165", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("2572", "165", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2573", "165", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2574", "165", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2575", "165", "modifications", "Pots");
INSERT INTO `wp_postmeta` VALUES("2576", "165", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2577", "165", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2578", "165", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2579", "165", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2580", "165", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2581", "165", "owner_name", "Tuan Nguyen");
INSERT INTO `wp_postmeta` VALUES("2582", "165", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2583", "165", "owner_country", "Vietnam");
INSERT INTO `wp_postmeta` VALUES("2584", "165", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2585", "301", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2586", "301", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2587", "301", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("2588", "301", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2589", "301", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2590", "301", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2591", "301", "modifications", "Pots");
INSERT INTO `wp_postmeta` VALUES("2592", "301", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2593", "301", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2594", "301", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2595", "301", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2596", "301", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2597", "301", "owner_name", "Tuan Nguyen");
INSERT INTO `wp_postmeta` VALUES("2598", "301", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2599", "301", "owner_country", "Vietnam");
INSERT INTO `wp_postmeta` VALUES("2600", "301", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2605", "164", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2606", "164", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2607", "164", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2608", "164", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2609", "164", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2611", "303", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2614", "164", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2615", "164", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2616", "164", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("2617", "164", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2618", "164", "year_of_purchase", "2019");
INSERT INTO `wp_postmeta` VALUES("2619", "164", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2620", "164", "modifications", "Kill Switch");
INSERT INTO `wp_postmeta` VALUES("2621", "164", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2622", "164", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2623", "164", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2624", "164", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2625", "164", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2626", "164", "owner_name", "Ahmed Hassan");
INSERT INTO `wp_postmeta` VALUES("2627", "164", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2628", "164", "owner_country", "Bangledesh");
INSERT INTO `wp_postmeta` VALUES("2629", "164", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2630", "303", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2631", "303", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2632", "303", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2633", "303", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2634", "303", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2635", "303", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2636", "303", "modifications", "Wiring, Switches, Pot");
INSERT INTO `wp_postmeta` VALUES("2637", "303", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2638", "303", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2639", "303", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2640", "303", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2641", "303", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2642", "303", "owner_name", "Ahmed Hassan");
INSERT INTO `wp_postmeta` VALUES("2643", "303", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2644", "303", "owner_country", "Bangledesh");
INSERT INTO `wp_postmeta` VALUES("2645", "303", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2648", "304", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2651", "304", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2652", "304", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2653", "304", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("2654", "304", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2655", "304", "year_of_purchase", "2019");
INSERT INTO `wp_postmeta` VALUES("2656", "304", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2657", "304", "modifications", "Kill Switch");
INSERT INTO `wp_postmeta` VALUES("2658", "304", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2659", "304", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2660", "304", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2661", "304", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2662", "304", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2663", "304", "owner_name", "Ahmed Hassan");
INSERT INTO `wp_postmeta` VALUES("2664", "304", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2665", "304", "owner_country", "Bangledesh");
INSERT INTO `wp_postmeta` VALUES("2666", "304", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2672", "163", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2673", "163", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2674", "163", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2675", "163", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2676", "163", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2678", "306", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2681", "163", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2682", "163", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2683", "163", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("2684", "163", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2685", "163", "year_of_purchase", "2023");
INSERT INTO `wp_postmeta` VALUES("2686", "163", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2687", "163", "modifications", "Tall frets");
INSERT INTO `wp_postmeta` VALUES("2688", "163", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2689", "163", "rating", "6/10");
INSERT INTO `wp_postmeta` VALUES("2690", "163", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2691", "163", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("2692", "163", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2693", "163", "owner_name", "Yuna Kim");
INSERT INTO `wp_postmeta` VALUES("2694", "163", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2695", "163", "owner_country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("2696", "163", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2697", "306", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2698", "306", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2699", "306", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("2700", "306", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2701", "306", "year_of_purchase", "2023");
INSERT INTO `wp_postmeta` VALUES("2702", "306", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2703", "306", "modifications", "Tall frets");
INSERT INTO `wp_postmeta` VALUES("2704", "306", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2705", "306", "rating", "6/10");
INSERT INTO `wp_postmeta` VALUES("2706", "306", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2707", "306", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("2708", "306", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2709", "306", "owner_name", "Yuna Kim");
INSERT INTO `wp_postmeta` VALUES("2710", "306", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2711", "306", "owner_country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("2712", "306", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2716", "162", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2717", "162", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2718", "162", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2719", "162", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2720", "162", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2722", "307", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2725", "162", "purchase_price", "$1149 USD");
INSERT INTO `wp_postmeta` VALUES("2726", "162", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2727", "162", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("2728", "162", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2729", "162", "year_of_purchase", "2012");
INSERT INTO `wp_postmeta` VALUES("2730", "162", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2731", "162", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2732", "162", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2733", "162", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2734", "162", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2735", "162", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2736", "162", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2737", "162", "owner_name", "Ananya Gupta");
INSERT INTO `wp_postmeta` VALUES("2738", "162", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2739", "162", "owner_country", "India");
INSERT INTO `wp_postmeta` VALUES("2740", "162", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2741", "307", "purchase_price", "$1149 USD");
INSERT INTO `wp_postmeta` VALUES("2742", "307", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2743", "307", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("2744", "307", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2745", "307", "year_of_purchase", "2012");
INSERT INTO `wp_postmeta` VALUES("2746", "307", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2747", "307", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2748", "307", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2749", "307", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2750", "307", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2751", "307", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2752", "307", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2753", "307", "owner_name", "Ananya Gupta");
INSERT INTO `wp_postmeta` VALUES("2754", "307", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2755", "307", "owner_country", "India");
INSERT INTO `wp_postmeta` VALUES("2756", "307", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2759", "161", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2760", "161", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2761", "161", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2762", "161", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2763", "161", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2765", "308", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2768", "161", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2769", "161", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2770", "161", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2771", "161", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2772", "161", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2773", "161", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2774", "161", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2775", "161", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2776", "161", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2777", "161", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2778", "161", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2779", "161", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2780", "161", "owner_name", "Kevin Chung");
INSERT INTO `wp_postmeta` VALUES("2781", "161", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2782", "161", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2783", "161", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2784", "308", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2785", "308", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2786", "308", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2787", "308", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2788", "308", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2789", "308", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2790", "308", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2791", "308", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2792", "308", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2793", "308", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2794", "308", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2795", "308", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2796", "308", "owner_name", "Kevin Chung");
INSERT INTO `wp_postmeta` VALUES("2797", "308", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2798", "308", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("2799", "308", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2802", "160", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2803", "160", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2804", "160", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2805", "160", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2806", "160", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2808", "309", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2811", "160", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2812", "160", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2813", "160", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2814", "160", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2815", "160", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2816", "160", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2817", "160", "modifications", "Lollar Imperial Hot PIckup");
INSERT INTO `wp_postmeta` VALUES("2818", "160", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2819", "160", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("2820", "160", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2821", "160", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2822", "160", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2823", "160", "owner_name", "Park Min-ji");
INSERT INTO `wp_postmeta` VALUES("2824", "160", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2825", "160", "owner_country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("2826", "160", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2827", "309", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2828", "309", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2829", "309", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2830", "309", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2831", "309", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2832", "309", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2833", "309", "modifications", "Lollar Imperial Hot PIckup");
INSERT INTO `wp_postmeta` VALUES("2834", "309", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2835", "309", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("2836", "309", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2837", "309", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2838", "309", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2839", "309", "owner_name", "Park Min-ji");
INSERT INTO `wp_postmeta` VALUES("2840", "309", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2841", "309", "owner_country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("2842", "309", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2845", "147", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2846", "147", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2847", "147", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2848", "147", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2849", "147", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2851", "310", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2854", "147", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2855", "147", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2856", "147", "color", "Dim Yellow");
INSERT INTO `wp_postmeta` VALUES("2857", "147", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2858", "147", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2859", "147", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2860", "147", "modifications", "Wiring, Locking Tuners");
INSERT INTO `wp_postmeta` VALUES("2861", "147", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2862", "147", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2863", "147", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2864", "147", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("2865", "147", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2866", "147", "owner_name", "Maria Hernandez");
INSERT INTO `wp_postmeta` VALUES("2867", "147", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2868", "147", "owner_country", "Mexico");
INSERT INTO `wp_postmeta` VALUES("2869", "147", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2870", "310", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2871", "310", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2872", "310", "color", "Dim Yellow");
INSERT INTO `wp_postmeta` VALUES("2873", "310", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2874", "310", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2875", "310", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2876", "310", "modifications", "Wiring, Locking Tuners");
INSERT INTO `wp_postmeta` VALUES("2877", "310", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2878", "310", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2879", "310", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2880", "310", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("2881", "310", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2882", "310", "owner_name", "Maria Hernandez");
INSERT INTO `wp_postmeta` VALUES("2883", "310", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2884", "310", "owner_country", "Mexico");
INSERT INTO `wp_postmeta` VALUES("2885", "310", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2890", "137", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2891", "137", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2892", "137", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2893", "137", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2894", "137", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2896", "311", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2899", "137", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2900", "137", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2901", "137", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2902", "137", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2903", "137", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2904", "137", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2905", "137", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2906", "137", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2907", "137", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2908", "137", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2909", "137", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2910", "137", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2911", "137", "owner_name", "Valentina Costa");
INSERT INTO `wp_postmeta` VALUES("2912", "137", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2913", "137", "owner_country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("2914", "137", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2915", "311", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2916", "311", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2917", "311", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("2918", "311", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2919", "311", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2920", "311", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2921", "311", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2922", "311", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2923", "311", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2924", "311", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2925", "311", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2926", "311", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2927", "311", "owner_name", "Valentina Costa");
INSERT INTO `wp_postmeta` VALUES("2928", "311", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2929", "311", "owner_country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("2930", "311", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2935", "138", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2936", "138", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2937", "138", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2938", "138", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2939", "138", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2941", "313", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2944", "138", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2945", "138", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2946", "138", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2947", "138", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2948", "138", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2949", "138", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2950", "138", "modifications", "Fuzz circuit");
INSERT INTO `wp_postmeta` VALUES("2951", "138", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2952", "138", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2953", "138", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2954", "138", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2955", "138", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2956", "138", "owner_name", "Lucas Oliveira");
INSERT INTO `wp_postmeta` VALUES("2957", "138", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2958", "138", "owner_country", "Brazil");
INSERT INTO `wp_postmeta` VALUES("2959", "138", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2960", "313", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2961", "313", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2962", "313", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("2963", "313", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2964", "313", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("2965", "313", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2966", "313", "modifications", "Fuzz circuit");
INSERT INTO `wp_postmeta` VALUES("2967", "313", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2968", "313", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2969", "313", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2970", "313", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2971", "313", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2972", "313", "owner_name", "Lucas Oliveira");
INSERT INTO `wp_postmeta` VALUES("2973", "313", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("2974", "313", "owner_country", "Brazil");
INSERT INTO `wp_postmeta` VALUES("2975", "313", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("2978", "140", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("2979", "140", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2980", "140", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2981", "140", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("2982", "140", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2984", "314", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("2987", "140", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("2988", "140", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("2989", "140", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("2990", "140", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("2991", "140", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("2992", "140", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("2993", "140", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("2994", "140", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("2995", "140", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("2996", "140", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("2997", "140", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("2998", "140", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("2999", "140", "owner_name", "Ethan MacKenzie");
INSERT INTO `wp_postmeta` VALUES("3000", "140", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3001", "140", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("3002", "140", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3003", "314", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3004", "314", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3005", "314", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("3006", "314", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3007", "314", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("3008", "314", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3009", "314", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("3010", "314", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3011", "314", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3012", "314", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3013", "314", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3014", "314", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3015", "314", "owner_name", "Ethan MacKenzie");
INSERT INTO `wp_postmeta` VALUES("3016", "314", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3017", "314", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("3018", "314", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3023", "139", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3024", "139", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3025", "139", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3026", "139", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3027", "139", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3029", "316", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3032", "139", "purchase_price", "$149 USD");
INSERT INTO `wp_postmeta` VALUES("3033", "139", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3034", "139", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("3035", "139", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3036", "139", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3037", "139", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3038", "139", "modifications", "Strap locks");
INSERT INTO `wp_postmeta` VALUES("3039", "139", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3040", "139", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3041", "139", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3042", "139", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3043", "139", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3044", "139", "owner_name", "Alexander Wong");
INSERT INTO `wp_postmeta` VALUES("3045", "139", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3046", "139", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3047", "139", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3048", "316", "purchase_price", "$149 USD");
INSERT INTO `wp_postmeta` VALUES("3049", "316", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3050", "316", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("3051", "316", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3052", "316", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3053", "316", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3054", "316", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("3055", "316", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3056", "316", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3057", "316", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3058", "316", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3059", "316", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3060", "316", "owner_name", "");
INSERT INTO `wp_postmeta` VALUES("3061", "316", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3062", "316", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3063", "316", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3066", "317", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3069", "317", "purchase_price", "$149 USD");
INSERT INTO `wp_postmeta` VALUES("3070", "317", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3071", "317", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("3072", "317", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3073", "317", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3074", "317", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3075", "317", "modifications", "Strap locks");
INSERT INTO `wp_postmeta` VALUES("3076", "317", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3077", "317", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3078", "317", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3079", "317", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3080", "317", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3081", "317", "owner_name", "Alexander Wong");
INSERT INTO `wp_postmeta` VALUES("3082", "317", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3083", "317", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3084", "317", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3087", "145", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3088", "145", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3089", "145", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3090", "145", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3091", "145", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3093", "318", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3096", "145", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3097", "145", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3098", "145", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("3099", "145", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3100", "145", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3101", "145", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3102", "145", "modifications", "EMG Pickup");
INSERT INTO `wp_postmeta` VALUES("3103", "145", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3104", "145", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("3105", "145", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3106", "145", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("3107", "145", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3108", "145", "owner_name", "Jacob Beauchamp");
INSERT INTO `wp_postmeta` VALUES("3109", "145", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3110", "145", "owner_country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("3111", "145", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3112", "318", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3113", "318", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3114", "318", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("3115", "318", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3116", "318", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3117", "318", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3118", "318", "modifications", "EMG Pickup");
INSERT INTO `wp_postmeta` VALUES("3119", "318", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3120", "318", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("3121", "318", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3122", "318", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("3123", "318", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3124", "318", "owner_name", "Jacob Beauchamp");
INSERT INTO `wp_postmeta` VALUES("3125", "318", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3126", "318", "owner_country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("3127", "318", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3132", "144", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3133", "144", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3134", "144", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3135", "144", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3136", "144", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3138", "320", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3141", "144", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3142", "144", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3143", "144", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("3144", "144", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3145", "144", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3146", "144", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3147", "144", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("3148", "144", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3149", "144", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3150", "144", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3151", "144", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("3152", "144", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3153", "144", "owner_name", "Juma Abimbola ");
INSERT INTO `wp_postmeta` VALUES("3154", "144", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3155", "144", "owner_country", "Nigeria");
INSERT INTO `wp_postmeta` VALUES("3156", "144", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3157", "320", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3158", "320", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3159", "320", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("3160", "320", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3161", "320", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3162", "320", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3163", "320", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("3164", "320", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3165", "320", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3166", "320", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3167", "320", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("3168", "320", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3169", "320", "owner_name", "Juma Abimbola ");
INSERT INTO `wp_postmeta` VALUES("3170", "320", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3171", "320", "owner_country", "Nigeria");
INSERT INTO `wp_postmeta` VALUES("3172", "320", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3175", "143", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3176", "143", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3177", "143", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3178", "143", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3179", "143", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3181", "321", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3184", "143", "purchase_price", "$299 USD");
INSERT INTO `wp_postmeta` VALUES("3185", "143", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3186", "143", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("3187", "143", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3188", "143", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3189", "143", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3190", "143", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3191", "143", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3192", "143", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3193", "143", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3194", "143", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3195", "143", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3196", "143", "owner_name", "Malik Toure ");
INSERT INTO `wp_postmeta` VALUES("3197", "143", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3198", "143", "owner_country", "Senegal");
INSERT INTO `wp_postmeta` VALUES("3199", "143", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3200", "321", "purchase_price", "$299 USD");
INSERT INTO `wp_postmeta` VALUES("3201", "321", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3202", "321", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("3203", "321", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3204", "321", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3205", "321", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3206", "321", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3207", "321", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3208", "321", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3209", "321", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3210", "321", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3211", "321", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3212", "321", "owner_name", "Malik Toure ");
INSERT INTO `wp_postmeta` VALUES("3213", "321", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3214", "321", "owner_country", "Senegal");
INSERT INTO `wp_postmeta` VALUES("3215", "321", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3220", "142", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3221", "142", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3222", "142", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3223", "142", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3224", "142", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3226", "323", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3229", "142", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3230", "142", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3231", "142", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("3232", "142", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3233", "142", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3234", "142", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3235", "142", "modifications", "Mastery Tremolo");
INSERT INTO `wp_postmeta` VALUES("3236", "142", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3237", "142", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3238", "142", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3239", "142", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3240", "142", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3241", "142", "owner_name", "Ifeoma Okonkwo");
INSERT INTO `wp_postmeta` VALUES("3242", "142", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3243", "142", "owner_country", "Nigeria");
INSERT INTO `wp_postmeta` VALUES("3244", "142", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3245", "323", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3246", "323", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3247", "323", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("3248", "323", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3249", "323", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3250", "323", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3251", "323", "modifications", "Mastery Tremolo");
INSERT INTO `wp_postmeta` VALUES("3252", "323", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3253", "323", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3254", "323", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3255", "323", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3256", "323", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3257", "323", "owner_name", "Ifeoma Okonkwo");
INSERT INTO `wp_postmeta` VALUES("3258", "323", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3259", "323", "owner_country", "Nigeria");
INSERT INTO `wp_postmeta` VALUES("3260", "323", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3264", "141", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3265", "141", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3266", "141", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3267", "141", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3268", "141", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3270", "324", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3273", "141", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3274", "141", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3275", "141", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3276", "141", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3277", "141", "year_of_purchase", "2022");
INSERT INTO `wp_postmeta` VALUES("3278", "141", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3279", "141", "modifications", "Wiring");
INSERT INTO `wp_postmeta` VALUES("3280", "141", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3281", "141", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3282", "141", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3283", "141", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3284", "141", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3285", "141", "owner_name", "Ayanda Nkosi");
INSERT INTO `wp_postmeta` VALUES("3286", "141", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3287", "141", "owner_country", "South Africa");
INSERT INTO `wp_postmeta` VALUES("3288", "141", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3289", "324", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3290", "324", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3291", "324", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3292", "324", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3293", "324", "year_of_purchase", "2022");
INSERT INTO `wp_postmeta` VALUES("3294", "324", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3295", "324", "modifications", "Wiring");
INSERT INTO `wp_postmeta` VALUES("3296", "324", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3297", "324", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3298", "324", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3299", "324", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3300", "324", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3301", "324", "owner_name", "Ayanda Nkosi");
INSERT INTO `wp_postmeta` VALUES("3302", "324", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3303", "324", "owner_country", "South Africa");
INSERT INTO `wp_postmeta` VALUES("3304", "324", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3307", "146", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3308", "146", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3309", "146", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3310", "146", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3311", "146", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3313", "325", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3316", "146", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3317", "146", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3318", "146", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3319", "146", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3320", "146", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3321", "146", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3322", "146", "modifications", "Kill switch");
INSERT INTO `wp_postmeta` VALUES("3323", "146", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3324", "146", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3325", "146", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3326", "146", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("3327", "146", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3328", "146", "owner_name", "Mudiwa Chanda ");
INSERT INTO `wp_postmeta` VALUES("3329", "146", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3330", "146", "owner_country", "Zambia");
INSERT INTO `wp_postmeta` VALUES("3331", "146", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3332", "325", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3333", "325", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3334", "325", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3335", "325", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3336", "325", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3337", "325", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3338", "325", "modifications", "Kill switch");
INSERT INTO `wp_postmeta` VALUES("3339", "325", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3340", "325", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3341", "325", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3342", "325", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("3343", "325", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3344", "325", "owner_name", "Mudiwa Chanda ");
INSERT INTO `wp_postmeta` VALUES("3345", "325", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3346", "325", "owner_country", "Zambia");
INSERT INTO `wp_postmeta` VALUES("3347", "325", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3352", "103", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3353", "103", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3354", "103", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3355", "103", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3356", "103", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3358", "327", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3361", "103", "purchase_price", "$449 USD");
INSERT INTO `wp_postmeta` VALUES("3362", "103", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3363", "103", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3364", "103", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3365", "103", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3366", "103", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3367", "103", "modifications", "Coil Splitting");
INSERT INTO `wp_postmeta` VALUES("3368", "103", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3369", "103", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3370", "103", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3371", "103", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3372", "103", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3373", "103", "owner_name", "Kofi Mensah");
INSERT INTO `wp_postmeta` VALUES("3374", "103", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3375", "103", "owner_country", "Ghana");
INSERT INTO `wp_postmeta` VALUES("3376", "103", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3377", "327", "purchase_price", "$449 USD");
INSERT INTO `wp_postmeta` VALUES("3378", "327", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3379", "327", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3380", "327", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3381", "327", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3382", "327", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3383", "327", "modifications", "Coil Splitting");
INSERT INTO `wp_postmeta` VALUES("3384", "327", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3385", "327", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3386", "327", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3387", "327", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3388", "327", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3389", "327", "owner_name", "Kofi Mensah");
INSERT INTO `wp_postmeta` VALUES("3390", "327", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3391", "327", "owner_country", "Ghana");
INSERT INTO `wp_postmeta` VALUES("3392", "327", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3414", "420", "_acf_changed", "1");
INSERT INTO `wp_postmeta` VALUES("3419", "433", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3422", "433", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3423", "433", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3424", "433", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("3425", "433", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3426", "433", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("3427", "433", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3428", "433", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3429", "433", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3430", "433", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3431", "433", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3432", "433", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3433", "433", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3434", "433", "owner_name", "Ethan MacKenzie");
INSERT INTO `wp_postmeta` VALUES("3435", "433", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3436", "433", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("3437", "433", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3443", "196", "_kad_blocks_custom_css", "");
INSERT INTO `wp_postmeta` VALUES("3444", "196", "_kad_blocks_head_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3445", "196", "_kad_blocks_body_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3446", "196", "_kad_blocks_footer_custom_js", "");
INSERT INTO `wp_postmeta` VALUES("3447", "196", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3449", "470", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3452", "196", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3453", "196", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3454", "196", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3455", "196", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3456", "196", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3457", "196", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3458", "196", "modifications", "Tuners, Fuzz Circuit");
INSERT INTO `wp_postmeta` VALUES("3459", "196", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3460", "196", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3461", "196", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3462", "196", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3463", "196", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3464", "196", "owner_name", "Tex Watson");
INSERT INTO `wp_postmeta` VALUES("3465", "196", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3466", "196", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3467", "196", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3468", "470", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3469", "470", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3470", "470", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3471", "470", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3472", "470", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3473", "470", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3474", "470", "modifications", "Tuners, Fuzz Circuit");
INSERT INTO `wp_postmeta` VALUES("3475", "470", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3476", "470", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3477", "470", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3478", "470", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3479", "470", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3480", "470", "owner_name", "Tex Watson");
INSERT INTO `wp_postmeta` VALUES("3481", "470", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3482", "470", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3483", "470", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3488", "482", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3490", "482", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3491", "482", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3492", "482", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3493", "482", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3494", "482", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3495", "482", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3496", "482", "modifications", "Lollar Imperial pickup");
INSERT INTO `wp_postmeta` VALUES("3497", "482", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3498", "482", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3499", "482", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3500", "482", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3501", "482", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3502", "482", "owner_name", "Luca Moretti");
INSERT INTO `wp_postmeta` VALUES("3503", "482", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3504", "482", "owner_country", "Italy");
INSERT INTO `wp_postmeta` VALUES("3505", "482", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3507", "483", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3509", "483", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3510", "483", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3511", "483", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3512", "483", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3513", "483", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3514", "483", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3515", "483", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("3516", "483", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3517", "483", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("3518", "483", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3519", "483", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3520", "483", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3521", "483", "owner_name", "Aisha Abdullah");
INSERT INTO `wp_postmeta` VALUES("3522", "483", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3523", "483", "owner_country", "Pakistan");
INSERT INTO `wp_postmeta` VALUES("3524", "483", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3526", "484", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3528", "484", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3529", "484", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3530", "484", "color", "Yellow Green");
INSERT INTO `wp_postmeta` VALUES("3531", "484", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3532", "484", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("3533", "484", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3534", "484", "modifications", "Tuning heads");
INSERT INTO `wp_postmeta` VALUES("3535", "484", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3536", "484", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3537", "484", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3538", "484", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("3539", "484", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3540", "484", "owner_name", "Yuri Sokolov");
INSERT INTO `wp_postmeta` VALUES("3541", "484", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3542", "484", "owner_country", "Russia");
INSERT INTO `wp_postmeta` VALUES("3543", "484", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3545", "485", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3547", "485", "purchase_price", "$1249 USD");
INSERT INTO `wp_postmeta` VALUES("3548", "485", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3549", "485", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3550", "485", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3551", "485", "year_of_purchase", "2021");
INSERT INTO `wp_postmeta` VALUES("3552", "485", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3553", "485", "modifications", "Seymour Duncan JB Pickup");
INSERT INTO `wp_postmeta` VALUES("3554", "485", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3555", "485", "rating", "9.5/10");
INSERT INTO `wp_postmeta` VALUES("3556", "485", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3557", "485", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3558", "485", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3559", "485", "owner_name", "Diego Hernandez");
INSERT INTO `wp_postmeta` VALUES("3560", "485", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3561", "485", "owner_country", "Spain");
INSERT INTO `wp_postmeta` VALUES("3562", "485", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3564", "486", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3566", "486", "purchase_price", "$2249 USD");
INSERT INTO `wp_postmeta` VALUES("3567", "486", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3568", "486", "color", "Bright Yellow");
INSERT INTO `wp_postmeta` VALUES("3569", "486", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3570", "486", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("3571", "486", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3572", "486", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3573", "486", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3574", "486", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3575", "486", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3576", "486", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("3577", "486", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3578", "486", "owner_name", "David Kim");
INSERT INTO `wp_postmeta` VALUES("3579", "486", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3580", "486", "owner_country", "England");
INSERT INTO `wp_postmeta` VALUES("3581", "486", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3583", "487", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3585", "487", "purchase_price", "$849 USD");
INSERT INTO `wp_postmeta` VALUES("3586", "487", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3587", "487", "color", "Peach");
INSERT INTO `wp_postmeta` VALUES("3588", "487", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3589", "487", "year_of_purchase", "2018");
INSERT INTO `wp_postmeta` VALUES("3590", "487", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3591", "487", "modifications", "New bridge");
INSERT INTO `wp_postmeta` VALUES("3592", "487", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3593", "487", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3594", "487", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3595", "487", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3596", "487", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3597", "487", "owner_name", "Olivia Brown");
INSERT INTO `wp_postmeta` VALUES("3598", "487", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3599", "487", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("3600", "487", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3602", "488", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3604", "488", "purchase_price", "$1029 USD");
INSERT INTO `wp_postmeta` VALUES("3605", "488", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3606", "488", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("3607", "488", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3608", "488", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("3609", "488", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3610", "488", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3611", "488", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3612", "488", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("3613", "488", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3614", "488", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("3615", "488", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3616", "488", "owner_name", "Rajesh Patel");
INSERT INTO `wp_postmeta` VALUES("3617", "488", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3618", "488", "owner_country", "India");
INSERT INTO `wp_postmeta` VALUES("3619", "488", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3621", "489", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3623", "489", "purchase_price", "$9500 USD");
INSERT INTO `wp_postmeta` VALUES("3624", "489", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3625", "489", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("3626", "489", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3627", "489", "year_of_purchase", "2010");
INSERT INTO `wp_postmeta` VALUES("3628", "489", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3629", "489", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("3630", "489", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3631", "489", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3632", "489", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3633", "489", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3634", "489", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3635", "489", "owner_name", "Hiroshi Tanaka");
INSERT INTO `wp_postmeta` VALUES("3636", "489", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3637", "489", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("3638", "489", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3640", "490", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3642", "490", "purchase_price", "$749 USD");
INSERT INTO `wp_postmeta` VALUES("3643", "490", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3644", "490", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("3645", "490", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3646", "490", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3647", "490", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3648", "490", "modifications", "Dimarzio Celine Dion Pickupa");
INSERT INTO `wp_postmeta` VALUES("3649", "490", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3650", "490", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("3651", "490", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3652", "490", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3653", "490", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3654", "490", "owner_name", "Andrei Popescu");
INSERT INTO `wp_postmeta` VALUES("3655", "490", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3656", "490", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("3657", "490", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3659", "491", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3661", "491", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3662", "491", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3663", "491", "color", "Gold");
INSERT INTO `wp_postmeta` VALUES("3664", "491", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3665", "491", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("3666", "491", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3667", "491", "modifications", "24k Gold Plating");
INSERT INTO `wp_postmeta` VALUES("3668", "491", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3669", "491", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3670", "491", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3671", "491", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("3672", "491", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3673", "491", "owner_name", "Fatima Al-Farsi");
INSERT INTO `wp_postmeta` VALUES("3674", "491", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3675", "491", "owner_country", "Iran");
INSERT INTO `wp_postmeta` VALUES("3676", "491", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3678", "492", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3680", "492", "purchase_price", "$949 USD");
INSERT INTO `wp_postmeta` VALUES("3681", "492", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3682", "492", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("3683", "492", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3684", "492", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3685", "492", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3686", "492", "modifications", "Tuning Heads, Bridge, Pickup");
INSERT INTO `wp_postmeta` VALUES("3687", "492", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3688", "492", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3689", "492", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3690", "492", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3691", "492", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3692", "492", "owner_name", "Aoife Murphy");
INSERT INTO `wp_postmeta` VALUES("3693", "492", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3694", "492", "owner_country", "Ireland");
INSERT INTO `wp_postmeta` VALUES("3695", "492", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3697", "493", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3698", "493", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3699", "493", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3700", "493", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3701", "493", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3702", "493", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3703", "493", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3704", "493", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3705", "493", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3706", "493", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3707", "493", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3708", "493", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3709", "493", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3710", "493", "owner_name", "Roisin Byrne");
INSERT INTO `wp_postmeta` VALUES("3711", "493", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3712", "493", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("3713", "493", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3715", "494", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3717", "494", "purchase_price", "$1249 USD");
INSERT INTO `wp_postmeta` VALUES("3718", "494", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3719", "494", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("3720", "494", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3721", "494", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3722", "494", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3723", "494", "modifications", "Official Hello Kitty Strap");
INSERT INTO `wp_postmeta` VALUES("3724", "494", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3725", "494", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3726", "494", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3727", "494", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3728", "494", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3729", "494", "owner_name", "Joe Quinn");
INSERT INTO `wp_postmeta` VALUES("3730", "494", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3731", "494", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3732", "494", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3734", "495", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3736", "495", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3737", "495", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3738", "495", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("3739", "495", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3740", "495", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3741", "495", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3742", "495", "modifications", "Case");
INSERT INTO `wp_postmeta` VALUES("3743", "495", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3744", "495", "rating", "0/10");
INSERT INTO `wp_postmeta` VALUES("3745", "495", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3746", "495", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("3747", "495", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3748", "495", "owner_name", "Siobhan Ryan");
INSERT INTO `wp_postmeta` VALUES("3749", "495", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3750", "495", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3751", "495", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3753", "496", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3755", "496", "purchase_price", "$3490 USD");
INSERT INTO `wp_postmeta` VALUES("3756", "496", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3757", "496", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("3758", "496", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3759", "496", "year_of_purchase", "2019");
INSERT INTO `wp_postmeta` VALUES("3760", "496", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3761", "496", "modifications", "Wiring");
INSERT INTO `wp_postmeta` VALUES("3762", "496", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3763", "496", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3764", "496", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3765", "496", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3766", "496", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3767", "496", "owner_name", "Saoirse Kennedy");
INSERT INTO `wp_postmeta` VALUES("3768", "496", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3769", "496", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("3770", "496", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3772", "497", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3774", "497", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3775", "497", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3776", "497", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3777", "497", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3778", "497", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3779", "497", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3780", "497", "modifications", "Tuners, Fuzz Circuit");
INSERT INTO `wp_postmeta` VALUES("3781", "497", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3782", "497", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3783", "497", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3784", "497", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3785", "497", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3786", "497", "owner_name", "Tex Watson");
INSERT INTO `wp_postmeta` VALUES("3787", "497", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3788", "497", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3789", "497", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3791", "498", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3793", "498", "purchase_price", "$999 USD");
INSERT INTO `wp_postmeta` VALUES("3794", "498", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3795", "498", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("3796", "498", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3797", "498", "year_of_purchase", "2011");
INSERT INTO `wp_postmeta` VALUES("3798", "498", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3799", "498", "modifications", "Signed by Hello Kitty");
INSERT INTO `wp_postmeta` VALUES("3800", "498", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3801", "498", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3802", "498", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3803", "498", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("3804", "498", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3805", "498", "owner_name", "Ryota Kimura");
INSERT INTO `wp_postmeta` VALUES("3806", "498", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3807", "498", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("3808", "498", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3810", "499", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3812", "499", "purchase_price", "$2429 USD");
INSERT INTO `wp_postmeta` VALUES("3813", "499", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3814", "499", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("3815", "499", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3816", "499", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3817", "499", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3818", "499", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("3819", "499", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3820", "499", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3821", "499", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3822", "499", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("3823", "499", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3824", "499", "owner_name", "Takumi Inoue");
INSERT INTO `wp_postmeta` VALUES("3825", "499", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3826", "499", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("3827", "499", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3829", "500", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3831", "500", "purchase_price", "$6649 USD");
INSERT INTO `wp_postmeta` VALUES("3832", "500", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3833", "500", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("3834", "500", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3835", "500", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3836", "500", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3837", "500", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3838", "500", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3839", "500", "rating", "11/10");
INSERT INTO `wp_postmeta` VALUES("3840", "500", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3841", "500", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3842", "500", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3843", "500", "owner_name", "Hiroshi Takahashi");
INSERT INTO `wp_postmeta` VALUES("3844", "500", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3845", "500", "owner_country", "Japan");
INSERT INTO `wp_postmeta` VALUES("3846", "500", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3848", "501", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3850", "501", "purchase_price", "$24239 USD");
INSERT INTO `wp_postmeta` VALUES("3851", "501", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3852", "501", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3853", "501", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3854", "501", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3855", "501", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3856", "501", "modifications", "Major Dents");
INSERT INTO `wp_postmeta` VALUES("3857", "501", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3858", "501", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3859", "501", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3860", "501", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("3861", "501", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3862", "501", "owner_name", "Baptiste Renault");
INSERT INTO `wp_postmeta` VALUES("3863", "501", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3864", "501", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("3865", "501", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3867", "502", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3869", "502", "purchase_price", "$449 USD");
INSERT INTO `wp_postmeta` VALUES("3870", "502", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3871", "502", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3872", "502", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3873", "502", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("3874", "502", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3875", "502", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3876", "502", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3877", "502", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3878", "502", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3879", "502", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("3880", "502", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3881", "502", "owner_name", "Katarina Müller");
INSERT INTO `wp_postmeta` VALUES("3882", "502", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3883", "502", "owner_country", "Germany");
INSERT INTO `wp_postmeta` VALUES("3884", "502", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3886", "503", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3888", "503", "purchase_price", "$849 USD");
INSERT INTO `wp_postmeta` VALUES("3889", "503", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3890", "503", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3891", "503", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3892", "503", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3893", "503", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3894", "503", "modifications", "Active pickups");
INSERT INTO `wp_postmeta` VALUES("3895", "503", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3896", "503", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("3897", "503", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3898", "503", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3899", "503", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3900", "503", "owner_name", "Gunnar Zimmermann");
INSERT INTO `wp_postmeta` VALUES("3901", "503", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3902", "503", "owner_country", "Germany");
INSERT INTO `wp_postmeta` VALUES("3903", "503", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3905", "504", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3907", "504", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3908", "504", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3909", "504", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3910", "504", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3911", "504", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("3912", "504", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3913", "504", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3914", "504", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3915", "504", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3916", "504", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3917", "504", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3918", "504", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3919", "504", "owner_name", "Veli-Pekka Tuomainen");
INSERT INTO `wp_postmeta` VALUES("3920", "504", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3921", "504", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("3922", "504", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3925", "171", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3926", "171", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3927", "171", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3928", "171", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3929", "171", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3930", "171", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3931", "171", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("3932", "171", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3933", "171", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3934", "171", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3935", "171", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3936", "171", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3937", "171", "owner_name", "");
INSERT INTO `wp_postmeta` VALUES("3938", "171", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3939", "171", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3940", "171", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3941", "505", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3942", "505", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3943", "505", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("3944", "505", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3945", "505", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3946", "505", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3947", "505", "modifications", "");
INSERT INTO `wp_postmeta` VALUES("3948", "505", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3949", "505", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3950", "505", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3951", "505", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3952", "505", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3953", "505", "owner_name", "");
INSERT INTO `wp_postmeta` VALUES("3954", "505", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3955", "505", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("3956", "505", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3958", "506", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3960", "506", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3961", "506", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3962", "506", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("3963", "506", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3964", "506", "year_of_purchase", "2020");
INSERT INTO `wp_postmeta` VALUES("3965", "506", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3966", "506", "modifications", "Active pickups");
INSERT INTO `wp_postmeta` VALUES("3967", "506", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3968", "506", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3969", "506", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3970", "506", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("3971", "506", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3972", "506", "owner_name", "Hannele Lahtinen");
INSERT INTO `wp_postmeta` VALUES("3973", "506", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3974", "506", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("3975", "506", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3977", "507", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3979", "507", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("3980", "507", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("3981", "507", "color", "Light Yellow");
INSERT INTO `wp_postmeta` VALUES("3982", "507", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("3983", "507", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("3984", "507", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("3985", "507", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("3986", "507", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("3987", "507", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("3988", "507", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("3989", "507", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("3990", "507", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("3991", "507", "owner_name", "Antti Järvinen");
INSERT INTO `wp_postmeta` VALUES("3992", "507", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("3993", "507", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("3994", "507", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("3996", "508", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("3998", "508", "purchase_price", "$50000 USD");
INSERT INTO `wp_postmeta` VALUES("3999", "508", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4000", "508", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("4001", "508", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4002", "508", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4003", "508", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4004", "508", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4005", "508", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4006", "508", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4007", "508", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4008", "508", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4009", "508", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4010", "508", "owner_name", "Jussi Hämäläinen");
INSERT INTO `wp_postmeta` VALUES("4011", "508", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4012", "508", "owner_country", "Iceland");
INSERT INTO `wp_postmeta` VALUES("4013", "508", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4015", "509", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4017", "509", "purchase_price", "$949 USD");
INSERT INTO `wp_postmeta` VALUES("4018", "509", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4019", "509", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("4020", "509", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4021", "509", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4022", "509", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4023", "509", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4024", "509", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4025", "509", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4026", "509", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4027", "509", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4028", "509", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4029", "509", "owner_name", "Xiaojie Wang ");
INSERT INTO `wp_postmeta` VALUES("4030", "509", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4031", "509", "owner_country", "China");
INSERT INTO `wp_postmeta` VALUES("4032", "509", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4034", "510", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4036", "510", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4037", "510", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4038", "510", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("4039", "510", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4040", "510", "year_of_purchase", "2024");
INSERT INTO `wp_postmeta` VALUES("4041", "510", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4042", "510", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("4043", "510", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4044", "510", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4045", "510", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4046", "510", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4047", "510", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4048", "510", "owner_name", "Hassan Ibrahim");
INSERT INTO `wp_postmeta` VALUES("4049", "510", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4050", "510", "owner_country", "Pakistan");
INSERT INTO `wp_postmeta` VALUES("4051", "510", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4055", "512", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4057", "512", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4058", "512", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4059", "512", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("4060", "512", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4061", "512", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4062", "512", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4063", "512", "modifications", "Pots");
INSERT INTO `wp_postmeta` VALUES("4064", "512", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4065", "512", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4066", "512", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4067", "512", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4068", "512", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4069", "512", "owner_name", "Tuan Nguyen");
INSERT INTO `wp_postmeta` VALUES("4070", "512", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4071", "512", "owner_country", "Vietnam");
INSERT INTO `wp_postmeta` VALUES("4072", "512", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4074", "513", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4076", "513", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4077", "513", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4078", "513", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("4079", "513", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4080", "513", "year_of_purchase", "2019");
INSERT INTO `wp_postmeta` VALUES("4081", "513", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4082", "513", "modifications", "Kill Switch");
INSERT INTO `wp_postmeta` VALUES("4083", "513", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4084", "513", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4085", "513", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4086", "513", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4087", "513", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4088", "513", "owner_name", "Ahmed Hassan");
INSERT INTO `wp_postmeta` VALUES("4089", "513", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4090", "513", "owner_country", "Bangledesh");
INSERT INTO `wp_postmeta` VALUES("4091", "513", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4093", "514", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4095", "514", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4096", "514", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4097", "514", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("4098", "514", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4099", "514", "year_of_purchase", "2023");
INSERT INTO `wp_postmeta` VALUES("4100", "514", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4101", "514", "modifications", "Tall frets");
INSERT INTO `wp_postmeta` VALUES("4102", "514", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4103", "514", "rating", "6/10");
INSERT INTO `wp_postmeta` VALUES("4104", "514", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4105", "514", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("4106", "514", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4107", "514", "owner_name", "Yuna Kim");
INSERT INTO `wp_postmeta` VALUES("4108", "514", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4109", "514", "owner_country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("4110", "514", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4112", "515", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4114", "515", "purchase_price", "$1149 USD");
INSERT INTO `wp_postmeta` VALUES("4115", "515", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4116", "515", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("4117", "515", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4118", "515", "year_of_purchase", "2012");
INSERT INTO `wp_postmeta` VALUES("4119", "515", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4120", "515", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4121", "515", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4122", "515", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4123", "515", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4124", "515", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4125", "515", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4126", "515", "owner_name", "Ananya Gupta");
INSERT INTO `wp_postmeta` VALUES("4127", "515", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4128", "515", "owner_country", "India");
INSERT INTO `wp_postmeta` VALUES("4129", "515", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4131", "516", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4132", "516", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4133", "516", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4134", "516", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("4135", "516", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4136", "516", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4137", "516", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4138", "516", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4139", "516", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4140", "516", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4141", "516", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4142", "516", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4143", "516", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4144", "516", "owner_name", "Kevin Chung");
INSERT INTO `wp_postmeta` VALUES("4145", "516", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4146", "516", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("4147", "516", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4149", "517", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4151", "517", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4152", "517", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4153", "517", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("4154", "517", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4155", "517", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4156", "517", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4157", "517", "modifications", "Lollar Imperial Hot PIckup");
INSERT INTO `wp_postmeta` VALUES("4158", "517", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4159", "517", "rating", "9/10");
INSERT INTO `wp_postmeta` VALUES("4160", "517", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4161", "517", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4162", "517", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4163", "517", "owner_name", "Park Min-ji");
INSERT INTO `wp_postmeta` VALUES("4164", "517", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4165", "517", "owner_country", "South Korea");
INSERT INTO `wp_postmeta` VALUES("4166", "517", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4168", "518", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4170", "518", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4171", "518", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4172", "518", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("4173", "518", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4174", "518", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4175", "518", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4176", "518", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4177", "518", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4178", "518", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4179", "518", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4180", "518", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4181", "518", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4182", "518", "owner_name", "Valentina Costa");
INSERT INTO `wp_postmeta` VALUES("4183", "518", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4184", "518", "owner_country", "Argentina");
INSERT INTO `wp_postmeta` VALUES("4185", "518", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4187", "519", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4189", "519", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4190", "519", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4191", "519", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("4192", "519", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4193", "519", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4194", "519", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4195", "519", "modifications", "Fuzz circuit");
INSERT INTO `wp_postmeta` VALUES("4196", "519", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4197", "519", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4198", "519", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4199", "519", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4200", "519", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4201", "519", "owner_name", "Lucas Oliveira");
INSERT INTO `wp_postmeta` VALUES("4202", "519", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4203", "519", "owner_country", "Brazil");
INSERT INTO `wp_postmeta` VALUES("4204", "519", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4206", "520", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4208", "520", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4209", "520", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4210", "520", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("4211", "520", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4212", "520", "year_of_purchase", "2009");
INSERT INTO `wp_postmeta` VALUES("4213", "520", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4214", "520", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4215", "520", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4216", "520", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4217", "520", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4218", "520", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4219", "520", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4220", "520", "owner_name", "Ethan MacKenzie");
INSERT INTO `wp_postmeta` VALUES("4221", "520", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4222", "520", "owner_country", "Canada");
INSERT INTO `wp_postmeta` VALUES("4223", "520", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4225", "521", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4227", "521", "purchase_price", "$149 USD");
INSERT INTO `wp_postmeta` VALUES("4228", "521", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4229", "521", "color", "Purple");
INSERT INTO `wp_postmeta` VALUES("4230", "521", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4231", "521", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4232", "521", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4233", "521", "modifications", "Strap locks");
INSERT INTO `wp_postmeta` VALUES("4234", "521", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4235", "521", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4236", "521", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4237", "521", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4238", "521", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4239", "521", "owner_name", "Alexander Wong");
INSERT INTO `wp_postmeta` VALUES("4240", "521", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4241", "521", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("4242", "521", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4244", "522", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4246", "522", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4247", "522", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4248", "522", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("4249", "522", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4250", "522", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4251", "522", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4252", "522", "modifications", "EMG Pickup");
INSERT INTO `wp_postmeta` VALUES("4253", "522", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4254", "522", "rating", "8/10");
INSERT INTO `wp_postmeta` VALUES("4255", "522", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4256", "522", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("4257", "522", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4258", "522", "owner_name", "Jacob Beauchamp");
INSERT INTO `wp_postmeta` VALUES("4259", "522", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4260", "522", "owner_country", "Belgium");
INSERT INTO `wp_postmeta` VALUES("4261", "522", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4263", "523", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4265", "523", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4266", "523", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4267", "523", "color", "Green");
INSERT INTO `wp_postmeta` VALUES("4268", "523", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4269", "523", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4270", "523", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4271", "523", "modifications", "Electronics");
INSERT INTO `wp_postmeta` VALUES("4272", "523", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4273", "523", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4274", "523", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4275", "523", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("4276", "523", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4277", "523", "owner_name", "Juma Abimbola ");
INSERT INTO `wp_postmeta` VALUES("4278", "523", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4279", "523", "owner_country", "Nigeria");
INSERT INTO `wp_postmeta` VALUES("4280", "523", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4282", "524", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4284", "524", "purchase_price", "$299 USD");
INSERT INTO `wp_postmeta` VALUES("4285", "524", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4286", "524", "color", "Burnt Peach");
INSERT INTO `wp_postmeta` VALUES("4287", "524", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4288", "524", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4289", "524", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4290", "524", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4291", "524", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4292", "524", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4293", "524", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4294", "524", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4295", "524", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4296", "524", "owner_name", "Malik Toure ");
INSERT INTO `wp_postmeta` VALUES("4297", "524", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4298", "524", "owner_country", "Senegal");
INSERT INTO `wp_postmeta` VALUES("4299", "524", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4301", "525", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4303", "525", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4304", "525", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4305", "525", "color", "Custard");
INSERT INTO `wp_postmeta` VALUES("4306", "525", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4307", "525", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4308", "525", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4309", "525", "modifications", "Mastery Tremolo");
INSERT INTO `wp_postmeta` VALUES("4310", "525", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4311", "525", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4312", "525", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4313", "525", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4314", "525", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4315", "525", "owner_name", "Ifeoma Okonkwo");
INSERT INTO `wp_postmeta` VALUES("4316", "525", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4317", "525", "owner_country", "Nigeria");
INSERT INTO `wp_postmeta` VALUES("4318", "525", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4320", "526", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4322", "526", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4323", "526", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4324", "526", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("4325", "526", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4326", "526", "year_of_purchase", "2022");
INSERT INTO `wp_postmeta` VALUES("4327", "526", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4328", "526", "modifications", "Wiring");
INSERT INTO `wp_postmeta` VALUES("4329", "526", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4330", "526", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4331", "526", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4332", "526", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4333", "526", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4334", "526", "owner_name", "Ayanda Nkosi");
INSERT INTO `wp_postmeta` VALUES("4335", "526", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4336", "526", "owner_country", "South Africa");
INSERT INTO `wp_postmeta` VALUES("4337", "526", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4339", "527", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4341", "527", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4342", "527", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4343", "527", "color", "Dim Yellow");
INSERT INTO `wp_postmeta` VALUES("4344", "527", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4345", "527", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4346", "527", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4347", "527", "modifications", "Wiring, Locking Tuners");
INSERT INTO `wp_postmeta` VALUES("4348", "527", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4349", "527", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4350", "527", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4351", "527", "career_status", "Semi-Professional");
INSERT INTO `wp_postmeta` VALUES("4352", "527", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4353", "527", "owner_name", "Maria Hernandez");
INSERT INTO `wp_postmeta` VALUES("4354", "527", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4355", "527", "owner_country", "Mexico");
INSERT INTO `wp_postmeta` VALUES("4356", "527", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4358", "528", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4360", "528", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4361", "528", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4362", "528", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("4363", "528", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4364", "528", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4365", "528", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4366", "528", "modifications", "Kill switch");
INSERT INTO `wp_postmeta` VALUES("4367", "528", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4368", "528", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4369", "528", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4370", "528", "career_status", "Rock Star");
INSERT INTO `wp_postmeta` VALUES("4371", "528", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4372", "528", "owner_name", "Mudiwa Chanda ");
INSERT INTO `wp_postmeta` VALUES("4373", "528", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4374", "528", "owner_country", "Zambia");
INSERT INTO `wp_postmeta` VALUES("4375", "528", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4377", "529", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4379", "529", "purchase_price", "$449 USD");
INSERT INTO `wp_postmeta` VALUES("4380", "529", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4381", "529", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("4382", "529", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4383", "529", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4384", "529", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4385", "529", "modifications", "Coil Splitting");
INSERT INTO `wp_postmeta` VALUES("4386", "529", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4387", "529", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4388", "529", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4389", "529", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4390", "529", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4391", "529", "owner_name", "Kofi Mensah");
INSERT INTO `wp_postmeta` VALUES("4392", "529", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4393", "529", "owner_country", "Ghana");
INSERT INTO `wp_postmeta` VALUES("4394", "529", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4399", "534", "_wp_attached_file", "2024/07/kitty-transparent-white-2.png");
INSERT INTO `wp_postmeta` VALUES("4400", "534", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:723;s:4:\"file\";s:37:\"2024/07/kitty-transparent-white-2.png\";s:8:\"filesize\";i:144607;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:37:\"kitty-transparent-white-2-300x217.png\";s:5:\"width\";i:300;s:6:\"height\";i:217;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:25229;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:37:\"kitty-transparent-white-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11432;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:37:\"kitty-transparent-white-2-768x555.png\";s:5:\"width\";i:768;s:6:\"height\";i:555;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:112808;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4401", "551", "_wp_attached_file", "2024/07/kitty-transparent-black.png");
INSERT INTO `wp_postmeta` VALUES("4402", "551", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:725;s:4:\"file\";s:35:\"2024/07/kitty-transparent-black.png\";s:8:\"filesize\";i:151054;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"kitty-transparent-black-300x218.png\";s:5:\"width\";i:300;s:6:\"height\";i:218;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26897;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"kitty-transparent-black-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11930;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"kitty-transparent-black-768x557.png\";s:5:\"width\";i:768;s:6:\"height\";i:557;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:116639;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4403", "552", "_wp_attached_file", "2024/07/cropped-kitty-transparent-black.png");
INSERT INTO `wp_postmeta` VALUES("4404", "552", "_wp_attachment_context", "site-icon");
INSERT INTO `wp_postmeta` VALUES("4405", "552", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:43:\"2024/07/cropped-kitty-transparent-black.png\";s:8:\"filesize\";i:77294;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"cropped-kitty-transparent-black-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39125;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"cropped-kitty-transparent-black-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13460;}s:13:\"site_icon-270\";a:5:{s:4:\"file\";s:43:\"cropped-kitty-transparent-black-270x270.png\";s:5:\"width\";i:270;s:6:\"height\";i:270;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:33376;}s:13:\"site_icon-192\";a:5:{s:4:\"file\";s:43:\"cropped-kitty-transparent-black-192x192.png\";s:5:\"width\";i:192;s:6:\"height\";i:192;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:19239;}s:13:\"site_icon-180\";a:5:{s:4:\"file\";s:43:\"cropped-kitty-transparent-black-180x180.png\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17744;}s:12:\"site_icon-32\";a:5:{s:4:\"file\";s:41:\"cropped-kitty-transparent-black-32x32.png\";s:5:\"width\";i:32;s:6:\"height\";i:32;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1669;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4406", "553", "_wp_attached_file", "2024/07/kitty-transparent-black-square.png");
INSERT INTO `wp_postmeta` VALUES("4407", "553", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:1000;s:4:\"file\";s:42:\"2024/07/kitty-transparent-black-square.png\";s:8:\"filesize\";i:107677;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:42:\"kitty-transparent-black-square-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26642;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:42:\"kitty-transparent-black-square-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10390;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:42:\"kitty-transparent-black-square-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:118030;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4408", "554", "_wp_attached_file", "2024/07/cropped-kitty-transparent-black-square.png");
INSERT INTO `wp_postmeta` VALUES("4409", "554", "_wp_attachment_context", "site-icon");
INSERT INTO `wp_postmeta` VALUES("4410", "554", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:50:\"2024/07/cropped-kitty-transparent-black-square.png\";s:8:\"filesize\";i:61995;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:50:\"cropped-kitty-transparent-black-square-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:34073;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:50:\"cropped-kitty-transparent-black-square-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11739;}s:13:\"site_icon-270\";a:5:{s:4:\"file\";s:50:\"cropped-kitty-transparent-black-square-270x270.png\";s:5:\"width\";i:270;s:6:\"height\";i:270;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:29137;}s:13:\"site_icon-192\";a:5:{s:4:\"file\";s:50:\"cropped-kitty-transparent-black-square-192x192.png\";s:5:\"width\";i:192;s:6:\"height\";i:192;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16449;}s:13:\"site_icon-180\";a:5:{s:4:\"file\";s:50:\"cropped-kitty-transparent-black-square-180x180.png\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15358;}s:12:\"site_icon-32\";a:5:{s:4:\"file\";s:48:\"cropped-kitty-transparent-black-square-32x32.png\";s:5:\"width\";i:32;s:6:\"height\";i:32;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1412;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4411", "559", "_edit_lock", "1721934080:1");
INSERT INTO `wp_postmeta` VALUES("4412", "560", "_edit_lock", "1722800588:1");
INSERT INTO `wp_postmeta` VALUES("4413", "561", "_wp_attached_file", "2024/07/explorer-custom-shop.jpg");
INSERT INTO `wp_postmeta` VALUES("4414", "561", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:32:\"2024/07/explorer-custom-shop.jpg\";s:8:\"filesize\";i:89307;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:32:\"explorer-custom-shop-300x113.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5204;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"explorer-custom-shop-1024x387.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30610;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"explorer-custom-shop-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3486;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:32:\"explorer-custom-shop-768x290.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19738;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:10:\"1547579314\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4415", "559", "_thumbnail_id", "561");
INSERT INTO `wp_postmeta` VALUES("4416", "562", "_acf_changed", "");
INSERT INTO `wp_postmeta` VALUES("4417", "563", "_edit_lock", "1722118079:1");
INSERT INTO `wp_postmeta` VALUES("4421", "563", "_thumbnail_id", "584");
INSERT INTO `wp_postmeta` VALUES("4422", "566", "_edit_lock", "1722113156:1");
INSERT INTO `wp_postmeta` VALUES("4423", "567", "_edit_lock", "1722112241:1");
INSERT INTO `wp_postmeta` VALUES("4424", "568", "_edit_lock", "1722112319:1");
INSERT INTO `wp_postmeta` VALUES("4433", "566", "_thumbnail_id", "582");
INSERT INTO `wp_postmeta` VALUES("4434", "567", "_thumbnail_id", "585");
INSERT INTO `wp_postmeta` VALUES("4435", "568", "_thumbnail_id", "583");
INSERT INTO `wp_postmeta` VALUES("4445", "568", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4446", "567", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4447", "566", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4448", "563", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4449", "560", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4458", "582", "_wp_attached_file", "2024/07/ibanez-jem.png");
INSERT INTO `wp_postmeta` VALUES("4459", "582", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2600;s:6:\"height\";i:862;s:4:\"file\";s:22:\"2024/07/ibanez-jem.png\";s:8:\"filesize\";i:358456;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"ibanez-jem-300x99.png\";s:5:\"width\";i:300;s:6:\"height\";i:99;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24539;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"ibanez-jem-1024x339.png\";s:5:\"width\";i:1024;s:6:\"height\";i:339;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:211600;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"ibanez-jem-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13907;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"ibanez-jem-768x255.png\";s:5:\"width\";i:768;s:6:\"height\";i:255;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:125519;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"ibanez-jem-1536x509.png\";s:5:\"width\";i:1536;s:6:\"height\";i:509;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:451464;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"ibanez-jem-2048x679.png\";s:5:\"width\";i:2048;s:6:\"height\";i:679;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:765427;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4460", "583", "_wp_attached_file", "2024/07/ibanez-nita-strauss.png");
INSERT INTO `wp_postmeta` VALUES("4461", "583", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2600;s:6:\"height\";i:862;s:4:\"file\";s:31:\"2024/07/ibanez-nita-strauss.png\";s:8:\"filesize\";i:500348;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"ibanez-nita-strauss-300x99.png\";s:5:\"width\";i:300;s:6:\"height\";i:99;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26516;}s:5:\"large\";a:5:{s:4:\"file\";s:32:\"ibanez-nita-strauss-1024x339.png\";s:5:\"width\";i:1024;s:6:\"height\";i:339;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:229375;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"ibanez-nita-strauss-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13563;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"ibanez-nita-strauss-768x255.png\";s:5:\"width\";i:768;s:6:\"height\";i:255;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:135555;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:32:\"ibanez-nita-strauss-1536x509.png\";s:5:\"width\";i:1536;s:6:\"height\";i:509;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:491341;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:32:\"ibanez-nita-strauss-2048x679.png\";s:5:\"width\";i:2048;s:6:\"height\";i:679;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:842360;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4462", "584", "_wp_attached_file", "2024/07/ibanez-paul-stanley.png");
INSERT INTO `wp_postmeta` VALUES("4463", "584", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2600;s:6:\"height\";i:862;s:4:\"file\";s:31:\"2024/07/ibanez-paul-stanley.png\";s:8:\"filesize\";i:413300;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"ibanez-paul-stanley-300x99.png\";s:5:\"width\";i:300;s:6:\"height\";i:99;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21862;}s:5:\"large\";a:5:{s:4:\"file\";s:32:\"ibanez-paul-stanley-1024x339.png\";s:5:\"width\";i:1024;s:6:\"height\";i:339;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:196403;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"ibanez-paul-stanley-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15166;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"ibanez-paul-stanley-768x255.png\";s:5:\"width\";i:768;s:6:\"height\";i:255;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:113716;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:32:\"ibanez-paul-stanley-1536x509.png\";s:5:\"width\";i:1536;s:6:\"height\";i:509;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:433772;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:32:\"ibanez-paul-stanley-2048x679.png\";s:5:\"width\";i:2048;s:6:\"height\";i:679;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:757714;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4464", "585", "_wp_attached_file", "2024/07/ibanez-yvette-young.png");
INSERT INTO `wp_postmeta` VALUES("4465", "585", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2600;s:6:\"height\";i:862;s:4:\"file\";s:31:\"2024/07/ibanez-yvette-young.png\";s:8:\"filesize\";i:437111;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"ibanez-yvette-young-300x99.png\";s:5:\"width\";i:300;s:6:\"height\";i:99;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26411;}s:5:\"large\";a:5:{s:4:\"file\";s:32:\"ibanez-yvette-young-1024x339.png\";s:5:\"width\";i:1024;s:6:\"height\";i:339;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:268023;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"ibanez-yvette-young-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14558;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"ibanez-yvette-young-768x255.png\";s:5:\"width\";i:768;s:6:\"height\";i:255;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:154170;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:32:\"ibanez-yvette-young-1536x509.png\";s:5:\"width\";i:1536;s:6:\"height\";i:509;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:578596;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:32:\"ibanez-yvette-young-2048x679.png\";s:5:\"width\";i:2048;s:6:\"height\";i:679;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:984294;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4466", "586", "_acf_changed", "");
INSERT INTO `wp_postmeta` VALUES("4467", "587", "_edit_lock", "1722269419:1");
INSERT INTO `wp_postmeta` VALUES("4468", "588", "_edit_lock", "1722119768:1");
INSERT INTO `wp_postmeta` VALUES("4469", "589", "_edit_lock", "1722979467:1");
INSERT INTO `wp_postmeta` VALUES("4470", "590", "_edit_lock", "1722118859:1");
INSERT INTO `wp_postmeta` VALUES("4474", "592", "_wp_attached_file", "2024/07/lespaul-classic-copy.webp");
INSERT INTO `wp_postmeta` VALUES("4475", "592", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:33:\"2024/07/lespaul-classic-copy.webp\";s:8:\"filesize\";i:65244;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"lespaul-classic-copy-300x113.webp\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6356;}s:5:\"large\";a:5:{s:4:\"file\";s:34:\"lespaul-classic-copy-1024x387.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:33178;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:33:\"lespaul-classic-copy-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3520;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:33:\"lespaul-classic-copy-768x290.webp\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:22642;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4476", "587", "_thumbnail_id", "592");
INSERT INTO `wp_postmeta` VALUES("4477", "593", "_wp_attached_file", "2024/07/firebird-bluefrost.webp");
INSERT INTO `wp_postmeta` VALUES("4478", "593", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1475;s:6:\"height\";i:557;s:4:\"file\";s:31:\"2024/07/firebird-bluefrost.webp\";s:8:\"filesize\";i:44914;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"firebird-bluefrost-300x113.webp\";s:5:\"width\";i:300;s:6:\"height\";i:113;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2830;}s:5:\"large\";a:5:{s:4:\"file\";s:32:\"firebird-bluefrost-1024x387.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:387;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:15342;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:31:\"firebird-bluefrost-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1724;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"firebird-bluefrost-768x290.webp\";s:5:\"width\";i:768;s:6:\"height\";i:290;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10328;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4479", "588", "_thumbnail_id", "593");
INSERT INTO `wp_postmeta` VALUES("4480", "594", "_wp_attached_file", "2024/07/MusicManMariposa-White.png");
INSERT INTO `wp_postmeta` VALUES("4481", "594", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:550;s:4:\"file\";s:34:\"2024/07/MusicManMariposa-White.png\";s:8:\"filesize\";i:144510;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:34:\"MusicManMariposa-White-300x110.png\";s:5:\"width\";i:300;s:6:\"height\";i:110;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24709;}s:5:\"large\";a:5:{s:4:\"file\";s:35:\"MusicManMariposa-White-1024x375.png\";s:5:\"width\";i:1024;s:6:\"height\";i:375;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:225382;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"MusicManMariposa-White-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14875;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:34:\"MusicManMariposa-White-768x282.png\";s:5:\"width\";i:768;s:6:\"height\";i:282;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:132697;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4482", "595", "_wp_attached_file", "2024/07/MusicManMariposa.png");
INSERT INTO `wp_postmeta` VALUES("4483", "595", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:550;s:4:\"file\";s:28:\"2024/07/MusicManMariposa.png\";s:8:\"filesize\";i:166094;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:28:\"MusicManMariposa-300x110.png\";s:5:\"width\";i:300;s:6:\"height\";i:110;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26080;}s:5:\"large\";a:5:{s:4:\"file\";s:29:\"MusicManMariposa-1024x375.png\";s:5:\"width\";i:1024;s:6:\"height\";i:375;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:250477;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"MusicManMariposa-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15823;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:28:\"MusicManMariposa-768x282.png\";s:5:\"width\";i:768;s:6:\"height\";i:282;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:145983;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4484", "596", "_wp_attached_file", "2024/07/MusicManStVincent.png");
INSERT INTO `wp_postmeta` VALUES("4485", "596", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1500;s:6:\"height\";i:550;s:4:\"file\";s:29:\"2024/07/MusicManStVincent.png\";s:8:\"filesize\";i:159571;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"MusicManStVincent-300x110.png\";s:5:\"width\";i:300;s:6:\"height\";i:110;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:24410;}s:5:\"large\";a:5:{s:4:\"file\";s:30:\"MusicManStVincent-1024x375.png\";s:5:\"width\";i:1024;s:6:\"height\";i:375;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:226943;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"MusicManStVincent-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13796;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"MusicManStVincent-768x282.png\";s:5:\"width\";i:768;s:6:\"height\";i:282;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:132388;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4486", "589", "_thumbnail_id", "596");
INSERT INTO `wp_postmeta` VALUES("4487", "590", "_thumbnail_id", "594");
INSERT INTO `wp_postmeta` VALUES("4489", "597", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4491", "597", "purchase_price", "$2231 USD");
INSERT INTO `wp_postmeta` VALUES("4492", "597", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4493", "597", "color", "Blue");
INSERT INTO `wp_postmeta` VALUES("4494", "597", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4495", "597", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4496", "597", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4497", "597", "modifications", "Bone nut");
INSERT INTO `wp_postmeta` VALUES("4498", "597", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4499", "597", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4500", "597", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4501", "597", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4502", "597", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4503", "597", "owner_name", "Sophie Gauthier");
INSERT INTO `wp_postmeta` VALUES("4504", "597", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4505", "597", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("4506", "597", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4507", "598", "_wp_attached_file", "2024/04/jazzmaster-american-professional-mercury-rotation.webp");
INSERT INTO `wp_postmeta` VALUES("4508", "598", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:62:\"2024/04/jazzmaster-american-professional-mercury-rotation.webp\";s:8:\"filesize\";i:104614;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:62:\"jazzmaster-american-professional-mercury-rotation-300x100.webp\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6178;}s:5:\"large\";a:5:{s:4:\"file\";s:63:\"jazzmaster-american-professional-mercury-rotation-1024x341.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:32800;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:62:\"jazzmaster-american-professional-mercury-rotation-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3130;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:62:\"jazzmaster-american-professional-mercury-rotation-768x256.webp\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:22306;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:63:\"jazzmaster-american-professional-mercury-rotation-1536x512.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:57634;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:63:\"jazzmaster-american-professional-mercury-rotation-2048x683.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:83006;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4509", "590", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4510", "589", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4511", "554", "_oembed_f0b18ceb12bc504241a8644f66c52166", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("4512", "552", "_oembed_5839a37887b5abbb60454a9fbfd755a7", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("4513", "588", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4514", "587", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("4515", "610", "_wp_attached_file", "2024/04/jazzmaster-american-professional-mercury-rotate2.webp");
INSERT INTO `wp_postmeta` VALUES("4516", "610", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:800;s:4:\"file\";s:61:\"2024/04/jazzmaster-american-professional-mercury-rotate2.webp\";s:8:\"filesize\";i:102734;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:61:\"jazzmaster-american-professional-mercury-rotate2-300x100.webp\";s:5:\"width\";i:300;s:6:\"height\";i:100;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6358;}s:5:\"large\";a:5:{s:4:\"file\";s:62:\"jazzmaster-american-professional-mercury-rotate2-1024x341.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:341;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:33124;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:61:\"jazzmaster-american-professional-mercury-rotate2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3152;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:61:\"jazzmaster-american-professional-mercury-rotate2-768x256.webp\";s:5:\"width\";i:768;s:6:\"height\";i:256;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:22454;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:62:\"jazzmaster-american-professional-mercury-rotate2-1536x512.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:57672;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:62:\"jazzmaster-american-professional-mercury-rotate2-2048x683.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:83102;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4518", "95", "_wp_old_date", "2024-04-04");
INSERT INTO `wp_postmeta` VALUES("4520", "188", "_wp_old_slug", "the-butcher-boy");
INSERT INTO `wp_postmeta` VALUES("4521", "617", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4523", "210", "_wp_old_slug", "institutionalized");
INSERT INTO `wp_postmeta` VALUES("4524", "618", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4526", "209", "_wp_old_slug", "holiday");
INSERT INTO `wp_postmeta` VALUES("4527", "619", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4529", "208", "_wp_old_slug", "basket-case");
INSERT INTO `wp_postmeta` VALUES("4530", "620", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4532", "207", "_wp_old_slug", "something-better-change");
INSERT INTO `wp_postmeta` VALUES("4533", "621", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4535", "206", "_wp_old_slug", "personality-crisis");
INSERT INTO `wp_postmeta` VALUES("4536", "622", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4538", "205", "_wp_old_slug", "my-adidas");
INSERT INTO `wp_postmeta` VALUES("4539", "623", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4541", "204", "_wp_old_slug", "daft-punk-is-playing-at-my-house");
INSERT INTO `wp_postmeta` VALUES("4542", "624", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4544", "203", "_wp_old_slug", "avant-gardener");
INSERT INTO `wp_postmeta` VALUES("4545", "625", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4547", "202", "_wp_old_slug", "miki-dora");
INSERT INTO `wp_postmeta` VALUES("4548", "626", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4550", "201", "_wp_old_slug", "amaan-dunes");
INSERT INTO `wp_postmeta` VALUES("4551", "627", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4553", "200", "_wp_old_slug", "inca-roads");
INSERT INTO `wp_postmeta` VALUES("4554", "628", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4556", "199", "_wp_old_slug", "the-grand-wazoo");
INSERT INTO `wp_postmeta` VALUES("4557", "629", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4559", "198", "_wp_old_slug", "the-auld-triangle");
INSERT INTO `wp_postmeta` VALUES("4560", "630", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4562", "197", "_wp_old_slug", "the-dancers-dancing");
INSERT INTO `wp_postmeta` VALUES("4563", "631", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4565", "196", "_wp_old_slug", "the-drums-of-father-ned");
INSERT INTO `wp_postmeta` VALUES("4566", "632", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4568", "195", "_wp_old_slug", "gullivers-travels");
INSERT INTO `wp_postmeta` VALUES("4569", "633", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4571", "194", "_wp_old_slug", "the-lonely-sea-and-sky");
INSERT INTO `wp_postmeta` VALUES("4572", "634", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4574", "193", "_wp_old_slug", "the-barrytown-trilogy");
INSERT INTO `wp_postmeta` VALUES("4575", "635", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4577", "192", "_wp_old_slug", "the-glorious-heresies");
INSERT INTO `wp_postmeta` VALUES("4578", "636", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4580", "191", "_wp_old_slug", "the-little-red-chairs");
INSERT INTO `wp_postmeta` VALUES("4581", "637", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4583", "190", "_wp_old_slug", "a-portrait-of-the-artist-2");
INSERT INTO `wp_postmeta` VALUES("4584", "638", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4586", "189", "_wp_old_slug", "the-country-girls-trilogy");
INSERT INTO `wp_postmeta` VALUES("4587", "639", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4589", "211", "_wp_old_slug", "suspect-device");
INSERT INTO `wp_postmeta` VALUES("4590", "640", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4592", "171", "_wp_old_slug", "a-portrait-of-the-artist");
INSERT INTO `wp_postmeta` VALUES("4594", "170", "_wp_old_slug", "wuthering-heights");
INSERT INTO `wp_postmeta` VALUES("4595", "642", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4597", "169", "_wp_old_slug", "the-engineer-of-human-souls");
INSERT INTO `wp_postmeta` VALUES("4598", "643", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4600", "168", "_wp_old_slug", "if-this-is-a-man");
INSERT INTO `wp_postmeta` VALUES("4601", "644", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4603", "167", "_wp_old_slug", "death-in-venice");
INSERT INTO `wp_postmeta` VALUES("4604", "645", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4606", "166", "_wp_old_slug", "berlin-alexanderplatz");
INSERT INTO `wp_postmeta` VALUES("4607", "646", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4609", "165", "_wp_old_slug", "the-picture-of-dorian-gray");
INSERT INTO `wp_postmeta` VALUES("4610", "647", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4612", "164", "_wp_old_slug", "one-hundred-years-of-solitude");
INSERT INTO `wp_postmeta` VALUES("4613", "648", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4615", "163", "_wp_old_slug", "candide");
INSERT INTO `wp_postmeta` VALUES("4616", "649", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4618", "161", "_wp_old_slug", "the-good-soldier-svejk");
INSERT INTO `wp_postmeta` VALUES("4619", "650", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4621", "162", "_wp_old_slug", "the-life-and-opinions-of-tristram-shandy-gentleman");
INSERT INTO `wp_postmeta` VALUES("4622", "651", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4624", "160", "_wp_old_slug", "the-devil-in-the-flesh");
INSERT INTO `wp_postmeta` VALUES("4625", "652", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4627", "137", "_wp_old_slug", "the-death-of-ivan-ilyich");
INSERT INTO `wp_postmeta` VALUES("4628", "653", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4630", "138", "_wp_old_slug", "hollywood-by-cluster-eno");
INSERT INTO `wp_postmeta` VALUES("4631", "654", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4633", "140", "_wp_old_slug", "morgenspaziergang-by-kraftwerk");
INSERT INTO `wp_postmeta` VALUES("4634", "655", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4636", "103", "_wp_old_slug", "weissensee-by-neu");
INSERT INTO `wp_postmeta` VALUES("4637", "656", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4639", "146", "_wp_old_slug", "trans-europa-express");
INSERT INTO `wp_postmeta` VALUES("4640", "657", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4642", "147", "_wp_old_slug", "gomorrha-by-popol-vuh");
INSERT INTO `wp_postmeta` VALUES("4643", "658", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4645", "141", "_wp_old_slug", "mother-upduff-by-guru-guru");
INSERT INTO `wp_postmeta` VALUES("4646", "659", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4648", "142", "_wp_old_slug", "aguirre-i-lacrime-di-rei-by-popol-vuh");
INSERT INTO `wp_postmeta` VALUES("4649", "660", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4651", "143", "_wp_old_slug", "abra-cada-braxas-by-amon-duul-ii");
INSERT INTO `wp_postmeta` VALUES("4652", "661", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4654", "662", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4656", "144", "_wp_old_slug", "mitternacht-by-kraftwerk");
INSERT INTO `wp_postmeta` VALUES("4657", "663", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4659", "145", "_wp_old_slug", "kometenmelodie-2-by-kraftwerk");
INSERT INTO `wp_postmeta` VALUES("4660", "664", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4662", "139", "_wp_old_slug", "geiger-counter-by-kraftwerk");
INSERT INTO `wp_postmeta` VALUES("4663", "665", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4667", "171", "_wp_old_slug", "bukkaw");
INSERT INTO `wp_postmeta` VALUES("4669", "188", "_wp_old_date", "2024-04-06");
INSERT INTO `wp_postmeta` VALUES("4670", "668", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("4671", "672", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("4672", "677", "_wp_font_face_file", "JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2");
INSERT INTO `wp_postmeta` VALUES("4675", "554", "_oembed_21dd16f24a50c6f7b472b0a479a5ba7d", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("4676", "552", "_oembed_6f9b7ae65da01658ad9583df6605869f", "{{unknown}}");
INSERT INTO `wp_postmeta` VALUES("4680", "211", "_wp_old_slug", "i-am-your-owner");
INSERT INTO `wp_postmeta` VALUES("4681", "762", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4682", "762", "purchase_price", "$249 USD");
INSERT INTO `wp_postmeta` VALUES("4683", "762", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4684", "762", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("4685", "762", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4686", "762", "year_of_purchase", "2007");
INSERT INTO `wp_postmeta` VALUES("4687", "762", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4688", "762", "modifications", "None");
INSERT INTO `wp_postmeta` VALUES("4689", "762", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4690", "762", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4691", "762", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4692", "762", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4693", "762", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4694", "762", "owner_name", "Veli-Pekka Tuomainen");
INSERT INTO `wp_postmeta` VALUES("4695", "762", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4696", "762", "owner_country", "Finland");
INSERT INTO `wp_postmeta` VALUES("4697", "762", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4698", "763", "footnotes", "");
INSERT INTO `wp_postmeta` VALUES("4699", "763", "_acf_changed", "");
INSERT INTO `wp_postmeta` VALUES("4716", "199", "_wp_old_date", "2024-04-04");
INSERT INTO `wp_postmeta` VALUES("4718", "629", "purchase_price", "$1249 USD");
INSERT INTO `wp_postmeta` VALUES("4719", "629", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4720", "629", "color", "Deep blue");
INSERT INTO `wp_postmeta` VALUES("4721", "629", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4722", "629", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4723", "629", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4724", "629", "modifications", "Official Hello Kitty Strap");
INSERT INTO `wp_postmeta` VALUES("4725", "629", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4726", "629", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4727", "629", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4728", "629", "career_status", "Hobbiest");
INSERT INTO `wp_postmeta` VALUES("4729", "629", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4730", "629", "owner_name", "Joe Quinn");
INSERT INTO `wp_postmeta` VALUES("4731", "629", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4732", "629", "owner_country", "United States");
INSERT INTO `wp_postmeta` VALUES("4733", "629", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4736", "637", "purchase_price", "$24239 USD");
INSERT INTO `wp_postmeta` VALUES("4737", "637", "_purchase_price", "field_6610851ba68f9");
INSERT INTO `wp_postmeta` VALUES("4738", "637", "color", "Pink");
INSERT INTO `wp_postmeta` VALUES("4739", "637", "_color", "field_6610859da68fa");
INSERT INTO `wp_postmeta` VALUES("4740", "637", "year_of_purchase", "2006");
INSERT INTO `wp_postmeta` VALUES("4741", "637", "_year_of_purchase", "field_661085bba68fb");
INSERT INTO `wp_postmeta` VALUES("4742", "637", "modifications", "Major Dents");
INSERT INTO `wp_postmeta` VALUES("4743", "637", "_modifications", "field_661085ffa68fc");
INSERT INTO `wp_postmeta` VALUES("4744", "637", "rating", "10/10");
INSERT INTO `wp_postmeta` VALUES("4745", "637", "_rating", "field_66108618a68fd");
INSERT INTO `wp_postmeta` VALUES("4746", "637", "career_status", "Professional");
INSERT INTO `wp_postmeta` VALUES("4747", "637", "_career_status", "field_66108653a68fe");
INSERT INTO `wp_postmeta` VALUES("4748", "637", "owner_name", "Baptiste Renault");
INSERT INTO `wp_postmeta` VALUES("4749", "637", "_owner_name", "field_66108672a68ff");
INSERT INTO `wp_postmeta` VALUES("4750", "637", "owner_country", "France");
INSERT INTO `wp_postmeta` VALUES("4751", "637", "_owner_country", "field_66108695a6900");
INSERT INTO `wp_postmeta` VALUES("4752", "191", "_wp_old_date", "2024-04-04");
INSERT INTO `wp_postmeta` VALUES("4753", "191", "_encloseme", "1");
INSERT INTO `wp_postmeta` VALUES("4754", "807", "_wp_attached_file", "2024/07/ibanezDestroyer-e1722800106495.jpg");
INSERT INTO `wp_postmeta` VALUES("4755", "807", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1348;s:6:\"height\";i:564;s:4:\"file\";s:42:\"2024/07/ibanezDestroyer-e1722800106495.jpg\";s:8:\"filesize\";i:53171;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:42:\"ibanezDestroyer-e1722800106495-300x126.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:126;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6052;}s:5:\"large\";a:5:{s:4:\"file\";s:43:\"ibanezDestroyer-e1722800106495-1024x428.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:428;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:38166;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:42:\"ibanezDestroyer-e1722800106495-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3638;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:42:\"ibanezDestroyer-e1722800106495-768x321.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:321;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:24430;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4756", "808", "_acf_changed", "");
INSERT INTO `wp_postmeta` VALUES("4757", "807", "_wp_attachment_backup_sizes", "a:4:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:564;s:6:\"height\";i:1348;s:4:\"file\";s:19:\"ibanezDestroyer.jpg\";}s:14:\"thumbnail-orig\";a:5:{s:4:\"file\";s:27:\"ibanezDestroyer-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3684;}s:11:\"medium-orig\";a:5:{s:4:\"file\";s:27:\"ibanezDestroyer-126x300.jpg\";s:5:\"width\";i:126;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6057;}s:10:\"large-orig\";a:5:{s:4:\"file\";s:28:\"ibanezDestroyer-428x1024.jpg\";s:5:\"width\";i:428;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:37934;}}");
INSERT INTO `wp_postmeta` VALUES("4758", "560", "_thumbnail_id", "807");
INSERT INTO `wp_postmeta` VALUES("4759", "812", "origin", "theme");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2024-04-03 23:04:13", "2024-04-03 23:04:13", "<!-- wp:paragraph -->\n<p>This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...or something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>As a new WordPress user, you should go to <a href=\"http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!</p>\n<!-- /wp:paragraph -->", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2024-04-03 23:04:13", "2024-04-03 23:04:13", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2024-04-03 23:04:13", "2024-04-03 23:04:13", "<!-- wp:heading --><h2>Who we are</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Our website address is: http://localhost:8888/WorksInProgress/FenderMania.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Comments</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Media</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Cookies</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you visit our login page, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Embedded content from other websites</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Who we share your data with</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you request a password reset, your IP address will be included in the reset email.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>How long we retain your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What rights you have over your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Where your data is sent</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Visitor comments may be checked through an automated spam detection service.</p><!-- /wp:paragraph -->", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2024-04-03 23:04:13", "2024-04-03 23:04:13", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2024-04-04 00:11:01", "2024-04-04 00:11:01", "", "Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg", "", "inherit", "open", "closed", "", "untitled-3_0000_jaguar-johnny-marr-metalic-ko-jpg", "", "", "2024-04-04 00:11:01", "2024-04-04 00:11:01", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-3_0000_jaguar-johnny-marr-metalic-ko.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2024-04-04 00:11:01", "2024-04-04 00:11:01", "", "Untitled-3_0003_jaguar-player-series-shell-pink.jpg", "", "inherit", "open", "closed", "", "untitled-3_0003_jaguar-player-series-shell-pink-jpg", "", "", "2024-04-04 00:11:01", "2024-04-04 00:11:01", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-3_0003_jaguar-player-series-shell-pink.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2024-04-04 00:11:02", "2024-04-04 00:11:02", "", "Untitled-3_0002_jaguar-johnny-marr-yellow.jpg", "", "inherit", "open", "closed", "", "untitled-3_0002_jaguar-johnny-marr-yellow-jpg", "", "", "2024-04-04 00:11:02", "2024-04-04 00:11:02", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-3_0002_jaguar-johnny-marr-yellow.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2024-04-04 00:11:03", "2024-04-04 00:11:03", "", "Untitled-3_0001_jaguar-johnny-marr-white.jpg", "", "inherit", "open", "closed", "", "untitled-3_0001_jaguar-johnny-marr-white-jpg", "", "", "2024-04-04 00:11:03", "2024-04-04 00:11:03", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-3_0001_jaguar-johnny-marr-white.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2024-04-04 00:11:03", "2024-04-04 00:11:03", "", "Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg", "", "inherit", "open", "closed", "", "untitled-4_0002_jazzmaster-american-vintage-ii-blue-jpg", "", "", "2024-04-04 00:11:03", "2024-04-04 00:11:03", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-4_0002_jazzmaster-american-vintage-ii-blue.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2024-04-04 00:11:04", "2024-04-04 00:11:04", "", "Untitled-4_0004_jazzmaster-performer.jpg", "", "inherit", "open", "closed", "", "untitled-4_0004_jazzmaster-performer-jpg", "", "", "2024-04-04 00:11:04", "2024-04-04 00:11:04", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-4_0004_jazzmaster-performer.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("42", "1", "2024-04-04 00:11:05", "2024-04-04 00:11:05", "", "Untitled-4_0000_jazzmaster-american-professional-mercury.jpg", "", "inherit", "open", "closed", "", "untitled-4_0000_jazzmaster-american-professional-mercury-jpg", "", "", "2024-04-04 00:11:05", "2024-04-04 00:11:05", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-4_0000_jazzmaster-american-professional-mercury.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2024-04-04 00:11:06", "2024-04-04 00:11:06", "", "Untitled-4_0001_jazzmaster-american-ultra.jpg", "", "inherit", "open", "closed", "", "untitled-4_0001_jazzmaster-american-ultra-jpg", "", "", "2024-04-04 00:11:06", "2024-04-04 00:11:06", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-4_0001_jazzmaster-american-ultra.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2024-04-04 00:11:06", "2024-04-04 00:11:06", "", "Untitled-4_0005_jazzmaster-vintera.jpg", "", "inherit", "open", "closed", "", "untitled-4_0005_jazzmaster-vintera-jpg", "", "", "2024-04-04 00:11:06", "2024-04-04 00:11:06", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-4_0005_jazzmaster-vintera.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2024-04-04 00:11:07", "2024-04-04 00:11:07", "", "Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg", "", "inherit", "open", "closed", "", "untitled-4_0003_jazzmaster-american-vintage-ii-red-jpg", "", "", "2024-04-04 00:11:07", "2024-04-04 00:11:07", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-4_0003_jazzmaster-american-vintage-ii-red.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2024-04-04 00:11:08", "2024-04-04 00:11:08", "", "Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg", "", "inherit", "open", "closed", "", "untitled-2_0002_stratocaster-american-professional-ii-mercury-jpg", "", "", "2024-04-04 00:11:08", "2024-04-04 00:11:08", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-2_0002_stratocaster-american-professional-ii-mercury.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("47", "1", "2024-04-04 00:11:08", "2024-04-04 00:11:08", "", "Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg", "", "inherit", "open", "closed", "", "untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck-jpg", "", "", "2024-04-04 00:11:08", "2024-04-04 00:11:08", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-2_0003_stratocaster-american-professional-ii-miami-blue-maple-neck.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2024-04-04 00:11:09", "2024-04-04 00:11:09", "", "Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg", "", "inherit", "open", "closed", "", "untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck-jpg", "", "", "2024-04-04 00:11:09", "2024-04-04 00:11:09", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-2_0006_stratocaster-american-professional-ii-mystic-surf-green-rosewood-neck.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("49", "1", "2024-04-04 00:11:10", "2024-04-04 00:11:10", "", "Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg", "", "inherit", "open", "closed", "", "untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck-jpg", "", "", "2024-04-04 00:11:10", "2024-04-04 00:11:10", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-2_0005_stratocaster-american-professional-ii-mystic-surf-green-maple-neck.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2024-04-04 00:11:11", "2024-04-04 00:11:11", "", "Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg", "", "inherit", "open", "closed", "", "untitled-2_0001_stratocaster-american-professional-ii-dark-night-jpg", "", "", "2024-04-04 00:11:11", "2024-04-04 00:11:11", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-2_0001_stratocaster-american-professional-ii-dark-night.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2024-04-04 00:11:12", "2024-04-04 00:11:12", "", "Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg", "", "inherit", "open", "closed", "", "untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck-jpg", "", "", "2024-04-04 00:11:12", "2024-04-04 00:11:12", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-2_0004_stratocaster-american-professional-ii-miami-blue-rosewood-neck.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2024-04-04 00:11:13", "2024-04-04 00:11:13", "", "Untitled-2_0000_stratocaster-american-professional-ii-black.jpg", "", "inherit", "open", "closed", "", "untitled-2_0000_stratocaster-american-professional-ii-black-jpg", "", "", "2024-04-04 00:11:13", "2024-04-04 00:11:13", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Untitled-2_0000_stratocaster-american-professional-ii-black.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2024-04-04 00:11:14", "2024-04-04 00:11:14", "", "_0001_telecaster-american-vintage-ii-blue.jpg", "", "inherit", "open", "closed", "", "_0001_telecaster-american-vintage-ii-blue-jpg", "", "", "2024-04-04 00:11:14", "2024-04-04 00:11:14", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0001_telecaster-american-vintage-ii-blue.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2024-04-04 00:11:15", "2024-04-04 00:11:15", "", "_0006_telecaster-player-polar-white.jpg", "", "inherit", "open", "closed", "", "_0006_telecaster-player-polar-white-jpg", "", "", "2024-04-04 00:11:15", "2024-04-04 00:11:15", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0006_telecaster-player-polar-white.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2024-04-04 00:11:16", "2024-04-04 00:11:16", "", "_0008_telecaster-vintera-custom-black.jpg", "", "inherit", "open", "closed", "", "_0008_telecaster-vintera-custom-black-jpg", "", "", "2024-04-04 00:11:16", "2024-04-04 00:11:16", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0008_telecaster-vintera-custom-black.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2024-04-04 00:11:16", "2024-04-04 00:11:16", "", "_0002_telecaster-j-mascis.jpg", "", "inherit", "open", "closed", "", "_0002_telecaster-j-mascis-jpg", "", "", "2024-04-04 00:11:16", "2024-04-04 00:11:16", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0002_telecaster-j-mascis.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2024-04-04 00:11:17", "2024-04-04 00:11:17", "", "_0010_telecaster-vintera-surf-green.jpg", "", "inherit", "open", "closed", "", "_0010_telecaster-vintera-surf-green-jpg", "", "", "2024-04-04 00:11:17", "2024-04-04 00:11:17", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0010_telecaster-vintera-surf-green.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2024-04-04 00:11:18", "2024-04-04 00:11:18", "", "_0004_telecaster-player-black.jpg", "", "inherit", "open", "closed", "", "_0004_telecaster-player-black-jpg", "", "", "2024-04-04 00:11:18", "2024-04-04 00:11:18", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0004_telecaster-player-black.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("61", "1", "2024-04-04 00:11:18", "2024-04-04 00:11:18", "", "_0011_telecaster-vintera-vintage-red.jpg", "", "inherit", "open", "closed", "", "_0011_telecaster-vintera-vintage-red-jpg", "", "", "2024-04-04 00:11:18", "2024-04-04 00:11:18", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0011_telecaster-vintera-vintage-red.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2024-04-04 00:11:19", "2024-04-04 00:11:19", "", "_0003_telecaster-jim-adkins-thinline.jpg", "", "inherit", "open", "closed", "", "_0003_telecaster-jim-adkins-thinline-jpg", "", "", "2024-04-04 00:11:19", "2024-04-04 00:11:19", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0003_telecaster-jim-adkins-thinline.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2024-04-04 00:11:20", "2024-04-04 00:11:20", "", "_0000_telecaster-american-ultra-blue.jpg", "", "inherit", "open", "closed", "", "_0000_telecaster-american-ultra-blue-jpg", "", "", "2024-04-04 00:11:20", "2024-04-04 00:11:20", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0000_telecaster-american-ultra-blue.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2024-04-04 00:11:21", "2024-04-04 00:11:21", "", "_0009_telecaster-vintera-daphne-blue.jpg", "", "inherit", "open", "closed", "", "_0009_telecaster-vintera-daphne-blue-jpg", "", "", "2024-04-04 00:11:21", "2024-04-04 00:11:21", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0009_telecaster-vintera-daphne-blue.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2024-04-04 00:11:21", "2024-04-04 00:11:21", "", "_0007_telecaster-player-tidepool.jpg", "", "inherit", "open", "closed", "", "_0007_telecaster-player-tidepool-jpg", "", "", "2024-04-04 00:11:21", "2024-04-04 00:11:21", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0007_telecaster-player-tidepool.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("66", "1", "2024-04-04 00:11:22", "2024-04-04 00:11:22", "", "_0005_telecaster-player-butterscotch.jpg", "", "inherit", "open", "closed", "", "_0005_telecaster-player-butterscotch-jpg", "", "", "2024-04-04 00:11:22", "2024-04-04 00:11:22", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/0005_telecaster-player-butterscotch.jpg.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:8:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:6:\"guitar\";}}}s:8:\"position\";s:4:\"side\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"show_in_rest\";i:0;}", "Guitar Details", "guitar-details", "publish", "closed", "closed", "", "group_660df3045d020", "", "", "2024-04-04 00:54:56", "2024-04-04 00:54:56", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field-group&#038;p=67", "0", "acf-field-group", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Manufacturer", "manufacturer", "publish", "closed", "closed", "", "field_660df304f1533", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=68", "0", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Model", "model", "publish", "closed", "closed", "", "field_660df395f1534", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=69", "1", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Model Variant", "model_variant", "publish", "closed", "closed", "", "field_660df3a9f1535", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=70", "2", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Body Wood", "body_wood", "publish", "closed", "closed", "", "field_660df3eef1536", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=71", "3", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Neck Type", "neck_type", "publish", "closed", "closed", "", "field_660df485f153b", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=72", "4", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Fretboard", "fretboard", "publish", "closed", "closed", "", "field_660df406f1537", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=73", "5", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Scale Length", "scale_length", "publish", "closed", "closed", "", "field_660df409f1538", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=74", "6", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Pickups", "pickups", "publish", "closed", "closed", "", "field_660df44ff1539", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=75", "7", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:13:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:6:\"number\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:4:\"step\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Number of Pickups", "number_of_pickups", "publish", "closed", "closed", "", "field_660df497f153c", "", "", "2024-04-04 00:54:56", "2024-04-04 00:54:56", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&#038;p=76", "8", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Color", "color", "publish", "closed", "closed", "", "field_660df467f153a", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=77", "9", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Bridge", "bridge", "publish", "closed", "closed", "", "field_660df4e2f153d", "", "", "2024-04-04 00:32:13", "2024-04-04 00:32:13", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=78", "10", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2024-04-04 00:32:19", "2024-04-04 00:32:19", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentyfour", "", "", "2024-04-04 00:32:19", "2024-04-04 00:32:19", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/2024/04/04/wp-global-styles-twentytwentyfour/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2024-04-04 00:50:41", "2024-04-04 00:50:41", "<!-- wp:paragraph -->\n<p>Johnny Marr is best known as the strikingly dynamic guitarist-arranger-songwriter behind the Smiths, who redefined and ruled U.K. pop in the 1980s. A master of melody, layering and texture, Marr has brought his own instantly identifiable genius to the proceedings ever since, in stints with The The, the Pretenders, Modest Mouse and the Cribs - to say nothing of his solo career and innumerable guest appearances. The Johnny Marr Jaguar® is a fantastically non-standard model that is as distinctive as the sounds he wrings from it.</p>\n<!-- /wp:paragraph -->", "Fender Jaguar: Johnny Marr Model (White)", "The Johnny Marr Jaguar® is a fantastically non-standard model that is as distinctive as the sounds Marr wrings from it.", "publish", "closed", "closed", "", "fender-jaguar-johnny-marr-artist-model", "", "", "2024-04-04 01:08:59", "2024-04-04 01:08:59", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=81", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2024-04-04 00:51:35", "2024-04-04 00:51:35", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Tremolo", "tremolo", "publish", "closed", "closed", "", "field_660df9841c940", "", "", "2024-04-04 00:51:35", "2024-04-04 00:51:35", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=82", "11", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2024-04-04 00:54:36", "2024-04-04 00:54:36", "a:13:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:6:\"number\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:4:\"step\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Price", "price", "publish", "closed", "closed", "", "field_660dfa2d8a803", "", "", "2024-04-04 00:54:36", "2024-04-04 00:54:36", "", "67", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=84", "12", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2024-04-04 01:00:05", "2024-04-04 01:00:05", "<!-- wp:paragraph -->\n<p>Johnny Marr is best known as the strikingly dynamic guitarist-arranger-songwriter behind the Smiths, who redefined and ruled U.K. pop in the 1980s. A master of melody, layering and texture, Marr has brought his own instantly identifiable genius to the proceedings ever since, in stints with The The, the Pretenders, Modest Mouse and the Cribs - to say nothing of his solo career and innumerable guest appearances. The Johnny Marr Jaguar® is a fantastically non-standard model that is as distinctive as the sounds he wrings from it.</p>\n<!-- /wp:paragraph -->", "Fender Jaguar: Johnny Marr Model (Metallic KO)", "The Johnny Marr Jaguar® is a fantastically non-standard model that is as distinctive as the sounds Marr wrings from it.", "publish", "closed", "closed", "", "fender-jaguar-johnny-marr-model-2", "", "", "2024-04-04 01:09:03", "2024-04-04 01:09:03", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=85", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2024-04-04 00:58:53", "2024-04-04 00:58:53", "<!-- wp:paragraph -->\n<p>Johnny Marr is best known as the strikingly dynamic guitarist-arranger-songwriter behind the Smiths, who redefined and ruled U.K. pop in the 1980s. A master of melody, layering and texture, Marr has brought his own instantly identifiable genius to the proceedings ever since, in stints with The The, the Pretenders, Modest Mouse and the Cribs - to say nothing of his solo career and innumerable guest appearances. The Johnny Marr Jaguar® is a fantastically non-standard model that is as distinctive as the sounds he wrings from it.</p>\n<!-- /wp:paragraph -->", "Fender Jaguar: Johnny Marr Model (Fever Dream)", "The Johnny Marr Jaguar® is a fantastically non-standard model that is as distinctive as the sounds Marr wrings from it. This year\'s limited edition color: Fever Dream.", "publish", "closed", "closed", "", "fender-jaguar-johnny-marr-model", "", "", "2024-04-04 01:09:01", "2024-04-04 01:09:01", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=86", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2024-04-04 01:14:54", "2024-04-04 01:14:54", "<!-- wp:paragraph -->\n<p>The American Ultra Telecaster features a unique \"Modern D\" neck profile with rolled fingerboard edges for hours of playing comfort, and the tapered neck heel allows easy access to the highest register. A speedy 10\"-14\" compound-radius fingerboard with 22 medium-jumbo frets means effortless and accurate soloing, while the Ultra Noiseless™ pickups and advanced wiring options provide endless tonal possibilities - without hum. This versatile, state-of-the-art instrument will inspire you to push your playing to new heights. Other features include sealed locking tuning machines, chrome hardware and bone nut. Includes premium molded hardshell case.</p>\n<!-- /wp:paragraph -->", "Fender Telecaster: American Ultra", "American Ultra is Fender\'s most advanced series of guitars and basses for discerning players who demand the ultimate in precision, performance and tone. ", "publish", "closed", "closed", "", "fender-telecaster-american-ultra", "", "", "2024-04-04 01:15:15", "2024-04-04 01:15:15", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=87", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2024-04-04 01:16:18", "2024-04-04 01:16:18", "<!-- wp:paragraph -->\n<p>The American Vintage II 1951 Telecaster features an ash body finished in Butterscotch Blonde to capture the tone and look of the original. The substantial \'51 \"U\"-shaped hard rock maple neck plays like a dream with a 7.25\" radius fingerboard and vintage tall frets. Characteristic of production in 1951, 12th fret face-dot spacing is narrow and the sole Phillips-head fastener on the guitar is at the truss rod nut. The triple brass saddle bridge, single-line \"Fender Deluxe\" tuners and Pure Vintage \'51 Telecaster pickups deliver classic twang and authentic Fender style.</p>\n<!-- /wp:paragraph -->", "Fender Telecaster: American Vintage II", "The Fender® American Vintage II series presents a remarkably accurate take on the revolutionary designs that altered the course of musical history. Built with period-accurate bodies, necks and hardware, premium finishes and meticulously voiced, year-specific pickups, each instrument captures the essence of authentic Fender craftsmanship and tone.", "publish", "closed", "closed", "", "fender-telecaster-american-vintage-ii", "", "", "2024-04-04 01:18:51", "2024-04-04 01:18:51", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=88", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("91", "1", "2024-04-04 01:20:57", "2024-04-04 01:20:57", "<!-- wp:paragraph -->\n<p>For authentic alt-rock pop-punk Telecaster style, the Jim Adkins JA-90 Telecaster Thinline delivers the authentic mid-2000s tone and vibe of the Jimmy Eat World frontman\'s distinctive instrument. Adkins joined us to design this semi-hollow guitar, based on his TC-90 Telecaster and hot-rodded with several special design modifications that make it the very embodiment of sonic \"sweetness.\"</p>\n<!-- /wp:paragraph -->", "Fender Telecaster: Jim Adkins", "the Jim Adkins JA-90 Telecaster Thinline delivers the authentic mid-2000s tone and vibe of the Jimmy Eat World frontman\'s distinctive instrument.", "publish", "closed", "closed", "", "fender-telecaster-jim-adkins", "", "", "2024-04-04 01:22:21", "2024-04-04 01:22:21", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=91", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("92", "1", "2024-04-04 01:24:22", "2024-04-04 01:24:22", "<!-- wp:paragraph -->\n<p>Players who want the style and sound of Fender\'s golden era love the Vintera® \'70s Telecaster® Custom. Equipped with the coveted features that defined the decade - including period-accurate neck profile and playing feel, along with re-voiced pickups - this guitar has all of the articulation and punch that made the Telecaster a legend. By combining the vintage-style single-coil bridge pickup with a fat-sounding Wide Range humbucking neck pickup Fender added some beef to the traditional Tele® bite. The \"Thin C\"-shaped neck has a 7.25\"-radius fingerboard with 21 vintage-style frets for classic feel. A vintage-style Tele® bridge with three steel barrel saddles gives this Telecaster its characteristic twang, while \"F\"-stamped tuning machines offer period-correct aesthetics, classic feel and rock-solid tuning stability. </p>\n<!-- /wp:paragraph -->", "Fender Telecaster: Vintera Custom", "Equipped with the coveted features that defined the decade - including period-accurate neck profile and playing feel, along with re-voiced pickups - this guitar has all of the articulation and punch that made the Telecaster a legend. ", "publish", "closed", "closed", "", "fender-telecaster-vintera-custom", "", "", "2024-04-04 01:27:17", "2024-04-04 01:27:17", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=92", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("95", "1", "2024-04-06 01:31:10", "2024-04-06 01:31:10", "<!-- wp:paragraph -->\n<p>The Fender® American Vintage II series presents a remarkably accurate take on the revolutionary designs that altered the course of musical history. Built with period-accurate bodies, necks and hardware, premium finishes and meticulously voiced, year-specific pickups, each instrument captures the essence of authentic Fender craftsmanship and tone.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Jazzmaster® was originally advertised as a guitar that contained \"all the well-known Fender developments,\" where \"every convenience is provided.\" Intended to provide a luxury playing experience and tempt jazz guitarists into playing solidbody electric guitars, this futuristic and comfort-contoured offset is about as far from a boxy archtop as can be imagined. Perhaps unsurprisingly, the guitar failed to catch on with the jazz crowd, but instead gained early acceptance with \'60s surf, and later, indie-rock, alternative, and even country players.</p>\n<!-- /wp:paragraph -->", "Fender Jazzmaster: American Vintage II (blue)", "Built with period-accurate bodies, necks and hardware, premium finishes and meticulously voiced, year-specific pickups, each instrument captures the essence of authentic Fender craftsmanship and tone.", "publish", "closed", "closed", "", "fender-jazzmaster-american-vintage-ii", "", "", "2024-07-30 16:35:13", "2024-07-30 16:35:13", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=95", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("96", "1", "2024-04-04 01:34:18", "2024-04-04 01:34:18", "<!-- wp:paragraph -->\n<p>The American Professional II Stratocaster® draws from more than sixty years of innovation, inspiration and evolution to meet the demands of today\'s working player. The popular Deep \"C\" neck now sports smooth rolled fingerboard edges, a \"Super-Natural\" satin finish and a newly sculpted neck heel for a supremely comfortable feel and easy access to the upper register. New V-Mod II Stratocaster single-coil pickups are more articulate than ever while retaining bell-like chime and warmth. An upgraded 2-point tremolo with a cold-rolled steel block increases sustain, clarity and high-end sparkle.</p>\n<!-- /wp:paragraph -->", "Fender Stratocaster: American Professional II (Mercury)", "The American Professional II Jazzmaster® draws from more than sixty years of innovation, inspiration and evolution to meet the demands of today\'s working player.", "publish", "closed", "closed", "", "fender-jazzmaster-american-professional-ii-mercury", "", "", "2024-04-04 01:39:04", "2024-04-04 01:39:04", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=96", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("97", "1", "2024-04-04 01:32:09", "2024-04-04 01:32:09", "<!-- wp:paragraph -->\n<p>The Fender® American Vintage II series presents a remarkably accurate take on the revolutionary designs that altered the course of musical history. Built with period-accurate bodies, necks and hardware, premium finishes and meticulously voiced, year-specific pickups, each instrument captures the essence of authentic Fender craftsmanship and tone.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Jazzmaster® was originally advertised as a guitar that contained \"all the well-known Fender developments,\" where \"every convenience is provided.\" Intended to provide a luxury playing experience and tempt jazz guitarists into playing solidbody electric guitars, this futuristic and comfort-contoured offset is about as far from a boxy archtop as can be imagined. Perhaps unsurprisingly, the guitar failed to catch on with the jazz crowd, but instead gained early acceptance with \'60s surf, and later, indie-rock, alternative, and even country players.</p>\n<!-- /wp:paragraph -->", "Fender Jazzmaster: American Vintage II (red)", "Built with period-accurate bodies, necks and hardware, premium finishes and meticulously voiced, year-specific pickups, each instrument captures the essence of authentic Fender craftsmanship and tone.", "publish", "closed", "closed", "", "fender-jazzmaster-american-vintage-ii-red", "", "", "2024-04-04 01:32:09", "2024-04-04 01:32:09", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=97", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("98", "1", "2024-04-04 01:36:19", "2024-04-04 01:36:19", "<!-- wp:paragraph -->\n<p>The popular Deep \"C\" neck now sports smooth rolled fingerboard edges, a \"Super-Natural\" satin finish and a newly sculpted neck heel for a supremely comfortable feel and easy access to the upper register. New V-Mod II Jazzmaster single-coil pickups are more articulate than ever while delivering the sparkle and chime the Jazzmaster is known for. The bridge pickup has a tap function that allows both a powerful, throaty sound or a lower-output vintage sound. At the flip of a switch, the rhythm circuit puts both pickups in series for a thicker tone with increased output, controlled by independent volume and tone roller pots. The new Panorama™ Tremolo system with pop-in tremolo arm dramatically increases the range of vibrato available, allowing for deep, Strat-style dives, in addition to classic Jazzmaster warble.</p>\n<!-- /wp:paragraph -->", "Fender Jazzmaster: American Professional II (Mercury)", "The American Professional II Jazzmaster® draws from more than sixty years of innovation, inspiration and evolution to meet the demands of today\'s working player.", "publish", "closed", "closed", "", "fender-jazzmaster-american-professional-ii-mercury-2", "", "", "2024-07-27 22:56:58", "2024-07-27 22:56:58", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=98", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("99", "1", "2024-04-04 01:35:42", "2024-04-04 01:35:42", "<!-- wp:paragraph -->\n<p>The popular Deep \"C\" neck now sports smooth rolled fingerboard edges, a \"Super-Natural\" satin finish and a newly sculpted neck heel for a supremely comfortable feel and easy access to the upper register. New V-Mod II Jazzmaster single-coil pickups are more articulate than ever while delivering the sparkle and chime the Jazzmaster is known for. The bridge pickup has a tap function that allows both a powerful, throaty sound or a lower-output vintage sound. At the flip of a switch, the rhythm circuit puts both pickups in series for a thicker tone with increased output, controlled by independent volume and tone roller pots. The new Panorama™ Tremolo system with pop-in tremolo arm dramatically increases the range of vibrato available, allowing for deep, Strat-style dives, in addition to classic Jazzmaster warble.</p>\n<!-- /wp:paragraph -->", "Fender Jazzmaster: American Professional II (Green)", "The American Professional II Jazzmaster® draws from more than sixty years of innovation, inspiration and evolution to meet the demands of today\'s working player.", "publish", "closed", "closed", "", "fender-jazzmaster-american-professional-ii-green", "", "", "2024-04-04 01:35:42", "2024-04-04 01:35:42", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=guitar&#038;p=99", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("101", "1", "2024-04-04 05:04:56", "2024-04-04 05:04:56", "<!-- wp:paragraph -->\n<p>The American Professional II Stratocaster® draws from more than sixty years of innovation, inspiration and evolution to meet the demands of today\'s working player. The popular Deep \"C\" neck now sports smooth rolled fingerboard edges, a \"Super-Natural\" satin finish and a newly sculpted neck heel for a supremely comfortable feel and easy access to the upper register. New V-Mod II Stratocaster single-coil pickups are more articulate than ever while retaining bell-like chime and warmth. An upgraded 2-point tremolo with a cold-rolled steel block increases sustain, clarity and high-end sparkle.</p>\n<!-- /wp:paragraph -->", "Fender Stratocaster: American Professional II (Mercury)", "The American Professional II Jazzmaster® draws from more than sixty years of innovation, inspiration and evolution to meet the demands of today\'s working player.", "inherit", "closed", "closed", "", "96-autosave-v1", "", "", "2024-04-04 05:04:56", "2024-04-04 05:04:56", "", "96", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=101", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("103", "1", "2024-04-04 05:52:45", "2024-04-04 05:52:45", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat Napping", "", "publish", "open", "open", "", "cat-napping", "", "", "2024-07-30 22:41:18", "2024-07-30 22:41:18", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=103", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("104", "1", "2024-04-04 05:52:45", "2024-04-04 05:52:45", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Weissensee\" by Neu!", "", "inherit", "closed", "closed", "", "103-revision-v1", "", "", "2024-04-04 05:52:45", "2024-04-04 05:52:45", "", "103", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=104", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("127", "1", "2024-04-04 05:57:23", "2024-04-04 05:57:23", "", "Squier-Hello-Kitty-Stratocaster-Pink", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-pink", "", "", "2024-04-04 05:57:23", "2024-04-04 05:57:23", "", "103", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-Pink.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("129", "1", "2024-04-04 06:08:12", "2024-04-04 06:08:12", "", "Squier-Hello-Kitty-Stratocaster-Blue", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-blue", "", "", "2024-04-04 06:08:12", "2024-04-04 06:08:12", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-Blue.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("130", "1", "2024-04-04 06:08:13", "2024-04-04 06:08:13", "", "Squier-Hello-Kitty-Stratocaster-BlueSaturated", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-bluesaturated", "", "", "2024-04-04 06:08:13", "2024-04-04 06:08:13", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-BlueSaturated.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("131", "1", "2024-04-04 06:08:14", "2024-04-04 06:08:14", "", "Squier-Hello-Kitty-Stratocaster-Green", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-green", "", "", "2024-04-04 06:08:14", "2024-04-04 06:08:14", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-Green.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("132", "1", "2024-04-04 06:08:14", "2024-04-04 06:08:14", "", "Squier-Hello-Kitty-Stratocaster-PeachSaturated", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-peachsaturated", "", "", "2024-04-04 06:08:14", "2024-04-04 06:08:14", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-PeachSaturated.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("133", "1", "2024-04-04 06:08:15", "2024-04-04 06:08:15", "", "Squier-Hello-Kitty-Stratocaster-Pink", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-pink-2", "", "", "2024-04-04 06:08:15", "2024-04-04 06:08:15", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-Pink-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("134", "1", "2024-04-04 06:08:15", "2024-04-04 06:08:15", "", "Squier-Hello-Kitty-Stratocaster-Purple", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-purple", "", "", "2024-04-04 06:08:15", "2024-04-04 06:08:15", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-Purple.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2024-04-04 06:08:16", "2024-04-04 06:08:16", "", "Squier-Hello-Kitty-Stratocaster-Yellow", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-yellow", "", "", "2024-04-04 06:08:16", "2024-04-04 06:08:16", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-Yellow.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2024-04-04 06:08:16", "2024-04-04 06:08:16", "", "Squier-Hello-Kitty-Stratocaster-YellowSaturated", "", "inherit", "open", "closed", "", "squier-hello-kitty-stratocaster-yellowsaturated", "", "", "2024-04-04 06:08:16", "2024-04-04 06:08:16", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/Squier-Hello-Kitty-Stratocaster-YellowSaturated.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2024-04-04 06:18:37", "2024-04-04 06:18:37", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Burping Feathers", "", "publish", "open", "open", "", "burping-feathers", "", "", "2024-08-04 01:08:52", "2024-08-04 01:08:52", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=137", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2024-04-04 06:16:22", "2024-04-04 06:16:22", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Present For You: A Bird", "", "publish", "open", "open", "", "my-present-for-you", "", "", "2024-08-04 01:08:52", "2024-08-04 01:08:52", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=138", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2024-04-04 06:15:35", "2024-04-04 06:15:35", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Get the Mouse!", "", "publish", "open", "open", "", "get-the-mouse", "", "", "2024-08-04 01:08:52", "2024-08-04 01:08:52", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=139", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("140", "1", "2024-04-04 06:15:55", "2024-04-04 06:15:55", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Catnip High", "", "publish", "open", "open", "", "catnip-hight", "", "", "2024-07-30 17:33:52", "2024-07-30 17:33:52", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=140", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("141", "1", "2024-04-04 06:13:35", "2024-04-04 06:13:35", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "I Did Not Tear the Curtains", "", "publish", "open", "open", "", "did-not-tear-the-curtains", "", "", "2024-07-30 22:42:52", "2024-07-30 22:42:52", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=141", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2024-04-04 06:13:56", "2024-04-04 06:13:56", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Calico Polka", "", "publish", "open", "open", "", "calico-polka", "", "", "2024-07-30 22:43:20", "2024-07-30 22:43:20", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=142", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2024-04-04 06:14:21", "2024-04-04 06:14:21", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Punk-rock Persian", "", "publish", "open", "open", "", "persian-punk", "", "", "2024-07-30 22:44:06", "2024-07-30 22:44:06", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=143", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2024-04-04 06:14:57", "2024-04-04 06:14:57", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Tabby Trouble", "", "publish", "open", "open", "", "tabby-trouble", "", "", "2024-07-30 22:44:30", "2024-07-30 22:44:30", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=144", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2024-04-04 06:15:14", "2024-04-04 06:15:14", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Let\'s Sit in Boxes!", "", "publish", "open", "open", "", "sit-in-boxes", "", "", "2024-07-30 22:44:56", "2024-07-30 22:44:56", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=145", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2024-04-04 06:11:08", "2024-04-04 06:11:08", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Siamese Samba", "", "publish", "open", "open", "", "siamese-samba", "", "", "2024-07-30 22:41:40", "2024-07-30 22:41:40", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=146", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2024-04-04 06:13:06", "2024-04-04 06:13:06", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Tail Flick Tango", "", "publish", "open", "open", "", "tail-flick-tango", "", "", "2024-07-30 22:42:04", "2024-07-30 22:42:04", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=147", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2024-04-04 06:11:08", "2024-04-04 06:11:08", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Weissensee\" by Neu!", "", "inherit", "closed", "closed", "", "146-revision-v1", "", "", "2024-04-04 06:11:08", "2024-04-04 06:11:08", "", "146", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=148", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2024-04-04 06:11:47", "2024-04-04 06:11:47", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Trans Europa Express\" by Kraftwerk", "", "inherit", "closed", "closed", "", "146-revision-v1", "", "", "2024-04-04 06:11:47", "2024-04-04 06:11:47", "", "146", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=149", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2024-04-04 06:13:06", "2024-04-04 06:13:06", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Gomorrha\" by Popol Vuh", "", "inherit", "closed", "closed", "", "147-revision-v1", "", "", "2024-04-04 06:13:06", "2024-04-04 06:13:06", "", "147", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=150", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2024-04-04 06:13:35", "2024-04-04 06:13:35", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Mother Upduff\" by Guru Guru", "", "inherit", "closed", "closed", "", "141-revision-v1", "", "", "2024-04-04 06:13:35", "2024-04-04 06:13:35", "", "141", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=151", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2024-04-04 06:13:56", "2024-04-04 06:13:56", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Aguirre I (L\'acrime Di Rei)\" by Popol Vuh", "", "inherit", "closed", "closed", "", "142-revision-v1", "", "", "2024-04-04 06:13:56", "2024-04-04 06:13:56", "", "142", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=152", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2024-04-04 06:14:21", "2024-04-04 06:14:21", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Abra Cada Braxas\" by Amon Düül II", "", "inherit", "closed", "closed", "", "143-revision-v1", "", "", "2024-04-04 06:14:21", "2024-04-04 06:14:21", "", "143", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=153", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2024-04-04 06:14:57", "2024-04-04 06:14:57", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Mitternacht\" by Kraftwerk", "", "inherit", "closed", "closed", "", "144-revision-v1", "", "", "2024-04-04 06:14:57", "2024-04-04 06:14:57", "", "144", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=154", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2024-04-04 06:15:14", "2024-04-04 06:15:14", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Kometenmelodie 2\" by Kraftwerk", "", "inherit", "closed", "closed", "", "145-revision-v1", "", "", "2024-04-04 06:15:14", "2024-04-04 06:15:14", "", "145", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=155", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("156", "1", "2024-04-04 06:15:35", "2024-04-04 06:15:35", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Geiger Counter\" by Kraftwerk", "", "inherit", "closed", "closed", "", "139-revision-v1", "", "", "2024-04-04 06:15:35", "2024-04-04 06:15:35", "", "139", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=156", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("157", "1", "2024-04-04 06:15:55", "2024-04-04 06:15:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Morgenspaziergang\" by Kraftwerk", "", "inherit", "closed", "closed", "", "140-revision-v1", "", "", "2024-04-04 06:15:55", "2024-04-04 06:15:55", "", "140", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=157", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("158", "1", "2024-04-04 06:16:22", "2024-04-04 06:16:22", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Hollywood\" by Cluster &amp; Eno", "", "inherit", "closed", "closed", "", "138-revision-v1", "", "", "2024-04-04 06:16:22", "2024-04-04 06:16:22", "", "138", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=158", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("159", "1", "2024-04-04 06:18:37", "2024-04-04 06:18:37", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Death of Ivan Ilyich", "", "inherit", "closed", "closed", "", "137-revision-v1", "", "", "2024-04-04 06:18:37", "2024-04-04 06:18:37", "", "137", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=159", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "I Killed a Bird for You", "", "publish", "open", "open", "", "i-killed-a-bird-for-you", "", "", "2024-07-30 17:23:01", "2024-07-30 17:23:01", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=160", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Paws and Claws", "", "publish", "open", "open", "", "paws-and-claws", "", "", "2024-07-30 17:20:59", "2024-07-30 17:20:59", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=161", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Catnip Serenade", "", "publish", "open", "open", "", "catnip-serenade", "", "", "2024-07-30 17:22:02", "2024-07-30 17:22:02", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=162", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Velvet Paws", "", "publish", "open", "open", "", "velvet-paws", "", "", "2024-07-30 17:18:55", "2024-07-30 17:18:55", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=163", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Nap Time!", "", "publish", "open", "open", "", "nap-time", "", "", "2024-07-30 17:18:39", "2024-07-30 17:18:39", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=164", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Paws on the Piano", "", "publish", "open", "open", "", "paws-on-the-piano", "", "", "2024-07-30 17:18:22", "2024-07-30 17:18:22", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=165", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Meow at the Moon", "", "publish", "open", "open", "", "meow-at-the-moon", "", "", "2024-07-30 17:17:58", "2024-07-30 17:17:58", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=166", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Midnight Prowl", "", "publish", "open", "open", "", "midnight-prowl", "", "", "2024-07-30 17:17:43", "2024-07-30 17:17:43", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=167", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2024-04-04 06:25:20", "2024-04-04 06:25:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Meet You In The Alley", "", "publish", "open", "open", "", "meet-you-in-the-alley", "", "", "2024-07-30 17:17:19", "2024-07-30 17:17:19", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=168", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2024-04-04 06:27:28", "2024-04-04 06:27:28", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Where\'s My Tuna", "", "publish", "open", "open", "", "where-my-tuna", "", "", "2024-07-30 17:16:38", "2024-07-30 17:16:38", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=169", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2024-04-04 06:27:28", "2024-04-04 06:27:28", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Claws are Sharper Than Your Claws", "", "publish", "open", "open", "", "my-claws-are-sharper", "", "", "2024-07-30 17:16:21", "2024-07-30 17:16:21", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=170", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2024-04-04 06:27:28", "2024-04-04 06:27:28", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "I Do NOT Have a Catnip Problem", "", "publish", "open", "open", "", "i-do-not-have-a-catnip-problem", "", "", "2024-08-04 01:08:06", "2024-08-04 01:08:06", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=171", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("172", "1", "2024-04-04 06:20:38", "2024-04-04 06:20:38", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Devil in the Flesh", "", "inherit", "closed", "closed", "", "160-revision-v1", "", "", "2024-04-04 06:20:38", "2024-04-04 06:20:38", "", "160", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=172", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2024-04-04 06:20:54", "2024-04-04 06:20:54", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Good Soldier Švejk", "", "inherit", "closed", "closed", "", "161-revision-v1", "", "", "2024-04-04 06:20:54", "2024-04-04 06:20:54", "", "161", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=173", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("174", "1", "2024-04-04 06:21:20", "2024-04-04 06:21:20", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Life and Opinions of Tristram Shandy, Gentleman", "", "inherit", "closed", "closed", "", "162-revision-v1", "", "", "2024-04-04 06:21:20", "2024-04-04 06:21:20", "", "162", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=174", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2024-04-04 06:21:55", "2024-04-04 06:21:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Candide", "", "inherit", "closed", "closed", "", "163-revision-v1", "", "", "2024-04-04 06:21:55", "2024-04-04 06:21:55", "", "163", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=175", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2024-04-04 06:22:14", "2024-04-04 06:22:14", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "One Hundred Years of Solitude", "", "inherit", "closed", "closed", "", "164-revision-v1", "", "", "2024-04-04 06:22:14", "2024-04-04 06:22:14", "", "164", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=176", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2024-04-04 06:22:30", "2024-04-04 06:22:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Picture of Dorian Gray", "", "inherit", "closed", "closed", "", "165-revision-v1", "", "", "2024-04-04 06:22:30", "2024-04-04 06:22:30", "", "165", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=177", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2024-04-04 06:22:50", "2024-04-04 06:22:50", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Berlin Alexanderplatz", "", "inherit", "closed", "closed", "", "166-revision-v1", "", "", "2024-04-04 06:22:50", "2024-04-04 06:22:50", "", "166", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=178", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2024-04-04 06:23:06", "2024-04-04 06:23:06", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Death in Venice", "", "inherit", "closed", "closed", "", "167-revision-v1", "", "", "2024-04-04 06:23:06", "2024-04-04 06:23:06", "", "167", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=179", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2024-04-04 06:23:21", "2024-04-04 06:23:21", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "In Search of Lost Time", "", "inherit", "closed", "closed", "", "169-revision-v1", "", "", "2024-04-04 06:23:21", "2024-04-04 06:23:21", "", "169", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=180", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2024-04-04 06:23:36", "2024-04-04 06:23:36", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "If This Is a Man", "", "inherit", "closed", "closed", "", "168-revision-v1", "", "", "2024-04-04 06:23:36", "2024-04-04 06:23:36", "", "168", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=181", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2024-04-04 06:23:51", "2024-04-04 06:23:51", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "A Portrait of the Artist", "", "inherit", "closed", "closed", "", "171-revision-v1", "", "", "2024-04-04 06:23:51", "2024-04-04 06:23:51", "", "171", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=182", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("183", "1", "2024-04-04 06:26:06", "2024-04-04 06:26:06", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Wuthering Heights", "", "inherit", "closed", "closed", "", "170-revision-v1", "", "", "2024-04-04 06:26:06", "2024-04-04 06:26:06", "", "170", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=183", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2024-04-04 06:26:29", "2024-04-04 06:26:29", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Engineer of Human Souls", "", "inherit", "closed", "closed", "", "169-revision-v1", "", "", "2024-04-04 06:26:29", "2024-04-04 06:26:29", "", "169", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=184", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2024-04-04 06:27:08", "2024-04-04 06:27:08", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Master of Petersburg", "", "inherit", "closed", "closed", "", "160-revision-v1", "", "", "2024-04-04 06:27:08", "2024-04-04 06:27:08", "", "160", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=185", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2024-04-04 06:29:15", "2024-04-04 06:29:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Conversations with Friends", "", "inherit", "closed", "closed", "", "138-revision-v1", "", "", "2024-04-04 06:29:15", "2024-04-04 06:29:15", "", "138", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=186", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("187", "1", "2024-04-04 06:32:18", "2024-04-04 06:32:18", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Whereabouts of Eneas McNulty", "", "inherit", "closed", "closed", "", "137-revision-v1", "", "", "2024-04-04 06:32:18", "2024-04-04 06:32:18", "", "137", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=187", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("188", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Curious Whiskers", "", "publish", "open", "open", "", "curious-whiskers", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=188", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("189", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Scratch Your Eyes Out!", "", "publish", "open", "open", "", "scratch-your-eyes-out", "", "", "2024-08-04 01:08:06", "2024-08-04 01:08:06", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=189", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("190", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Scratching Post", "", "publish", "open", "open", "", "scratching-post", "", "", "2024-07-30 17:12:49", "2024-07-30 17:12:49", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=190", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2024-08-03 18:10:00", "2024-08-03 18:10:00", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Claws on the Sofa", "", "publish", "open", "open", "", "claws-on-the-sofa", "", "", "2024-08-04 01:14:12", "2024-08-04 01:14:12", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=191", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("192", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Hey Human!", "", "publish", "open", "open", "", "hey-human", "", "", "2024-07-30 17:11:53", "2024-07-30 17:11:53", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=192", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("193", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Even More Catnip", "", "publish", "open", "open", "", "even-more-catnip", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=193", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("194", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "More Catnip", "", "publish", "open", "open", "", "more-catnip", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=194", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("195", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Pawprints on my Heart", "", "publish", "open", "open", "", "pawprints-on-my-heart", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=195", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("196", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Dogs are No Fun", "", "publish", "open", "open", "", "dogs-are-no-fun", "", "", "2024-07-30 17:09:28", "2024-07-30 17:09:28", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=196", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("197", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat Power", "", "publish", "open", "open", "", "cat-power", "", "", "2024-07-30 17:09:05", "2024-07-30 17:09:05", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=197", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Minou", "", "publish", "open", "open", "", "minou", "", "", "2024-07-30 17:07:01", "2024-07-30 17:07:01", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=198", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("199", "1", "2024-08-03 06:41:48", "2024-08-03 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Neko Koneko", "", "publish", "open", "open", "", "neko-koneko", "", "", "2024-08-04 01:10:49", "2024-08-04 01:10:49", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=199", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("200", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Stray Cat Strut", "", "publish", "open", "open", "", "stray-cat-strut", "", "", "2024-07-30 17:05:16", "2024-07-30 17:05:16", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=200", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Neko, Neko", "", "publish", "open", "open", "", "neko-neko", "", "", "2024-07-30 17:04:38", "2024-07-30 17:04:38", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=201", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Here Kitty Kitty", "", "publish", "open", "open", "", "here-kitty-kitty", "", "", "2024-07-30 17:04:21", "2024-07-30 17:04:21", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=202", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("203", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "No Dogs, Please", "", "publish", "open", "open", "", "no-dogs-please", "", "", "2024-07-30 17:04:02", "2024-07-30 17:04:02", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=203", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Mean-Eyed Cat", "", "publish", "open", "open", "", "mean-eyed-cat", "", "", "2024-07-30 17:03:24", "2024-07-30 17:03:24", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=204", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat Walk", "", "publish", "open", "open", "", "cat-walk", "", "", "2024-07-30 17:02:57", "2024-07-30 17:02:57", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=205", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Furry Friend", "", "publish", "open", "open", "", "my-furry-friend", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=206", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("207", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Catnip Love", "", "publish", "open", "open", "", "catnip-love", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=207", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("208", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Nine Lives", "", "publish", "open", "open", "", "nine-lives", "", "", "2024-07-30 17:00:53", "2024-07-30 17:00:53", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=208", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("209", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Purrfect Harmony", "", "publish", "open", "open", "", "purrfect-harmony", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=209", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("210", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Meowsic To My Ears", "", "publish", "open", "open", "", "meowsic-to-my-ears", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=210", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat People", "", "publish", "open", "open", "", "cat-people", "", "", "2024-08-04 01:07:00", "2024-08-04 01:07:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=211", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("212", "1", "2024-04-04 06:33:28", "2024-04-04 06:33:28", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Butcher Boy", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2024-04-04 06:33:28", "2024-04-04 06:33:28", "", "188", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=212", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2024-04-04 06:33:55", "2024-04-04 06:33:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Country Girls Trilogy", "", "inherit", "closed", "closed", "", "189-revision-v1", "", "", "2024-04-04 06:33:55", "2024-04-04 06:33:55", "", "189", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=213", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("214", "1", "2024-04-04 06:34:18", "2024-04-04 06:34:18", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Little Red Chairs", "", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2024-04-04 06:34:18", "2024-04-04 06:34:18", "", "191", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=214", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2024-04-04 06:34:37", "2024-04-04 06:34:37", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Glorious Heresies", "", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2024-04-04 06:34:37", "2024-04-04 06:34:37", "", "192", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=215", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("216", "1", "2024-04-04 06:34:48", "2024-04-04 06:34:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Barrytown Trilogy", "", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2024-04-04 06:34:48", "2024-04-04 06:34:48", "", "193", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=216", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2024-04-04 06:35:04", "2024-04-04 06:35:04", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Gulliver\'s Travels", "", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2024-04-04 06:35:04", "2024-04-04 06:35:04", "", "195", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=217", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2024-04-04 06:35:18", "2024-04-04 06:35:18", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Lonely Sea and Sky", "", "inherit", "closed", "closed", "", "194-revision-v1", "", "", "2024-04-04 06:35:18", "2024-04-04 06:35:18", "", "194", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=218", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2024-04-04 06:36:06", "2024-04-04 06:36:06", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Dancers Dancin", "", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2024-04-04 06:36:06", "2024-04-04 06:36:06", "", "197", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=219", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("220", "1", "2024-04-04 06:36:22", "2024-04-04 06:36:22", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Borstal Boy", "", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2024-04-04 06:36:22", "2024-04-04 06:36:22", "", "199", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=220", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("221", "1", "2024-04-04 06:36:32", "2024-04-04 06:36:32", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Auld Triangle", "", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2024-04-04 06:36:32", "2024-04-04 06:36:32", "", "198", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=221", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2024-04-04 06:36:37", "2024-04-04 06:36:37", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Dancers Dancing", "", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2024-04-04 06:36:37", "2024-04-04 06:36:37", "", "197", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=222", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("223", "1", "2024-04-04 06:36:56", "2024-04-04 06:36:56", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Drums of Father Ned", "", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2024-04-04 06:36:56", "2024-04-04 06:36:56", "", "196", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=223", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2024-04-04 06:37:50", "2024-04-04 06:37:50", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Suspect Device", "", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2024-04-04 06:37:50", "2024-04-04 06:37:50", "", "211", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=224", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("225", "1", "2024-04-04 06:38:02", "2024-04-04 06:38:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Institutionalized", "", "inherit", "closed", "closed", "", "210-revision-v1", "", "", "2024-04-04 06:38:02", "2024-04-04 06:38:02", "", "210", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=225", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2024-04-04 06:38:18", "2024-04-04 06:38:18", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Holiday", "", "inherit", "closed", "closed", "", "209-revision-v1", "", "", "2024-04-04 06:38:18", "2024-04-04 06:38:18", "", "209", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=226", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("227", "1", "2024-04-04 06:38:25", "2024-04-04 06:38:25", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Basket Case", "", "inherit", "closed", "closed", "", "208-revision-v1", "", "", "2024-04-04 06:38:25", "2024-04-04 06:38:25", "", "208", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=227", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2024-04-04 06:38:47", "2024-04-04 06:38:47", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Something Better Change", "", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2024-04-04 06:38:47", "2024-04-04 06:38:47", "", "207", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=228", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("229", "1", "2024-04-04 06:39:00", "2024-04-04 06:39:00", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Personality Crisis", "", "inherit", "closed", "closed", "", "206-revision-v1", "", "", "2024-04-04 06:39:00", "2024-04-04 06:39:00", "", "206", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=229", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("230", "1", "2024-04-04 06:39:13", "2024-04-04 06:39:13", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Adidas", "", "inherit", "closed", "closed", "", "205-revision-v1", "", "", "2024-04-04 06:39:13", "2024-04-04 06:39:13", "", "205", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=230", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("231", "1", "2024-04-04 06:39:42", "2024-04-04 06:39:42", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Daft Punk Is Playing At My House", "", "inherit", "closed", "closed", "", "204-revision-v1", "", "", "2024-04-04 06:39:42", "2024-04-04 06:39:42", "", "204", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=231", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("232", "1", "2024-04-04 06:39:57", "2024-04-04 06:39:57", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Avant Gardener", "", "inherit", "closed", "closed", "", "203-revision-v1", "", "", "2024-04-04 06:39:57", "2024-04-04 06:39:57", "", "203", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=232", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2024-04-04 06:40:22", "2024-04-04 06:40:22", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Miki Dora", "", "inherit", "closed", "closed", "", "202-revision-v1", "", "", "2024-04-04 06:40:22", "2024-04-04 06:40:22", "", "202", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=233", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("234", "1", "2024-04-04 06:40:29", "2024-04-04 06:40:29", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Amaan Dunes", "", "inherit", "closed", "closed", "", "201-revision-v1", "", "", "2024-04-04 06:40:29", "2024-04-04 06:40:29", "", "201", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=234", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("235", "1", "2024-04-04 06:41:07", "2024-04-04 06:41:07", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Inca Roads", "", "inherit", "closed", "closed", "", "200-revision-v1", "", "", "2024-04-04 06:41:07", "2024-04-04 06:41:07", "", "200", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=235", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("236", "1", "2024-04-04 06:41:13", "2024-04-04 06:41:13", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Grand Wazoo", "", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2024-04-04 06:41:13", "2024-04-04 06:41:13", "", "199", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=236", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("237", "1", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "A Portrait of the Artist", "", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2024-04-04 06:41:48", "2024-04-04 06:41:48", "", "190", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=237", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2024-04-05 22:55:00", "2024-04-05 22:55:00", "", "HelloKittyStratocaster-Black", "", "inherit", "open", "closed", "", "hellokittystratocaster-black", "", "", "2024-04-05 22:55:00", "2024-04-05 22:55:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/HelloKittyStratocaster-Black.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:8:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:4:\"post\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"show_in_rest\";i:0;}", "Post Details", "post-details", "publish", "closed", "closed", "", "group_6610851ba3e46", "", "", "2024-04-05 23:49:02", "2024-04-05 23:49:02", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field-group&#038;p=240", "0", "acf-field-group", "", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:8:\"$249 USD\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Purchase Price", "purchase_price", "publish", "closed", "closed", "", "field_6610851ba68f9", "", "", "2024-04-05 23:39:28", "2024-04-05 23:39:28", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&#038;p=241", "0", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:4:\"Pink\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Color", "color", "publish", "closed", "closed", "", "field_6610859da68fa", "", "", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=242", "1", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:13:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:6:\"number\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";i:2006;s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:4:\"step\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Year of Purchase", "year_of_purchase", "publish", "closed", "closed", "", "field_661085bba68fb", "", "", "2024-04-05 23:43:44", "2024-04-05 23:43:44", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&#038;p=243", "2", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Modifications", "modifications", "publish", "closed", "closed", "", "field_661085ffa68fc", "", "", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=244", "3", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:5:\"10/10\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Rating", "rating", "publish", "closed", "closed", "", "field_66108618a68fd", "", "", "2024-04-05 23:20:14", "2024-04-05 23:20:14", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&#038;p=245", "4", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:14:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:6:\"select\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"choices\";a:4:{s:8:\"Hobbiest\";s:8:\"Hobbiest\";s:17:\"Semi-Professional\";s:17:\"Semi-Professional\";s:12:\"Professional\";s:12:\"Professional\";s:9:\"Rock Star\";s:9:\"Rock Star\";}s:13:\"default_value\";b:0;s:13:\"return_format\";s:5:\"value\";s:8:\"multiple\";i:0;s:10:\"allow_null\";i:0;s:2:\"ui\";i:0;s:4:\"ajax\";i:0;s:11:\"placeholder\";s:0:\"\";}", "Career Status", "career_status", "publish", "closed", "closed", "", "field_66108653a68fe", "", "", "2024-04-05 23:46:10", "2024-04-05 23:46:10", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&#038;p=246", "5", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("247", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Owner Name", "owner_name", "publish", "closed", "closed", "", "field_66108672a68ff", "", "", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&p=247", "6", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2024-04-05 23:18:06", "2024-04-05 23:18:06", "a:11:{s:10:\"aria-label\";s:0:\"\";s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:13:\"United States\";s:9:\"maxlength\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}", "Owner Country", "owner_country", "publish", "closed", "closed", "", "field_66108695a6900", "", "", "2024-04-05 23:43:44", "2024-04-05 23:43:44", "", "240", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=acf-field&#038;p=248", "7", "acf-field", "", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2024-04-05 23:41:32", "2024-04-05 23:41:32", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Butcher Boy", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2024-04-05 23:41:32", "2024-04-05 23:41:32", "", "188", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=249", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2024-04-05 23:47:01", "2024-04-05 23:47:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Butcher Boy", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2024-04-05 23:47:01", "2024-04-05 23:47:01", "", "188", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=250", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2024-04-05 23:47:55", "2024-04-05 23:47:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Butcher Boy", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2024-04-05 23:47:55", "2024-04-05 23:47:55", "", "188", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=251", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("252", "1", "2024-04-05 23:48:02", "2024-04-05 23:48:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Butcher Boy", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2024-04-05 23:48:02", "2024-04-05 23:48:02", "", "188", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=252", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("253", "1", "2024-04-05 23:49:41", "2024-04-05 23:49:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Institutionalized", "", "inherit", "closed", "closed", "", "210-revision-v1", "", "", "2024-04-05 23:49:41", "2024-04-05 23:49:41", "", "210", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=253", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("254", "1", "2024-04-05 23:50:02", "2024-04-05 23:50:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Institutionalized", "", "inherit", "closed", "closed", "", "210-revision-v1", "", "", "2024-04-05 23:50:02", "2024-04-05 23:50:02", "", "210", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=254", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("255", "1", "2024-04-05 23:50:50", "2024-04-05 23:50:50", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Holiday", "", "inherit", "closed", "closed", "", "209-revision-v1", "", "", "2024-04-05 23:50:50", "2024-04-05 23:50:50", "", "209", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=255", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("257", "1", "2024-04-05 23:51:57", "2024-04-05 23:51:57", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Basket Case", "", "inherit", "closed", "closed", "", "208-revision-v1", "", "", "2024-04-05 23:51:57", "2024-04-05 23:51:57", "", "208", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=257", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("259", "1", "2024-04-05 23:52:47", "2024-04-05 23:52:47", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Something Better Change", "", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2024-04-05 23:52:47", "2024-04-05 23:52:47", "", "207", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=259", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2024-04-05 23:53:47", "2024-04-05 23:53:47", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Personality Crisis", "", "inherit", "closed", "closed", "", "206-revision-v1", "", "", "2024-04-05 23:53:47", "2024-04-05 23:53:47", "", "206", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=261", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("262", "1", "2024-04-05 23:54:38", "2024-04-05 23:54:38", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Adidas", "", "inherit", "closed", "closed", "", "205-revision-v1", "", "", "2024-04-05 23:54:38", "2024-04-05 23:54:38", "", "205", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=262", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2024-04-05 23:55:28", "2024-04-05 23:55:28", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Daft Punk Is Playing At My House", "", "inherit", "closed", "closed", "", "204-revision-v1", "", "", "2024-04-05 23:55:28", "2024-04-05 23:55:28", "", "204", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=263", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2024-04-05 23:56:31", "2024-04-05 23:56:31", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Avant Gardener", "", "inherit", "closed", "closed", "", "203-revision-v1", "", "", "2024-04-05 23:56:31", "2024-04-05 23:56:31", "", "203", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=265", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2024-04-05 23:57:28", "2024-04-05 23:57:28", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Miki Dora", "", "inherit", "closed", "closed", "", "202-revision-v1", "", "", "2024-04-05 23:57:28", "2024-04-05 23:57:28", "", "202", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=266", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2024-04-05 23:58:28", "2024-04-05 23:58:28", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Amaan Dunes", "", "inherit", "closed", "closed", "", "201-revision-v1", "", "", "2024-04-05 23:58:28", "2024-04-05 23:58:28", "", "201", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=268", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2024-04-05 23:59:00", "2024-04-05 23:59:00", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Inca Roads", "", "inherit", "closed", "closed", "", "200-revision-v1", "", "", "2024-04-05 23:59:00", "2024-04-05 23:59:00", "", "200", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=269", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("271", "1", "2024-04-05 23:59:55", "2024-04-05 23:59:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Grand Wazoo", "", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2024-04-05 23:59:55", "2024-04-05 23:59:55", "", "199", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=271", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("272", "1", "2024-04-06 00:00:00", "2024-04-06 00:00:00", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Grand Wazoo", "", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2024-04-06 00:00:00", "2024-04-06 00:00:00", "", "199", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=272", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("273", "1", "2024-04-06 00:00:40", "2024-04-06 00:00:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Auld Triangle", "", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2024-04-06 00:00:40", "2024-04-06 00:00:40", "", "198", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=273", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("274", "1", "2024-04-06 00:17:45", "2024-04-06 00:17:45", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Auld Triangle", "", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2024-04-06 00:17:45", "2024-04-06 00:17:45", "", "198", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=274", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("276", "1", "2024-04-06 00:18:59", "2024-04-06 00:18:59", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Dancers Dancing", "", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2024-04-06 00:18:59", "2024-04-06 00:18:59", "", "197", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=276", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("278", "1", "2024-04-06 00:23:55", "2024-04-06 00:23:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Gulliver\'s Travels", "", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2024-04-06 00:23:55", "2024-04-06 00:23:55", "", "195", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=278", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("280", "1", "2024-04-06 00:24:44", "2024-04-06 00:24:44", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Lonely Sea and Sky", "", "inherit", "closed", "closed", "", "194-revision-v1", "", "", "2024-04-06 00:24:44", "2024-04-06 00:24:44", "", "194", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=280", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("281", "1", "2024-04-06 00:25:39", "2024-04-06 00:25:39", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Barrytown Trilogy", "", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2024-04-06 00:25:39", "2024-04-06 00:25:39", "", "193", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=281", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("282", "1", "2024-04-06 00:26:28", "2024-04-06 00:26:28", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Glorious Heresies", "", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2024-04-06 00:26:28", "2024-04-06 00:26:28", "", "192", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=282", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("283", "1", "2024-04-06 00:27:04", "2024-04-06 00:27:04", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Little Red Chairs", "", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2024-04-06 00:27:04", "2024-04-06 00:27:04", "", "191", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=283", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("284", "1", "2024-04-06 00:27:33", "2024-04-06 00:27:33", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Little Red Chairs", "", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2024-04-06 00:27:33", "2024-04-06 00:27:33", "", "191", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=284", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2024-04-06 00:35:04", "2024-04-06 00:35:04", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Finnegans Wake", "", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2024-04-06 00:35:04", "2024-04-06 00:35:04", "", "190", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=285", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("287", "1", "2024-04-06 00:36:59", "2024-04-06 00:36:59", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Finnegans Wake", "", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2024-04-06 00:36:59", "2024-04-06 00:36:59", "", "190", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=287", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("288", "1", "2024-04-06 00:38:24", "2024-04-06 00:38:24", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Country Girls Trilogy", "", "inherit", "closed", "closed", "", "189-revision-v1", "", "", "2024-04-06 00:38:24", "2024-04-06 00:38:24", "", "189", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=288", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("289", "1", "2024-04-06 00:38:55", "2024-04-06 00:38:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Suspect Device", "", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2024-04-06 00:38:55", "2024-04-06 00:38:55", "", "211", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=289", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("290", "1", "2024-04-06 00:51:02", "2024-04-06 00:51:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Suspect Device", "", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2024-04-06 00:51:02", "2024-04-06 00:51:02", "", "211", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=290", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("291", "1", "2024-04-06 00:51:44", "2024-04-06 00:51:44", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Wuthering Heights", "", "inherit", "closed", "closed", "", "170-revision-v1", "", "", "2024-04-06 00:51:44", "2024-04-06 00:51:44", "", "170", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=291", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("292", "1", "2024-04-06 00:52:18", "2024-04-06 00:52:18", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Engineer of Human Souls", "", "inherit", "closed", "closed", "", "169-revision-v1", "", "", "2024-04-06 00:52:18", "2024-04-06 00:52:18", "", "169", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=292", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("293", "1", "2024-04-06 00:52:26", "2024-04-06 00:52:26", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Engineer of Human Souls", "", "inherit", "closed", "closed", "", "169-revision-v1", "", "", "2024-04-06 00:52:26", "2024-04-06 00:52:26", "", "169", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=293", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("294", "1", "2024-04-06 00:52:46", "2024-04-06 00:52:46", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "If This Is a Man", "", "inherit", "closed", "closed", "", "168-revision-v1", "", "", "2024-04-06 00:52:46", "2024-04-06 00:52:46", "", "168", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=294", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("295", "1", "2024-04-06 00:53:01", "2024-04-06 00:53:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "If This Is a Man", "", "inherit", "closed", "closed", "", "168-revision-v1", "", "", "2024-04-06 00:53:01", "2024-04-06 00:53:01", "", "168", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=295", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("296", "1", "2024-04-06 00:53:11", "2024-04-06 00:53:11", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "If This Is a Man", "", "inherit", "closed", "closed", "", "168-revision-v1", "", "", "2024-04-06 00:53:11", "2024-04-06 00:53:11", "", "168", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=296", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2024-04-06 00:54:07", "2024-04-06 00:54:07", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Death in Venice", "", "inherit", "closed", "closed", "", "167-revision-v1", "", "", "2024-04-06 00:54:07", "2024-04-06 00:54:07", "", "167", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=297", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2024-04-06 00:54:48", "2024-04-06 00:54:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Berlin Alexanderplatz", "", "inherit", "closed", "closed", "", "166-revision-v1", "", "", "2024-04-06 00:54:48", "2024-04-06 00:54:48", "", "166", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=299", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2024-04-06 01:04:35", "2024-04-06 01:04:35", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Picture of Dorian Gray", "", "inherit", "closed", "closed", "", "165-revision-v1", "", "", "2024-04-06 01:04:35", "2024-04-06 01:04:35", "", "165", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=301", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2024-04-06 01:05:05", "2024-04-06 01:05:05", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "One Hundred Years of Solitude", "", "inherit", "closed", "closed", "", "164-revision-v1", "", "", "2024-04-06 01:05:05", "2024-04-06 01:05:05", "", "164", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=303", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2024-04-06 01:05:23", "2024-04-06 01:05:23", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "One Hundred Years of Solitude", "", "inherit", "closed", "closed", "", "164-revision-v1", "", "", "2024-04-06 01:05:23", "2024-04-06 01:05:23", "", "164", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=304", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2024-04-06 01:07:50", "2024-04-06 01:07:50", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Candide", "", "inherit", "closed", "closed", "", "163-revision-v1", "", "", "2024-04-06 01:07:50", "2024-04-06 01:07:50", "", "163", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=306", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2024-04-06 01:09:31", "2024-04-06 01:09:31", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Life and Opinions of Tristram Shandy, Gentleman", "", "inherit", "closed", "closed", "", "162-revision-v1", "", "", "2024-04-06 01:09:31", "2024-04-06 01:09:31", "", "162", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=307", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("308", "1", "2024-04-06 01:10:03", "2024-04-06 01:10:03", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Good Soldier Švejk", "", "inherit", "closed", "closed", "", "161-revision-v1", "", "", "2024-04-06 01:10:03", "2024-04-06 01:10:03", "", "161", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=308", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2024-04-06 01:10:36", "2024-04-06 01:10:36", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Master of Petersburg", "", "inherit", "closed", "closed", "", "160-revision-v1", "", "", "2024-04-06 01:10:36", "2024-04-06 01:10:36", "", "160", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=309", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("310", "1", "2024-04-06 01:21:26", "2024-04-06 01:21:26", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Gomorrha\" by Popol Vuh", "", "inherit", "closed", "closed", "", "147-revision-v1", "", "", "2024-04-06 01:21:26", "2024-04-06 01:21:26", "", "147", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=310", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("311", "1", "2024-04-06 01:22:15", "2024-04-06 01:22:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Whereabouts of Eneas McNulty", "", "inherit", "closed", "closed", "", "137-revision-v1", "", "", "2024-04-06 01:22:15", "2024-04-06 01:22:15", "", "137", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=311", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2024-04-06 01:22:53", "2024-04-06 01:22:53", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Conversations with Friends", "", "inherit", "closed", "closed", "", "138-revision-v1", "", "", "2024-04-06 01:22:53", "2024-04-06 01:22:53", "", "138", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=313", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("314", "1", "2024-04-06 01:23:38", "2024-04-06 01:23:38", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Morgenspaziergang\" by Kraftwerk", "", "inherit", "closed", "closed", "", "140-revision-v1", "", "", "2024-04-06 01:23:38", "2024-04-06 01:23:38", "", "140", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=314", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("316", "1", "2024-04-06 01:35:21", "2024-04-06 01:35:21", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Geiger Counter\" by Kraftwerk", "", "inherit", "closed", "closed", "", "139-revision-v1", "", "", "2024-04-06 01:35:21", "2024-04-06 01:35:21", "", "139", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=316", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("317", "1", "2024-04-06 01:35:37", "2024-04-06 01:35:37", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Geiger Counter\" by Kraftwerk", "", "inherit", "closed", "closed", "", "139-revision-v1", "", "", "2024-04-06 01:35:37", "2024-04-06 01:35:37", "", "139", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=317", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2024-04-06 01:36:16", "2024-04-06 01:36:16", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Kometenmelodie 2\" by Kraftwerk", "", "inherit", "closed", "closed", "", "145-revision-v1", "", "", "2024-04-06 01:36:16", "2024-04-06 01:36:16", "", "145", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=318", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("320", "1", "2024-04-06 01:37:33", "2024-04-06 01:37:33", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Mitternacht\" by Kraftwerk", "", "inherit", "closed", "closed", "", "144-revision-v1", "", "", "2024-04-06 01:37:33", "2024-04-06 01:37:33", "", "144", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=320", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("321", "1", "2024-04-06 01:38:05", "2024-04-06 01:38:05", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Abra Cada Braxas\" by Amon Düül II", "", "inherit", "closed", "closed", "", "143-revision-v1", "", "", "2024-04-06 01:38:05", "2024-04-06 01:38:05", "", "143", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=321", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("323", "1", "2024-04-06 01:38:51", "2024-04-06 01:38:51", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Aguirre I (L\'acrime Di Rei)\" by Popol Vuh", "", "inherit", "closed", "closed", "", "142-revision-v1", "", "", "2024-04-06 01:38:51", "2024-04-06 01:38:51", "", "142", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=323", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("324", "1", "2024-04-06 01:39:40", "2024-04-06 01:39:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Mother Upduff\" by Guru Guru", "", "inherit", "closed", "closed", "", "141-revision-v1", "", "", "2024-04-06 01:39:40", "2024-04-06 01:39:40", "", "141", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=324", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2024-04-06 01:40:13", "2024-04-06 01:40:13", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Trans Europa Express\" by Kraftwerk", "", "inherit", "closed", "closed", "", "146-revision-v1", "", "", "2024-04-06 01:40:13", "2024-04-06 01:40:13", "", "146", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=325", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2024-04-06 01:40:52", "2024-04-06 01:40:52", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Weissensee\" by Neu!", "", "inherit", "closed", "closed", "", "103-revision-v1", "", "", "2024-04-06 01:40:52", "2024-04-06 01:40:52", "", "103", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=327", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("329", "1", "2024-04-06 15:20:56", "2024-04-06 15:20:56", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-guitarkitty", "", "", "2024-07-30 22:52:29", "2024-07-30 22:52:29", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/wp-global-styles-guitarkitty/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2024-04-06 15:26:37", "2024-04-06 15:26:37", "{\"styles\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|poppins\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|bebas-neue\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:26:37", "2024-04-06 15:26:37", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=330", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("331", "1", "2024-04-06 15:27:49", "2024-04-06 15:27:49", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--bebas-neue)\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|custom-deep-pink\"}},\"typography\":{\"textDecoration\":\"none\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:27:49", "2024-04-06 15:27:49", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=331", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("332", "1", "2024-04-06 15:29:28", "2024-04-06 15:29:28", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--bebas-neue)\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:29:28", "2024-04-06 15:29:28", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=332", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2024-04-06 15:37:23", "2024-04-06 15:37:23", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|abril-fatface\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:37:23", "2024-04-06 15:37:23", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=333", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("334", "1", "2024-04-06 15:41:58", "2024-04-06 15:41:58", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|imbue\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:41:58", "2024-04-06 15:41:58", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=334", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2024-04-06 15:50:37", "2024-04-06 15:50:37", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--abril-fatface)\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var:preset|font-family|abril-fatface\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:50:37", "2024-04-06 15:50:37", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=335", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2024-04-06 15:51:24", "2024-04-06 15:51:24", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--abril-fatface)\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var:preset|font-family|pacifico\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:51:24", "2024-04-06 15:51:24", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=336", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("340", "1", "2024-04-06 15:56:01", "2024-04-06 15:56:01", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--abril-fatface)\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|pacifico\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:56:01", "2024-04-06 15:56:01", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=340", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("341", "1", "2024-04-06 15:56:34", "2024-04-06 15:56:34", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--abril-fatface)\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|poppins\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:56:34", "2024-04-06 15:56:34", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=341", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("342", "1", "2024-04-06 15:57:14", "2024-04-06 15:57:14", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|poppins\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 15:57:14", "2024-04-06 15:57:14", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=342", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2024-04-06 16:09:21", "2024-04-06 16:09:21", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var:preset|color|custom-hotpink\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 16:09:21", "2024-04-06 16:09:21", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=348", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2024-04-06 16:10:46", "2024-04-06 16:10:46", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var:preset|color|custom-pastel-blue\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"},{\"color\":\"#b6cef0\",\"name\":\"Pastel Blue\",\"slug\":\"custom-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 16:10:46", "2024-04-06 16:10:46", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=349", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("350", "1", "2024-04-06 16:11:17", "2024-04-06 16:11:17", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var:preset|color|custom-pastel-blue\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"},{\"color\":\"#6d9de0\",\"name\":\"Pastel Blue\",\"slug\":\"custom-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 16:11:17", "2024-04-06 16:11:17", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=350", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("383", "1", "2024-04-06 19:25:47", "2024-04-06 19:25:47", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|poppins\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Mnusell\",\"slug\":\"custom-blue-mnusell\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 19:25:47", "2024-04-06 19:25:47", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=383", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("390", "1", "2024-04-06 19:35:03", "2024-04-06 19:35:03", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|poppins\"}},\"link\":{\"color\":{\"text\":\"#f29763\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-deep-pink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#b5d8e7\",\"name\":\"Light Pastel Blue\",\"slug\":\"custom-light-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 19:35:03", "2024-04-06 19:35:03", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=390", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("391", "1", "2024-04-06 19:35:33", "2024-04-06 19:35:33", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var:preset|color|custom-light-pastel-blue\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|custom-hotpink\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#b5d8e7\",\"name\":\"Light Pastel Blue\",\"slug\":\"custom-light-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 19:35:33", "2024-04-06 19:35:33", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=391", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("392", "1", "2024-04-06 19:35:55", "2024-04-06 19:35:55", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var:preset|color|custom-light-pastel-blue\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|custom-hotpink\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Light Pastel Blue\",\"slug\":\"custom-light-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 19:35:55", "2024-04-06 19:35:55", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=392", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("393", "1", "2024-04-06 19:36:23", "2024-04-06 19:36:23", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var:preset|color|custom-light-pastel-blue\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|custom-hotpink\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 19:36:23", "2024-04-06 19:36:23", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=393", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2024-04-06 20:53:44", "2024-04-06 20:53:44", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var:preset|color|custom-medium-pastel-blue\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}}},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-06 20:53:44", "2024-04-06 20:53:44", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=401", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2024-04-12 19:36:45", "2024-04-12 19:36:45", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 2rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\nfont-size: 1rem\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 19:36:45", "2024-04-12 19:36:45", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=409", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("410", "1", "2024-04-12 19:37:24", "2024-04-12 19:37:24", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\nfont-size: 1rem\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 19:37:24", "2024-04-12 19:37:24", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=410", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("411", "1", "2024-04-12 19:38:59", "2024-04-12 19:38:59", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\n\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\nfont-size: 1rem\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 19:38:59", "2024-04-12 19:38:59", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=411", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2024-04-12 19:39:27", "2024-04-12 19:39:27", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 19:39:27", "2024-04-12 19:39:27", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=412", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("420", "1", "2024-07-27 22:17:28", "2024-07-27 22:17:28", "<!-- wp:paragraph -->\n<p>The popular Deep \"C\" neck now sports smooth rolled fingerboard edges, a \"Super-Natural\" satin finish and a newly sculpted neck heel for a supremely comfortable feel and easy access to the upper register. New V-Mod II Jazzmaster single-coil pickups are more articulate than ever while delivering the sparkle and chime the Jazzmaster is known for. The bridge pickup has a tap function that allows both a powerful, throaty sound or a lower-output vintage sound. At the flip of a switch, the rhythm circuit puts both pickups in series for a thicker tone with increased output, controlled by independent volume and tone roller pots. The new Panorama™ Tremolo system with pop-in tremolo arm dramatically increases the range of vibrato available, allowing for deep, Strat-style dives, in addition to classic Jazzmaster warble.</p>\n<!-- /wp:paragraph -->", "Fender Jazzmaster: American Professional II (Mercury)", "The American Professional II Jazzmaster® draws from more than sixty years of innovation, inspiration and evolution to meet the demands of today\'s working player.", "inherit", "closed", "closed", "", "98-autosave-v1", "", "", "2024-07-27 22:17:28", "2024-07-27 22:17:28", "", "98", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=420", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("421", "1", "2024-04-12 22:17:46", "2024-04-12 22:17:46", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\n@media screen and (max-width: 600px) {\\nh1.site-title {\\n   font-size: 2rem\\n}\\n\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 22:17:46", "2024-04-12 22:17:46", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=421", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("422", "1", "2024-04-12 22:18:09", "2024-04-12 22:18:09", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\n@media screen and (max-width: 600px) {\\nh1.site-title {\\n   font-size: 2rem;\\n}\\n\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 22:18:09", "2024-04-12 22:18:09", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=422", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("423", "1", "2024-04-12 22:18:19", "2024-04-12 22:18:19", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\n@media screen and (max-width: 800px) {\\nh1.site-title {\\n   font-size: 2rem;\\n}\\n\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 22:18:19", "2024-04-12 22:18:19", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=423", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2024-04-12 22:18:30", "2024-04-12 22:18:30", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\n@media screen and (max-width: 800px) {\\nh1.site-title {\\n   font-size: 2rem;\\ncolor: red;\\n}\\n\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 22:18:30", "2024-04-12 22:18:30", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=424", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("425", "1", "2024-04-12 22:19:09", "2024-04-12 22:19:09", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\n@media screen and (max-width: 800px) {\\nh1 {\\n   font-size: 2rem;\\ncolor: red;\\n}\\n\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 22:19:09", "2024-04-12 22:19:09", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=425", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("426", "1", "2024-04-12 22:19:52", "2024-04-12 22:19:52", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\",\"lineHeight\":1.6},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}},\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-medium-pastel-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--custom-hotpink)\"}},\"typography\":{\"textDecoration\":\"none\"}},\"h1\":{\"typography\":{\"fontSize\":\"100px\",\"fontFamily\":\"var(--wp--preset--font-family--pacifico)\",\"textTransform\":\"lowercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"}},\"h2\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--poppins)\"}}},\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\nh1 {\\ntransition: font-size .5s;\\n}\\n\\n@media screen and (max-width: 800px) {\\nh1 {\\n   font-size: 2rem;\\ncolor: red;\\n}\\n\\n}\"},\"settings\":{\"color\":{\"palette\":{\"custom\":[{\"color\":\"#ff1492\",\"name\":\"DeepPink\",\"slug\":\"custom-deep-pink\"},{\"color\":\"#f68bc0\",\"name\":\"Hotpink\",\"slug\":\"custom-hotpink\"},{\"color\":\"#f39c6b\",\"name\":\"Atomic Tangeine\",\"slug\":\"custom-atomic-tangeine\"},{\"color\":\"#30362f\",\"name\":\"Black Olive\",\"slug\":\"custom-black-olive\"},{\"color\":\"#62929e\",\"name\":\"Blue Munsell\",\"slug\":\"custom-blue-munsell\"},{\"color\":\"#7cbad4\",\"name\":\"Medium Pastel Blue\",\"slug\":\"custom-medium-pastel-blue\"}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-12 22:19:52", "2024-04-12 22:19:52", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=426", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("427", "1", "2024-04-13 15:29:00", "2024-04-13 15:29:00", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-04-13 15:29:00", "2024-04-13 15:29:00", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=427", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("433", "1", "2024-07-24 18:35:30", "2024-07-24 18:35:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Morgenspaziergang\" by Kraftwerk", "", "inherit", "closed", "closed", "", "140-revision-v1", "", "", "2024-07-24 18:35:30", "2024-07-24 18:35:30", "", "140", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=433", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("450", "1", "2024-07-24 19:12:16", "2024-07-24 19:12:16", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-07-24 19:12:16", "2024-07-24 19:12:16", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=450", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("454", "1", "2024-07-24 19:20:41", "2024-07-24 19:20:41", "{\"styles\":{\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|bebas-neue\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-07-24 19:20:41", "2024-07-24 19:20:41", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=454", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("455", "1", "2024-07-24 19:22:04", "2024-07-24 19:22:04", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-07-24 19:22:04", "2024-07-24 19:22:04", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=455", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("470", "1", "2024-07-24 20:20:00", "2024-07-24 20:20:00", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Drums of Father Ned", "", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2024-07-24 20:20:00", "2024-07-24 20:20:00", "", "196", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=470", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("477", "1", "2024-07-24 20:28:52", "2024-07-24 20:28:52", "{\"styles\":[],\"settings\":{\"layout\":{\"contentSize\":\"720px\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-07-24 20:28:52", "2024-07-24 20:28:52", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=477", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("482", "1", "2024-07-24 20:37:54", "2024-07-24 20:37:54", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Butcher Boy", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2024-07-24 20:37:54", "2024-07-24 20:37:54", "", "188", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=482", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("483", "1", "2024-07-24 20:37:58", "2024-07-24 20:37:58", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Institutionalized", "", "inherit", "closed", "closed", "", "210-revision-v1", "", "", "2024-07-24 20:37:58", "2024-07-24 20:37:58", "", "210", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=483", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("484", "1", "2024-07-24 20:38:06", "2024-07-24 20:38:06", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Holiday", "", "inherit", "closed", "closed", "", "209-revision-v1", "", "", "2024-07-24 20:38:06", "2024-07-24 20:38:06", "", "209", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=484", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("485", "1", "2024-07-24 20:38:12", "2024-07-24 20:38:12", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Basket Case", "", "inherit", "closed", "closed", "", "208-revision-v1", "", "", "2024-07-24 20:38:12", "2024-07-24 20:38:12", "", "208", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=485", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("486", "1", "2024-07-24 20:38:19", "2024-07-24 20:38:19", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Something Better Change", "", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2024-07-24 20:38:19", "2024-07-24 20:38:19", "", "207", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=486", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("487", "1", "2024-07-24 20:38:26", "2024-07-24 20:38:26", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Personality Crisis", "", "inherit", "closed", "closed", "", "206-revision-v1", "", "", "2024-07-24 20:38:26", "2024-07-24 20:38:26", "", "206", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=487", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("488", "1", "2024-07-24 20:38:31", "2024-07-24 20:38:31", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Adidas", "", "inherit", "closed", "closed", "", "205-revision-v1", "", "", "2024-07-24 20:38:31", "2024-07-24 20:38:31", "", "205", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=488", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("489", "1", "2024-07-24 20:38:42", "2024-07-24 20:38:42", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Daft Punk Is Playing At My House", "", "inherit", "closed", "closed", "", "204-revision-v1", "", "", "2024-07-24 20:38:42", "2024-07-24 20:38:42", "", "204", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=489", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("490", "1", "2024-07-24 20:38:48", "2024-07-24 20:38:48", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Avant Gardener", "", "inherit", "closed", "closed", "", "203-revision-v1", "", "", "2024-07-24 20:38:48", "2024-07-24 20:38:48", "", "203", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=490", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("491", "1", "2024-07-24 20:38:54", "2024-07-24 20:38:54", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Miki Dora", "", "inherit", "closed", "closed", "", "202-revision-v1", "", "", "2024-07-24 20:38:54", "2024-07-24 20:38:54", "", "202", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=491", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("492", "1", "2024-07-24 20:38:59", "2024-07-24 20:38:59", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Amaan Dunes", "", "inherit", "closed", "closed", "", "201-revision-v1", "", "", "2024-07-24 20:38:59", "2024-07-24 20:38:59", "", "201", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=492", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("493", "1", "2024-07-24 20:39:04", "2024-07-24 20:39:04", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Inca Roads", "", "inherit", "closed", "closed", "", "200-revision-v1", "", "", "2024-07-24 20:39:04", "2024-07-24 20:39:04", "", "200", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=493", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("494", "1", "2024-07-24 20:39:08", "2024-07-24 20:39:08", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Grand Wazoo", "", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2024-07-24 20:39:08", "2024-07-24 20:39:08", "", "199", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=494", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("495", "1", "2024-07-24 20:39:13", "2024-07-24 20:39:13", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Auld Triangle", "", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2024-07-24 20:39:13", "2024-07-24 20:39:13", "", "198", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=495", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("496", "1", "2024-07-24 20:39:22", "2024-07-24 20:39:22", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Dancers Dancing", "", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2024-07-24 20:39:22", "2024-07-24 20:39:22", "", "197", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=496", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("497", "1", "2024-07-24 20:39:32", "2024-07-24 20:39:32", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Drums of Father Ned", "", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2024-07-24 20:39:32", "2024-07-24 20:39:32", "", "196", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=497", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("498", "1", "2024-07-24 20:39:37", "2024-07-24 20:39:37", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Gulliver\'s Travels", "", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2024-07-24 20:39:37", "2024-07-24 20:39:37", "", "195", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=498", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("499", "1", "2024-07-24 20:39:47", "2024-07-24 20:39:47", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Lonely Sea and Sky", "", "inherit", "closed", "closed", "", "194-revision-v1", "", "", "2024-07-24 20:39:47", "2024-07-24 20:39:47", "", "194", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=499", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("500", "1", "2024-07-24 20:39:54", "2024-07-24 20:39:54", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Barrytown Trilogy", "", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2024-07-24 20:39:54", "2024-07-24 20:39:54", "", "193", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=500", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("501", "1", "2024-07-24 20:40:03", "2024-07-24 20:40:03", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Little Red Chairs", "", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2024-07-24 20:40:03", "2024-07-24 20:40:03", "", "191", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=501", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("502", "1", "2024-07-24 20:40:09", "2024-07-24 20:40:09", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Finnegans Wake", "", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2024-07-24 20:40:09", "2024-07-24 20:40:09", "", "190", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=502", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("503", "1", "2024-07-24 20:40:16", "2024-07-24 20:40:16", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Country Girls Trilogy", "", "inherit", "closed", "closed", "", "189-revision-v1", "", "", "2024-07-24 20:40:16", "2024-07-24 20:40:16", "", "189", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=503", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("504", "1", "2024-07-24 20:40:24", "2024-07-24 20:40:24", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Suspect Device", "", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2024-07-24 20:40:24", "2024-07-24 20:40:24", "", "211", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=504", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("505", "1", "2024-07-24 20:40:30", "2024-07-24 20:40:30", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "A Portrait of the Artist", "", "inherit", "closed", "closed", "", "171-revision-v1", "", "", "2024-07-24 20:40:30", "2024-07-24 20:40:30", "", "171", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=505", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("506", "1", "2024-07-24 20:40:40", "2024-07-24 20:40:40", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Wuthering Heights", "", "inherit", "closed", "closed", "", "170-revision-v1", "", "", "2024-07-24 20:40:40", "2024-07-24 20:40:40", "", "170", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=506", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("507", "1", "2024-07-24 20:40:47", "2024-07-24 20:40:47", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Engineer of Human Souls", "", "inherit", "closed", "closed", "", "169-revision-v1", "", "", "2024-07-24 20:40:47", "2024-07-24 20:40:47", "", "169", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=507", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("508", "1", "2024-07-24 20:40:55", "2024-07-24 20:40:55", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "If This Is a Man", "", "inherit", "closed", "closed", "", "168-revision-v1", "", "", "2024-07-24 20:40:55", "2024-07-24 20:40:55", "", "168", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=508", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("509", "1", "2024-07-24 20:41:00", "2024-07-24 20:41:00", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Death in Venice", "", "inherit", "closed", "closed", "", "167-revision-v1", "", "", "2024-07-24 20:41:00", "2024-07-24 20:41:00", "", "167", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=509", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("510", "1", "2024-07-24 20:41:11", "2024-07-24 20:41:11", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Berlin Alexanderplatz", "", "inherit", "closed", "closed", "", "166-revision-v1", "", "", "2024-07-24 20:41:11", "2024-07-24 20:41:11", "", "166", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=510", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("512", "1", "2024-07-24 20:41:19", "2024-07-24 20:41:19", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Picture of Dorian Gray", "", "inherit", "closed", "closed", "", "165-revision-v1", "", "", "2024-07-24 20:41:19", "2024-07-24 20:41:19", "", "165", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=512", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("513", "1", "2024-07-24 20:41:26", "2024-07-24 20:41:26", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "One Hundred Years of Solitude", "", "inherit", "closed", "closed", "", "164-revision-v1", "", "", "2024-07-24 20:41:26", "2024-07-24 20:41:26", "", "164", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=513", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("514", "1", "2024-07-24 20:41:35", "2024-07-24 20:41:35", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Candide", "", "inherit", "closed", "closed", "", "163-revision-v1", "", "", "2024-07-24 20:41:35", "2024-07-24 20:41:35", "", "163", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=514", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("515", "1", "2024-07-24 20:41:47", "2024-07-24 20:41:47", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Life and Opinions of Tristram Shandy, Gentleman", "", "inherit", "closed", "closed", "", "162-revision-v1", "", "", "2024-07-24 20:41:47", "2024-07-24 20:41:47", "", "162", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=515", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("516", "1", "2024-07-24 20:41:55", "2024-07-24 20:41:55", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Good Soldier Švejk", "", "inherit", "closed", "closed", "", "161-revision-v1", "", "", "2024-07-24 20:41:55", "2024-07-24 20:41:55", "", "161", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=516", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("517", "1", "2024-07-24 20:42:01", "2024-07-24 20:42:01", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Master of Petersburg", "", "inherit", "closed", "closed", "", "160-revision-v1", "", "", "2024-07-24 20:42:01", "2024-07-24 20:42:01", "", "160", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=517", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("518", "1", "2024-07-24 20:42:08", "2024-07-24 20:42:08", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Whereabouts of Eneas McNulty", "", "inherit", "closed", "closed", "", "137-revision-v1", "", "", "2024-07-24 20:42:08", "2024-07-24 20:42:08", "", "137", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=518", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("519", "1", "2024-07-24 20:42:14", "2024-07-24 20:42:14", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Conversations with Friends", "", "inherit", "closed", "closed", "", "138-revision-v1", "", "", "2024-07-24 20:42:14", "2024-07-24 20:42:14", "", "138", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=519", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("520", "1", "2024-07-24 20:42:19", "2024-07-24 20:42:19", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Morgenspaziergang\" by Kraftwerk", "", "inherit", "closed", "closed", "", "140-revision-v1", "", "", "2024-07-24 20:42:19", "2024-07-24 20:42:19", "", "140", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=520", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("521", "1", "2024-07-24 20:42:25", "2024-07-24 20:42:25", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Geiger Counter\" by Kraftwerk", "", "inherit", "closed", "closed", "", "139-revision-v1", "", "", "2024-07-24 20:42:25", "2024-07-24 20:42:25", "", "139", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=521", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("522", "1", "2024-07-24 20:42:31", "2024-07-24 20:42:31", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Kometenmelodie 2\" by Kraftwerk", "", "inherit", "closed", "closed", "", "145-revision-v1", "", "", "2024-07-24 20:42:31", "2024-07-24 20:42:31", "", "145", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=522", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("523", "1", "2024-07-24 20:42:39", "2024-07-24 20:42:39", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Mitternacht\" by Kraftwerk", "", "inherit", "closed", "closed", "", "144-revision-v1", "", "", "2024-07-24 20:42:39", "2024-07-24 20:42:39", "", "144", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=523", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("524", "1", "2024-07-24 20:42:46", "2024-07-24 20:42:46", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Abra Cada Braxas\" by Amon Düül II", "", "inherit", "closed", "closed", "", "143-revision-v1", "", "", "2024-07-24 20:42:46", "2024-07-24 20:42:46", "", "143", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=524", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("525", "1", "2024-07-24 20:42:53", "2024-07-24 20:42:53", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Aguirre I (L\'acrime Di Rei)\" by Popol Vuh", "", "inherit", "closed", "closed", "", "142-revision-v1", "", "", "2024-07-24 20:42:53", "2024-07-24 20:42:53", "", "142", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=525", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("526", "1", "2024-07-24 20:42:59", "2024-07-24 20:42:59", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Mother Upduff\" by Guru Guru", "", "inherit", "closed", "closed", "", "141-revision-v1", "", "", "2024-07-24 20:42:59", "2024-07-24 20:42:59", "", "141", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=526", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("527", "1", "2024-07-24 20:43:09", "2024-07-24 20:43:09", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Gomorrha\" by Popol Vuh", "", "inherit", "closed", "closed", "", "147-revision-v1", "", "", "2024-07-24 20:43:09", "2024-07-24 20:43:09", "", "147", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=527", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("528", "1", "2024-07-24 20:43:14", "2024-07-24 20:43:14", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Trans Europa Express\" by Kraftwerk", "", "inherit", "closed", "closed", "", "146-revision-v1", "", "", "2024-07-24 20:43:14", "2024-07-24 20:43:14", "", "146", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=528", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("529", "1", "2024-07-24 20:43:19", "2024-07-24 20:43:19", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "\"Weissensee\" by Neu!", "", "inherit", "closed", "closed", "", "103-revision-v1", "", "", "2024-07-24 20:43:19", "2024-07-24 20:43:19", "", "103", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=529", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("534", "1", "2024-07-24 22:21:04", "2024-07-24 22:21:04", "", "kitty-transparent-white-2", "", "inherit", "open", "closed", "", "kitty-transparent-white-2", "", "", "2024-07-24 22:21:04", "2024-07-24 22:21:04", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/kitty-transparent-white-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("541", "1", "2024-07-25 00:11:05", "2024-07-25 00:11:05", "{\"styles\":{\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\nh1 {\\ntransition: font-size .5s;\\n}\\n\\n@media screen and (max-width: 800px) {\\nh1 {\\n   font-size: 2rem;\\ncolor: red;\\n}\\n\\n}\\n\\n\\n\\n\\n\\n\\nimg.wp-block-cover__image-background.wp-post-image {\\n    width: unset;\\n    right: unset;\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-07-25 00:11:05", "2024-07-25 00:11:05", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=541", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("545", "1", "2024-07-25 00:15:08", "2024-07-25 00:15:08", "{\"styles\":{\"css\":\"\\n.wp-block-kadence-iconlist {\\nmargin-left: 1rem;\\n}\\n\\nli.wp-block-kadence-listitem {\\nfont-size: x-small;\\n}\\n\\n\\nsummary::marker {\\n color: black;\\nfont-size: 1rem\\n}\\n\\nsummary {\\n  text-transform: uppercase;\\nletter-spacing: 1px;\\n\\n}\\n\\nh1 {\\ntransition: font-size .5s;\\n}\\n\\n@media screen and (max-width: 800px) {\\nh1 {\\n   font-size: 2rem;\\ncolor: red;\\n}\\n\\n}\\n\\n\\n\\n\\n\\n@media screen and (max-width:800px) {\\nimg.wp-block-cover__image-background.wp-post-image {\\n    width: unset;\\n    right: unset;\\n}\\n}\\n\\n\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-07-25 00:15:08", "2024-07-25 00:15:08", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=545", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("551", "1", "2024-07-25 02:55:44", "2024-07-25 02:55:44", "", "kitty-transparent-black", "", "inherit", "open", "closed", "", "kitty-transparent-black", "", "", "2024-07-25 02:55:44", "2024-07-25 02:55:44", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/kitty-transparent-black.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("552", "1", "2024-07-25 02:56:11", "2024-07-25 02:56:11", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/cropped-kitty-transparent-black.png", "cropped-kitty-transparent-black.png", "", "inherit", "open", "closed", "", "cropped-kitty-transparent-black-png", "", "", "2024-07-25 02:56:11", "2024-07-25 02:56:11", "", "551", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/cropped-kitty-transparent-black.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("553", "1", "2024-07-25 02:58:06", "2024-07-25 02:58:06", "", "kitty-transparent-black-square", "", "inherit", "open", "closed", "", "kitty-transparent-black-square", "", "", "2024-07-25 02:58:06", "2024-07-25 02:58:06", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/kitty-transparent-black-square.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("554", "1", "2024-07-25 02:58:13", "2024-07-25 02:58:13", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/cropped-kitty-transparent-black-square.png", "cropped-kitty-transparent-black-square.png", "", "inherit", "open", "closed", "", "cropped-kitty-transparent-black-square-png", "", "", "2024-07-25 02:58:13", "2024-07-25 02:58:13", "", "553", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/cropped-kitty-transparent-black-square.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("559", "1", "2024-07-25 15:03:20", "2024-07-25 15:03:20", "<!-- wp:paragraph -->\n<p>The Gibson Explorer is a type of electric guitar model by Gibson guitars, released in 1958. The Explorer offered a radical, \"futuristic\" body design, much like its siblings: the Flying V, which was released the same year, and the Moderne, which was designed in 1957 but not released until 1982. The Explorer was the final development of a prototype design that, years later, Gibson marketed under the name Futura.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Explorer\'s initial run was unsuccessful, and the model was discontinued in 1963. In 1976, Gibson began reissuing the Explorer after competitor Hamer Guitars had success selling similar designs. The Explorer became especially popular among the hard rock and heavy metal musicians of the 1970s and 1980s.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">First Explorers</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Gibson displayed a prototype guitar at the 1957 NAMM Convention which was dubbed the Futura. It featured the body shape which would later be known as an Explorer, but with no controls and a V-shaped headstock.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Gibson produced a very small first commercial batch of only 19 Explorers during the 1958 run of the original korina wood model, but only made and released 3 in the following year, 1959.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After the first few guitars, the Explorer had a long drooping headstock with the tuners placed in a straight line on one side (referred sometimes as \"banana\" and \"hockey-stick\"). This headstock design was incorporated by Grover Jackson, founder of Jackson Guitars and other electric guitar makers such as Kramer 20 years later, giving rise to the \"pointy-headstock era\" of guitars. However, the very earliest Explorers made between 1957 and spring 1958 featured an unusual \"split\"-shaped head with the tuners placed in a standard 3+3 arrangement, carried over from the Explorer prototype (better known as the Futura).</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The 1958–1959 korina Explorer is one of the most valuable production-model guitars on the market, ranked at #4 on the 2011 Top 25 published by Vintage Guitar, worth between $250,000 and $300,000. Only 22 were shipped in its first two years, 19 in 1958 and 3 in 1959; an unknown (small) number of leftover bodies were completed with nickel 1960s hardware and sold in 1963. 38 examples were known to exist as of 2011.</p>\n<!-- /wp:paragraph -->", "Gibson Explorer", "", "publish", "closed", "closed", "", "gibson-explorer", "", "", "2024-07-25 19:03:26", "2024-07-25 19:03:26", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=559", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("560", "1", "2024-07-25 15:03:48", "2024-07-25 15:03:48", "<!-- wp:paragraph -->\n<p>The Destroyer is an Ibanez brand electric guitar model (originally) manufactured at the FujiGen musical instrument factory for the Hoshino Gakki Company. The Destroyer model was first introduced by Hoshino Gakki in 1975 and was based on the Gibson Explorer design. The Destroyer has since undergone several design and line changes and has been available in both 6-string and bass versions.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The star-shape variant was one of the first eccentrically-shaped guitars at the time with a floating tremolo system, making it a popular choice for the heavy metal and shred musicians of the 1980s.</p>\n<!-- /wp:paragraph -->", "ibanez destroyer", "", "publish", "closed", "closed", "", "ibanez-destroyer", "", "", "2024-08-04 19:35:24", "2024-08-04 19:35:24", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=560", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("561", "1", "2024-07-25 15:08:16", "2024-07-25 15:08:16", "", "explorer-custom-shop", "", "inherit", "open", "closed", "", "explorer-custom-shop", "", "", "2024-07-25 15:08:16", "2024-07-25 15:08:16", "", "559", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/explorer-custom-shop.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("562", "1", "2024-07-25 15:17:44", "2024-07-25 15:17:44", "<!-- wp:paragraph -->\n<p>The Gibson Explorer is a type of electric guitar model by Gibson guitars, released in 1958. The Explorer offered a radical, \"futuristic\" body design, much like its siblings: the Flying V, which was released the same year, and the Moderne, which was designed in 1957 but not released until 1982. The Explorer was the final development of a prototype design that, years later, Gibson marketed under the name Futura.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The Explorer\'s initial run was unsuccessful, and the model was discontinued in 1963. In 1976, Gibson began reissuing the Explorer after competitor Hamer Guitars had success selling similar designs. The Explorer became especially popular among the hard rock and heavy metal musicians of the 1970s and 1980s.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">First Explorers</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Gibson displayed a prototype guitar at the 1957 NAMM Convention which was dubbed the Futura. It featured the body shape which would later be known as an Explorer, but with no controls and a V-shaped headstock.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Gibson produced a very small first commercial batch of only 19 Explorers during the 1958 run of the original korina wood model, but only made and released 3 in the following year, 1959.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>After the first few guitars, the Explorer had a long drooping headstock with the tuners placed in a straight line on one side (referred sometimes as \"banana\" and \"hockey-stick\"). This headstock design was incorporated by Grover Jackson, founder of Jackson Guitars and other electric guitar makers such as Kramer 20 years later, giving rise to the \"pointy-headstock era\" of guitars. However, the very earliest Explorers made between 1957 and spring 1958 featured an unusual \"split\"-shaped head with the tuners placed in a standard 3+3 arrangement, carried over from the Explorer prototype (better known as the Futura).</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The 1958–1959 korina Explorer is one of the most valuable production-model guitars on the market, ranked at #4 on the 2011 Top 25 published by Vintage Guitar, worth between $250,000 and $300,000. Only 22 were shipped in its first two years, 19 in 1958 and 3 in 1959; an unknown (small) number of leftover bodies were completed with nickel 1960s hardware and sold in 1963. 38 examples were known to exist as of 2011.</p>\n<!-- /wp:paragraph -->", "Gibson Explorer", "", "inherit", "closed", "closed", "", "559-autosave-v1", "", "", "2024-07-25 15:17:44", "2024-07-25 15:17:44", "", "559", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=562", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("563", "1", "2024-07-25 20:02:22", "2024-07-25 20:02:22", "<!-- wp:paragraph -->\n<p>The&nbsp;<strong>Paul Stanley series</strong>&nbsp;is a line of solid body electric guitar models produced for&nbsp;<a href=\"https://ibanez.fandom.com/wiki/Hoshino_Gakki\">Hoshino Gakki</a>&nbsp;and sold under the&nbsp;<a href=\"https://ibanez.fandom.com/wiki/Ibanez\">Ibanez</a>&nbsp;brand. They are the&nbsp;<a href=\"https://ibanez.fandom.com/wiki/Signature\">signature</a>&nbsp;models of Paul Stanley, best known for being the rhythm guitarist and co-frontman of American hard rock band&nbsp;<a href=\"https://en.wikipedia.org/wiki/Kiss_(band)\">KISS</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The first Paul Stanley signature guitar was introduced in 1978 and offered through 1982. Stanley left Ibanez after that, but returned briefly in the mid-1990s. He once again returned to the Ibanez fold in 2015.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>All models in the series are based on the Ibanez&nbsp;<a href=\"https://ibanez.fandom.com/wiki/Iceman_series\">Iceman series</a>.</p>\n<!-- /wp:paragraph -->", "ibanez paul stanley", "", "publish", "closed", "closed", "", "ibanez-paul-stanley", "", "", "2024-07-27 20:33:45", "2024-07-27 20:33:45", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=563", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("566", "1", "2024-07-26 00:35:04", "2024-07-26 00:35:04", "<!-- wp:paragraph -->\n<p>The Ibanez JEM is an electric guitar manufactured by Ibanez and first produced in 1987. The guitar\'s most notable user is its co-designer, Steve Vai. As of 2010, there have been five sub-models of the JEM: the JEM7, JEM77, JEM777, JEM555, JEM333, and JEM70V. Although the Ibanez JEM series is a signature series guitar, Ibanez mass-produces several of the guitar\'s sub-models.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The design of the Ibanez JEM series was heavily influenced by the superstrat style of guitars of the early 1980s such as the Jackson Soloist, Kramer Beretta and Hamer Chaparral. This type of guitar is more aggressively styled in terms of shape and specifications compared to the Stratocaster on which they are based.</p>\n<!-- /wp:paragraph -->", "ibanez jem", "", "publish", "closed", "closed", "", "ibanez-jem", "", "", "2024-07-27 20:33:19", "2024-07-27 20:33:19", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=566", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("567", "1", "2024-07-26 00:39:33", "2024-07-26 00:39:33", "<!-- wp:paragraph -->\n<p><strong>Yvette Young</strong> (born June 28, 1991) is an American musician from <a href=\"https://www.wikiwand.com/en/San_Jose,_California\">San Jose, California</a>. She is the front-woman for the <a href=\"https://www.wikiwand.com/en/Math_rock\">math rock</a> band Covet.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>As of 2019, Young plays two Ibanez Talman Prestige guitars with Seymour Duncan Five-Two single-coil pickups and custom sparkle finishes, and a 7-string, fanned-fret Strandberg that she has painted. During the 2020 NAMM Show, Ibanez announced her signature model, the YY10, a Strat-style Talman. It was released in late 2021, and she calls it the YY20 OCS (orange-cream sparkle). She also plays a Yamaha A5R acoustic-electric guitar.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Young plays through Vox AC amps. Her touring amp is an AC30. On her Catharsis album, this was joined by a Roland JC-40.</p>\n<!-- /wp:paragraph -->", "ibanez yvette young", "", "publish", "closed", "closed", "", "ibanez-yvette-young", "", "", "2024-07-27 20:33:00", "2024-07-27 20:33:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=567", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("568", "1", "2024-07-26 00:41:34", "2024-07-26 00:41:34", "<!-- wp:paragraph -->\n<p>Vinita Strauss Villalta (born December 7, 1986) is an American rock musician. She is currently a touring guitarist for Alice Cooper, has also been a touring guitarist for Demi Lovato and has a successful career as a solo artist. Strauss is regularly featured on the covers of worldwide print magazines including Guitar World and Guitar Player, was the first female signature artist with Ibanez guitars, and became the first female rock solo artist in 32 years to hit number one on Billboard\'s Mainstream Rock chart.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In January 2018, Strauss became the first ever female Ibanez signature artist with her own model guitar, the Ibanez JIVA10. DiMarzio later released their Pandemonium humbuckers, signature pickups that were developed especially for her JIVA Ibanez guitar.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On January 26, 2019, Strauss was honored at the 7th Annual She Rocks Awards with the \"Inspire Award\", presented to her by Nick Bowcott and her personal hero, Steve Vai.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On January 9, 2022, Strauss became the first female rock solo artist in 32 years to hit number one on Billboard\'s Mainstream Rock chart with her song \"Dead Inside\".</p>\n<!-- /wp:paragraph -->", "ibanez nita strauss jiva", "", "publish", "closed", "closed", "", "ibanez-nita-strauss-jiva", "", "", "2024-07-27 20:32:17", "2024-07-27 20:32:17", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=568", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("582", "1", "2024-07-27 20:31:26", "2024-07-27 20:31:26", "", "ibanez-jem", "", "inherit", "open", "closed", "", "ibanez-jem-2", "", "", "2024-07-27 20:31:26", "2024-07-27 20:31:26", "", "568", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/ibanez-jem.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("583", "1", "2024-07-27 20:31:27", "2024-07-27 20:31:27", "", "ibanez-nita-strauss", "", "inherit", "open", "closed", "", "ibanez-nita-strauss-4", "", "", "2024-07-27 20:31:27", "2024-07-27 20:31:27", "", "568", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/ibanez-nita-strauss.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("584", "1", "2024-07-27 20:31:28", "2024-07-27 20:31:28", "", "ibanez-paul-stanley", "", "inherit", "open", "closed", "", "ibanez-paul-stanley-5", "", "", "2024-07-27 20:31:28", "2024-07-27 20:31:28", "", "568", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/ibanez-paul-stanley.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("585", "1", "2024-07-27 20:31:30", "2024-07-27 20:31:30", "", "ibanez-yvette-young", "", "inherit", "open", "closed", "", "ibanez-yvette-young-4", "", "", "2024-07-27 20:31:30", "2024-07-27 20:31:30", "", "568", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/ibanez-yvette-young.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("586", "1", "2024-07-27 20:31:43", "2024-07-27 20:31:43", "<!-- wp:paragraph -->\n<p>Vinita Strauss Villalta (born December 7, 1986) is an American rock musician. She is currently a touring guitarist for Alice Cooper, has also been a touring guitarist for Demi Lovato and has a successful career as a solo artist. Strauss is regularly featured on the covers of worldwide print magazines including Guitar World and Guitar Player, was the first female signature artist with Ibanez guitars, and became the first female rock solo artist in 32 years to hit number one on Billboard\'s Mainstream Rock chart.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In January 2018, Strauss became the first ever female Ibanez signature artist with her own model guitar, the Ibanez JIVA10. DiMarzio later released their Pandemonium humbuckers, signature pickups that were developed especially for her JIVA Ibanez guitar.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On January 26, 2019, Strauss was honored at the 7th Annual She Rocks Awards with the \"Inspire Award\", presented to her by Nick Bowcott and her personal hero, Steve Vai.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>On January 9, 2022, Strauss became the first female rock solo artist in 32 years to hit number one on Billboard\'s Mainstream Rock chart with her song \"Dead Inside\".</p>\n<!-- /wp:paragraph -->", "ibanez nita strauss jiva", "", "inherit", "closed", "closed", "", "568-autosave-v1", "", "", "2024-07-27 20:31:43", "2024-07-27 20:31:43", "", "568", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=586", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("587", "1", "2024-07-27 20:47:10", "2024-07-27 20:47:10", "<!-- wp:paragraph -->\n<p>The Gibson Les Paul Classic combines the early 60\'s style Les Paul model with some functional and time-tested modifications. As with most other Les Paul models, the LP Classic is crafted with a mahogany back and maple top coupled with a slim taper mahogany neck and bound, rosewood fingerboard. Burstbucker 61R &amp; 61T zebra, open-coil pickups provide classic Gibson tones from the era with a bit of extra punch thanks to the open coils. The control assembly features 4 push-pull pots which provide choices of coil tapping, phase switching and pure bypassing for functional and versatile sonic variety.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Finishes Available: Translucent Cherry, Heritage Cherry Sunburst, Honeyburst and Ebony</p>\n<!-- /wp:paragraph -->", "gibson les paul classic", "", "publish", "closed", "closed", "", "gibson-les-paul-classic", "", "", "2024-07-29 16:07:50", "2024-07-29 16:07:50", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=587", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("588", "1", "2024-07-27 20:54:11", "2024-07-27 20:54:11", "", "gibson firebird", "", "publish", "closed", "closed", "", "gibson-firebird", "", "", "2024-07-27 22:40:38", "2024-07-27 22:40:38", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=588", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("589", "1", "2024-07-27 22:05:34", "2024-07-27 22:05:34", "<!-- wp:paragraph -->\n<p>In March 2016,&nbsp;<a href=\"https://www.wikiwand.com/en/Ernie_Ball_Inc.\">Ernie Ball</a>&nbsp;announced that Clark had designed a signature&nbsp;<a href=\"https://www.wikiwand.com/en/Music_Man_(company)\">Music Man</a>&nbsp;guitar.<sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-GuitarWorld-ErnieBall-2016-121\"></a></sup>&nbsp;Unique to the guitar was the design, which&nbsp;<a href=\"https://www.wikiwand.com/en/Welsh_people\">Welsh</a>&nbsp;singer&nbsp;<a href=\"https://www.wikiwand.com/en/Cate_Le_Bon\">Cate Le Bon</a>&nbsp;claimed in&nbsp;<em><a href=\"https://www.wikiwand.com/en/The_Guardian\">The Guardian</a></em>&nbsp;as being made for women\'s bodies and providing pleasing aesthetic form in support of the guitar\'s function.<sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-Guardian-CateLeBon-WomensBodies-2017-122\"></a></sup>&nbsp;However, Clark has since stated that the guitar being specifically for women was not a consideration during the design process.<sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-123\"></a></sup><sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-124\"></a></sup></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>It was originally released in 2016 as the St. Vincent HHH with three&nbsp;<a href=\"https://www.wikiwand.com/en/Mini-humbucker\">mini-humbuckers</a>&nbsp;in a signature Vincent Blue finish, a paint color which Clark herself had personally hand-mixed and selected, as well as in Black.<sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-125\"></a></sup><sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-126\"></a></sup></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In 2017, four additional colors were added to the guitar line, Polaris White, Heritage Red, Tobacco Burst, and Stealth Black. 2017 was also the last year to feature a solid&nbsp;<a href=\"https://www.wikiwand.com/en/Rosewood\">rosewood</a>&nbsp;neck and fingerboard, due to heavy rosewood trade restrictions under&nbsp;<a href=\"https://www.wikiwand.com/en/CITES\">CITES</a>, later models would primarily use a roasted maple neck with ebony fingerboard.<sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-EnrieBallMusicMan-StVincent-2017-127\"></a></sup><sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-128\"></a></sup>&nbsp;A St. Vincent HH signature model was released in 2018 featuring two&nbsp;<a href=\"https://www.wikiwand.com/en/Humbucker\">humbuckers</a>&nbsp;in place of the three mini-humbuckers on the original.<sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-129\"></a></sup></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>In 2021, a new St. Vincent Goldie signature model was released, featuring three&nbsp;<a href=\"https://www.wikiwand.com/en/Rowe_Industries#The_%22gold_foil%22_and_2000_models\">gold foil</a>&nbsp;mini-humbucker pickups, a reverse matching finish headstock, redesigned pickguard shape in 3-ply parchment, a roasted maple neck, and stainless steel frets.<sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-130\"></a></sup><sup><a href=\"https://www.wikiwand.com/en/St._Vincent_(musician)#cite_note-131\"></a></sup></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Notable users of the guitar include&nbsp;<a href=\"https://www.wikiwand.com/en/Jack_White\">Jack White</a>, who used the three pickup version during every performance of his&nbsp;<em><a href=\"https://www.wikiwand.com/en/Boarding_House_Reach\">Boarding House Reach</a></em>&nbsp;tour in 2018,&nbsp;<a href=\"https://www.wikiwand.com/en/Todd_Tamanend_Clark\">Todd Tamanend Clark</a>,&nbsp;<a href=\"https://www.wikiwand.com/en/Tom_Morello\">Tom Morello</a>,&nbsp;<a href=\"https://www.wikiwand.com/en/J_Mascis\">J Mascis</a>, Les Priest of&nbsp;<a href=\"https://www.wikiwand.com/en/LANY\">LANY</a>, Eva Hendricks of&nbsp;<a href=\"https://www.wikiwand.com/en/Charly_Bliss\">Charly Bliss</a>, Emily Roberts of&nbsp;<a href=\"https://www.wikiwand.com/en/The_Last_Dinner_Party\">The Last Dinner Party</a>, and&nbsp;<a href=\"https://www.wikiwand.com/en/Dan_Boeckner\">Dan Boeckner</a>&nbsp;of&nbsp;<a href=\"https://www.wikiwand.com/en/Wolf_Parade\">Wolf Parade</a>.</p>\n<!-- /wp:paragraph -->", "musicman st vincent", "", "publish", "closed", "closed", "", "musicman-st-vincent", "", "", "2024-07-28 00:16:47", "2024-07-28 00:16:47", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=589", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("590", "1", "2024-07-27 21:12:29", "2024-07-27 21:12:29", "<!-- wp:paragraph -->\n<p>The Mariposa model was launched in 2019 with <a href=\"https://www.wikiwand.com/en/Omar_Rodr%C3%ADguez-L%C3%B3pez\">Omar Rodríguez-López</a>. It has an okoume body in an angular shape with a laser-etched floral pickguard, and two custom humbuckers featuring two volume knobs with a tethered tone circuit, which creates variations in treble response when the pickups are set at different levels.</p>\n<!-- /wp:paragraph -->", "musicman mariposa", "", "publish", "closed", "closed", "", "musicman-mariposa", "", "", "2024-07-27 22:18:19", "2024-07-27 22:18:19", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?post_type=non-kitty-guitars&#038;p=590", "0", "non-kitty-guitars", "", "0");
INSERT INTO `wp_posts` VALUES("592", "1", "2024-07-27 20:51:25", "2024-07-27 20:51:25", "", "lespaul-classic copy", "", "inherit", "open", "closed", "", "lespaul-classic-copy", "", "", "2024-07-27 20:51:25", "2024-07-27 20:51:25", "", "587", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/lespaul-classic-copy.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("593", "1", "2024-07-27 20:54:05", "2024-07-27 20:54:05", "", "firebird-bluefrost", "", "inherit", "open", "closed", "", "firebird-bluefrost", "", "", "2024-07-27 20:54:05", "2024-07-27 20:54:05", "", "588", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/firebird-bluefrost.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("594", "1", "2024-07-27 21:02:59", "2024-07-27 21:02:59", "", "MusicManMariposa-White", "", "inherit", "open", "closed", "", "musicmanmariposa-white", "", "", "2024-07-27 21:02:59", "2024-07-27 21:02:59", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/MusicManMariposa-White.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("595", "1", "2024-07-27 21:03:00", "2024-07-27 21:03:00", "", "MusicManMariposa", "", "inherit", "open", "closed", "", "musicmanmariposa", "", "", "2024-07-27 21:03:00", "2024-07-27 21:03:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/MusicManMariposa.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("596", "1", "2024-07-27 21:03:00", "2024-07-27 21:03:00", "", "MusicManStVincent", "", "inherit", "open", "closed", "", "musicmanstvincent", "", "", "2024-07-27 21:03:00", "2024-07-27 21:03:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/MusicManStVincent.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("597", "1", "2024-07-27 21:54:52", "2024-07-27 21:54:52", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "The Glorious Heresies", "", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2024-07-27 21:54:52", "2024-07-27 21:54:52", "", "192", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=597", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("598", "1", "2024-07-27 22:17:12", "2024-07-27 22:17:12", "", "jazzmaster-american-professional-mercury-rotation", "", "inherit", "open", "closed", "", "jazzmaster-american-professional-mercury-rotation", "", "", "2024-07-27 22:17:12", "2024-07-27 22:17:12", "", "98", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/jazzmaster-american-professional-mercury-rotation.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("610", "1", "2024-07-27 22:56:51", "2024-07-27 22:56:51", "", "jazzmaster-american-professional-mercury-rotate2", "", "inherit", "open", "closed", "", "jazzmaster-american-professional-mercury-rotate2", "", "", "2024-07-27 22:56:51", "2024-07-27 22:56:51", "", "98", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/04/jazzmaster-american-professional-mercury-rotate2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("617", "1", "2024-07-30 16:59:17", "2024-07-30 16:59:17", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Curious Whiskers", "", "inherit", "closed", "closed", "", "188-revision-v1", "", "", "2024-07-30 16:59:17", "2024-07-30 16:59:17", "", "188", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=617", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("618", "1", "2024-07-30 16:59:55", "2024-07-30 16:59:55", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Meowsic To My Ears", "", "inherit", "closed", "closed", "", "210-revision-v1", "", "", "2024-07-30 16:59:55", "2024-07-30 16:59:55", "", "210", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=618", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("619", "1", "2024-07-30 17:00:30", "2024-07-30 17:00:30", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Purrfect Harmony", "", "inherit", "closed", "closed", "", "209-revision-v1", "", "", "2024-07-30 17:00:30", "2024-07-30 17:00:30", "", "209", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=619", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("620", "1", "2024-07-30 17:00:53", "2024-07-30 17:00:53", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Nine Lives", "", "inherit", "closed", "closed", "", "208-revision-v1", "", "", "2024-07-30 17:00:53", "2024-07-30 17:00:53", "", "208", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=620", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("621", "1", "2024-07-30 17:01:23", "2024-07-30 17:01:23", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Catnip Love", "", "inherit", "closed", "closed", "", "207-revision-v1", "", "", "2024-07-30 17:01:23", "2024-07-30 17:01:23", "", "207", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=621", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("622", "1", "2024-07-30 17:01:59", "2024-07-30 17:01:59", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Furry Friend", "", "inherit", "closed", "closed", "", "206-revision-v1", "", "", "2024-07-30 17:01:59", "2024-07-30 17:01:59", "", "206", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=622", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("623", "1", "2024-07-30 17:02:57", "2024-07-30 17:02:57", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat Walk", "", "inherit", "closed", "closed", "", "205-revision-v1", "", "", "2024-07-30 17:02:57", "2024-07-30 17:02:57", "", "205", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=623", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("624", "1", "2024-07-30 17:03:24", "2024-07-30 17:03:24", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Mean-Eyed Cat", "", "inherit", "closed", "closed", "", "204-revision-v1", "", "", "2024-07-30 17:03:24", "2024-07-30 17:03:24", "", "204", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=624", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("625", "1", "2024-07-30 17:04:02", "2024-07-30 17:04:02", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "No Dogs, Please", "", "inherit", "closed", "closed", "", "203-revision-v1", "", "", "2024-07-30 17:04:02", "2024-07-30 17:04:02", "", "203", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=625", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("626", "1", "2024-07-30 17:04:21", "2024-07-30 17:04:21", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Here Kitty Kitty", "", "inherit", "closed", "closed", "", "202-revision-v1", "", "", "2024-07-30 17:04:21", "2024-07-30 17:04:21", "", "202", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=626", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("627", "1", "2024-07-30 17:04:38", "2024-07-30 17:04:38", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Neko, Neko", "", "inherit", "closed", "closed", "", "201-revision-v1", "", "", "2024-07-30 17:04:38", "2024-07-30 17:04:38", "", "201", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=627", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("628", "1", "2024-07-30 17:05:16", "2024-07-30 17:05:16", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Stray Cat Strut", "", "inherit", "closed", "closed", "", "200-revision-v1", "", "", "2024-07-30 17:05:16", "2024-07-30 17:05:16", "", "200", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=628", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("629", "1", "2024-07-30 17:05:53", "2024-07-30 17:05:53", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Neko Koneko", "", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2024-07-30 17:05:53", "2024-07-30 17:05:53", "", "199", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=629", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("630", "1", "2024-07-30 17:07:01", "2024-07-30 17:07:01", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Minou", "", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2024-07-30 17:07:01", "2024-07-30 17:07:01", "", "198", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=630", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("631", "1", "2024-07-30 17:09:05", "2024-07-30 17:09:05", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat Power", "", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2024-07-30 17:09:05", "2024-07-30 17:09:05", "", "197", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=631", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("632", "1", "2024-07-30 17:09:28", "2024-07-30 17:09:28", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Dogs are No Fun", "", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2024-07-30 17:09:28", "2024-07-30 17:09:28", "", "196", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=632", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("633", "1", "2024-07-30 17:10:13", "2024-07-30 17:10:13", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Pawprints on my Heart", "", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2024-07-30 17:10:13", "2024-07-30 17:10:13", "", "195", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=633", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("634", "1", "2024-07-30 17:10:40", "2024-07-30 17:10:40", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "More Catnip", "", "inherit", "closed", "closed", "", "194-revision-v1", "", "", "2024-07-30 17:10:40", "2024-07-30 17:10:40", "", "194", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=634", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("635", "1", "2024-07-30 17:11:03", "2024-07-30 17:11:03", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Even More Catnip", "", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2024-07-30 17:11:03", "2024-07-30 17:11:03", "", "193", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=635", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("636", "1", "2024-07-30 17:11:53", "2024-07-30 17:11:53", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Hey Human!", "", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2024-07-30 17:11:53", "2024-07-30 17:11:53", "", "192", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=636", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("637", "1", "2024-07-30 17:12:27", "2024-07-30 17:12:27", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Claws on the Sofa", "", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2024-07-30 17:12:27", "2024-07-30 17:12:27", "", "191", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=637", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("638", "1", "2024-07-30 17:12:49", "2024-07-30 17:12:49", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Scratching Post", "", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2024-07-30 17:12:49", "2024-07-30 17:12:49", "", "190", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=638", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("639", "1", "2024-07-30 17:14:09", "2024-07-30 17:14:09", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Scratch Your Eyes Out!", "", "inherit", "closed", "closed", "", "189-revision-v1", "", "", "2024-07-30 17:14:09", "2024-07-30 17:14:09", "", "189", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=639", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("640", "1", "2024-07-30 17:14:32", "2024-07-30 17:14:32", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "No, I Am Your Owner", "", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2024-07-30 17:14:32", "2024-07-30 17:14:32", "", "211", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=640", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("641", "1", "2024-07-30 17:15:00", "2024-07-30 17:15:00", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Bukkaw!", "", "inherit", "closed", "closed", "", "171-revision-v1", "", "", "2024-07-30 17:15:00", "2024-07-30 17:15:00", "", "171", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=641", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("642", "1", "2024-07-30 17:16:21", "2024-07-30 17:16:21", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Claws are Sharper Than Your Claws", "", "inherit", "closed", "closed", "", "170-revision-v1", "", "", "2024-07-30 17:16:21", "2024-07-30 17:16:21", "", "170", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=642", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("643", "1", "2024-07-30 17:16:38", "2024-07-30 17:16:38", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Where\'s My Tuna", "", "inherit", "closed", "closed", "", "169-revision-v1", "", "", "2024-07-30 17:16:38", "2024-07-30 17:16:38", "", "169", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=643", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("644", "1", "2024-07-30 17:17:19", "2024-07-30 17:17:19", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Meet You In The Alley", "", "inherit", "closed", "closed", "", "168-revision-v1", "", "", "2024-07-30 17:17:19", "2024-07-30 17:17:19", "", "168", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=644", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("645", "1", "2024-07-30 17:17:43", "2024-07-30 17:17:43", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Midnight Prowl", "", "inherit", "closed", "closed", "", "167-revision-v1", "", "", "2024-07-30 17:17:43", "2024-07-30 17:17:43", "", "167", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=645", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("646", "1", "2024-07-30 17:17:58", "2024-07-30 17:17:58", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Meow at the Moon", "", "inherit", "closed", "closed", "", "166-revision-v1", "", "", "2024-07-30 17:17:58", "2024-07-30 17:17:58", "", "166", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=646", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("647", "1", "2024-07-30 17:18:22", "2024-07-30 17:18:22", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Paws on the Piano", "", "inherit", "closed", "closed", "", "165-revision-v1", "", "", "2024-07-30 17:18:22", "2024-07-30 17:18:22", "", "165", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=647", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("648", "1", "2024-07-30 17:18:39", "2024-07-30 17:18:39", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Nap Time!", "", "inherit", "closed", "closed", "", "164-revision-v1", "", "", "2024-07-30 17:18:39", "2024-07-30 17:18:39", "", "164", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=648", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("649", "1", "2024-07-30 17:18:55", "2024-07-30 17:18:55", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Velvet Paws", "", "inherit", "closed", "closed", "", "163-revision-v1", "", "", "2024-07-30 17:18:55", "2024-07-30 17:18:55", "", "163", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=649", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("650", "1", "2024-07-30 17:20:59", "2024-07-30 17:20:59", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Paws and Claws", "", "inherit", "closed", "closed", "", "161-revision-v1", "", "", "2024-07-30 17:20:59", "2024-07-30 17:20:59", "", "161", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=650", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("651", "1", "2024-07-30 17:22:02", "2024-07-30 17:22:02", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Catnip Serenade", "", "inherit", "closed", "closed", "", "162-revision-v1", "", "", "2024-07-30 17:22:02", "2024-07-30 17:22:02", "", "162", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=651", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("652", "1", "2024-07-30 17:23:01", "2024-07-30 17:23:01", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "I Killed a Bird for You", "", "inherit", "closed", "closed", "", "160-revision-v1", "", "", "2024-07-30 17:23:01", "2024-07-30 17:23:01", "", "160", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=652", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("653", "1", "2024-07-30 17:23:49", "2024-07-30 17:23:49", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Burping Feathers", "", "inherit", "closed", "closed", "", "137-revision-v1", "", "", "2024-07-30 17:23:49", "2024-07-30 17:23:49", "", "137", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=653", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("654", "1", "2024-07-30 17:24:33", "2024-07-30 17:24:33", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "My Present For You: A Bird", "", "inherit", "closed", "closed", "", "138-revision-v1", "", "", "2024-07-30 17:24:33", "2024-07-30 17:24:33", "", "138", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=654", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("655", "1", "2024-07-30 17:33:52", "2024-07-30 17:33:52", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Catnip High", "", "inherit", "closed", "closed", "", "140-revision-v1", "", "", "2024-07-30 17:33:52", "2024-07-30 17:33:52", "", "140", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=655", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("656", "1", "2024-07-30 22:41:18", "2024-07-30 22:41:18", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat Napping", "", "inherit", "closed", "closed", "", "103-revision-v1", "", "", "2024-07-30 22:41:18", "2024-07-30 22:41:18", "", "103", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=656", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("657", "1", "2024-07-30 22:41:40", "2024-07-30 22:41:40", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Siamese Samba", "", "inherit", "closed", "closed", "", "146-revision-v1", "", "", "2024-07-30 22:41:40", "2024-07-30 22:41:40", "", "146", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=657", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("658", "1", "2024-07-30 22:42:04", "2024-07-30 22:42:04", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Tail Flick Tango", "", "inherit", "closed", "closed", "", "147-revision-v1", "", "", "2024-07-30 22:42:04", "2024-07-30 22:42:04", "", "147", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=658", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("659", "1", "2024-07-30 22:42:52", "2024-07-30 22:42:52", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "I Did Not Tear the Curtains", "", "inherit", "closed", "closed", "", "141-revision-v1", "", "", "2024-07-30 22:42:52", "2024-07-30 22:42:52", "", "141", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=659", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("660", "1", "2024-07-30 22:43:20", "2024-07-30 22:43:20", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Calico Polka", "", "inherit", "closed", "closed", "", "142-revision-v1", "", "", "2024-07-30 22:43:20", "2024-07-30 22:43:20", "", "142", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=660", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("661", "1", "2024-07-30 22:43:50", "2024-07-30 22:43:50", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Persian Punk", "", "inherit", "closed", "closed", "", "143-revision-v1", "", "", "2024-07-30 22:43:50", "2024-07-30 22:43:50", "", "143", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=661", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("662", "1", "2024-07-30 22:44:06", "2024-07-30 22:44:06", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Punk-rock Persian", "", "inherit", "closed", "closed", "", "143-revision-v1", "", "", "2024-07-30 22:44:06", "2024-07-30 22:44:06", "", "143", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=662", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("663", "1", "2024-07-30 22:44:30", "2024-07-30 22:44:30", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Tabby Trouble", "", "inherit", "closed", "closed", "", "144-revision-v1", "", "", "2024-07-30 22:44:30", "2024-07-30 22:44:30", "", "144", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=663", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("664", "1", "2024-07-30 22:44:55", "2024-07-30 22:44:55", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Let\'s Sit in Boxes!", "", "inherit", "closed", "closed", "", "145-revision-v1", "", "", "2024-07-30 22:44:55", "2024-07-30 22:44:55", "", "145", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=664", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("665", "1", "2024-07-30 22:45:23", "2024-07-30 22:45:23", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Get the Mouse!", "", "inherit", "closed", "closed", "", "139-revision-v1", "", "", "2024-07-30 22:45:23", "2024-07-30 22:45:23", "", "139", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=665", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("666", "1", "2024-07-30 22:46:36", "2024-07-30 22:46:36", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "I Do NOT Have a Catnip Problem", "", "inherit", "closed", "closed", "", "171-revision-v1", "", "", "2024-07-30 22:46:36", "2024-07-30 22:46:36", "", "171", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=666", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("667", "1", "2024-07-30 22:48:47", "2024-07-30 22:48:47", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "329-revision-v1", "", "", "2024-07-30 22:48:47", "2024-07-30 22:48:47", "", "329", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=667", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("668", "1", "2024-07-30 22:54:16", "2024-07-30 22:54:16", "<!-- wp:template-part {\"slug\":\"header\",\"tagName\":\"header\"} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"right\":\"4%\",\"left\":\"4%\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:4%;padding-left:4%\"></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Query Loop Container\"},\"style\":{\"spacing\":{\"padding\":{\"right\":\"4%\",\"left\":\"4%\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-right:4%;padding-left:4%\"><!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"contentSize\":null,\"type\":\"constrained\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\"}} -->\n<!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title /-->\n\n<!-- wp:kadence/advancedheading {\"uniqueID\":\"guitarkitty__single_e69ded-bd\",\"color\":\"#0c0000\",\"typography\":\"Bebas Neue\",\"googleFont\":true,\"fontSubset\":\"latin\",\"fontVariant\":\"regular\",\"fontWeight\":\"400\",\"padding\":[\"\",\"xxs\",\"\",\"0\"],\"markBorder\":\"\",\"markBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"tabletMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"mobileMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"colorClass\":\"\",\"htmlTag\":\"div\",\"background\":\"#ebe5e5\",\"backgroundColorClass\":\"\",\"inQueryBlock\":true,\"fontSize\":[\"md\",\"\",\"\"],\"icon\":\"fas_kiwi-bird\",\"iconPadding\":[\"\",\"xxs\",\"\",\"xxs\"],\"kadenceDynamic\":{\"content\":{\"enable\":true,\"source\":\"\",\"field\":\"post|post_custom_field\",\"custom\":\"\",\"para\":\"rating\",\"before\":\"\",\"after\":\"\",\"fallback\":\"\",\"relate\":\"\",\"relcustom\":\"\",\"shouldReplace\":1,\"showAll\":true}}} -->\n<div class=\"kt-adv-headingguitarkitty__single_e69ded-bd wp-block-kadence-advancedheading\" data-kb-block=\"kb-adv-headingguitarkitty__single_e69ded-bd\"><span data-field=\"post|post_custom_field\" data-para=\"rating\" data-showall=\"true\" class=\"kb-inline-dynamic\">dynamic text placeholder</span></div>\n<!-- /wp:kadence/advancedheading --></div>\n<!-- /wp:group -->\n\n<!-- wp:post-content /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"Category: \"} /-->\n\n<!-- wp:post-terms {\"term\":\"post_tag\"} /-->\n\n<!-- wp:post-date {\"isLink\":true} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"grid\",\"columnCount\":\"2\",\"minimumColumnWidth\":null}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"level\":3,\"style\":{\"layout\":{\"columnSpan\":\"2\"}},\"fontSize\":\"medium\"} -->\n<h3 class=\"wp-block-heading has-medium-font-size\"><?php esc_html_e(\'Guitar Details\', \'guitarkitty\');?></h3>\n<!-- /wp:heading -->\n\n<!-- wp:group {\"metadata\":{\"name\":\"Icon List Custom Fields\"},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:kadence/iconlist {\"uniqueID\":\"guitarkitty__single_3c7827-1d\",\"listMargin\":[\"xxs\",\"0\",\"sm\",\"0\"]} -->\n<div class=\"wp-block-kadence-iconlist kt-svg-icon-list-items kt-svg-icon-list-itemsguitarkitty__single_3c7827-1d kt-svg-icon-list-columns-1 alignnone\"><ul class=\"kt-svg-icon-list\"><!-- wp:kadence/listitem {\"uniqueID\":\"guitarkitty__single_440c96-fd\",\"icon\":\"ic_heart\",\"size\":12} -->\n<li class=\"wp-block-kadence-listitem kt-svg-icon-list-item-wrap kt-svg-icon-list-item-guitarkitty__single_440c96-fd\"><span data-name=\"ic_heart\" data-stroke=\"USE_PARENT_DEFAULT_WIDTH\" data-class=\"kt-svg-icon-list-single\" class=\"kadence-dynamic-icon\"></span><span class=\"kt-svg-icon-list-text\"><strong>Color</strong>: <span data-field=\"post|post_custom_field\" data-para=\"acf_meta|color\" data-showall=\"true\" class=\"kb-inline-dynamic\">No Content</span></span></li>\n<!-- /wp:kadence/listitem -->\n\n<!-- wp:kadence/listitem {\"uniqueID\":\"guitarkitty__single_bbd31a-fd\",\"icon\":\"fe_heart\",\"size\":12,\"kadenceConditional\":{\"postData\":{\"enable\":false,\"source\":\"\",\"field\":\"\",\"custom\":\"\",\"para\":\"\",\"compare\":\"not_empty\",\"condition\":\"\"}}} -->\n<li class=\"wp-block-kadence-listitem kt-svg-icon-list-item-wrap kt-svg-icon-list-item-guitarkitty__single_bbd31a-fd\"><span data-name=\"fe_heart\" data-stroke=\"USE_PARENT_DEFAULT_WIDTH\" data-class=\"kt-svg-icon-list-single\" class=\"kadence-dynamic-icon\"></span><span class=\"kt-svg-icon-list-text\"><strong>Owner</strong>: <span data-field=\"post|post_custom_field\" data-para=\"acf_meta|owner_name\" data-showall=\"true\" class=\"kb-inline-dynamic\">No Content</span></span></li>\n<!-- /wp:kadence/listitem -->\n\n<!-- wp:kadence/listitem {\"uniqueID\":\"guitarkitty__single_80977d-e1\",\"icon\":\"fe_heart\",\"size\":12} -->\n<li class=\"wp-block-kadence-listitem kt-svg-icon-list-item-wrap kt-svg-icon-list-item-guitarkitty__single_80977d-e1\"><span data-name=\"fe_heart\" data-stroke=\"USE_PARENT_DEFAULT_WIDTH\" data-class=\"kt-svg-icon-list-single\" class=\"kadence-dynamic-icon\"></span><span class=\"kt-svg-icon-list-text\"><strong>Country</strong>: <span data-field=\"post|post_custom_field\" data-para=\"acf_meta|owner_country\" data-showall=\"true\" class=\"kb-inline-dynamic\">No Content</span></span></li>\n<!-- /wp:kadence/listitem -->\n\n<!-- wp:kadence/listitem {\"uniqueID\":\"guitarkitty__single_57701c-d5\",\"icon\":\"fe_heart\",\"size\":12} -->\n<li class=\"wp-block-kadence-listitem kt-svg-icon-list-item-wrap kt-svg-icon-list-item-guitarkitty__single_57701c-d5\"><span data-name=\"fe_heart\" data-stroke=\"USE_PARENT_DEFAULT_WIDTH\" data-class=\"kt-svg-icon-list-single\" class=\"kadence-dynamic-icon\"></span><span class=\"kt-svg-icon-list-text\"><strong>Purchase Price</strong>: <span data-field=\"post|post_custom_field\" data-para=\"acf_meta|purchase_price\" data-showall=\"true\" class=\"kb-inline-dynamic\">No Content</span></span></li>\n<!-- /wp:kadence/listitem -->\n\n<!-- wp:kadence/listitem {\"uniqueID\":\"guitarkitty__single_e4be10-8e\",\"icon\":\"fe_heart\",\"size\":12} -->\n<li class=\"wp-block-kadence-listitem kt-svg-icon-list-item-wrap kt-svg-icon-list-item-guitarkitty__single_e4be10-8e\"><span data-name=\"fe_heart\" data-stroke=\"USE_PARENT_DEFAULT_WIDTH\" data-class=\"kt-svg-icon-list-single\" class=\"kadence-dynamic-icon\"></span><span class=\"kt-svg-icon-list-text\"><strong>Year of Purchase:</strong> <span data-field=\"post|post_custom_field\" data-para=\"acf_meta|year_of_purchase\" data-showall=\"true\" class=\"kb-inline-dynamic\">No Content</span></span></li>\n<!-- /wp:kadence/listitem -->\n\n<!-- wp:kadence/listitem {\"uniqueID\":\"guitarkitty__single_a98015-97\",\"icon\":\"fe_heart\",\"size\":12} -->\n<li class=\"wp-block-kadence-listitem kt-svg-icon-list-item-wrap kt-svg-icon-list-item-guitarkitty__single_a98015-97\"><span data-name=\"fe_heart\" data-stroke=\"USE_PARENT_DEFAULT_WIDTH\" data-class=\"kt-svg-icon-list-single\" class=\"kadence-dynamic-icon\"></span><span class=\"kt-svg-icon-list-text\"><strong>Owner Evalution</strong>: <span data-field=\"post|post_custom_field\" data-para=\"acf_meta|rating\" data-showall=\"true\" class=\"kb-inline-dynamic\">No Content</span></span></li>\n<!-- /wp:kadence/listitem --></ul></div>\n<!-- /wp:kadence/iconlist --></div>\n<!-- /wp:group -->\n\n<!-- wp:post-featured-image {\"style\":{\"layout\":{\"columnSpan\":1,\"rowSpan\":1}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"19px\"} -->\n<div style=\"height:19px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|30\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-navigation-link {\"type\":\"previous\",\"showTitle\":true,\"arrow\":\"chevron\",\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-navigation-link {\"showTitle\":true,\"arrow\":\"chevron\",\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":\"\"}},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"tagName\":\"footer\"} /-->", "Single Posts", "Displays a single post on your website unless a custom template has been applied to that post or a dedicated template exists.", "publish", "closed", "closed", "", "single", "", "", "2024-07-30 22:54:16", "2024-07-30 22:54:16", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/single/", "0", "wp_template", "", "0");
INSERT INTO `wp_posts` VALUES("669", "1", "2024-08-02 20:19:20", "2024-08-02 20:19:20", "{\"version\": 3, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentythree", "", "", "2024-08-02 20:19:20", "2024-08-02 20:19:20", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/wp-global-styles-twentytwentythree/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("672", "1", "2024-08-02 20:21:10", "2024-08-02 20:21:10", "<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"level\":0} /-->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"ref\":670,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /-->\n\n<!-- wp:page-list /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Header", "", "publish", "closed", "closed", "", "header", "", "", "2024-08-02 20:21:10", "2024-08-02 20:21:10", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/header/", "0", "wp_template_part", "", "0");
INSERT INTO `wp_posts` VALUES("673", "1", "2024-08-02 21:09:43", "2024-08-02 21:09:43", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-kevinmcmillan", "", "", "2024-08-04 20:23:10", "2024-08-04 20:23:10", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/wp-global-styles-kevinmcmillan/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("674", "1", "2024-08-02 21:10:32", "2024-08-02 21:10:32", "{\"settings\":{\"layout\":{\"contentSize\":\"720px\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-02 21:10:32", "2024-08-02 21:10:32", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=674", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("675", "1", "2024-08-02 21:11:51", "2024-08-02 21:11:51", "{\"styles\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|system-font\"}},\"settings\":{\"layout\":{\"contentSize\":\"720px\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-02 21:11:51", "2024-08-02 21:11:51", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=675", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("676", "1", "2024-08-02 21:12:42", "2024-08-02 21:12:42", "{\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\"}", "Bebas Neue", "", "publish", "closed", "closed", "", "bebas-neue", "", "", "2024-08-02 21:12:42", "2024-08-02 21:12:42", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/bebas-neue/", "0", "wp_font_family", "", "0");
INSERT INTO `wp_posts` VALUES("677", "1", "2024-08-02 21:12:42", "2024-08-02 21:12:42", "{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}", "bebas neue;normal;400;100%;U+0-10FFFF", "", "publish", "closed", "closed", "", "bebas-neuenormal400100u0-10ffff", "", "", "2024-08-02 21:12:42", "2024-08-02 21:12:42", "", "676", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/bebas-neuenormal400100u0-10ffff/", "0", "wp_font_face", "", "0");
INSERT INTO `wp_posts` VALUES("678", "1", "2024-08-02 21:12:43", "2024-08-02 21:12:43", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\"}},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-02 21:12:43", "2024-08-02 21:12:43", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=678", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("681", "1", "2024-08-02 21:14:55", "2024-08-02 21:14:55", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}}},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-02 21:14:55", "2024-08-02 21:14:55", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=681", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("682", "1", "2024-08-02 21:15:41", "2024-08-02 21:15:41", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"}}}}},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-02 21:15:41", "2024-08-02 21:15:41", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=682", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("683", "1", "2024-08-02 21:16:10", "2024-08-02 21:16:10", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}}},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-02 21:16:10", "2024-08-02 21:16:10", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=683", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("717", "1", "2024-08-03 01:03:25", "2024-08-03 01:03:25", "{\"vB\":\"0 0 864 864\",\"cD\":[{\"nE\":\"g\",\"aBs\":[],\"children\":[{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M461.715,421.926c-7.002,14.828-56.669,10.588-41.93-16.99   C428.705,388.247,473.789,396.355,461.715,421.926L461.715,421.926z M327.148,389.179c-3.711-26.092,23.929-32.039,26.536-8.088   c1.103,10.125-3.165,19.009-9.838,21.311C335.512,405.278,328.166,396.337,327.148,389.179L327.148,389.179z M542.105,396.246   c-28.638,4.885-22.562-29.165-13.598-34.35C544.001,352.934,555.251,377.833,542.105,396.246L542.105,396.246z M270.795,262.359   l13.527,0.174c-1.403,20.766-36.49,45.909-26.802,102.984c6.587,0.514,16.309,0.472,21.917,3.148   c7.28,3.473,2.258,0.729,4.826,3.698c-6.539,5.229-15.949,3.711-25.608,3.806l6.956,27.688c10.053-0.652,12.374-2.489,20.75,1.535   c-2.582,10.831-4.969,4.466-14.425,11.109l14.017,20.78l20.806-5.956c2.578,4.786,1.31,4.34-0.05,10.191   c14.05,2.49,22.532,9.6,26.88,18.338c7.476-3.438,1.03,0.165,6.63-4.206c6.177-4.821,7.43-8.671,19.013-12.654   c27.687-9.518,70.406,4.835,75.825,39.18c32.767-0.179,65.52-2.305,95.594-10.766c25.94-7.299,57.888-23.372,64.601-40.193   c-8.819-6.632-4.856,0.915-8.212-9.28l16.291-2.447c4.016-6.361,8.504-15.263,11.385-24.004c-4.866-4.495-7.789-1.021-11.322-8.407   c7.425-6.252,6.434-2.583,14.756-6.306l3.361-26.742c-11.55,1.344-24.988,5.057-34.276,2.061   c6.284-12.863,22.366-7.656,33.918-15.253c-0.152-15.836-2.847-27.51-10.942-37.07c-18.39,6.859-38.48,33.398-65.176,7.676   c-9.931-9.569-9.782-17.396-27.12-20.976c-18.223-3.761-20.873-10.265-29.609-18.962c-51.749,11.504-77.79,6.915-65.867-64.755   c-22.475-2.88-36.529,5.238-55.988,6.896c-16.107,1.373-35.76-9.484-49.713-14.413C266.4,181.455,263.148,220.216,270.795,262.359   L270.795,262.359z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M451.21,699.589l-0.062-40.8l23.02-8.976   c5.64,7.878,18.038,12.571,30.945,11.085c13.476-1.553,21.783-9.685,29.434-14.923c9.183,2.502,10.314,5.881,17.632,9.184   C545.501,707.013,492.564,708.721,451.21,699.589L451.21,699.589z M331.574,660.314c3.728-5.248,10.067-9.619,18.012-13.063   c47.762,27.442,45.348,0.211,64.702,7.088c9.806,3.484,11.808,4.267,22.829,6.238l-0.564,37.821   C387.27,710.663,344.476,701.184,331.574,660.314L331.574,660.314z M420.461,554.269l3.068-7.835   c0.296-0.502,0.917-1.13,1.358-1.709l5.807-10.037c0.07-0.697,0.43-4.251,0.581-4.826c0.164-0.619,0.341-1.529,0.537-2.201   c0.185-0.639,0.556-1.457,0.735-2.024c0.175-0.555,0.569-1.283,0.843-1.93l1.944-7.09l43.668,0.103   c0.767-4.105,0.997-7.504,1.638-10.782c2.738-13.998,10.472-17.387,36.617-17.511c9.575,26.625,26.151,56.998,36.154,81.632   c5.635,13.876,3.438,16.296,17.95,21.844c48.041,18.365,4.764,91.889-40.312,35.839c-6.365,10.04-12.551,20.545-28.129,21.279   c-16.271,0.767-25.169-9.381-28.635-21.074c-5.562,5.51-8.598,19.567-32.185,20.531c-19.3,0.789-26.844-7.108-31.648-19.904   c-8.078,9.295-10.53,20.096-29.345,20.117c-16.015,0.019-24.307-10.468-29.624-21.427c-44.615,52.838-76.542-3.046-51.236-26.629   c3.373,2.215,26.857,13.022,32.672,13.203c7.049,0.219,27.066-11.358,34.619-15.402   C385.835,588.641,410.432,569.453,420.461,554.269L420.461,554.269z M234.464,551.02c-1.9-21.536,17.696-38.132,33.154-25.236   c6.17,5.147,5.11,17.098,11.087,22.532c6.568,5.972,15.303,3.438,19.082,16.726C308.808,603.793,239.089,603.423,234.464,551.02   L234.464,551.02z M574.406,512.966c44.755,2.073,31.607,25.381,30.73,33.877c-2.564,24.888-4.194,35.553-31.957,36.935   c-4.861-11.556-9.203-26.534-13.486-39.197C553.756,527.031,560.446,535.398,574.406,512.966L574.406,512.966z M331.592,476.294   c16.035-4.691,9.697-15.644,29.587-22.97c13.283-4.893,32.482-3.721,43.662,2.44c22.948,12.645,28.422,43.648,16.911,74.908   c-12.19,33.105-55.055,62.93-82.785,72.663c-8.74,3.068-27.827-6.739-35.69-12.38c1.879-12.156,8.537-14.365,2.999-30.068   c-4.492-12.735-10.832-11.607-18.946-19.1c-6.317-5.833-5.936-16.782-14.285-23.536c-10.44-8.447-19.058-4.848-33.472-3.877   C234.988,441.052,312.783,433.474,331.592,476.294L331.592,476.294z M437.306,495.698l37.508-0.044l-1.931,12.393l-34.915,0.305   L437.306,495.698L437.306,495.698z M534.789,486.437c8.841-3.3,11.085-0.741,17.744,4.605c6.794,5.456,11.219,8.525,16.647,12.424   c-5.93,5.553-11.61,12.268-17.819,17.049C546.007,512.522,534.988,495.163,534.789,486.437L534.789,486.437z M566.074,255.46   c8.489,3.055,8.101,5.609,6.237,16.017c-5.05,3.648-5.014,4.033-13.643,4.449L566.074,255.46L566.074,255.46z M517.045,223.697   c35.035-13.784,53.608,40.052,20.273,54.445c-25.735,11.111-50.657-16.764-37.314-41.302   C505.182,227.323,506.394,227.887,517.045,223.697L517.045,223.697z M543.087,286.19c9.084-6.435,12.722-3.669,17.478-3.367   c20.768,1.32,27.762-18.812,11.292-31.771c-4.985-3.921-6.762-0.046-10.011-21.457c17.57-1.785,40.497-5.479,50.187,6.442   c9.954,12.245,5.416,32.48-1.295,44.401c-13.212,23.473-54.06,46.529-72.495,9.953C540.749,287.82,538.24,289.623,543.087,286.19   L543.087,286.19z M484.103,236.769c-8.137-8.279-5.503-10.697-0.42-20.41l14.319-0.072L484.103,236.769L484.103,236.769z    M270.795,262.359c-7.648-42.143-4.395-80.905,45.943-63.124c13.954,4.928,33.606,15.785,49.713,14.413   c19.459-1.658,33.513-9.776,55.988-6.896c-11.923,71.67,14.118,76.259,65.867,64.755c8.736,8.696,11.386,15.201,29.609,18.962   c17.338,3.58,17.189,11.407,27.12,20.976c26.697,25.722,46.786-0.818,65.176-7.676c8.095,9.56,10.79,21.235,10.942,37.07   c-11.552,7.597-27.634,2.391-33.918,15.253c9.288,2.995,22.726-0.717,34.276-2.061l-3.361,26.742   c-8.321,3.723-7.331,0.054-14.756,6.306c3.533,7.386,6.456,3.912,11.322,8.407c-2.881,8.741-7.368,17.643-11.385,24.004   l-16.291,2.447c3.356,10.194-0.607,2.648,8.212,9.28c-6.713,16.821-38.661,32.894-64.601,40.193   c-30.074,8.461-62.826,10.586-95.594,10.766c-5.418-34.345-48.137-48.697-75.825-39.18c-11.583,3.983-12.836,7.833-19.013,12.654   c-5.6,4.371,0.846,0.768-6.63,4.206c-4.348-8.738-12.83-15.848-26.88-18.338c1.359-5.852,2.628-5.405,0.05-10.191l-20.806,5.956   l-14.017-20.78c9.456-6.643,11.843-0.278,14.425-11.109c-8.376-4.024-10.697-2.187-20.75-1.535l-6.956-27.688   c9.659-0.094,19.069,1.423,25.608-3.806c-2.568-2.969,2.454-0.225-4.826-3.698c-5.609-2.676-15.33-2.635-21.917-3.148   c-9.688-57.076,25.399-82.218,26.802-102.984L270.795,262.359L270.795,262.359z M484.482,261.464   c-19.721,3.873-46.734,9.552-54.028-9.874c-7.322-19.499,3.137-44.909,11.284-58.345c6.883-11.35,19.928-34.855,41.647-24.121   c9.407,4.65,29.19,26.908,32.767,39.298c-8.386,6.72-7.99,4.624-16.9,1.652c-25.013-8.343-40.967,16.853-15.363,35.501   L484.482,261.464L484.482,261.464z M526.779,193.917c34.492-18.472,70.824-36.611,73.161,23.157   c-19.041,0.071-30.961,4.018-47.367,4.729C539.862,204.996,530.075,219.572,526.779,193.917L526.779,193.917z M662.758,394.325   v-6.727c-9.002-2.487-19.715-4.418-30.388-5.855l2.491-28.326l27.897-5.235v-8.116c-38.471-0.123-24.276,3.446-32.828-25.254   c-2.215-7.434-5.47-13.417-7.309-20.077c-3.304-11.96,9.225-25.131,8.41-44.147c-0.857-19.969-12.443-20.153-15.849-40.655   c-15.699-94.502-75.152-25.002-100.491-33.935c-3.112-1.096-42.923-45.635-74.135-2.694c-14.217,19.559-8.306,15.942-37.183,19.559   c-14.747,1.847-36.532,6.209-50.85,4c-23.79-3.67-66.361-32.53-84.83-9.339c-16.864,21.178-21.447,58.281-9.378,89.221   c4.075,10.448-8.451,25.442-11.812,38.667c-4.911,19.324-2.431,31.578-2.958,51.156c-12.401,0.197-37.952-1.767-42.908,9.941   c10.96,2.688,32.146,1.636,44.573,1.024l6.034,30.546c-9.447,2.288-19.868,5.121-24.487,12.628   c8.59,6.132,16.309,1.044,29.521-1.224l14.627,25.021c-53.778,13.591-40.728,78.297-42.583,86.06   c-10.175,42.592,17.514,72.164,52.254,72.25c-2.861,19.207-3.144,33.872,7.57,47.5c11.815,15.03,13.981-0.472,31.956,26.832   c35.318,53.653,76.482,34.928,132.164,38.158c17.63,1.023,37.776,3.35,55.837,0.789c53.932-7.648,54.283-48.806,60.972-55.092   c7.945-7.466,21.095-3.138,30.292-24.166c8.297-18.975,2.807-26.888-3.646-42.196c8.514-7.477,17.361-12.97,21.552-28.01   c1.768-6.341,4.789-41.165,3.052-46.486c-6.971-21.357-33.564-13.365-57.996-40.628c5.361-7.506,35.836-22.02,47.945-43.458   c15.727,2.392,24.788,11.624,42.036,7.878c-2.531-12.558-22.488-15.96-33.965-20.678l9.886-27.934L662.758,394.325L662.758,394.325   z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M528.299,533.62c3.671,18.051-3.094,26.064-15.697,33.326   c-28.418,16.373-53.105-43.415-18.874-37.698c15.396,2.572,2.06,4.182,16.981,0.372   C518.471,527.637,523.897,531.193,528.299,533.62L528.299,533.62z M433.392,523.707c2.628,11.741-0.872,1.061,8.915,9.772   c29.314-12.707,35.665,10.324,17.525,26.945c-5.496,5.036-13.325,12.225-21.321,9.017l-15.141-10.297   c-3.386-3.897-1.98-2.882-2.909-4.876c-10.029,15.185-34.626,34.372-52.921,44.167c-7.553,4.044-27.57,15.621-34.619,15.402   c-5.815-0.181-29.299-10.988-32.672-13.203c-25.306,23.583,6.621,79.467,51.236,26.629c5.317,10.959,13.609,21.447,29.624,21.427   c18.815-0.021,21.266-10.823,29.345-20.117c4.804,12.796,12.348,20.693,31.648,19.904c23.587-0.963,26.623-15.021,32.185-20.531   c3.465,11.693,12.363,21.841,28.635,21.074c15.578-0.734,21.764-11.239,28.129-21.279c45.076,56.05,88.353-17.474,40.312-35.839   c-14.512-5.548-12.315-7.968-17.95-21.844c-10.003-24.634-26.579-55.007-36.154-81.632c-26.145,0.125-33.879,3.513-36.617,17.511   c-0.641,3.278-0.871,6.677-1.638,10.782l-43.668-0.103L433.392,523.707L433.392,523.707z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M331.592,476.294c-18.809-42.82-96.604-35.242-92.017,38.08   c14.414-0.971,23.032-4.571,33.472,3.877c8.349,6.755,7.968,17.704,14.285,23.536c8.114,7.493,14.454,6.364,18.946,19.1   c5.538,15.703-1.12,17.912-2.999,30.068c7.863,5.641,26.95,15.449,35.69,12.38c27.73-9.733,70.595-39.558,82.785-72.663   c11.51-31.26,6.036-62.263-16.911-74.908c-11.18-6.161-30.379-7.333-43.662-2.44C341.289,460.65,347.627,471.603,331.592,476.294   L331.592,476.294z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M484.482,261.464l-0.592-15.888   c-25.605-18.649-9.65-43.844,15.363-35.501c8.91,2.972,8.514,5.068,16.9-1.652c-3.578-12.39-23.36-34.648-32.767-39.298   c-21.719-10.734-34.764,12.77-41.647,24.121c-8.147,13.436-18.606,38.846-11.284,58.345   C437.747,271.016,464.76,265.337,484.482,261.464L484.482,261.464z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M331.574,660.314c12.901,40.87,55.696,50.349,104.979,38.084   l0.564-37.821c-11.021-1.971-13.024-2.754-22.829-6.238c-19.354-6.877-16.94,20.355-64.702-7.088   C341.641,650.695,335.302,655.066,331.574,660.314L331.574,660.314z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M451.21,699.589c41.354,9.132,94.291,7.424,100.968-44.431   c-7.318-3.302-8.449-6.681-17.632-9.184c-7.651,5.238-15.957,13.37-29.434,14.923c-12.907,1.486-25.305-3.207-30.945-11.085   l-23.02,8.976L451.21,699.589L451.21,699.589z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M561.845,229.596c3.25,21.411,5.026,17.535,10.011,21.457   c16.471,12.959,9.476,33.091-11.292,31.771c-4.756-0.302-8.393-3.068-17.478,3.367c-4.847,3.433-2.338,1.63-4.844,4.203   c18.435,36.575,59.283,13.519,72.495-9.953c6.711-11.922,11.249-32.157,1.295-44.401   C602.342,224.117,579.415,227.811,561.845,229.596L561.845,229.596z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M234.464,551.02c4.624,52.403,74.344,52.772,63.324,14.023   c-3.779-13.288-12.514-10.754-19.082-16.726c-5.977-5.434-4.917-17.385-11.087-22.532   C252.161,512.888,232.564,529.485,234.464,551.02L234.464,551.02z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M517.045,223.697c-10.651,4.191-11.864,3.626-17.04,13.143   c-13.344,24.537,11.578,52.413,37.314,41.302C570.654,263.748,552.081,209.912,517.045,223.697L517.045,223.697z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M574.406,512.966c-13.96,22.432-20.649,14.065-14.712,31.615   c4.283,12.663,8.624,27.641,13.486,39.197c27.763-1.382,29.393-12.047,31.957-36.935   C606.012,538.347,619.161,515.039,574.406,512.966L574.406,512.966z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M526.779,193.917c3.296,25.654,13.083,11.079,25.794,27.887   c16.406-0.711,28.327-4.659,47.367-4.729C597.603,157.307,561.271,175.445,526.779,193.917L526.779,193.917z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M662.758,387.597v-39.415l-27.897,5.235l-2.491,28.326   C643.042,383.179,653.755,385.111,662.758,387.597L662.758,387.597z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M521.935,536.395c-4.506-4.056-9.862-1.491-14.759,1.987   l-4.157,3.004c-6.135-4.078-8.943-7.591-19.683-5.897c-4.615,16.121,7.963,25.026,19.683,29.458   C511.76,561.684,530.207,550.567,521.935,536.395L521.935,536.395z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M426.814,412.3c6.238-12.577,19.798-12.366,26.258,0   C449.4,427.784,430.41,427.511,426.814,412.3L426.814,412.3z M461.715,421.926c12.074-25.571-33.011-33.679-41.93-16.99   C405.046,432.513,454.714,436.754,461.715,421.926L461.715,421.926z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M424.888,544.725c0.663,12.806,8.046,14.49,17.179,19.901   c11.273-2.908,24.855-13.696,21.112-28.41c-13.221-3.378-13.231-1.042-20.658,5.515c-4.706-4.96-3.203-5.542-11.825-7.043   L424.888,544.725L424.888,544.725z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#370625\",\"d\":\"M483.336,535.49c10.739-1.694,13.547,1.819,19.683,5.897   l4.157-3.004c4.897-3.479,10.253-6.043,14.759-1.987c8.272,14.172-10.175,25.289-18.916,28.552   C491.299,560.516,478.721,551.611,483.336,535.49L483.336,535.49z M528.299,533.62c-4.402-2.426-9.829-5.983-17.589-4   c-14.921,3.811-1.585,2.2-16.981-0.372c-34.231-5.717-9.544,54.07,18.874,37.698C525.206,559.683,531.97,551.671,528.299,533.62   L528.299,533.62z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M542.105,396.246c13.146-18.414,1.896-43.312-13.598-34.35   C519.543,367.081,513.468,401.132,542.105,396.246L542.105,396.246z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M327.148,389.179c1.018,7.159,8.364,16.099,16.698,13.223   c6.672-2.301,10.941-11.186,9.838-21.311C351.077,357.14,323.436,363.087,327.148,389.179L327.148,389.179z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#370625\",\"d\":\"M430.695,534.687c8.622,1.501,7.119,2.084,11.825,7.043   c7.427-6.557,7.437-8.893,20.658-5.515c3.743,14.713-9.839,25.501-21.112,28.41c-9.133-5.411-16.516-7.095-17.179-19.901   c-0.442,0.578-1.063,1.206-1.358,1.709l-3.068,7.835c0.929,1.994-0.477,0.979,2.909,4.876l15.141,10.297   c7.996,3.207,15.824-3.981,21.321-9.017c18.139-16.621,11.789-39.652-17.525-26.945c-9.787-8.711-6.288,1.969-8.915-9.772   c-0.273,0.646-0.668,1.375-0.843,1.93c-0.179,0.567-0.55,1.385-0.735,2.024c-0.195,0.673-0.373,1.582-0.537,2.201   C431.125,530.436,430.765,533.99,430.695,534.687L430.695,534.687z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M552.533,491.042c-6.659-5.346-8.903-7.905-17.744-4.605   c0.2,8.727,11.219,26.086,16.572,34.078c6.209-4.781,11.889-11.496,17.819-17.049C563.751,499.567,559.327,496.497,552.533,491.042   L552.533,491.042z\"}},{\"nE\":\"polygon\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"points\":\"437.968,508.351 472.883,508.046 474.814,495.654    437.306,495.698 437.968,508.351  \"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ECCA61\",\"d\":\"M426.814,412.3c3.596,15.212,22.585,15.484,26.258,0   C446.613,399.933,433.052,399.723,426.814,412.3L426.814,412.3z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M484.103,236.769l13.899-20.482l-14.319,0.072   C478.599,226.072,475.966,228.49,484.103,236.769L484.103,236.769z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FA2CA1\",\"stroke\":\"#E94689\",\"stroke-width\":\"0.7719\",\"stroke-miterlimit\":\"22.9256\",\"d\":\"   M558.668,275.926c8.628-0.416,8.593-0.801,13.643-4.449c1.864-10.408,2.252-12.962-6.237-16.017L558.668,275.926L558.668,275.926z\"}}]}]}", "hello-kitty", "", "publish", "closed", "closed", "", "hello-kitty", "", "", "2024-08-03 01:03:25", "2024-08-03 01:03:25", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/kadence_custom_svg/hello-kitty/", "0", "kadence_custom_svg", "application/json", "0");
INSERT INTO `wp_posts` VALUES("718", "1", "2024-08-03 01:05:40", "2024-08-03 01:05:40", "{\"vB\":\"0 0 864 864\",\"cD\":[{\"nE\":\"g\",\"aBs\":[],\"children\":[{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M461.715,421.926c-7.002,14.828-56.669,10.588-41.93-16.99   C428.705,388.247,473.789,396.355,461.715,421.926L461.715,421.926z M327.148,389.179c-3.711-26.092,23.929-32.039,26.536-8.088   c1.103,10.125-3.165,19.009-9.838,21.311C335.512,405.278,328.166,396.337,327.148,389.179L327.148,389.179z M542.105,396.246   c-28.638,4.885-22.562-29.165-13.598-34.35C544.001,352.934,555.251,377.833,542.105,396.246L542.105,396.246z M270.795,262.359   l13.527,0.174c-1.403,20.766-36.49,45.909-26.802,102.984c6.587,0.514,16.309,0.472,21.917,3.148   c7.28,3.473,2.258,0.729,4.826,3.698c-6.539,5.229-15.949,3.711-25.608,3.806l6.956,27.688c10.053-0.652,12.374-2.489,20.75,1.535   c-2.582,10.831-4.969,4.466-14.425,11.109l14.017,20.78l20.806-5.956c2.578,4.786,1.31,4.34-0.05,10.191   c14.05,2.49,22.532,9.6,26.88,18.338c7.476-3.438,1.03,0.165,6.63-4.206c6.177-4.821,7.43-8.671,19.013-12.654   c27.687-9.518,70.406,4.835,75.825,39.18c32.767-0.179,65.52-2.305,95.594-10.766c25.94-7.299,57.888-23.372,64.601-40.193   c-8.819-6.632-4.856,0.915-8.212-9.28l16.291-2.447c4.016-6.361,8.504-15.263,11.385-24.004c-4.866-4.495-7.789-1.021-11.322-8.407   c7.425-6.252,6.434-2.583,14.756-6.306l3.361-26.742c-11.55,1.344-24.988,5.057-34.276,2.061   c6.284-12.863,22.366-7.656,33.918-15.253c-0.152-15.836-2.847-27.51-10.942-37.07c-18.39,6.859-38.48,33.398-65.176,7.676   c-9.931-9.569-9.782-17.396-27.12-20.976c-18.223-3.761-20.873-10.265-29.609-18.962c-51.749,11.504-77.79,6.915-65.867-64.755   c-22.475-2.88-36.529,5.238-55.988,6.896c-16.107,1.373-35.76-9.484-49.713-14.413C266.4,181.455,263.148,220.216,270.795,262.359   L270.795,262.359z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M451.21,699.589l-0.062-40.8l23.02-8.976   c5.64,7.878,18.038,12.571,30.945,11.085c13.476-1.553,21.783-9.685,29.434-14.923c9.183,2.502,10.314,5.881,17.632,9.184   C545.501,707.013,492.564,708.721,451.21,699.589L451.21,699.589z M331.574,660.314c3.728-5.248,10.067-9.619,18.012-13.063   c47.762,27.442,45.348,0.211,64.702,7.088c9.806,3.484,11.808,4.267,22.829,6.238l-0.564,37.821   C387.27,710.663,344.476,701.184,331.574,660.314L331.574,660.314z M420.461,554.269l3.068-7.835   c0.296-0.502,0.917-1.13,1.358-1.709l5.807-10.037c0.07-0.697,0.43-4.251,0.581-4.826c0.164-0.619,0.341-1.529,0.537-2.201   c0.185-0.639,0.556-1.457,0.735-2.024c0.175-0.555,0.569-1.283,0.843-1.93l1.944-7.09l43.668,0.103   c0.767-4.105,0.997-7.504,1.638-10.782c2.738-13.998,10.472-17.387,36.617-17.511c9.575,26.625,26.151,56.998,36.154,81.632   c5.635,13.876,3.438,16.296,17.95,21.844c48.041,18.365,4.764,91.889-40.312,35.839c-6.365,10.04-12.551,20.545-28.129,21.279   c-16.271,0.767-25.169-9.381-28.635-21.074c-5.562,5.51-8.598,19.567-32.185,20.531c-19.3,0.789-26.844-7.108-31.648-19.904   c-8.078,9.295-10.53,20.096-29.345,20.117c-16.015,0.019-24.307-10.468-29.624-21.427c-44.615,52.838-76.542-3.046-51.236-26.629   c3.373,2.215,26.857,13.022,32.672,13.203c7.049,0.219,27.066-11.358,34.619-15.402   C385.835,588.641,410.432,569.453,420.461,554.269L420.461,554.269z M234.464,551.02c-1.9-21.536,17.696-38.132,33.154-25.236   c6.17,5.147,5.11,17.098,11.087,22.532c6.568,5.972,15.303,3.438,19.082,16.726C308.808,603.793,239.089,603.423,234.464,551.02   L234.464,551.02z M574.406,512.966c44.755,2.073,31.607,25.381,30.73,33.877c-2.564,24.888-4.194,35.553-31.957,36.935   c-4.861-11.556-9.203-26.534-13.486-39.197C553.756,527.031,560.446,535.398,574.406,512.966L574.406,512.966z M331.592,476.294   c16.035-4.691,9.697-15.644,29.587-22.97c13.283-4.893,32.482-3.721,43.662,2.44c22.948,12.645,28.422,43.648,16.911,74.908   c-12.19,33.105-55.055,62.93-82.785,72.663c-8.74,3.068-27.827-6.739-35.69-12.38c1.879-12.156,8.537-14.365,2.999-30.068   c-4.492-12.735-10.832-11.607-18.946-19.1c-6.317-5.833-5.936-16.782-14.285-23.536c-10.44-8.447-19.058-4.848-33.472-3.877   C234.988,441.052,312.783,433.474,331.592,476.294L331.592,476.294z M437.306,495.698l37.508-0.044l-1.931,12.393l-34.915,0.305   L437.306,495.698L437.306,495.698z M534.789,486.437c8.841-3.3,11.085-0.741,17.744,4.605c6.794,5.456,11.219,8.525,16.647,12.424   c-5.93,5.553-11.61,12.268-17.819,17.049C546.007,512.522,534.988,495.163,534.789,486.437L534.789,486.437z M566.074,255.46   c8.489,3.055,8.101,5.609,6.237,16.017c-5.05,3.648-5.014,4.033-13.643,4.449L566.074,255.46L566.074,255.46z M517.045,223.697   c35.035-13.784,53.608,40.052,20.273,54.445c-25.735,11.111-50.657-16.764-37.314-41.302   C505.182,227.323,506.394,227.887,517.045,223.697L517.045,223.697z M543.087,286.19c9.084-6.435,12.722-3.669,17.478-3.367   c20.768,1.32,27.762-18.812,11.292-31.771c-4.985-3.921-6.762-0.046-10.011-21.457c17.57-1.785,40.497-5.479,50.187,6.442   c9.954,12.245,5.416,32.48-1.295,44.401c-13.212,23.473-54.06,46.529-72.495,9.953C540.749,287.82,538.24,289.623,543.087,286.19   L543.087,286.19z M484.103,236.769c-8.137-8.279-5.503-10.697-0.42-20.41l14.319-0.072L484.103,236.769L484.103,236.769z    M270.795,262.359c-7.648-42.143-4.395-80.905,45.943-63.124c13.954,4.928,33.606,15.785,49.713,14.413   c19.459-1.658,33.513-9.776,55.988-6.896c-11.923,71.67,14.118,76.259,65.867,64.755c8.736,8.696,11.386,15.201,29.609,18.962   c17.338,3.58,17.189,11.407,27.12,20.976c26.697,25.722,46.786-0.818,65.176-7.676c8.095,9.56,10.79,21.235,10.942,37.07   c-11.552,7.597-27.634,2.391-33.918,15.253c9.288,2.995,22.726-0.717,34.276-2.061l-3.361,26.742   c-8.321,3.723-7.331,0.054-14.756,6.306c3.533,7.386,6.456,3.912,11.322,8.407c-2.881,8.741-7.368,17.643-11.385,24.004   l-16.291,2.447c3.356,10.194-0.607,2.648,8.212,9.28c-6.713,16.821-38.661,32.894-64.601,40.193   c-30.074,8.461-62.826,10.586-95.594,10.766c-5.418-34.345-48.137-48.697-75.825-39.18c-11.583,3.983-12.836,7.833-19.013,12.654   c-5.6,4.371,0.846,0.768-6.63,4.206c-4.348-8.738-12.83-15.848-26.88-18.338c1.359-5.852,2.628-5.405,0.05-10.191l-20.806,5.956   l-14.017-20.78c9.456-6.643,11.843-0.278,14.425-11.109c-8.376-4.024-10.697-2.187-20.75-1.535l-6.956-27.688   c9.659-0.094,19.069,1.423,25.608-3.806c-2.568-2.969,2.454-0.225-4.826-3.698c-5.609-2.676-15.33-2.635-21.917-3.148   c-9.688-57.076,25.399-82.218,26.802-102.984L270.795,262.359L270.795,262.359z M484.482,261.464   c-19.721,3.873-46.734,9.552-54.028-9.874c-7.322-19.499,3.137-44.909,11.284-58.345c6.883-11.35,19.928-34.855,41.647-24.121   c9.407,4.65,29.19,26.908,32.767,39.298c-8.386,6.72-7.99,4.624-16.9,1.652c-25.013-8.343-40.967,16.853-15.363,35.501   L484.482,261.464L484.482,261.464z M526.779,193.917c34.492-18.472,70.824-36.611,73.161,23.157   c-19.041,0.071-30.961,4.018-47.367,4.729C539.862,204.996,530.075,219.572,526.779,193.917L526.779,193.917z M662.758,394.325   v-6.727c-9.002-2.487-19.715-4.418-30.388-5.855l2.491-28.326l27.897-5.235v-8.116c-38.471-0.123-24.276,3.446-32.828-25.254   c-2.215-7.434-5.47-13.417-7.309-20.077c-3.304-11.96,9.225-25.131,8.41-44.147c-0.857-19.969-12.443-20.153-15.849-40.655   c-15.699-94.502-75.152-25.002-100.491-33.935c-3.112-1.096-42.923-45.635-74.135-2.694c-14.217,19.559-8.306,15.942-37.183,19.559   c-14.747,1.847-36.532,6.209-50.85,4c-23.79-3.67-66.361-32.53-84.83-9.339c-16.864,21.178-21.447,58.281-9.378,89.221   c4.075,10.448-8.451,25.442-11.812,38.667c-4.911,19.324-2.431,31.578-2.958,51.156c-12.401,0.197-37.952-1.767-42.908,9.941   c10.96,2.688,32.146,1.636,44.573,1.024l6.034,30.546c-9.447,2.288-19.868,5.121-24.487,12.628   c8.59,6.132,16.309,1.044,29.521-1.224l14.627,25.021c-53.778,13.591-40.728,78.297-42.583,86.06   c-10.175,42.592,17.514,72.164,52.254,72.25c-2.861,19.207-3.144,33.872,7.57,47.5c11.815,15.03,13.981-0.472,31.956,26.832   c35.318,53.653,76.482,34.928,132.164,38.158c17.63,1.023,37.776,3.35,55.837,0.789c53.932-7.648,54.283-48.806,60.972-55.092   c7.945-7.466,21.095-3.138,30.292-24.166c8.297-18.975,2.807-26.888-3.646-42.196c8.514-7.477,17.361-12.97,21.552-28.01   c1.768-6.341,4.789-41.165,3.052-46.486c-6.971-21.357-33.564-13.365-57.996-40.628c5.361-7.506,35.836-22.02,47.945-43.458   c15.727,2.392,24.788,11.624,42.036,7.878c-2.531-12.558-22.488-15.96-33.965-20.678l9.886-27.934L662.758,394.325L662.758,394.325   z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M528.299,533.62c3.671,18.051-3.094,26.064-15.697,33.326   c-28.418,16.373-53.105-43.415-18.874-37.698c15.396,2.572,2.06,4.182,16.981,0.372   C518.471,527.637,523.897,531.193,528.299,533.62L528.299,533.62z M433.392,523.707c2.628,11.741-0.872,1.061,8.915,9.772   c29.314-12.707,35.665,10.324,17.525,26.945c-5.496,5.036-13.325,12.225-21.321,9.017l-15.141-10.297   c-3.386-3.897-1.98-2.882-2.909-4.876c-10.029,15.185-34.626,34.372-52.921,44.167c-7.553,4.044-27.57,15.621-34.619,15.402   c-5.815-0.181-29.299-10.988-32.672-13.203c-25.306,23.583,6.621,79.467,51.236,26.629c5.317,10.959,13.609,21.447,29.624,21.427   c18.815-0.021,21.266-10.823,29.345-20.117c4.804,12.796,12.348,20.693,31.648,19.904c23.587-0.963,26.623-15.021,32.185-20.531   c3.465,11.693,12.363,21.841,28.635,21.074c15.578-0.734,21.764-11.239,28.129-21.279c45.076,56.05,88.353-17.474,40.312-35.839   c-14.512-5.548-12.315-7.968-17.95-21.844c-10.003-24.634-26.579-55.007-36.154-81.632c-26.145,0.125-33.879,3.513-36.617,17.511   c-0.641,3.278-0.871,6.677-1.638,10.782l-43.668-0.103L433.392,523.707L433.392,523.707z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M331.592,476.294c-18.809-42.82-96.604-35.242-92.017,38.08   c14.414-0.971,23.032-4.571,33.472,3.877c8.349,6.755,7.968,17.704,14.285,23.536c8.114,7.493,14.454,6.364,18.946,19.1   c5.538,15.703-1.12,17.912-2.999,30.068c7.863,5.641,26.95,15.449,35.69,12.38c27.73-9.733,70.595-39.558,82.785-72.663   c11.51-31.26,6.036-62.263-16.911-74.908c-11.18-6.161-30.379-7.333-43.662-2.44C341.289,460.65,347.627,471.603,331.592,476.294   L331.592,476.294z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M484.482,261.464l-0.592-15.888   c-25.605-18.649-9.65-43.844,15.363-35.501c8.91,2.972,8.514,5.068,16.9-1.652c-3.578-12.39-23.36-34.648-32.767-39.298   c-21.719-10.734-34.764,12.77-41.647,24.121c-8.147,13.436-18.606,38.846-11.284,58.345   C437.747,271.016,464.76,265.337,484.482,261.464L484.482,261.464z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M331.574,660.314c12.901,40.87,55.696,50.349,104.979,38.084   l0.564-37.821c-11.021-1.971-13.024-2.754-22.829-6.238c-19.354-6.877-16.94,20.355-64.702-7.088   C341.641,650.695,335.302,655.066,331.574,660.314L331.574,660.314z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M451.21,699.589c41.354,9.132,94.291,7.424,100.968-44.431   c-7.318-3.302-8.449-6.681-17.632-9.184c-7.651,5.238-15.957,13.37-29.434,14.923c-12.907,1.486-25.305-3.207-30.945-11.085   l-23.02,8.976L451.21,699.589L451.21,699.589z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M561.845,229.596c3.25,21.411,5.026,17.535,10.011,21.457   c16.471,12.959,9.476,33.091-11.292,31.771c-4.756-0.302-8.393-3.068-17.478,3.367c-4.847,3.433-2.338,1.63-4.844,4.203   c18.435,36.575,59.283,13.519,72.495-9.953c6.711-11.922,11.249-32.157,1.295-44.401   C602.342,224.117,579.415,227.811,561.845,229.596L561.845,229.596z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M234.464,551.02c4.624,52.403,74.344,52.772,63.324,14.023   c-3.779-13.288-12.514-10.754-19.082-16.726c-5.977-5.434-4.917-17.385-11.087-22.532   C252.161,512.888,232.564,529.485,234.464,551.02L234.464,551.02z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M517.045,223.697c-10.651,4.191-11.864,3.626-17.04,13.143   c-13.344,24.537,11.578,52.413,37.314,41.302C570.654,263.748,552.081,209.912,517.045,223.697L517.045,223.697z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M574.406,512.966c-13.96,22.432-20.649,14.065-14.712,31.615   c4.283,12.663,8.624,27.641,13.486,39.197c27.763-1.382,29.393-12.047,31.957-36.935   C606.012,538.347,619.161,515.039,574.406,512.966L574.406,512.966z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M526.779,193.917c3.296,25.654,13.083,11.079,25.794,27.887   c16.406-0.711,28.327-4.659,47.367-4.729C597.603,157.307,561.271,175.445,526.779,193.917L526.779,193.917z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"d\":\"M662.758,387.597v-39.415l-27.897,5.235l-2.491,28.326   C643.042,383.179,653.755,385.111,662.758,387.597L662.758,387.597z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M521.935,536.395c-4.506-4.056-9.862-1.491-14.759,1.987   l-4.157,3.004c-6.135-4.078-8.943-7.591-19.683-5.897c-4.615,16.121,7.963,25.026,19.683,29.458   C511.76,561.684,530.207,550.567,521.935,536.395L521.935,536.395z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M426.814,412.3c6.238-12.577,19.798-12.366,26.258,0   C449.4,427.784,430.41,427.511,426.814,412.3L426.814,412.3z M461.715,421.926c12.074-25.571-33.011-33.679-41.93-16.99   C405.046,432.513,454.714,436.754,461.715,421.926L461.715,421.926z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M424.888,544.725c0.663,12.806,8.046,14.49,17.179,19.901   c11.273-2.908,24.855-13.696,21.112-28.41c-13.221-3.378-13.231-1.042-20.658,5.515c-4.706-4.96-3.203-5.542-11.825-7.043   L424.888,544.725L424.888,544.725z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#370625\",\"d\":\"M483.336,535.49c10.739-1.694,13.547,1.819,19.683,5.897   l4.157-3.004c4.897-3.479,10.253-6.043,14.759-1.987c8.272,14.172-10.175,25.289-18.916,28.552   C491.299,560.516,478.721,551.611,483.336,535.49L483.336,535.49z M528.299,533.62c-4.402-2.426-9.829-5.983-17.589-4   c-14.921,3.811-1.585,2.2-16.981-0.372c-34.231-5.717-9.544,54.07,18.874,37.698C525.206,559.683,531.97,551.671,528.299,533.62   L528.299,533.62z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M542.105,396.246c13.146-18.414,1.896-43.312-13.598-34.35   C519.543,367.081,513.468,401.132,542.105,396.246L542.105,396.246z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#090506\",\"d\":\"M327.148,389.179c1.018,7.159,8.364,16.099,16.698,13.223   c6.672-2.301,10.941-11.186,9.838-21.311C351.077,357.14,323.436,363.087,327.148,389.179L327.148,389.179z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#370625\",\"d\":\"M430.695,534.687c8.622,1.501,7.119,2.084,11.825,7.043   c7.427-6.557,7.437-8.893,20.658-5.515c3.743,14.713-9.839,25.501-21.112,28.41c-9.133-5.411-16.516-7.095-17.179-19.901   c-0.442,0.578-1.063,1.206-1.358,1.709l-3.068,7.835c0.929,1.994-0.477,0.979,2.909,4.876l15.141,10.297   c7.996,3.207,15.824-3.981,21.321-9.017c18.139-16.621,11.789-39.652-17.525-26.945c-9.787-8.711-6.288,1.969-8.915-9.772   c-0.273,0.646-0.668,1.375-0.843,1.93c-0.179,0.567-0.55,1.385-0.735,2.024c-0.195,0.673-0.373,1.582-0.537,2.201   C431.125,530.436,430.765,533.99,430.695,534.687L430.695,534.687z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ED89C1\",\"d\":\"M552.533,491.042c-6.659-5.346-8.903-7.905-17.744-4.605   c0.2,8.727,11.219,26.086,16.572,34.078c6.209-4.781,11.889-11.496,17.819-17.049C563.751,499.567,559.327,496.497,552.533,491.042   L552.533,491.042z\"}},{\"nE\":\"polygon\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FEFEFE\",\"points\":\"437.968,508.351 472.883,508.046 474.814,495.654    437.306,495.698 437.968,508.351  \"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#ECCA61\",\"d\":\"M426.814,412.3c3.596,15.212,22.585,15.484,26.258,0   C446.613,399.933,433.052,399.723,426.814,412.3L426.814,412.3z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#E94689\",\"d\":\"M484.103,236.769l13.899-20.482l-14.319,0.072   C478.599,226.072,475.966,228.49,484.103,236.769L484.103,236.769z\"}},{\"nE\":\"path\",\"aBs\":{\"fill-rule\":\"evenodd\",\"clip-rule\":\"evenodd\",\"fill\":\"#FA2CA1\",\"stroke\":\"#E94689\",\"stroke-width\":\"0.7719\",\"stroke-miterlimit\":\"22.9256\",\"d\":\"   M558.668,275.926c8.628-0.416,8.593-0.801,13.643-4.449c1.864-10.408,2.252-12.962-6.237-16.017L558.668,275.926L558.668,275.926z\"}}]}]}", "Hello Kitty", "", "publish", "closed", "closed", "", "hello-kitty-2", "", "", "2024-08-03 01:05:40", "2024-08-03 01:05:40", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/kadence_custom_svg/hello-kitty-2/", "0", "kadence_custom_svg", "application/json", "0");
INSERT INTO `wp_posts` VALUES("722", "1", "2024-08-03 15:33:33", "2024-08-03 15:33:33", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\nh1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 15:33:33", "2024-08-03 15:33:33", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=722", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("724", "1", "2024-08-03 15:37:48", "2024-08-03 15:37:48", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\nh1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n@media screen and (max-width: 475px) {\\nheader .is-layout-flex {\\ngap: 0px;\\nbackground: pink;\\n}\\n}\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 15:37:48", "2024-08-03 15:37:48", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=724", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("726", "1", "2024-08-03 15:40:34", "2024-08-03 15:40:34", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\nh1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n@media screen and (max-width: 475px) {\\nheader .is-layout-flex {\\ngap: 0px;\\n}\\n}\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 15:40:34", "2024-08-03 15:40:34", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=726", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("729", "1", "2024-08-03 15:42:19", "2024-08-03 15:42:19", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\nh1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n@media screen and (max-width: 475px) {\\nheader .is-layout-flex {\\ncolumn-gap: 0px;\\n}\\n}\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 15:42:19", "2024-08-03 15:42:19", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=729", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("730", "1", "2024-08-03 15:42:37", "2024-08-03 15:42:37", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\nh1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 15:42:37", "2024-08-03 15:42:37", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=730", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("731", "1", "2024-08-03 16:16:34", "2024-08-03 16:16:34", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 16:16:34", "2024-08-03 16:16:34", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=731", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("732", "1", "2024-08-03 16:17:14", "2024-08-03 16:17:14", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 16:17:14", "2024-08-03 16:17:14", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=732", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("735", "1", "2024-08-03 16:20:37", "2024-08-03 16:20:37", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\".home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 6rem) !important;\\n    line-height: 1;\\n}\\n\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 16:20:37", "2024-08-03 16:20:37", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=735", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("752", "1", "2024-08-03 20:25:04", "2024-08-03 20:25:04", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\".home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 6rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n@media screen and (max-width: 440px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 20:25:04", "2024-08-03 20:25:04", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=752", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("753", "1", "2024-08-03 20:31:34", "2024-08-03 20:31:34", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\".home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 6rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 20:31:34", "2024-08-03 20:31:34", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=753", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("754", "1", "2024-08-03 20:55:10", "2024-08-03 20:55:10", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\".home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 6rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-03 20:55:10", "2024-08-03 20:55:10", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=754", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("762", "1", "2024-08-04 00:30:31", "2024-08-04 00:30:31", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat People", "", "inherit", "closed", "closed", "", "211-revision-v1", "", "", "2024-08-04 00:30:31", "2024-08-04 00:30:31", "", "211", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=762", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("763", "1", "2024-08-04 00:30:38", "2024-08-04 00:30:38", "<!-- wp:paragraph -->\n<p>Aut pariatur accusamus eos quisquam tenetur 33 ratione voluptas.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Qui delectus asperiores aut rerum voluptatem <em>Sed quam non dolor nobis</em>. Est aperiam distinctio <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Non pariatur aut autem odio et reiciendis cumque sed repudiandae blanditiis</a> non galisum possimus vel facilis distinctio. Qui quidem dignissimos est galisum veroeum eveniet. Et minima fugiatvel molestias sed excepturi esse.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Cum commodi impedit sit aliquam omnis non necessitatibus saepe id fugiat nihil.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Sit quidem tenetur a quibusdam soluta.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut dolorem voluptas <strong>Aut sequi 33 nulla recusandae et quae repudiandae</strong> qui atque labore ad voluptatem quae et Quis dolor. Eos enim cupiditate in nisi expeditaet quia. Eos expedita rerum <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Qui aliquam eum quam fugit et ratione error</a>. Id dolor iure ad quia veritatissed amet aut deserunt quae!</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">In nisi omnis ut internos mollitia.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Hic sint ipsam 33 quaerat inciduntsed soluta. In tempore natus sed commodi similiquequo corporis id dolorem nobis. Et voluptate exercitationemet esse qui perspiciatis neque. Et totam ipsumAd alias non adipisci autem vel enim tenetur ut consequatur tempore et cumque numquam?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Ab alias tempora et voluptas unde non veniam mollitia.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non voluptatem ducimus <strong>In doloribus sit galisum omnis</strong>. Cum dolorum voluptatem <em>Et totam qui quae quas aut dolorem aperiam</em> aut consectetur voluptas. Aut nesciunt dolore qui dolorem illo <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ea aperiam qui iusto modi qui Quis debitis cum sunt quaerat</a> et nostrum repellat! Qui veniam vitae et aliquam sapienteEst corrupti.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Ut minima saepe aut harum autem ab dolorem similique.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut voluptatem corrupti eum voluptates totam <strong>Vel amet ut modi rerum qui quia quibusdam et voluptatem quaerat</strong>. In laudantium deleniti <em>Et unde aut magni ratione quo fugit accusamus</em>. Aut dolor assumenda aut esse voluptatemUt voluptatum id voluptas nostrum sed rerum fugiat.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul class=\"wp-block-list\"><!-- wp:list-item -->\n<li>Aut voluptatibus maiores et voluptatem ducimus et nihil laborum.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et illum enim est error labore nam repudiandae nisi in voluptas voluptate.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Sed sint internos <strong>Non voluptatem et recusandae unde et tempora fugit ab harum temporibus</strong>. Ad optio quam aut consequatur culpa <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Ut officia eos illum molestiae eos veniam dolor ut quia galisum</a> sed laudantium omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>Qui velit adipisci et ipsa illumQui autem ex corporis fuga id magnam quia. Aut iure reprehenderit est quas nostrum <em>Ea tempore est tempore fugiat</em>.</p>\n<!-- /wp:paragraph -->", "Cat People", "", "inherit", "closed", "closed", "", "211-autosave-v1", "", "", "2024-08-04 00:30:38", "2024-08-04 00:30:38", "", "211", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=763", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("765", "1", "2024-08-04 01:21:21", "2024-08-04 01:21:21", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\/*\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n*\\/\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 6rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 01:21:21", "2024-08-04 01:21:21", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=765", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("766", "1", "2024-08-04 16:03:33", "2024-08-04 16:03:33", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 6rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 16:03:33", "2024-08-04 16:03:33", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=766", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("767", "1", "2024-08-04 16:03:43", "2024-08-04 16:03:43", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"var(--wp--preset--color--vivid-cyan-blue)\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 7rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 16:03:43", "2024-08-04 16:03:43", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=767", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("768", "1", "2024-08-04 17:41:14", "2024-08-04 17:41:14", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.5\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"#0985cd\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 7rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 17:41:14", "2024-08-04 17:41:14", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=768", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("777", "1", "2024-08-04 18:18:55", "2024-08-04 18:18:55", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.55\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"#0985cd\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 7rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"}],\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue.svg\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\",\"preview\":\"https:\\/\\/s.w.org\\/images\\/fonts\\/17.7\\/previews\\/bebas-neue\\/bebas-neue-400-normal.svg\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 18:18:55", "2024-08-04 18:18:55", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=777", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("807", "1", "2024-08-04 19:34:27", "2024-08-04 19:34:27", "", "ibanezDestroyer", "", "inherit", "open", "closed", "", "ibanezdestroyer", "", "", "2024-08-04 19:34:27", "2024-08-04 19:34:27", "", "560", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/wp-content/uploads/2024/07/ibanezDestroyer.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("808", "1", "2024-08-04 19:35:04", "2024-08-04 19:35:04", "<!-- wp:paragraph -->\n<p>The Destroyer is an Ibanez brand electric guitar model (originally) manufactured at the FujiGen musical instrument factory for the Hoshino Gakki Company. The Destroyer model was first introduced by Hoshino Gakki in 1975 and was based on the Gibson Explorer design. The Destroyer has since undergone several design and line changes and has been available in both 6-string and bass versions.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p>The star-shape variant was one of the first eccentrically-shaped guitars at the time with a floating tremolo system, making it a popular choice for the heavy metal and shred musicians of the 1980s.</p>\n<!-- /wp:paragraph -->", "ibanez destroyer", "", "inherit", "closed", "closed", "", "560-autosave-v1", "", "", "2024-08-04 19:35:04", "2024-08-04 19:35:04", "", "560", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=808", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("809", "1", "2024-08-04 20:23:10", "2024-08-04 20:23:10", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.55\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"#0985cd\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 7rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"},\"typography\":{\"fontFamilies\":{\"custom\":[{\"name\":\"Bebas Neue\",\"slug\":\"bebas-neue\",\"fontFamily\":\"\\\"Bebas Neue\\\", sans-serif\",\"fontFace\":[{\"src\":\"http:\\/\\/localhost:8888\\/StarterContent\\/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs\\/wp-content\\/uploads\\/fonts\\/JTUSjIg69CK48gW7PXooxWtrygbi49c.woff2\",\"fontWeight\":\"400\",\"fontStyle\":\"normal\",\"fontFamily\":\"\\\"Bebas Neue\\\"\"}]}]}}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 20:23:10", "2024-08-04 20:23:10", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=809", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("810", "1", "2024-08-04 20:23:10", "2024-08-04 20:23:10", "{\"styles\":{\"typography\":{\"fontFamily\":\"var(--wp--preset--font-family--system-font)\",\"lineHeight\":\"1.55\"},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"},\"color\":{\"text\":\"#0985cd\"},\":hover\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"css\":\"\\n.home h1 {\\n    font-size: clamp(4rem, 10vw, 8rem) !important;\\n    line-height: 1;\\n}\\n\\n\\nh1 {\\n    font-size: clamp(4rem, 5vw, 7rem) !important;\\n    line-height: 1;\\n}\\n\\n\\n.wp-block-cover .wp-block-cover__image-background {\\ntransition: width 1s;}\\n\\n\\n\\n\\n@media screen and (max-width: 700px) {\\n.wp-block-cover .wp-block-cover__image-background {\\nwidth: 200%;\\n}\\n\\n}\\n\"},\"settings\":{\"layout\":{\"contentSize\":\"720px\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 20:23:10", "2024-08-04 20:23:10", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=810", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("811", "1", "2024-08-04 20:23:10", "2024-08-04 20:23:10", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":3}", "Custom Styles", "", "inherit", "closed", "closed", "", "673-revision-v1", "", "", "2024-08-04 20:23:10", "2024-08-04 20:23:10", "", "673", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=811", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("812", "1", "2024-08-06 22:01:04", "2024-08-06 22:01:04", "<!-- wp:template-part {\"slug\":\"header\",\"theme\":\"kevinmcmillan\",\"tagName\":\"header\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"contentSize\":null,\"type\":\"constrained\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\"}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-right:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title {\"style\":{\"typography\":{\"textDecoration\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} /-->\n\n<!-- wp:kadence/advancedheading {\"uniqueID\":\"kevinmcmillan__single_d1b9ba-d8\",\"padding\":[\"0\",\"xxs\",\"0\",\"xxs\"],\"markBorder\":\"\",\"markBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"tabletMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"mobileMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"htmlTag\":\"div\",\"background\":\"#e9edf5\",\"backgroundColorClass\":\"\",\"inQueryBlock\":true,\"fontSize\":[\"md\",\"\",\"\"],\"icon\":\"fas_kiwi-bird\",\"kadenceDynamic\":{\"content\":{\"enable\":true,\"source\":\"\",\"field\":\"post|post_custom_field\",\"custom\":\"\",\"para\":\"acf_meta|rating\",\"before\":\"\",\"after\":\"\",\"fallback\":\"\",\"relate\":\"\",\"relcustom\":\"\",\"shouldReplace\":1,\"showAll\":true}}} -->\n<div class=\"kt-adv-headingkevinmcmillan__single_d1b9ba-d8 wp-block-kadence-advancedheading\" data-kb-block=\"kb-adv-headingkevinmcmillan__single_d1b9ba-d8\"><span data-field=\"post|post_custom_field\" data-para=\"acf_meta|rating\" data-showall=\"true\" class=\"kb-inline-dynamic\">dynamic text placeholder</span></div>\n<!-- /wp:kadence/advancedheading --></div>\n<!-- /wp:group -->\n\n<!-- wp:post-content /-->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"fontSize\":\"small\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group has-small-font-size\" style=\"font-style:normal;font-weight:600\"><!-- wp:kadence/advancedheading {\"uniqueID\":\"kevinmcmillan__single_fdf9b6-a3\",\"fontWeight\":\"inherit\",\"markBorder\":\"\",\"markBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"tabletMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"mobileMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"htmlTag\":\"p\",\"inQueryBlock\":true,\"fontSize\":[\"sm\",\"\",\"\"],\"kadenceDynamic\":{\"content\":{\"enable\":true,\"source\":\"\",\"field\":\"post|post_custom_field\",\"custom\":\"\",\"para\":\"acf_meta|owner_name\",\"before\":\"Owner: \",\"after\":\"\",\"fallback\":\"\",\"relate\":\"\",\"relcustom\":\"\",\"shouldReplace\":1,\"showAll\":true}}} -->\n<p class=\"kt-adv-headingkevinmcmillan__single_fdf9b6-a3 wp-block-kadence-advancedheading\" data-kb-block=\"kb-adv-headingkevinmcmillan__single_fdf9b6-a3\"><span data-field=\"post|post_custom_field\" data-para=\"acf_meta|owner_name\" data-before=\"Owner: \" data-showall=\"true\" class=\"kb-inline-dynamic\">dynamic text placeholder</span></p>\n<!-- /wp:kadence/advancedheading -->\n\n<!-- wp:kadence/advancedheading {\"uniqueID\":\"kevinmcmillan__single_db1ee3-0f\",\"markBorder\":\"\",\"markBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"tabletMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"mobileMarkBorderStyles\":[{\"top\":[null,\"\",\"\"],\"right\":[null,\"\",\"\"],\"bottom\":[null,\"\",\"\"],\"left\":[null,\"\",\"\"],\"unit\":\"px\"}],\"inQueryBlock\":true,\"fontSize\":[\"sm\",\"\",\"\"],\"kadenceDynamic\":{\"content\":{\"enable\":true,\"source\":\"\",\"field\":\"post|post_custom_field\",\"custom\":\"\",\"para\":\"acf_meta|purchase_price\",\"before\":\"Original Price: \",\"after\":\"\",\"fallback\":\"\",\"relate\":\"\",\"relcustom\":\"\",\"shouldReplace\":1}}} -->\n<h2 class=\"kt-adv-headingkevinmcmillan__single_db1ee3-0f wp-block-kadence-advancedheading\" data-kb-block=\"kb-adv-headingkevinmcmillan__single_db1ee3-0f\"><span data-field=\"post|post_custom_field\" data-para=\"acf_meta|purchase_price\" data-before=\"Original Price: \" class=\"kb-inline-dynamic\">dynamic text placeholder</span></h2>\n<!-- /wp:kadence/advancedheading --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"Category: \",\"style\":{\"elements\":{\"link\":{\":hover\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"}}}},\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}},\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"typography\":{\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}},\"backgroundColor\":\"white\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:var(--wp--preset--spacing--50);padding-right:0;padding-bottom:var(--wp--preset--spacing--50);padding-left:0\"><!-- wp:post-navigation-link {\"type\":\"previous\",\"label\":\"Previous Guitar: \",\"showTitle\":true} /-->\n\n<!-- wp:post-navigation-link {\"label\":\"Next Guitar: \",\"showTitle\":true} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></main>\n<!-- /wp:query -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"kevinmcmillan\",\"tagName\":\"footer\"} /-->", "Single Posts", "Displays a single post on your website unless a custom template has been applied to that post or a dedicated template exists.", "publish", "closed", "closed", "", "single", "", "", "2024-08-06 22:01:04", "2024-08-06 22:01:04", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/single/", "0", "wp_template", "", "0");
INSERT INTO `wp_posts` VALUES("813", "1", "2024-08-31 23:29:30", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2024-08-31 23:29:30", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/?p=813", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("814", "1", "2024-08-31 23:33:13", "2024-08-31 23:33:13", "{\"version\": 3, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-deleteme", "", "", "2024-08-31 23:33:13", "2024-08-31 23:33:13", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/wp-global-styles-deleteme/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("815", "1", "2024-08-31 23:33:26", "2024-08-31 23:33:26", "<!-- wp:page-list /-->", "Navigation", "", "publish", "closed", "closed", "", "navigation", "", "", "2024-08-31 23:33:26", "2024-08-31 23:33:26", "", "0", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs/lovers/navigation/", "0", "wp_navigation", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("80", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("81", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("86", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("88", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("91", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("92", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("95", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("96", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("97", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("98", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("99", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("103", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("137", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("138", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("139", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("140", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("141", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("142", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("143", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("144", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("145", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("146", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("147", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("160", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("161", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("162", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("163", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("164", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("165", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("166", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("167", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("168", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("169", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("170", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("171", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("188", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("189", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("190", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("191", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("192", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("193", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("194", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("195", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("196", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("197", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("198", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("199", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("200", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("201", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("202", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("203", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("204", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("205", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("206", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("207", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("208", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("209", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("210", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("211", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("329", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("559", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("560", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("563", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("566", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("567", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("568", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("587", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("588", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("589", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("590", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("668", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("669", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("672", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("672", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("673", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("812", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("814", "17", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "company", "The Fender Musical Instruments Corporation is an American manufacturer and marketer of musical instruments and amplifiers. Fender produces acoustic guitars, bass amplifiers and public address equipment; however, it is best known for its solid-body electric guitars and bass guitars, particularly the Stratocaster, Telecaster, Jaguar, Jazzmaster, Precision Bass, and the Jazz Bass. The company was founded in Fullerton, California, by Clarence Leonidas \"Leo\" Fender in 1946.", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "company", "Gibson Brands Inc. (formerly Gibson Guitar Corporation) is an American manufacturer of guitars, other musical instruments, and professional audio equipment from Kalamazoo, Michigan, and now based in Nashville, Tennessee. The company was formerly known as Gibson Guitar Corporation and renamed Gibson Brands Inc. on June 11, 2013. Orville Gibson started making instruments in 1894 and founded the company in 1902 as the Gibson Mandolin-Guitar Mfg. Co. Ltd. in Kalamazoo, Michigan.", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "company", "Music Man is an American guitar and bass guitar manufacturer. Originally formed in 1971 by Forrest White and Tom Walker, along with Leo Fender as a silent partner, the company started manufacturing electric and bass guitars under the Music Man name in 1974. In 1984 it was acquired by Ernie Ball, the subsidiary of which is branded as Ernie Ball Music Man.", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "company", "Ibanez (アイバニーズ, Aibanīzu) is a Japanese guitar brand owned by Hoshino Gakki. Based in Nagoya, Aichi, Japan, Hoshino Gakki were one of the first Japanese musical instrument companies to gain a significant foothold in import guitar sales in the United States and Europe, as well as the first brand of guitars to mass-produce the seven-string guitar and eight-string guitar. Ibanez manufactures effects, accessories, amps, and instruments in Japan, China, Indonesia, and the United States (at a Los Angeles-based custom shop). As of 2017 they marketed nearly 165 models of bass guitar, 130 acoustic guitars, and more than 300 electric guitars. After Gibson and Fender, Ibanez is considered the third biggest guitar brand.", "0", "5");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "category", "On the fence (idiom): not able to decide something.", "0", "14");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "category", "For the full Guitar Kitty experience, don\'t forget to get the matching strap—and the VERY hard to find gig bag!", "0", "18");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "category", "You just don\'t like it. And you don\'t like that other people like it. Lots of other people.", "0", "16");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "wp_theme", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "wp_template_part_area", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "wp_template_part_area", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "wp_theme", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "wp_theme", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "wp_theme", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("2", "twentytwentyfour", "twentytwentyfour", "0");
INSERT INTO `wp_terms` VALUES("3", "Fender", "fender", "0");
INSERT INTO `wp_terms` VALUES("4", "Gibson", "gibson", "0");
INSERT INTO `wp_terms` VALUES("5", "Music Man", "music-man", "0");
INSERT INTO `wp_terms` VALUES("6", "Ibanez", "ibanez", "0");
INSERT INTO `wp_terms` VALUES("7", "On the Fence", "on-the-fence", "0");
INSERT INTO `wp_terms` VALUES("9", "Lovers", "lovers", "0");
INSERT INTO `wp_terms` VALUES("10", "Haters", "haters", "0");
INSERT INTO `wp_terms` VALUES("12", "guitarkitty", "guitarkitty", "0");
INSERT INTO `wp_terms` VALUES("13", "header", "header", "0");
INSERT INTO `wp_terms` VALUES("14", "footer", "footer", "0");
INSERT INTO `wp_terms` VALUES("15", "twentytwentythree", "twentytwentythree", "0");
INSERT INTO `wp_terms` VALUES("16", "kevinmcmillan", "kevinmcmillan", "0");
INSERT INTO `wp_terms` VALUES("17", "deleteme", "deleteme", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "813");
INSERT INTO `wp_usermeta` VALUES("18", "1", "closedpostboxes_acf-field-group", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("19", "1", "metaboxhidden_acf-field-group", "a:1:{i:0;s:7:\"slugdiv\";}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "manageedit-acf-taxonomycolumnshidden", "a:1:{i:0;s:7:\"acf-key\";}");
INSERT INTO `wp_usermeta` VALUES("21", "1", "acf_user_settings", "a:1:{s:20:\"taxonomies-first-run\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wp_user-settings", "libraryContent=browse&posts_list_mode=list");
INSERT INTO `wp_usermeta` VALUES("23", "1", "wp_user-settings-time", "1721954000");
INSERT INTO `wp_usermeta` VALUES("24", "1", "wp_persisted_preferences", "a:9:{s:14:\"core/edit-site\";a:3:{s:12:\"welcomeGuide\";b:0;s:18:\"welcomeGuideStyles\";b:0;s:16:\"welcomeGuidePage\";b:0;}s:9:\"_modified\";s:24:\"2024-08-04T00:26:20.947Z\";s:14:\"core/edit-post\";a:3:{s:12:\"welcomeGuide\";b:0;s:30:\"disableEditorsKitColorsFormats\";b:1;s:33:\"disableEditorsKitHighlightFormats\";b:1;}s:17:\"core/edit-widgets\";a:2:{s:26:\"isComplementaryAreaVisible\";b:1;s:12:\"welcomeGuide\";b:0;}s:22:\"core/customize-widgets\";a:1:{s:12:\"welcomeGuide\";b:0;}s:22:\"themeisle/otter-blocks\";a:2:{s:15:\"show-custom-css\";b:1;s:15:\"show-animations\";b:1;}s:17:\"core/block-editor\";a:1:{s:25:\"linkControlSettingsDrawer\";b:1;}s:4:\"core\";a:5:{s:29:\"isTemplatePartMoveHintVisible\";b:0;s:10:\"editorMode\";s:6:\"visual\";s:10:\"openPanels\";a:9:{i:0;s:11:\"post-status\";i:1;s:12:\"post-excerpt\";i:2;s:23:\"taxonomy-panel-post_tag\";i:3;s:15:\"page-attributes\";i:4;s:28:\"taxonomy-panel-song_category\";i:5;s:20:\"taxonomy-panel-genre\";i:6;s:22:\"taxonomy-panel-company\";i:7;s:23:\"taxonomy-panel-category\";i:8;s:14:\"featured-image\";}s:23:\"isPublishSidebarEnabled\";b:0;s:26:\"isComplementaryAreaVisible\";b:1;}s:18:\"create-block-theme\";a:1:{s:12:\"save-changes\";a:7:{s:9:\"saveStyle\";b:1;s:13:\"saveTemplates\";b:1;s:25:\"processOnlySavedTemplates\";b:1;s:9:\"saveFonts\";b:1;s:13:\"removeNavRefs\";b:0;s:12:\"localizeText\";b:0;s:14:\"localizeImages\";b:0;}}}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "edit_post_per_page", "200");
INSERT INTO `wp_usermeta` VALUES("28", "1", "closedpostboxes_cpt-ui_page_cptui_manage_post_types", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("29", "1", "metaboxhidden_cpt-ui_page_cptui_manage_post_types", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("32", "1", "wp_media_library_mode", "list");
INSERT INTO `wp_usermeta` VALUES("36", "1", "session_tokens", "a:1:{s:64:\"5b25e12701df1f4db4443fd75e3ac5cd4cf83027f5babd25028e4580f5b1e6cb\";a:4:{s:10:\"expiration\";i:1725319769;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36\";s:5:\"login\";i:1725146969;}}");
INSERT INTO `wp_usermeta` VALUES("37", "1", "upload_per_page", "200");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BrpCeP.Ax5aFu0bhk14Gjj0RerAekB0", "kevinmcmillan", "kevinmc@shaw.ca", "http://localhost:8888/StarterContent/GuitarKittyExpanded-Summer2024-FullWithCPT-CFs", "2024-04-03 23:04:13", "", "0", "kevinmcmillan");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2024-08-31 23:38:20*/
/* DUPLICATOR_MYSQLDUMP_EOF */
